#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", false, 3, xcall_Solid__Networking__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::Networking::Notifier) },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", false, 3, xcall_Solid__PowerManagement__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::PowerManagement::Notifier) },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Solid::AudioInterface::AudioInterfaceType>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Solid::OpticalDisc::ContentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Solid::OpticalDrive::MediumType>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Solid::Processor::InstructionSet>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//18
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//20
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForActiveQtModule", 4, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForCoreModule", 4, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForDBusModule", 4, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForDeclarativeModule", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForGuiModule", 4, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForHelpModule", 4, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForMultimediaModule", 4, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForNetworkModule", 4, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForOpenGLModule", 4, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForOpenVGModule", 4, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForQt3SupportLightModule", 4, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForQt3SupportModule", 4, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForScriptModule", 4, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForScriptToolsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForSqlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForSvgModule", 4, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForTestModule", 4, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForXmlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForXmlPatternsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//118
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//119
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//123
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//136
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//137
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//143
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//147
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//150
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//151
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//154
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//157
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//160
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//163
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//164
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//165
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//167
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    12, 3, 0,	//3  QObject*, QEvent*
    19, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    163, 0,	//10  const char*
    163, 163, 0,	//12  const char*, const char*
    163, 163, 164, 0,	//15  const char*, const char*, int
    11, 164, 168, 0,	//19  QMetaObject::Call, int, void**
    151, 156, 0,	//23  bool, const QString&
    164, 156, 0,	//26  int, const QString&
    117, 156, 0,	//29  Solid::Button::ButtonType, const QString&
    16, 0,	//32  QString
    156, 0,	//34  const QString&
    161, 156, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    162, 156, 0,	//39  const Solid::Predicate&, const QString&
    156, 156, 0,	//42  const QString&, const QString&
    159, 0,	//45  const Solid::Device&
    161, 0,	//47  const Solid::DeviceInterface::Type&
    162, 0,	//49  const Solid::Predicate&
    122, 0,	//51  Solid::DeviceInterface::Type
    123, 12, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    152, 0,	//56  const QMap<QString,int>&
    128, 0,	//58  Solid::Networking::ManagementPolicy
    130, 0,	//60  Solid::Networking::Status
    126, 20, 156, 0,	//62  Solid::ErrorType, QVariant, const QString&
    164, 0,	//66  int
    135, 12, 163, 0,	//68  Solid::PowerManagement::SleepState, QObject*, const char*
    151, 0,	//72  bool
    161, 156, 158, 139, 0,	//74  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    156, 156, 158, 139, 0,	//79  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    161, 156, 158, 0,	//84  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    156, 156, 158, 0,	//88  const QString&, const QString&, const QVariant&
    143, 12, 0,	//92  Solid::StorageAccessPrivate&, QObject*
    147, 12, 0,	//95  Solid::StorageDrivePrivate&, QObject*
    150, 12, 0,	//98  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "KeyboardBattery",	//93
    "KeyboardMouseBattery",	//94
    "Last",	//95
    "LicensedActiveQt",	//96
    "LicensedCore",	//97
    "LicensedDBus",	//98
    "LicensedDeclarative",	//99
    "LicensedGui",	//100
    "LicensedHelp",	//101
    "LicensedMultimedia",	//102
    "LicensedNetwork",	//103
    "LicensedOpenGL",	//104
    "LicensedOpenVG",	//105
    "LicensedQt3Support",	//106
    "LicensedQt3SupportLight",	//107
    "LicensedScript",	//108
    "LicensedScriptTools",	//109
    "LicensedSql",	//110
    "LicensedSvg",	//111
    "LicensedTest",	//112
    "LicensedXml",	//113
    "LicensedXmlPatterns",	//114
    "LidButton",	//115
    "Managed",	//116
    "Manual",	//117
    "Mask",	//118
    "MemoryStick",	//119
    "Modem",	//120
    "MonitorBattery",	//121
    "MouseBattery",	//122
    "NetworkInterface",	//123
    "NoCharge",	//124
    "NoError",	//125
    "NoExtensions",	//126
    "Notifier",	//127
    "OnNextStatusChange",	//128
    "OpenSoundSystem",	//129
    "OpticalDisc",	//130
    "OpticalDrive",	//131
    "Other",	//132
    "PartitionTable",	//133
    "PdaBattery",	//134
    "PhoneBattery",	//135
    "Platform",	//136
    "PortableMediaPlayer",	//137
    "PowerButton",	//138
    "Predicate",	//139
    "Predicate#",	//140
    "Predicate$",	//141
    "Predicate$$#",	//142
    "Predicate$$#$",	//143
    "PrimaryBattery",	//144
    "Processor",	//145
    "PropertyAdded",	//146
    "PropertyCheck",	//147
    "PropertyModified",	//148
    "PropertyRemoved",	//149
    "Q_COMPLEX_TYPE",	//150
    "Q_DUMMY_TYPE",	//151
    "Q_MOVABLE_TYPE",	//152
    "Q_PRIMITIVE_TYPE",	//153
    "Q_STATIC_TYPE",	//154
    "QtCriticalMsg",	//155
    "QtDebugMsg",	//156
    "QtFatalMsg",	//157
    "QtSystemMsg",	//158
    "QtWarningMsg",	//159
    "Raid",	//160
    "Sata",	//161
    "Scsi",	//162
    "SdMmc",	//163
    "SerialInterface",	//164
    "SleepButton",	//165
    "SmartCardReader",	//166
    "SmartMedia",	//167
    "StandbyState",	//168
    "StorageAccess",	//169
    "StorageAccess##",	//170
    "StorageDrive",	//171
    "StorageDrive##",	//172
    "StorageVolume",	//173
    "StorageVolume##",	//174
    "SuperVideoCd",	//175
    "SuspendState",	//176
    "TabletButton",	//177
    "Tape",	//178
    "UnauthorizedOperation",	//179
    "Unconnected",	//180
    "Unknown",	//181
    "UnknownAudioDriver",	//182
    "UnknownAudioInterfaceType",	//183
    "UnknownBattery",	//184
    "UnknownButtonType",	//185
    "UnknownDiscType",	//186
    "Unused",	//187
    "UpsBattery",	//188
    "Usb",	//189
    "UsbSoundcard",	//190
    "Video",	//191
    "VideoCd",	//192
    "VideoDvd",	//193
    "Xd",	//194
    "accessibilityChanged",	//195
    "accessibilityChanged$$",	//196
    "allDevices",	//197
    "allProperties",	//198
    "appShouldConserveResources",	//199
    "appShouldConserveResourcesChanged",	//200
    "appShouldConserveResourcesChanged$",	//201
    "asDeviceInterface",	//202
    "asDeviceInterface$",	//203
    "availableContent",	//204
    "beginSuppressingSleep",	//205
    "beginSuppressingSleep$",	//206
    "bus",	//207
    "canChangeFrequency",	//208
    "capacity",	//209
    "chargePercent",	//210
    "chargePercentChanged",	//211
    "chargePercentChanged$$",	//212
    "chargeState",	//213
    "chargeStateChanged",	//214
    "chargeStateChanged$$",	//215
    "childEvent",	//216
    "comparisonOperator",	//217
    "conditionRaised",	//218
    "conditionRaised$$",	//219
    "connectNotify",	//220
    "connectPolicy",	//221
    "customEvent",	//222
    "description",	//223
    "device",	//224
    "deviceAdapter",	//225
    "deviceAdded",	//226
    "deviceAdded$",	//227
    "deviceIndex",	//228
    "deviceInterfaceType",	//229
    "deviceMajor",	//230
    "deviceMinor",	//231
    "deviceRemoved",	//232
    "deviceRemoved$",	//233
    "deviceType",	//234
    "discType",	//235
    "disconnectNotify",	//236
    "disconnectPolicy",	//237
    "driveType",	//238
    "driver",	//239
    "driverHandle",	//240
    "driverHandle$",	//241
    "eject",	//242
    "ejectDone",	//243
    "ejectDone$#$",	//244
    "ejectPressed",	//245
    "ejectPressed$",	//246
    "ejectRequested",	//247
    "ejectRequested$",	//248
    "emblems",	//249
    "encryptedContainer",	//250
    "event",	//251
    "eventFilter",	//252
    "filePath",	//253
    "firstOperand",	//254
    "fromString",	//255
    "fromString$",	//256
    "fsType",	//257
    "hasState",	//258
    "hwAddress",	//259
    "icon",	//260
    "ifaceName",	//261
    "instance",	//262
    "instructionSets",	//263
    "interfaceType",	//264
    "isAccessible",	//265
    "isAppendable",	//266
    "isBlank",	//267
    "isDeviceInterface",	//268
    "isDeviceInterface$",	//269
    "isHotpluggable",	//270
    "isIgnored",	//271
    "isPlugged",	//272
    "isRechargeable",	//273
    "isRemovable",	//274
    "isRewritable",	//275
    "isValid",	//276
    "isWireless",	//277
    "label",	//278
    "listFromQuery",	//279
    "listFromQuery#",	//280
    "listFromQuery#$",	//281
    "listFromQuery$",	//282
    "listFromQuery$$",	//283
    "listFromType",	//284
    "listFromType$",	//285
    "listFromType$$",	//286
    "macAddress",	//287
    "matches",	//288
    "matches#",	//289
    "matchingValue",	//290
    "maxSpeed",	//291
    "metaObject",	//292
    "name",	//293
    "notifier",	//294
    "number",	//295
    "operator&",	//296
    "operator&#",	//297
    "operator&=",	//298
    "operator&=#",	//299
    "operator=",	//300
    "operator=#",	//301
    "operator|",	//302
    "operator|#",	//303
    "operator|=",	//304
    "operator|=#",	//305
    "parent",	//306
    "parentUdi",	//307
    "plugStateChanged",	//308
    "plugStateChanged$$",	//309
    "pressed",	//310
    "pressed$$",	//311
    "product",	//312
    "property",	//313
    "property$",	//314
    "propertyChanged",	//315
    "propertyChanged?",	//316
    "propertyExists",	//317
    "propertyExists$",	//318
    "propertyName",	//319
    "qt_metacall",	//320
    "qt_metacall$$?",	//321
    "qt_metacast",	//322
    "qt_metacast$",	//323
    "readSpeed",	//324
    "requestSleep",	//325
    "requestSleep$#$",	//326
    "secondOperand",	//327
    "setConnectPolicy",	//328
    "setConnectPolicy$",	//329
    "setDisconnectPolicy",	//330
    "setDisconnectPolicy$",	//331
    "setup",	//332
    "setupDone",	//333
    "setupDone$#$",	//334
    "setupRequested",	//335
    "setupRequested$",	//336
    "shouldConnect",	//337
    "shouldDisconnect",	//338
    "size",	//339
    "soundcardType",	//340
    "stateValue",	//341
    "staticMetaObject",	//342
    "status",	//343
    "statusChanged",	//344
    "statusChanged$",	//345
    "stopSuppressingSleep",	//346
    "stopSuppressingSleep$",	//347
    "stringToType",	//348
    "stringToType$",	//349
    "supportedDrivers",	//350
    "supportedDrivers$",	//351
    "supportedMedia",	//352
    "supportedProtocols",	//353
    "supportedSleepStates",	//354
    "teardown",	//355
    "teardownDone",	//356
    "teardownDone$#$",	//357
    "teardownRequested",	//358
    "teardownRequested$",	//359
    "timerEvent",	//360
    "toString",	//361
    "tr",	//362
    "tr$",	//363
    "tr$$",	//364
    "tr$$$",	//365
    "trUtf8",	//366
    "trUtf8$",	//367
    "trUtf8$$",	//368
    "trUtf8$$$",	//369
    "type",	//370
    "typeDescription",	//371
    "typeDescription$",	//372
    "typeToString",	//373
    "typeToString$",	//374
    "udi",	//375
    "usage",	//376
    "usedTypes",	//377
    "uuid",	//378
    "vendor",	//379
    "writeSpeed",	//380
    "writeSpeeds",	//381
    "~AcAdapter",	//382
    "~AudioInterface",	//383
    "~Battery",	//384
    "~Block",	//385
    "~Button",	//386
    "~Camera",	//387
    "~Device",	//388
    "~DeviceInterface",	//389
    "~DeviceNotifier",	//390
    "~DvbInterface",	//391
    "~GenericInterface",	//392
    "~NetworkInterface",	//393
    "~Notifier",	//394
    "~OpticalDisc",	//395
    "~OpticalDrive",	//396
    "~PortableMediaPlayer",	//397
    "~Predicate",	//398
    "~Processor",	//399
    "~StorageAccess",	//400
    "~StorageDrive",	//401
    "~StorageVolume",	//402
    "~Video",	//403
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {4, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {4, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {4, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {4, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {4, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {4, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {4, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {4, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {4, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {4, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {4, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {4, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {4, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {4, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {4, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {4, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {4, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {4, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {4, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {4, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {4, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {6, 251, 1, 1, Smoke::mf_virtual, 151, 0},	//30 QObject::event(QEvent*)
    {6, 252, 3, 2, Smoke::mf_virtual, 151, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {6, 360, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {6, 216, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {6, 222, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {6, 220, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {6, 236, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {10, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//37 Solid::NoError (enum)
    {10, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//38 Solid::UnauthorizedOperation (enum)
    {11, 292, 0, 0, Smoke::mf_const, 154, 1},	//39 Solid::AcAdapter::metaObject() const
    {11, 322, 10, 1, 0, 167, 2},	//40 Solid::AcAdapter::qt_metacast(const char*)
    {11, 362, 12, 2, Smoke::mf_static, 16, 3},	//41 Solid::AcAdapter::tr(const char*, const char*)
    {11, 366, 12, 2, Smoke::mf_static, 16, 4},	//42 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 362, 15, 3, Smoke::mf_static, 16, 5},	//43 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 366, 15, 3, Smoke::mf_static, 16, 6},	//44 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 320, 19, 3, 0, 164, 7},	//45 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 229, 0, 0, Smoke::mf_static, 122, 8},	//46 Solid::AcAdapter::deviceInterfaceType()
    {11, 272, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//47 Solid::AcAdapter::isPlugged() const
    {11, 308, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//48 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 362, 10, 1, Smoke::mf_static, 16, 11},	//49 Solid::AcAdapter::tr(const char*)
    {11, 366, 10, 1, Smoke::mf_static, 16, 12},	//50 Solid::AcAdapter::trUtf8(const char*)
    {11, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 13},	//51 Solid::AcAdapter::staticMetaObject() const
    {11, 382, 0, 0, Smoke::mf_dtor, 0, 14 },	//52 Solid::AcAdapter::~AcAdapter()
    {12, 292, 0, 0, Smoke::mf_const, 154, 1},	//53 Solid::AudioInterface::metaObject() const
    {12, 322, 10, 1, 0, 167, 2},	//54 Solid::AudioInterface::qt_metacast(const char*)
    {12, 362, 12, 2, Smoke::mf_static, 16, 3},	//55 Solid::AudioInterface::tr(const char*, const char*)
    {12, 366, 12, 2, Smoke::mf_static, 16, 4},	//56 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 362, 15, 3, Smoke::mf_static, 16, 5},	//57 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 366, 15, 3, Smoke::mf_static, 16, 6},	//58 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 320, 19, 3, 0, 164, 7},	//59 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 229, 0, 0, Smoke::mf_static, 122, 8},	//60 Solid::AudioInterface::deviceInterfaceType()
    {12, 239, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 9},	//61 Solid::AudioInterface::driver() const
    {12, 240, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 10},	//62 Solid::AudioInterface::driverHandle() const
    {12, 293, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//63 Solid::AudioInterface::name() const
    {12, 234, 0, 0, Smoke::mf_const, 4, 12},	//64 Solid::AudioInterface::deviceType() const
    {12, 340, 0, 0, Smoke::mf_const|Smoke::mf_property, 114, 13},	//65 Solid::AudioInterface::soundcardType() const
    {12, 362, 10, 1, Smoke::mf_static, 16, 14},	//66 Solid::AudioInterface::tr(const char*)
    {12, 366, 10, 1, Smoke::mf_static, 16, 15},	//67 Solid::AudioInterface::trUtf8(const char*)
    {12, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//68 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 17},	//69 Solid::AudioInterface::Alsa (enum)
    {12, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 18},	//70 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 19},	//71 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 20},	//72 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 21},	//73 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 22},	//74 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 23},	//75 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//76 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//77 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//78 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//79 Solid::AudioInterface::Headset (enum)
    {12, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//80 Solid::AudioInterface::Modem (enum)
    {12, 383, 0, 0, Smoke::mf_dtor, 0, 29 },	//81 Solid::AudioInterface::~AudioInterface()
    {13, 292, 0, 0, Smoke::mf_const, 154, 1},	//82 Solid::Battery::metaObject() const
    {13, 322, 10, 1, 0, 167, 2},	//83 Solid::Battery::qt_metacast(const char*)
    {13, 362, 12, 2, Smoke::mf_static, 16, 3},	//84 Solid::Battery::tr(const char*, const char*)
    {13, 366, 12, 2, Smoke::mf_static, 16, 4},	//85 Solid::Battery::trUtf8(const char*, const char*)
    {13, 362, 15, 3, Smoke::mf_static, 16, 5},	//86 Solid::Battery::tr(const char*, const char*, int)
    {13, 366, 15, 3, Smoke::mf_static, 16, 6},	//87 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 320, 19, 3, 0, 164, 7},	//88 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 229, 0, 0, Smoke::mf_static, 122, 8},	//89 Solid::Battery::deviceInterfaceType()
    {13, 272, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//90 Solid::Battery::isPlugged() const
    {13, 370, 0, 0, Smoke::mf_const|Smoke::mf_property, 115, 10},	//91 Solid::Battery::type() const
    {13, 210, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//92 Solid::Battery::chargePercent() const
    {13, 273, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//93 Solid::Battery::isRechargeable() const
    {13, 213, 0, 0, Smoke::mf_const|Smoke::mf_property, 116, 13},	//94 Solid::Battery::chargeState() const
    {13, 211, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//95 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 214, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//96 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 308, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//97 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 362, 10, 1, Smoke::mf_static, 16, 17},	//98 Solid::Battery::tr(const char*)
    {13, 366, 10, 1, Smoke::mf_static, 16, 18},	//99 Solid::Battery::trUtf8(const char*)
    {13, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//100 Solid::Battery::staticMetaObject() const
    {13, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 20},	//101 Solid::Battery::UnknownBattery (enum)
    {13, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 21},	//102 Solid::Battery::PdaBattery (enum)
    {13, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 22},	//103 Solid::Battery::UpsBattery (enum)
    {13, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 23},	//104 Solid::Battery::PrimaryBattery (enum)
    {13, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 24},	//105 Solid::Battery::MouseBattery (enum)
    {13, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 25},	//106 Solid::Battery::KeyboardBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//107 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//108 Solid::Battery::CameraBattery (enum)
    {13, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//109 Solid::Battery::PhoneBattery (enum)
    {13, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//110 Solid::Battery::MonitorBattery (enum)
    {13, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 30},	//111 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 31},	//112 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 32},	//113 Solid::Battery::Discharging (enum)
    {13, 384, 0, 0, Smoke::mf_dtor, 0, 33 },	//114 Solid::Battery::~Battery()
    {14, 292, 0, 0, Smoke::mf_const, 154, 1},	//115 Solid::Block::metaObject() const
    {14, 322, 10, 1, 0, 167, 2},	//116 Solid::Block::qt_metacast(const char*)
    {14, 362, 12, 2, Smoke::mf_static, 16, 3},	//117 Solid::Block::tr(const char*, const char*)
    {14, 366, 12, 2, Smoke::mf_static, 16, 4},	//118 Solid::Block::trUtf8(const char*, const char*)
    {14, 362, 15, 3, Smoke::mf_static, 16, 5},	//119 Solid::Block::tr(const char*, const char*, int)
    {14, 366, 15, 3, Smoke::mf_static, 16, 6},	//120 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 320, 19, 3, 0, 164, 7},	//121 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 229, 0, 0, Smoke::mf_static, 122, 8},	//122 Solid::Block::deviceInterfaceType()
    {14, 230, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//123 Solid::Block::deviceMajor() const
    {14, 231, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//124 Solid::Block::deviceMinor() const
    {14, 224, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//125 Solid::Block::device() const
    {14, 362, 10, 1, Smoke::mf_static, 16, 12},	//126 Solid::Block::tr(const char*)
    {14, 366, 10, 1, Smoke::mf_static, 16, 13},	//127 Solid::Block::trUtf8(const char*)
    {14, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//128 Solid::Block::staticMetaObject() const
    {14, 385, 0, 0, Smoke::mf_dtor, 0, 15 },	//129 Solid::Block::~Block()
    {15, 292, 0, 0, Smoke::mf_const, 154, 1},	//130 Solid::Button::metaObject() const
    {15, 322, 10, 1, 0, 167, 2},	//131 Solid::Button::qt_metacast(const char*)
    {15, 362, 12, 2, Smoke::mf_static, 16, 3},	//132 Solid::Button::tr(const char*, const char*)
    {15, 366, 12, 2, Smoke::mf_static, 16, 4},	//133 Solid::Button::trUtf8(const char*, const char*)
    {15, 362, 15, 3, Smoke::mf_static, 16, 5},	//134 Solid::Button::tr(const char*, const char*, int)
    {15, 366, 15, 3, Smoke::mf_static, 16, 6},	//135 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 320, 19, 3, 0, 164, 7},	//136 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 229, 0, 0, Smoke::mf_static, 122, 8},	//137 Solid::Button::deviceInterfaceType()
    {15, 370, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 9},	//138 Solid::Button::type() const
    {15, 258, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//139 Solid::Button::hasState() const
    {15, 341, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//140 Solid::Button::stateValue() const
    {15, 310, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//141 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 362, 10, 1, Smoke::mf_static, 16, 13},	//142 Solid::Button::tr(const char*)
    {15, 366, 10, 1, Smoke::mf_static, 16, 14},	//143 Solid::Button::trUtf8(const char*)
    {15, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//144 Solid::Button::staticMetaObject() const
    {15, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 16},	//145 Solid::Button::LidButton (enum)
    {15, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 17},	//146 Solid::Button::PowerButton (enum)
    {15, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 18},	//147 Solid::Button::SleepButton (enum)
    {15, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 19},	//148 Solid::Button::UnknownButtonType (enum)
    {15, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 20},	//149 Solid::Button::TabletButton (enum)
    {15, 386, 0, 0, Smoke::mf_dtor, 0, 21 },	//150 Solid::Button::~Button()
    {16, 292, 0, 0, Smoke::mf_const, 154, 1},	//151 Solid::Camera::metaObject() const
    {16, 322, 10, 1, 0, 167, 2},	//152 Solid::Camera::qt_metacast(const char*)
    {16, 362, 12, 2, Smoke::mf_static, 16, 3},	//153 Solid::Camera::tr(const char*, const char*)
    {16, 366, 12, 2, Smoke::mf_static, 16, 4},	//154 Solid::Camera::trUtf8(const char*, const char*)
    {16, 362, 15, 3, Smoke::mf_static, 16, 5},	//155 Solid::Camera::tr(const char*, const char*, int)
    {16, 366, 15, 3, Smoke::mf_static, 16, 6},	//156 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 320, 19, 3, 0, 164, 7},	//157 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 229, 0, 0, Smoke::mf_static, 122, 8},	//158 Solid::Camera::deviceInterfaceType()
    {16, 353, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//159 Solid::Camera::supportedProtocols() const
    {16, 350, 32, 1, Smoke::mf_const, 17, 10},	//160 Solid::Camera::supportedDrivers(QString) const
    {16, 240, 34, 1, Smoke::mf_const, 20, 11},	//161 Solid::Camera::driverHandle(const QString&) const
    {16, 362, 10, 1, Smoke::mf_static, 16, 12},	//162 Solid::Camera::tr(const char*)
    {16, 366, 10, 1, Smoke::mf_static, 16, 13},	//163 Solid::Camera::trUtf8(const char*)
    {16, 350, 0, 0, Smoke::mf_const, 17, 14},	//164 Solid::Camera::supportedDrivers() const
    {16, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//165 Solid::Camera::staticMetaObject() const
    {16, 387, 0, 0, Smoke::mf_dtor, 0, 16 },	//166 Solid::Camera::~Camera()
    {17, 197, 0, 0, Smoke::mf_static, 8, 1},	//167 Solid::Device::allDevices()
    {17, 284, 36, 2, Smoke::mf_static, 8, 2},	//168 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 279, 39, 2, Smoke::mf_static, 8, 3},	//169 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 279, 42, 2, Smoke::mf_static, 8, 4},	//170 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 120, 5},	//171 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 6},	//172 Solid::Device::Device(const Solid::Device&)
    {17, 300, 45, 1, 0, 119, 7},	//173 Solid::Device::operator=(const Solid::Device&)
    {17, 276, 0, 0, Smoke::mf_const, 151, 8},	//174 Solid::Device::isValid() const
    {17, 375, 0, 0, Smoke::mf_const, 16, 9},	//175 Solid::Device::udi() const
    {17, 307, 0, 0, Smoke::mf_const, 16, 10},	//176 Solid::Device::parentUdi() const
    {17, 306, 0, 0, Smoke::mf_const, 118, 11},	//177 Solid::Device::parent() const
    {17, 379, 0, 0, Smoke::mf_const, 16, 12},	//178 Solid::Device::vendor() const
    {17, 312, 0, 0, Smoke::mf_const, 16, 13},	//179 Solid::Device::product() const
    {17, 260, 0, 0, Smoke::mf_const, 16, 14},	//180 Solid::Device::icon() const
    {17, 249, 0, 0, Smoke::mf_const, 17, 15},	//181 Solid::Device::emblems() const
    {17, 223, 0, 0, Smoke::mf_const, 16, 16},	//182 Solid::Device::description() const
    {17, 268, 47, 1, Smoke::mf_const, 151, 17},	//183 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 202, 47, 1, 0, 121, 18},	//184 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 202, 47, 1, Smoke::mf_const, 160, 19},	//185 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 284, 47, 1, Smoke::mf_static, 8, 20},	//186 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 279, 49, 1, Smoke::mf_static, 8, 21},	//187 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 279, 34, 1, Smoke::mf_static, 8, 22},	//188 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 120, 23},	//189 Solid::Device::Device()
    {17, 388, 0, 0, Smoke::mf_dtor, 0, 24 },	//190 Solid::Device::~Device()
    {18, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//191 Solid::DeviceInterface::metaObject() const
    {18, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//192 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 362, 12, 2, Smoke::mf_static, 16, 3},	//193 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 366, 12, 2, Smoke::mf_static, 16, 4},	//194 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 362, 15, 3, Smoke::mf_static, 16, 5},	//195 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 366, 15, 3, Smoke::mf_static, 16, 6},	//196 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//197 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 276, 0, 0, Smoke::mf_const, 151, 8},	//198 Solid::DeviceInterface::isValid() const
    {18, 373, 51, 1, Smoke::mf_static, 16, 9},	//199 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 348, 34, 1, Smoke::mf_static, 122, 10},	//200 Solid::DeviceInterface::stringToType(const QString&)
    {18, 371, 51, 1, Smoke::mf_static, 16, 11},	//201 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 121, 12},	//202 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 362, 10, 1, Smoke::mf_static, 16, 13},	//203 Solid::DeviceInterface::tr(const char*)
    {18, 366, 10, 1, Smoke::mf_static, 16, 14},	//204 Solid::DeviceInterface::trUtf8(const char*)
    {18, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//205 Solid::DeviceInterface::staticMetaObject() const
    {18, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 16},	//206 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//207 Solid::DeviceInterface::GenericInterface (enum)
    {18, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 18},	//208 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 19},	//209 Solid::DeviceInterface::Block (enum)
    {18, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 20},	//210 Solid::DeviceInterface::StorageAccess (enum)
    {18, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 21},	//211 Solid::DeviceInterface::StorageDrive (enum)
    {18, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 22},	//212 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 23},	//213 Solid::DeviceInterface::StorageVolume (enum)
    {18, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 24},	//214 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 25},	//215 Solid::DeviceInterface::Camera (enum)
    {18, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 26},	//216 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 27},	//217 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 28},	//218 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 29},	//219 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 30},	//220 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 31},	//221 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 32},	//222 Solid::DeviceInterface::DvbInterface (enum)
    {18, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 33},	//223 Solid::DeviceInterface::Video (enum)
    {18, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//224 Solid::DeviceInterface::SerialInterface (enum)
    {18, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//225 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//226 Solid::DeviceInterface::Last (enum)
    {18, 389, 0, 0, Smoke::mf_dtor, 0, 37 },	//227 Solid::DeviceInterface::~DeviceInterface()
    {20, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//228 Solid::DeviceNotifier::metaObject() const
    {20, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//229 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 362, 12, 2, Smoke::mf_static, 16, 3},	//230 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 366, 12, 2, Smoke::mf_static, 16, 4},	//231 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 362, 15, 3, Smoke::mf_static, 16, 5},	//232 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 366, 15, 3, Smoke::mf_static, 16, 6},	//233 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//234 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 262, 0, 0, Smoke::mf_static, 124, 8},	//235 Solid::DeviceNotifier::instance()
    {20, 226, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//236 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 232, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//237 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 124, 11},	//238 Solid::DeviceNotifier::DeviceNotifier()
    {20, 362, 10, 1, Smoke::mf_static, 16, 12},	//239 Solid::DeviceNotifier::tr(const char*)
    {20, 366, 10, 1, Smoke::mf_static, 16, 13},	//240 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//241 Solid::DeviceNotifier::staticMetaObject() const
    {20, 390, 0, 0, Smoke::mf_dtor, 0, 15 },	//242 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 292, 0, 0, Smoke::mf_const, 154, 1},	//243 Solid::DvbInterface::metaObject() const
    {21, 322, 10, 1, 0, 167, 2},	//244 Solid::DvbInterface::qt_metacast(const char*)
    {21, 362, 12, 2, Smoke::mf_static, 16, 3},	//245 Solid::DvbInterface::tr(const char*, const char*)
    {21, 366, 12, 2, Smoke::mf_static, 16, 4},	//246 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 362, 15, 3, Smoke::mf_static, 16, 5},	//247 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 366, 15, 3, Smoke::mf_static, 16, 6},	//248 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 320, 19, 3, 0, 164, 7},	//249 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 229, 0, 0, Smoke::mf_static, 122, 8},	//250 Solid::DvbInterface::deviceInterfaceType()
    {21, 224, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//251 Solid::DvbInterface::device() const
    {21, 225, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//252 Solid::DvbInterface::deviceAdapter() const
    {21, 234, 0, 0, Smoke::mf_const|Smoke::mf_property, 125, 11},	//253 Solid::DvbInterface::deviceType() const
    {21, 228, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 12},	//254 Solid::DvbInterface::deviceIndex() const
    {21, 362, 10, 1, Smoke::mf_static, 16, 13},	//255 Solid::DvbInterface::tr(const char*)
    {21, 366, 10, 1, Smoke::mf_static, 16, 14},	//256 Solid::DvbInterface::trUtf8(const char*)
    {21, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//257 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 16},	//258 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 17},	//259 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 18},	//260 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 19},	//261 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 20},	//262 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 21},	//263 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 22},	//264 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 23},	//265 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 24},	//266 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 25},	//267 Solid::DvbInterface::DvbVideo (enum)
    {21, 391, 0, 0, Smoke::mf_dtor, 0, 26 },	//268 Solid::DvbInterface::~DvbInterface()
    {22, 292, 0, 0, Smoke::mf_const, 154, 1},	//269 Solid::GenericInterface::metaObject() const
    {22, 322, 10, 1, 0, 167, 2},	//270 Solid::GenericInterface::qt_metacast(const char*)
    {22, 362, 12, 2, Smoke::mf_static, 16, 3},	//271 Solid::GenericInterface::tr(const char*, const char*)
    {22, 366, 12, 2, Smoke::mf_static, 16, 4},	//272 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 362, 15, 3, Smoke::mf_static, 16, 5},	//273 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 366, 15, 3, Smoke::mf_static, 16, 6},	//274 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 320, 19, 3, 0, 164, 7},	//275 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 229, 0, 0, Smoke::mf_static, 122, 8},	//276 Solid::GenericInterface::deviceInterfaceType()
    {22, 313, 34, 1, Smoke::mf_const, 20, 9},	//277 Solid::GenericInterface::property(const QString&) const
    {22, 198, 0, 0, Smoke::mf_const, 10, 10},	//278 Solid::GenericInterface::allProperties() const
    {22, 317, 34, 1, Smoke::mf_const, 151, 11},	//279 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 315, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//280 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 218, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//281 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 362, 10, 1, Smoke::mf_static, 16, 14},	//282 Solid::GenericInterface::tr(const char*)
    {22, 366, 10, 1, Smoke::mf_static, 16, 15},	//283 Solid::GenericInterface::trUtf8(const char*)
    {22, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//284 Solid::GenericInterface::staticMetaObject() const
    {22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 17},	//285 Solid::GenericInterface::PropertyModified (enum)
    {22, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 18},	//286 Solid::GenericInterface::PropertyAdded (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 19},	//287 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 392, 0, 0, Smoke::mf_dtor, 0, 20 },	//288 Solid::GenericInterface::~GenericInterface()
    {23, 292, 0, 0, Smoke::mf_const, 154, 1},	//289 Solid::NetworkInterface::metaObject() const
    {23, 322, 10, 1, 0, 167, 2},	//290 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 362, 12, 2, Smoke::mf_static, 16, 3},	//291 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 366, 12, 2, Smoke::mf_static, 16, 4},	//292 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 362, 15, 3, Smoke::mf_static, 16, 5},	//293 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 366, 15, 3, Smoke::mf_static, 16, 6},	//294 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 320, 19, 3, 0, 164, 7},	//295 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 229, 0, 0, Smoke::mf_static, 122, 8},	//296 Solid::NetworkInterface::deviceInterfaceType()
    {23, 261, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//297 Solid::NetworkInterface::ifaceName() const
    {23, 277, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//298 Solid::NetworkInterface::isWireless() const
    {23, 259, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//299 Solid::NetworkInterface::hwAddress() const
    {23, 287, 0, 0, Smoke::mf_const, 166, 12},	//300 Solid::NetworkInterface::macAddress() const
    {23, 362, 10, 1, Smoke::mf_static, 16, 13},	//301 Solid::NetworkInterface::tr(const char*)
    {23, 366, 10, 1, Smoke::mf_static, 16, 14},	//302 Solid::NetworkInterface::trUtf8(const char*)
    {23, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//303 Solid::NetworkInterface::staticMetaObject() const
    {23, 393, 0, 0, Smoke::mf_dtor, 0, 16 },	//304 Solid::NetworkInterface::~NetworkInterface()
    {24, 221, 0, 0, Smoke::mf_static, 128, 1},	//305 Solid::Networking::connectPolicy()
    {24, 328, 58, 1, Smoke::mf_static, 0, 2},	//306 Solid::Networking::setConnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 330, 58, 1, Smoke::mf_static, 0, 3},	//307 Solid::Networking::setDisconnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 237, 0, 0, Smoke::mf_static, 128, 4},	//308 Solid::Networking::disconnectPolicy()
    {24, 343, 0, 0, Smoke::mf_static, 130, 5},	//309 Solid::Networking::status()
    {24, 294, 0, 0, Smoke::mf_static, 129, 6},	//310 Solid::Networking::notifier()
    {24, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 7},	//311 Solid::Networking::Manual (enum)
    {24, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 8},	//312 Solid::Networking::OnNextStatusChange (enum)
    {24, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 9},	//313 Solid::Networking::Managed (enum)
    {24, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 10},	//314 Solid::Networking::Unknown (enum)
    {24, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 11},	//315 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 12},	//316 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 13},	//317 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 14},	//318 Solid::Networking::Connected (enum)
    {25, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//319 Solid::Networking::Notifier::metaObject() const
    {25, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//320 Solid::Networking::Notifier::qt_metacast(const char*)
    {25, 362, 12, 2, Smoke::mf_static, 16, 3},	//321 Solid::Networking::Notifier::tr(const char*, const char*)
    {25, 366, 12, 2, Smoke::mf_static, 16, 4},	//322 Solid::Networking::Notifier::trUtf8(const char*, const char*)
    {25, 362, 15, 3, Smoke::mf_static, 16, 5},	//323 Solid::Networking::Notifier::tr(const char*, const char*, int)
    {25, 366, 15, 3, Smoke::mf_static, 16, 6},	//324 Solid::Networking::Notifier::trUtf8(const char*, const char*, int)
    {25, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//325 Solid::Networking::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {25, 344, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//326 Solid::Networking::Notifier::statusChanged(Solid::Networking::Status)
    {25, 337, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//327 Solid::Networking::Notifier::shouldConnect()
    {25, 338, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//328 Solid::Networking::Notifier::shouldDisconnect()
    {25, 127, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 129, 11},	//329 Solid::Networking::Notifier::Notifier()
    {25, 362, 10, 1, Smoke::mf_static, 16, 12},	//330 Solid::Networking::Notifier::tr(const char*)
    {25, 366, 10, 1, Smoke::mf_static, 16, 13},	//331 Solid::Networking::Notifier::trUtf8(const char*)
    {25, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//332 Solid::Networking::Notifier::staticMetaObject() const
    {25, 394, 0, 0, Smoke::mf_dtor, 0, 15 },	//333 Solid::Networking::Notifier::~Notifier()
    {26, 292, 0, 0, Smoke::mf_const, 154, 1},	//334 Solid::OpticalDisc::metaObject() const
    {26, 322, 10, 1, 0, 167, 2},	//335 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 362, 12, 2, Smoke::mf_static, 16, 3},	//336 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 366, 12, 2, Smoke::mf_static, 16, 4},	//337 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 362, 15, 3, Smoke::mf_static, 16, 5},	//338 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 366, 15, 3, Smoke::mf_static, 16, 6},	//339 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 320, 19, 3, 0, 164, 7},	//340 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 229, 0, 0, Smoke::mf_static, 122, 8},	//341 Solid::OpticalDisc::deviceInterfaceType()
    {26, 204, 0, 0, Smoke::mf_const, 5, 9},	//342 Solid::OpticalDisc::availableContent() const
    {26, 235, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//343 Solid::OpticalDisc::discType() const
    {26, 266, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//344 Solid::OpticalDisc::isAppendable() const
    {26, 267, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//345 Solid::OpticalDisc::isBlank() const
    {26, 275, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 13},	//346 Solid::OpticalDisc::isRewritable() const
    {26, 209, 0, 0, Smoke::mf_const, 166, 14},	//347 Solid::OpticalDisc::capacity() const
    {26, 362, 10, 1, Smoke::mf_static, 16, 15},	//348 Solid::OpticalDisc::tr(const char*)
    {26, 366, 10, 1, Smoke::mf_static, 16, 16},	//349 Solid::OpticalDisc::trUtf8(const char*)
    {26, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 17},	//350 Solid::OpticalDisc::staticMetaObject() const
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 18},	//351 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 19},	//352 Solid::OpticalDisc::Data (enum)
    {26, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 20},	//353 Solid::OpticalDisc::VideoCd (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 21},	//354 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 22},	//355 Solid::OpticalDisc::VideoDvd (enum)
    {26, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 23},	//356 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 24},	//357 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 25},	//358 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 26},	//359 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 27},	//360 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 28},	//361 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 29},	//362 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//363 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//364 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//365 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//366 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 34},	//367 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 35},	//368 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 36},	//369 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 37},	//370 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 38},	//371 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 39},	//372 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 40},	//373 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 395, 0, 0, Smoke::mf_dtor, 0, 41 },	//374 Solid::OpticalDisc::~OpticalDisc()
    {27, 292, 0, 0, Smoke::mf_const, 154, 1},	//375 Solid::OpticalDrive::metaObject() const
    {27, 322, 10, 1, 0, 167, 2},	//376 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 362, 12, 2, Smoke::mf_static, 16, 3},	//377 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 366, 12, 2, Smoke::mf_static, 16, 4},	//378 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 362, 15, 3, Smoke::mf_static, 16, 5},	//379 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 366, 15, 3, Smoke::mf_static, 16, 6},	//380 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 320, 19, 3, 0, 164, 7},	//381 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 229, 0, 0, Smoke::mf_static, 122, 8},	//382 Solid::OpticalDrive::deviceInterfaceType()
    {27, 352, 0, 0, Smoke::mf_const, 6, 9},	//383 Solid::OpticalDrive::supportedMedia() const
    {27, 324, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//384 Solid::OpticalDrive::readSpeed() const
    {27, 380, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//385 Solid::OpticalDrive::writeSpeed() const
    {27, 381, 0, 0, Smoke::mf_const|Smoke::mf_property, 9, 12},	//386 Solid::OpticalDrive::writeSpeeds() const
    {27, 242, 0, 0, 0, 151, 13},	//387 Solid::OpticalDrive::eject()
    {27, 245, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//388 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 243, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//389 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 247, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//390 Solid::OpticalDrive::ejectRequested(const QString&)
    {27, 362, 10, 1, Smoke::mf_static, 16, 17},	//391 Solid::OpticalDrive::tr(const char*)
    {27, 366, 10, 1, Smoke::mf_static, 16, 18},	//392 Solid::OpticalDrive::trUtf8(const char*)
    {27, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//393 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//394 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//395 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 22},	//396 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 23},	//397 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 24},	//398 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 25},	//399 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 26},	//400 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 27},	//401 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 28},	//402 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 29},	//403 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 30},	//404 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 31},	//405 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//406 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//407 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//408 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 35},	//409 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 396, 0, 0, Smoke::mf_dtor, 0, 36 },	//410 Solid::OpticalDrive::~OpticalDrive()
    {28, 292, 0, 0, Smoke::mf_const, 154, 1},	//411 Solid::PortableMediaPlayer::metaObject() const
    {28, 322, 10, 1, 0, 167, 2},	//412 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 362, 12, 2, Smoke::mf_static, 16, 3},	//413 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 366, 12, 2, Smoke::mf_static, 16, 4},	//414 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 362, 15, 3, Smoke::mf_static, 16, 5},	//415 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 366, 15, 3, Smoke::mf_static, 16, 6},	//416 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 320, 19, 3, 0, 164, 7},	//417 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 229, 0, 0, Smoke::mf_static, 122, 8},	//418 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 353, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//419 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 350, 32, 1, Smoke::mf_const, 17, 10},	//420 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 240, 34, 1, Smoke::mf_const, 20, 11},	//421 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 362, 10, 1, Smoke::mf_static, 16, 12},	//422 Solid::PortableMediaPlayer::tr(const char*)
    {28, 366, 10, 1, Smoke::mf_static, 16, 13},	//423 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 350, 0, 0, Smoke::mf_const, 17, 14},	//424 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//425 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 397, 0, 0, Smoke::mf_dtor, 0, 16 },	//426 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 199, 0, 0, Smoke::mf_static, 151, 1},	//427 Solid::PowerManagement::appShouldConserveResources()
    {29, 354, 0, 0, Smoke::mf_static, 15, 2},	//428 Solid::PowerManagement::supportedSleepStates()
    {29, 346, 66, 1, Smoke::mf_static, 151, 3},	//429 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 205, 34, 1, Smoke::mf_static, 164, 4},	//430 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 205, 0, 0, Smoke::mf_static, 164, 5},	//431 Solid::PowerManagement::beginSuppressingSleep()
    {29, 325, 68, 3, Smoke::mf_static, 0, 6},	//432 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 294, 0, 0, Smoke::mf_static, 134, 7},	//433 Solid::PowerManagement::notifier()
    {29, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 8},	//434 Solid::PowerManagement::StandbyState (enum)
    {29, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 9},	//435 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 10},	//436 Solid::PowerManagement::HibernateState (enum)
    {30, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//437 Solid::PowerManagement::Notifier::metaObject() const
    {30, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//438 Solid::PowerManagement::Notifier::qt_metacast(const char*)
    {30, 362, 12, 2, Smoke::mf_static, 16, 3},	//439 Solid::PowerManagement::Notifier::tr(const char*, const char*)
    {30, 366, 12, 2, Smoke::mf_static, 16, 4},	//440 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*)
    {30, 362, 15, 3, Smoke::mf_static, 16, 5},	//441 Solid::PowerManagement::Notifier::tr(const char*, const char*, int)
    {30, 366, 15, 3, Smoke::mf_static, 16, 6},	//442 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*, int)
    {30, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//443 Solid::PowerManagement::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {30, 200, 72, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//444 Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged(bool)
    {30, 127, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 134, 9},	//445 Solid::PowerManagement::Notifier::Notifier()
    {30, 362, 10, 1, Smoke::mf_static, 16, 10},	//446 Solid::PowerManagement::Notifier::tr(const char*)
    {30, 366, 10, 1, Smoke::mf_static, 16, 11},	//447 Solid::PowerManagement::Notifier::trUtf8(const char*)
    {30, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 12},	//448 Solid::PowerManagement::Notifier::staticMetaObject() const
    {30, 394, 0, 0, Smoke::mf_dtor, 0, 13 },	//449 Solid::PowerManagement::Notifier::~Notifier()
    {31, 139, 0, 0, Smoke::mf_ctor, 138, 1},	//450 Solid::Predicate::Predicate()
    {31, 139, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//451 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 139, 74, 4, Smoke::mf_ctor, 138, 3},	//452 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 139, 79, 4, Smoke::mf_ctor, 138, 4},	//453 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 139, 47, 1, Smoke::mf_ctor, 138, 5},	//454 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 139, 34, 1, Smoke::mf_ctor, 138, 6},	//455 Solid::Predicate::Predicate(const QString&)
    {31, 300, 49, 1, 0, 137, 7},	//456 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 296, 49, 1, 0, 136, 8},	//457 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 298, 49, 1, 0, 137, 9},	//458 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 302, 49, 1, 0, 136, 10},	//459 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 304, 49, 1, 0, 137, 11},	//460 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 276, 0, 0, Smoke::mf_const, 151, 12},	//461 Solid::Predicate::isValid() const
    {31, 288, 45, 1, Smoke::mf_const, 151, 13},	//462 Solid::Predicate::matches(const Solid::Device&) const
    {31, 377, 0, 0, Smoke::mf_const, 14, 14},	//463 Solid::Predicate::usedTypes() const
    {31, 361, 0, 0, Smoke::mf_const, 16, 15},	//464 Solid::Predicate::toString() const
    {31, 255, 34, 1, Smoke::mf_static, 136, 16},	//465 Solid::Predicate::fromString(const QString&)
    {31, 370, 0, 0, Smoke::mf_const, 140, 17},	//466 Solid::Predicate::type() const
    {31, 264, 0, 0, Smoke::mf_const, 122, 18},	//467 Solid::Predicate::interfaceType() const
    {31, 319, 0, 0, Smoke::mf_const, 16, 19},	//468 Solid::Predicate::propertyName() const
    {31, 290, 0, 0, Smoke::mf_const, 20, 20},	//469 Solid::Predicate::matchingValue() const
    {31, 217, 0, 0, Smoke::mf_const, 139, 21},	//470 Solid::Predicate::comparisonOperator() const
    {31, 254, 0, 0, Smoke::mf_const, 136, 22},	//471 Solid::Predicate::firstOperand() const
    {31, 327, 0, 0, Smoke::mf_const, 136, 23},	//472 Solid::Predicate::secondOperand() const
    {31, 139, 84, 3, Smoke::mf_ctor, 138, 24},	//473 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 139, 88, 3, Smoke::mf_ctor, 138, 25},	//474 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//475 Solid::Predicate::Equals (enum)
    {31, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//476 Solid::Predicate::Mask (enum)
    {31, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 28},	//477 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 29},	//478 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 30},	//479 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 31},	//480 Solid::Predicate::InterfaceCheck (enum)
    {31, 398, 0, 0, Smoke::mf_dtor, 0, 32 },	//481 Solid::Predicate::~Predicate()
    {32, 292, 0, 0, Smoke::mf_const, 154, 1},	//482 Solid::Processor::metaObject() const
    {32, 322, 10, 1, 0, 167, 2},	//483 Solid::Processor::qt_metacast(const char*)
    {32, 362, 12, 2, Smoke::mf_static, 16, 3},	//484 Solid::Processor::tr(const char*, const char*)
    {32, 366, 12, 2, Smoke::mf_static, 16, 4},	//485 Solid::Processor::trUtf8(const char*, const char*)
    {32, 362, 15, 3, Smoke::mf_static, 16, 5},	//486 Solid::Processor::tr(const char*, const char*, int)
    {32, 366, 15, 3, Smoke::mf_static, 16, 6},	//487 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 320, 19, 3, 0, 164, 7},	//488 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 229, 0, 0, Smoke::mf_static, 122, 8},	//489 Solid::Processor::deviceInterfaceType()
    {32, 295, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//490 Solid::Processor::number() const
    {32, 291, 0, 0, Smoke::mf_const, 164, 10},	//491 Solid::Processor::maxSpeed() const
    {32, 208, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//492 Solid::Processor::canChangeFrequency() const
    {32, 263, 0, 0, Smoke::mf_const, 7, 12},	//493 Solid::Processor::instructionSets() const
    {32, 362, 10, 1, Smoke::mf_static, 16, 13},	//494 Solid::Processor::tr(const char*)
    {32, 366, 10, 1, Smoke::mf_static, 16, 14},	//495 Solid::Processor::trUtf8(const char*)
    {32, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//496 Solid::Processor::staticMetaObject() const
    {32, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 16},	//497 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 17},	//498 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 18},	//499 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 19},	//500 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 20},	//501 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 21},	//502 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 22},	//503 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 23},	//504 Solid::Processor::AltiVec (enum)
    {32, 399, 0, 0, Smoke::mf_dtor, 0, 24 },	//505 Solid::Processor::~Processor()
    {33, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//506 Solid::StorageAccess::metaObject() const
    {33, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//507 Solid::StorageAccess::qt_metacast(const char*)
    {33, 362, 12, 2, Smoke::mf_static, 16, 3},	//508 Solid::StorageAccess::tr(const char*, const char*)
    {33, 366, 12, 2, Smoke::mf_static, 16, 4},	//509 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 362, 15, 3, Smoke::mf_static, 16, 5},	//510 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 366, 15, 3, Smoke::mf_static, 16, 6},	//511 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//512 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 229, 0, 0, Smoke::mf_static, 122, 8},	//513 Solid::StorageAccess::deviceInterfaceType()
    {33, 265, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//514 Solid::StorageAccess::isAccessible() const
    {33, 253, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//515 Solid::StorageAccess::filePath() const
    {33, 332, 0, 0, 0, 151, 11},	//516 Solid::StorageAccess::setup()
    {33, 355, 0, 0, 0, 151, 12},	//517 Solid::StorageAccess::teardown()
    {33, 195, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//518 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 333, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//519 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 356, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//520 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 335, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//521 Solid::StorageAccess::setupRequested(const QString&)
    {33, 358, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//522 Solid::StorageAccess::teardownRequested(const QString&)
    {33, 169, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 142, 18},	//523 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 362, 10, 1, Smoke::mf_static, 16, 19},	//524 Solid::StorageAccess::tr(const char*)
    {33, 366, 10, 1, Smoke::mf_static, 16, 20},	//525 Solid::StorageAccess::trUtf8(const char*)
    {33, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 21},	//526 Solid::StorageAccess::staticMetaObject() const
    {33, 400, 0, 0, Smoke::mf_dtor, 0, 22 },	//527 Solid::StorageAccess::~StorageAccess()
    {35, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//528 Solid::StorageDrive::metaObject() const
    {35, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//529 Solid::StorageDrive::qt_metacast(const char*)
    {35, 362, 12, 2, Smoke::mf_static, 16, 3},	//530 Solid::StorageDrive::tr(const char*, const char*)
    {35, 366, 12, 2, Smoke::mf_static, 16, 4},	//531 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 362, 15, 3, Smoke::mf_static, 16, 5},	//532 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 366, 15, 3, Smoke::mf_static, 16, 6},	//533 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//534 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 229, 0, 0, Smoke::mf_static, 122, 8},	//535 Solid::StorageDrive::deviceInterfaceType()
    {35, 207, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//536 Solid::StorageDrive::bus() const
    {35, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 10},	//537 Solid::StorageDrive::driveType() const
    {35, 274, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//538 Solid::StorageDrive::isRemovable() const
    {35, 270, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//539 Solid::StorageDrive::isHotpluggable() const
    {35, 339, 0, 0, Smoke::mf_const, 166, 13},	//540 Solid::StorageDrive::size() const
    {35, 171, 95, 2, Smoke::mf_ctor|Smoke::mf_protected, 144, 14},	//541 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 362, 10, 1, Smoke::mf_static, 16, 15},	//542 Solid::StorageDrive::tr(const char*)
    {35, 366, 10, 1, Smoke::mf_static, 16, 16},	//543 Solid::StorageDrive::trUtf8(const char*)
    {35, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 17},	//544 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 18},	//545 Solid::StorageDrive::Ide (enum)
    {35, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 19},	//546 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 20},	//547 Solid::StorageDrive::Ieee1394 (enum)
    {35, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 21},	//548 Solid::StorageDrive::Scsi (enum)
    {35, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 22},	//549 Solid::StorageDrive::Sata (enum)
    {35, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 23},	//550 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 24},	//551 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//552 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//553 Solid::StorageDrive::Floppy (enum)
    {35, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 27},	//554 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 28},	//555 Solid::StorageDrive::CompactFlash (enum)
    {35, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//556 Solid::StorageDrive::MemoryStick (enum)
    {35, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 30},	//557 Solid::StorageDrive::SmartMedia (enum)
    {35, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 31},	//558 Solid::StorageDrive::SdMmc (enum)
    {35, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 32},	//559 Solid::StorageDrive::Xd (enum)
    {35, 401, 0, 0, Smoke::mf_dtor, 0, 33 },	//560 Solid::StorageDrive::~StorageDrive()
    {37, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//561 Solid::StorageVolume::metaObject() const
    {37, 322, 10, 1, Smoke::mf_virtual, 167, 2},	//562 Solid::StorageVolume::qt_metacast(const char*)
    {37, 362, 12, 2, Smoke::mf_static, 16, 3},	//563 Solid::StorageVolume::tr(const char*, const char*)
    {37, 366, 12, 2, Smoke::mf_static, 16, 4},	//564 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 362, 15, 3, Smoke::mf_static, 16, 5},	//565 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 366, 15, 3, Smoke::mf_static, 16, 6},	//566 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 320, 19, 3, Smoke::mf_virtual, 164, 7},	//567 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 229, 0, 0, Smoke::mf_static, 122, 8},	//568 Solid::StorageVolume::deviceInterfaceType()
    {37, 271, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//569 Solid::StorageVolume::isIgnored() const
    {37, 376, 0, 0, Smoke::mf_const|Smoke::mf_property, 149, 10},	//570 Solid::StorageVolume::usage() const
    {37, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//571 Solid::StorageVolume::fsType() const
    {37, 278, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 12},	//572 Solid::StorageVolume::label() const
    {37, 378, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 13},	//573 Solid::StorageVolume::uuid() const
    {37, 339, 0, 0, Smoke::mf_const, 166, 14},	//574 Solid::StorageVolume::size() const
    {37, 250, 0, 0, Smoke::mf_const, 118, 15},	//575 Solid::StorageVolume::encryptedContainer() const
    {37, 173, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 16},	//576 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 362, 10, 1, Smoke::mf_static, 16, 17},	//577 Solid::StorageVolume::tr(const char*)
    {37, 366, 10, 1, Smoke::mf_static, 16, 18},	//578 Solid::StorageVolume::trUtf8(const char*)
    {37, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//579 Solid::StorageVolume::staticMetaObject() const
    {37, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 20},	//580 Solid::StorageVolume::Other (enum)
    {37, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 21},	//581 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 22},	//582 Solid::StorageVolume::FileSystem (enum)
    {37, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 23},	//583 Solid::StorageVolume::PartitionTable (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 24},	//584 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 25},	//585 Solid::StorageVolume::Encrypted (enum)
    {37, 402, 0, 0, Smoke::mf_dtor, 0, 26 },	//586 Solid::StorageVolume::~StorageVolume()
    {39, 292, 0, 0, Smoke::mf_const, 154, 1},	//587 Solid::Video::metaObject() const
    {39, 322, 10, 1, 0, 167, 2},	//588 Solid::Video::qt_metacast(const char*)
    {39, 362, 12, 2, Smoke::mf_static, 16, 3},	//589 Solid::Video::tr(const char*, const char*)
    {39, 366, 12, 2, Smoke::mf_static, 16, 4},	//590 Solid::Video::trUtf8(const char*, const char*)
    {39, 362, 15, 3, Smoke::mf_static, 16, 5},	//591 Solid::Video::tr(const char*, const char*, int)
    {39, 366, 15, 3, Smoke::mf_static, 16, 6},	//592 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 320, 19, 3, 0, 164, 7},	//593 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 229, 0, 0, Smoke::mf_static, 122, 8},	//594 Solid::Video::deviceInterfaceType()
    {39, 353, 0, 0, Smoke::mf_const, 17, 9},	//595 Solid::Video::supportedProtocols() const
    {39, 350, 32, 1, Smoke::mf_const, 17, 10},	//596 Solid::Video::supportedDrivers(QString) const
    {39, 240, 34, 1, Smoke::mf_const, 20, 11},	//597 Solid::Video::driverHandle(const QString&) const
    {39, 362, 10, 1, Smoke::mf_static, 16, 12},	//598 Solid::Video::tr(const char*)
    {39, 366, 10, 1, Smoke::mf_static, 16, 13},	//599 Solid::Video::trUtf8(const char*)
    {39, 350, 0, 0, Smoke::mf_const, 17, 14},	//600 Solid::Video::supportedDrivers() const
    {39, 342, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//601 Solid::Video::staticMetaObject() const
    {39, 403, 0, 0, Smoke::mf_dtor, 0, 16 },	//602 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    454,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    455,  // Solid::Predicate::Predicate(const QString&)
    0,
    473,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    474,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    452,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    453,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
    184,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    185,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 96, 13},	// QGlobalSpace::LicensedActiveQt
    {4, 97, 19},	// QGlobalSpace::LicensedCore
    {4, 98, 11},	// QGlobalSpace::LicensedDBus
    {4, 99, 16},	// QGlobalSpace::LicensedDeclarative
    {4, 100, 6},	// QGlobalSpace::LicensedGui
    {4, 101, 25},	// QGlobalSpace::LicensedHelp
    {4, 102, 26},	// QGlobalSpace::LicensedMultimedia
    {4, 103, 29},	// QGlobalSpace::LicensedNetwork
    {4, 104, 18},	// QGlobalSpace::LicensedOpenGL
    {4, 105, 10},	// QGlobalSpace::LicensedOpenVG
    {4, 106, 27},	// QGlobalSpace::LicensedQt3Support
    {4, 107, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {4, 108, 9},	// QGlobalSpace::LicensedScript
    {4, 109, 14},	// QGlobalSpace::LicensedScriptTools
    {4, 110, 17},	// QGlobalSpace::LicensedSql
    {4, 111, 15},	// QGlobalSpace::LicensedSvg
    {4, 112, 12},	// QGlobalSpace::LicensedTest
    {4, 113, 7},	// QGlobalSpace::LicensedXml
    {4, 114, 28},	// QGlobalSpace::LicensedXmlPatterns
    {4, 150, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 151, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 152, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 153, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 154, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 155, 22},	// QGlobalSpace::QtCriticalMsg
    {4, 156, 20},	// QGlobalSpace::QtDebugMsg
    {4, 157, 23},	// QGlobalSpace::QtFatalMsg
    {4, 158, 24},	// QGlobalSpace::QtSystemMsg
    {4, 159, 21},	// QGlobalSpace::QtWarningMsg
    {10, 125, 37},	// Solid::NoError
    {10, 179, 38},	// Solid::UnauthorizedOperation
    {11, 229, 46},	// Solid::AcAdapter::deviceInterfaceType
    {11, 272, 47},	// Solid::AcAdapter::isPlugged
    {11, 292, 39},	// Solid::AcAdapter::metaObject
    {11, 309, 48},	// Solid::AcAdapter::plugStateChanged$$
    {11, 321, 45},	// Solid::AcAdapter::qt_metacall$$?
    {11, 323, 40},	// Solid::AcAdapter::qt_metacast$
    {11, 342, 51},	// Solid::AcAdapter::staticMetaObject
    {11, 363, 49},	// Solid::AcAdapter::tr$
    {11, 364, 41},	// Solid::AcAdapter::tr$$
    {11, 365, 43},	// Solid::AcAdapter::tr$$$
    {11, 367, 50},	// Solid::AcAdapter::trUtf8$
    {11, 368, 42},	// Solid::AcAdapter::trUtf8$$
    {11, 369, 44},	// Solid::AcAdapter::trUtf8$$$
    {11, 382, 52},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 69},	// Solid::AudioInterface::Alsa
    {12, 6, 73},	// Solid::AudioInterface::AudioControl
    {12, 7, 74},	// Solid::AudioInterface::AudioInput
    {12, 9, 75},	// Solid::AudioInterface::AudioOutput
    {12, 72, 78},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 79},	// Solid::AudioInterface::Headset
    {12, 92, 76},	// Solid::AudioInterface::InternalSoundcard
    {12, 120, 80},	// Solid::AudioInterface::Modem
    {12, 129, 70},	// Solid::AudioInterface::OpenSoundSystem
    {12, 182, 71},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 183, 72},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 190, 77},	// Solid::AudioInterface::UsbSoundcard
    {12, 229, 60},	// Solid::AudioInterface::deviceInterfaceType
    {12, 234, 64},	// Solid::AudioInterface::deviceType
    {12, 239, 61},	// Solid::AudioInterface::driver
    {12, 240, 62},	// Solid::AudioInterface::driverHandle
    {12, 292, 53},	// Solid::AudioInterface::metaObject
    {12, 293, 63},	// Solid::AudioInterface::name
    {12, 321, 59},	// Solid::AudioInterface::qt_metacall$$?
    {12, 323, 54},	// Solid::AudioInterface::qt_metacast$
    {12, 340, 65},	// Solid::AudioInterface::soundcardType
    {12, 342, 68},	// Solid::AudioInterface::staticMetaObject
    {12, 363, 66},	// Solid::AudioInterface::tr$
    {12, 364, 55},	// Solid::AudioInterface::tr$$
    {12, 365, 57},	// Solid::AudioInterface::tr$$$
    {12, 367, 67},	// Solid::AudioInterface::trUtf8$
    {12, 368, 56},	// Solid::AudioInterface::trUtf8$$
    {12, 369, 58},	// Solid::AudioInterface::trUtf8$$$
    {12, 383, 81},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 108},	// Solid::Battery::CameraBattery
    {13, 27, 112},	// Solid::Battery::Charging
    {13, 39, 113},	// Solid::Battery::Discharging
    {13, 93, 106},	// Solid::Battery::KeyboardBattery
    {13, 94, 107},	// Solid::Battery::KeyboardMouseBattery
    {13, 121, 110},	// Solid::Battery::MonitorBattery
    {13, 122, 105},	// Solid::Battery::MouseBattery
    {13, 124, 111},	// Solid::Battery::NoCharge
    {13, 134, 102},	// Solid::Battery::PdaBattery
    {13, 135, 109},	// Solid::Battery::PhoneBattery
    {13, 144, 104},	// Solid::Battery::PrimaryBattery
    {13, 184, 101},	// Solid::Battery::UnknownBattery
    {13, 188, 103},	// Solid::Battery::UpsBattery
    {13, 210, 92},	// Solid::Battery::chargePercent
    {13, 212, 95},	// Solid::Battery::chargePercentChanged$$
    {13, 213, 94},	// Solid::Battery::chargeState
    {13, 215, 96},	// Solid::Battery::chargeStateChanged$$
    {13, 229, 89},	// Solid::Battery::deviceInterfaceType
    {13, 272, 90},	// Solid::Battery::isPlugged
    {13, 273, 93},	// Solid::Battery::isRechargeable
    {13, 292, 82},	// Solid::Battery::metaObject
    {13, 309, 97},	// Solid::Battery::plugStateChanged$$
    {13, 321, 88},	// Solid::Battery::qt_metacall$$?
    {13, 323, 83},	// Solid::Battery::qt_metacast$
    {13, 342, 100},	// Solid::Battery::staticMetaObject
    {13, 363, 98},	// Solid::Battery::tr$
    {13, 364, 84},	// Solid::Battery::tr$$
    {13, 365, 86},	// Solid::Battery::tr$$$
    {13, 367, 99},	// Solid::Battery::trUtf8$
    {13, 368, 85},	// Solid::Battery::trUtf8$$
    {13, 369, 87},	// Solid::Battery::trUtf8$$$
    {13, 370, 91},	// Solid::Battery::type
    {13, 384, 114},	// Solid::Battery::~Battery
    {14, 224, 125},	// Solid::Block::device
    {14, 229, 122},	// Solid::Block::deviceInterfaceType
    {14, 230, 123},	// Solid::Block::deviceMajor
    {14, 231, 124},	// Solid::Block::deviceMinor
    {14, 292, 115},	// Solid::Block::metaObject
    {14, 321, 121},	// Solid::Block::qt_metacall$$?
    {14, 323, 116},	// Solid::Block::qt_metacast$
    {14, 342, 128},	// Solid::Block::staticMetaObject
    {14, 363, 126},	// Solid::Block::tr$
    {14, 364, 117},	// Solid::Block::tr$$
    {14, 365, 119},	// Solid::Block::tr$$$
    {14, 367, 127},	// Solid::Block::trUtf8$
    {14, 368, 118},	// Solid::Block::trUtf8$$
    {14, 369, 120},	// Solid::Block::trUtf8$$$
    {14, 385, 129},	// Solid::Block::~Block
    {15, 115, 145},	// Solid::Button::LidButton
    {15, 138, 146},	// Solid::Button::PowerButton
    {15, 165, 147},	// Solid::Button::SleepButton
    {15, 177, 149},	// Solid::Button::TabletButton
    {15, 185, 148},	// Solid::Button::UnknownButtonType
    {15, 229, 137},	// Solid::Button::deviceInterfaceType
    {15, 258, 139},	// Solid::Button::hasState
    {15, 292, 130},	// Solid::Button::metaObject
    {15, 311, 141},	// Solid::Button::pressed$$
    {15, 321, 136},	// Solid::Button::qt_metacall$$?
    {15, 323, 131},	// Solid::Button::qt_metacast$
    {15, 341, 140},	// Solid::Button::stateValue
    {15, 342, 144},	// Solid::Button::staticMetaObject
    {15, 363, 142},	// Solid::Button::tr$
    {15, 364, 132},	// Solid::Button::tr$$
    {15, 365, 134},	// Solid::Button::tr$$$
    {15, 367, 143},	// Solid::Button::trUtf8$
    {15, 368, 133},	// Solid::Button::trUtf8$$
    {15, 369, 135},	// Solid::Button::trUtf8$$$
    {15, 370, 138},	// Solid::Button::type
    {15, 386, 150},	// Solid::Button::~Button
    {16, 229, 158},	// Solid::Camera::deviceInterfaceType
    {16, 241, 161},	// Solid::Camera::driverHandle$
    {16, 292, 151},	// Solid::Camera::metaObject
    {16, 321, 157},	// Solid::Camera::qt_metacall$$?
    {16, 323, 152},	// Solid::Camera::qt_metacast$
    {16, 342, 165},	// Solid::Camera::staticMetaObject
    {16, 350, 164},	// Solid::Camera::supportedDrivers
    {16, 351, 160},	// Solid::Camera::supportedDrivers$
    {16, 353, 159},	// Solid::Camera::supportedProtocols
    {16, 363, 162},	// Solid::Camera::tr$
    {16, 364, 153},	// Solid::Camera::tr$$
    {16, 365, 155},	// Solid::Camera::tr$$$
    {16, 367, 163},	// Solid::Camera::trUtf8$
    {16, 368, 154},	// Solid::Camera::trUtf8$$
    {16, 369, 156},	// Solid::Camera::trUtf8$$$
    {16, 387, 166},	// Solid::Camera::~Camera
    {17, 33, 189},	// Solid::Device::Device
    {17, 34, 172},	// Solid::Device::Device#
    {17, 35, 171},	// Solid::Device::Device$
    {17, 197, 167},	// Solid::Device::allDevices
    {17, 203, -10},	// Solid::Device::asDeviceInterface$
    {17, 223, 182},	// Solid::Device::description
    {17, 249, 181},	// Solid::Device::emblems
    {17, 260, 180},	// Solid::Device::icon
    {17, 269, 183},	// Solid::Device::isDeviceInterface$
    {17, 276, 174},	// Solid::Device::isValid
    {17, 280, 187},	// Solid::Device::listFromQuery#
    {17, 281, 169},	// Solid::Device::listFromQuery#$
    {17, 282, 188},	// Solid::Device::listFromQuery$
    {17, 283, 170},	// Solid::Device::listFromQuery$$
    {17, 285, 186},	// Solid::Device::listFromType$
    {17, 286, 168},	// Solid::Device::listFromType$$
    {17, 301, 173},	// Solid::Device::operator=#
    {17, 306, 177},	// Solid::Device::parent
    {17, 307, 176},	// Solid::Device::parentUdi
    {17, 312, 179},	// Solid::Device::product
    {17, 375, 175},	// Solid::Device::udi
    {17, 379, 178},	// Solid::Device::vendor
    {17, 388, 190},	// Solid::Device::~Device
    {18, 1, 218},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 221},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 219},	// Solid::DeviceInterface::Battery
    {18, 14, 209},	// Solid::DeviceInterface::Block
    {18, 18, 220},	// Solid::DeviceInterface::Button
    {18, 19, 215},	// Solid::DeviceInterface::Camera
    {18, 37, 202},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 222},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 207},	// Solid::DeviceInterface::GenericInterface
    {18, 95, 226},	// Solid::DeviceInterface::Last
    {18, 123, 217},	// Solid::DeviceInterface::NetworkInterface
    {18, 130, 214},	// Solid::DeviceInterface::OpticalDisc
    {18, 131, 212},	// Solid::DeviceInterface::OpticalDrive
    {18, 137, 216},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 145, 208},	// Solid::DeviceInterface::Processor
    {18, 164, 224},	// Solid::DeviceInterface::SerialInterface
    {18, 166, 225},	// Solid::DeviceInterface::SmartCardReader
    {18, 169, 210},	// Solid::DeviceInterface::StorageAccess
    {18, 171, 211},	// Solid::DeviceInterface::StorageDrive
    {18, 173, 213},	// Solid::DeviceInterface::StorageVolume
    {18, 181, 206},	// Solid::DeviceInterface::Unknown
    {18, 191, 223},	// Solid::DeviceInterface::Video
    {18, 276, 198},	// Solid::DeviceInterface::isValid
    {18, 292, 191},	// Solid::DeviceInterface::metaObject
    {18, 321, 197},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 323, 192},	// Solid::DeviceInterface::qt_metacast$
    {18, 342, 205},	// Solid::DeviceInterface::staticMetaObject
    {18, 349, 200},	// Solid::DeviceInterface::stringToType$
    {18, 363, 203},	// Solid::DeviceInterface::tr$
    {18, 364, 193},	// Solid::DeviceInterface::tr$$
    {18, 365, 195},	// Solid::DeviceInterface::tr$$$
    {18, 367, 204},	// Solid::DeviceInterface::trUtf8$
    {18, 368, 194},	// Solid::DeviceInterface::trUtf8$$
    {18, 369, 196},	// Solid::DeviceInterface::trUtf8$$$
    {18, 372, 201},	// Solid::DeviceInterface::typeDescription$
    {18, 374, 199},	// Solid::DeviceInterface::typeToString$
    {18, 389, 227},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 238},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 227, 236},	// Solid::DeviceNotifier::deviceAdded$
    {20, 233, 237},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 262, 235},	// Solid::DeviceNotifier::instance
    {20, 292, 228},	// Solid::DeviceNotifier::metaObject
    {20, 321, 234},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 323, 229},	// Solid::DeviceNotifier::qt_metacast$
    {20, 342, 241},	// Solid::DeviceNotifier::staticMetaObject
    {20, 363, 239},	// Solid::DeviceNotifier::tr$
    {20, 364, 230},	// Solid::DeviceNotifier::tr$$
    {20, 365, 232},	// Solid::DeviceNotifier::tr$$$
    {20, 367, 240},	// Solid::DeviceNotifier::trUtf8$
    {20, 368, 231},	// Solid::DeviceNotifier::trUtf8$$
    {20, 369, 233},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 390, 242},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 259},	// Solid::DvbInterface::DvbAudio
    {21, 43, 260},	// Solid::DvbInterface::DvbCa
    {21, 44, 261},	// Solid::DvbInterface::DvbDemux
    {21, 45, 262},	// Solid::DvbInterface::DvbDvr
    {21, 46, 263},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 264},	// Solid::DvbInterface::DvbNet
    {21, 49, 265},	// Solid::DvbInterface::DvbOsd
    {21, 50, 266},	// Solid::DvbInterface::DvbSec
    {21, 51, 258},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 267},	// Solid::DvbInterface::DvbVideo
    {21, 224, 251},	// Solid::DvbInterface::device
    {21, 225, 252},	// Solid::DvbInterface::deviceAdapter
    {21, 228, 254},	// Solid::DvbInterface::deviceIndex
    {21, 229, 250},	// Solid::DvbInterface::deviceInterfaceType
    {21, 234, 253},	// Solid::DvbInterface::deviceType
    {21, 292, 243},	// Solid::DvbInterface::metaObject
    {21, 321, 249},	// Solid::DvbInterface::qt_metacall$$?
    {21, 323, 244},	// Solid::DvbInterface::qt_metacast$
    {21, 342, 257},	// Solid::DvbInterface::staticMetaObject
    {21, 363, 255},	// Solid::DvbInterface::tr$
    {21, 364, 245},	// Solid::DvbInterface::tr$$
    {21, 365, 247},	// Solid::DvbInterface::tr$$$
    {21, 367, 256},	// Solid::DvbInterface::trUtf8$
    {21, 368, 246},	// Solid::DvbInterface::trUtf8$$
    {21, 369, 248},	// Solid::DvbInterface::trUtf8$$$
    {21, 391, 268},	// Solid::DvbInterface::~DvbInterface
    {22, 146, 286},	// Solid::GenericInterface::PropertyAdded
    {22, 148, 285},	// Solid::GenericInterface::PropertyModified
    {22, 149, 287},	// Solid::GenericInterface::PropertyRemoved
    {22, 198, 278},	// Solid::GenericInterface::allProperties
    {22, 219, 281},	// Solid::GenericInterface::conditionRaised$$
    {22, 229, 276},	// Solid::GenericInterface::deviceInterfaceType
    {22, 292, 269},	// Solid::GenericInterface::metaObject
    {22, 314, 277},	// Solid::GenericInterface::property$
    {22, 316, 280},	// Solid::GenericInterface::propertyChanged?
    {22, 318, 279},	// Solid::GenericInterface::propertyExists$
    {22, 321, 275},	// Solid::GenericInterface::qt_metacall$$?
    {22, 323, 270},	// Solid::GenericInterface::qt_metacast$
    {22, 342, 284},	// Solid::GenericInterface::staticMetaObject
    {22, 363, 282},	// Solid::GenericInterface::tr$
    {22, 364, 271},	// Solid::GenericInterface::tr$$
    {22, 365, 273},	// Solid::GenericInterface::tr$$$
    {22, 367, 283},	// Solid::GenericInterface::trUtf8$
    {22, 368, 272},	// Solid::GenericInterface::trUtf8$$
    {22, 369, 274},	// Solid::GenericInterface::trUtf8$$$
    {22, 392, 288},	// Solid::GenericInterface::~GenericInterface
    {23, 229, 296},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 259, 299},	// Solid::NetworkInterface::hwAddress
    {23, 261, 297},	// Solid::NetworkInterface::ifaceName
    {23, 277, 298},	// Solid::NetworkInterface::isWireless
    {23, 287, 300},	// Solid::NetworkInterface::macAddress
    {23, 292, 289},	// Solid::NetworkInterface::metaObject
    {23, 321, 295},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 323, 290},	// Solid::NetworkInterface::qt_metacast$
    {23, 342, 303},	// Solid::NetworkInterface::staticMetaObject
    {23, 363, 301},	// Solid::NetworkInterface::tr$
    {23, 364, 291},	// Solid::NetworkInterface::tr$$
    {23, 365, 293},	// Solid::NetworkInterface::tr$$$
    {23, 367, 302},	// Solid::NetworkInterface::trUtf8$
    {23, 368, 292},	// Solid::NetworkInterface::trUtf8$$
    {23, 369, 294},	// Solid::NetworkInterface::trUtf8$$$
    {23, 393, 304},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 318},	// Solid::Networking::Connected
    {24, 31, 317},	// Solid::Networking::Connecting
    {24, 40, 316},	// Solid::Networking::Disconnecting
    {24, 116, 313},	// Solid::Networking::Managed
    {24, 117, 311},	// Solid::Networking::Manual
    {24, 128, 312},	// Solid::Networking::OnNextStatusChange
    {24, 180, 315},	// Solid::Networking::Unconnected
    {24, 181, 314},	// Solid::Networking::Unknown
    {24, 221, 305},	// Solid::Networking::connectPolicy
    {24, 237, 308},	// Solid::Networking::disconnectPolicy
    {24, 294, 310},	// Solid::Networking::notifier
    {24, 329, 306},	// Solid::Networking::setConnectPolicy$
    {24, 331, 307},	// Solid::Networking::setDisconnectPolicy$
    {24, 343, 309},	// Solid::Networking::status
    {25, 127, 329},	// Solid::Networking::Notifier::Notifier
    {25, 292, 319},	// Solid::Networking::Notifier::metaObject
    {25, 321, 325},	// Solid::Networking::Notifier::qt_metacall$$?
    {25, 323, 320},	// Solid::Networking::Notifier::qt_metacast$
    {25, 337, 327},	// Solid::Networking::Notifier::shouldConnect
    {25, 338, 328},	// Solid::Networking::Notifier::shouldDisconnect
    {25, 342, 332},	// Solid::Networking::Notifier::staticMetaObject
    {25, 345, 326},	// Solid::Networking::Notifier::statusChanged$
    {25, 363, 330},	// Solid::Networking::Notifier::tr$
    {25, 364, 321},	// Solid::Networking::Notifier::tr$$
    {25, 365, 323},	// Solid::Networking::Notifier::tr$$$
    {25, 367, 331},	// Solid::Networking::Notifier::trUtf8$
    {25, 368, 322},	// Solid::Networking::Notifier::trUtf8$$
    {25, 369, 324},	// Solid::Networking::Notifier::trUtf8$$$
    {25, 394, 333},	// Solid::Networking::Notifier::~Notifier
    {26, 5, 351},	// Solid::OpticalDisc::Audio
    {26, 15, 369},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 370},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 368},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 358},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 359},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 357},	// Solid::OpticalDisc::CdRom
    {26, 32, 352},	// Solid::OpticalDisc::Data
    {26, 54, 364},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 366},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 365},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 367},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 361},	// Solid::OpticalDisc::DvdRam
    {26, 59, 362},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 363},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 360},	// Solid::OpticalDisc::DvdRom
    {26, 77, 372},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 373},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 371},	// Solid::OpticalDisc::HdDvdRom
    {26, 175, 354},	// Solid::OpticalDisc::SuperVideoCd
    {26, 186, 356},	// Solid::OpticalDisc::UnknownDiscType
    {26, 192, 353},	// Solid::OpticalDisc::VideoCd
    {26, 193, 355},	// Solid::OpticalDisc::VideoDvd
    {26, 204, 342},	// Solid::OpticalDisc::availableContent
    {26, 209, 347},	// Solid::OpticalDisc::capacity
    {26, 229, 341},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 235, 343},	// Solid::OpticalDisc::discType
    {26, 266, 344},	// Solid::OpticalDisc::isAppendable
    {26, 267, 345},	// Solid::OpticalDisc::isBlank
    {26, 275, 346},	// Solid::OpticalDisc::isRewritable
    {26, 292, 334},	// Solid::OpticalDisc::metaObject
    {26, 321, 340},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 323, 335},	// Solid::OpticalDisc::qt_metacast$
    {26, 342, 350},	// Solid::OpticalDisc::staticMetaObject
    {26, 363, 348},	// Solid::OpticalDisc::tr$
    {26, 364, 336},	// Solid::OpticalDisc::tr$$
    {26, 365, 338},	// Solid::OpticalDisc::tr$$$
    {26, 367, 349},	// Solid::OpticalDisc::trUtf8$
    {26, 368, 337},	// Solid::OpticalDisc::trUtf8$$
    {26, 369, 339},	// Solid::OpticalDisc::trUtf8$$$
    {26, 395, 374},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 404},	// Solid::OpticalDrive::Bd
    {27, 12, 405},	// Solid::OpticalDrive::Bdr
    {27, 13, 406},	// Solid::OpticalDrive::Bdre
    {27, 24, 394},	// Solid::OpticalDrive::Cdr
    {27, 26, 395},	// Solid::OpticalDrive::Cdrw
    {27, 53, 396},	// Solid::OpticalDrive::Dvd
    {27, 62, 402},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 403},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 400},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 401},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 397},	// Solid::OpticalDrive::Dvdr
    {27, 67, 399},	// Solid::OpticalDrive::Dvdram
    {27, 68, 398},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 407},	// Solid::OpticalDrive::HdDvd
    {27, 80, 408},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 409},	// Solid::OpticalDrive::HdDvdrw
    {27, 229, 382},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 242, 387},	// Solid::OpticalDrive::eject
    {27, 244, 389},	// Solid::OpticalDrive::ejectDone$#$
    {27, 246, 388},	// Solid::OpticalDrive::ejectPressed$
    {27, 248, 390},	// Solid::OpticalDrive::ejectRequested$
    {27, 292, 375},	// Solid::OpticalDrive::metaObject
    {27, 321, 381},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 323, 376},	// Solid::OpticalDrive::qt_metacast$
    {27, 324, 384},	// Solid::OpticalDrive::readSpeed
    {27, 342, 393},	// Solid::OpticalDrive::staticMetaObject
    {27, 352, 383},	// Solid::OpticalDrive::supportedMedia
    {27, 363, 391},	// Solid::OpticalDrive::tr$
    {27, 364, 377},	// Solid::OpticalDrive::tr$$
    {27, 365, 379},	// Solid::OpticalDrive::tr$$$
    {27, 367, 392},	// Solid::OpticalDrive::trUtf8$
    {27, 368, 378},	// Solid::OpticalDrive::trUtf8$$
    {27, 369, 380},	// Solid::OpticalDrive::trUtf8$$$
    {27, 380, 385},	// Solid::OpticalDrive::writeSpeed
    {27, 381, 386},	// Solid::OpticalDrive::writeSpeeds
    {27, 396, 410},	// Solid::OpticalDrive::~OpticalDrive
    {28, 229, 418},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 241, 421},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 292, 411},	// Solid::PortableMediaPlayer::metaObject
    {28, 321, 417},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 323, 412},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 342, 425},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 350, 424},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 351, 420},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 353, 419},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 363, 422},	// Solid::PortableMediaPlayer::tr$
    {28, 364, 413},	// Solid::PortableMediaPlayer::tr$$
    {28, 365, 415},	// Solid::PortableMediaPlayer::tr$$$
    {28, 367, 423},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 368, 414},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 369, 416},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 397, 426},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 436},	// Solid::PowerManagement::HibernateState
    {29, 168, 434},	// Solid::PowerManagement::StandbyState
    {29, 176, 435},	// Solid::PowerManagement::SuspendState
    {29, 199, 427},	// Solid::PowerManagement::appShouldConserveResources
    {29, 205, 431},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 206, 430},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 294, 433},	// Solid::PowerManagement::notifier
    {29, 326, 432},	// Solid::PowerManagement::requestSleep$#$
    {29, 347, 429},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 354, 428},	// Solid::PowerManagement::supportedSleepStates
    {30, 127, 445},	// Solid::PowerManagement::Notifier::Notifier
    {30, 201, 444},	// Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged$
    {30, 292, 437},	// Solid::PowerManagement::Notifier::metaObject
    {30, 321, 443},	// Solid::PowerManagement::Notifier::qt_metacall$$?
    {30, 323, 438},	// Solid::PowerManagement::Notifier::qt_metacast$
    {30, 342, 448},	// Solid::PowerManagement::Notifier::staticMetaObject
    {30, 363, 446},	// Solid::PowerManagement::Notifier::tr$
    {30, 364, 439},	// Solid::PowerManagement::Notifier::tr$$
    {30, 365, 441},	// Solid::PowerManagement::Notifier::tr$$$
    {30, 367, 447},	// Solid::PowerManagement::Notifier::trUtf8$
    {30, 368, 440},	// Solid::PowerManagement::Notifier::trUtf8$$
    {30, 369, 442},	// Solid::PowerManagement::Notifier::trUtf8$$$
    {30, 394, 449},	// Solid::PowerManagement::Notifier::~Notifier
    {31, 29, 478},	// Solid::Predicate::Conjunction
    {31, 41, 479},	// Solid::Predicate::Disjunction
    {31, 70, 475},	// Solid::Predicate::Equals
    {31, 91, 480},	// Solid::Predicate::InterfaceCheck
    {31, 118, 476},	// Solid::Predicate::Mask
    {31, 139, 450},	// Solid::Predicate::Predicate
    {31, 140, 451},	// Solid::Predicate::Predicate#
    {31, 141, -1},	// Solid::Predicate::Predicate$
    {31, 142, -4},	// Solid::Predicate::Predicate$$#
    {31, 143, -7},	// Solid::Predicate::Predicate$$#$
    {31, 147, 477},	// Solid::Predicate::PropertyCheck
    {31, 217, 470},	// Solid::Predicate::comparisonOperator
    {31, 254, 471},	// Solid::Predicate::firstOperand
    {31, 256, 465},	// Solid::Predicate::fromString$
    {31, 264, 467},	// Solid::Predicate::interfaceType
    {31, 276, 461},	// Solid::Predicate::isValid
    {31, 289, 462},	// Solid::Predicate::matches#
    {31, 290, 469},	// Solid::Predicate::matchingValue
    {31, 297, 457},	// Solid::Predicate::operator&#
    {31, 299, 458},	// Solid::Predicate::operator&=#
    {31, 301, 456},	// Solid::Predicate::operator=#
    {31, 303, 459},	// Solid::Predicate::operator|#
    {31, 305, 460},	// Solid::Predicate::operator|=#
    {31, 319, 468},	// Solid::Predicate::propertyName
    {31, 327, 472},	// Solid::Predicate::secondOperand
    {31, 361, 464},	// Solid::Predicate::toString
    {31, 370, 466},	// Solid::Predicate::type
    {31, 377, 463},	// Solid::Predicate::usedTypes
    {31, 398, 481},	// Solid::Predicate::~Predicate
    {32, 3, 504},	// Solid::Processor::AltiVec
    {32, 4, 503},	// Solid::Processor::Amd3DNow
    {32, 86, 498},	// Solid::Processor::IntelMmx
    {32, 87, 499},	// Solid::Processor::IntelSse
    {32, 88, 500},	// Solid::Processor::IntelSse2
    {32, 89, 501},	// Solid::Processor::IntelSse3
    {32, 90, 502},	// Solid::Processor::IntelSse4
    {32, 126, 497},	// Solid::Processor::NoExtensions
    {32, 208, 492},	// Solid::Processor::canChangeFrequency
    {32, 229, 489},	// Solid::Processor::deviceInterfaceType
    {32, 263, 493},	// Solid::Processor::instructionSets
    {32, 291, 491},	// Solid::Processor::maxSpeed
    {32, 292, 482},	// Solid::Processor::metaObject
    {32, 295, 490},	// Solid::Processor::number
    {32, 321, 488},	// Solid::Processor::qt_metacall$$?
    {32, 323, 483},	// Solid::Processor::qt_metacast$
    {32, 342, 496},	// Solid::Processor::staticMetaObject
    {32, 363, 494},	// Solid::Processor::tr$
    {32, 364, 484},	// Solid::Processor::tr$$
    {32, 365, 486},	// Solid::Processor::tr$$$
    {32, 367, 495},	// Solid::Processor::trUtf8$
    {32, 368, 485},	// Solid::Processor::trUtf8$$
    {32, 369, 487},	// Solid::Processor::trUtf8$$$
    {32, 399, 505},	// Solid::Processor::~Processor
    {33, 170, 523},	// Solid::StorageAccess::StorageAccess##
    {33, 196, 518},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 229, 513},	// Solid::StorageAccess::deviceInterfaceType
    {33, 253, 515},	// Solid::StorageAccess::filePath
    {33, 265, 514},	// Solid::StorageAccess::isAccessible
    {33, 292, 506},	// Solid::StorageAccess::metaObject
    {33, 321, 512},	// Solid::StorageAccess::qt_metacall$$?
    {33, 323, 507},	// Solid::StorageAccess::qt_metacast$
    {33, 332, 516},	// Solid::StorageAccess::setup
    {33, 334, 519},	// Solid::StorageAccess::setupDone$#$
    {33, 336, 521},	// Solid::StorageAccess::setupRequested$
    {33, 342, 526},	// Solid::StorageAccess::staticMetaObject
    {33, 355, 517},	// Solid::StorageAccess::teardown
    {33, 357, 520},	// Solid::StorageAccess::teardownDone$#$
    {33, 359, 522},	// Solid::StorageAccess::teardownRequested$
    {33, 363, 524},	// Solid::StorageAccess::tr$
    {33, 364, 508},	// Solid::StorageAccess::tr$$
    {33, 365, 510},	// Solid::StorageAccess::tr$$$
    {33, 367, 525},	// Solid::StorageAccess::trUtf8$
    {33, 368, 509},	// Solid::StorageAccess::trUtf8$$
    {33, 369, 511},	// Solid::StorageAccess::trUtf8$$$
    {33, 400, 527},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 552},	// Solid::StorageDrive::CdromDrive
    {35, 28, 555},	// Solid::StorageDrive::CompactFlash
    {35, 73, 553},	// Solid::StorageDrive::Floppy
    {35, 75, 551},	// Solid::StorageDrive::HardDisk
    {35, 84, 545},	// Solid::StorageDrive::Ide
    {35, 85, 547},	// Solid::StorageDrive::Ieee1394
    {35, 119, 556},	// Solid::StorageDrive::MemoryStick
    {35, 136, 550},	// Solid::StorageDrive::Platform
    {35, 161, 549},	// Solid::StorageDrive::Sata
    {35, 162, 548},	// Solid::StorageDrive::Scsi
    {35, 163, 558},	// Solid::StorageDrive::SdMmc
    {35, 167, 557},	// Solid::StorageDrive::SmartMedia
    {35, 172, 541},	// Solid::StorageDrive::StorageDrive##
    {35, 178, 554},	// Solid::StorageDrive::Tape
    {35, 189, 546},	// Solid::StorageDrive::Usb
    {35, 194, 559},	// Solid::StorageDrive::Xd
    {35, 207, 536},	// Solid::StorageDrive::bus
    {35, 229, 535},	// Solid::StorageDrive::deviceInterfaceType
    {35, 238, 537},	// Solid::StorageDrive::driveType
    {35, 270, 539},	// Solid::StorageDrive::isHotpluggable
    {35, 274, 538},	// Solid::StorageDrive::isRemovable
    {35, 292, 528},	// Solid::StorageDrive::metaObject
    {35, 321, 534},	// Solid::StorageDrive::qt_metacall$$?
    {35, 323, 529},	// Solid::StorageDrive::qt_metacast$
    {35, 339, 540},	// Solid::StorageDrive::size
    {35, 342, 544},	// Solid::StorageDrive::staticMetaObject
    {35, 363, 542},	// Solid::StorageDrive::tr$
    {35, 364, 530},	// Solid::StorageDrive::tr$$
    {35, 365, 532},	// Solid::StorageDrive::tr$$$
    {35, 367, 543},	// Solid::StorageDrive::trUtf8$
    {35, 368, 531},	// Solid::StorageDrive::trUtf8$$
    {35, 369, 533},	// Solid::StorageDrive::trUtf8$$$
    {35, 401, 560},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 585},	// Solid::StorageVolume::Encrypted
    {37, 71, 582},	// Solid::StorageVolume::FileSystem
    {37, 132, 580},	// Solid::StorageVolume::Other
    {37, 133, 583},	// Solid::StorageVolume::PartitionTable
    {37, 160, 584},	// Solid::StorageVolume::Raid
    {37, 174, 576},	// Solid::StorageVolume::StorageVolume##
    {37, 187, 581},	// Solid::StorageVolume::Unused
    {37, 229, 568},	// Solid::StorageVolume::deviceInterfaceType
    {37, 250, 575},	// Solid::StorageVolume::encryptedContainer
    {37, 257, 571},	// Solid::StorageVolume::fsType
    {37, 271, 569},	// Solid::StorageVolume::isIgnored
    {37, 278, 572},	// Solid::StorageVolume::label
    {37, 292, 561},	// Solid::StorageVolume::metaObject
    {37, 321, 567},	// Solid::StorageVolume::qt_metacall$$?
    {37, 323, 562},	// Solid::StorageVolume::qt_metacast$
    {37, 339, 574},	// Solid::StorageVolume::size
    {37, 342, 579},	// Solid::StorageVolume::staticMetaObject
    {37, 363, 577},	// Solid::StorageVolume::tr$
    {37, 364, 563},	// Solid::StorageVolume::tr$$
    {37, 365, 565},	// Solid::StorageVolume::tr$$$
    {37, 367, 578},	// Solid::StorageVolume::trUtf8$
    {37, 368, 564},	// Solid::StorageVolume::trUtf8$$
    {37, 369, 566},	// Solid::StorageVolume::trUtf8$$$
    {37, 376, 570},	// Solid::StorageVolume::usage
    {37, 378, 573},	// Solid::StorageVolume::uuid
    {37, 402, 586},	// Solid::StorageVolume::~StorageVolume
    {39, 229, 594},	// Solid::Video::deviceInterfaceType
    {39, 241, 597},	// Solid::Video::driverHandle$
    {39, 292, 587},	// Solid::Video::metaObject
    {39, 321, 593},	// Solid::Video::qt_metacall$$?
    {39, 323, 588},	// Solid::Video::qt_metacast$
    {39, 342, 601},	// Solid::Video::staticMetaObject
    {39, 350, 600},	// Solid::Video::supportedDrivers
    {39, 351, 596},	// Solid::Video::supportedDrivers$
    {39, 353, 595},	// Solid::Video::supportedProtocols
    {39, 363, 598},	// Solid::Video::tr$
    {39, 364, 589},	// Solid::Video::tr$$
    {39, 365, 591},	// Solid::Video::tr$$$
    {39, 367, 599},	// Solid::Video::trUtf8$
    {39, 368, 590},	// Solid::Video::trUtf8$$
    {39, 369, 592},	// Solid::Video::trUtf8$$$
    {39, 403, 602},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 603,
        __smokesolid::methodMaps, 592,
        __smokesolid::methodNames, 403,
        __smokesolid::types, 168,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
