#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 43: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 24: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 82: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 43: return (void*)(QWidget*)(QFrame*)xptr;
        case 24: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 82: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 24: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMouseEvent
      switch(to) {
        case 22: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QObject
      switch(to) {
        case 24: return (void*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 45: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 44: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 49: return (void*)(QsciLexer*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 82: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 80: return (void*)(QsciMacro*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 25:   //QPaintEngine
      switch(to) {
        case 25: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEvent
      switch(to) {
        case 26: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QPainter
      switch(to) {
        case 27: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 28:   //QPalette
      switch(to) {
        case 28: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 29:   //QPixmap
      switch(to) {
        case 29: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 30:   //QPoint
      switch(to) {
        case 30: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 31:   //QPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)xptr;
        case 81: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 32:   //QRect
      switch(to) {
        case 32: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QResizeEvent
      switch(to) {
        case 34: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QSettings
      switch(to) {
        case 35: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 36:   //QShowEvent
      switch(to) {
        case 36: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QSize
      switch(to) {
        case 37: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 38:   //QStyle
      switch(to) {
        case 38: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 39:   //QTabletEvent
      switch(to) {
        case 39: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QTimerEvent
      switch(to) {
        case 40: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QVariant
      switch(to) {
        case 41: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 42:   //QWheelEvent
      switch(to) {
        case 42: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QWidget
      switch(to) {
        case 24: return (void*)(QObject*)(QWidget*)xptr;
        case 43: return (void*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 82: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 44:   //QsciAPIs
      switch(to) {
        case 45: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 24: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAbstractAPIs
      switch(to) {
        case 24: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAbstractAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciCommand
      switch(to) {
        case 46: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommandSet
      switch(to) {
        case 47: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 48:   //QsciDocument
      switch(to) {
        case 48: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 49:   //QsciLexer
      switch(to) {
        case 24: return (void*)(QObject*)(QsciLexer*)xptr;
        case 49: return (void*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexerBash
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 50: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBatch
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 51: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerCMake
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 52: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCPP
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 53: return (void*)(QsciLexerCPP*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCSS
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 54: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSharp
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCustom
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 56: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerD
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 57: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerDiff
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 58: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerFortran
      switch(to) {
        case 60: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 59: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran77
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerHTML
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 61: return (void*)(QsciLexerHTML*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerIDL
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 62: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerJava
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 63: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJavaScript
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerLua
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 65: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerMakefile
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerPOV
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 67: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPascal
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 68: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPerl
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 69: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPostScript
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerProperties
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 71: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPython
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 72: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerRuby
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 73: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerSQL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 74: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerTCL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 75: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTeX
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 76: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerVHDL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerXML
      switch(to) {
        case 61: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 78: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerYAML
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 79: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciMacro
      switch(to) {
        case 24: return (void*)(QObject*)(QsciMacro*)xptr;
        case 80: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 81:   //QsciPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 81: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 82:   //QsciScintilla
      switch(to) {
        case 83: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 24: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 82: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 24: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintillaBase*)xptr;
        case 82: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 84:   //QsciStyle
      switch(to) {
        case 84: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyledText
      switch(to) {
        case 85: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    45, 0,	// 1: QsciAbstractAPIs
    24, 0,	// 3: QObject
    49, 0,	// 5: QsciLexer
    53, 0,	// 7: QsciLexerCPP
    60, 0,	// 9: QsciLexerFortran77
    61, 0,	// 11: QsciLexerHTML
    31, 0,	// 13: QPrinter
    83, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QObject", true, 0, 0, 0, 0, 0 },	//24
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QPainter", true, 0, 0, 0, 0, 0 },	//27
    { "QPalette", true, 0, 0, 0, 0, 0 },	//28
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//29
    { "QPoint", true, 0, 0, 0, 0, 0 },	//30
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//31
    { "QRect", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QSettings", true, 0, 0, 0, 0, 0 },	//35
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QSize", true, 0, 0, 0, 0, 0 },	//37
    { "QStyle", true, 0, 0, 0, 0, 0 },	//38
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QVariant", true, 0, 0, 0, 0, 0 },	//41
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QWidget", true, 0, 0, 0, 0, 0 },	//43
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//44
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//45
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//46
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//47
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//48
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//49
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//50
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//51
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//52
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//53
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//54
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//55
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//56
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//57
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//58
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//59
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//60
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//61
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//62
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//63
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//64
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//65
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//66
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//67
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//68
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//69
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//70
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//71
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//72
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//73
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//74
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//75
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//76
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//77
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//78
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//79
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//80
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//81
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//82
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//83
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//84
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//85
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMouseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMoveEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QObject*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QPaintEngine*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QPaintEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPainter&", 27, Smoke::t_class|Smoke::tf_ref },	//27
    { "QPainter*", 27, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QPrinter::PrinterMode", 31, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QRect&", 32, Smoke::t_class|Smoke::tf_ref },	//30
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QResizeEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QSettings&", 35, Smoke::t_class|Smoke::tf_ref },	//33
    { "QShowEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QSize", 37, Smoke::t_class|Smoke::tf_stack },	//35
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//38
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "QStyle&", 38, Smoke::t_class|Smoke::tf_ref },	//40
    { "QTabletEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QTimerEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QVariant", 41, Smoke::t_class|Smoke::tf_stack },	//43
    { "QWheelEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QsciAPIs*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAbstractAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciCommandSet*", 47, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciDocument", 48, Smoke::t_class|Smoke::tf_stack },	//49
    { "QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref },	//50
    { "QsciDocument*", 48, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciLexer*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexerBash*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBatch*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerCMake*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCPP*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCSS*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSharp*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCustom*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerD*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerDiff*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerFortran*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran77*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerHTML*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerIDL*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerJava*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJavaScript*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerLua*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerMakefile*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerPOV*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPascal*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPerl*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPostScript*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerProperties*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerPython*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython::IndentationWarning", 72, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QsciLexerRuby*", 73, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerSQL*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerTCL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTeX*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerVHDL*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerXML*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerYAML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciMacro*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciPrinter*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciScintilla*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla::AnnotationDisplay", 82, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QsciScintilla::AutoCompletionSource", 82, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::BraceMatch", 82, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::CallTipsStyle", 82, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::EdgeMode", 82, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EolMode", 82, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::FoldStyle", 82, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::IndentState", 82, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::MarginType", 82, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::MarkerSymbol", 82, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::WhitespaceVisibility", 82, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::WrapMode", 82, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WrapVisualFlag", 82, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintillaBase*", 83, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QsciStyle*", 84, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QsciStyle::TextCase", 84, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciStyledText*", 85, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//143
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//195
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//196
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//197
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//198
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const QPalette&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QPixmap&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QPoint&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QRect&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//212
    { "const QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QsciStyle&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QsciStyledText&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//218
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//219
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//220
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//221
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//222
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//223
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    44, 0,	//3  QWheelEvent*
    23, 11, 0,	//5  QObject*, QEvent*
    42, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    216, 0,	//12  const char*
    24, 0,	//14  QPaintDevice::PaintDeviceMetric
    197, 0,	//16  bool
    218, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    22, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    41, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    34, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    196, 0,	//34  _XEvent*
    137, 0,	//36  Qt::InputMethodQuery
    40, 0,	//38  QStyle&
    205, 0,	//40  const QPalette&
    201, 0,	//42  const QFont&
    216, 216, 0,	//44  const char*, const char*
    216, 216, 218, 0,	//47  const char*, const char*, int
    20, 218, 225, 0,	//51  QMetaObject::Call, int, void**
    52, 0,	//55  QsciLexer*
    210, 0,	//57  const QString&
    211, 38, 0,	//59  const QStringList&, QStringList&
    211, 218, 90, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    33, 216, 0,	//67  QSettings&, const char*
    33, 0,	//70  QSettings&
    213, 0,	//72  const QsciDocument&
    23, 0,	//74  QObject*
    220, 0,	//76  int*
    47, 0,	//78  QsciAbstractAPIs*
    200, 0,	//80  const QColor&
    86, 0,	//82  QsciScintilla*
    200, 218, 0,	//84  const QColor&, int
    197, 218, 0,	//87  bool, int
    201, 218, 0,	//90  const QFont&, int
    33, 210, 0,	//93  QSettings&, const QString&
    23, 197, 0,	//96  QObject*, bool
    218, 218, 0,	//99  int, int
    218, 214, 0,	//102  int, const QsciStyle&
    76, 0,	//105  QsciLexerPython::IndentationWarning
    210, 86, 0,	//107  const QString&, QsciScintilla*
    29, 0,	//110  QPrinter::PrinterMode
    27, 197, 30, 218, 0,	//112  QPainter&, bool, QRect&, int
    100, 218, 218, 0,	//117  QsciScintillaBase*, int, int
    98, 0,	//121  QsciScintilla::WrapMode
    100, 0,	//123  QsciScintillaBase*
    100, 218, 0,	//125  QsciScintillaBase*, int
    45, 0,	//128  QWidget*
    218, 219, 219, 0,	//130  int, int&, int&
    218, 210, 218, 0,	//134  int, const QString&, int
    218, 210, 214, 0,	//138  int, const QString&, const QsciStyle&
    218, 215, 0,	//142  int, const QsciStyledText&
    218, 202, 0,	//145  int, const QList<QsciStyledText>&
    92, 0,	//148  QsciScintilla::EolMode
    210, 197, 197, 197, 197, 197, 218, 218, 197, 0,	//150  const QString&, bool, bool, bool, bool, bool, int, int, bool
    220, 220, 0,	//160  int*, int*
    220, 220, 220, 220, 0,	//163  int*, int*, int*, int*
    198, 0,	//168  char
    207, 0,	//170  const QPoint&
    218, 220, 220, 0,	//172  int, int*, int*
    96, 218, 0,	//176  QsciScintilla::MarkerSymbol, int
    198, 218, 0,	//179  char, int
    206, 218, 0,	//182  const QPixmap&, int
    218, 222, 0,	//185  int, unsigned int
    15, 0,	//188  QIODevice*
    218, 206, 0,	//190  int, const QPixmap&
    200, 200, 0,	//193  const QColor&, const QColor&
    87, 0,	//196  QsciScintilla::AnnotationDisplay
    211, 0,	//198  const QStringList&
    90, 0,	//200  QsciScintilla::CallTipsStyle
    91, 0,	//202  QsciScintilla::EdgeMode
    218, 95, 0,	//204  int, QsciScintilla::MarginType
    99, 99, 218, 0,	//207  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    218, 211, 0,	//211  int, const QStringList&
    210, 218, 218, 0,	//214  const QString&, int, int
    88, 0,	//218  QsciScintilla::AutoCompletionSource
    89, 0,	//220  QsciScintilla::BraceMatch
    93, 218, 0,	//222  QsciScintilla::FoldStyle, int
    218, 197, 0,	//225  int, bool
    218, 210, 0,	//228  int, const QString&
    218, 218, 218, 218, 0,	//231  int, int, int, int
    97, 0,	//236  QsciScintilla::WhitespaceVisibility
    218, 218, 143, 0,	//238  int, int, Qt::KeyboardModifiers
    210, 197, 197, 197, 197, 0,	//242  const QString&, bool, bool, bool, bool
    210, 197, 197, 197, 197, 197, 0,	//248  const QString&, bool, bool, bool, bool, bool
    210, 197, 197, 197, 197, 197, 218, 0,	//255  const QString&, bool, bool, bool, bool, bool, int
    210, 197, 197, 197, 197, 197, 218, 218, 0,	//263  const QString&, bool, bool, bool, bool, bool, int, int
    96, 0,	//272  QsciScintilla::MarkerSymbol
    206, 0,	//274  const QPixmap&
    99, 0,	//276  QsciScintilla::WrapVisualFlag
    99, 99, 0,	//278  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    93, 0,	//281  QsciScintilla::FoldStyle
    222, 223, 221, 0,	//283  unsigned int, unsigned long, long
    222, 223, 224, 0,	//287  unsigned int, unsigned long, void*
    222, 223, 216, 0,	//291  unsigned int, unsigned long, const char*
    222, 216, 0,	//295  unsigned int, const char*
    222, 216, 216, 0,	//298  unsigned int, const char*, const char*
    222, 221, 0,	//302  unsigned int, long
    222, 218, 0,	//305  unsigned int, int
    222, 221, 221, 199, 0,	//308  unsigned int, long, long, char*
    222, 223, 200, 0,	//313  unsigned int, unsigned long, const QColor&
    222, 200, 0,	//317  unsigned int, const QColor&
    222, 223, 28, 208, 221, 221, 0,	//320  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    222, 223, 206, 0,	//327  unsigned int, unsigned long, const QPixmap&
    222, 0,	//331  unsigned int
    216, 218, 0,	//333  const char*, int
    218, 218, 218, 0,	//336  int, int, int
    218, 218, 216, 218, 218, 218, 218, 218, 218, 218, 0,	//340  int, int, const char*, int, int, int, int, int, int, int
    6, 0,	//351  QContextMenuEvent*
    7, 0,	//353  QDragEnterEvent*
    8, 0,	//355  QDragLeaveEvent*
    9, 0,	//357  QDragMoveEvent*
    10, 0,	//359  QDropEvent*
    12, 0,	//361  QFocusEvent*
    16, 0,	//363  QInputMethodEvent*
    21, 0,	//365  QMouseEvent*
    26, 0,	//367  QPaintEvent*
    32, 0,	//369  QResizeEvent*
    222, 223, 0,	//371  unsigned int, unsigned long
    218, 210, 200, 200, 201, 197, 0,	//374  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    102, 0,	//381  QsciStyle::TextCase
    214, 0,	//383  const QsciStyle&
    218, 210, 200, 200, 201, 0,	//385  int, const QString&, const QColor&, const QColor&, const QFont&
    210, 218, 0,	//391  const QString&, int
    210, 214, 0,	//394  const QString&, const QsciStyle&
    215, 0,	//397  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxedFoldStyle",	//92
    "BoxedMinus",	//93
    "BoxedMinusConnected",	//94
    "BoxedPlus",	//95
    "BoxedPlusConnected",	//96
    "BoxedTreeFoldStyle",	//97
    "C5E",	//98
    "CDATA",	//99
    "CSS1Property",	//100
    "CSS2Property",	//101
    "CSS3Property",	//102
    "CallTipsContext",	//103
    "CallTipsNoAutoCompletionContext",	//104
    "CallTipsNoContext",	//105
    "CallTipsNone",	//106
    "Cassette",	//107
    "Character",	//108
    "Cicero",	//109
    "Circle",	//110
    "CircledFoldStyle",	//111
    "CircledMinus",	//112
    "CircledMinusConnected",	//113
    "CircledPlus",	//114
    "CircledPlusConnected",	//115
    "CircledTreeFoldStyle",	//116
    "ClassName",	//117
    "ClassSelector",	//118
    "ClassVariable",	//119
    "Color",	//120
    "Comm10E",	//121
    "Command",	//122
    "Comment",	//123
    "CommentBlock",	//124
    "CommentBox",	//125
    "CommentDoc",	//126
    "CommentDocKeyword",	//127
    "CommentDocKeywordError",	//128
    "CommentLine",	//129
    "CommentLineDoc",	//130
    "CommentLineHash",	//131
    "CommentNested",	//132
    "CommentParenthesis",	//133
    "Continuation",	//134
    "CoroutinesIOSystemFacilities",	//135
    "CurrentPage",	//136
    "Custom",	//137
    "DLE",	//138
    "DSCComment",	//139
    "DSCCommentValue",	//140
    "DataSection",	//141
    "Decorator",	//142
    "Default",	//143
    "DefaultValue",	//144
    "DemotedKeyword",	//145
    "DevicePixel",	//146
    "DictionaryParenthesis",	//147
    "Didot",	//148
    "Directive",	//149
    "DocumentDelimiter",	//150
    "DottedOperator",	//151
    "DoubleQuotedHereDocument",	//152
    "DoubleQuotedString",	//153
    "DownTriangle",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "DuplexAuto",	//157
    "DuplexLongSide",	//158
    "DuplexNone",	//159
    "DuplexShortSide",	//160
    "EdgeBackground",	//161
    "EdgeLine",	//162
    "EdgeNone",	//163
    "Entity",	//164
    "Envelope",	//165
    "EnvelopeManual",	//166
    "EolMac",	//167
    "EolUnix",	//168
    "EolWindows",	//169
    "Error",	//170
    "Executive",	//171
    "ExpandKeyword",	//172
    "ExtendedCSSProperty",	//173
    "ExtendedFunction",	//174
    "ExtendedPseudoClass",	//175
    "ExtendedPseudoElement",	//176
    "ExternalCommand",	//177
    "FirstPageFirst",	//178
    "Folio",	//179
    "FormSource",	//180
    "FormatBody",	//181
    "FormatIdentifier",	//182
    "Function",	//183
    "FunctionMethodName",	//184
    "Global",	//185
    "GlobalClass",	//186
    "GrayScale",	//187
    "Group",	//188
    "HLine",	//189
    "HTMLComment",	//190
    "HTMLDoubleQuotedString",	//191
    "HTMLNumber",	//192
    "HTMLSingleQuotedString",	//193
    "HTMLValue",	//194
    "Hash",	//195
    "Header",	//196
    "HereDocument",	//197
    "HereDocumentDelimiter",	//198
    "HexNumber",	//199
    "HexString",	//200
    "HideCommandChar",	//201
    "HighResolution",	//202
    "HighlightedIdentifier",	//203
    "IDSelector",	//204
    "ITCLKeyword",	//205
    "Identifier",	//206
    "Idle",	//207
    "IgnoreMask",	//208
    "ImmediateEvalLiteral",	//209
    "Important",	//210
    "Inch",	//211
    "Inconsistent",	//212
    "InstanceVariable",	//213
    "IntrinsicFunction",	//214
    "Invisible",	//215
    "JavaScriptComment",	//216
    "JavaScriptCommentDoc",	//217
    "JavaScriptCommentLine",	//218
    "JavaScriptDefault",	//219
    "JavaScriptDoubleQuotedString",	//220
    "JavaScriptKeyword",	//221
    "JavaScriptNumber",	//222
    "JavaScriptRegex",	//223
    "JavaScriptSingleQuotedString",	//224
    "JavaScriptStart",	//225
    "JavaScriptSymbol",	//226
    "JavaScriptUnclosedString",	//227
    "JavaScriptWord",	//228
    "Keyword",	//229
    "KeywordDoc",	//230
    "KeywordSecondary",	//231
    "KeywordSet2",	//232
    "KeywordSet3",	//233
    "KeywordSet5",	//234
    "KeywordSet6",	//235
    "KeywordSet7",	//236
    "KeywordSet8",	//237
    "KeywordSet9",	//238
    "Label",	//239
    "Landscape",	//240
    "LargeCapacity",	//241
    "LargeFormat",	//242
    "LastPageFirst",	//243
    "Ledger",	//244
    "LeftSideRoundedSplitter",	//245
    "LeftSideSplitter",	//246
    "Legal",	//247
    "Letter",	//248
    "LicensedActiveQt",	//249
    "LicensedCore",	//250
    "LicensedDBus",	//251
    "LicensedDeclarative",	//252
    "LicensedGui",	//253
    "LicensedHelp",	//254
    "LicensedMultimedia",	//255
    "LicensedNetwork",	//256
    "LicensedOpenGL",	//257
    "LicensedOpenVG",	//258
    "LicensedQt3Support",	//259
    "LicensedQt3SupportLight",	//260
    "LicensedScript",	//261
    "LicensedScriptTools",	//262
    "LicensedSql",	//263
    "LicensedSvg",	//264
    "LicensedTest",	//265
    "LicensedXml",	//266
    "LicensedXmlPatterns",	//267
    "LineAdded",	//268
    "LineChanged",	//269
    "LineComment",	//270
    "LineRemoved",	//271
    "Literal",	//272
    "LiteralString",	//273
    "Lower",	//274
    "LowerCase",	//275
    "Manual",	//276
    "MaxPageSource",	//277
    "Middle",	//278
    "Millimeter",	//279
    "Minus",	//280
    "Modifier",	//281
    "ModuleName",	//282
    "NPageSize",	//283
    "NPaperSize",	//284
    "Name",	//285
    "NativeFormat",	//286
    "NoBraceMatch",	//287
    "NoFoldStyle",	//288
    "NoFrame",	//289
    "NoWarning",	//290
    "Number",	//291
    "NumberMargin",	//292
    "ObjectsCSGAppearance",	//293
    "OnlyOne",	//294
    "Operator",	//295
    "OriginalCase",	//296
    "OtherInTag",	//297
    "PHPComment",	//298
    "PHPCommentLine",	//299
    "PHPDefault",	//300
    "PHPDoubleQuotedString",	//301
    "PHPDoubleQuotedVariable",	//302
    "PHPKeyword",	//303
    "PHPNumber",	//304
    "PHPOperator",	//305
    "PHPSingleQuotedString",	//306
    "PHPStart",	//307
    "PHPVariable",	//308
    "POD",	//309
    "PODVerbatim",	//310
    "PageRange",	//311
    "Panel",	//312
    "ParameterExpansion",	//313
    "PdfFormat",	//314
    "PercentStringQ",	//315
    "PercentStringq",	//316
    "PercentStringr",	//317
    "PercentStringw",	//318
    "PercentStringx",	//319
    "Pica",	//320
    "Plain",	//321
    "PlainFoldStyle",	//322
    "Plus",	//323
    "PlusComment",	//324
    "PlusKeyword",	//325
    "PlusPrompt",	//326
    "Point",	//327
    "Portrait",	//328
    "Position",	//329
    "PostScriptFormat",	//330
    "PreProcessor",	//331
    "PreProcessorParenthesis",	//332
    "PredefinedFunctions",	//333
    "PredefinedIdentifiers",	//334
    "Preprocessor",	//335
    "PrinterResolution",	//336
    "ProcedureParenthesis",	//337
    "PseudoClass",	//338
    "PseudoElement",	//339
    "PythonClassName",	//340
    "PythonComment",	//341
    "PythonDefault",	//342
    "PythonDoubleQuotedString",	//343
    "PythonFunctionMethodName",	//344
    "PythonIdentifier",	//345
    "PythonKeyword",	//346
    "PythonNumber",	//347
    "PythonOperator",	//348
    "PythonSingleQuotedString",	//349
    "PythonStart",	//350
    "PythonTripleDoubleQuotedString",	//351
    "PythonTripleSingleQuotedString",	//352
    "QSCN_SELCHANGED",	//353
    "QSCN_SELCHANGED$",	//354
    "Q_COMPLEX_TYPE",	//355
    "Q_DUMMY_TYPE",	//356
    "Q_MOVABLE_TYPE",	//357
    "Q_PRIMITIVE_TYPE",	//358
    "Q_STATIC_TYPE",	//359
    "QsciAPIs",	//360
    "QsciAPIs#",	//361
    "QsciAbstractAPIs",	//362
    "QsciAbstractAPIs#",	//363
    "QsciDocument",	//364
    "QsciDocument#",	//365
    "QsciLexer",	//366
    "QsciLexer#",	//367
    "QsciLexerBash",	//368
    "QsciLexerBash#",	//369
    "QsciLexerBatch",	//370
    "QsciLexerBatch#",	//371
    "QsciLexerCMake",	//372
    "QsciLexerCMake#",	//373
    "QsciLexerCPP",	//374
    "QsciLexerCPP#",	//375
    "QsciLexerCPP#$",	//376
    "QsciLexerCSS",	//377
    "QsciLexerCSS#",	//378
    "QsciLexerCSharp",	//379
    "QsciLexerCSharp#",	//380
    "QsciLexerCustom",	//381
    "QsciLexerCustom#",	//382
    "QsciLexerD",	//383
    "QsciLexerD#",	//384
    "QsciLexerDiff",	//385
    "QsciLexerDiff#",	//386
    "QsciLexerFortran",	//387
    "QsciLexerFortran#",	//388
    "QsciLexerFortran77",	//389
    "QsciLexerFortran77#",	//390
    "QsciLexerHTML",	//391
    "QsciLexerHTML#",	//392
    "QsciLexerIDL",	//393
    "QsciLexerIDL#",	//394
    "QsciLexerJava",	//395
    "QsciLexerJava#",	//396
    "QsciLexerJavaScript",	//397
    "QsciLexerJavaScript#",	//398
    "QsciLexerLua",	//399
    "QsciLexerLua#",	//400
    "QsciLexerMakefile",	//401
    "QsciLexerMakefile#",	//402
    "QsciLexerPOV",	//403
    "QsciLexerPOV#",	//404
    "QsciLexerPascal",	//405
    "QsciLexerPascal#",	//406
    "QsciLexerPerl",	//407
    "QsciLexerPerl#",	//408
    "QsciLexerPostScript",	//409
    "QsciLexerPostScript#",	//410
    "QsciLexerProperties",	//411
    "QsciLexerProperties#",	//412
    "QsciLexerPython",	//413
    "QsciLexerPython#",	//414
    "QsciLexerRuby",	//415
    "QsciLexerRuby#",	//416
    "QsciLexerSQL",	//417
    "QsciLexerSQL#",	//418
    "QsciLexerTCL",	//419
    "QsciLexerTCL#",	//420
    "QsciLexerTeX",	//421
    "QsciLexerTeX#",	//422
    "QsciLexerVHDL",	//423
    "QsciLexerVHDL#",	//424
    "QsciLexerXML",	//425
    "QsciLexerXML#",	//426
    "QsciLexerYAML",	//427
    "QsciLexerYAML#",	//428
    "QsciMacro",	//429
    "QsciMacro#",	//430
    "QsciMacro$#",	//431
    "QsciPrinter",	//432
    "QsciPrinter$",	//433
    "QsciScintilla",	//434
    "QsciScintilla#",	//435
    "QsciScintillaBase",	//436
    "QsciScintillaBase#",	//437
    "QsciStyle",	//438
    "QsciStyle#",	//439
    "QsciStyle$",	//440
    "QsciStyle$$###",	//441
    "QsciStyle$$###$",	//442
    "QsciStyledText",	//443
    "QsciStyledText#",	//444
    "QsciStyledText$#",	//445
    "QsciStyledText$$",	//446
    "QtCriticalMsg",	//447
    "QtDebugMsg",	//448
    "QtFatalMsg",	//449
    "QtSystemMsg",	//450
    "QtWarningMsg",	//451
    "QuotedKeyword",	//452
    "QuotedString",	//453
    "QuotedStringQ",	//454
    "QuotedStringQQ",	//455
    "QuotedStringQR",	//456
    "QuotedStringQW",	//457
    "QuotedStringQX",	//458
    "Raised",	//459
    "Rectangle",	//460
    "Reference",	//461
    "Regex",	//462
    "RightArrow",	//463
    "RightTriangle",	//464
    "RoundedBottomLeftCorner",	//465
    "SCEN_CHANGE",	//466
    "SCLEX_ABAQUS",	//467
    "SCLEX_ADA",	//468
    "SCLEX_APDL",	//469
    "SCLEX_ASM",	//470
    "SCLEX_ASN1",	//471
    "SCLEX_ASP",	//472
    "SCLEX_ASYMPTOTE",	//473
    "SCLEX_AU3",	//474
    "SCLEX_AVE",	//475
    "SCLEX_BAAN",	//476
    "SCLEX_BASH",	//477
    "SCLEX_BATCH",	//478
    "SCLEX_BLITZBASIC",	//479
    "SCLEX_BULLANT",	//480
    "SCLEX_CAML",	//481
    "SCLEX_CLW",	//482
    "SCLEX_CLWNOCASE",	//483
    "SCLEX_CMAKE",	//484
    "SCLEX_COBOL",	//485
    "SCLEX_CONF",	//486
    "SCLEX_CONTAINER",	//487
    "SCLEX_CPP",	//488
    "SCLEX_CPPNOCASE",	//489
    "SCLEX_CSOUND",	//490
    "SCLEX_CSS",	//491
    "SCLEX_D",	//492
    "SCLEX_DIFF",	//493
    "SCLEX_EIFFEL",	//494
    "SCLEX_EIFFELKW",	//495
    "SCLEX_ERLANG",	//496
    "SCLEX_ERRORLIST",	//497
    "SCLEX_ESCRIPT",	//498
    "SCLEX_F77",	//499
    "SCLEX_FLAGSHIP",	//500
    "SCLEX_FORTH",	//501
    "SCLEX_FORTRAN",	//502
    "SCLEX_FREEBASIC",	//503
    "SCLEX_GAP",	//504
    "SCLEX_GUI4CLI",	//505
    "SCLEX_HASKELL",	//506
    "SCLEX_HTML",	//507
    "SCLEX_INNOSETUP",	//508
    "SCLEX_KIX",	//509
    "SCLEX_LATEX",	//510
    "SCLEX_LISP",	//511
    "SCLEX_LOT",	//512
    "SCLEX_LOUT",	//513
    "SCLEX_LUA",	//514
    "SCLEX_MAGIK",	//515
    "SCLEX_MAKEFILE",	//516
    "SCLEX_MATLAB",	//517
    "SCLEX_METAPOST",	//518
    "SCLEX_MMIXAL",	//519
    "SCLEX_MSSQL",	//520
    "SCLEX_MYSQL",	//521
    "SCLEX_NIMROD",	//522
    "SCLEX_NNCRONTAB",	//523
    "SCLEX_NSIS",	//524
    "SCLEX_NULL",	//525
    "SCLEX_OCTAVE",	//526
    "SCLEX_OPAL",	//527
    "SCLEX_PASCAL",	//528
    "SCLEX_PERL",	//529
    "SCLEX_PHP",	//530
    "SCLEX_PHPSCRIPT",	//531
    "SCLEX_PLM",	//532
    "SCLEX_PO",	//533
    "SCLEX_POV",	//534
    "SCLEX_POWERBASIC",	//535
    "SCLEX_POWERPRO",	//536
    "SCLEX_POWERSHELL",	//537
    "SCLEX_PROGRESS",	//538
    "SCLEX_PROPERTIES",	//539
    "SCLEX_PS",	//540
    "SCLEX_PUREBASIC",	//541
    "SCLEX_PYTHON",	//542
    "SCLEX_R",	//543
    "SCLEX_REBOL",	//544
    "SCLEX_RUBY",	//545
    "SCLEX_SCRIPTOL",	//546
    "SCLEX_SMALLTALK",	//547
    "SCLEX_SML",	//548
    "SCLEX_SORCUS",	//549
    "SCLEX_SPECMAN",	//550
    "SCLEX_SPICE",	//551
    "SCLEX_SQL",	//552
    "SCLEX_TACL",	//553
    "SCLEX_TADS3",	//554
    "SCLEX_TAL",	//555
    "SCLEX_TCL",	//556
    "SCLEX_TEX",	//557
    "SCLEX_VB",	//558
    "SCLEX_VBSCRIPT",	//559
    "SCLEX_VERILOG",	//560
    "SCLEX_VHDL",	//561
    "SCLEX_XML",	//562
    "SCLEX_YAML",	//563
    "SCN_AUTOCCANCELLED",	//564
    "SCN_AUTOCCHARDELETED",	//565
    "SCN_AUTOCSELECTION",	//566
    "SCN_AUTOCSELECTION$$",	//567
    "SCN_CALLTIPCLICK",	//568
    "SCN_CALLTIPCLICK$",	//569
    "SCN_CHARADDED",	//570
    "SCN_CHARADDED$",	//571
    "SCN_DOUBLECLICK",	//572
    "SCN_DOUBLECLICK$$$",	//573
    "SCN_DWELLEND",	//574
    "SCN_DWELLEND$$$",	//575
    "SCN_DWELLSTART",	//576
    "SCN_DWELLSTART$$$",	//577
    "SCN_HOTSPOTCLICK",	//578
    "SCN_HOTSPOTCLICK$$",	//579
    "SCN_HOTSPOTDOUBLECLICK",	//580
    "SCN_HOTSPOTDOUBLECLICK$$",	//581
    "SCN_INDICATORCLICK",	//582
    "SCN_INDICATORCLICK$$",	//583
    "SCN_INDICATORRELEASE",	//584
    "SCN_INDICATORRELEASE$$",	//585
    "SCN_MACRORECORD",	//586
    "SCN_MACRORECORD$$$",	//587
    "SCN_MARGINCLICK",	//588
    "SCN_MARGINCLICK$$$",	//589
    "SCN_MODIFIED",	//590
    "SCN_MODIFIED$$$$$$$$$$",	//591
    "SCN_MODIFYATTEMPTRO",	//592
    "SCN_NEEDSHOWN",	//593
    "SCN_NEEDSHOWN$$",	//594
    "SCN_PAINTED",	//595
    "SCN_SAVEPOINTLEFT",	//596
    "SCN_SAVEPOINTREACHED",	//597
    "SCN_STYLENEEDED",	//598
    "SCN_STYLENEEDED$",	//599
    "SCN_UPDATEUI",	//600
    "SCN_USERLISTSELECTION",	//601
    "SCN_USERLISTSELECTION$$",	//602
    "SCN_ZOOM",	//603
    "SGMLBlockDefault",	//604
    "SGMLCommand",	//605
    "SGMLComment",	//606
    "SGMLDefault",	//607
    "SGMLDoubleQuotedString",	//608
    "SGMLEntity",	//609
    "SGMLError",	//610
    "SGMLParameter",	//611
    "SGMLParameterComment",	//612
    "SGMLSingleQuotedString",	//613
    "SGMLSpecial",	//614
    "Scalar",	//615
    "ScreenResolution",	//616
    "Script",	//617
    "Section",	//618
    "Selection",	//619
    "SendScintilla",	//620
    "SendScintilla$",	//621
    "SendScintilla$#",	//622
    "SendScintilla$$",	//623
    "SendScintilla$$#",	//624
    "SendScintilla$$##$$",	//625
    "SendScintilla$$$",	//626
    "SendScintilla$$$$",	//627
    "SendScintillaPtrResult",	//628
    "SendScintillaPtrResult$",	//629
    "Shadow_Mask",	//630
    "Shape_Mask",	//631
    "SingleQuotedHereDocument",	//632
    "SingleQuotedString",	//633
    "SloppyBraceMatch",	//634
    "SmallFormat",	//635
    "SmallRectangle",	//636
    "Spaces",	//637
    "Special",	//638
    "StandardFunction",	//639
    "StandardOperator",	//640
    "StandardPackage",	//641
    "StandardType",	//642
    "Stderr",	//643
    "Stdin",	//644
    "Stdout",	//645
    "StrictBraceMatch",	//646
    "String",	//647
    "StringLeftQuote",	//648
    "StringRightQuote",	//649
    "StringTableMathsFunctions",	//650
    "StringVariable",	//651
    "StyledPanel",	//652
    "SubroutinePrototype",	//653
    "Substitution",	//654
    "SubstitutionBrace",	//655
    "Sunken",	//656
    "Symbol",	//657
    "SymbolMargin",	//658
    "SymbolMarginDefaultBackgroundColor",	//659
    "SymbolMarginDefaultForegroundColor",	//660
    "SymbolTable",	//661
    "SyntaxErrorMarker",	//662
    "TCLKeyword",	//663
    "Tabloid",	//664
    "Tabs",	//665
    "TabsAfterSpaces",	//666
    "Tag",	//667
    "Target",	//668
    "Text",	//669
    "TextBlockMarker",	//670
    "TextMargin",	//671
    "TextMarginRightJustified",	//672
    "ThreeDots",	//673
    "ThreeRightArrows",	//674
    "TkCommand",	//675
    "TkKeyword",	//676
    "Tractor",	//677
    "TripleDoubleQuotedString",	//678
    "TripleSingleQuotedString",	//679
    "Typedefs",	//680
    "TypesModifiersItems",	//681
    "UUID",	//682
    "UnclosedString",	//683
    "UnknownAttribute",	//684
    "UnknownProperty",	//685
    "UnknownPseudoClass",	//686
    "UnknownTag",	//687
    "UpperCase",	//688
    "VBScriptComment",	//689
    "VBScriptDefault",	//690
    "VBScriptIdentifier",	//691
    "VBScriptKeyword",	//692
    "VBScriptNumber",	//693
    "VBScriptStart",	//694
    "VBScriptString",	//695
    "VBScriptUnclosedString",	//696
    "VLine",	//697
    "Value",	//698
    "Variable",	//699
    "VerbatimString",	//700
    "VerticalLine",	//701
    "WinPanel",	//702
    "WrapCharacter",	//703
    "WrapFlagByBorder",	//704
    "WrapFlagByText",	//705
    "WrapFlagNone",	//706
    "WrapNone",	//707
    "WrapWord",	//708
    "WsInvisible",	//709
    "WsVisible",	//710
    "WsVisibleAfterIndent",	//711
    "XMLEnd",	//712
    "XMLStart",	//713
    "XMLTagEnd",	//714
    "actionEvent",	//715
    "add",	//716
    "add$",	//717
    "alternateKey",	//718
    "annotate",	//719
    "annotate$#",	//720
    "annotate$$#",	//721
    "annotate$$$",	//722
    "annotate$?",	//723
    "annotation",	//724
    "annotation$",	//725
    "annotationDisplay",	//726
    "apiContext",	//727
    "apiContext$$$",	//728
    "apiPreparationCancelled",	//729
    "apiPreparationFinished",	//730
    "apiPreparationStarted",	//731
    "apis",	//732
    "append",	//733
    "append$",	//734
    "autoCompleteFromAPIs",	//735
    "autoCompleteFromAll",	//736
    "autoCompleteFromDocument",	//737
    "autoCompletionCaseSensitivity",	//738
    "autoCompletionFillups",	//739
    "autoCompletionFillupsEnabled",	//740
    "autoCompletionReplaceWord",	//741
    "autoCompletionSelected",	//742
    "autoCompletionSelected$",	//743
    "autoCompletionShowSingle",	//744
    "autoCompletionSource",	//745
    "autoCompletionThreshold",	//746
    "autoCompletionWordSeparators",	//747
    "autoIndent",	//748
    "autoIndentStyle",	//749
    "backslashEscapes",	//750
    "backspaceUnindents",	//751
    "beginUndoAction",	//752
    "blockEnd",	//753
    "blockEnd$",	//754
    "blockLookback",	//755
    "blockStart",	//756
    "blockStart$",	//757
    "blockStartKeyword",	//758
    "blockStartKeyword$",	//759
    "braceMatching",	//760
    "braceStyle",	//761
    "callTip",	//762
    "callTips",	//763
    "callTips?$$?",	//764
    "callTipsStyle",	//765
    "callTipsVisible",	//766
    "cancelList",	//767
    "cancelPreparation",	//768
    "caseSensitive",	//769
    "caseSensitiveTags",	//770
    "changeEvent",	//771
    "changeable",	//772
    "childEvent",	//773
    "clear",	//774
    "clearAlternateKeys",	//775
    "clearAnnotations",	//776
    "clearAnnotations$",	//777
    "clearFolds",	//778
    "clearKeys",	//779
    "clearMarginText",	//780
    "clearMarginText$",	//781
    "clearRegisteredImages",	//782
    "closeEvent",	//783
    "color",	//784
    "color$",	//785
    "colorChanged",	//786
    "colorChanged#$",	//787
    "commands",	//788
    "connectNotify",	//789
    "contextMenuEvent",	//790
    "contextMenuEvent#",	//791
    "convertEols",	//792
    "convertEols$",	//793
    "copy",	//794
    "copyAvailable",	//795
    "copyAvailable$",	//796
    "cursorPositionChanged",	//797
    "cursorPositionChanged$$",	//798
    "customEvent",	//799
    "cut",	//800
    "defaultColor",	//801
    "defaultColor$",	//802
    "defaultEolFill",	//803
    "defaultEolFill$",	//804
    "defaultFont",	//805
    "defaultFont$",	//806
    "defaultPaper",	//807
    "defaultPaper$",	//808
    "defaultPreparedName",	//809
    "defaultStyle",	//810
    "description",	//811
    "description$",	//812
    "devType",	//813
    "disconnectNotify",	//814
    "document",	//815
    "dollarsAllowed",	//816
    "dragEnterEvent",	//817
    "dragEnterEvent#",	//818
    "dragLeaveEvent",	//819
    "dragLeaveEvent#",	//820
    "dragMoveEvent",	//821
    "dragMoveEvent#",	//822
    "dropEvent",	//823
    "dropEvent#",	//824
    "edgeColor",	//825
    "edgeColumn",	//826
    "edgeMode",	//827
    "editor",	//828
    "enabledChange",	//829
    "endRecording",	//830
    "endUndoAction",	//831
    "ensureCursorVisible",	//832
    "ensureLineVisible",	//833
    "ensureLineVisible$",	//834
    "enterEvent",	//835
    "eolFill",	//836
    "eolFill$",	//837
    "eolFillChanged",	//838
    "eolFillChanged$$",	//839
    "eolMode",	//840
    "eolVisibility",	//841
    "event",	//842
    "event#",	//843
    "eventFilter",	//844
    "findFirst",	//845
    "findFirst$$$$$",	//846
    "findFirst$$$$$$",	//847
    "findFirst$$$$$$$",	//848
    "findFirst$$$$$$$$",	//849
    "findFirst$$$$$$$$$",	//850
    "findNext",	//851
    "firstVisibleLine",	//852
    "focusInEvent",	//853
    "focusInEvent#",	//854
    "focusNextPrevChild",	//855
    "focusNextPrevChild$",	//856
    "focusOutEvent",	//857
    "focusOutEvent#",	//858
    "foldAll",	//859
    "foldAll$",	//860
    "foldAtBegin",	//861
    "foldAtElse",	//862
    "foldAtParenthesis",	//863
    "foldComments",	//864
    "foldCompact",	//865
    "foldDirectives",	//866
    "foldLine",	//867
    "foldLine$",	//868
    "foldPODBlocks",	//869
    "foldPackages",	//870
    "foldPreprocessor",	//871
    "foldQuotes",	//872
    "foldScriptComments",	//873
    "foldScriptHeredocs",	//874
    "folding",	//875
    "font",	//876
    "font$",	//877
    "fontChange",	//878
    "fontChanged",	//879
    "fontChanged#$",	//880
    "formatPage",	//881
    "formatPage#$#$",	//882
    "getCursorPosition",	//883
    "getCursorPosition$$",	//884
    "getSelection",	//885
    "getSelection$$$$",	//886
    "hasSelectedText",	//887
    "heightForWidth",	//888
    "hideEvent",	//889
    "hotspot",	//890
    "indent",	//891
    "indent$",	//892
    "indentation",	//893
    "indentation$",	//894
    "indentationGuideView",	//895
    "indentationGuides",	//896
    "indentationWarning",	//897
    "indentationWidth",	//898
    "indentationsUseTabs",	//899
    "inputMethodEvent",	//900
    "inputMethodEvent#",	//901
    "inputMethodQuery",	//902
    "insert",	//903
    "insert$",	//904
    "insertAt",	//905
    "insertAt$$$",	//906
    "installedAPIFiles",	//907
    "isCallTipActive",	//908
    "isListActive",	//909
    "isModified",	//910
    "isPrepared",	//911
    "isPrepared$",	//912
    "isReadOnly",	//913
    "isRedoAvailable",	//914
    "isUndoAvailable",	//915
    "isUtf8",	//916
    "isWordCharacter",	//917
    "isWordCharacter$",	//918
    "key",	//919
    "keyPressEvent",	//920
    "keyPressEvent#",	//921
    "keyReleaseEvent",	//922
    "keywords",	//923
    "keywords$",	//924
    "language",	//925
    "languageChange",	//926
    "leaveEvent",	//927
    "length",	//928
    "level",	//929
    "lexer",	//930
    "lexerId",	//931
    "lineAt",	//932
    "lineAt#",	//933
    "lineIndexFromPosition",	//934
    "lineIndexFromPosition$$$",	//935
    "lineLength",	//936
    "lineLength$",	//937
    "lines",	//938
    "linesChanged",	//939
    "load",	//940
    "load$",	//941
    "loadPrepared",	//942
    "loadPrepared$",	//943
    "magnification",	//944
    "marginClicked",	//945
    "marginClicked$$$",	//946
    "marginLineNumbers",	//947
    "marginLineNumbers$",	//948
    "marginMarkerMask",	//949
    "marginMarkerMask$",	//950
    "marginSensitivity",	//951
    "marginSensitivity$",	//952
    "marginType",	//953
    "marginType$",	//954
    "marginWidth",	//955
    "marginWidth$",	//956
    "markerAdd",	//957
    "markerAdd$$",	//958
    "markerDefine",	//959
    "markerDefine#",	//960
    "markerDefine#$",	//961
    "markerDefine$",	//962
    "markerDefine$$",	//963
    "markerDelete",	//964
    "markerDelete$",	//965
    "markerDelete$$",	//966
    "markerDeleteAll",	//967
    "markerDeleteAll$",	//968
    "markerDeleteHandle",	//969
    "markerDeleteHandle$",	//970
    "markerFindNext",	//971
    "markerFindNext$$",	//972
    "markerFindPrevious",	//973
    "markerFindPrevious$$",	//974
    "markerLine",	//975
    "markerLine$",	//976
    "markersAtLine",	//977
    "markersAtLine$",	//978
    "metaObject",	//979
    "metric",	//980
    "minimumSizeHint",	//981
    "modificationAttempted",	//982
    "modificationChanged",	//983
    "modificationChanged$",	//984
    "mouseDoubleClickEvent",	//985
    "mouseDoubleClickEvent#",	//986
    "mouseMoveEvent",	//987
    "mouseMoveEvent#",	//988
    "mousePressEvent",	//989
    "mousePressEvent#",	//990
    "mouseReleaseEvent",	//991
    "mouseReleaseEvent#",	//992
    "moveEvent",	//993
    "moveToMatchingBrace",	//994
    "operator=",	//995
    "operator=#",	//996
    "paintEngine",	//997
    "paintEvent",	//998
    "paintEvent#",	//999
    "paletteChange",	//1000
    "paper",	//1001
    "paper$",	//1002
    "paperChanged",	//1003
    "paperChanged#$",	//1004
    "paste",	//1005
    "play",	//1006
    "pool",	//1007
    "positionFromLineIndex",	//1008
    "positionFromLineIndex$$",	//1009
    "prepare",	//1010
    "printRange",	//1011
    "printRange#",	//1012
    "printRange#$",	//1013
    "printRange#$$",	//1014
    "propertyChanged",	//1015
    "propertyChanged$$",	//1016
    "qt_metacall",	//1017
    "qt_metacall$$?",	//1018
    "qt_metacast",	//1019
    "qt_metacast$",	//1020
    "read",	//1021
    "read#",	//1022
    "readProperties",	//1023
    "readProperties#$",	//1024
    "readSettings",	//1025
    "readSettings#",	//1026
    "readSettings#$",	//1027
    "recolor",	//1028
    "recolor$",	//1029
    "recolor$$",	//1030
    "redo",	//1031
    "refresh",	//1032
    "refreshProperties",	//1033
    "registerImage",	//1034
    "registerImage$#",	//1035
    "remove",	//1036
    "remove$",	//1037
    "removeSelectedText",	//1038
    "replace",	//1039
    "replace$",	//1040
    "resetFoldMarginColors",	//1041
    "resetSelectionBackgroundColor",	//1042
    "resetSelectionForegroundColor",	//1043
    "resizeEvent",	//1044
    "resizeEvent#",	//1045
    "save",	//1046
    "savePrepared",	//1047
    "savePrepared$",	//1048
    "scriptsStyled",	//1049
    "scrollContentsBy",	//1050
    "scrollContentsBy$$",	//1051
    "selectAll",	//1052
    "selectAll$",	//1053
    "selectToMatchingBrace",	//1054
    "selectedText",	//1055
    "selectionChanged",	//1056
    "selectionToEol",	//1057
    "setAPIs",	//1058
    "setAPIs#",	//1059
    "setAlternateKey",	//1060
    "setAlternateKey$",	//1061
    "setAnnotationDisplay",	//1062
    "setAnnotationDisplay$",	//1063
    "setAutoCompletionCaseSensitivity",	//1064
    "setAutoCompletionCaseSensitivity$",	//1065
    "setAutoCompletionFillups",	//1066
    "setAutoCompletionFillups$",	//1067
    "setAutoCompletionFillupsEnabled",	//1068
    "setAutoCompletionFillupsEnabled$",	//1069
    "setAutoCompletionReplaceWord",	//1070
    "setAutoCompletionReplaceWord$",	//1071
    "setAutoCompletionShowSingle",	//1072
    "setAutoCompletionShowSingle$",	//1073
    "setAutoCompletionSource",	//1074
    "setAutoCompletionSource$",	//1075
    "setAutoCompletionThreshold",	//1076
    "setAutoCompletionThreshold$",	//1077
    "setAutoCompletionWordSeparators",	//1078
    "setAutoCompletionWordSeparators?",	//1079
    "setAutoIndent",	//1080
    "setAutoIndent$",	//1081
    "setAutoIndentStyle",	//1082
    "setAutoIndentStyle$",	//1083
    "setBackslashEscapes",	//1084
    "setBackslashEscapes$",	//1085
    "setBackspaceUnindents",	//1086
    "setBackspaceUnindents$",	//1087
    "setBraceMatching",	//1088
    "setBraceMatching$",	//1089
    "setCallTipsBackgroundColor",	//1090
    "setCallTipsBackgroundColor#",	//1091
    "setCallTipsForegroundColor",	//1092
    "setCallTipsForegroundColor#",	//1093
    "setCallTipsHighlightColor",	//1094
    "setCallTipsHighlightColor#",	//1095
    "setCallTipsStyle",	//1096
    "setCallTipsStyle$",	//1097
    "setCallTipsVisible",	//1098
    "setCallTipsVisible$",	//1099
    "setCaretForegroundColor",	//1100
    "setCaretForegroundColor#",	//1101
    "setCaretLineBackgroundColor",	//1102
    "setCaretLineBackgroundColor#",	//1103
    "setCaretLineVisible",	//1104
    "setCaretLineVisible$",	//1105
    "setCaretWidth",	//1106
    "setCaretWidth$",	//1107
    "setCaseSensitiveTags",	//1108
    "setCaseSensitiveTags$",	//1109
    "setChangeable",	//1110
    "setChangeable$",	//1111
    "setColor",	//1112
    "setColor#",	//1113
    "setColor#$",	//1114
    "setCursorPosition",	//1115
    "setCursorPosition$$",	//1116
    "setDefaultColor",	//1117
    "setDefaultColor#",	//1118
    "setDefaultFont",	//1119
    "setDefaultFont#",	//1120
    "setDefaultPaper",	//1121
    "setDefaultPaper#",	//1122
    "setDescription",	//1123
    "setDescription$",	//1124
    "setDocument",	//1125
    "setDocument#",	//1126
    "setDollarsAllowed",	//1127
    "setDollarsAllowed$",	//1128
    "setEdgeColor",	//1129
    "setEdgeColor#",	//1130
    "setEdgeColumn",	//1131
    "setEdgeColumn$",	//1132
    "setEdgeMode",	//1133
    "setEdgeMode$",	//1134
    "setEditor",	//1135
    "setEditor#",	//1136
    "setEolFill",	//1137
    "setEolFill$",	//1138
    "setEolFill$$",	//1139
    "setEolMode",	//1140
    "setEolMode$",	//1141
    "setEolVisibility",	//1142
    "setEolVisibility$",	//1143
    "setFoldAtBegin",	//1144
    "setFoldAtBegin$",	//1145
    "setFoldAtElse",	//1146
    "setFoldAtElse$",	//1147
    "setFoldAtParenthesis",	//1148
    "setFoldAtParenthesis$",	//1149
    "setFoldComments",	//1150
    "setFoldComments$",	//1151
    "setFoldCompact",	//1152
    "setFoldCompact$",	//1153
    "setFoldDirectives",	//1154
    "setFoldDirectives$",	//1155
    "setFoldMarginColors",	//1156
    "setFoldMarginColors##",	//1157
    "setFoldPODBlocks",	//1158
    "setFoldPODBlocks$",	//1159
    "setFoldPackages",	//1160
    "setFoldPackages$",	//1161
    "setFoldPreprocessor",	//1162
    "setFoldPreprocessor$",	//1163
    "setFoldQuotes",	//1164
    "setFoldQuotes$",	//1165
    "setFoldScriptComments",	//1166
    "setFoldScriptComments$",	//1167
    "setFoldScriptHeredocs",	//1168
    "setFoldScriptHeredocs$",	//1169
    "setFolding",	//1170
    "setFolding$",	//1171
    "setFolding$$",	//1172
    "setFont",	//1173
    "setFont#",	//1174
    "setFont#$",	//1175
    "setHotspot",	//1176
    "setHotspot$",	//1177
    "setIndentation",	//1178
    "setIndentation$$",	//1179
    "setIndentationGuides",	//1180
    "setIndentationGuides$",	//1181
    "setIndentationGuidesBackgroundColor",	//1182
    "setIndentationGuidesBackgroundColor#",	//1183
    "setIndentationGuidesForegroundColor",	//1184
    "setIndentationGuidesForegroundColor#",	//1185
    "setIndentationWarning",	//1186
    "setIndentationWarning$",	//1187
    "setIndentationWidth",	//1188
    "setIndentationWidth$",	//1189
    "setIndentationsUseTabs",	//1190
    "setIndentationsUseTabs$",	//1191
    "setKey",	//1192
    "setKey$",	//1193
    "setLevel",	//1194
    "setLevel$",	//1195
    "setLexer",	//1196
    "setLexer#",	//1197
    "setMagnification",	//1198
    "setMagnification$",	//1199
    "setMarginLineNumbers",	//1200
    "setMarginLineNumbers$$",	//1201
    "setMarginMarkerMask",	//1202
    "setMarginMarkerMask$$",	//1203
    "setMarginSensitivity",	//1204
    "setMarginSensitivity$$",	//1205
    "setMarginText",	//1206
    "setMarginText$#",	//1207
    "setMarginText$$#",	//1208
    "setMarginText$$$",	//1209
    "setMarginText$?",	//1210
    "setMarginType",	//1211
    "setMarginType$$",	//1212
    "setMarginWidth",	//1213
    "setMarginWidth$$",	//1214
    "setMarginsBackgroundColor",	//1215
    "setMarginsBackgroundColor#",	//1216
    "setMarginsFont",	//1217
    "setMarginsFont#",	//1218
    "setMarginsForegroundColor",	//1219
    "setMarginsForegroundColor#",	//1220
    "setMarkerBackgroundColor",	//1221
    "setMarkerBackgroundColor#",	//1222
    "setMarkerBackgroundColor#$",	//1223
    "setMarkerForegroundColor",	//1224
    "setMarkerForegroundColor#",	//1225
    "setMarkerForegroundColor#$",	//1226
    "setMatchedBraceBackgroundColor",	//1227
    "setMatchedBraceBackgroundColor#",	//1228
    "setMatchedBraceForegroundColor",	//1229
    "setMatchedBraceForegroundColor#",	//1230
    "setModified",	//1231
    "setModified$",	//1232
    "setPaper",	//1233
    "setPaper#",	//1234
    "setPaper#$",	//1235
    "setReadOnly",	//1236
    "setReadOnly$",	//1237
    "setScriptsStyled",	//1238
    "setScriptsStyled$",	//1239
    "setSelection",	//1240
    "setSelection$$$$",	//1241
    "setSelectionBackgroundColor",	//1242
    "setSelectionBackgroundColor#",	//1243
    "setSelectionForegroundColor",	//1244
    "setSelectionForegroundColor#",	//1245
    "setSelectionToEol",	//1246
    "setSelectionToEol$",	//1247
    "setSmartHighlighting",	//1248
    "setSmartHighlighting$",	//1249
    "setStylePreprocessor",	//1250
    "setStylePreprocessor$",	//1251
    "setStyling",	//1252
    "setStyling$#",	//1253
    "setStyling$$",	//1254
    "setTabIndents",	//1255
    "setTabIndents$",	//1256
    "setTabWidth",	//1257
    "setTabWidth$",	//1258
    "setText",	//1259
    "setText$",	//1260
    "setTextCase",	//1261
    "setTextCase$",	//1262
    "setTokenize",	//1263
    "setTokenize$",	//1264
    "setUnmatchedBraceBackgroundColor",	//1265
    "setUnmatchedBraceBackgroundColor#",	//1266
    "setUnmatchedBraceForegroundColor",	//1267
    "setUnmatchedBraceForegroundColor#",	//1268
    "setUtf8",	//1269
    "setUtf8$",	//1270
    "setV2UnicodeAllowed",	//1271
    "setV2UnicodeAllowed$",	//1272
    "setV3BinaryOctalAllowed",	//1273
    "setV3BinaryOctalAllowed$",	//1274
    "setV3BytesAllowed",	//1275
    "setV3BytesAllowed$",	//1276
    "setVisible",	//1277
    "setVisible$",	//1278
    "setWhitespaceVisibility",	//1279
    "setWhitespaceVisibility$",	//1280
    "setWrapMode",	//1281
    "setWrapMode$",	//1282
    "setWrapVisualFlags",	//1283
    "setWrapVisualFlags$",	//1284
    "setWrapVisualFlags$$",	//1285
    "setWrapVisualFlags$$$",	//1286
    "showEvent",	//1287
    "showUserList",	//1288
    "showUserList$?",	//1289
    "sizeHint",	//1290
    "smartHighlighting",	//1291
    "standardCommands",	//1292
    "startRecording",	//1293
    "startStyling",	//1294
    "startStyling$",	//1295
    "startStyling$$",	//1296
    "staticMetaObject",	//1297
    "style",	//1298
    "styleBitsNeeded",	//1299
    "styleChange",	//1300
    "stylePreprocessor",	//1301
    "styleText",	//1302
    "styleText$$",	//1303
    "tabIndents",	//1304
    "tabWidth",	//1305
    "tabletEvent",	//1306
    "text",	//1307
    "text$",	//1308
    "textCase",	//1309
    "textChanged",	//1310
    "textHeight",	//1311
    "textHeight$",	//1312
    "timerEvent",	//1313
    "tokenize",	//1314
    "tr",	//1315
    "tr$",	//1316
    "tr$$",	//1317
    "tr$$$",	//1318
    "trUtf8",	//1319
    "trUtf8$",	//1320
    "trUtf8$$",	//1321
    "trUtf8$$$",	//1322
    "undo",	//1323
    "unindent",	//1324
    "unindent$",	//1325
    "updateAutoCompletionList",	//1326
    "updateAutoCompletionList??",	//1327
    "userListActivated",	//1328
    "userListActivated$$",	//1329
    "v2UnicodeAllowed",	//1330
    "v3BinaryOctalAllowed",	//1331
    "v3BytesAllowed",	//1332
    "validKey",	//1333
    "validKey$",	//1334
    "viewportEvent",	//1335
    "visible",	//1336
    "wheelEvent",	//1337
    "whitespaceVisibility",	//1338
    "windowActivationChange",	//1339
    "wordAtPoint",	//1340
    "wordAtPoint#",	//1341
    "wordCharacters",	//1342
    "wrapMode",	//1343
    "write",	//1344
    "write#",	//1345
    "writeProperties",	//1346
    "writeProperties#$",	//1347
    "writeSettings",	//1348
    "writeSettings#",	//1349
    "writeSettings#$",	//1350
    "x11Event",	//1351
    "zoomIn",	//1352
    "zoomIn$",	//1353
    "zoomOut",	//1354
    "zoomOut$",	//1355
    "zoomTo",	//1356
    "zoomTo$",	//1357
    "~QsciAPIs",	//1358
    "~QsciAbstractAPIs",	//1359
    "~QsciCommand",	//1360
    "~QsciDocument",	//1361
    "~QsciLexer",	//1362
    "~QsciLexerBash",	//1363
    "~QsciLexerBatch",	//1364
    "~QsciLexerCMake",	//1365
    "~QsciLexerCPP",	//1366
    "~QsciLexerCSS",	//1367
    "~QsciLexerCSharp",	//1368
    "~QsciLexerCustom",	//1369
    "~QsciLexerD",	//1370
    "~QsciLexerDiff",	//1371
    "~QsciLexerFortran",	//1372
    "~QsciLexerFortran77",	//1373
    "~QsciLexerHTML",	//1374
    "~QsciLexerIDL",	//1375
    "~QsciLexerJava",	//1376
    "~QsciLexerJavaScript",	//1377
    "~QsciLexerLua",	//1378
    "~QsciLexerMakefile",	//1379
    "~QsciLexerPOV",	//1380
    "~QsciLexerPascal",	//1381
    "~QsciLexerPerl",	//1382
    "~QsciLexerPostScript",	//1383
    "~QsciLexerProperties",	//1384
    "~QsciLexerPython",	//1385
    "~QsciLexerRuby",	//1386
    "~QsciLexerSQL",	//1387
    "~QsciLexerTCL",	//1388
    "~QsciLexerTeX",	//1389
    "~QsciLexerVHDL",	//1390
    "~QsciLexerXML",	//1391
    "~QsciLexerYAML",	//1392
    "~QsciMacro",	//1393
    "~QsciPrinter",	//1394
    "~QsciScintilla",	//1395
    "~QsciScintillaBase",	//1396
    "~QsciStyle",	//1397
    "~QsciStyledText",	//1398
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 981, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1290, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 842, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1335, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1337, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 771, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {16, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {16, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {16, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {16, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {16, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {16, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {16, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {16, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {16, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {16, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {16, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {16, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {16, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {16, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {16, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {16, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {16, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {16, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {16, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {16, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {16, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {24, 842, 1, 1, Smoke::mf_virtual, 197, 0},	//36 QObject::event(QEvent*)
    {24, 844, 5, 2, Smoke::mf_virtual, 197, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {24, 1313, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {24, 773, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {24, 799, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {24, 789, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {24, 814, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {31, 813, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 0},	//43 QPrinter::devType() const
    {31, 997, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//44 QPrinter::paintEngine() const
    {31, 980, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 218, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 4},	//46 QPrinter::ScreenResolution (enum)
    {31, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 5},	//47 QPrinter::PrinterResolution (enum)
    {31, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 6},	//48 QPrinter::HighResolution (enum)
    {43, 813, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 0},	//49 QWidget::devType() const
    {43, 1277, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {43, 888, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 0},	//51 QWidget::heightForWidth(int) const
    {43, 997, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//52 QWidget::paintEngine() const
    {43, 922, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {43, 835, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {43, 927, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {43, 993, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {43, 783, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {43, 1306, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {43, 715, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {43, 1287, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {43, 889, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {43, 1351, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//62 QWidget::x11Event(_XEvent*)
    {43, 980, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 218, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {43, 902, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {43, 1300, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {43, 829, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {43, 1000, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {43, 878, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {43, 1339, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {43, 926, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {44, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//71 QsciAPIs::metaObject() const
    {44, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {44, 1315, 44, 2, Smoke::mf_static, 36, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {44, 1319, 44, 2, Smoke::mf_static, 36, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {44, 1315, 47, 3, Smoke::mf_static, 36, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {44, 1319, 47, 3, Smoke::mf_static, 36, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {44, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {44, 360, 55, 1, Smoke::mf_ctor, 46, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {44, 716, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {44, 774, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {44, 940, 57, 1, 0, 197, 11},	//81 QsciAPIs::load(const QString&)
    {44, 1036, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {44, 1010, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {44, 768, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {44, 809, 0, 0, Smoke::mf_const, 36, 15},	//85 QsciAPIs::defaultPreparedName() const
    {44, 911, 57, 1, Smoke::mf_const, 197, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {44, 942, 57, 1, 0, 197, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {44, 1047, 57, 1, Smoke::mf_const, 197, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {44, 1326, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {44, 742, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {44, 763, 62, 4, Smoke::mf_virtual, 37, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {44, 842, 1, 1, Smoke::mf_virtual, 197, 22},	//92 QsciAPIs::event(QEvent*)
    {44, 907, 0, 0, Smoke::mf_const, 37, 23},	//93 QsciAPIs::installedAPIFiles() const
    {44, 729, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {44, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {44, 730, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {44, 1315, 12, 1, Smoke::mf_static, 36, 27},	//97 QsciAPIs::tr(const char*)
    {44, 1319, 12, 1, Smoke::mf_static, 36, 28},	//98 QsciAPIs::trUtf8(const char*)
    {44, 911, 0, 0, Smoke::mf_const, 197, 29},	//99 QsciAPIs::isPrepared() const
    {44, 942, 0, 0, 0, 197, 30},	//100 QsciAPIs::loadPrepared()
    {44, 1047, 0, 0, Smoke::mf_const, 197, 31},	//101 QsciAPIs::savePrepared() const
    {44, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 32},	//102 QsciAPIs::staticMetaObject() const
    {44, 1358, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {45, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//104 QsciAbstractAPIs::metaObject() const
    {45, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//105 QsciAbstractAPIs::qt_metacast(const char*)
    {45, 1315, 44, 2, Smoke::mf_static, 36, 3},	//106 QsciAbstractAPIs::tr(const char*, const char*)
    {45, 1319, 44, 2, Smoke::mf_static, 36, 4},	//107 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {45, 1315, 47, 3, Smoke::mf_static, 36, 5},	//108 QsciAbstractAPIs::tr(const char*, const char*, int)
    {45, 1319, 47, 3, Smoke::mf_static, 36, 6},	//109 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {45, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//110 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 362, 55, 1, Smoke::mf_ctor, 47, 8},	//111 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {45, 930, 0, 0, Smoke::mf_const, 52, 9},	//112 QsciAbstractAPIs::lexer() const
    {45, 1326, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//113 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {45, 742, 57, 1, Smoke::mf_virtual, 0, 11},	//114 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {45, 763, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 12},	//115 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {45, 1315, 12, 1, Smoke::mf_static, 36, 13},	//116 QsciAbstractAPIs::tr(const char*)
    {45, 1319, 12, 1, Smoke::mf_static, 36, 14},	//117 QsciAbstractAPIs::trUtf8(const char*)
    {45, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 15},	//118 QsciAbstractAPIs::staticMetaObject() const
    {45, 1359, 0, 0, Smoke::mf_dtor, 0, 16 },	//119 QsciAbstractAPIs::~QsciAbstractAPIs()
    {46, 1192, 18, 1, 0, 0, 1},	//120 QsciCommand::setKey(int)
    {46, 1060, 18, 1, 0, 0, 2},	//121 QsciCommand::setAlternateKey(int)
    {46, 919, 0, 0, Smoke::mf_const, 218, 3},	//122 QsciCommand::key() const
    {46, 718, 0, 0, Smoke::mf_const, 218, 4},	//123 QsciCommand::alternateKey() const
    {46, 1333, 18, 1, Smoke::mf_static, 197, 5},	//124 QsciCommand::validKey(int)
    {46, 811, 0, 0, Smoke::mf_const, 36, 6},	//125 QsciCommand::description() const
    {46, 1360, 0, 0, Smoke::mf_dtor, 0, 7 },	//126 QsciCommand::~QsciCommand()
    {47, 1025, 67, 2, 0, 197, 1},	//127 QsciCommandSet::readSettings(QSettings&, const char*)
    {47, 1348, 67, 2, 0, 197, 2},	//128 QsciCommandSet::writeSettings(QSettings&, const char*)
    {47, 788, 0, 0, 0, 18, 3},	//129 QsciCommandSet::commands()
    {47, 779, 0, 0, 0, 0, 4},	//130 QsciCommandSet::clearKeys()
    {47, 775, 0, 0, 0, 0, 5},	//131 QsciCommandSet::clearAlternateKeys()
    {47, 1025, 70, 1, 0, 197, 6},	//132 QsciCommandSet::readSettings(QSettings&)
    {47, 1348, 70, 1, 0, 197, 7},	//133 QsciCommandSet::writeSettings(QSettings&)
    {48, 364, 0, 0, Smoke::mf_ctor, 51, 1},	//134 QsciDocument::QsciDocument()
    {48, 364, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 2},	//135 QsciDocument::QsciDocument(const QsciDocument&)
    {48, 995, 72, 1, 0, 50, 3},	//136 QsciDocument::operator=(const QsciDocument&)
    {48, 1361, 0, 0, Smoke::mf_dtor, 0, 4 },	//137 QsciDocument::~QsciDocument()
    {49, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//138 QsciLexer::metaObject() const
    {49, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//139 QsciLexer::qt_metacast(const char*)
    {49, 1315, 44, 2, Smoke::mf_static, 36, 3},	//140 QsciLexer::tr(const char*, const char*)
    {49, 1319, 44, 2, Smoke::mf_static, 36, 4},	//141 QsciLexer::trUtf8(const char*, const char*)
    {49, 1315, 47, 3, Smoke::mf_static, 36, 5},	//142 QsciLexer::tr(const char*, const char*, int)
    {49, 1319, 47, 3, Smoke::mf_static, 36, 6},	//143 QsciLexer::trUtf8(const char*, const char*, int)
    {49, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//144 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {49, 366, 74, 1, Smoke::mf_ctor, 52, 8},	//145 QsciLexer::QsciLexer(QObject*)
    {49, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 216, 9},	//146 QsciLexer::language() const [pure virtual]
    {49, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//147 QsciLexer::lexer() const
    {49, 931, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//148 QsciLexer::lexerId() const
    {49, 732, 0, 0, Smoke::mf_const, 47, 12},	//149 QsciLexer::apis() const
    {49, 739, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//150 QsciLexer::autoCompletionFillups() const
    {49, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//151 QsciLexer::autoCompletionWordSeparators() const
    {49, 749, 0, 0, 0, 218, 15},	//152 QsciLexer::autoIndentStyle()
    {49, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//153 QsciLexer::blockEnd(int*) const
    {49, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 17},	//154 QsciLexer::blockLookback() const
    {49, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 18},	//155 QsciLexer::blockStart(int*) const
    {49, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 19},	//156 QsciLexer::blockStartKeyword(int*) const
    {49, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 20},	//157 QsciLexer::braceStyle() const
    {49, 769, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 21},	//158 QsciLexer::caseSensitive() const
    {49, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//159 QsciLexer::color(int) const
    {49, 836, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 23},	//160 QsciLexer::eolFill(int) const
    {49, 876, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//161 QsciLexer::font(int) const
    {49, 895, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 25},	//162 QsciLexer::indentationGuideView() const
    {49, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 26},	//163 QsciLexer::keywords(int) const
    {49, 810, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 27},	//164 QsciLexer::defaultStyle() const
    {49, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 36, 28},	//165 QsciLexer::description(int) const [pure virtual]
    {49, 1001, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//166 QsciLexer::paper(int) const
    {49, 801, 0, 0, Smoke::mf_const, 5, 30},	//167 QsciLexer::defaultColor() const
    {49, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//168 QsciLexer::defaultColor(int) const
    {49, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 32},	//169 QsciLexer::defaultEolFill(int) const
    {49, 805, 0, 0, Smoke::mf_const, 13, 33},	//170 QsciLexer::defaultFont() const
    {49, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//171 QsciLexer::defaultFont(int) const
    {49, 807, 0, 0, Smoke::mf_const, 5, 35},	//172 QsciLexer::defaultPaper() const
    {49, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//173 QsciLexer::defaultPaper(int) const
    {49, 828, 0, 0, Smoke::mf_const, 86, 37},	//174 QsciLexer::editor() const
    {49, 1058, 78, 1, 0, 0, 38},	//175 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {49, 1117, 80, 1, 0, 0, 39},	//176 QsciLexer::setDefaultColor(const QColor&)
    {49, 1119, 42, 1, 0, 0, 40},	//177 QsciLexer::setDefaultFont(const QFont&)
    {49, 1121, 80, 1, 0, 0, 41},	//178 QsciLexer::setDefaultPaper(const QColor&)
    {49, 1135, 82, 1, Smoke::mf_virtual, 0, 42},	//179 QsciLexer::setEditor(QsciScintilla*)
    {49, 1025, 67, 2, 0, 197, 43},	//180 QsciLexer::readSettings(QSettings&, const char*)
    {49, 1033, 0, 0, Smoke::mf_virtual, 0, 44},	//181 QsciLexer::refreshProperties()
    {49, 1299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 45},	//182 QsciLexer::styleBitsNeeded() const
    {49, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 46},	//183 QsciLexer::wordCharacters() const
    {49, 1348, 67, 2, Smoke::mf_const, 197, 47},	//184 QsciLexer::writeSettings(QSettings&, const char*) const
    {49, 1082, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//185 QsciLexer::setAutoIndentStyle(int)
    {49, 1112, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//186 QsciLexer::setColor(const QColor&, int)
    {49, 1137, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//187 QsciLexer::setEolFill(bool, int)
    {49, 1173, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//188 QsciLexer::setFont(const QFont&, int)
    {49, 1233, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//189 QsciLexer::setPaper(const QColor&, int)
    {49, 786, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//190 QsciLexer::colorChanged(const QColor&, int)
    {49, 838, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//191 QsciLexer::eolFillChanged(bool, int)
    {49, 879, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//192 QsciLexer::fontChanged(const QFont&, int)
    {49, 1003, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//193 QsciLexer::paperChanged(const QColor&, int)
    {49, 1015, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//194 QsciLexer::propertyChanged(const char*, const char*)
    {49, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 58},	//195 QsciLexer::readProperties(QSettings&, const QString&)
    {49, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 59},	//196 QsciLexer::writeProperties(QSettings&, const QString&) const
    {49, 1315, 12, 1, Smoke::mf_static, 36, 60},	//197 QsciLexer::tr(const char*)
    {49, 1319, 12, 1, Smoke::mf_static, 36, 61},	//198 QsciLexer::trUtf8(const char*)
    {49, 366, 0, 0, Smoke::mf_ctor, 52, 62},	//199 QsciLexer::QsciLexer()
    {49, 753, 0, 0, Smoke::mf_const, 216, 63},	//200 QsciLexer::blockEnd() const
    {49, 756, 0, 0, Smoke::mf_const, 216, 64},	//201 QsciLexer::blockStart() const
    {49, 758, 0, 0, Smoke::mf_const, 216, 65},	//202 QsciLexer::blockStartKeyword() const
    {49, 1025, 70, 1, 0, 197, 66},	//203 QsciLexer::readSettings(QSettings&)
    {49, 1348, 70, 1, Smoke::mf_const, 197, 67},	//204 QsciLexer::writeSettings(QSettings&) const
    {49, 1112, 80, 1, Smoke::mf_slot, 0, 68},	//205 QsciLexer::setColor(const QColor&)
    {49, 1137, 16, 1, Smoke::mf_slot, 0, 69},	//206 QsciLexer::setEolFill(bool)
    {49, 1173, 42, 1, Smoke::mf_slot, 0, 70},	//207 QsciLexer::setFont(const QFont&)
    {49, 1233, 80, 1, Smoke::mf_slot, 0, 71},	//208 QsciLexer::setPaper(const QColor&)
    {49, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 72},	//209 QsciLexer::staticMetaObject() const
    {49, 1362, 0, 0, Smoke::mf_dtor, 0, 73 },	//210 QsciLexer::~QsciLexer()
    {50, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//211 QsciLexerBash::metaObject() const
    {50, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//212 QsciLexerBash::qt_metacast(const char*)
    {50, 1315, 44, 2, Smoke::mf_static, 36, 3},	//213 QsciLexerBash::tr(const char*, const char*)
    {50, 1319, 44, 2, Smoke::mf_static, 36, 4},	//214 QsciLexerBash::trUtf8(const char*, const char*)
    {50, 1315, 47, 3, Smoke::mf_static, 36, 5},	//215 QsciLexerBash::tr(const char*, const char*, int)
    {50, 1319, 47, 3, Smoke::mf_static, 36, 6},	//216 QsciLexerBash::trUtf8(const char*, const char*, int)
    {50, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//217 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {50, 368, 74, 1, Smoke::mf_ctor, 53, 8},	//218 QsciLexerBash::QsciLexerBash(QObject*)
    {50, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//219 QsciLexerBash::language() const
    {50, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//220 QsciLexerBash::lexer() const
    {50, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//221 QsciLexerBash::braceStyle() const
    {50, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//222 QsciLexerBash::wordCharacters() const
    {50, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//223 QsciLexerBash::defaultColor(int) const
    {50, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//224 QsciLexerBash::defaultEolFill(int) const
    {50, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//225 QsciLexerBash::defaultFont(int) const
    {50, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//226 QsciLexerBash::defaultPaper(int) const
    {50, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 17},	//227 QsciLexerBash::keywords(int) const
    {50, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//228 QsciLexerBash::description(int) const
    {50, 1033, 0, 0, Smoke::mf_virtual, 0, 19},	//229 QsciLexerBash::refreshProperties()
    {50, 864, 0, 0, Smoke::mf_const, 197, 20},	//230 QsciLexerBash::foldComments() const
    {50, 865, 0, 0, Smoke::mf_const, 197, 21},	//231 QsciLexerBash::foldCompact() const
    {50, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//232 QsciLexerBash::setFoldComments(bool)
    {50, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//233 QsciLexerBash::setFoldCompact(bool)
    {50, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 24},	//234 QsciLexerBash::readProperties(QSettings&, const QString&)
    {50, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 25},	//235 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {50, 1315, 12, 1, Smoke::mf_static, 36, 26},	//236 QsciLexerBash::tr(const char*)
    {50, 1319, 12, 1, Smoke::mf_static, 36, 27},	//237 QsciLexerBash::trUtf8(const char*)
    {50, 368, 0, 0, Smoke::mf_ctor, 53, 28},	//238 QsciLexerBash::QsciLexerBash()
    {50, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 29},	//239 QsciLexerBash::staticMetaObject() const
    {50, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//240 QsciLexerBash::Default (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//241 QsciLexerBash::Error (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//242 QsciLexerBash::Comment (enum)
    {50, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//243 QsciLexerBash::Number (enum)
    {50, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//244 QsciLexerBash::Keyword (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//245 QsciLexerBash::DoubleQuotedString (enum)
    {50, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//246 QsciLexerBash::SingleQuotedString (enum)
    {50, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//247 QsciLexerBash::Operator (enum)
    {50, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//248 QsciLexerBash::Identifier (enum)
    {50, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//249 QsciLexerBash::Scalar (enum)
    {50, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//250 QsciLexerBash::ParameterExpansion (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//251 QsciLexerBash::Backticks (enum)
    {50, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//252 QsciLexerBash::HereDocumentDelimiter (enum)
    {50, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//253 QsciLexerBash::SingleQuotedHereDocument (enum)
    {50, 1363, 0, 0, Smoke::mf_dtor, 0, 44 },	//254 QsciLexerBash::~QsciLexerBash()
    {51, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//255 QsciLexerBatch::metaObject() const
    {51, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//256 QsciLexerBatch::qt_metacast(const char*)
    {51, 1315, 44, 2, Smoke::mf_static, 36, 3},	//257 QsciLexerBatch::tr(const char*, const char*)
    {51, 1319, 44, 2, Smoke::mf_static, 36, 4},	//258 QsciLexerBatch::trUtf8(const char*, const char*)
    {51, 1315, 47, 3, Smoke::mf_static, 36, 5},	//259 QsciLexerBatch::tr(const char*, const char*, int)
    {51, 1319, 47, 3, Smoke::mf_static, 36, 6},	//260 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {51, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//261 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {51, 370, 74, 1, Smoke::mf_ctor, 54, 8},	//262 QsciLexerBatch::QsciLexerBatch(QObject*)
    {51, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//263 QsciLexerBatch::language() const
    {51, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//264 QsciLexerBatch::lexer() const
    {51, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//265 QsciLexerBatch::wordCharacters() const
    {51, 769, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//266 QsciLexerBatch::caseSensitive() const
    {51, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//267 QsciLexerBatch::defaultColor(int) const
    {51, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//268 QsciLexerBatch::defaultEolFill(int) const
    {51, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//269 QsciLexerBatch::defaultFont(int) const
    {51, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//270 QsciLexerBatch::defaultPaper(int) const
    {51, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 17},	//271 QsciLexerBatch::keywords(int) const
    {51, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//272 QsciLexerBatch::description(int) const
    {51, 1315, 12, 1, Smoke::mf_static, 36, 19},	//273 QsciLexerBatch::tr(const char*)
    {51, 1319, 12, 1, Smoke::mf_static, 36, 20},	//274 QsciLexerBatch::trUtf8(const char*)
    {51, 370, 0, 0, Smoke::mf_ctor, 54, 21},	//275 QsciLexerBatch::QsciLexerBatch()
    {51, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 22},	//276 QsciLexerBatch::staticMetaObject() const
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 23},	//277 QsciLexerBatch::Default (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 24},	//278 QsciLexerBatch::Comment (enum)
    {51, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//279 QsciLexerBatch::Keyword (enum)
    {51, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//280 QsciLexerBatch::Label (enum)
    {51, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//281 QsciLexerBatch::HideCommandChar (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//282 QsciLexerBatch::ExternalCommand (enum)
    {51, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//283 QsciLexerBatch::Variable (enum)
    {51, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//284 QsciLexerBatch::Operator (enum)
    {51, 1364, 0, 0, Smoke::mf_dtor, 0, 31 },	//285 QsciLexerBatch::~QsciLexerBatch()
    {52, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//286 QsciLexerCMake::metaObject() const
    {52, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//287 QsciLexerCMake::qt_metacast(const char*)
    {52, 1315, 44, 2, Smoke::mf_static, 36, 3},	//288 QsciLexerCMake::tr(const char*, const char*)
    {52, 1319, 44, 2, Smoke::mf_static, 36, 4},	//289 QsciLexerCMake::trUtf8(const char*, const char*)
    {52, 1315, 47, 3, Smoke::mf_static, 36, 5},	//290 QsciLexerCMake::tr(const char*, const char*, int)
    {52, 1319, 47, 3, Smoke::mf_static, 36, 6},	//291 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {52, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//292 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {52, 372, 74, 1, Smoke::mf_ctor, 55, 8},	//293 QsciLexerCMake::QsciLexerCMake(QObject*)
    {52, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//294 QsciLexerCMake::language() const
    {52, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//295 QsciLexerCMake::lexer() const
    {52, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//296 QsciLexerCMake::defaultColor(int) const
    {52, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//297 QsciLexerCMake::defaultFont(int) const
    {52, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//298 QsciLexerCMake::defaultPaper(int) const
    {52, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//299 QsciLexerCMake::keywords(int) const
    {52, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//300 QsciLexerCMake::description(int) const
    {52, 1033, 0, 0, Smoke::mf_virtual, 0, 16},	//301 QsciLexerCMake::refreshProperties()
    {52, 862, 0, 0, Smoke::mf_const, 197, 17},	//302 QsciLexerCMake::foldAtElse() const
    {52, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//303 QsciLexerCMake::setFoldAtElse(bool)
    {52, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 19},	//304 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {52, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 20},	//305 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {52, 1315, 12, 1, Smoke::mf_static, 36, 21},	//306 QsciLexerCMake::tr(const char*)
    {52, 1319, 12, 1, Smoke::mf_static, 36, 22},	//307 QsciLexerCMake::trUtf8(const char*)
    {52, 372, 0, 0, Smoke::mf_ctor, 55, 23},	//308 QsciLexerCMake::QsciLexerCMake()
    {52, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 24},	//309 QsciLexerCMake::staticMetaObject() const
    {52, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//310 QsciLexerCMake::Default (enum)
    {52, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//311 QsciLexerCMake::Comment (enum)
    {52, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//312 QsciLexerCMake::String (enum)
    {52, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//313 QsciLexerCMake::StringLeftQuote (enum)
    {52, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//314 QsciLexerCMake::StringRightQuote (enum)
    {52, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//315 QsciLexerCMake::Function (enum)
    {52, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//316 QsciLexerCMake::Variable (enum)
    {52, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//317 QsciLexerCMake::Label (enum)
    {52, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//318 QsciLexerCMake::KeywordSet3 (enum)
    {52, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//319 QsciLexerCMake::BlockWhile (enum)
    {52, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//320 QsciLexerCMake::BlockForeach (enum)
    {52, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//321 QsciLexerCMake::BlockIf (enum)
    {52, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//322 QsciLexerCMake::BlockMacro (enum)
    {52, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//323 QsciLexerCMake::StringVariable (enum)
    {52, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//324 QsciLexerCMake::Number (enum)
    {52, 1365, 0, 0, Smoke::mf_dtor, 0, 40 },	//325 QsciLexerCMake::~QsciLexerCMake()
    {53, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//326 QsciLexerCPP::metaObject() const
    {53, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//327 QsciLexerCPP::qt_metacast(const char*)
    {53, 1315, 44, 2, Smoke::mf_static, 36, 3},	//328 QsciLexerCPP::tr(const char*, const char*)
    {53, 1319, 44, 2, Smoke::mf_static, 36, 4},	//329 QsciLexerCPP::trUtf8(const char*, const char*)
    {53, 1315, 47, 3, Smoke::mf_static, 36, 5},	//330 QsciLexerCPP::tr(const char*, const char*, int)
    {53, 1319, 47, 3, Smoke::mf_static, 36, 6},	//331 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {53, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//332 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {53, 374, 96, 2, Smoke::mf_ctor, 56, 8},	//333 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {53, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//334 QsciLexerCPP::language() const
    {53, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//335 QsciLexerCPP::lexer() const
    {53, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//336 QsciLexerCPP::autoCompletionWordSeparators() const
    {53, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//337 QsciLexerCPP::blockEnd(int*) const
    {53, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//338 QsciLexerCPP::blockStart(int*) const
    {53, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//339 QsciLexerCPP::blockStartKeyword(int*) const
    {53, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//340 QsciLexerCPP::braceStyle() const
    {53, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//341 QsciLexerCPP::wordCharacters() const
    {53, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//342 QsciLexerCPP::defaultColor(int) const
    {53, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 18},	//343 QsciLexerCPP::defaultEolFill(int) const
    {53, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//344 QsciLexerCPP::defaultFont(int) const
    {53, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//345 QsciLexerCPP::defaultPaper(int) const
    {53, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 21},	//346 QsciLexerCPP::keywords(int) const
    {53, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//347 QsciLexerCPP::description(int) const
    {53, 1033, 0, 0, Smoke::mf_virtual, 0, 23},	//348 QsciLexerCPP::refreshProperties()
    {53, 862, 0, 0, Smoke::mf_const, 197, 24},	//349 QsciLexerCPP::foldAtElse() const
    {53, 864, 0, 0, Smoke::mf_const, 197, 25},	//350 QsciLexerCPP::foldComments() const
    {53, 865, 0, 0, Smoke::mf_const, 197, 26},	//351 QsciLexerCPP::foldCompact() const
    {53, 871, 0, 0, Smoke::mf_const, 197, 27},	//352 QsciLexerCPP::foldPreprocessor() const
    {53, 1301, 0, 0, Smoke::mf_const, 197, 28},	//353 QsciLexerCPP::stylePreprocessor() const
    {53, 1127, 16, 1, 0, 0, 29},	//354 QsciLexerCPP::setDollarsAllowed(bool)
    {53, 816, 0, 0, Smoke::mf_const, 197, 30},	//355 QsciLexerCPP::dollarsAllowed() const
    {53, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//356 QsciLexerCPP::setFoldAtElse(bool)
    {53, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//357 QsciLexerCPP::setFoldComments(bool)
    {53, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//358 QsciLexerCPP::setFoldCompact(bool)
    {53, 1162, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//359 QsciLexerCPP::setFoldPreprocessor(bool)
    {53, 1250, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//360 QsciLexerCPP::setStylePreprocessor(bool)
    {53, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 36},	//361 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {53, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 37},	//362 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {53, 1315, 12, 1, Smoke::mf_static, 36, 38},	//363 QsciLexerCPP::tr(const char*)
    {53, 1319, 12, 1, Smoke::mf_static, 36, 39},	//364 QsciLexerCPP::trUtf8(const char*)
    {53, 374, 0, 0, Smoke::mf_ctor, 56, 40},	//365 QsciLexerCPP::QsciLexerCPP()
    {53, 374, 74, 1, Smoke::mf_ctor, 56, 41},	//366 QsciLexerCPP::QsciLexerCPP(QObject*)
    {53, 753, 0, 0, Smoke::mf_const, 216, 42},	//367 QsciLexerCPP::blockEnd() const
    {53, 756, 0, 0, Smoke::mf_const, 216, 43},	//368 QsciLexerCPP::blockStart() const
    {53, 758, 0, 0, Smoke::mf_const, 216, 44},	//369 QsciLexerCPP::blockStartKeyword() const
    {53, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 45},	//370 QsciLexerCPP::staticMetaObject() const
    {53, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//371 QsciLexerCPP::Default (enum)
    {53, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//372 QsciLexerCPP::Comment (enum)
    {53, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//373 QsciLexerCPP::CommentLine (enum)
    {53, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//374 QsciLexerCPP::CommentDoc (enum)
    {53, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//375 QsciLexerCPP::Number (enum)
    {53, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//376 QsciLexerCPP::Keyword (enum)
    {53, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//377 QsciLexerCPP::DoubleQuotedString (enum)
    {53, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//378 QsciLexerCPP::SingleQuotedString (enum)
    {53, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//379 QsciLexerCPP::UUID (enum)
    {53, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//380 QsciLexerCPP::PreProcessor (enum)
    {53, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//381 QsciLexerCPP::Operator (enum)
    {53, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 57},	//382 QsciLexerCPP::Identifier (enum)
    {53, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 58},	//383 QsciLexerCPP::UnclosedString (enum)
    {53, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 59},	//384 QsciLexerCPP::VerbatimString (enum)
    {53, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 60},	//385 QsciLexerCPP::Regex (enum)
    {53, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 61},	//386 QsciLexerCPP::CommentLineDoc (enum)
    {53, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 62},	//387 QsciLexerCPP::KeywordSet2 (enum)
    {53, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 63},	//388 QsciLexerCPP::CommentDocKeyword (enum)
    {53, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 64},	//389 QsciLexerCPP::CommentDocKeywordError (enum)
    {53, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 65},	//390 QsciLexerCPP::GlobalClass (enum)
    {53, 1366, 0, 0, Smoke::mf_dtor, 0, 66 },	//391 QsciLexerCPP::~QsciLexerCPP()
    {54, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//392 QsciLexerCSS::metaObject() const
    {54, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//393 QsciLexerCSS::qt_metacast(const char*)
    {54, 1315, 44, 2, Smoke::mf_static, 36, 3},	//394 QsciLexerCSS::tr(const char*, const char*)
    {54, 1319, 44, 2, Smoke::mf_static, 36, 4},	//395 QsciLexerCSS::trUtf8(const char*, const char*)
    {54, 1315, 47, 3, Smoke::mf_static, 36, 5},	//396 QsciLexerCSS::tr(const char*, const char*, int)
    {54, 1319, 47, 3, Smoke::mf_static, 36, 6},	//397 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {54, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//398 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {54, 377, 74, 1, Smoke::mf_ctor, 57, 8},	//399 QsciLexerCSS::QsciLexerCSS(QObject*)
    {54, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//400 QsciLexerCSS::language() const
    {54, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//401 QsciLexerCSS::lexer() const
    {54, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//402 QsciLexerCSS::blockEnd(int*) const
    {54, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//403 QsciLexerCSS::blockStart(int*) const
    {54, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//404 QsciLexerCSS::wordCharacters() const
    {54, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//405 QsciLexerCSS::defaultColor(int) const
    {54, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//406 QsciLexerCSS::defaultFont(int) const
    {54, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//407 QsciLexerCSS::keywords(int) const
    {54, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//408 QsciLexerCSS::description(int) const
    {54, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//409 QsciLexerCSS::refreshProperties()
    {54, 864, 0, 0, Smoke::mf_const, 197, 19},	//410 QsciLexerCSS::foldComments() const
    {54, 865, 0, 0, Smoke::mf_const, 197, 20},	//411 QsciLexerCSS::foldCompact() const
    {54, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//412 QsciLexerCSS::setFoldComments(bool)
    {54, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//413 QsciLexerCSS::setFoldCompact(bool)
    {54, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 23},	//414 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {54, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 24},	//415 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {54, 1315, 12, 1, Smoke::mf_static, 36, 25},	//416 QsciLexerCSS::tr(const char*)
    {54, 1319, 12, 1, Smoke::mf_static, 36, 26},	//417 QsciLexerCSS::trUtf8(const char*)
    {54, 377, 0, 0, Smoke::mf_ctor, 57, 27},	//418 QsciLexerCSS::QsciLexerCSS()
    {54, 753, 0, 0, Smoke::mf_const, 216, 28},	//419 QsciLexerCSS::blockEnd() const
    {54, 756, 0, 0, Smoke::mf_const, 216, 29},	//420 QsciLexerCSS::blockStart() const
    {54, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 30},	//421 QsciLexerCSS::staticMetaObject() const
    {54, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//422 QsciLexerCSS::Default (enum)
    {54, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//423 QsciLexerCSS::Tag (enum)
    {54, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//424 QsciLexerCSS::ClassSelector (enum)
    {54, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//425 QsciLexerCSS::PseudoClass (enum)
    {54, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//426 QsciLexerCSS::UnknownPseudoClass (enum)
    {54, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//427 QsciLexerCSS::Operator (enum)
    {54, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//428 QsciLexerCSS::CSS1Property (enum)
    {54, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//429 QsciLexerCSS::UnknownProperty (enum)
    {54, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//430 QsciLexerCSS::Value (enum)
    {54, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//431 QsciLexerCSS::Comment (enum)
    {54, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//432 QsciLexerCSS::IDSelector (enum)
    {54, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//433 QsciLexerCSS::Important (enum)
    {54, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//434 QsciLexerCSS::AtRule (enum)
    {54, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//435 QsciLexerCSS::DoubleQuotedString (enum)
    {54, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//436 QsciLexerCSS::SingleQuotedString (enum)
    {54, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//437 QsciLexerCSS::CSS2Property (enum)
    {54, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//438 QsciLexerCSS::Attribute (enum)
    {54, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//439 QsciLexerCSS::CSS3Property (enum)
    {54, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//440 QsciLexerCSS::PseudoElement (enum)
    {54, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//441 QsciLexerCSS::ExtendedCSSProperty (enum)
    {54, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//442 QsciLexerCSS::ExtendedPseudoClass (enum)
    {54, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//443 QsciLexerCSS::ExtendedPseudoElement (enum)
    {54, 1367, 0, 0, Smoke::mf_dtor, 0, 53 },	//444 QsciLexerCSS::~QsciLexerCSS()
    {55, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//445 QsciLexerCSharp::metaObject() const
    {55, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//446 QsciLexerCSharp::qt_metacast(const char*)
    {55, 1315, 44, 2, Smoke::mf_static, 36, 3},	//447 QsciLexerCSharp::tr(const char*, const char*)
    {55, 1319, 44, 2, Smoke::mf_static, 36, 4},	//448 QsciLexerCSharp::trUtf8(const char*, const char*)
    {55, 1315, 47, 3, Smoke::mf_static, 36, 5},	//449 QsciLexerCSharp::tr(const char*, const char*, int)
    {55, 1319, 47, 3, Smoke::mf_static, 36, 6},	//450 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {55, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//451 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {55, 379, 74, 1, Smoke::mf_ctor, 58, 8},	//452 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {55, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//453 QsciLexerCSharp::language() const
    {55, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//454 QsciLexerCSharp::defaultColor(int) const
    {55, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//455 QsciLexerCSharp::defaultEolFill(int) const
    {55, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//456 QsciLexerCSharp::defaultFont(int) const
    {55, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//457 QsciLexerCSharp::defaultPaper(int) const
    {55, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//458 QsciLexerCSharp::keywords(int) const
    {55, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//459 QsciLexerCSharp::description(int) const
    {55, 1315, 12, 1, Smoke::mf_static, 36, 16},	//460 QsciLexerCSharp::tr(const char*)
    {55, 1319, 12, 1, Smoke::mf_static, 36, 17},	//461 QsciLexerCSharp::trUtf8(const char*)
    {55, 379, 0, 0, Smoke::mf_ctor, 58, 18},	//462 QsciLexerCSharp::QsciLexerCSharp()
    {55, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 19},	//463 QsciLexerCSharp::staticMetaObject() const
    {55, 1368, 0, 0, Smoke::mf_dtor, 0, 20 },	//464 QsciLexerCSharp::~QsciLexerCSharp()
    {56, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//465 QsciLexerCustom::metaObject() const
    {56, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//466 QsciLexerCustom::qt_metacast(const char*)
    {56, 1315, 44, 2, Smoke::mf_static, 36, 3},	//467 QsciLexerCustom::tr(const char*, const char*)
    {56, 1319, 44, 2, Smoke::mf_static, 36, 4},	//468 QsciLexerCustom::trUtf8(const char*, const char*)
    {56, 1315, 47, 3, Smoke::mf_static, 36, 5},	//469 QsciLexerCustom::tr(const char*, const char*, int)
    {56, 1319, 47, 3, Smoke::mf_static, 36, 6},	//470 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {56, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//471 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {56, 381, 74, 1, Smoke::mf_ctor, 59, 8},	//472 QsciLexerCustom::QsciLexerCustom(QObject*)
    {56, 1252, 99, 2, 0, 0, 9},	//473 QsciLexerCustom::setStyling(int, int)
    {56, 1252, 102, 2, 0, 0, 10},	//474 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {56, 1294, 99, 2, 0, 0, 11},	//475 QsciLexerCustom::startStyling(int, int)
    {56, 1302, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//476 QsciLexerCustom::styleText(int, int) [pure virtual]
    {56, 1135, 82, 1, Smoke::mf_virtual, 0, 13},	//477 QsciLexerCustom::setEditor(QsciScintilla*)
    {56, 1299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//478 QsciLexerCustom::styleBitsNeeded() const
    {56, 1315, 12, 1, Smoke::mf_static, 36, 15},	//479 QsciLexerCustom::tr(const char*)
    {56, 1319, 12, 1, Smoke::mf_static, 36, 16},	//480 QsciLexerCustom::trUtf8(const char*)
    {56, 381, 0, 0, Smoke::mf_ctor, 59, 17},	//481 QsciLexerCustom::QsciLexerCustom()
    {56, 1294, 18, 1, 0, 0, 18},	//482 QsciLexerCustom::startStyling(int)
    {56, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 19},	//483 QsciLexerCustom::staticMetaObject() const
    {56, 1369, 0, 0, Smoke::mf_dtor, 0, 20 },	//484 QsciLexerCustom::~QsciLexerCustom()
    {57, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//485 QsciLexerD::metaObject() const
    {57, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//486 QsciLexerD::qt_metacast(const char*)
    {57, 1315, 44, 2, Smoke::mf_static, 36, 3},	//487 QsciLexerD::tr(const char*, const char*)
    {57, 1319, 44, 2, Smoke::mf_static, 36, 4},	//488 QsciLexerD::trUtf8(const char*, const char*)
    {57, 1315, 47, 3, Smoke::mf_static, 36, 5},	//489 QsciLexerD::tr(const char*, const char*, int)
    {57, 1319, 47, 3, Smoke::mf_static, 36, 6},	//490 QsciLexerD::trUtf8(const char*, const char*, int)
    {57, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//491 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {57, 383, 74, 1, Smoke::mf_ctor, 60, 8},	//492 QsciLexerD::QsciLexerD(QObject*)
    {57, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//493 QsciLexerD::language() const
    {57, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//494 QsciLexerD::lexer() const
    {57, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//495 QsciLexerD::autoCompletionWordSeparators() const
    {57, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//496 QsciLexerD::blockEnd(int*) const
    {57, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//497 QsciLexerD::blockStart(int*) const
    {57, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//498 QsciLexerD::blockStartKeyword(int*) const
    {57, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//499 QsciLexerD::braceStyle() const
    {57, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//500 QsciLexerD::wordCharacters() const
    {57, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//501 QsciLexerD::defaultColor(int) const
    {57, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 18},	//502 QsciLexerD::defaultEolFill(int) const
    {57, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//503 QsciLexerD::defaultFont(int) const
    {57, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//504 QsciLexerD::defaultPaper(int) const
    {57, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 21},	//505 QsciLexerD::keywords(int) const
    {57, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//506 QsciLexerD::description(int) const
    {57, 1033, 0, 0, Smoke::mf_virtual, 0, 23},	//507 QsciLexerD::refreshProperties()
    {57, 862, 0, 0, Smoke::mf_const, 197, 24},	//508 QsciLexerD::foldAtElse() const
    {57, 864, 0, 0, Smoke::mf_const, 197, 25},	//509 QsciLexerD::foldComments() const
    {57, 865, 0, 0, Smoke::mf_const, 197, 26},	//510 QsciLexerD::foldCompact() const
    {57, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//511 QsciLexerD::setFoldAtElse(bool)
    {57, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//512 QsciLexerD::setFoldComments(bool)
    {57, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//513 QsciLexerD::setFoldCompact(bool)
    {57, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 30},	//514 QsciLexerD::readProperties(QSettings&, const QString&)
    {57, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 31},	//515 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {57, 1315, 12, 1, Smoke::mf_static, 36, 32},	//516 QsciLexerD::tr(const char*)
    {57, 1319, 12, 1, Smoke::mf_static, 36, 33},	//517 QsciLexerD::trUtf8(const char*)
    {57, 383, 0, 0, Smoke::mf_ctor, 60, 34},	//518 QsciLexerD::QsciLexerD()
    {57, 753, 0, 0, Smoke::mf_const, 216, 35},	//519 QsciLexerD::blockEnd() const
    {57, 756, 0, 0, Smoke::mf_const, 216, 36},	//520 QsciLexerD::blockStart() const
    {57, 758, 0, 0, Smoke::mf_const, 216, 37},	//521 QsciLexerD::blockStartKeyword() const
    {57, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 38},	//522 QsciLexerD::staticMetaObject() const
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//523 QsciLexerD::Default (enum)
    {57, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//524 QsciLexerD::Comment (enum)
    {57, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//525 QsciLexerD::CommentLine (enum)
    {57, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//526 QsciLexerD::CommentDoc (enum)
    {57, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//527 QsciLexerD::CommentNested (enum)
    {57, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//528 QsciLexerD::Number (enum)
    {57, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//529 QsciLexerD::Keyword (enum)
    {57, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//530 QsciLexerD::KeywordSecondary (enum)
    {57, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//531 QsciLexerD::KeywordDoc (enum)
    {57, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//532 QsciLexerD::Typedefs (enum)
    {57, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//533 QsciLexerD::String (enum)
    {57, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//534 QsciLexerD::UnclosedString (enum)
    {57, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//535 QsciLexerD::Character (enum)
    {57, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//536 QsciLexerD::Operator (enum)
    {57, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//537 QsciLexerD::Identifier (enum)
    {57, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//538 QsciLexerD::CommentLineDoc (enum)
    {57, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//539 QsciLexerD::CommentDocKeyword (enum)
    {57, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//540 QsciLexerD::CommentDocKeywordError (enum)
    {57, 1370, 0, 0, Smoke::mf_dtor, 0, 57 },	//541 QsciLexerD::~QsciLexerD()
    {58, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//542 QsciLexerDiff::metaObject() const
    {58, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//543 QsciLexerDiff::qt_metacast(const char*)
    {58, 1315, 44, 2, Smoke::mf_static, 36, 3},	//544 QsciLexerDiff::tr(const char*, const char*)
    {58, 1319, 44, 2, Smoke::mf_static, 36, 4},	//545 QsciLexerDiff::trUtf8(const char*, const char*)
    {58, 1315, 47, 3, Smoke::mf_static, 36, 5},	//546 QsciLexerDiff::tr(const char*, const char*, int)
    {58, 1319, 47, 3, Smoke::mf_static, 36, 6},	//547 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {58, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//548 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {58, 385, 74, 1, Smoke::mf_ctor, 61, 8},	//549 QsciLexerDiff::QsciLexerDiff(QObject*)
    {58, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//550 QsciLexerDiff::language() const
    {58, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//551 QsciLexerDiff::lexer() const
    {58, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//552 QsciLexerDiff::wordCharacters() const
    {58, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//553 QsciLexerDiff::defaultColor(int) const
    {58, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 13},	//554 QsciLexerDiff::description(int) const
    {58, 1315, 12, 1, Smoke::mf_static, 36, 14},	//555 QsciLexerDiff::tr(const char*)
    {58, 1319, 12, 1, Smoke::mf_static, 36, 15},	//556 QsciLexerDiff::trUtf8(const char*)
    {58, 385, 0, 0, Smoke::mf_ctor, 61, 16},	//557 QsciLexerDiff::QsciLexerDiff()
    {58, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 17},	//558 QsciLexerDiff::staticMetaObject() const
    {58, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 18},	//559 QsciLexerDiff::Default (enum)
    {58, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 19},	//560 QsciLexerDiff::Comment (enum)
    {58, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 20},	//561 QsciLexerDiff::Command (enum)
    {58, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 21},	//562 QsciLexerDiff::Header (enum)
    {58, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 22},	//563 QsciLexerDiff::Position (enum)
    {58, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 23},	//564 QsciLexerDiff::LineRemoved (enum)
    {58, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 24},	//565 QsciLexerDiff::LineAdded (enum)
    {58, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//566 QsciLexerDiff::LineChanged (enum)
    {58, 1371, 0, 0, Smoke::mf_dtor, 0, 26 },	//567 QsciLexerDiff::~QsciLexerDiff()
    {59, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//568 QsciLexerFortran::metaObject() const
    {59, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//569 QsciLexerFortran::qt_metacast(const char*)
    {59, 1315, 44, 2, Smoke::mf_static, 36, 3},	//570 QsciLexerFortran::tr(const char*, const char*)
    {59, 1319, 44, 2, Smoke::mf_static, 36, 4},	//571 QsciLexerFortran::trUtf8(const char*, const char*)
    {59, 1315, 47, 3, Smoke::mf_static, 36, 5},	//572 QsciLexerFortran::tr(const char*, const char*, int)
    {59, 1319, 47, 3, Smoke::mf_static, 36, 6},	//573 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {59, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//574 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {59, 387, 74, 1, Smoke::mf_ctor, 62, 8},	//575 QsciLexerFortran::QsciLexerFortran(QObject*)
    {59, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//576 QsciLexerFortran::language() const
    {59, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//577 QsciLexerFortran::lexer() const
    {59, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//578 QsciLexerFortran::keywords(int) const
    {59, 1315, 12, 1, Smoke::mf_static, 36, 12},	//579 QsciLexerFortran::tr(const char*)
    {59, 1319, 12, 1, Smoke::mf_static, 36, 13},	//580 QsciLexerFortran::trUtf8(const char*)
    {59, 387, 0, 0, Smoke::mf_ctor, 62, 14},	//581 QsciLexerFortran::QsciLexerFortran()
    {59, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 15},	//582 QsciLexerFortran::staticMetaObject() const
    {59, 1372, 0, 0, Smoke::mf_dtor, 0, 16 },	//583 QsciLexerFortran::~QsciLexerFortran()
    {60, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//584 QsciLexerFortran77::metaObject() const
    {60, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//585 QsciLexerFortran77::qt_metacast(const char*)
    {60, 1315, 44, 2, Smoke::mf_static, 36, 3},	//586 QsciLexerFortran77::tr(const char*, const char*)
    {60, 1319, 44, 2, Smoke::mf_static, 36, 4},	//587 QsciLexerFortran77::trUtf8(const char*, const char*)
    {60, 1315, 47, 3, Smoke::mf_static, 36, 5},	//588 QsciLexerFortran77::tr(const char*, const char*, int)
    {60, 1319, 47, 3, Smoke::mf_static, 36, 6},	//589 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {60, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//590 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {60, 389, 74, 1, Smoke::mf_ctor, 63, 8},	//591 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {60, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//592 QsciLexerFortran77::language() const
    {60, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//593 QsciLexerFortran77::lexer() const
    {60, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//594 QsciLexerFortran77::braceStyle() const
    {60, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//595 QsciLexerFortran77::defaultColor(int) const
    {60, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//596 QsciLexerFortran77::defaultEolFill(int) const
    {60, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//597 QsciLexerFortran77::defaultFont(int) const
    {60, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//598 QsciLexerFortran77::defaultPaper(int) const
    {60, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//599 QsciLexerFortran77::keywords(int) const
    {60, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//600 QsciLexerFortran77::description(int) const
    {60, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//601 QsciLexerFortran77::refreshProperties()
    {60, 865, 0, 0, Smoke::mf_const, 197, 19},	//602 QsciLexerFortran77::foldCompact() const
    {60, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//603 QsciLexerFortran77::setFoldCompact(bool)
    {60, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 21},	//604 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {60, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 22},	//605 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {60, 1315, 12, 1, Smoke::mf_static, 36, 23},	//606 QsciLexerFortran77::tr(const char*)
    {60, 1319, 12, 1, Smoke::mf_static, 36, 24},	//607 QsciLexerFortran77::trUtf8(const char*)
    {60, 389, 0, 0, Smoke::mf_ctor, 63, 25},	//608 QsciLexerFortran77::QsciLexerFortran77()
    {60, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 26},	//609 QsciLexerFortran77::staticMetaObject() const
    {60, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//610 QsciLexerFortran77::Default (enum)
    {60, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//611 QsciLexerFortran77::Comment (enum)
    {60, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//612 QsciLexerFortran77::Number (enum)
    {60, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//613 QsciLexerFortran77::SingleQuotedString (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//614 QsciLexerFortran77::DoubleQuotedString (enum)
    {60, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//615 QsciLexerFortran77::UnclosedString (enum)
    {60, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//616 QsciLexerFortran77::Operator (enum)
    {60, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//617 QsciLexerFortran77::Identifier (enum)
    {60, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//618 QsciLexerFortran77::Keyword (enum)
    {60, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//619 QsciLexerFortran77::IntrinsicFunction (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//620 QsciLexerFortran77::ExtendedFunction (enum)
    {60, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//621 QsciLexerFortran77::PreProcessor (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//622 QsciLexerFortran77::DottedOperator (enum)
    {60, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//623 QsciLexerFortran77::Label (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//624 QsciLexerFortran77::Continuation (enum)
    {60, 1373, 0, 0, Smoke::mf_dtor, 0, 42 },	//625 QsciLexerFortran77::~QsciLexerFortran77()
    {61, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//626 QsciLexerHTML::metaObject() const
    {61, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//627 QsciLexerHTML::qt_metacast(const char*)
    {61, 1315, 44, 2, Smoke::mf_static, 36, 3},	//628 QsciLexerHTML::tr(const char*, const char*)
    {61, 1319, 44, 2, Smoke::mf_static, 36, 4},	//629 QsciLexerHTML::trUtf8(const char*, const char*)
    {61, 1315, 47, 3, Smoke::mf_static, 36, 5},	//630 QsciLexerHTML::tr(const char*, const char*, int)
    {61, 1319, 47, 3, Smoke::mf_static, 36, 6},	//631 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {61, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//632 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {61, 391, 74, 1, Smoke::mf_ctor, 64, 8},	//633 QsciLexerHTML::QsciLexerHTML(QObject*)
    {61, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//634 QsciLexerHTML::language() const
    {61, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//635 QsciLexerHTML::lexer() const
    {61, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//636 QsciLexerHTML::wordCharacters() const
    {61, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//637 QsciLexerHTML::defaultColor(int) const
    {61, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//638 QsciLexerHTML::defaultEolFill(int) const
    {61, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//639 QsciLexerHTML::defaultFont(int) const
    {61, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//640 QsciLexerHTML::defaultPaper(int) const
    {61, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//641 QsciLexerHTML::keywords(int) const
    {61, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//642 QsciLexerHTML::description(int) const
    {61, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//643 QsciLexerHTML::refreshProperties()
    {61, 865, 0, 0, Smoke::mf_const, 197, 19},	//644 QsciLexerHTML::foldCompact() const
    {61, 871, 0, 0, Smoke::mf_const, 197, 20},	//645 QsciLexerHTML::foldPreprocessor() const
    {61, 770, 0, 0, Smoke::mf_const, 197, 21},	//646 QsciLexerHTML::caseSensitiveTags() const
    {61, 1166, 16, 1, 0, 0, 22},	//647 QsciLexerHTML::setFoldScriptComments(bool)
    {61, 873, 0, 0, Smoke::mf_const, 197, 23},	//648 QsciLexerHTML::foldScriptComments() const
    {61, 1168, 16, 1, 0, 0, 24},	//649 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {61, 874, 0, 0, Smoke::mf_const, 197, 25},	//650 QsciLexerHTML::foldScriptHeredocs() const
    {61, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//651 QsciLexerHTML::setFoldCompact(bool)
    {61, 1162, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//652 QsciLexerHTML::setFoldPreprocessor(bool)
    {61, 1108, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//653 QsciLexerHTML::setCaseSensitiveTags(bool)
    {61, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 29},	//654 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {61, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 30},	//655 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {61, 1315, 12, 1, Smoke::mf_static, 36, 31},	//656 QsciLexerHTML::tr(const char*)
    {61, 1319, 12, 1, Smoke::mf_static, 36, 32},	//657 QsciLexerHTML::trUtf8(const char*)
    {61, 391, 0, 0, Smoke::mf_ctor, 64, 33},	//658 QsciLexerHTML::QsciLexerHTML()
    {61, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 34},	//659 QsciLexerHTML::staticMetaObject() const
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//660 QsciLexerHTML::Default (enum)
    {61, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//661 QsciLexerHTML::Tag (enum)
    {61, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//662 QsciLexerHTML::UnknownTag (enum)
    {61, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//663 QsciLexerHTML::Attribute (enum)
    {61, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//664 QsciLexerHTML::UnknownAttribute (enum)
    {61, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//665 QsciLexerHTML::HTMLNumber (enum)
    {61, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//666 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {61, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//667 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {61, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//668 QsciLexerHTML::OtherInTag (enum)
    {61, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//669 QsciLexerHTML::HTMLComment (enum)
    {61, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//670 QsciLexerHTML::Entity (enum)
    {61, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//671 QsciLexerHTML::XMLTagEnd (enum)
    {61, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//672 QsciLexerHTML::XMLStart (enum)
    {61, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//673 QsciLexerHTML::XMLEnd (enum)
    {61, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//674 QsciLexerHTML::Script (enum)
    {61, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//675 QsciLexerHTML::ASPAtStart (enum)
    {61, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//676 QsciLexerHTML::ASPStart (enum)
    {61, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//677 QsciLexerHTML::CDATA (enum)
    {61, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//678 QsciLexerHTML::PHPStart (enum)
    {61, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//679 QsciLexerHTML::HTMLValue (enum)
    {61, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//680 QsciLexerHTML::ASPXCComment (enum)
    {61, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//681 QsciLexerHTML::SGMLDefault (enum)
    {61, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 57},	//682 QsciLexerHTML::SGMLCommand (enum)
    {61, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 58},	//683 QsciLexerHTML::SGMLParameter (enum)
    {61, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 59},	//684 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {61, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 60},	//685 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {61, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 61},	//686 QsciLexerHTML::SGMLError (enum)
    {61, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 62},	//687 QsciLexerHTML::SGMLSpecial (enum)
    {61, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 63},	//688 QsciLexerHTML::SGMLEntity (enum)
    {61, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 64},	//689 QsciLexerHTML::SGMLComment (enum)
    {61, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 65},	//690 QsciLexerHTML::SGMLParameterComment (enum)
    {61, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 66},	//691 QsciLexerHTML::SGMLBlockDefault (enum)
    {61, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 67},	//692 QsciLexerHTML::JavaScriptStart (enum)
    {61, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 68},	//693 QsciLexerHTML::JavaScriptDefault (enum)
    {61, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 69},	//694 QsciLexerHTML::JavaScriptComment (enum)
    {61, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 70},	//695 QsciLexerHTML::JavaScriptCommentLine (enum)
    {61, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 71},	//696 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {61, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 72},	//697 QsciLexerHTML::JavaScriptNumber (enum)
    {61, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 73},	//698 QsciLexerHTML::JavaScriptWord (enum)
    {61, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 74},	//699 QsciLexerHTML::JavaScriptKeyword (enum)
    {61, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 75},	//700 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {61, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 76},	//701 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {61, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 77},	//702 QsciLexerHTML::JavaScriptSymbol (enum)
    {61, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 78},	//703 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {61, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 79},	//704 QsciLexerHTML::JavaScriptRegex (enum)
    {61, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 80},	//705 QsciLexerHTML::ASPJavaScriptStart (enum)
    {61, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 81},	//706 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {61, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 82},	//707 QsciLexerHTML::ASPJavaScriptComment (enum)
    {61, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 83},	//708 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {61, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 84},	//709 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {61, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 85},	//710 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {61, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 86},	//711 QsciLexerHTML::ASPJavaScriptWord (enum)
    {61, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 87},	//712 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {61, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 88},	//713 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {61, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 89},	//714 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {61, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 90},	//715 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {61, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 91},	//716 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {61, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 92},	//717 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {61, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 93},	//718 QsciLexerHTML::VBScriptStart (enum)
    {61, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 94},	//719 QsciLexerHTML::VBScriptDefault (enum)
    {61, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 95},	//720 QsciLexerHTML::VBScriptComment (enum)
    {61, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 96},	//721 QsciLexerHTML::VBScriptNumber (enum)
    {61, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 97},	//722 QsciLexerHTML::VBScriptKeyword (enum)
    {61, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 98},	//723 QsciLexerHTML::VBScriptString (enum)
    {61, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 99},	//724 QsciLexerHTML::VBScriptIdentifier (enum)
    {61, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 100},	//725 QsciLexerHTML::VBScriptUnclosedString (enum)
    {61, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 101},	//726 QsciLexerHTML::ASPVBScriptStart (enum)
    {61, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 102},	//727 QsciLexerHTML::ASPVBScriptDefault (enum)
    {61, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 103},	//728 QsciLexerHTML::ASPVBScriptComment (enum)
    {61, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 104},	//729 QsciLexerHTML::ASPVBScriptNumber (enum)
    {61, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 105},	//730 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {61, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 106},	//731 QsciLexerHTML::ASPVBScriptString (enum)
    {61, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 107},	//732 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {61, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 108},	//733 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {61, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 109},	//734 QsciLexerHTML::PythonStart (enum)
    {61, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 110},	//735 QsciLexerHTML::PythonDefault (enum)
    {61, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 111},	//736 QsciLexerHTML::PythonComment (enum)
    {61, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 112},	//737 QsciLexerHTML::PythonNumber (enum)
    {61, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 113},	//738 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {61, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 114},	//739 QsciLexerHTML::PythonSingleQuotedString (enum)
    {61, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 115},	//740 QsciLexerHTML::PythonKeyword (enum)
    {61, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 116},	//741 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {61, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 117},	//742 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {61, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 118},	//743 QsciLexerHTML::PythonClassName (enum)
    {61, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 119},	//744 QsciLexerHTML::PythonFunctionMethodName (enum)
    {61, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 120},	//745 QsciLexerHTML::PythonOperator (enum)
    {61, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 121},	//746 QsciLexerHTML::PythonIdentifier (enum)
    {61, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 122},	//747 QsciLexerHTML::ASPPythonStart (enum)
    {61, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 123},	//748 QsciLexerHTML::ASPPythonDefault (enum)
    {61, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 124},	//749 QsciLexerHTML::ASPPythonComment (enum)
    {61, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 125},	//750 QsciLexerHTML::ASPPythonNumber (enum)
    {61, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 126},	//751 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {61, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 127},	//752 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {61, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 128},	//753 QsciLexerHTML::ASPPythonKeyword (enum)
    {61, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 129},	//754 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {61, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 130},	//755 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {61, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 131},	//756 QsciLexerHTML::ASPPythonClassName (enum)
    {61, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 132},	//757 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {61, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 133},	//758 QsciLexerHTML::ASPPythonOperator (enum)
    {61, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 134},	//759 QsciLexerHTML::ASPPythonIdentifier (enum)
    {61, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 135},	//760 QsciLexerHTML::PHPDefault (enum)
    {61, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 136},	//761 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 137},	//762 QsciLexerHTML::PHPSingleQuotedString (enum)
    {61, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 138},	//763 QsciLexerHTML::PHPKeyword (enum)
    {61, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 139},	//764 QsciLexerHTML::PHPNumber (enum)
    {61, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 140},	//765 QsciLexerHTML::PHPVariable (enum)
    {61, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 141},	//766 QsciLexerHTML::PHPComment (enum)
    {61, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 142},	//767 QsciLexerHTML::PHPCommentLine (enum)
    {61, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 143},	//768 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {61, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 144},	//769 QsciLexerHTML::PHPOperator (enum)
    {61, 1374, 0, 0, Smoke::mf_dtor, 0, 145 },	//770 QsciLexerHTML::~QsciLexerHTML()
    {62, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//771 QsciLexerIDL::metaObject() const
    {62, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//772 QsciLexerIDL::qt_metacast(const char*)
    {62, 1315, 44, 2, Smoke::mf_static, 36, 3},	//773 QsciLexerIDL::tr(const char*, const char*)
    {62, 1319, 44, 2, Smoke::mf_static, 36, 4},	//774 QsciLexerIDL::trUtf8(const char*, const char*)
    {62, 1315, 47, 3, Smoke::mf_static, 36, 5},	//775 QsciLexerIDL::tr(const char*, const char*, int)
    {62, 1319, 47, 3, Smoke::mf_static, 36, 6},	//776 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {62, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//777 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {62, 393, 74, 1, Smoke::mf_ctor, 65, 8},	//778 QsciLexerIDL::QsciLexerIDL(QObject*)
    {62, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//779 QsciLexerIDL::language() const
    {62, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//780 QsciLexerIDL::defaultColor(int) const
    {62, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//781 QsciLexerIDL::keywords(int) const
    {62, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 12},	//782 QsciLexerIDL::description(int) const
    {62, 1315, 12, 1, Smoke::mf_static, 36, 13},	//783 QsciLexerIDL::tr(const char*)
    {62, 1319, 12, 1, Smoke::mf_static, 36, 14},	//784 QsciLexerIDL::trUtf8(const char*)
    {62, 393, 0, 0, Smoke::mf_ctor, 65, 15},	//785 QsciLexerIDL::QsciLexerIDL()
    {62, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 16},	//786 QsciLexerIDL::staticMetaObject() const
    {62, 1375, 0, 0, Smoke::mf_dtor, 0, 17 },	//787 QsciLexerIDL::~QsciLexerIDL()
    {63, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//788 QsciLexerJava::metaObject() const
    {63, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//789 QsciLexerJava::qt_metacast(const char*)
    {63, 1315, 44, 2, Smoke::mf_static, 36, 3},	//790 QsciLexerJava::tr(const char*, const char*)
    {63, 1319, 44, 2, Smoke::mf_static, 36, 4},	//791 QsciLexerJava::trUtf8(const char*, const char*)
    {63, 1315, 47, 3, Smoke::mf_static, 36, 5},	//792 QsciLexerJava::tr(const char*, const char*, int)
    {63, 1319, 47, 3, Smoke::mf_static, 36, 6},	//793 QsciLexerJava::trUtf8(const char*, const char*, int)
    {63, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//794 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {63, 395, 74, 1, Smoke::mf_ctor, 66, 8},	//795 QsciLexerJava::QsciLexerJava(QObject*)
    {63, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//796 QsciLexerJava::language() const
    {63, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//797 QsciLexerJava::keywords(int) const
    {63, 1315, 12, 1, Smoke::mf_static, 36, 11},	//798 QsciLexerJava::tr(const char*)
    {63, 1319, 12, 1, Smoke::mf_static, 36, 12},	//799 QsciLexerJava::trUtf8(const char*)
    {63, 395, 0, 0, Smoke::mf_ctor, 66, 13},	//800 QsciLexerJava::QsciLexerJava()
    {63, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 14},	//801 QsciLexerJava::staticMetaObject() const
    {63, 1376, 0, 0, Smoke::mf_dtor, 0, 15 },	//802 QsciLexerJava::~QsciLexerJava()
    {64, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//803 QsciLexerJavaScript::metaObject() const
    {64, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//804 QsciLexerJavaScript::qt_metacast(const char*)
    {64, 1315, 44, 2, Smoke::mf_static, 36, 3},	//805 QsciLexerJavaScript::tr(const char*, const char*)
    {64, 1319, 44, 2, Smoke::mf_static, 36, 4},	//806 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {64, 1315, 47, 3, Smoke::mf_static, 36, 5},	//807 QsciLexerJavaScript::tr(const char*, const char*, int)
    {64, 1319, 47, 3, Smoke::mf_static, 36, 6},	//808 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {64, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//809 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {64, 397, 74, 1, Smoke::mf_ctor, 67, 8},	//810 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {64, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//811 QsciLexerJavaScript::language() const
    {64, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//812 QsciLexerJavaScript::defaultColor(int) const
    {64, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//813 QsciLexerJavaScript::defaultEolFill(int) const
    {64, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//814 QsciLexerJavaScript::defaultFont(int) const
    {64, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//815 QsciLexerJavaScript::defaultPaper(int) const
    {64, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//816 QsciLexerJavaScript::keywords(int) const
    {64, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//817 QsciLexerJavaScript::description(int) const
    {64, 1315, 12, 1, Smoke::mf_static, 36, 16},	//818 QsciLexerJavaScript::tr(const char*)
    {64, 1319, 12, 1, Smoke::mf_static, 36, 17},	//819 QsciLexerJavaScript::trUtf8(const char*)
    {64, 397, 0, 0, Smoke::mf_ctor, 67, 18},	//820 QsciLexerJavaScript::QsciLexerJavaScript()
    {64, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 19},	//821 QsciLexerJavaScript::staticMetaObject() const
    {64, 1377, 0, 0, Smoke::mf_dtor, 0, 20 },	//822 QsciLexerJavaScript::~QsciLexerJavaScript()
    {65, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//823 QsciLexerLua::metaObject() const
    {65, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//824 QsciLexerLua::qt_metacast(const char*)
    {65, 1315, 44, 2, Smoke::mf_static, 36, 3},	//825 QsciLexerLua::tr(const char*, const char*)
    {65, 1319, 44, 2, Smoke::mf_static, 36, 4},	//826 QsciLexerLua::trUtf8(const char*, const char*)
    {65, 1315, 47, 3, Smoke::mf_static, 36, 5},	//827 QsciLexerLua::tr(const char*, const char*, int)
    {65, 1319, 47, 3, Smoke::mf_static, 36, 6},	//828 QsciLexerLua::trUtf8(const char*, const char*, int)
    {65, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//829 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {65, 399, 74, 1, Smoke::mf_ctor, 68, 8},	//830 QsciLexerLua::QsciLexerLua(QObject*)
    {65, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//831 QsciLexerLua::language() const
    {65, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//832 QsciLexerLua::lexer() const
    {65, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//833 QsciLexerLua::autoCompletionWordSeparators() const
    {65, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//834 QsciLexerLua::blockStart(int*) const
    {65, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//835 QsciLexerLua::braceStyle() const
    {65, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//836 QsciLexerLua::defaultColor(int) const
    {65, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 15},	//837 QsciLexerLua::defaultEolFill(int) const
    {65, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//838 QsciLexerLua::defaultFont(int) const
    {65, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//839 QsciLexerLua::defaultPaper(int) const
    {65, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 18},	//840 QsciLexerLua::keywords(int) const
    {65, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//841 QsciLexerLua::description(int) const
    {65, 1033, 0, 0, Smoke::mf_virtual, 0, 20},	//842 QsciLexerLua::refreshProperties()
    {65, 865, 0, 0, Smoke::mf_const, 197, 21},	//843 QsciLexerLua::foldCompact() const
    {65, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//844 QsciLexerLua::setFoldCompact(bool)
    {65, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 23},	//845 QsciLexerLua::readProperties(QSettings&, const QString&)
    {65, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 24},	//846 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {65, 1315, 12, 1, Smoke::mf_static, 36, 25},	//847 QsciLexerLua::tr(const char*)
    {65, 1319, 12, 1, Smoke::mf_static, 36, 26},	//848 QsciLexerLua::trUtf8(const char*)
    {65, 399, 0, 0, Smoke::mf_ctor, 68, 27},	//849 QsciLexerLua::QsciLexerLua()
    {65, 756, 0, 0, Smoke::mf_const, 216, 28},	//850 QsciLexerLua::blockStart() const
    {65, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 29},	//851 QsciLexerLua::staticMetaObject() const
    {65, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//852 QsciLexerLua::Default (enum)
    {65, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//853 QsciLexerLua::Comment (enum)
    {65, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//854 QsciLexerLua::LineComment (enum)
    {65, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//855 QsciLexerLua::Number (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//856 QsciLexerLua::Keyword (enum)
    {65, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//857 QsciLexerLua::String (enum)
    {65, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//858 QsciLexerLua::Character (enum)
    {65, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//859 QsciLexerLua::LiteralString (enum)
    {65, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//860 QsciLexerLua::Preprocessor (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//861 QsciLexerLua::Operator (enum)
    {65, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//862 QsciLexerLua::Identifier (enum)
    {65, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//863 QsciLexerLua::UnclosedString (enum)
    {65, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//864 QsciLexerLua::BasicFunctions (enum)
    {65, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//865 QsciLexerLua::StringTableMathsFunctions (enum)
    {65, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//866 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {65, 1378, 0, 0, Smoke::mf_dtor, 0, 45 },	//867 QsciLexerLua::~QsciLexerLua()
    {66, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//868 QsciLexerMakefile::metaObject() const
    {66, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//869 QsciLexerMakefile::qt_metacast(const char*)
    {66, 1315, 44, 2, Smoke::mf_static, 36, 3},	//870 QsciLexerMakefile::tr(const char*, const char*)
    {66, 1319, 44, 2, Smoke::mf_static, 36, 4},	//871 QsciLexerMakefile::trUtf8(const char*, const char*)
    {66, 1315, 47, 3, Smoke::mf_static, 36, 5},	//872 QsciLexerMakefile::tr(const char*, const char*, int)
    {66, 1319, 47, 3, Smoke::mf_static, 36, 6},	//873 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {66, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//874 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {66, 401, 74, 1, Smoke::mf_ctor, 69, 8},	//875 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {66, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//876 QsciLexerMakefile::language() const
    {66, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//877 QsciLexerMakefile::lexer() const
    {66, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//878 QsciLexerMakefile::wordCharacters() const
    {66, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//879 QsciLexerMakefile::defaultColor(int) const
    {66, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//880 QsciLexerMakefile::defaultEolFill(int) const
    {66, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//881 QsciLexerMakefile::defaultFont(int) const
    {66, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//882 QsciLexerMakefile::defaultPaper(int) const
    {66, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//883 QsciLexerMakefile::description(int) const
    {66, 1315, 12, 1, Smoke::mf_static, 36, 17},	//884 QsciLexerMakefile::tr(const char*)
    {66, 1319, 12, 1, Smoke::mf_static, 36, 18},	//885 QsciLexerMakefile::trUtf8(const char*)
    {66, 401, 0, 0, Smoke::mf_ctor, 69, 19},	//886 QsciLexerMakefile::QsciLexerMakefile()
    {66, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 20},	//887 QsciLexerMakefile::staticMetaObject() const
    {66, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 21},	//888 QsciLexerMakefile::Default (enum)
    {66, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 22},	//889 QsciLexerMakefile::Comment (enum)
    {66, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 23},	//890 QsciLexerMakefile::Preprocessor (enum)
    {66, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 24},	//891 QsciLexerMakefile::Variable (enum)
    {66, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//892 QsciLexerMakefile::Operator (enum)
    {66, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//893 QsciLexerMakefile::Target (enum)
    {66, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//894 QsciLexerMakefile::Error (enum)
    {66, 1379, 0, 0, Smoke::mf_dtor, 0, 28 },	//895 QsciLexerMakefile::~QsciLexerMakefile()
    {67, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//896 QsciLexerPOV::metaObject() const
    {67, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//897 QsciLexerPOV::qt_metacast(const char*)
    {67, 1315, 44, 2, Smoke::mf_static, 36, 3},	//898 QsciLexerPOV::tr(const char*, const char*)
    {67, 1319, 44, 2, Smoke::mf_static, 36, 4},	//899 QsciLexerPOV::trUtf8(const char*, const char*)
    {67, 1315, 47, 3, Smoke::mf_static, 36, 5},	//900 QsciLexerPOV::tr(const char*, const char*, int)
    {67, 1319, 47, 3, Smoke::mf_static, 36, 6},	//901 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {67, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//902 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {67, 403, 74, 1, Smoke::mf_ctor, 70, 8},	//903 QsciLexerPOV::QsciLexerPOV(QObject*)
    {67, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//904 QsciLexerPOV::language() const
    {67, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//905 QsciLexerPOV::lexer() const
    {67, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//906 QsciLexerPOV::braceStyle() const
    {67, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//907 QsciLexerPOV::wordCharacters() const
    {67, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//908 QsciLexerPOV::defaultColor(int) const
    {67, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//909 QsciLexerPOV::defaultEolFill(int) const
    {67, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//910 QsciLexerPOV::defaultFont(int) const
    {67, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//911 QsciLexerPOV::defaultPaper(int) const
    {67, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 17},	//912 QsciLexerPOV::keywords(int) const
    {67, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//913 QsciLexerPOV::description(int) const
    {67, 1033, 0, 0, Smoke::mf_virtual, 0, 19},	//914 QsciLexerPOV::refreshProperties()
    {67, 864, 0, 0, Smoke::mf_const, 197, 20},	//915 QsciLexerPOV::foldComments() const
    {67, 865, 0, 0, Smoke::mf_const, 197, 21},	//916 QsciLexerPOV::foldCompact() const
    {67, 866, 0, 0, Smoke::mf_const, 197, 22},	//917 QsciLexerPOV::foldDirectives() const
    {67, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//918 QsciLexerPOV::setFoldComments(bool)
    {67, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//919 QsciLexerPOV::setFoldCompact(bool)
    {67, 1154, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//920 QsciLexerPOV::setFoldDirectives(bool)
    {67, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 26},	//921 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {67, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 27},	//922 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {67, 1315, 12, 1, Smoke::mf_static, 36, 28},	//923 QsciLexerPOV::tr(const char*)
    {67, 1319, 12, 1, Smoke::mf_static, 36, 29},	//924 QsciLexerPOV::trUtf8(const char*)
    {67, 403, 0, 0, Smoke::mf_ctor, 70, 30},	//925 QsciLexerPOV::QsciLexerPOV()
    {67, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 31},	//926 QsciLexerPOV::staticMetaObject() const
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//927 QsciLexerPOV::Default (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//928 QsciLexerPOV::Comment (enum)
    {67, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//929 QsciLexerPOV::CommentLine (enum)
    {67, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//930 QsciLexerPOV::Number (enum)
    {67, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//931 QsciLexerPOV::Operator (enum)
    {67, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//932 QsciLexerPOV::Identifier (enum)
    {67, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//933 QsciLexerPOV::String (enum)
    {67, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//934 QsciLexerPOV::UnclosedString (enum)
    {67, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//935 QsciLexerPOV::Directive (enum)
    {67, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//936 QsciLexerPOV::BadDirective (enum)
    {67, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//937 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {67, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//938 QsciLexerPOV::TypesModifiersItems (enum)
    {67, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//939 QsciLexerPOV::PredefinedIdentifiers (enum)
    {67, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//940 QsciLexerPOV::PredefinedFunctions (enum)
    {67, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//941 QsciLexerPOV::KeywordSet6 (enum)
    {67, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//942 QsciLexerPOV::KeywordSet7 (enum)
    {67, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//943 QsciLexerPOV::KeywordSet8 (enum)
    {67, 1380, 0, 0, Smoke::mf_dtor, 0, 49 },	//944 QsciLexerPOV::~QsciLexerPOV()
    {68, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//945 QsciLexerPascal::metaObject() const
    {68, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//946 QsciLexerPascal::qt_metacast(const char*)
    {68, 1315, 44, 2, Smoke::mf_static, 36, 3},	//947 QsciLexerPascal::tr(const char*, const char*)
    {68, 1319, 44, 2, Smoke::mf_static, 36, 4},	//948 QsciLexerPascal::trUtf8(const char*, const char*)
    {68, 1315, 47, 3, Smoke::mf_static, 36, 5},	//949 QsciLexerPascal::tr(const char*, const char*, int)
    {68, 1319, 47, 3, Smoke::mf_static, 36, 6},	//950 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {68, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//951 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {68, 405, 74, 1, Smoke::mf_ctor, 71, 8},	//952 QsciLexerPascal::QsciLexerPascal(QObject*)
    {68, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//953 QsciLexerPascal::language() const
    {68, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//954 QsciLexerPascal::lexer() const
    {68, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//955 QsciLexerPascal::autoCompletionWordSeparators() const
    {68, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//956 QsciLexerPascal::blockEnd(int*) const
    {68, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//957 QsciLexerPascal::blockStart(int*) const
    {68, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 14},	//958 QsciLexerPascal::blockStartKeyword(int*) const
    {68, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 15},	//959 QsciLexerPascal::braceStyle() const
    {68, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//960 QsciLexerPascal::defaultColor(int) const
    {68, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 17},	//961 QsciLexerPascal::defaultEolFill(int) const
    {68, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//962 QsciLexerPascal::defaultFont(int) const
    {68, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//963 QsciLexerPascal::defaultPaper(int) const
    {68, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 20},	//964 QsciLexerPascal::keywords(int) const
    {68, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 21},	//965 QsciLexerPascal::description(int) const
    {68, 1033, 0, 0, Smoke::mf_virtual, 0, 22},	//966 QsciLexerPascal::refreshProperties()
    {68, 864, 0, 0, Smoke::mf_const, 197, 23},	//967 QsciLexerPascal::foldComments() const
    {68, 865, 0, 0, Smoke::mf_const, 197, 24},	//968 QsciLexerPascal::foldCompact() const
    {68, 871, 0, 0, Smoke::mf_const, 197, 25},	//969 QsciLexerPascal::foldPreprocessor() const
    {68, 1248, 16, 1, 0, 0, 26},	//970 QsciLexerPascal::setSmartHighlighting(bool)
    {68, 1291, 0, 0, Smoke::mf_const, 197, 27},	//971 QsciLexerPascal::smartHighlighting() const
    {68, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//972 QsciLexerPascal::setFoldComments(bool)
    {68, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//973 QsciLexerPascal::setFoldCompact(bool)
    {68, 1162, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//974 QsciLexerPascal::setFoldPreprocessor(bool)
    {68, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 31},	//975 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {68, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 32},	//976 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {68, 1315, 12, 1, Smoke::mf_static, 36, 33},	//977 QsciLexerPascal::tr(const char*)
    {68, 1319, 12, 1, Smoke::mf_static, 36, 34},	//978 QsciLexerPascal::trUtf8(const char*)
    {68, 405, 0, 0, Smoke::mf_ctor, 71, 35},	//979 QsciLexerPascal::QsciLexerPascal()
    {68, 753, 0, 0, Smoke::mf_const, 216, 36},	//980 QsciLexerPascal::blockEnd() const
    {68, 756, 0, 0, Smoke::mf_const, 216, 37},	//981 QsciLexerPascal::blockStart() const
    {68, 758, 0, 0, Smoke::mf_const, 216, 38},	//982 QsciLexerPascal::blockStartKeyword() const
    {68, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 39},	//983 QsciLexerPascal::staticMetaObject() const
    {68, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//984 QsciLexerPascal::Default (enum)
    {68, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//985 QsciLexerPascal::Identifier (enum)
    {68, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//986 QsciLexerPascal::Comment (enum)
    {68, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//987 QsciLexerPascal::CommentParenthesis (enum)
    {68, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//988 QsciLexerPascal::CommentLine (enum)
    {68, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//989 QsciLexerPascal::PreProcessor (enum)
    {68, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//990 QsciLexerPascal::PreProcessorParenthesis (enum)
    {68, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//991 QsciLexerPascal::Number (enum)
    {68, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//992 QsciLexerPascal::HexNumber (enum)
    {68, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//993 QsciLexerPascal::Keyword (enum)
    {68, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//994 QsciLexerPascal::SingleQuotedString (enum)
    {68, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//995 QsciLexerPascal::UnclosedString (enum)
    {68, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//996 QsciLexerPascal::Character (enum)
    {68, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//997 QsciLexerPascal::Operator (enum)
    {68, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//998 QsciLexerPascal::Asm (enum)
    {68, 1381, 0, 0, Smoke::mf_dtor, 0, 55 },	//999 QsciLexerPascal::~QsciLexerPascal()
    {69, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1000 QsciLexerPerl::metaObject() const
    {69, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1001 QsciLexerPerl::qt_metacast(const char*)
    {69, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1002 QsciLexerPerl::tr(const char*, const char*)
    {69, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1003 QsciLexerPerl::trUtf8(const char*, const char*)
    {69, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1004 QsciLexerPerl::tr(const char*, const char*, int)
    {69, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1005 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {69, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1006 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {69, 407, 74, 1, Smoke::mf_ctor, 72, 8},	//1007 QsciLexerPerl::QsciLexerPerl(QObject*)
    {69, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1008 QsciLexerPerl::language() const
    {69, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1009 QsciLexerPerl::lexer() const
    {69, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//1010 QsciLexerPerl::autoCompletionWordSeparators() const
    {69, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//1011 QsciLexerPerl::braceStyle() const
    {69, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//1012 QsciLexerPerl::wordCharacters() const
    {69, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1013 QsciLexerPerl::defaultColor(int) const
    {69, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 15},	//1014 QsciLexerPerl::defaultEolFill(int) const
    {69, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//1015 QsciLexerPerl::defaultFont(int) const
    {69, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//1016 QsciLexerPerl::defaultPaper(int) const
    {69, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 18},	//1017 QsciLexerPerl::keywords(int) const
    {69, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//1018 QsciLexerPerl::description(int) const
    {69, 1033, 0, 0, Smoke::mf_virtual, 0, 20},	//1019 QsciLexerPerl::refreshProperties()
    {69, 864, 0, 0, Smoke::mf_const, 197, 21},	//1020 QsciLexerPerl::foldComments() const
    {69, 865, 0, 0, Smoke::mf_const, 197, 22},	//1021 QsciLexerPerl::foldCompact() const
    {69, 1160, 16, 1, 0, 0, 23},	//1022 QsciLexerPerl::setFoldPackages(bool)
    {69, 870, 0, 0, Smoke::mf_const, 197, 24},	//1023 QsciLexerPerl::foldPackages() const
    {69, 1158, 16, 1, 0, 0, 25},	//1024 QsciLexerPerl::setFoldPODBlocks(bool)
    {69, 869, 0, 0, Smoke::mf_const, 197, 26},	//1025 QsciLexerPerl::foldPODBlocks() const
    {69, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1026 QsciLexerPerl::setFoldComments(bool)
    {69, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1027 QsciLexerPerl::setFoldCompact(bool)
    {69, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 29},	//1028 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {69, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 30},	//1029 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {69, 1315, 12, 1, Smoke::mf_static, 36, 31},	//1030 QsciLexerPerl::tr(const char*)
    {69, 1319, 12, 1, Smoke::mf_static, 36, 32},	//1031 QsciLexerPerl::trUtf8(const char*)
    {69, 407, 0, 0, Smoke::mf_ctor, 72, 33},	//1032 QsciLexerPerl::QsciLexerPerl()
    {69, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 34},	//1033 QsciLexerPerl::staticMetaObject() const
    {69, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1034 QsciLexerPerl::Default (enum)
    {69, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1035 QsciLexerPerl::Error (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1036 QsciLexerPerl::Comment (enum)
    {69, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1037 QsciLexerPerl::POD (enum)
    {69, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1038 QsciLexerPerl::Number (enum)
    {69, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1039 QsciLexerPerl::Keyword (enum)
    {69, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1040 QsciLexerPerl::DoubleQuotedString (enum)
    {69, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1041 QsciLexerPerl::SingleQuotedString (enum)
    {69, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1042 QsciLexerPerl::Operator (enum)
    {69, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1043 QsciLexerPerl::Identifier (enum)
    {69, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1044 QsciLexerPerl::Scalar (enum)
    {69, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1045 QsciLexerPerl::Array (enum)
    {69, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1046 QsciLexerPerl::Hash (enum)
    {69, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1047 QsciLexerPerl::SymbolTable (enum)
    {69, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//1048 QsciLexerPerl::Regex (enum)
    {69, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//1049 QsciLexerPerl::Substitution (enum)
    {69, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//1050 QsciLexerPerl::Backticks (enum)
    {69, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//1051 QsciLexerPerl::DataSection (enum)
    {69, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//1052 QsciLexerPerl::HereDocumentDelimiter (enum)
    {69, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//1053 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {69, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//1054 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {69, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//1055 QsciLexerPerl::BacktickHereDocument (enum)
    {69, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 57},	//1056 QsciLexerPerl::QuotedStringQ (enum)
    {69, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 58},	//1057 QsciLexerPerl::QuotedStringQQ (enum)
    {69, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 59},	//1058 QsciLexerPerl::QuotedStringQX (enum)
    {69, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 60},	//1059 QsciLexerPerl::QuotedStringQR (enum)
    {69, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 61},	//1060 QsciLexerPerl::QuotedStringQW (enum)
    {69, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 62},	//1061 QsciLexerPerl::PODVerbatim (enum)
    {69, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 63},	//1062 QsciLexerPerl::SubroutinePrototype (enum)
    {69, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 64},	//1063 QsciLexerPerl::FormatIdentifier (enum)
    {69, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 65},	//1064 QsciLexerPerl::FormatBody (enum)
    {69, 1382, 0, 0, Smoke::mf_dtor, 0, 66 },	//1065 QsciLexerPerl::~QsciLexerPerl()
    {70, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1066 QsciLexerPostScript::metaObject() const
    {70, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1067 QsciLexerPostScript::qt_metacast(const char*)
    {70, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1068 QsciLexerPostScript::tr(const char*, const char*)
    {70, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1069 QsciLexerPostScript::trUtf8(const char*, const char*)
    {70, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1070 QsciLexerPostScript::tr(const char*, const char*, int)
    {70, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1071 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {70, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1072 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {70, 409, 74, 1, Smoke::mf_ctor, 73, 8},	//1073 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {70, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1074 QsciLexerPostScript::language() const
    {70, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1075 QsciLexerPostScript::lexer() const
    {70, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1076 QsciLexerPostScript::braceStyle() const
    {70, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1077 QsciLexerPostScript::defaultColor(int) const
    {70, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1078 QsciLexerPostScript::defaultFont(int) const
    {70, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1079 QsciLexerPostScript::defaultPaper(int) const
    {70, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//1080 QsciLexerPostScript::keywords(int) const
    {70, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1081 QsciLexerPostScript::description(int) const
    {70, 1033, 0, 0, Smoke::mf_virtual, 0, 17},	//1082 QsciLexerPostScript::refreshProperties()
    {70, 1314, 0, 0, Smoke::mf_const, 197, 18},	//1083 QsciLexerPostScript::tokenize() const
    {70, 929, 0, 0, Smoke::mf_const, 218, 19},	//1084 QsciLexerPostScript::level() const
    {70, 865, 0, 0, Smoke::mf_const, 197, 20},	//1085 QsciLexerPostScript::foldCompact() const
    {70, 862, 0, 0, Smoke::mf_const, 197, 21},	//1086 QsciLexerPostScript::foldAtElse() const
    {70, 1263, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1087 QsciLexerPostScript::setTokenize(bool)
    {70, 1194, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1088 QsciLexerPostScript::setLevel(int)
    {70, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1089 QsciLexerPostScript::setFoldCompact(bool)
    {70, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1090 QsciLexerPostScript::setFoldAtElse(bool)
    {70, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 26},	//1091 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {70, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 27},	//1092 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {70, 1315, 12, 1, Smoke::mf_static, 36, 28},	//1093 QsciLexerPostScript::tr(const char*)
    {70, 1319, 12, 1, Smoke::mf_static, 36, 29},	//1094 QsciLexerPostScript::trUtf8(const char*)
    {70, 409, 0, 0, Smoke::mf_ctor, 73, 30},	//1095 QsciLexerPostScript::QsciLexerPostScript()
    {70, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 31},	//1096 QsciLexerPostScript::staticMetaObject() const
    {70, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//1097 QsciLexerPostScript::Default (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//1098 QsciLexerPostScript::Comment (enum)
    {70, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//1099 QsciLexerPostScript::DSCComment (enum)
    {70, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1100 QsciLexerPostScript::DSCCommentValue (enum)
    {70, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1101 QsciLexerPostScript::Number (enum)
    {70, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1102 QsciLexerPostScript::Name (enum)
    {70, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1103 QsciLexerPostScript::Keyword (enum)
    {70, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1104 QsciLexerPostScript::Literal (enum)
    {70, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1105 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {70, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1106 QsciLexerPostScript::ArrayParenthesis (enum)
    {70, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1107 QsciLexerPostScript::DictionaryParenthesis (enum)
    {70, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1108 QsciLexerPostScript::ProcedureParenthesis (enum)
    {70, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1109 QsciLexerPostScript::Text (enum)
    {70, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1110 QsciLexerPostScript::HexString (enum)
    {70, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1111 QsciLexerPostScript::Base85String (enum)
    {70, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1112 QsciLexerPostScript::BadStringCharacter (enum)
    {70, 1383, 0, 0, Smoke::mf_dtor, 0, 48 },	//1113 QsciLexerPostScript::~QsciLexerPostScript()
    {71, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1114 QsciLexerProperties::metaObject() const
    {71, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1115 QsciLexerProperties::qt_metacast(const char*)
    {71, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1116 QsciLexerProperties::tr(const char*, const char*)
    {71, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1117 QsciLexerProperties::trUtf8(const char*, const char*)
    {71, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1118 QsciLexerProperties::tr(const char*, const char*, int)
    {71, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1119 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {71, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1120 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {71, 411, 74, 1, Smoke::mf_ctor, 74, 8},	//1121 QsciLexerProperties::QsciLexerProperties(QObject*)
    {71, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1122 QsciLexerProperties::language() const
    {71, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1123 QsciLexerProperties::lexer() const
    {71, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1124 QsciLexerProperties::wordCharacters() const
    {71, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1125 QsciLexerProperties::defaultColor(int) const
    {71, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1126 QsciLexerProperties::defaultEolFill(int) const
    {71, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1127 QsciLexerProperties::defaultFont(int) const
    {71, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1128 QsciLexerProperties::defaultPaper(int) const
    {71, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1129 QsciLexerProperties::description(int) const
    {71, 1033, 0, 0, Smoke::mf_virtual, 0, 17},	//1130 QsciLexerProperties::refreshProperties()
    {71, 865, 0, 0, Smoke::mf_const, 197, 18},	//1131 QsciLexerProperties::foldCompact() const
    {71, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1132 QsciLexerProperties::setFoldCompact(bool)
    {71, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 20},	//1133 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {71, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 21},	//1134 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {71, 1315, 12, 1, Smoke::mf_static, 36, 22},	//1135 QsciLexerProperties::tr(const char*)
    {71, 1319, 12, 1, Smoke::mf_static, 36, 23},	//1136 QsciLexerProperties::trUtf8(const char*)
    {71, 411, 0, 0, Smoke::mf_ctor, 74, 24},	//1137 QsciLexerProperties::QsciLexerProperties()
    {71, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 25},	//1138 QsciLexerProperties::staticMetaObject() const
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//1139 QsciLexerProperties::Default (enum)
    {71, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//1140 QsciLexerProperties::Comment (enum)
    {71, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//1141 QsciLexerProperties::Section (enum)
    {71, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//1142 QsciLexerProperties::Assignment (enum)
    {71, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//1143 QsciLexerProperties::DefaultValue (enum)
    {71, 1384, 0, 0, Smoke::mf_dtor, 0, 31 },	//1144 QsciLexerProperties::~QsciLexerProperties()
    {72, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1145 QsciLexerPython::metaObject() const
    {72, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1146 QsciLexerPython::qt_metacast(const char*)
    {72, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1147 QsciLexerPython::tr(const char*, const char*)
    {72, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1148 QsciLexerPython::trUtf8(const char*, const char*)
    {72, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1149 QsciLexerPython::tr(const char*, const char*, int)
    {72, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1150 QsciLexerPython::trUtf8(const char*, const char*, int)
    {72, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1151 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {72, 413, 74, 1, Smoke::mf_ctor, 75, 8},	//1152 QsciLexerPython::QsciLexerPython(QObject*)
    {72, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1153 QsciLexerPython::language() const
    {72, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1154 QsciLexerPython::lexer() const
    {72, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//1155 QsciLexerPython::autoCompletionWordSeparators() const
    {72, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 12},	//1156 QsciLexerPython::blockLookback() const
    {72, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//1157 QsciLexerPython::blockStart(int*) const
    {72, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//1158 QsciLexerPython::braceStyle() const
    {72, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1159 QsciLexerPython::defaultColor(int) const
    {72, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//1160 QsciLexerPython::defaultEolFill(int) const
    {72, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1161 QsciLexerPython::defaultFont(int) const
    {72, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1162 QsciLexerPython::defaultPaper(int) const
    {72, 895, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 19},	//1163 QsciLexerPython::indentationGuideView() const
    {72, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 20},	//1164 QsciLexerPython::keywords(int) const
    {72, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 21},	//1165 QsciLexerPython::description(int) const
    {72, 1033, 0, 0, Smoke::mf_virtual, 0, 22},	//1166 QsciLexerPython::refreshProperties()
    {72, 864, 0, 0, Smoke::mf_const, 197, 23},	//1167 QsciLexerPython::foldComments() const
    {72, 872, 0, 0, Smoke::mf_const, 197, 24},	//1168 QsciLexerPython::foldQuotes() const
    {72, 897, 0, 0, Smoke::mf_const, 76, 25},	//1169 QsciLexerPython::indentationWarning() const
    {72, 1271, 16, 1, 0, 0, 26},	//1170 QsciLexerPython::setV2UnicodeAllowed(bool)
    {72, 1330, 0, 0, Smoke::mf_const, 197, 27},	//1171 QsciLexerPython::v2UnicodeAllowed() const
    {72, 1273, 16, 1, 0, 0, 28},	//1172 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {72, 1331, 0, 0, Smoke::mf_const, 197, 29},	//1173 QsciLexerPython::v3BinaryOctalAllowed() const
    {72, 1275, 16, 1, 0, 0, 30},	//1174 QsciLexerPython::setV3BytesAllowed(bool)
    {72, 1332, 0, 0, Smoke::mf_const, 197, 31},	//1175 QsciLexerPython::v3BytesAllowed() const
    {72, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1176 QsciLexerPython::setFoldComments(bool)
    {72, 1164, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1177 QsciLexerPython::setFoldQuotes(bool)
    {72, 1186, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1178 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {72, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 35},	//1179 QsciLexerPython::readProperties(QSettings&, const QString&)
    {72, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 36},	//1180 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {72, 1315, 12, 1, Smoke::mf_static, 36, 37},	//1181 QsciLexerPython::tr(const char*)
    {72, 1319, 12, 1, Smoke::mf_static, 36, 38},	//1182 QsciLexerPython::trUtf8(const char*)
    {72, 413, 0, 0, Smoke::mf_ctor, 75, 39},	//1183 QsciLexerPython::QsciLexerPython()
    {72, 756, 0, 0, Smoke::mf_const, 216, 40},	//1184 QsciLexerPython::blockStart() const
    {72, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 41},	//1185 QsciLexerPython::staticMetaObject() const
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1186 QsciLexerPython::Default (enum)
    {72, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1187 QsciLexerPython::Comment (enum)
    {72, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1188 QsciLexerPython::Number (enum)
    {72, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1189 QsciLexerPython::DoubleQuotedString (enum)
    {72, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1190 QsciLexerPython::SingleQuotedString (enum)
    {72, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1191 QsciLexerPython::Keyword (enum)
    {72, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1192 QsciLexerPython::TripleSingleQuotedString (enum)
    {72, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//1193 QsciLexerPython::TripleDoubleQuotedString (enum)
    {72, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//1194 QsciLexerPython::ClassName (enum)
    {72, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//1195 QsciLexerPython::FunctionMethodName (enum)
    {72, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//1196 QsciLexerPython::Operator (enum)
    {72, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//1197 QsciLexerPython::Identifier (enum)
    {72, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//1198 QsciLexerPython::CommentBlock (enum)
    {72, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//1199 QsciLexerPython::UnclosedString (enum)
    {72, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//1200 QsciLexerPython::HighlightedIdentifier (enum)
    {72, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 57},	//1201 QsciLexerPython::Decorator (enum)
    {72, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 58},	//1202 QsciLexerPython::NoWarning (enum)
    {72, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 59},	//1203 QsciLexerPython::Inconsistent (enum)
    {72, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 60},	//1204 QsciLexerPython::TabsAfterSpaces (enum)
    {72, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 61},	//1205 QsciLexerPython::Spaces (enum)
    {72, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 62},	//1206 QsciLexerPython::Tabs (enum)
    {72, 1385, 0, 0, Smoke::mf_dtor, 0, 63 },	//1207 QsciLexerPython::~QsciLexerPython()
    {73, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1208 QsciLexerRuby::metaObject() const
    {73, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1209 QsciLexerRuby::qt_metacast(const char*)
    {73, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1210 QsciLexerRuby::tr(const char*, const char*)
    {73, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1211 QsciLexerRuby::trUtf8(const char*, const char*)
    {73, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1212 QsciLexerRuby::tr(const char*, const char*, int)
    {73, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1213 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {73, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1214 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {73, 415, 74, 1, Smoke::mf_ctor, 77, 8},	//1215 QsciLexerRuby::QsciLexerRuby(QObject*)
    {73, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1216 QsciLexerRuby::language() const
    {73, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1217 QsciLexerRuby::lexer() const
    {73, 753, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1218 QsciLexerRuby::blockEnd(int*) const
    {73, 756, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 12},	//1219 QsciLexerRuby::blockStart(int*) const
    {73, 758, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//1220 QsciLexerRuby::blockStartKeyword(int*) const
    {73, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 14},	//1221 QsciLexerRuby::braceStyle() const
    {73, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1222 QsciLexerRuby::defaultColor(int) const
    {73, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//1223 QsciLexerRuby::defaultEolFill(int) const
    {73, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1224 QsciLexerRuby::defaultFont(int) const
    {73, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1225 QsciLexerRuby::defaultPaper(int) const
    {73, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 19},	//1226 QsciLexerRuby::keywords(int) const
    {73, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 20},	//1227 QsciLexerRuby::description(int) const
    {73, 1315, 12, 1, Smoke::mf_static, 36, 21},	//1228 QsciLexerRuby::tr(const char*)
    {73, 1319, 12, 1, Smoke::mf_static, 36, 22},	//1229 QsciLexerRuby::trUtf8(const char*)
    {73, 415, 0, 0, Smoke::mf_ctor, 77, 23},	//1230 QsciLexerRuby::QsciLexerRuby()
    {73, 753, 0, 0, Smoke::mf_const, 216, 24},	//1231 QsciLexerRuby::blockEnd() const
    {73, 756, 0, 0, Smoke::mf_const, 216, 25},	//1232 QsciLexerRuby::blockStart() const
    {73, 758, 0, 0, Smoke::mf_const, 216, 26},	//1233 QsciLexerRuby::blockStartKeyword() const
    {73, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 27},	//1234 QsciLexerRuby::staticMetaObject() const
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//1235 QsciLexerRuby::Default (enum)
    {73, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//1236 QsciLexerRuby::Error (enum)
    {73, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//1237 QsciLexerRuby::Comment (enum)
    {73, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//1238 QsciLexerRuby::POD (enum)
    {73, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//1239 QsciLexerRuby::Number (enum)
    {73, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//1240 QsciLexerRuby::Keyword (enum)
    {73, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//1241 QsciLexerRuby::DoubleQuotedString (enum)
    {73, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1242 QsciLexerRuby::SingleQuotedString (enum)
    {73, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1243 QsciLexerRuby::ClassName (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1244 QsciLexerRuby::FunctionMethodName (enum)
    {73, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1245 QsciLexerRuby::Operator (enum)
    {73, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1246 QsciLexerRuby::Identifier (enum)
    {73, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1247 QsciLexerRuby::Regex (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1248 QsciLexerRuby::Global (enum)
    {73, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1249 QsciLexerRuby::Symbol (enum)
    {73, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1250 QsciLexerRuby::ModuleName (enum)
    {73, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1251 QsciLexerRuby::InstanceVariable (enum)
    {73, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1252 QsciLexerRuby::ClassVariable (enum)
    {73, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1253 QsciLexerRuby::Backticks (enum)
    {73, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1254 QsciLexerRuby::DataSection (enum)
    {73, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1255 QsciLexerRuby::HereDocumentDelimiter (enum)
    {73, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//1256 QsciLexerRuby::HereDocument (enum)
    {73, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//1257 QsciLexerRuby::PercentStringq (enum)
    {73, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 51},	//1258 QsciLexerRuby::PercentStringQ (enum)
    {73, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 52},	//1259 QsciLexerRuby::PercentStringx (enum)
    {73, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 53},	//1260 QsciLexerRuby::PercentStringr (enum)
    {73, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 54},	//1261 QsciLexerRuby::PercentStringw (enum)
    {73, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 55},	//1262 QsciLexerRuby::DemotedKeyword (enum)
    {73, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 56},	//1263 QsciLexerRuby::Stdin (enum)
    {73, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 57},	//1264 QsciLexerRuby::Stdout (enum)
    {73, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 58},	//1265 QsciLexerRuby::Stderr (enum)
    {73, 1386, 0, 0, Smoke::mf_dtor, 0, 59 },	//1266 QsciLexerRuby::~QsciLexerRuby()
    {74, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1267 QsciLexerSQL::metaObject() const
    {74, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1268 QsciLexerSQL::qt_metacast(const char*)
    {74, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1269 QsciLexerSQL::tr(const char*, const char*)
    {74, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1270 QsciLexerSQL::trUtf8(const char*, const char*)
    {74, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1271 QsciLexerSQL::tr(const char*, const char*, int)
    {74, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1272 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {74, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1273 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {74, 417, 74, 1, Smoke::mf_ctor, 78, 8},	//1274 QsciLexerSQL::QsciLexerSQL(QObject*)
    {74, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1275 QsciLexerSQL::language() const
    {74, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1276 QsciLexerSQL::lexer() const
    {74, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1277 QsciLexerSQL::braceStyle() const
    {74, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1278 QsciLexerSQL::defaultColor(int) const
    {74, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1279 QsciLexerSQL::defaultEolFill(int) const
    {74, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1280 QsciLexerSQL::defaultFont(int) const
    {74, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1281 QsciLexerSQL::defaultPaper(int) const
    {74, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//1282 QsciLexerSQL::keywords(int) const
    {74, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1283 QsciLexerSQL::description(int) const
    {74, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//1284 QsciLexerSQL::refreshProperties()
    {74, 864, 0, 0, Smoke::mf_const, 197, 19},	//1285 QsciLexerSQL::foldComments() const
    {74, 865, 0, 0, Smoke::mf_const, 197, 20},	//1286 QsciLexerSQL::foldCompact() const
    {74, 750, 0, 0, Smoke::mf_const, 197, 21},	//1287 QsciLexerSQL::backslashEscapes() const
    {74, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1288 QsciLexerSQL::setFoldComments(bool)
    {74, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1289 QsciLexerSQL::setFoldCompact(bool)
    {74, 1084, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1290 QsciLexerSQL::setBackslashEscapes(bool)
    {74, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 25},	//1291 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {74, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 26},	//1292 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {74, 1315, 12, 1, Smoke::mf_static, 36, 27},	//1293 QsciLexerSQL::tr(const char*)
    {74, 1319, 12, 1, Smoke::mf_static, 36, 28},	//1294 QsciLexerSQL::trUtf8(const char*)
    {74, 417, 0, 0, Smoke::mf_ctor, 78, 29},	//1295 QsciLexerSQL::QsciLexerSQL()
    {74, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 30},	//1296 QsciLexerSQL::staticMetaObject() const
    {74, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//1297 QsciLexerSQL::Default (enum)
    {74, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//1298 QsciLexerSQL::Comment (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//1299 QsciLexerSQL::CommentLine (enum)
    {74, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//1300 QsciLexerSQL::CommentDoc (enum)
    {74, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1301 QsciLexerSQL::Number (enum)
    {74, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1302 QsciLexerSQL::Keyword (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1303 QsciLexerSQL::DoubleQuotedString (enum)
    {74, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1304 QsciLexerSQL::SingleQuotedString (enum)
    {74, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1305 QsciLexerSQL::PlusKeyword (enum)
    {74, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1306 QsciLexerSQL::PlusPrompt (enum)
    {74, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1307 QsciLexerSQL::Operator (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1308 QsciLexerSQL::Identifier (enum)
    {74, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1309 QsciLexerSQL::PlusComment (enum)
    {74, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1310 QsciLexerSQL::CommentLineHash (enum)
    {74, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1311 QsciLexerSQL::CommentDocKeyword (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1312 QsciLexerSQL::CommentDocKeywordError (enum)
    {74, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1313 QsciLexerSQL::KeywordSet5 (enum)
    {74, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1314 QsciLexerSQL::KeywordSet6 (enum)
    {74, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//1315 QsciLexerSQL::KeywordSet7 (enum)
    {74, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 50},	//1316 QsciLexerSQL::KeywordSet8 (enum)
    {74, 1387, 0, 0, Smoke::mf_dtor, 0, 51 },	//1317 QsciLexerSQL::~QsciLexerSQL()
    {75, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1318 QsciLexerTCL::metaObject() const
    {75, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1319 QsciLexerTCL::qt_metacast(const char*)
    {75, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1320 QsciLexerTCL::tr(const char*, const char*)
    {75, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1321 QsciLexerTCL::trUtf8(const char*, const char*)
    {75, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1322 QsciLexerTCL::tr(const char*, const char*, int)
    {75, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1323 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {75, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1324 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 419, 74, 1, Smoke::mf_ctor, 79, 8},	//1325 QsciLexerTCL::QsciLexerTCL(QObject*)
    {75, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1326 QsciLexerTCL::language() const
    {75, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1327 QsciLexerTCL::lexer() const
    {75, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1328 QsciLexerTCL::braceStyle() const
    {75, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1329 QsciLexerTCL::defaultColor(int) const
    {75, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1330 QsciLexerTCL::defaultEolFill(int) const
    {75, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1331 QsciLexerTCL::defaultFont(int) const
    {75, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1332 QsciLexerTCL::defaultPaper(int) const
    {75, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//1333 QsciLexerTCL::keywords(int) const
    {75, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1334 QsciLexerTCL::description(int) const
    {75, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//1335 QsciLexerTCL::refreshProperties()
    {75, 865, 0, 0, Smoke::mf_const, 197, 19},	//1336 QsciLexerTCL::foldCompact() const
    {75, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1337 QsciLexerTCL::setFoldCompact(bool)
    {75, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 21},	//1338 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {75, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 22},	//1339 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {75, 1315, 12, 1, Smoke::mf_static, 36, 23},	//1340 QsciLexerTCL::tr(const char*)
    {75, 1319, 12, 1, Smoke::mf_static, 36, 24},	//1341 QsciLexerTCL::trUtf8(const char*)
    {75, 419, 0, 0, Smoke::mf_ctor, 79, 25},	//1342 QsciLexerTCL::QsciLexerTCL()
    {75, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 26},	//1343 QsciLexerTCL::staticMetaObject() const
    {75, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//1344 QsciLexerTCL::Default (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//1345 QsciLexerTCL::Comment (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//1346 QsciLexerTCL::CommentLine (enum)
    {75, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//1347 QsciLexerTCL::Number (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//1348 QsciLexerTCL::QuotedKeyword (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//1349 QsciLexerTCL::QuotedString (enum)
    {75, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//1350 QsciLexerTCL::Operator (enum)
    {75, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//1351 QsciLexerTCL::Identifier (enum)
    {75, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1352 QsciLexerTCL::Substitution (enum)
    {75, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1353 QsciLexerTCL::SubstitutionBrace (enum)
    {75, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1354 QsciLexerTCL::Modifier (enum)
    {75, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1355 QsciLexerTCL::ExpandKeyword (enum)
    {75, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1356 QsciLexerTCL::TCLKeyword (enum)
    {75, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1357 QsciLexerTCL::TkKeyword (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1358 QsciLexerTCL::ITCLKeyword (enum)
    {75, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1359 QsciLexerTCL::TkCommand (enum)
    {75, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1360 QsciLexerTCL::KeywordSet6 (enum)
    {75, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1361 QsciLexerTCL::KeywordSet7 (enum)
    {75, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1362 QsciLexerTCL::KeywordSet8 (enum)
    {75, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1363 QsciLexerTCL::KeywordSet9 (enum)
    {75, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1364 QsciLexerTCL::CommentBox (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1365 QsciLexerTCL::CommentBlock (enum)
    {75, 1388, 0, 0, Smoke::mf_dtor, 0, 49 },	//1366 QsciLexerTCL::~QsciLexerTCL()
    {76, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1367 QsciLexerTeX::metaObject() const
    {76, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1368 QsciLexerTeX::qt_metacast(const char*)
    {76, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1369 QsciLexerTeX::tr(const char*, const char*)
    {76, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1370 QsciLexerTeX::trUtf8(const char*, const char*)
    {76, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1371 QsciLexerTeX::tr(const char*, const char*, int)
    {76, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1372 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {76, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1373 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {76, 421, 74, 1, Smoke::mf_ctor, 80, 8},	//1374 QsciLexerTeX::QsciLexerTeX(QObject*)
    {76, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1375 QsciLexerTeX::language() const
    {76, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1376 QsciLexerTeX::lexer() const
    {76, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 11},	//1377 QsciLexerTeX::wordCharacters() const
    {76, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1378 QsciLexerTeX::defaultColor(int) const
    {76, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 13},	//1379 QsciLexerTeX::keywords(int) const
    {76, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 14},	//1380 QsciLexerTeX::description(int) const
    {76, 1315, 12, 1, Smoke::mf_static, 36, 15},	//1381 QsciLexerTeX::tr(const char*)
    {76, 1319, 12, 1, Smoke::mf_static, 36, 16},	//1382 QsciLexerTeX::trUtf8(const char*)
    {76, 421, 0, 0, Smoke::mf_ctor, 80, 17},	//1383 QsciLexerTeX::QsciLexerTeX()
    {76, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 18},	//1384 QsciLexerTeX::staticMetaObject() const
    {76, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 19},	//1385 QsciLexerTeX::Default (enum)
    {76, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 20},	//1386 QsciLexerTeX::Special (enum)
    {76, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 21},	//1387 QsciLexerTeX::Group (enum)
    {76, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 22},	//1388 QsciLexerTeX::Symbol (enum)
    {76, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 23},	//1389 QsciLexerTeX::Command (enum)
    {76, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 24},	//1390 QsciLexerTeX::Text (enum)
    {76, 1389, 0, 0, Smoke::mf_dtor, 0, 25 },	//1391 QsciLexerTeX::~QsciLexerTeX()
    {77, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1392 QsciLexerVHDL::metaObject() const
    {77, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1393 QsciLexerVHDL::qt_metacast(const char*)
    {77, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1394 QsciLexerVHDL::tr(const char*, const char*)
    {77, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1395 QsciLexerVHDL::trUtf8(const char*, const char*)
    {77, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1396 QsciLexerVHDL::tr(const char*, const char*, int)
    {77, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1397 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {77, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1398 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {77, 423, 74, 1, Smoke::mf_ctor, 81, 8},	//1399 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {77, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1400 QsciLexerVHDL::language() const
    {77, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1401 QsciLexerVHDL::lexer() const
    {77, 761, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 11},	//1402 QsciLexerVHDL::braceStyle() const
    {77, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1403 QsciLexerVHDL::defaultColor(int) const
    {77, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1404 QsciLexerVHDL::defaultEolFill(int) const
    {77, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1405 QsciLexerVHDL::defaultFont(int) const
    {77, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1406 QsciLexerVHDL::defaultPaper(int) const
    {77, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 16},	//1407 QsciLexerVHDL::keywords(int) const
    {77, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1408 QsciLexerVHDL::description(int) const
    {77, 1033, 0, 0, Smoke::mf_virtual, 0, 18},	//1409 QsciLexerVHDL::refreshProperties()
    {77, 864, 0, 0, Smoke::mf_const, 197, 19},	//1410 QsciLexerVHDL::foldComments() const
    {77, 865, 0, 0, Smoke::mf_const, 197, 20},	//1411 QsciLexerVHDL::foldCompact() const
    {77, 862, 0, 0, Smoke::mf_const, 197, 21},	//1412 QsciLexerVHDL::foldAtElse() const
    {77, 861, 0, 0, Smoke::mf_const, 197, 22},	//1413 QsciLexerVHDL::foldAtBegin() const
    {77, 863, 0, 0, Smoke::mf_const, 197, 23},	//1414 QsciLexerVHDL::foldAtParenthesis() const
    {77, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1415 QsciLexerVHDL::setFoldComments(bool)
    {77, 1152, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1416 QsciLexerVHDL::setFoldCompact(bool)
    {77, 1146, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1417 QsciLexerVHDL::setFoldAtElse(bool)
    {77, 1144, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1418 QsciLexerVHDL::setFoldAtBegin(bool)
    {77, 1148, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1419 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {77, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 29},	//1420 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {77, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 30},	//1421 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {77, 1315, 12, 1, Smoke::mf_static, 36, 31},	//1422 QsciLexerVHDL::tr(const char*)
    {77, 1319, 12, 1, Smoke::mf_static, 36, 32},	//1423 QsciLexerVHDL::trUtf8(const char*)
    {77, 423, 0, 0, Smoke::mf_ctor, 81, 33},	//1424 QsciLexerVHDL::QsciLexerVHDL()
    {77, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 34},	//1425 QsciLexerVHDL::staticMetaObject() const
    {77, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1426 QsciLexerVHDL::Default (enum)
    {77, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//1427 QsciLexerVHDL::Comment (enum)
    {77, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//1428 QsciLexerVHDL::CommentLine (enum)
    {77, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 38},	//1429 QsciLexerVHDL::Number (enum)
    {77, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 39},	//1430 QsciLexerVHDL::String (enum)
    {77, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 40},	//1431 QsciLexerVHDL::Operator (enum)
    {77, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 41},	//1432 QsciLexerVHDL::Identifier (enum)
    {77, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 42},	//1433 QsciLexerVHDL::UnclosedString (enum)
    {77, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 43},	//1434 QsciLexerVHDL::Keyword (enum)
    {77, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 44},	//1435 QsciLexerVHDL::StandardOperator (enum)
    {77, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 45},	//1436 QsciLexerVHDL::Attribute (enum)
    {77, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 46},	//1437 QsciLexerVHDL::StandardFunction (enum)
    {77, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 47},	//1438 QsciLexerVHDL::StandardPackage (enum)
    {77, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 48},	//1439 QsciLexerVHDL::StandardType (enum)
    {77, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 49},	//1440 QsciLexerVHDL::KeywordSet7 (enum)
    {77, 1390, 0, 0, Smoke::mf_dtor, 0, 50 },	//1441 QsciLexerVHDL::~QsciLexerVHDL()
    {78, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1442 QsciLexerXML::metaObject() const
    {78, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1443 QsciLexerXML::qt_metacast(const char*)
    {78, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1444 QsciLexerXML::tr(const char*, const char*)
    {78, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1445 QsciLexerXML::trUtf8(const char*, const char*)
    {78, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1446 QsciLexerXML::tr(const char*, const char*, int)
    {78, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1447 QsciLexerXML::trUtf8(const char*, const char*, int)
    {78, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1448 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {78, 425, 74, 1, Smoke::mf_ctor, 82, 8},	//1449 QsciLexerXML::QsciLexerXML(QObject*)
    {78, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1450 QsciLexerXML::language() const
    {78, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1451 QsciLexerXML::lexer() const
    {78, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1452 QsciLexerXML::defaultColor(int) const
    {78, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//1453 QsciLexerXML::defaultEolFill(int) const
    {78, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1454 QsciLexerXML::defaultFont(int) const
    {78, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1455 QsciLexerXML::defaultPaper(int) const
    {78, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//1456 QsciLexerXML::keywords(int) const
    {78, 1033, 0, 0, Smoke::mf_virtual, 0, 16},	//1457 QsciLexerXML::refreshProperties()
    {78, 1238, 16, 1, 0, 0, 17},	//1458 QsciLexerXML::setScriptsStyled(bool)
    {78, 1049, 0, 0, Smoke::mf_const, 197, 18},	//1459 QsciLexerXML::scriptsStyled() const
    {78, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 19},	//1460 QsciLexerXML::readProperties(QSettings&, const QString&)
    {78, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 20},	//1461 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {78, 1315, 12, 1, Smoke::mf_static, 36, 21},	//1462 QsciLexerXML::tr(const char*)
    {78, 1319, 12, 1, Smoke::mf_static, 36, 22},	//1463 QsciLexerXML::trUtf8(const char*)
    {78, 425, 0, 0, Smoke::mf_ctor, 82, 23},	//1464 QsciLexerXML::QsciLexerXML()
    {78, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 24},	//1465 QsciLexerXML::staticMetaObject() const
    {78, 1391, 0, 0, Smoke::mf_dtor, 0, 25 },	//1466 QsciLexerXML::~QsciLexerXML()
    {79, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1467 QsciLexerYAML::metaObject() const
    {79, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1468 QsciLexerYAML::qt_metacast(const char*)
    {79, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1469 QsciLexerYAML::tr(const char*, const char*)
    {79, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1470 QsciLexerYAML::trUtf8(const char*, const char*)
    {79, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1471 QsciLexerYAML::tr(const char*, const char*, int)
    {79, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1472 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {79, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1473 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 427, 74, 1, Smoke::mf_ctor, 83, 8},	//1474 QsciLexerYAML::QsciLexerYAML(QObject*)
    {79, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//1475 QsciLexerYAML::language() const
    {79, 930, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//1476 QsciLexerYAML::lexer() const
    {79, 801, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1477 QsciLexerYAML::defaultColor(int) const
    {79, 803, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//1478 QsciLexerYAML::defaultEolFill(int) const
    {79, 805, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1479 QsciLexerYAML::defaultFont(int) const
    {79, 807, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1480 QsciLexerYAML::defaultPaper(int) const
    {79, 923, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 15},	//1481 QsciLexerYAML::keywords(int) const
    {79, 811, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1482 QsciLexerYAML::description(int) const
    {79, 1033, 0, 0, Smoke::mf_virtual, 0, 17},	//1483 QsciLexerYAML::refreshProperties()
    {79, 864, 0, 0, Smoke::mf_const, 197, 18},	//1484 QsciLexerYAML::foldComments() const
    {79, 1150, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1485 QsciLexerYAML::setFoldComments(bool)
    {79, 1023, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 197, 20},	//1486 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {79, 1346, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 21},	//1487 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {79, 1315, 12, 1, Smoke::mf_static, 36, 22},	//1488 QsciLexerYAML::tr(const char*)
    {79, 1319, 12, 1, Smoke::mf_static, 36, 23},	//1489 QsciLexerYAML::trUtf8(const char*)
    {79, 427, 0, 0, Smoke::mf_ctor, 83, 24},	//1490 QsciLexerYAML::QsciLexerYAML()
    {79, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 25},	//1491 QsciLexerYAML::staticMetaObject() const
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//1492 QsciLexerYAML::Default (enum)
    {79, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//1493 QsciLexerYAML::Comment (enum)
    {79, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//1494 QsciLexerYAML::Identifier (enum)
    {79, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 29},	//1495 QsciLexerYAML::Keyword (enum)
    {79, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 30},	//1496 QsciLexerYAML::Number (enum)
    {79, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 31},	//1497 QsciLexerYAML::Reference (enum)
    {79, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 32},	//1498 QsciLexerYAML::DocumentDelimiter (enum)
    {79, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//1499 QsciLexerYAML::TextBlockMarker (enum)
    {79, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//1500 QsciLexerYAML::SyntaxErrorMarker (enum)
    {79, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//1501 QsciLexerYAML::Operator (enum)
    {79, 1392, 0, 0, Smoke::mf_dtor, 0, 36 },	//1502 QsciLexerYAML::~QsciLexerYAML()
    {80, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1503 QsciMacro::metaObject() const
    {80, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1504 QsciMacro::qt_metacast(const char*)
    {80, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1505 QsciMacro::tr(const char*, const char*)
    {80, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1506 QsciMacro::trUtf8(const char*, const char*)
    {80, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1507 QsciMacro::tr(const char*, const char*, int)
    {80, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1508 QsciMacro::trUtf8(const char*, const char*, int)
    {80, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1509 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {80, 429, 82, 1, Smoke::mf_ctor, 84, 8},	//1510 QsciMacro::QsciMacro(QsciScintilla*)
    {80, 429, 107, 2, Smoke::mf_ctor, 84, 9},	//1511 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {80, 774, 0, 0, 0, 0, 10},	//1512 QsciMacro::clear()
    {80, 940, 57, 1, 0, 197, 11},	//1513 QsciMacro::load(const QString&)
    {80, 1046, 0, 0, Smoke::mf_const, 36, 12},	//1514 QsciMacro::save() const
    {80, 1006, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1515 QsciMacro::play()
    {80, 1293, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1516 QsciMacro::startRecording()
    {80, 830, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1517 QsciMacro::endRecording()
    {80, 1315, 12, 1, Smoke::mf_static, 36, 16},	//1518 QsciMacro::tr(const char*)
    {80, 1319, 12, 1, Smoke::mf_static, 36, 17},	//1519 QsciMacro::trUtf8(const char*)
    {80, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 18},	//1520 QsciMacro::staticMetaObject() const
    {80, 1393, 0, 0, Smoke::mf_dtor, 0, 19 },	//1521 QsciMacro::~QsciMacro()
    {81, 432, 110, 1, Smoke::mf_ctor, 85, 1},	//1522 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {81, 881, 112, 4, Smoke::mf_virtual, 0, 2},	//1523 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {81, 944, 0, 0, Smoke::mf_const, 218, 3},	//1524 QsciPrinter::magnification() const
    {81, 1198, 18, 1, Smoke::mf_virtual, 0, 4},	//1525 QsciPrinter::setMagnification(int)
    {81, 1011, 117, 3, Smoke::mf_virtual, 218, 5},	//1526 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {81, 1343, 0, 0, Smoke::mf_const, 98, 6},	//1527 QsciPrinter::wrapMode() const
    {81, 1281, 121, 1, Smoke::mf_virtual, 0, 7},	//1528 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {81, 432, 0, 0, Smoke::mf_ctor, 85, 8},	//1529 QsciPrinter::QsciPrinter()
    {81, 1011, 123, 1, 0, 218, 9},	//1530 QsciPrinter::printRange(QsciScintillaBase*)
    {81, 1011, 125, 2, 0, 218, 10},	//1531 QsciPrinter::printRange(QsciScintillaBase*, int)
    {81, 1394, 0, 0, Smoke::mf_dtor, 0, 11 },	//1532 QsciPrinter::~QsciPrinter()
    {82, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1533 QsciScintilla::metaObject() const
    {82, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1534 QsciScintilla::qt_metacast(const char*)
    {82, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1535 QsciScintilla::tr(const char*, const char*)
    {82, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1536 QsciScintilla::trUtf8(const char*, const char*)
    {82, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1537 QsciScintilla::tr(const char*, const char*, int)
    {82, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1538 QsciScintilla::trUtf8(const char*, const char*, int)
    {82, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1539 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {82, 434, 128, 1, Smoke::mf_ctor, 86, 8},	//1540 QsciScintilla::QsciScintilla(QWidget*)
    {82, 727, 130, 3, Smoke::mf_virtual, 37, 9},	//1541 QsciScintilla::apiContext(int, int&, int&)
    {82, 719, 134, 3, 0, 0, 10},	//1542 QsciScintilla::annotate(int, const QString&, int)
    {82, 719, 138, 3, 0, 0, 11},	//1543 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {82, 719, 142, 2, 0, 0, 12},	//1544 QsciScintilla::annotate(int, const QsciStyledText&)
    {82, 719, 145, 2, 0, 0, 13},	//1545 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {82, 724, 18, 1, Smoke::mf_const, 36, 14},	//1546 QsciScintilla::annotation(int) const
    {82, 726, 0, 0, Smoke::mf_const, 87, 15},	//1547 QsciScintilla::annotationDisplay() const
    {82, 776, 18, 1, 0, 0, 16},	//1548 QsciScintilla::clearAnnotations(int)
    {82, 738, 0, 0, Smoke::mf_const, 197, 17},	//1549 QsciScintilla::autoCompletionCaseSensitivity() const
    {82, 740, 0, 0, Smoke::mf_const, 197, 18},	//1550 QsciScintilla::autoCompletionFillupsEnabled() const
    {82, 741, 0, 0, Smoke::mf_const, 197, 19},	//1551 QsciScintilla::autoCompletionReplaceWord() const
    {82, 744, 0, 0, Smoke::mf_const, 197, 20},	//1552 QsciScintilla::autoCompletionShowSingle() const
    {82, 745, 0, 0, Smoke::mf_const, 88, 21},	//1553 QsciScintilla::autoCompletionSource() const
    {82, 746, 0, 0, Smoke::mf_const, 218, 22},	//1554 QsciScintilla::autoCompletionThreshold() const
    {82, 748, 0, 0, Smoke::mf_const, 197, 23},	//1555 QsciScintilla::autoIndent() const
    {82, 751, 0, 0, Smoke::mf_const, 197, 24},	//1556 QsciScintilla::backspaceUnindents() const
    {82, 752, 0, 0, 0, 0, 25},	//1557 QsciScintilla::beginUndoAction()
    {82, 760, 0, 0, Smoke::mf_const, 89, 26},	//1558 QsciScintilla::braceMatching() const
    {82, 765, 0, 0, Smoke::mf_const, 90, 27},	//1559 QsciScintilla::callTipsStyle() const
    {82, 766, 0, 0, Smoke::mf_const, 218, 28},	//1560 QsciScintilla::callTipsVisible() const
    {82, 767, 0, 0, 0, 0, 29},	//1561 QsciScintilla::cancelList()
    {82, 769, 0, 0, Smoke::mf_const, 197, 30},	//1562 QsciScintilla::caseSensitive() const
    {82, 778, 0, 0, 0, 0, 31},	//1563 QsciScintilla::clearFolds()
    {82, 782, 0, 0, 0, 0, 32},	//1564 QsciScintilla::clearRegisteredImages()
    {82, 784, 0, 0, Smoke::mf_const, 5, 33},	//1565 QsciScintilla::color() const
    {82, 792, 148, 1, 0, 0, 34},	//1566 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {82, 815, 0, 0, Smoke::mf_const, 49, 35},	//1567 QsciScintilla::document() const
    {82, 831, 0, 0, 0, 0, 36},	//1568 QsciScintilla::endUndoAction()
    {82, 825, 0, 0, Smoke::mf_const, 5, 37},	//1569 QsciScintilla::edgeColor() const
    {82, 826, 0, 0, Smoke::mf_const, 218, 38},	//1570 QsciScintilla::edgeColumn() const
    {82, 827, 0, 0, Smoke::mf_const, 91, 39},	//1571 QsciScintilla::edgeMode() const
    {82, 1173, 42, 1, 0, 0, 40},	//1572 QsciScintilla::setFont(const QFont&)
    {82, 840, 0, 0, Smoke::mf_const, 92, 41},	//1573 QsciScintilla::eolMode() const
    {82, 841, 0, 0, Smoke::mf_const, 197, 42},	//1574 QsciScintilla::eolVisibility() const
    {82, 845, 150, 9, Smoke::mf_virtual, 197, 43},	//1575 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {82, 851, 0, 0, Smoke::mf_virtual, 197, 44},	//1576 QsciScintilla::findNext()
    {82, 852, 0, 0, Smoke::mf_const, 218, 45},	//1577 QsciScintilla::firstVisibleLine() const
    {82, 875, 0, 0, Smoke::mf_const, 93, 46},	//1578 QsciScintilla::folding() const
    {82, 883, 160, 2, Smoke::mf_const, 0, 47},	//1579 QsciScintilla::getCursorPosition(int*, int*) const
    {82, 885, 163, 4, Smoke::mf_const, 0, 48},	//1580 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {82, 887, 0, 0, Smoke::mf_const, 197, 49},	//1581 QsciScintilla::hasSelectedText() const
    {82, 893, 18, 1, Smoke::mf_const, 218, 50},	//1582 QsciScintilla::indentation(int) const
    {82, 896, 0, 0, Smoke::mf_const, 197, 51},	//1583 QsciScintilla::indentationGuides() const
    {82, 899, 0, 0, Smoke::mf_const, 197, 52},	//1584 QsciScintilla::indentationsUseTabs() const
    {82, 898, 0, 0, Smoke::mf_const, 218, 53},	//1585 QsciScintilla::indentationWidth() const
    {82, 908, 0, 0, Smoke::mf_const, 197, 54},	//1586 QsciScintilla::isCallTipActive() const
    {82, 909, 0, 0, Smoke::mf_const, 197, 55},	//1587 QsciScintilla::isListActive() const
    {82, 910, 0, 0, Smoke::mf_const, 197, 56},	//1588 QsciScintilla::isModified() const
    {82, 913, 0, 0, Smoke::mf_const, 197, 57},	//1589 QsciScintilla::isReadOnly() const
    {82, 914, 0, 0, Smoke::mf_const, 197, 58},	//1590 QsciScintilla::isRedoAvailable() const
    {82, 915, 0, 0, Smoke::mf_const, 197, 59},	//1591 QsciScintilla::isUndoAvailable() const
    {82, 916, 0, 0, Smoke::mf_const, 197, 60},	//1592 QsciScintilla::isUtf8() const
    {82, 917, 168, 1, Smoke::mf_const, 197, 61},	//1593 QsciScintilla::isWordCharacter(char) const
    {82, 932, 170, 1, Smoke::mf_const, 218, 62},	//1594 QsciScintilla::lineAt(const QPoint&) const
    {82, 934, 172, 3, Smoke::mf_const, 0, 63},	//1595 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {82, 936, 18, 1, Smoke::mf_const, 218, 64},	//1596 QsciScintilla::lineLength(int) const
    {82, 938, 0, 0, Smoke::mf_const, 218, 65},	//1597 QsciScintilla::lines() const
    {82, 928, 0, 0, Smoke::mf_const, 218, 66},	//1598 QsciScintilla::length() const
    {82, 930, 0, 0, Smoke::mf_const, 52, 67},	//1599 QsciScintilla::lexer() const
    {82, 947, 18, 1, Smoke::mf_const, 197, 68},	//1600 QsciScintilla::marginLineNumbers(int) const
    {82, 949, 18, 1, Smoke::mf_const, 218, 69},	//1601 QsciScintilla::marginMarkerMask(int) const
    {82, 951, 18, 1, Smoke::mf_const, 197, 70},	//1602 QsciScintilla::marginSensitivity(int) const
    {82, 953, 18, 1, Smoke::mf_const, 95, 71},	//1603 QsciScintilla::marginType(int) const
    {82, 955, 18, 1, Smoke::mf_const, 218, 72},	//1604 QsciScintilla::marginWidth(int) const
    {82, 959, 176, 2, 0, 218, 73},	//1605 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {82, 959, 179, 2, 0, 218, 74},	//1606 QsciScintilla::markerDefine(char, int)
    {82, 959, 182, 2, 0, 218, 75},	//1607 QsciScintilla::markerDefine(const QPixmap&, int)
    {82, 957, 99, 2, 0, 218, 76},	//1608 QsciScintilla::markerAdd(int, int)
    {82, 977, 18, 1, Smoke::mf_const, 222, 77},	//1609 QsciScintilla::markersAtLine(int) const
    {82, 964, 99, 2, 0, 0, 78},	//1610 QsciScintilla::markerDelete(int, int)
    {82, 967, 18, 1, 0, 0, 79},	//1611 QsciScintilla::markerDeleteAll(int)
    {82, 969, 18, 1, 0, 0, 80},	//1612 QsciScintilla::markerDeleteHandle(int)
    {82, 975, 18, 1, Smoke::mf_const, 218, 81},	//1613 QsciScintilla::markerLine(int) const
    {82, 971, 185, 2, Smoke::mf_const, 218, 82},	//1614 QsciScintilla::markerFindNext(int, unsigned int) const
    {82, 973, 185, 2, Smoke::mf_const, 218, 83},	//1615 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {82, 1001, 0, 0, Smoke::mf_const, 5, 84},	//1616 QsciScintilla::paper() const
    {82, 1008, 99, 2, Smoke::mf_const, 218, 85},	//1617 QsciScintilla::positionFromLineIndex(int, int) const
    {82, 1021, 188, 1, 0, 197, 86},	//1618 QsciScintilla::read(QIODevice*)
    {82, 1028, 99, 2, Smoke::mf_virtual, 0, 87},	//1619 QsciScintilla::recolor(int, int)
    {82, 1034, 190, 2, 0, 0, 88},	//1620 QsciScintilla::registerImage(int, const QPixmap&)
    {82, 1039, 57, 1, Smoke::mf_virtual, 0, 89},	//1621 QsciScintilla::replace(const QString&)
    {82, 1041, 0, 0, 0, 0, 90},	//1622 QsciScintilla::resetFoldMarginColors()
    {82, 1156, 193, 2, 0, 0, 91},	//1623 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {82, 1062, 196, 1, 0, 0, 92},	//1624 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {82, 1068, 16, 1, 0, 0, 93},	//1625 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {82, 1066, 12, 1, 0, 0, 94},	//1626 QsciScintilla::setAutoCompletionFillups(const char*)
    {82, 1078, 198, 1, 0, 0, 95},	//1627 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {82, 1090, 80, 1, 0, 0, 96},	//1628 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {82, 1092, 80, 1, 0, 0, 97},	//1629 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {82, 1094, 80, 1, 0, 0, 98},	//1630 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {82, 1096, 200, 1, 0, 0, 99},	//1631 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {82, 1098, 18, 1, 0, 0, 100},	//1632 QsciScintilla::setCallTipsVisible(int)
    {82, 1125, 72, 1, 0, 0, 101},	//1633 QsciScintilla::setDocument(const QsciDocument&)
    {82, 1129, 80, 1, 0, 0, 102},	//1634 QsciScintilla::setEdgeColor(const QColor&)
    {82, 1131, 18, 1, 0, 0, 103},	//1635 QsciScintilla::setEdgeColumn(int)
    {82, 1133, 202, 1, 0, 0, 104},	//1636 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {82, 1206, 134, 3, 0, 0, 105},	//1637 QsciScintilla::setMarginText(int, const QString&, int)
    {82, 1206, 138, 3, 0, 0, 106},	//1638 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {82, 1206, 142, 2, 0, 0, 107},	//1639 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {82, 1206, 145, 2, 0, 0, 108},	//1640 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {82, 1211, 204, 2, 0, 0, 109},	//1641 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {82, 780, 18, 1, 0, 0, 110},	//1642 QsciScintilla::clearMarginText(int)
    {82, 1221, 84, 2, 0, 0, 111},	//1643 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {82, 1224, 84, 2, 0, 0, 112},	//1644 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {82, 1227, 80, 1, 0, 0, 113},	//1645 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {82, 1229, 80, 1, 0, 0, 114},	//1646 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {82, 1265, 80, 1, 0, 0, 115},	//1647 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {82, 1267, 80, 1, 0, 0, 116},	//1648 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {82, 1283, 207, 3, 0, 0, 117},	//1649 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {82, 1055, 0, 0, Smoke::mf_const, 36, 118},	//1650 QsciScintilla::selectedText() const
    {82, 1057, 0, 0, Smoke::mf_const, 197, 119},	//1651 QsciScintilla::selectionToEol() const
    {82, 1246, 16, 1, 0, 0, 120},	//1652 QsciScintilla::setSelectionToEol(bool)
    {82, 1288, 211, 2, 0, 0, 121},	//1653 QsciScintilla::showUserList(int, const QStringList&)
    {82, 1292, 0, 0, Smoke::mf_const, 48, 122},	//1654 QsciScintilla::standardCommands() const
    {82, 1304, 0, 0, Smoke::mf_const, 197, 123},	//1655 QsciScintilla::tabIndents() const
    {82, 1305, 0, 0, Smoke::mf_const, 218, 124},	//1656 QsciScintilla::tabWidth() const
    {82, 1307, 0, 0, Smoke::mf_const, 36, 125},	//1657 QsciScintilla::text() const
    {82, 1307, 18, 1, Smoke::mf_const, 36, 126},	//1658 QsciScintilla::text(int) const
    {82, 1311, 18, 1, Smoke::mf_const, 218, 127},	//1659 QsciScintilla::textHeight(int) const
    {82, 1338, 0, 0, Smoke::mf_const, 97, 128},	//1660 QsciScintilla::whitespaceVisibility() const
    {82, 1340, 170, 1, Smoke::mf_const, 36, 129},	//1661 QsciScintilla::wordAtPoint(const QPoint&) const
    {82, 1342, 0, 0, Smoke::mf_const, 216, 130},	//1662 QsciScintilla::wordCharacters() const
    {82, 1343, 0, 0, Smoke::mf_const, 98, 131},	//1663 QsciScintilla::wrapMode() const
    {82, 1344, 188, 1, Smoke::mf_const, 197, 132},	//1664 QsciScintilla::write(QIODevice*) const
    {82, 733, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 133},	//1665 QsciScintilla::append(const QString&)
    {82, 736, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 134},	//1666 QsciScintilla::autoCompleteFromAll()
    {82, 735, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 135},	//1667 QsciScintilla::autoCompleteFromAPIs()
    {82, 737, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 136},	//1668 QsciScintilla::autoCompleteFromDocument()
    {82, 762, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 137},	//1669 QsciScintilla::callTip()
    {82, 774, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 138},	//1670 QsciScintilla::clear()
    {82, 794, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1671 QsciScintilla::copy()
    {82, 800, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1672 QsciScintilla::cut()
    {82, 832, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1673 QsciScintilla::ensureCursorVisible()
    {82, 833, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1674 QsciScintilla::ensureLineVisible(int)
    {82, 859, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1675 QsciScintilla::foldAll(bool)
    {82, 867, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1676 QsciScintilla::foldLine(int)
    {82, 891, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1677 QsciScintilla::indent(int)
    {82, 903, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1678 QsciScintilla::insert(const QString&)
    {82, 905, 214, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1679 QsciScintilla::insertAt(const QString&, int, int)
    {82, 994, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1680 QsciScintilla::moveToMatchingBrace()
    {82, 1005, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1681 QsciScintilla::paste()
    {82, 1031, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1682 QsciScintilla::redo()
    {82, 1038, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1683 QsciScintilla::removeSelectedText()
    {82, 1042, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1684 QsciScintilla::resetSelectionBackgroundColor()
    {82, 1043, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1685 QsciScintilla::resetSelectionForegroundColor()
    {82, 1052, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1686 QsciScintilla::selectAll(bool)
    {82, 1054, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1687 QsciScintilla::selectToMatchingBrace()
    {82, 1064, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1688 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {82, 1070, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1689 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {82, 1072, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1690 QsciScintilla::setAutoCompletionShowSingle(bool)
    {82, 1074, 218, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1691 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {82, 1076, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1692 QsciScintilla::setAutoCompletionThreshold(int)
    {82, 1080, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1693 QsciScintilla::setAutoIndent(bool)
    {82, 1088, 220, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1694 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {82, 1086, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1695 QsciScintilla::setBackspaceUnindents(bool)
    {82, 1100, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1696 QsciScintilla::setCaretForegroundColor(const QColor&)
    {82, 1102, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1697 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {82, 1104, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1698 QsciScintilla::setCaretLineVisible(bool)
    {82, 1106, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1699 QsciScintilla::setCaretWidth(int)
    {82, 1112, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1700 QsciScintilla::setColor(const QColor&)
    {82, 1115, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1701 QsciScintilla::setCursorPosition(int, int)
    {82, 1140, 148, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1702 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {82, 1142, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1703 QsciScintilla::setEolVisibility(bool)
    {82, 1170, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1704 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {82, 1178, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1705 QsciScintilla::setIndentation(int, int)
    {82, 1180, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1706 QsciScintilla::setIndentationGuides(bool)
    {82, 1182, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1707 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {82, 1184, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1708 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {82, 1190, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1709 QsciScintilla::setIndentationsUseTabs(bool)
    {82, 1188, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1710 QsciScintilla::setIndentationWidth(int)
    {82, 1196, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1711 QsciScintilla::setLexer(QsciLexer*)
    {82, 1215, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1712 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {82, 1217, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1713 QsciScintilla::setMarginsFont(const QFont&)
    {82, 1219, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1714 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {82, 1200, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1715 QsciScintilla::setMarginLineNumbers(int, bool)
    {82, 1202, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1716 QsciScintilla::setMarginMarkerMask(int, int)
    {82, 1204, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1717 QsciScintilla::setMarginSensitivity(int, bool)
    {82, 1213, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1718 QsciScintilla::setMarginWidth(int, int)
    {82, 1213, 228, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1719 QsciScintilla::setMarginWidth(int, const QString&)
    {82, 1231, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1720 QsciScintilla::setModified(bool)
    {82, 1233, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1721 QsciScintilla::setPaper(const QColor&)
    {82, 1236, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1722 QsciScintilla::setReadOnly(bool)
    {82, 1240, 231, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1723 QsciScintilla::setSelection(int, int, int, int)
    {82, 1242, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1724 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {82, 1244, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1725 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {82, 1255, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1726 QsciScintilla::setTabIndents(bool)
    {82, 1257, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1727 QsciScintilla::setTabWidth(int)
    {82, 1259, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1728 QsciScintilla::setText(const QString&)
    {82, 1269, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1729 QsciScintilla::setUtf8(bool)
    {82, 1279, 236, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1730 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {82, 1281, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1731 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {82, 1323, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1732 QsciScintilla::undo()
    {82, 1324, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1733 QsciScintilla::unindent(int)
    {82, 1352, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1734 QsciScintilla::zoomIn(int)
    {82, 1352, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1735 QsciScintilla::zoomIn()
    {82, 1354, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1736 QsciScintilla::zoomOut(int)
    {82, 1354, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1737 QsciScintilla::zoomOut()
    {82, 1356, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1738 QsciScintilla::zoomTo(int)
    {82, 797, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 207},	//1739 QsciScintilla::cursorPositionChanged(int, int)
    {82, 795, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 208},	//1740 QsciScintilla::copyAvailable(bool)
    {82, 939, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 209},	//1741 QsciScintilla::linesChanged()
    {82, 945, 238, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 210},	//1742 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {82, 982, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 211},	//1743 QsciScintilla::modificationAttempted()
    {82, 983, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 212},	//1744 QsciScintilla::modificationChanged(bool)
    {82, 1056, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1745 QsciScintilla::selectionChanged()
    {82, 1310, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1746 QsciScintilla::textChanged()
    {82, 1328, 228, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1747 QsciScintilla::userListActivated(int, const QString&)
    {82, 1315, 12, 1, Smoke::mf_static, 36, 216},	//1748 QsciScintilla::tr(const char*)
    {82, 1319, 12, 1, Smoke::mf_static, 36, 217},	//1749 QsciScintilla::trUtf8(const char*)
    {82, 434, 0, 0, Smoke::mf_ctor, 86, 218},	//1750 QsciScintilla::QsciScintilla()
    {82, 776, 0, 0, 0, 0, 219},	//1751 QsciScintilla::clearAnnotations()
    {82, 845, 242, 5, 0, 197, 220},	//1752 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {82, 845, 248, 6, 0, 197, 221},	//1753 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {82, 845, 255, 7, 0, 197, 222},	//1754 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {82, 845, 263, 8, 0, 197, 223},	//1755 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {82, 959, 272, 1, 0, 218, 224},	//1756 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {82, 959, 168, 1, 0, 218, 225},	//1757 QsciScintilla::markerDefine(char)
    {82, 959, 274, 1, 0, 218, 226},	//1758 QsciScintilla::markerDefine(const QPixmap&)
    {82, 964, 18, 1, 0, 0, 227},	//1759 QsciScintilla::markerDelete(int)
    {82, 967, 0, 0, 0, 0, 228},	//1760 QsciScintilla::markerDeleteAll()
    {82, 1028, 0, 0, 0, 0, 229},	//1761 QsciScintilla::recolor()
    {82, 1028, 18, 1, 0, 0, 230},	//1762 QsciScintilla::recolor(int)
    {82, 780, 0, 0, 0, 0, 231},	//1763 QsciScintilla::clearMarginText()
    {82, 1221, 80, 1, 0, 0, 232},	//1764 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {82, 1224, 80, 1, 0, 0, 233},	//1765 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {82, 1283, 276, 1, 0, 0, 234},	//1766 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {82, 1283, 278, 2, 0, 0, 235},	//1767 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {82, 859, 0, 0, Smoke::mf_slot, 0, 236},	//1768 QsciScintilla::foldAll()
    {82, 1052, 0, 0, Smoke::mf_slot, 0, 237},	//1769 QsciScintilla::selectAll()
    {82, 1170, 281, 1, Smoke::mf_slot, 0, 238},	//1770 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {82, 1196, 0, 0, Smoke::mf_slot, 0, 239},	//1771 QsciScintilla::setLexer()
    {82, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 240},	//1772 QsciScintilla::staticMetaObject() const
    {82, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 241},	//1773 QsciScintilla::AiMaintain (enum)
    {82, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 242},	//1774 QsciScintilla::AiOpening (enum)
    {82, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 243},	//1775 QsciScintilla::AiClosing (enum)
    {82, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 244},	//1776 QsciScintilla::AnnotationHidden (enum)
    {82, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 245},	//1777 QsciScintilla::AnnotationStandard (enum)
    {82, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 246},	//1778 QsciScintilla::AnnotationBoxed (enum)
    {82, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 247},	//1779 QsciScintilla::AcsNone (enum)
    {82, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 248},	//1780 QsciScintilla::AcsAll (enum)
    {82, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 249},	//1781 QsciScintilla::AcsDocument (enum)
    {82, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 250},	//1782 QsciScintilla::AcsAPIs (enum)
    {82, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 251},	//1783 QsciScintilla::NoBraceMatch (enum)
    {82, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 252},	//1784 QsciScintilla::StrictBraceMatch (enum)
    {82, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 253},	//1785 QsciScintilla::SloppyBraceMatch (enum)
    {82, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 254},	//1786 QsciScintilla::CallTipsNone (enum)
    {82, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 255},	//1787 QsciScintilla::CallTipsNoContext (enum)
    {82, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 256},	//1788 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {82, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 257},	//1789 QsciScintilla::CallTipsContext (enum)
    {82, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 258},	//1790 QsciScintilla::EdgeNone (enum)
    {82, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 259},	//1791 QsciScintilla::EdgeLine (enum)
    {82, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 260},	//1792 QsciScintilla::EdgeBackground (enum)
    {82, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 261},	//1793 QsciScintilla::EolWindows (enum)
    {82, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 262},	//1794 QsciScintilla::EolUnix (enum)
    {82, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 263},	//1795 QsciScintilla::EolMac (enum)
    {82, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 264},	//1796 QsciScintilla::NoFoldStyle (enum)
    {82, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 265},	//1797 QsciScintilla::PlainFoldStyle (enum)
    {82, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 266},	//1798 QsciScintilla::CircledFoldStyle (enum)
    {82, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 267},	//1799 QsciScintilla::BoxedFoldStyle (enum)
    {82, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 268},	//1800 QsciScintilla::CircledTreeFoldStyle (enum)
    {82, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 269},	//1801 QsciScintilla::BoxedTreeFoldStyle (enum)
    {82, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 270},	//1802 QsciScintilla::SymbolMargin (enum)
    {82, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 271},	//1803 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {82, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 272},	//1804 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {82, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 273},	//1805 QsciScintilla::NumberMargin (enum)
    {82, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 274},	//1806 QsciScintilla::TextMargin (enum)
    {82, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 275},	//1807 QsciScintilla::TextMarginRightJustified (enum)
    {82, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 276},	//1808 QsciScintilla::Circle (enum)
    {82, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 277},	//1809 QsciScintilla::Rectangle (enum)
    {82, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 278},	//1810 QsciScintilla::RightTriangle (enum)
    {82, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 279},	//1811 QsciScintilla::SmallRectangle (enum)
    {82, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 280},	//1812 QsciScintilla::RightArrow (enum)
    {82, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 281},	//1813 QsciScintilla::Invisible (enum)
    {82, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 282},	//1814 QsciScintilla::DownTriangle (enum)
    {82, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 283},	//1815 QsciScintilla::Minus (enum)
    {82, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 284},	//1816 QsciScintilla::Plus (enum)
    {82, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 285},	//1817 QsciScintilla::VerticalLine (enum)
    {82, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 286},	//1818 QsciScintilla::BottomLeftCorner (enum)
    {82, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 287},	//1819 QsciScintilla::LeftSideSplitter (enum)
    {82, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 288},	//1820 QsciScintilla::BoxedPlus (enum)
    {82, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 289},	//1821 QsciScintilla::BoxedPlusConnected (enum)
    {82, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 290},	//1822 QsciScintilla::BoxedMinus (enum)
    {82, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 291},	//1823 QsciScintilla::BoxedMinusConnected (enum)
    {82, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 292},	//1824 QsciScintilla::RoundedBottomLeftCorner (enum)
    {82, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 293},	//1825 QsciScintilla::LeftSideRoundedSplitter (enum)
    {82, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 294},	//1826 QsciScintilla::CircledPlus (enum)
    {82, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 295},	//1827 QsciScintilla::CircledPlusConnected (enum)
    {82, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 296},	//1828 QsciScintilla::CircledMinus (enum)
    {82, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 297},	//1829 QsciScintilla::CircledMinusConnected (enum)
    {82, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 298},	//1830 QsciScintilla::Background (enum)
    {82, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 299},	//1831 QsciScintilla::ThreeDots (enum)
    {82, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 300},	//1832 QsciScintilla::ThreeRightArrows (enum)
    {82, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 301},	//1833 QsciScintilla::WsInvisible (enum)
    {82, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 302},	//1834 QsciScintilla::WsVisible (enum)
    {82, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 303},	//1835 QsciScintilla::WsVisibleAfterIndent (enum)
    {82, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 304},	//1836 QsciScintilla::WrapNone (enum)
    {82, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 305},	//1837 QsciScintilla::WrapWord (enum)
    {82, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 306},	//1838 QsciScintilla::WrapCharacter (enum)
    {82, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 307},	//1839 QsciScintilla::WrapFlagNone (enum)
    {82, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 308},	//1840 QsciScintilla::WrapFlagByText (enum)
    {82, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 309},	//1841 QsciScintilla::WrapFlagByBorder (enum)
    {82, 1395, 0, 0, Smoke::mf_dtor, 0, 310 },	//1842 QsciScintilla::~QsciScintilla()
    {83, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//1843 QsciScintillaBase::metaObject() const
    {83, 1019, 12, 1, Smoke::mf_virtual, 224, 2},	//1844 QsciScintillaBase::qt_metacast(const char*)
    {83, 1315, 44, 2, Smoke::mf_static, 36, 3},	//1845 QsciScintillaBase::tr(const char*, const char*)
    {83, 1319, 44, 2, Smoke::mf_static, 36, 4},	//1846 QsciScintillaBase::trUtf8(const char*, const char*)
    {83, 1315, 47, 3, Smoke::mf_static, 36, 5},	//1847 QsciScintillaBase::tr(const char*, const char*, int)
    {83, 1319, 47, 3, Smoke::mf_static, 36, 6},	//1848 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {83, 1017, 51, 3, Smoke::mf_virtual, 218, 7},	//1849 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {83, 436, 128, 1, Smoke::mf_ctor, 100, 8},	//1850 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {83, 1007, 0, 0, Smoke::mf_static, 100, 9},	//1851 QsciScintillaBase::pool()
    {83, 620, 283, 3, Smoke::mf_const, 221, 10},	//1852 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {83, 620, 287, 3, Smoke::mf_const, 221, 11},	//1853 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {83, 620, 291, 3, Smoke::mf_const, 221, 12},	//1854 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {83, 620, 295, 2, Smoke::mf_const, 221, 13},	//1855 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {83, 620, 298, 3, Smoke::mf_const, 221, 14},	//1856 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {83, 620, 302, 2, Smoke::mf_const, 221, 15},	//1857 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {83, 620, 305, 2, Smoke::mf_const, 221, 16},	//1858 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {83, 620, 308, 4, Smoke::mf_const, 221, 17},	//1859 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {83, 620, 313, 3, Smoke::mf_const, 221, 18},	//1860 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {83, 620, 317, 2, Smoke::mf_const, 221, 19},	//1861 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {83, 620, 320, 6, Smoke::mf_const, 221, 20},	//1862 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {83, 620, 327, 3, Smoke::mf_const, 221, 21},	//1863 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {83, 628, 331, 1, Smoke::mf_const, 224, 22},	//1864 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {83, 353, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1865 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {83, 564, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1866 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {83, 565, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1867 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {83, 566, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1868 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {83, 466, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1869 QsciScintillaBase::SCEN_CHANGE()
    {83, 568, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1870 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {83, 570, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1871 QsciScintillaBase::SCN_CHARADDED(int)
    {83, 572, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1872 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {83, 574, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1873 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {83, 576, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1874 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {83, 578, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1875 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {83, 580, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1876 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {83, 582, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1877 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {83, 584, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1878 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {83, 586, 287, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1879 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {83, 588, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1880 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {83, 590, 340, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1881 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {83, 592, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1882 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {83, 593, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1883 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {83, 595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1884 QsciScintillaBase::SCN_PAINTED()
    {83, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1885 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {83, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1886 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {83, 598, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1887 QsciScintillaBase::SCN_STYLENEEDED(int)
    {83, 600, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1888 QsciScintillaBase::SCN_UPDATEUI()
    {83, 601, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1889 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {83, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1890 QsciScintillaBase::SCN_ZOOM()
    {83, 790, 351, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1891 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {83, 817, 353, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//1892 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {83, 819, 355, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//1893 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {83, 821, 357, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1894 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {83, 823, 359, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1895 QsciScintillaBase::dropEvent(QDropEvent*)
    {83, 853, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1896 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {83, 857, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1897 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {83, 855, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 197, 56},	//1898 QsciScintillaBase::focusNextPrevChild(bool)
    {83, 920, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1899 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {83, 900, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1900 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {83, 985, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//1901 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {83, 987, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1902 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {83, 989, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1903 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {83, 991, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1904 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {83, 998, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1905 QsciScintillaBase::paintEvent(QPaintEvent*)
    {83, 1044, 369, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1906 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {83, 1050, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1907 QsciScintillaBase::scrollContentsBy(int, int)
    {83, 1315, 12, 1, Smoke::mf_static, 36, 66},	//1908 QsciScintillaBase::tr(const char*)
    {83, 1319, 12, 1, Smoke::mf_static, 36, 67},	//1909 QsciScintillaBase::trUtf8(const char*)
    {83, 436, 0, 0, Smoke::mf_ctor, 100, 68},	//1910 QsciScintillaBase::QsciScintillaBase()
    {83, 620, 331, 1, Smoke::mf_const, 221, 69},	//1911 QsciScintillaBase::SendScintilla(unsigned int) const
    {83, 620, 371, 2, Smoke::mf_const, 221, 70},	//1912 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {83, 1297, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 71},	//1913 QsciScintillaBase::staticMetaObject() const
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 72},	//1914 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 73},	//1915 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 74},	//1916 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 75},	//1917 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 76},	//1918 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 77},	//1919 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 78},	//1920 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 79},	//1921 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 80},	//1922 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 81},	//1923 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 82},	//1924 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 83},	//1925 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 84},	//1926 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 85},	//1927 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 86},	//1928 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 87},	//1929 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 88},	//1930 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 89},	//1931 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 90},	//1932 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 91},	//1933 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 92},	//1934 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 93},	//1935 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 94},	//1936 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 95},	//1937 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 96},	//1938 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 97},	//1939 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 98},	//1940 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 99},	//1941 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 100},	//1942 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 101},	//1943 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 102},	//1944 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 103},	//1945 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 104},	//1946 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 105},	//1947 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 106},	//1948 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 107},	//1949 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 108},	//1950 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 109},	//1951 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 110},	//1952 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 111},	//1953 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 112},	//1954 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 113},	//1955 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 114},	//1956 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 115},	//1957 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 116},	//1958 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 117},	//1959 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 118},	//1960 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 119},	//1961 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 120},	//1962 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 121},	//1963 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 122},	//1964 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 123},	//1965 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 124},	//1966 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 125},	//1967 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 126},	//1968 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 127},	//1969 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 128},	//1970 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 129},	//1971 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 130},	//1972 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 131},	//1973 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 132},	//1974 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 133},	//1975 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 134},	//1976 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 135},	//1977 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 136},	//1978 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 137},	//1979 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 138},	//1980 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 139},	//1981 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 140},	//1982 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 141},	//1983 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 142},	//1984 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 143},	//1985 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 144},	//1986 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 145},	//1987 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 146},	//1988 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 147},	//1989 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 148},	//1990 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 149},	//1991 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 150},	//1992 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 151},	//1993 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 152},	//1994 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 153},	//1995 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 154},	//1996 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 155},	//1997 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 156},	//1998 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 157},	//1999 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 158},	//2000 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 159},	//2001 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 160},	//2002 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 161},	//2003 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 162},	//2004 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 163},	//2005 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 164},	//2006 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 165},	//2007 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 166},	//2008 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 167},	//2009 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 168},	//2010 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 169},	//2011 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 170},	//2012 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 171},	//2013 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 172},	//2014 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 173},	//2015 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 174},	//2016 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 175},	//2017 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 176},	//2018 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 177},	//2019 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 178},	//2020 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 179},	//2021 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 180},	//2022 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 181},	//2023 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 182},	//2024 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 183},	//2025 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 184},	//2026 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 185},	//2027 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 186},	//2028 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 187},	//2029 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 188},	//2030 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 189},	//2031 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 190},	//2032 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 191},	//2033 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 192},	//2034 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 193},	//2035 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 194},	//2036 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 195},	//2037 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 196},	//2038 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 197},	//2039 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 198},	//2040 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 199},	//2041 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 200},	//2042 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 201},	//2043 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 202},	//2044 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 203},	//2045 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 204},	//2046 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 205},	//2047 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 206},	//2048 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 207},	//2049 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 208},	//2050 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 209},	//2051 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 210},	//2052 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 211},	//2053 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 212},	//2054 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 213},	//2055 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 214},	//2056 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 215},	//2057 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 216},	//2058 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 217},	//2059 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 218},	//2060 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 219},	//2061 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 220},	//2062 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 221},	//2063 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 222},	//2064 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 223},	//2065 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 224},	//2066 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 225},	//2067 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 226},	//2068 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 227},	//2069 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 228},	//2070 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 229},	//2071 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 230},	//2072 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 231},	//2073 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 232},	//2074 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 233},	//2075 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 234},	//2076 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 235},	//2077 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 236},	//2078 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 237},	//2079 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 238},	//2080 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 239},	//2081 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 240},	//2082 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 241},	//2083 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 242},	//2084 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 243},	//2085 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 244},	//2086 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 245},	//2087 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 246},	//2088 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 247},	//2089 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 248},	//2090 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 249},	//2091 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 250},	//2092 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 251},	//2093 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 252},	//2094 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 253},	//2095 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 254},	//2096 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 255},	//2097 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 256},	//2098 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 257},	//2099 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 258},	//2100 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 259},	//2101 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 260},	//2102 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 261},	//2103 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 262},	//2104 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 263},	//2105 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 264},	//2106 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 265},	//2107 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 266},	//2108 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 267},	//2109 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 268},	//2110 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 269},	//2111 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 270},	//2112 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 271},	//2113 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 272},	//2114 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 273},	//2115 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 274},	//2116 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 275},	//2117 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 276},	//2118 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 277},	//2119 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 278},	//2120 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 279},	//2121 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 280},	//2122 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 281},	//2123 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 282},	//2124 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 283},	//2125 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 284},	//2126 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 285},	//2127 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 286},	//2128 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 287},	//2129 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 288},	//2130 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 289},	//2131 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 290},	//2132 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 291},	//2133 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 292},	//2134 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 293},	//2135 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 294},	//2136 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 295},	//2137 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 296},	//2138 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 297},	//2139 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 298},	//2140 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 299},	//2141 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 300},	//2142 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 301},	//2143 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 302},	//2144 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 303},	//2145 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 304},	//2146 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 305},	//2147 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 306},	//2148 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 307},	//2149 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 308},	//2150 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 309},	//2151 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 310},	//2152 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 311},	//2153 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 312},	//2154 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 313},	//2155 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 314},	//2156 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 315},	//2157 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 316},	//2158 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 317},	//2159 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 318},	//2160 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 319},	//2161 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 320},	//2162 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 321},	//2163 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 322},	//2164 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 323},	//2165 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 324},	//2166 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 325},	//2167 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 326},	//2168 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 327},	//2169 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 328},	//2170 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 329},	//2171 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 330},	//2172 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 331},	//2173 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 332},	//2174 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 333},	//2175 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 334},	//2176 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 335},	//2177 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 336},	//2178 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 337},	//2179 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 338},	//2180 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 339},	//2181 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 340},	//2182 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 341},	//2183 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 342},	//2184 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 343},	//2185 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 344},	//2186 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 345},	//2187 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 346},	//2188 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 347},	//2189 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 348},	//2190 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 349},	//2191 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 350},	//2192 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 351},	//2193 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 352},	//2194 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 353},	//2195 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 354},	//2196 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 355},	//2197 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 356},	//2198 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 357},	//2199 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 358},	//2200 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 359},	//2201 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 360},	//2202 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 361},	//2203 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 362},	//2204 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 363},	//2205 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 364},	//2206 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 365},	//2207 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 366},	//2208 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 367},	//2209 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 368},	//2210 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 369},	//2211 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 370},	//2212 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 371},	//2213 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 372},	//2214 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 373},	//2215 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 374},	//2216 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 375},	//2217 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 376},	//2218 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 377},	//2219 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 378},	//2220 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 379},	//2221 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 380},	//2222 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 381},	//2223 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 382},	//2224 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 383},	//2225 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 384},	//2226 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 385},	//2227 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 386},	//2228 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 387},	//2229 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 388},	//2230 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 389},	//2231 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 390},	//2232 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 391},	//2233 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 392},	//2234 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 393},	//2235 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 394},	//2236 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 395},	//2237 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 396},	//2238 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 397},	//2239 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 398},	//2240 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 399},	//2241 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 400},	//2242 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 401},	//2243 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 402},	//2244 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 403},	//2245 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 404},	//2246 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 405},	//2247 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 406},	//2248 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 407},	//2249 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 408},	//2250 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 409},	//2251 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 410},	//2252 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 411},	//2253 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 412},	//2254 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 413},	//2255 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 414},	//2256 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 415},	//2257 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 416},	//2258 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 417},	//2259 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 418},	//2260 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 419},	//2261 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 420},	//2262 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 421},	//2263 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 422},	//2264 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 423},	//2265 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 424},	//2266 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 425},	//2267 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 426},	//2268 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 427},	//2269 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 428},	//2270 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 429},	//2271 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 430},	//2272 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 431},	//2273 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 432},	//2274 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 433},	//2275 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 434},	//2276 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 435},	//2277 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 436},	//2278 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 437},	//2279 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 438},	//2280 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 439},	//2281 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 440},	//2282 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 441},	//2283 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 442},	//2284 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 443},	//2285 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 444},	//2286 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 445},	//2287 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 446},	//2288 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 447},	//2289 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 448},	//2290 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 449},	//2291 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 450},	//2292 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 451},	//2293 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 452},	//2294 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 453},	//2295 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 454},	//2296 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 455},	//2297 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 456},	//2298 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 457},	//2299 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 458},	//2300 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 459},	//2301 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 460},	//2302 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 461},	//2303 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 462},	//2304 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 463},	//2305 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 464},	//2306 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 465},	//2307 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 466},	//2308 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 467},	//2309 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 468},	//2310 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 469},	//2311 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 470},	//2312 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 471},	//2313 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 472},	//2314 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 473},	//2315 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 474},	//2316 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 475},	//2317 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 476},	//2318 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 477},	//2319 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 478},	//2320 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 479},	//2321 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 480},	//2322 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 481},	//2323 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 482},	//2324 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 483},	//2325 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 484},	//2326 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 485},	//2327 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 486},	//2328 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 487},	//2329 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 488},	//2330 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 489},	//2331 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 490},	//2332 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 491},	//2333 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 492},	//2334 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 493},	//2335 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 494},	//2336 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 495},	//2337 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 496},	//2338 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 497},	//2339 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 498},	//2340 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 499},	//2341 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 500},	//2342 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 501},	//2343 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 502},	//2344 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 503},	//2345 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 504},	//2346 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 505},	//2347 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 506},	//2348 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 507},	//2349 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 508},	//2350 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 509},	//2351 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 510},	//2352 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 511},	//2353 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 512},	//2354 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 513},	//2355 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 514},	//2356 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 515},	//2357 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 516},	//2358 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 517},	//2359 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 518},	//2360 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 519},	//2361 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 520},	//2362 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 521},	//2363 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 522},	//2364 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 523},	//2365 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 524},	//2366 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 525},	//2367 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 526},	//2368 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 527},	//2369 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 528},	//2370 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 529},	//2371 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 530},	//2372 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 531},	//2373 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 532},	//2374 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 533},	//2375 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 534},	//2376 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 535},	//2377 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 536},	//2378 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 537},	//2379 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 538},	//2380 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 539},	//2381 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 540},	//2382 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 541},	//2383 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 542},	//2384 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 543},	//2385 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 544},	//2386 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 545},	//2387 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 546},	//2388 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 547},	//2389 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 548},	//2390 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 549},	//2391 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 550},	//2392 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 551},	//2393 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 552},	//2394 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 553},	//2395 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 554},	//2396 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 555},	//2397 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 556},	//2398 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 557},	//2399 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 558},	//2400 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 559},	//2401 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 560},	//2402 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 561},	//2403 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 562},	//2404 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 563},	//2405 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 564},	//2406 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 565},	//2407 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 566},	//2408 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 567},	//2409 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 568},	//2410 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 569},	//2411 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 570},	//2412 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 571},	//2413 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 572},	//2414 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 573},	//2415 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 574},	//2416 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 575},	//2417 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 576},	//2418 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 577},	//2419 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 578},	//2420 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 579},	//2421 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 580},	//2422 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 581},	//2423 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 582},	//2424 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 583},	//2425 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 584},	//2426 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 585},	//2427 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 586},	//2428 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 587},	//2429 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 588},	//2430 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 589},	//2431 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 590},	//2432 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 591},	//2433 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 592},	//2434 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 593},	//2435 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 594},	//2436 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 595},	//2437 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 596},	//2438 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 597},	//2439 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 598},	//2440 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 599},	//2441 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 600},	//2442 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 601},	//2443 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 602},	//2444 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 603},	//2445 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 604},	//2446 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 605},	//2447 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 606},	//2448 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 607},	//2449 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 608},	//2450 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 609},	//2451 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 610},	//2452 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 611},	//2453 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 612},	//2454 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 613},	//2455 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 614},	//2456 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 615},	//2457 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 616},	//2458 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 617},	//2459 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 618},	//2460 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 619},	//2461 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 620},	//2462 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 621},	//2463 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 622},	//2464 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 623},	//2465 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 624},	//2466 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 625},	//2467 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 626},	//2468 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 627},	//2469 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 628},	//2470 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 629},	//2471 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 630},	//2472 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 631},	//2473 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 632},	//2474 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 633},	//2475 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 634},	//2476 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 635},	//2477 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 636},	//2478 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 637},	//2479 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 638},	//2480 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 639},	//2481 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 640},	//2482 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 641},	//2483 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 642},	//2484 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 643},	//2485 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 644},	//2486 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 645},	//2487 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 646},	//2488 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 647},	//2489 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 648},	//2490 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 649},	//2491 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 650},	//2492 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 651},	//2493 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 652},	//2494 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 653},	//2495 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 654},	//2496 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 655},	//2497 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 656},	//2498 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 657},	//2499 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 658},	//2500 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 659},	//2501 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 660},	//2502 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 661},	//2503 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 662},	//2504 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 663},	//2505 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 664},	//2506 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 665},	//2507 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 666},	//2508 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 667},	//2509 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 668},	//2510 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 669},	//2511 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 670},	//2512 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 671},	//2513 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 672},	//2514 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 673},	//2515 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 674},	//2516 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 675},	//2517 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 676},	//2518 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 677},	//2519 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 678},	//2520 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 679},	//2521 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 680},	//2522 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 681},	//2523 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 682},	//2524 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 683},	//2525 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 684},	//2526 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 685},	//2527 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 686},	//2528 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 687},	//2529 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 688},	//2530 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 689},	//2531 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 690},	//2532 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 691},	//2533 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 692},	//2534 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 693},	//2535 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 694},	//2536 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 695},	//2537 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 696},	//2538 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 697},	//2539 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 698},	//2540 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 699},	//2541 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 700},	//2542 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 701},	//2543 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 702},	//2544 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 703},	//2545 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 704},	//2546 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 705},	//2547 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 706},	//2548 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 707},	//2549 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 708},	//2550 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 709},	//2551 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 710},	//2552 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 711},	//2553 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 712},	//2554 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 713},	//2555 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 714},	//2556 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 715},	//2557 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 716},	//2558 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 717},	//2559 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 718},	//2560 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 719},	//2561 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 720},	//2562 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 721},	//2563 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 722},	//2564 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 723},	//2565 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 724},	//2566 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 725},	//2567 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 726},	//2568 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 727},	//2569 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 728},	//2570 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 729},	//2571 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 730},	//2572 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 731},	//2573 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 732},	//2574 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 733},	//2575 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 734},	//2576 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 735},	//2577 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 736},	//2578 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 737},	//2579 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 738},	//2580 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 739},	//2581 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 740},	//2582 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 741},	//2583 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 742},	//2584 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 743},	//2585 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 744},	//2586 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 745},	//2587 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 746},	//2588 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 747},	//2589 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 748},	//2590 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 749},	//2591 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 750},	//2592 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 751},	//2593 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 752},	//2594 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 753},	//2595 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 754},	//2596 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 755},	//2597 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 756},	//2598 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 757},	//2599 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 758},	//2600 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 759},	//2601 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 760},	//2602 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 761},	//2603 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 762},	//2604 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 763},	//2605 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 764},	//2606 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 765},	//2607 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 766},	//2608 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 767},	//2609 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 768},	//2610 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 769},	//2611 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 770},	//2612 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 771},	//2613 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 772},	//2614 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 773},	//2615 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 774},	//2616 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 775},	//2617 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 776},	//2618 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 777},	//2619 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 778},	//2620 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 779},	//2621 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 780},	//2622 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 781},	//2623 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 782},	//2624 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 783},	//2625 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 784},	//2626 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 785},	//2627 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 786},	//2628 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 787},	//2629 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 788},	//2630 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 789},	//2631 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 790},	//2632 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 791},	//2633 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 792},	//2634 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 793},	//2635 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 794},	//2636 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 795},	//2637 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 796},	//2638 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 797},	//2639 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 798},	//2640 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 799},	//2641 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 800},	//2642 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 801},	//2643 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 802},	//2644 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 803},	//2645 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 804},	//2646 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 805},	//2647 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 806},	//2648 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 807},	//2649 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 808},	//2650 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 809},	//2651 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 810},	//2652 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 811},	//2653 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 812},	//2654 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 813},	//2655 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 814},	//2656 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 815},	//2657 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 816},	//2658 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 817},	//2659 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 818},	//2660 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 819},	//2661 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 820},	//2662 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 821},	//2663 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 822},	//2664 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 823},	//2665 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 824},	//2666 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 825},	//2667 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 826},	//2668 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 827},	//2669 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 828},	//2670 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 829},	//2671 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 830},	//2672 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 831},	//2673 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 832},	//2674 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 833},	//2675 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 834},	//2676 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 835},	//2677 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 836},	//2678 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 837},	//2679 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 838},	//2680 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 839},	//2681 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 840},	//2682 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 841},	//2683 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 842},	//2684 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 843},	//2685 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 844},	//2686 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 845},	//2687 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 846},	//2688 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 847},	//2689 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 848},	//2690 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 849},	//2691 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 850},	//2692 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 851},	//2693 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 852},	//2694 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 853},	//2695 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 854},	//2696 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 855},	//2697 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 856},	//2698 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 857},	//2699 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 858},	//2700 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 859},	//2701 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 860},	//2702 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 861},	//2703 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 862},	//2704 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 863},	//2705 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 864},	//2706 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 865},	//2707 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 866},	//2708 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 867},	//2709 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 868},	//2710 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 869},	//2711 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 870},	//2712 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 871},	//2713 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 872},	//2714 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 873},	//2715 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 874},	//2716 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 875},	//2717 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 876},	//2718 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 877},	//2719 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 878},	//2720 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 879},	//2721 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 880},	//2722 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 881},	//2723 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 882},	//2724 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 883},	//2725 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 884},	//2726 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 885},	//2727 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 886},	//2728 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 887},	//2729 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 888},	//2730 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 889},	//2731 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 890},	//2732 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 891},	//2733 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 892},	//2734 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 893},	//2735 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 894},	//2736 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 895},	//2737 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 896},	//2738 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 897},	//2739 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 898},	//2740 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 899},	//2741 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 900},	//2742 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 901},	//2743 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 902},	//2744 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 903},	//2745 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 904},	//2746 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 905},	//2747 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 906},	//2748 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 907},	//2749 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 908},	//2750 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 909},	//2751 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 910},	//2752 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 911},	//2753 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 912},	//2754 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 913},	//2755 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 914},	//2756 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 915},	//2757 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 916},	//2758 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 917},	//2759 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 918},	//2760 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 919},	//2761 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 920},	//2762 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 921},	//2763 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 922},	//2764 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 923},	//2765 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 924},	//2766 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 925},	//2767 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 926},	//2768 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 927},	//2769 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 928},	//2770 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 929},	//2771 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 930},	//2772 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 931},	//2773 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 932},	//2774 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 933},	//2775 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 934},	//2776 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 935},	//2777 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 936},	//2778 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 937},	//2779 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 938},	//2780 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 939},	//2781 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 940},	//2782 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 941},	//2783 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 942},	//2784 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 943},	//2785 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 944},	//2786 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 945},	//2787 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 946},	//2788 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 947},	//2789 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 948},	//2790 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 949},	//2791 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 950},	//2792 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 951},	//2793 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 952},	//2794 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 953},	//2795 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 954},	//2796 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 955},	//2797 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 956},	//2798 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 957},	//2799 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 958},	//2800 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 959},	//2801 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 960},	//2802 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 961},	//2803 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 962},	//2804 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 963},	//2805 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 964},	//2806 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 965},	//2807 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 966},	//2808 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 967},	//2809 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 968},	//2810 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 969},	//2811 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 970},	//2812 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 971},	//2813 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 972},	//2814 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 973},	//2815 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 974},	//2816 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 975},	//2817 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 976},	//2818 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 977},	//2819 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 978},	//2820 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 979},	//2821 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 980},	//2822 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 981},	//2823 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 982},	//2824 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 983},	//2825 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 984},	//2826 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 985},	//2827 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 986},	//2828 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 987},	//2829 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 988},	//2830 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 989},	//2831 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 990},	//2832 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 991},	//2833 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 992},	//2834 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 993},	//2835 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 994},	//2836 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 995},	//2837 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 996},	//2838 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 997},	//2839 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 998},	//2840 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 999},	//2841 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1000},	//2842 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1001},	//2843 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1002},	//2844 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1003},	//2845 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1004},	//2846 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1005},	//2847 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1006},	//2848 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1007},	//2849 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1008},	//2850 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1009},	//2851 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1010},	//2852 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1011},	//2853 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1012},	//2854 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1013},	//2855 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1014},	//2856 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1015},	//2857 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1016},	//2858 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1017},	//2859 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1018},	//2860 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1019},	//2861 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1020},	//2862 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1021},	//2863 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1022},	//2864 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1023},	//2865 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1024},	//2866 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1025},	//2867 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1026},	//2868 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1027},	//2869 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1028},	//2870 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1029},	//2871 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1030},	//2872 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1031},	//2873 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1032},	//2874 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1033},	//2875 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1034},	//2876 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1035},	//2877 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1036},	//2878 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1037},	//2879 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1038},	//2880 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1039},	//2881 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1040},	//2882 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1041},	//2883 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1042},	//2884 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1043},	//2885 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1044},	//2886 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1045},	//2887 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1046},	//2888 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1047},	//2889 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1048},	//2890 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1049},	//2891 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1050},	//2892 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1051},	//2893 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1052},	//2894 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1053},	//2895 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1054},	//2896 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1055},	//2897 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1056},	//2898 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1057},	//2899 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1058},	//2900 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1059},	//2901 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1060},	//2902 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1061},	//2903 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1062},	//2904 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1063},	//2905 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1064},	//2906 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1065},	//2907 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1066},	//2908 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1067},	//2909 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1068},	//2910 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1069},	//2911 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1070},	//2912 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1071},	//2913 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1072},	//2914 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1073},	//2915 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1074},	//2916 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1075},	//2917 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1076},	//2918 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1077},	//2919 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1078},	//2920 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1079},	//2921 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1080},	//2922 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1081},	//2923 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1082},	//2924 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1083},	//2925 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1084},	//2926 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1085},	//2927 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1086},	//2928 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1087},	//2929 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1088},	//2930 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1089},	//2931 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1090},	//2932 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1091},	//2933 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1092},	//2934 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1093},	//2935 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1094},	//2936 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1095},	//2937 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1096},	//2938 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1097},	//2939 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1098},	//2940 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1099},	//2941 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1100},	//2942 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1101},	//2943 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1102},	//2944 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1103},	//2945 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1104},	//2946 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1105},	//2947 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1106},	//2948 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1107},	//2949 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1108},	//2950 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1109},	//2951 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1110},	//2952 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1111},	//2953 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1112},	//2954 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1113},	//2955 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1114},	//2956 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1115},	//2957 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1116},	//2958 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1117},	//2959 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1118},	//2960 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1119},	//2961 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1120},	//2962 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1121},	//2963 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1122},	//2964 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1123},	//2965 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1124},	//2966 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1125},	//2967 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1126},	//2968 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1127},	//2969 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1128},	//2970 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1129},	//2971 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1130},	//2972 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1131},	//2973 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1132},	//2974 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1133},	//2975 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1134},	//2976 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1135},	//2977 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1136},	//2978 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1137},	//2979 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1138},	//2980 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1139},	//2981 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1140},	//2982 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1141},	//2983 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1142},	//2984 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1143},	//2985 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1144},	//2986 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1145},	//2987 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1146},	//2988 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1147},	//2989 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1148},	//2990 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1149},	//2991 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1150},	//2992 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1151},	//2993 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1152},	//2994 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1153},	//2995 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1154},	//2996 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1155},	//2997 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1156},	//2998 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1157},	//2999 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1158},	//3000 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1159},	//3001 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1160},	//3002 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1161},	//3003 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1162},	//3004 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1163},	//3005 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1164},	//3006 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1165},	//3007 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1166},	//3008 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1167},	//3009 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1168},	//3010 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1169},	//3011 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1170},	//3012 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1171},	//3013 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1172},	//3014 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1173},	//3015 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1174},	//3016 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1175},	//3017 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1176},	//3018 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1177},	//3019 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1178},	//3020 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1179},	//3021 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1180},	//3022 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1181},	//3023 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1182},	//3024 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1183},	//3025 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1184},	//3026 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1185},	//3027 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1186},	//3028 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1187},	//3029 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1188},	//3030 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1189},	//3031 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1190},	//3032 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1191},	//3033 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1192},	//3034 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1193},	//3035 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1194},	//3036 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1195},	//3037 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1196},	//3038 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1197},	//3039 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1198},	//3040 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1199},	//3041 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1200},	//3042 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1201},	//3043 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1202},	//3044 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1203},	//3045 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1204},	//3046 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1205},	//3047 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1206},	//3048 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1207},	//3049 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1208},	//3050 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1209},	//3051 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1210},	//3052 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1211},	//3053 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1212},	//3054 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1213},	//3055 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1214},	//3056 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1215},	//3057 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1216},	//3058 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1217},	//3059 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1218},	//3060 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1219},	//3061 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1220},	//3062 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1221},	//3063 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1222},	//3064 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1223},	//3065 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1224},	//3066 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1225},	//3067 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1226},	//3068 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1227},	//3069 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1228},	//3070 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1229},	//3071 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1230},	//3072 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1231},	//3073 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1232},	//3074 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1233},	//3075 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1234},	//3076 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1235},	//3077 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1236},	//3078 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1237},	//3079 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1238},	//3080 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1239},	//3081 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1240},	//3082 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1241},	//3083 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1242},	//3084 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1243},	//3085 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1244},	//3086 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1245},	//3087 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1246},	//3088 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1247},	//3089 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1248},	//3090 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1249},	//3091 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1250},	//3092 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1251},	//3093 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1252},	//3094 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1253},	//3095 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1254},	//3096 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1255},	//3097 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1256},	//3098 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1257},	//3099 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1258},	//3100 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1259},	//3101 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1260},	//3102 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1261},	//3103 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1262},	//3104 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1263},	//3105 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1264},	//3106 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1265},	//3107 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1266},	//3108 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1267},	//3109 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1268},	//3110 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1269},	//3111 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1270},	//3112 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1271},	//3113 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1272},	//3114 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1273},	//3115 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1274},	//3116 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1275},	//3117 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1276},	//3118 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1277},	//3119 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1278},	//3120 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1279},	//3121 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1280},	//3122 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1281},	//3123 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1282},	//3124 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1283},	//3125 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1284},	//3126 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1285},	//3127 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1286},	//3128 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1287},	//3129 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1288},	//3130 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1289},	//3131 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1290},	//3132 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1291},	//3133 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1292},	//3134 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1293},	//3135 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1294},	//3136 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1295},	//3137 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1296},	//3138 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1297},	//3139 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1298},	//3140 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1299},	//3141 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1300},	//3142 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1301},	//3143 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1302},	//3144 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1303},	//3145 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1304},	//3146 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1305},	//3147 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1306},	//3148 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1307},	//3149 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1308},	//3150 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1309},	//3151 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1310},	//3152 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1311},	//3153 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1312},	//3154 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1313},	//3155 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1314},	//3156 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1315},	//3157 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1316},	//3158 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1317},	//3159 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1318},	//3160 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1319},	//3161 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1320},	//3162 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1321},	//3163 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1322},	//3164 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1323},	//3165 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1324},	//3166 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1325},	//3167 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1326},	//3168 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1327},	//3169 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1328},	//3170 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1329},	//3171 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1330},	//3172 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1331},	//3173 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1332},	//3174 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1333},	//3175 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1334},	//3176 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1335},	//3177 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1336},	//3178 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1337},	//3179 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1338},	//3180 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1339},	//3181 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1340},	//3182 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1341},	//3183 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1342},	//3184 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1343},	//3185 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1344},	//3186 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1345},	//3187 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1346},	//3188 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1347},	//3189 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1348},	//3190 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1349},	//3191 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1350},	//3192 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1351},	//3193 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1352},	//3194 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1353},	//3195 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1354},	//3196 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1355},	//3197 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1356},	//3198 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1357},	//3199 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1358},	//3200 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1359},	//3201 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1360},	//3202 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1361},	//3203 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1362},	//3204 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1363},	//3205 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1364},	//3206 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1365},	//3207 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1366},	//3208 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1367},	//3209 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1368},	//3210 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1369},	//3211 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1370},	//3212 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1371},	//3213 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1372},	//3214 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1373},	//3215 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1374},	//3216 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1375},	//3217 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1376},	//3218 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1377},	//3219 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1378},	//3220 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1379},	//3221 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1380},	//3222 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1381},	//3223 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1382},	//3224 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1383},	//3225 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1384},	//3226 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1385},	//3227 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1386},	//3228 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1387},	//3229 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1388},	//3230 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1389},	//3231 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1390},	//3232 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1391},	//3233 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1392},	//3234 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1393},	//3235 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1394},	//3236 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1395},	//3237 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1396},	//3238 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1397},	//3239 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1398},	//3240 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1399},	//3241 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1400},	//3242 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1401},	//3243 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1402},	//3244 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1403},	//3245 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1404},	//3246 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1405},	//3247 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1406},	//3248 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1407},	//3249 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1408},	//3250 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1409},	//3251 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1410},	//3252 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1411},	//3253 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1412},	//3254 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1413},	//3255 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1414},	//3256 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1415},	//3257 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1416},	//3258 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1417},	//3259 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1418},	//3260 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1419},	//3261 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1420},	//3262 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1421},	//3263 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1422},	//3264 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1423},	//3265 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1424},	//3266 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1425},	//3267 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1426},	//3268 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1427},	//3269 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1428},	//3270 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1429},	//3271 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1430},	//3272 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1431},	//3273 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1432},	//3274 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1433},	//3275 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1434},	//3276 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1435},	//3277 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1436},	//3278 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1437},	//3279 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1438},	//3280 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1439},	//3281 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1440},	//3282 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1441},	//3283 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1442},	//3284 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1443},	//3285 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1444},	//3286 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1445},	//3287 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1446},	//3288 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1447},	//3289 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1448},	//3290 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1449},	//3291 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1450},	//3292 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1451},	//3293 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1452},	//3294 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1453},	//3295 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1454},	//3296 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1455},	//3297 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1456},	//3298 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1457},	//3299 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1458},	//3300 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1459},	//3301 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1460},	//3302 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1461},	//3303 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1462},	//3304 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1463},	//3305 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1464},	//3306 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1465},	//3307 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1466},	//3308 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1467},	//3309 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1468},	//3310 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1469},	//3311 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1470},	//3312 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1471},	//3313 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1472},	//3314 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1473},	//3315 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1474},	//3316 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1475},	//3317 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1476},	//3318 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1477},	//3319 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1478},	//3320 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1479},	//3321 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1480},	//3322 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1481},	//3323 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1482},	//3324 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1483},	//3325 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1484},	//3326 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1485},	//3327 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1486},	//3328 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1487},	//3329 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1488},	//3330 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1489},	//3331 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1490},	//3332 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1491},	//3333 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1492},	//3334 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1493},	//3335 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1494},	//3336 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1495},	//3337 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1496},	//3338 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1497},	//3339 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1498},	//3340 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1499},	//3341 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1500},	//3342 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1501},	//3343 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1502},	//3344 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1503},	//3345 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1504},	//3346 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1505},	//3347 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1506},	//3348 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1507},	//3349 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1508},	//3350 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1509},	//3351 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1510},	//3352 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1511},	//3353 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1512},	//3354 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1513},	//3355 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1514},	//3356 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1515},	//3357 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1516},	//3358 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1517},	//3359 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1518},	//3360 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1519},	//3361 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1520},	//3362 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1521},	//3363 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1522},	//3364 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1523},	//3365 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1524},	//3366 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1525},	//3367 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1526},	//3368 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1527},	//3369 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1528},	//3370 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1529},	//3371 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1530},	//3372 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1531},	//3373 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1532},	//3374 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1533},	//3375 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1534},	//3376 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1535},	//3377 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1536},	//3378 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1537},	//3379 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1538},	//3380 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1539},	//3381 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1540},	//3382 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1541},	//3383 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1542},	//3384 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1543},	//3385 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1544},	//3386 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1545},	//3387 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1546},	//3388 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1547},	//3389 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1548},	//3390 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1549},	//3391 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1550},	//3392 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1551},	//3393 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1552},	//3394 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1553},	//3395 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1554},	//3396 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1555},	//3397 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1556},	//3398 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1557},	//3399 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1558},	//3400 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1559},	//3401 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1560},	//3402 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1561},	//3403 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1562},	//3404 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1563},	//3405 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1564},	//3406 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1565},	//3407 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1566},	//3408 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1567},	//3409 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1568},	//3410 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1569},	//3411 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1570},	//3412 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1571},	//3413 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1572},	//3414 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1573},	//3415 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1574},	//3416 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1575},	//3417 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1576},	//3418 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1577},	//3419 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1578},	//3420 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1579},	//3421 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1580},	//3422 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1581},	//3423 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1582},	//3424 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1583},	//3425 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1584},	//3426 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1585},	//3427 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1586},	//3428 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1587},	//3429 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1588},	//3430 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1589},	//3431 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1590},	//3432 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1591},	//3433 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1592},	//3434 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1593},	//3435 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1594},	//3436 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1595},	//3437 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1596},	//3438 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1597},	//3439 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1598},	//3440 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1599},	//3441 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1600},	//3442 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1601},	//3443 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1602},	//3444 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1603},	//3445 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1604},	//3446 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1605},	//3447 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1606},	//3448 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1607},	//3449 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1608},	//3450 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1609},	//3451 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1610},	//3452 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1611},	//3453 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1612},	//3454 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1613},	//3455 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1614},	//3456 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1615},	//3457 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1616},	//3458 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1617},	//3459 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1618},	//3460 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1619},	//3461 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1620},	//3462 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1621},	//3463 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1622},	//3464 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1623},	//3465 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1624},	//3466 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1625},	//3467 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1626},	//3468 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1627},	//3469 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1628},	//3470 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1629},	//3471 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1630},	//3472 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1631},	//3473 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1632},	//3474 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1633},	//3475 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1634},	//3476 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1635},	//3477 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1636},	//3478 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1637},	//3479 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1638},	//3480 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1639},	//3481 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1640},	//3482 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1641},	//3483 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1642},	//3484 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1643},	//3485 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1644},	//3486 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1645},	//3487 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1646},	//3488 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1647},	//3489 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1648},	//3490 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1649},	//3491 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1650},	//3492 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1651},	//3493 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1652},	//3494 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1653},	//3495 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1654},	//3496 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1655},	//3497 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1656},	//3498 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1657},	//3499 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1658},	//3500 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1659},	//3501 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1660},	//3502 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1661},	//3503 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1662},	//3504 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1663},	//3505 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1664},	//3506 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1665},	//3507 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1666},	//3508 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1667},	//3509 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1668},	//3510 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1669},	//3511 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1670},	//3512 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1671},	//3513 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1672},	//3514 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1673},	//3515 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1674},	//3516 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1675},	//3517 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1676},	//3518 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1677},	//3519 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1678},	//3520 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1679},	//3521 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1680},	//3522 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1681},	//3523 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1682},	//3524 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1683},	//3525 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1684},	//3526 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1685},	//3527 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1686},	//3528 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1687},	//3529 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1688},	//3530 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1689},	//3531 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1690},	//3532 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1691},	//3533 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1692},	//3534 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1693},	//3535 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1694},	//3536 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1695},	//3537 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1696},	//3538 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1697},	//3539 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1698},	//3540 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1699},	//3541 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1700},	//3542 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1701},	//3543 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1702},	//3544 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1703},	//3545 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1704},	//3546 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1705},	//3547 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1706},	//3548 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1707},	//3549 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1708},	//3550 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1709},	//3551 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1710},	//3552 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1711},	//3553 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1712},	//3554 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1713},	//3555 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1714},	//3556 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1715},	//3557 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1716},	//3558 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1717},	//3559 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1718},	//3560 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1719},	//3561 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1720},	//3562 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1721},	//3563 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1722},	//3564 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1723},	//3565 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1724},	//3566 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1725},	//3567 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1726},	//3568 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1727},	//3569 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1728},	//3570 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1729},	//3571 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1730},	//3572 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1731},	//3573 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1732},	//3574 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1733},	//3575 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1734},	//3576 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1735},	//3577 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1736},	//3578 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1737},	//3579 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1738},	//3580 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1739},	//3581 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1740},	//3582 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1741},	//3583 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1742},	//3584 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1743},	//3585 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1744},	//3586 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1745},	//3587 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1746},	//3588 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1747},	//3589 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1748},	//3590 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1749},	//3591 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1750},	//3592 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1751},	//3593 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1752},	//3594 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1753},	//3595 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1754},	//3596 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1755},	//3597 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1756},	//3598 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1757},	//3599 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1758},	//3600 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1759},	//3601 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1760},	//3602 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1761},	//3603 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1762},	//3604 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1763},	//3605 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1764},	//3606 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1765},	//3607 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1766},	//3608 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1767},	//3609 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1768},	//3610 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1769},	//3611 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1770},	//3612 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1771},	//3613 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1772},	//3614 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1773},	//3615 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1774},	//3616 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1775},	//3617 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1776},	//3618 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1777},	//3619 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1778},	//3620 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1779},	//3621 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1780},	//3622 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1781},	//3623 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1782},	//3624 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1783},	//3625 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1784},	//3626 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1785},	//3627 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1786},	//3628 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1787},	//3629 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1788},	//3630 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1789},	//3631 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1790},	//3632 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1791},	//3633 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1792},	//3634 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1793},	//3635 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1794},	//3636 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1795},	//3637 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1796},	//3638 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1797},	//3639 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1798},	//3640 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1799},	//3641 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1800},	//3642 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1801},	//3643 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1802},	//3644 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1803},	//3645 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1804},	//3646 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1805},	//3647 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1806},	//3648 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1807},	//3649 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1808},	//3650 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1809},	//3651 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1810},	//3652 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1811},	//3653 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1812},	//3654 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1813},	//3655 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1814},	//3656 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1815},	//3657 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1816},	//3658 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1817},	//3659 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1818},	//3660 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1819},	//3661 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1820},	//3662 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1821},	//3663 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1822},	//3664 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1823},	//3665 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1824},	//3666 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1825},	//3667 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1826},	//3668 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1827},	//3669 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1828},	//3670 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1829},	//3671 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1830},	//3672 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1831},	//3673 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1832},	//3674 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1833},	//3675 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1834},	//3676 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1835},	//3677 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1836},	//3678 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1837},	//3679 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1838},	//3680 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1839},	//3681 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1840},	//3682 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1841},	//3683 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1842},	//3684 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1843},	//3685 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1844},	//3686 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1845},	//3687 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1846},	//3688 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1847},	//3689 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1848},	//3690 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1849},	//3691 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1850},	//3692 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1851},	//3693 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1852},	//3694 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1853},	//3695 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1854},	//3696 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1855},	//3697 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1856},	//3698 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1857},	//3699 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1858},	//3700 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1859},	//3701 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1860},	//3702 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1861},	//3703 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1862},	//3704 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1863},	//3705 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1864},	//3706 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1865},	//3707 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1866},	//3708 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1867},	//3709 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1868},	//3710 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1869},	//3711 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1870},	//3712 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1871},	//3713 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1872},	//3714 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1873},	//3715 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1874},	//3716 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1875},	//3717 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1876},	//3718 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1877},	//3719 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1878},	//3720 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1879},	//3721 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1880},	//3722 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1881},	//3723 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1882},	//3724 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1883},	//3725 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1884},	//3726 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1885},	//3727 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1886},	//3728 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1887},	//3729 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1888},	//3730 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1889},	//3731 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1890},	//3732 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1891},	//3733 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1892},	//3734 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1893},	//3735 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1894},	//3736 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1895},	//3737 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1896},	//3738 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1897},	//3739 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1898},	//3740 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1899},	//3741 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1900},	//3742 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1901},	//3743 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1902},	//3744 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1903},	//3745 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1904},	//3746 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1905},	//3747 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1906},	//3748 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1907},	//3749 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1908},	//3750 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1909},	//3751 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1910},	//3752 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1911},	//3753 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1912},	//3754 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1913},	//3755 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1914},	//3756 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1915},	//3757 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1916},	//3758 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1917},	//3759 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1918},	//3760 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1919},	//3761 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1920},	//3762 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1921},	//3763 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1922},	//3764 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1923},	//3765 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1924},	//3766 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1925},	//3767 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1926},	//3768 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1927},	//3769 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1928},	//3770 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1929},	//3771 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1930},	//3772 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1931},	//3773 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1932},	//3774 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1933},	//3775 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1934},	//3776 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1935},	//3777 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1936},	//3778 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1937},	//3779 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1938},	//3780 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1939},	//3781 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1940},	//3782 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1941},	//3783 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1942},	//3784 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1943},	//3785 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1944},	//3786 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1945},	//3787 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1946},	//3788 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1947},	//3789 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1948},	//3790 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1949},	//3791 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1950},	//3792 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1951},	//3793 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1952},	//3794 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1953},	//3795 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1954},	//3796 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1955},	//3797 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1956},	//3798 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1957},	//3799 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1958},	//3800 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1959},	//3801 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1960},	//3802 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1961},	//3803 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1962},	//3804 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1963},	//3805 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1964},	//3806 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1965},	//3807 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1966},	//3808 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1967},	//3809 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1968},	//3810 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1969},	//3811 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1970},	//3812 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1971},	//3813 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1972},	//3814 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1973},	//3815 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1974},	//3816 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1975},	//3817 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1976},	//3818 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1977},	//3819 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1978},	//3820 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1979},	//3821 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1980},	//3822 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1981},	//3823 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1982},	//3824 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1983},	//3825 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1984},	//3826 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1985},	//3827 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1986},	//3828 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1987},	//3829 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1988},	//3830 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1989},	//3831 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1990},	//3832 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1991},	//3833 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1992},	//3834 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1993},	//3835 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1994},	//3836 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1995},	//3837 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1996},	//3838 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1997},	//3839 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1998},	//3840 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1999},	//3841 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2000},	//3842 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2001},	//3843 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2002},	//3844 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2003},	//3845 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2004},	//3846 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2005},	//3847 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2006},	//3848 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2007},	//3849 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2008},	//3850 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2009},	//3851 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2010},	//3852 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2011},	//3853 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2012},	//3854 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2013},	//3855 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2014},	//3856 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2015},	//3857 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2016},	//3858 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2017},	//3859 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2018},	//3860 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2019},	//3861 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2020},	//3862 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2021},	//3863 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2022},	//3864 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2023},	//3865 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2024},	//3866 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2025},	//3867 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2026},	//3868 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2027},	//3869 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2028},	//3870 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2029},	//3871 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2030},	//3872 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2031},	//3873 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2032},	//3874 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2033},	//3875 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2034},	//3876 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2035},	//3877 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2036},	//3878 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2037},	//3879 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2038},	//3880 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2039},	//3881 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2040},	//3882 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2041},	//3883 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2042},	//3884 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2043},	//3885 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2044},	//3886 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2045},	//3887 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2046},	//3888 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2047},	//3889 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2048},	//3890 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2049},	//3891 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2050},	//3892 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2051},	//3893 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2052},	//3894 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2053},	//3895 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2054},	//3896 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2055},	//3897 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2056},	//3898 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2057},	//3899 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2058},	//3900 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2059},	//3901 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2060},	//3902 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2061},	//3903 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2062},	//3904 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2063},	//3905 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2064},	//3906 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2065},	//3907 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2066},	//3908 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2067},	//3909 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2068},	//3910 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2069},	//3911 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2070},	//3912 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2071},	//3913 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2072},	//3914 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2073},	//3915 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2074},	//3916 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2075},	//3917 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2076},	//3918 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2077},	//3919 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2078},	//3920 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2079},	//3921 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2080},	//3922 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2081},	//3923 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2082},	//3924 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2083},	//3925 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2084},	//3926 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2085},	//3927 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2086},	//3928 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2087},	//3929 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2088},	//3930 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2089},	//3931 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2090},	//3932 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2091},	//3933 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2092},	//3934 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2093},	//3935 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2094},	//3936 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2095},	//3937 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2096},	//3938 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2097},	//3939 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2098},	//3940 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2099},	//3941 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2100},	//3942 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2101},	//3943 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2102},	//3944 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2103},	//3945 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2104},	//3946 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2105},	//3947 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2106},	//3948 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2107},	//3949 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2108},	//3950 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2109},	//3951 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2110},	//3952 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2111},	//3953 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2112},	//3954 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2113},	//3955 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2114},	//3956 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2115},	//3957 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2116},	//3958 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2117},	//3959 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2118},	//3960 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2119},	//3961 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2120},	//3962 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2121},	//3963 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2122},	//3964 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2123},	//3965 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2124},	//3966 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2125},	//3967 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2126},	//3968 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2127},	//3969 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2128},	//3970 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2129},	//3971 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2130},	//3972 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2131},	//3973 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2132},	//3974 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2133},	//3975 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2134},	//3976 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2135},	//3977 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2136},	//3978 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2137},	//3979 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2138},	//3980 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2139},	//3981 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2140},	//3982 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2141},	//3983 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2142},	//3984 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2143},	//3985 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2144},	//3986 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2145},	//3987 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2146},	//3988 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2147},	//3989 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2148},	//3990 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2149},	//3991 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2150},	//3992 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2151},	//3993 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2152},	//3994 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2153},	//3995 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2154},	//3996 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2155},	//3997 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2156},	//3998 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2157},	//3999 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2158},	//4000 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2159},	//4001 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2160},	//4002 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2161},	//4003 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2162},	//4004 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2163},	//4005 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2164},	//4006 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2165},	//4007 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2166},	//4008 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2167},	//4009 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2168},	//4010 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2169},	//4011 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2170},	//4012 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2171},	//4013 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2172},	//4014 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2173},	//4015 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2174},	//4016 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2175},	//4017 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2176},	//4018 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2177},	//4019 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2178},	//4020 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2179},	//4021 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2180},	//4022 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2181},	//4023 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2182},	//4024 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2183},	//4025 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2184},	//4026 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2185},	//4027 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2186},	//4028 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2187},	//4029 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2188},	//4030 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2189},	//4031 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2190},	//4032 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2191},	//4033 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2192},	//4034 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2193},	//4035 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2194},	//4036 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2195},	//4037 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2196},	//4038 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2197},	//4039 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2198},	//4040 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2199},	//4041 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2200},	//4042 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2201},	//4043 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2202},	//4044 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2203},	//4045 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2204},	//4046 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2205},	//4047 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2206},	//4048 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2207},	//4049 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2208},	//4050 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2209},	//4051 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2210},	//4052 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2211},	//4053 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2212},	//4054 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2213},	//4055 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2214},	//4056 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2215},	//4057 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2216},	//4058 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2217},	//4059 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2218},	//4060 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2219},	//4061 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2220},	//4062 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2221},	//4063 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2222},	//4064 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2223},	//4065 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2224},	//4066 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2225},	//4067 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2226},	//4068 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2227},	//4069 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2228},	//4070 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2229},	//4071 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2230},	//4072 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2231},	//4073 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2232},	//4074 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2233},	//4075 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2234},	//4076 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2235},	//4077 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2236},	//4078 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2237},	//4079 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2238},	//4080 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2239},	//4081 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2240},	//4082 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2241},	//4083 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2242},	//4084 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2243},	//4085 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2244},	//4086 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2245},	//4087 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2246},	//4088 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2247},	//4089 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2248},	//4090 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2249},	//4091 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2250},	//4092 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2251},	//4093 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2252},	//4094 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2253},	//4095 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2254},	//4096 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2255},	//4097 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2256},	//4098 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2257},	//4099 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2258},	//4100 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2259},	//4101 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2260},	//4102 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2261},	//4103 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2262},	//4104 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2263},	//4105 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2264},	//4106 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2265},	//4107 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2266},	//4108 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2267},	//4109 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2268},	//4110 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2269},	//4111 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2270},	//4112 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2271},	//4113 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2272},	//4114 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2273},	//4115 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2274},	//4116 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2275},	//4117 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2276},	//4118 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2277},	//4119 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2278},	//4120 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2279},	//4121 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2280},	//4122 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2281},	//4123 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2282},	//4124 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2283},	//4125 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2284},	//4126 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2285},	//4127 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2286},	//4128 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2287},	//4129 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2288},	//4130 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2289},	//4131 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2290},	//4132 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2291},	//4133 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2292},	//4134 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2293},	//4135 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2294},	//4136 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2295},	//4137 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2296},	//4138 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2297},	//4139 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2298},	//4140 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2299},	//4141 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2300},	//4142 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2301},	//4143 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2302},	//4144 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2303},	//4145 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2304},	//4146 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2305},	//4147 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2306},	//4148 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2307},	//4149 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2308},	//4150 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2309},	//4151 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2310},	//4152 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2311},	//4153 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2312},	//4154 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2313},	//4155 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2314},	//4156 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2315},	//4157 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2316},	//4158 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2317},	//4159 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2318},	//4160 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2319},	//4161 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2320},	//4162 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2321},	//4163 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2322},	//4164 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2323},	//4165 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2324},	//4166 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2325},	//4167 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2326},	//4168 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2327},	//4169 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2328},	//4170 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2329},	//4171 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2330},	//4172 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2331},	//4173 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2332},	//4174 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2333},	//4175 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2334},	//4176 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2335},	//4177 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2336},	//4178 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2337},	//4179 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2338},	//4180 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2339},	//4181 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2340},	//4182 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2341},	//4183 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2342},	//4184 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2343},	//4185 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2344},	//4186 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2345},	//4187 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2346},	//4188 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2347},	//4189 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2348},	//4190 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2349},	//4191 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2350},	//4192 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2351},	//4193 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2352},	//4194 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2353},	//4195 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2354},	//4196 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2355},	//4197 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2356},	//4198 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2357},	//4199 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2358},	//4200 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2359},	//4201 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2360},	//4202 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2361},	//4203 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2362},	//4204 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2363},	//4205 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2364},	//4206 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2365},	//4207 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2366},	//4208 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2367},	//4209 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2368},	//4210 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2369},	//4211 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2370},	//4212 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2371},	//4213 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2372},	//4214 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2373},	//4215 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2374},	//4216 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2375},	//4217 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2376},	//4218 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2377},	//4219 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2378},	//4220 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2379},	//4221 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2380},	//4222 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2381},	//4223 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2382},	//4224 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2383},	//4225 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2384},	//4226 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2385},	//4227 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2386},	//4228 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2387},	//4229 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2388},	//4230 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2389},	//4231 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2390},	//4232 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2391},	//4233 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2392},	//4234 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2393},	//4235 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2394},	//4236 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2395},	//4237 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2396},	//4238 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2397},	//4239 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2398},	//4240 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2399},	//4241 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2400},	//4242 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2401},	//4243 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2402},	//4244 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2403},	//4245 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2404},	//4246 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2405},	//4247 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2406},	//4248 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2407},	//4249 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2408},	//4250 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2409},	//4251 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2410},	//4252 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2411},	//4253 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2412},	//4254 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2413},	//4255 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2414},	//4256 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2415},	//4257 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2416},	//4258 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2417},	//4259 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2418},	//4260 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2419},	//4261 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2420},	//4262 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2421},	//4263 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2422},	//4264 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2423},	//4265 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2424},	//4266 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2425},	//4267 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2426},	//4268 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2427},	//4269 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2428},	//4270 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2429},	//4271 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2430},	//4272 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2431},	//4273 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2432},	//4274 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2433},	//4275 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2434},	//4276 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2435},	//4277 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2436},	//4278 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2437},	//4279 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2438},	//4280 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2439},	//4281 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2440},	//4282 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2441},	//4283 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2442},	//4284 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2443},	//4285 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2444},	//4286 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2445},	//4287 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2446},	//4288 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2447},	//4289 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2448},	//4290 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2449},	//4291 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2450},	//4292 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2451},	//4293 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2452},	//4294 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2453},	//4295 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2454},	//4296 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2455},	//4297 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2456},	//4298 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2457},	//4299 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2458},	//4300 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2459},	//4301 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2460},	//4302 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2461},	//4303 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2462},	//4304 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2463},	//4305 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2464},	//4306 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2465},	//4307 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2466},	//4308 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2467},	//4309 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2468},	//4310 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2469},	//4311 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2470},	//4312 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2471},	//4313 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2472},	//4314 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2473},	//4315 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2474},	//4316 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2475},	//4317 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2476},	//4318 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2477},	//4319 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2478},	//4320 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2479},	//4321 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2480},	//4322 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2481},	//4323 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2482},	//4324 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2483},	//4325 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2484},	//4326 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2485},	//4327 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2486},	//4328 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2487},	//4329 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2488},	//4330 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2489},	//4331 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2490},	//4332 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2491},	//4333 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2492},	//4334 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2493},	//4335 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2494},	//4336 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2495},	//4337 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2496},	//4338 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2497},	//4339 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2498},	//4340 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2499},	//4341 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2500},	//4342 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2501},	//4343 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2502},	//4344 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2503},	//4345 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2504},	//4346 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2505},	//4347 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2506},	//4348 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2507},	//4349 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2508},	//4350 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2509},	//4351 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2510},	//4352 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2511},	//4353 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2512},	//4354 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2513},	//4355 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2514},	//4356 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2515},	//4357 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2516},	//4358 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2517},	//4359 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2518},	//4360 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2519},	//4361 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2520},	//4362 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2521},	//4363 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2522},	//4364 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2523},	//4365 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2524},	//4366 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2525},	//4367 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2526},	//4368 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2527},	//4369 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2528},	//4370 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2529},	//4371 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2530},	//4372 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2531},	//4373 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2532},	//4374 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2533},	//4375 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2534},	//4376 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2535},	//4377 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2536},	//4378 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2537},	//4379 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2538},	//4380 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2539},	//4381 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2540},	//4382 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2541},	//4383 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2542},	//4384 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2543},	//4385 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2544},	//4386 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2545},	//4387 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2546},	//4388 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2547},	//4389 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2548},	//4390 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2549},	//4391 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2550},	//4392 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2551},	//4393 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2552},	//4394 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2553},	//4395 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2554},	//4396 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2555},	//4397 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2556},	//4398 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2557},	//4399 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2558},	//4400 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2559},	//4401 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2560},	//4402 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2561},	//4403 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2562},	//4404 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2563},	//4405 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2564},	//4406 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2565},	//4407 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2566},	//4408 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2567},	//4409 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2568},	//4410 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2569},	//4411 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2570},	//4412 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2571},	//4413 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2572},	//4414 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2573},	//4415 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2574},	//4416 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2575},	//4417 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2576},	//4418 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2577},	//4419 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2578},	//4420 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2579},	//4421 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2580},	//4422 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2581},	//4423 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2582},	//4424 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2583},	//4425 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2584},	//4426 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2585},	//4427 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2586},	//4428 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2587},	//4429 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2588},	//4430 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2589},	//4431 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2590},	//4432 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2591},	//4433 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2592},	//4434 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2593},	//4435 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2594},	//4436 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2595},	//4437 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2596},	//4438 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2597},	//4439 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2598},	//4440 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2599},	//4441 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2600},	//4442 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2601},	//4443 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2602},	//4444 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2603},	//4445 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2604},	//4446 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2605},	//4447 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2606},	//4448 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2607},	//4449 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2608},	//4450 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2609},	//4451 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2610},	//4452 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2611},	//4453 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2612},	//4454 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2613},	//4455 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2614},	//4456 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2615},	//4457 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2616},	//4458 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2617},	//4459 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2618},	//4460 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2619},	//4461 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2620},	//4462 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2621},	//4463 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2622},	//4464 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2623},	//4465 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2624},	//4466 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2625},	//4467 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2626},	//4468 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2627},	//4469 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2628},	//4470 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2629},	//4471 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2630},	//4472 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2631},	//4473 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2632},	//4474 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2633},	//4475 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2634},	//4476 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2635},	//4477 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2636},	//4478 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2637},	//4479 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2638},	//4480 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2639},	//4481 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2640},	//4482 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2641},	//4483 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2642},	//4484 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2643},	//4485 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2644},	//4486 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2645},	//4487 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2646},	//4488 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2647},	//4489 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2648},	//4490 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2649},	//4491 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2650},	//4492 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2651},	//4493 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2652},	//4494 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2653},	//4495 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2654},	//4496 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2655},	//4497 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2656},	//4498 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2657},	//4499 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2658},	//4500 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2659},	//4501 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2660},	//4502 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2661},	//4503 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2662},	//4504 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2663},	//4505 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2664},	//4506 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2665},	//4507 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2666},	//4508 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2667},	//4509 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2668},	//4510 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2669},	//4511 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2670},	//4512 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2671},	//4513 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2672},	//4514 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2673},	//4515 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2674},	//4516 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2675},	//4517 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2676},	//4518 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2677},	//4519 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2678},	//4520 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2679},	//4521 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2680},	//4522 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2681},	//4523 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2682},	//4524 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2683},	//4525 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2684},	//4526 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2685},	//4527 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2686},	//4528 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2687},	//4529 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2688},	//4530 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2689},	//4531 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2690},	//4532 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2691},	//4533 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2692},	//4534 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2693},	//4535 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2694},	//4536 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2695},	//4537 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2696},	//4538 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2697},	//4539 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2698},	//4540 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2699},	//4541 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2700},	//4542 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2701},	//4543 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2702},	//4544 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2703},	//4545 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2704},	//4546 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2705},	//4547 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2706},	//4548 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2707},	//4549 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2708},	//4550 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2709},	//4551 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2710},	//4552 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2711},	//4553 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2712},	//4554 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2713},	//4555 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2714},	//4556 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2715},	//4557 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2716},	//4558 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2717},	//4559 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2718},	//4560 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2719},	//4561 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2720},	//4562 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2721},	//4563 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2722},	//4564 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2723},	//4565 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2724},	//4566 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2725},	//4567 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2726},	//4568 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2727},	//4569 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2728},	//4570 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2729},	//4571 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2730},	//4572 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2731},	//4573 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2732},	//4574 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2733},	//4575 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2734},	//4576 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2735},	//4577 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2736},	//4578 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2737},	//4579 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2738},	//4580 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2739},	//4581 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2740},	//4582 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2741},	//4583 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2742},	//4584 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2743},	//4585 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2744},	//4586 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2745},	//4587 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2746},	//4588 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2747},	//4589 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2748},	//4590 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2749},	//4591 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2750},	//4592 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2751},	//4593 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2752},	//4594 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2753},	//4595 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2754},	//4596 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2755},	//4597 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2756},	//4598 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2757},	//4599 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2758},	//4600 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2759},	//4601 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2760},	//4602 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2761},	//4603 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2762},	//4604 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2763},	//4605 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2764},	//4606 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2765},	//4607 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2766},	//4608 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2767},	//4609 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2768},	//4610 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2769},	//4611 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2770},	//4612 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2771},	//4613 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2772},	//4614 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2773},	//4615 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2774},	//4616 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2775},	//4617 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2776},	//4618 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2777},	//4619 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2778},	//4620 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2779},	//4621 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2780},	//4622 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2781},	//4623 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2782},	//4624 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2783},	//4625 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2784},	//4626 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2785},	//4627 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2786},	//4628 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2787},	//4629 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2788},	//4630 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2789},	//4631 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2790},	//4632 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2791},	//4633 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2792},	//4634 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2793},	//4635 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2794},	//4636 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2795},	//4637 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2796},	//4638 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2797},	//4639 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2798},	//4640 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2799},	//4641 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2800},	//4642 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2801},	//4643 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2802},	//4644 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2803},	//4645 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2804},	//4646 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2805},	//4647 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2806},	//4648 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2807},	//4649 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2808},	//4650 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2809},	//4651 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2810},	//4652 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2811},	//4653 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2812},	//4654 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2813},	//4655 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2814},	//4656 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2815},	//4657 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2816},	//4658 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2817},	//4659 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2818},	//4660 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2819},	//4661 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2820},	//4662 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2821},	//4663 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2822},	//4664 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2823},	//4665 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2824},	//4666 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2825},	//4667 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2826},	//4668 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2827},	//4669 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2828},	//4670 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2829},	//4671 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2830},	//4672 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2831},	//4673 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2832},	//4674 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2833},	//4675 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2834},	//4676 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2835},	//4677 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2836},	//4678 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2837},	//4679 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2838},	//4680 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2839},	//4681 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2840},	//4682 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2841},	//4683 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2842},	//4684 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2843},	//4685 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2844},	//4686 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2845},	//4687 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2846},	//4688 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2847},	//4689 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2848},	//4690 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2849},	//4691 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2850},	//4692 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2851},	//4693 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2852},	//4694 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2853},	//4695 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2854},	//4696 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2855},	//4697 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2856},	//4698 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2857},	//4699 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2858},	//4700 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2859},	//4701 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2860},	//4702 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2861},	//4703 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2862},	//4704 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2863},	//4705 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2864},	//4706 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2865},	//4707 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2866},	//4708 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2867},	//4709 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2868},	//4710 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2869},	//4711 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2870},	//4712 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2871},	//4713 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2872},	//4714 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2873},	//4715 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2874},	//4716 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2875},	//4717 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2876},	//4718 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2877},	//4719 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2878},	//4720 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2879},	//4721 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2880},	//4722 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2881},	//4723 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2882},	//4724 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2883},	//4725 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2884},	//4726 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2885},	//4727 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2886},	//4728 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2887},	//4729 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2888},	//4730 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2889},	//4731 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2890},	//4732 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2891},	//4733 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2892},	//4734 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2893},	//4735 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2894},	//4736 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2895},	//4737 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2896},	//4738 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2897},	//4739 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2898},	//4740 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2899},	//4741 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2900},	//4742 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2901},	//4743 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2902},	//4744 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2903},	//4745 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2904},	//4746 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2905},	//4747 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2906},	//4748 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2907},	//4749 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2908},	//4750 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2909},	//4751 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2910},	//4752 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2911},	//4753 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2912},	//4754 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2913},	//4755 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2914},	//4756 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2915},	//4757 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2916},	//4758 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2917},	//4759 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2918},	//4760 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2919},	//4761 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2920},	//4762 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2921},	//4763 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2922},	//4764 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2923},	//4765 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2924},	//4766 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2925},	//4767 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2926},	//4768 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2927},	//4769 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2928},	//4770 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2929},	//4771 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2930},	//4772 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2931},	//4773 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2932},	//4774 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2933},	//4775 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2934},	//4776 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2935},	//4777 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2936},	//4778 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2937},	//4779 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2938},	//4780 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2939},	//4781 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2940},	//4782 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2941},	//4783 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2942},	//4784 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2943},	//4785 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2944},	//4786 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2945},	//4787 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2946},	//4788 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2947},	//4789 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2948},	//4790 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2949},	//4791 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2950},	//4792 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2951},	//4793 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2952},	//4794 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2953},	//4795 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2954},	//4796 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2955},	//4797 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2956},	//4798 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2957},	//4799 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2958},	//4800 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2959},	//4801 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2960},	//4802 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2961},	//4803 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2962},	//4804 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2963},	//4805 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2964},	//4806 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2965},	//4807 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2966},	//4808 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2967},	//4809 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2968},	//4810 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2969},	//4811 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2970},	//4812 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2971},	//4813 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2972},	//4814 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2973},	//4815 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2974},	//4816 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2975},	//4817 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2976},	//4818 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2977},	//4819 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2978},	//4820 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2979},	//4821 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2980},	//4822 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2981},	//4823 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2982},	//4824 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2983},	//4825 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2984},	//4826 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2985},	//4827 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2986},	//4828 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2987},	//4829 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2988},	//4830 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2989},	//4831 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2990},	//4832 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2991},	//4833 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2992},	//4834 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2993},	//4835 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2994},	//4836 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2995},	//4837 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2996},	//4838 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2997},	//4839 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2998},	//4840 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2999},	//4841 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3000},	//4842 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3001},	//4843 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3002},	//4844 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3003},	//4845 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3004},	//4846 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3005},	//4847 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3006},	//4848 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3007},	//4849 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3008},	//4850 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3009},	//4851 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3010},	//4852 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3011},	//4853 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3012},	//4854 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3013},	//4855 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3014},	//4856 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3015},	//4857 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3016},	//4858 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3017},	//4859 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3018},	//4860 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3019},	//4861 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3020},	//4862 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3021},	//4863 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3022},	//4864 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3023},	//4865 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3024},	//4866 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3025},	//4867 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3026},	//4868 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3027},	//4869 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3028},	//4870 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3029},	//4871 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3030},	//4872 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3031},	//4873 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3032},	//4874 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3033},	//4875 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3034},	//4876 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3035},	//4877 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3036},	//4878 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3037},	//4879 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3038},	//4880 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3039},	//4881 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3040},	//4882 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3041},	//4883 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3042},	//4884 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3043},	//4885 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3044},	//4886 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3045},	//4887 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3046},	//4888 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3047},	//4889 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3048},	//4890 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3049},	//4891 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3050},	//4892 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3051},	//4893 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3052},	//4894 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3053},	//4895 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3054},	//4896 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3055},	//4897 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3056},	//4898 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3057},	//4899 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3058},	//4900 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3059},	//4901 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3060},	//4902 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3061},	//4903 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3062},	//4904 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3063},	//4905 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3064},	//4906 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3065},	//4907 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3066},	//4908 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3067},	//4909 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3068},	//4910 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3069},	//4911 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3070},	//4912 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3071},	//4913 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3072},	//4914 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3073},	//4915 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3074},	//4916 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3075},	//4917 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3076},	//4918 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3077},	//4919 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3078},	//4920 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3079},	//4921 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3080},	//4922 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3081},	//4923 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3082},	//4924 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3083},	//4925 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3084},	//4926 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3085},	//4927 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3086},	//4928 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3087},	//4929 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3088},	//4930 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3089},	//4931 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3090},	//4932 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3091},	//4933 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3092},	//4934 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3093},	//4935 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3094},	//4936 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3095},	//4937 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3096},	//4938 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3097},	//4939 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3098},	//4940 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3099},	//4941 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3100},	//4942 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3101},	//4943 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3102},	//4944 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3103},	//4945 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3104},	//4946 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3105},	//4947 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3106},	//4948 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3107},	//4949 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3108},	//4950 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3109},	//4951 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3110},	//4952 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3111},	//4953 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3112},	//4954 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3113},	//4955 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3114},	//4956 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3115},	//4957 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3116},	//4958 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3117},	//4959 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3118},	//4960 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3119},	//4961 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3120},	//4962 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3121},	//4963 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3122},	//4964 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3123},	//4965 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3124},	//4966 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3125},	//4967 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3126},	//4968 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3127},	//4969 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3128},	//4970 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3129},	//4971 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3130},	//4972 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3131},	//4973 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3132},	//4974 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3133},	//4975 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3134},	//4976 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3135},	//4977 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3136},	//4978 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3137},	//4979 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3138},	//4980 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3139},	//4981 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3140},	//4982 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3141},	//4983 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3142},	//4984 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3143},	//4985 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3144},	//4986 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3145},	//4987 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3146},	//4988 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3147},	//4989 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3148},	//4990 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3149},	//4991 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3150},	//4992 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3151},	//4993 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3152},	//4994 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3153},	//4995 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3154},	//4996 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3155},	//4997 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3156},	//4998 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3157},	//4999 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3158},	//5000 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3159},	//5001 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3160},	//5002 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3161},	//5003 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3162},	//5004 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3163},	//5005 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3164},	//5006 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3165},	//5007 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3166},	//5008 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3167},	//5009 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3168},	//5010 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3169},	//5011 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3170},	//5012 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3171},	//5013 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3172},	//5014 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3173},	//5015 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3174},	//5016 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3175},	//5017 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3176},	//5018 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3177},	//5019 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3178},	//5020 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3179},	//5021 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3180},	//5022 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3181},	//5023 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3182},	//5024 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3183},	//5025 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3184},	//5026 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3185},	//5027 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3186},	//5028 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3187},	//5029 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3188},	//5030 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3189},	//5031 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3190},	//5032 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3191},	//5033 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3192},	//5034 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3193},	//5035 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3194},	//5036 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3195},	//5037 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3196},	//5038 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3197},	//5039 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3198},	//5040 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3199},	//5041 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3200},	//5042 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3201},	//5043 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3202},	//5044 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3203},	//5045 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3204},	//5046 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3205},	//5047 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3206},	//5048 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3207},	//5049 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3208},	//5050 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3209},	//5051 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3210},	//5052 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3211},	//5053 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3212},	//5054 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3213},	//5055 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3214},	//5056 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3215},	//5057 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3216},	//5058 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3217},	//5059 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3218},	//5060 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3219},	//5061 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3220},	//5062 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3221},	//5063 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3222},	//5064 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3223},	//5065 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3224},	//5066 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3225},	//5067 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3226},	//5068 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3227},	//5069 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3228},	//5070 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3229},	//5071 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3230},	//5072 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3231},	//5073 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3232},	//5074 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3233},	//5075 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3234},	//5076 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3235},	//5077 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3236},	//5078 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3237},	//5079 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3238},	//5080 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3239},	//5081 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3240},	//5082 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3241},	//5083 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3242},	//5084 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3243},	//5085 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3244},	//5086 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3245},	//5087 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3246},	//5088 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3247},	//5089 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3248},	//5090 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3249},	//5091 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3250},	//5092 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3251},	//5093 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3252},	//5094 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3253},	//5095 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3254},	//5096 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3255},	//5097 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3256},	//5098 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3257},	//5099 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3258},	//5100 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3259},	//5101 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3260},	//5102 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3261},	//5103 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3262},	//5104 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3263},	//5105 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3264},	//5106 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3265},	//5107 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3266},	//5108 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3267},	//5109 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3268},	//5110 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3269},	//5111 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3270},	//5112 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3271},	//5113 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3272},	//5114 QsciScintillaBase::SCLEX_SML (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3273},	//5115 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3274},	//5116 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3275},	//5117 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3276},	//5118 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3277},	//5119 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3278},	//5120 QsciScintillaBase::SCLEX_XML (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3279},	//5121 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3280},	//5122 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3281},	//5123 QsciScintillaBase::SCLEX_VB (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3282},	//5124 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3283},	//5125 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3284},	//5126 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3285},	//5127 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3286},	//5128 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3287},	//5129 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3288},	//5130 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3289},	//5131 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3290},	//5132 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3291},	//5133 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3292},	//5134 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3293},	//5135 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3294},	//5136 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3295},	//5137 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3296},	//5138 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3297},	//5139 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3298},	//5140 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3299},	//5141 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3300},	//5142 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3301},	//5143 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3302},	//5144 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3303},	//5145 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3304},	//5146 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3305},	//5147 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3306},	//5148 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3307},	//5149 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3308},	//5150 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3309},	//5151 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3310},	//5152 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3311},	//5153 QsciScintillaBase::SCLEX_POV (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3312},	//5154 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3313},	//5155 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3314},	//5156 QsciScintillaBase::SCLEX_PS (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3315},	//5157 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3316},	//5158 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3317},	//5159 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3318},	//5160 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3319},	//5161 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3320},	//5162 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3321},	//5163 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3322},	//5164 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3323},	//5165 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3324},	//5166 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3325},	//5167 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3326},	//5168 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3327},	//5169 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3328},	//5170 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3329},	//5171 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3330},	//5172 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3331},	//5173 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3332},	//5174 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3333},	//5175 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3334},	//5176 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3335},	//5177 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3336},	//5178 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3337},	//5179 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3338},	//5180 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3339},	//5181 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3340},	//5182 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3341},	//5183 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3342},	//5184 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3343},	//5185 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3344},	//5186 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3345},	//5187 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3346},	//5188 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3347},	//5189 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3348},	//5190 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3349},	//5191 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3350},	//5192 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3351},	//5193 QsciScintillaBase::SCLEX_D (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3352},	//5194 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3353},	//5195 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3354},	//5196 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3355},	//5197 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3356},	//5198 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3357},	//5199 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3358},	//5200 QsciScintillaBase::SCLEX_R (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3359},	//5201 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3360},	//5202 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3361},	//5203 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3362},	//5204 QsciScintillaBase::SCLEX_PO (enum)
    {83, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3363},	//5205 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3364},	//5206 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3365},	//5207 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3366},	//5208 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3367},	//5209 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3368},	//5210 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3369},	//5211 QsciScintillaBase::SCLEX_SML (enum)
    {83, 1396, 0, 0, Smoke::mf_dtor, 0, 3370 },	//5212 QsciScintillaBase::~QsciScintillaBase()
    {84, 438, 18, 1, Smoke::mf_ctor, 101, 1},	//5213 QsciStyle::QsciStyle(int)
    {84, 438, 374, 6, Smoke::mf_ctor, 101, 2},	//5214 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {84, 1298, 0, 0, Smoke::mf_const, 218, 3},	//5215 QsciStyle::style() const
    {84, 1123, 57, 1, 0, 0, 4},	//5216 QsciStyle::setDescription(const QString&)
    {84, 811, 0, 0, Smoke::mf_const, 36, 5},	//5217 QsciStyle::description() const
    {84, 1112, 80, 1, 0, 0, 6},	//5218 QsciStyle::setColor(const QColor&)
    {84, 784, 0, 0, Smoke::mf_const, 5, 7},	//5219 QsciStyle::color() const
    {84, 1233, 80, 1, 0, 0, 8},	//5220 QsciStyle::setPaper(const QColor&)
    {84, 1001, 0, 0, Smoke::mf_const, 5, 9},	//5221 QsciStyle::paper() const
    {84, 1173, 42, 1, 0, 0, 10},	//5222 QsciStyle::setFont(const QFont&)
    {84, 876, 0, 0, Smoke::mf_const, 13, 11},	//5223 QsciStyle::font() const
    {84, 1137, 16, 1, 0, 0, 12},	//5224 QsciStyle::setEolFill(bool)
    {84, 836, 0, 0, Smoke::mf_const, 197, 13},	//5225 QsciStyle::eolFill() const
    {84, 1261, 381, 1, 0, 0, 14},	//5226 QsciStyle::setTextCase(QsciStyle::TextCase)
    {84, 1309, 0, 0, Smoke::mf_const, 102, 15},	//5227 QsciStyle::textCase() const
    {84, 1277, 16, 1, 0, 0, 16},	//5228 QsciStyle::setVisible(bool)
    {84, 1336, 0, 0, Smoke::mf_const, 197, 17},	//5229 QsciStyle::visible() const
    {84, 1110, 16, 1, 0, 0, 18},	//5230 QsciStyle::setChangeable(bool)
    {84, 772, 0, 0, Smoke::mf_const, 197, 19},	//5231 QsciStyle::changeable() const
    {84, 1176, 16, 1, 0, 0, 20},	//5232 QsciStyle::setHotspot(bool)
    {84, 890, 0, 0, Smoke::mf_const, 197, 21},	//5233 QsciStyle::hotspot() const
    {84, 1032, 0, 0, 0, 0, 22},	//5234 QsciStyle::refresh()
    {84, 438, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 23},	//5235 QsciStyle::QsciStyle(const QsciStyle&)
    {84, 438, 0, 0, Smoke::mf_ctor, 101, 24},	//5236 QsciStyle::QsciStyle()
    {84, 438, 385, 5, Smoke::mf_ctor, 101, 25},	//5237 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {84, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 26},	//5238 QsciStyle::OriginalCase (enum)
    {84, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 27},	//5239 QsciStyle::UpperCase (enum)
    {84, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 28},	//5240 QsciStyle::LowerCase (enum)
    {84, 1397, 0, 0, Smoke::mf_dtor, 0, 29 },	//5241 QsciStyle::~QsciStyle()
    {85, 443, 391, 2, Smoke::mf_ctor, 103, 1},	//5242 QsciStyledText::QsciStyledText(const QString&, int)
    {85, 443, 394, 2, Smoke::mf_ctor, 103, 2},	//5243 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {85, 1307, 0, 0, Smoke::mf_const, 210, 3},	//5244 QsciStyledText::text() const
    {85, 1298, 0, 0, Smoke::mf_const, 218, 4},	//5245 QsciStyledText::style() const
    {85, 443, 397, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 5},	//5246 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {85, 1398, 0, 0, Smoke::mf_dtor, 0, 6 },	//5247 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    5198,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    5134,  // QsciScintillaBase::SCLEX_ADA
    0,
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    5175,  // QsciScintillaBase::SCLEX_APDL
    0,
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    5148,  // QsciScintillaBase::SCLEX_ASM
    0,
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    5177,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    5143,  // QsciScintillaBase::SCLEX_ASP
    0,
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5199,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    5174,  // QsciScintillaBase::SCLEX_AU3
    0,
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    5133,  // QsciScintillaBase::SCLEX_AVE
    0,
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    5145,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    5176,  // QsciScintillaBase::SCLEX_BASH
    0,
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    5127,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5180,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    5141,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    5179,  // QsciScintillaBase::SCLEX_CAML
    0,
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    5159,  // QsciScintillaBase::SCLEX_CLW
    0,
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5160,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    5194,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    5206,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    5131,  // QsciScintillaBase::SCLEX_CONF
    0,
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    5115,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    5118,  // QsciScintillaBase::SCLEX_CPP
    0,
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5149,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    5188,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    5152,  // QsciScintillaBase::SCLEX_CSS
    0,
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    5193,  // QsciScintillaBase::SCLEX_D
    0,
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    5130,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    5137,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    5138,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    5167,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    5125,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    5155,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    5151,  // QsciScintillaBase::SCLEX_F77
    0,
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5187,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    5166,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    5150,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    5189,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    5195,  // QsciScintillaBase::SCLEX_GAP
    0,
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    5172,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    5182,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    5119,  // QsciScintillaBase::SCLEX_HTML
    0,
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    5190,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    5171,  // QsciScintillaBase::SCLEX_KIX
    0,
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    5128,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    5135,  // QsciScintillaBase::SCLEX_LISP
    0,
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    5161,  // QsciScintillaBase::SCLEX_LOT
    0,
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    5154,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    5129,  // QsciScintillaBase::SCLEX_LUA
    0,
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    5201,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    5126,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    5146,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    5164,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    5158,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    5169,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    5203,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    5210,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5140,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    5157,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    5116,  // QsciScintillaBase::SCLEX_NULL
    0,
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    5168,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    5191,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    5132,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    5121,  // QsciScintillaBase::SCLEX_PERL
    0,
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    5144,  // QsciScintillaBase::SCLEX_PHP
    0,
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5183,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    5196,  // QsciScintillaBase::SCLEX_PLM
    0,
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    5204,  // QsciScintillaBase::SCLEX_PO
    0,
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    5153,  // QsciScintillaBase::SCLEX_POV
    0,
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    5165,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    5209,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    5202,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    5197,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    5124,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    5156,  // QsciScintillaBase::SCLEX_PS
    0,
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    5181,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    5117,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    5200,  // QsciScintillaBase::SCLEX_R
    0,
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    5185,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    5136,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5147,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    5186,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    5211,  // QsciScintillaBase::SCLEX_SML
    0,
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    5208,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    5173,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    5192,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    5122,  // QsciScintillaBase::SCLEX_SQL
    0,
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    5207,  // QsciScintillaBase::SCLEX_TACL
    0,
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    5184,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    5205,  // QsciScintillaBase::SCLEX_TAL
    0,
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    5139,  // QsciScintillaBase::SCLEX_TCL
    0,
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    5163,  // QsciScintillaBase::SCLEX_TEX
    0,
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    5123,  // QsciScintillaBase::SCLEX_VB
    0,
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5142,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    5170,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    5178,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    5120,  // QsciScintillaBase::SCLEX_XML
    0,
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    5162,  // QsciScintillaBase::SCLEX_YAML
    0,
    1855,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1857,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1858,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1912,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1860,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1863,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1852,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1853,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1854,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1856,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1756,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1757,  // QsciScintilla::markerDefine(char)
    0,
    1605,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1606,  // QsciScintilla::markerDefine(char, int)
    0,
    1718,  // QsciScintilla::setMarginWidth(int, int)
    1719,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 249, 19},	// QGlobalSpace::LicensedActiveQt
    {16, 250, 25},	// QGlobalSpace::LicensedCore
    {16, 251, 17},	// QGlobalSpace::LicensedDBus
    {16, 252, 22},	// QGlobalSpace::LicensedDeclarative
    {16, 253, 12},	// QGlobalSpace::LicensedGui
    {16, 254, 31},	// QGlobalSpace::LicensedHelp
    {16, 255, 32},	// QGlobalSpace::LicensedMultimedia
    {16, 256, 35},	// QGlobalSpace::LicensedNetwork
    {16, 257, 24},	// QGlobalSpace::LicensedOpenGL
    {16, 258, 16},	// QGlobalSpace::LicensedOpenVG
    {16, 259, 33},	// QGlobalSpace::LicensedQt3Support
    {16, 260, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 261, 15},	// QGlobalSpace::LicensedScript
    {16, 262, 20},	// QGlobalSpace::LicensedScriptTools
    {16, 263, 23},	// QGlobalSpace::LicensedSql
    {16, 264, 21},	// QGlobalSpace::LicensedSvg
    {16, 265, 18},	// QGlobalSpace::LicensedTest
    {16, 266, 13},	// QGlobalSpace::LicensedXml
    {16, 267, 34},	// QGlobalSpace::LicensedXmlPatterns
    {16, 355, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 356, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 357, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 358, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 359, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 447, 28},	// QGlobalSpace::QtCriticalMsg
    {16, 448, 26},	// QGlobalSpace::QtDebugMsg
    {16, 449, 29},	// QGlobalSpace::QtFatalMsg
    {16, 450, 30},	// QGlobalSpace::QtSystemMsg
    {16, 451, 27},	// QGlobalSpace::QtWarningMsg
    {44, 361, 78},	// QsciAPIs::QsciAPIs#
    {44, 717, 79},	// QsciAPIs::add$
    {44, 729, 94},	// QsciAPIs::apiPreparationCancelled
    {44, 730, 96},	// QsciAPIs::apiPreparationFinished
    {44, 731, 95},	// QsciAPIs::apiPreparationStarted
    {44, 743, 90},	// QsciAPIs::autoCompletionSelected$
    {44, 764, 91},	// QsciAPIs::callTips?$$?
    {44, 768, 84},	// QsciAPIs::cancelPreparation
    {44, 774, 80},	// QsciAPIs::clear
    {44, 809, 85},	// QsciAPIs::defaultPreparedName
    {44, 843, 92},	// QsciAPIs::event#
    {44, 907, 93},	// QsciAPIs::installedAPIFiles
    {44, 911, 99},	// QsciAPIs::isPrepared
    {44, 912, 86},	// QsciAPIs::isPrepared$
    {44, 941, 81},	// QsciAPIs::load$
    {44, 942, 100},	// QsciAPIs::loadPrepared
    {44, 943, 87},	// QsciAPIs::loadPrepared$
    {44, 979, 71},	// QsciAPIs::metaObject
    {44, 1010, 83},	// QsciAPIs::prepare
    {44, 1018, 77},	// QsciAPIs::qt_metacall$$?
    {44, 1020, 72},	// QsciAPIs::qt_metacast$
    {44, 1037, 82},	// QsciAPIs::remove$
    {44, 1047, 101},	// QsciAPIs::savePrepared
    {44, 1048, 88},	// QsciAPIs::savePrepared$
    {44, 1297, 102},	// QsciAPIs::staticMetaObject
    {44, 1316, 97},	// QsciAPIs::tr$
    {44, 1317, 73},	// QsciAPIs::tr$$
    {44, 1318, 75},	// QsciAPIs::tr$$$
    {44, 1320, 98},	// QsciAPIs::trUtf8$
    {44, 1321, 74},	// QsciAPIs::trUtf8$$
    {44, 1322, 76},	// QsciAPIs::trUtf8$$$
    {44, 1327, 89},	// QsciAPIs::updateAutoCompletionList??
    {44, 1358, 103},	// QsciAPIs::~QsciAPIs
    {45, 363, 111},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {45, 743, 114},	// QsciAbstractAPIs::autoCompletionSelected$
    {45, 764, 115},	// QsciAbstractAPIs::callTips?$$?
    {45, 930, 112},	// QsciAbstractAPIs::lexer
    {45, 979, 104},	// QsciAbstractAPIs::metaObject
    {45, 1018, 110},	// QsciAbstractAPIs::qt_metacall$$?
    {45, 1020, 105},	// QsciAbstractAPIs::qt_metacast$
    {45, 1297, 118},	// QsciAbstractAPIs::staticMetaObject
    {45, 1316, 116},	// QsciAbstractAPIs::tr$
    {45, 1317, 106},	// QsciAbstractAPIs::tr$$
    {45, 1318, 108},	// QsciAbstractAPIs::tr$$$
    {45, 1320, 117},	// QsciAbstractAPIs::trUtf8$
    {45, 1321, 107},	// QsciAbstractAPIs::trUtf8$$
    {45, 1322, 109},	// QsciAbstractAPIs::trUtf8$$$
    {45, 1327, 113},	// QsciAbstractAPIs::updateAutoCompletionList??
    {45, 1359, 119},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {46, 718, 123},	// QsciCommand::alternateKey
    {46, 811, 125},	// QsciCommand::description
    {46, 919, 122},	// QsciCommand::key
    {46, 1061, 121},	// QsciCommand::setAlternateKey$
    {46, 1193, 120},	// QsciCommand::setKey$
    {46, 1334, 124},	// QsciCommand::validKey$
    {46, 1360, 126},	// QsciCommand::~QsciCommand
    {47, 775, 131},	// QsciCommandSet::clearAlternateKeys
    {47, 779, 130},	// QsciCommandSet::clearKeys
    {47, 788, 129},	// QsciCommandSet::commands
    {47, 1026, 132},	// QsciCommandSet::readSettings#
    {47, 1027, 127},	// QsciCommandSet::readSettings#$
    {47, 1349, 133},	// QsciCommandSet::writeSettings#
    {47, 1350, 128},	// QsciCommandSet::writeSettings#$
    {48, 364, 134},	// QsciDocument::QsciDocument
    {48, 365, 135},	// QsciDocument::QsciDocument#
    {48, 996, 136},	// QsciDocument::operator=#
    {48, 1361, 137},	// QsciDocument::~QsciDocument
    {49, 366, 199},	// QsciLexer::QsciLexer
    {49, 367, 145},	// QsciLexer::QsciLexer#
    {49, 732, 149},	// QsciLexer::apis
    {49, 739, 150},	// QsciLexer::autoCompletionFillups
    {49, 747, 151},	// QsciLexer::autoCompletionWordSeparators
    {49, 749, 152},	// QsciLexer::autoIndentStyle
    {49, 753, 200},	// QsciLexer::blockEnd
    {49, 754, 153},	// QsciLexer::blockEnd$
    {49, 755, 154},	// QsciLexer::blockLookback
    {49, 756, 201},	// QsciLexer::blockStart
    {49, 757, 155},	// QsciLexer::blockStart$
    {49, 758, 202},	// QsciLexer::blockStartKeyword
    {49, 759, 156},	// QsciLexer::blockStartKeyword$
    {49, 761, 157},	// QsciLexer::braceStyle
    {49, 769, 158},	// QsciLexer::caseSensitive
    {49, 785, 159},	// QsciLexer::color$
    {49, 787, 190},	// QsciLexer::colorChanged#$
    {49, 801, 167},	// QsciLexer::defaultColor
    {49, 802, 168},	// QsciLexer::defaultColor$
    {49, 804, 169},	// QsciLexer::defaultEolFill$
    {49, 805, 170},	// QsciLexer::defaultFont
    {49, 806, 171},	// QsciLexer::defaultFont$
    {49, 807, 172},	// QsciLexer::defaultPaper
    {49, 808, 173},	// QsciLexer::defaultPaper$
    {49, 810, 164},	// QsciLexer::defaultStyle
    {49, 812, 165},	// QsciLexer::description$
    {49, 828, 174},	// QsciLexer::editor
    {49, 837, 160},	// QsciLexer::eolFill$
    {49, 839, 191},	// QsciLexer::eolFillChanged$$
    {49, 877, 161},	// QsciLexer::font$
    {49, 880, 192},	// QsciLexer::fontChanged#$
    {49, 895, 162},	// QsciLexer::indentationGuideView
    {49, 924, 163},	// QsciLexer::keywords$
    {49, 925, 146},	// QsciLexer::language
    {49, 930, 147},	// QsciLexer::lexer
    {49, 931, 148},	// QsciLexer::lexerId
    {49, 979, 138},	// QsciLexer::metaObject
    {49, 1002, 166},	// QsciLexer::paper$
    {49, 1004, 193},	// QsciLexer::paperChanged#$
    {49, 1016, 194},	// QsciLexer::propertyChanged$$
    {49, 1018, 144},	// QsciLexer::qt_metacall$$?
    {49, 1020, 139},	// QsciLexer::qt_metacast$
    {49, 1024, 195},	// QsciLexer::readProperties#$
    {49, 1026, 203},	// QsciLexer::readSettings#
    {49, 1027, 180},	// QsciLexer::readSettings#$
    {49, 1033, 181},	// QsciLexer::refreshProperties
    {49, 1059, 175},	// QsciLexer::setAPIs#
    {49, 1083, 185},	// QsciLexer::setAutoIndentStyle$
    {49, 1113, 205},	// QsciLexer::setColor#
    {49, 1114, 186},	// QsciLexer::setColor#$
    {49, 1118, 176},	// QsciLexer::setDefaultColor#
    {49, 1120, 177},	// QsciLexer::setDefaultFont#
    {49, 1122, 178},	// QsciLexer::setDefaultPaper#
    {49, 1136, 179},	// QsciLexer::setEditor#
    {49, 1138, 206},	// QsciLexer::setEolFill$
    {49, 1139, 187},	// QsciLexer::setEolFill$$
    {49, 1174, 207},	// QsciLexer::setFont#
    {49, 1175, 188},	// QsciLexer::setFont#$
    {49, 1234, 208},	// QsciLexer::setPaper#
    {49, 1235, 189},	// QsciLexer::setPaper#$
    {49, 1297, 209},	// QsciLexer::staticMetaObject
    {49, 1299, 182},	// QsciLexer::styleBitsNeeded
    {49, 1316, 197},	// QsciLexer::tr$
    {49, 1317, 140},	// QsciLexer::tr$$
    {49, 1318, 142},	// QsciLexer::tr$$$
    {49, 1320, 198},	// QsciLexer::trUtf8$
    {49, 1321, 141},	// QsciLexer::trUtf8$$
    {49, 1322, 143},	// QsciLexer::trUtf8$$$
    {49, 1342, 183},	// QsciLexer::wordCharacters
    {49, 1347, 196},	// QsciLexer::writeProperties#$
    {49, 1349, 204},	// QsciLexer::writeSettings#
    {49, 1350, 184},	// QsciLexer::writeSettings#$
    {49, 1362, 210},	// QsciLexer::~QsciLexer
    {50, 81, 251},	// QsciLexerBash::Backticks
    {50, 123, 242},	// QsciLexerBash::Comment
    {50, 143, 240},	// QsciLexerBash::Default
    {50, 153, 245},	// QsciLexerBash::DoubleQuotedString
    {50, 170, 241},	// QsciLexerBash::Error
    {50, 198, 252},	// QsciLexerBash::HereDocumentDelimiter
    {50, 206, 248},	// QsciLexerBash::Identifier
    {50, 229, 244},	// QsciLexerBash::Keyword
    {50, 291, 243},	// QsciLexerBash::Number
    {50, 295, 247},	// QsciLexerBash::Operator
    {50, 313, 250},	// QsciLexerBash::ParameterExpansion
    {50, 368, 238},	// QsciLexerBash::QsciLexerBash
    {50, 369, 218},	// QsciLexerBash::QsciLexerBash#
    {50, 615, 249},	// QsciLexerBash::Scalar
    {50, 632, 253},	// QsciLexerBash::SingleQuotedHereDocument
    {50, 633, 246},	// QsciLexerBash::SingleQuotedString
    {50, 761, 221},	// QsciLexerBash::braceStyle
    {50, 802, 223},	// QsciLexerBash::defaultColor$
    {50, 804, 224},	// QsciLexerBash::defaultEolFill$
    {50, 806, 225},	// QsciLexerBash::defaultFont$
    {50, 808, 226},	// QsciLexerBash::defaultPaper$
    {50, 812, 228},	// QsciLexerBash::description$
    {50, 864, 230},	// QsciLexerBash::foldComments
    {50, 865, 231},	// QsciLexerBash::foldCompact
    {50, 924, 227},	// QsciLexerBash::keywords$
    {50, 925, 219},	// QsciLexerBash::language
    {50, 930, 220},	// QsciLexerBash::lexer
    {50, 979, 211},	// QsciLexerBash::metaObject
    {50, 1018, 217},	// QsciLexerBash::qt_metacall$$?
    {50, 1020, 212},	// QsciLexerBash::qt_metacast$
    {50, 1024, 234},	// QsciLexerBash::readProperties#$
    {50, 1033, 229},	// QsciLexerBash::refreshProperties
    {50, 1151, 232},	// QsciLexerBash::setFoldComments$
    {50, 1153, 233},	// QsciLexerBash::setFoldCompact$
    {50, 1297, 239},	// QsciLexerBash::staticMetaObject
    {50, 1316, 236},	// QsciLexerBash::tr$
    {50, 1317, 213},	// QsciLexerBash::tr$$
    {50, 1318, 215},	// QsciLexerBash::tr$$$
    {50, 1320, 237},	// QsciLexerBash::trUtf8$
    {50, 1321, 214},	// QsciLexerBash::trUtf8$$
    {50, 1322, 216},	// QsciLexerBash::trUtf8$$$
    {50, 1342, 222},	// QsciLexerBash::wordCharacters
    {50, 1347, 235},	// QsciLexerBash::writeProperties#$
    {50, 1363, 254},	// QsciLexerBash::~QsciLexerBash
    {51, 123, 278},	// QsciLexerBatch::Comment
    {51, 143, 277},	// QsciLexerBatch::Default
    {51, 177, 282},	// QsciLexerBatch::ExternalCommand
    {51, 201, 281},	// QsciLexerBatch::HideCommandChar
    {51, 229, 279},	// QsciLexerBatch::Keyword
    {51, 239, 280},	// QsciLexerBatch::Label
    {51, 295, 284},	// QsciLexerBatch::Operator
    {51, 370, 275},	// QsciLexerBatch::QsciLexerBatch
    {51, 371, 262},	// QsciLexerBatch::QsciLexerBatch#
    {51, 699, 283},	// QsciLexerBatch::Variable
    {51, 769, 266},	// QsciLexerBatch::caseSensitive
    {51, 802, 267},	// QsciLexerBatch::defaultColor$
    {51, 804, 268},	// QsciLexerBatch::defaultEolFill$
    {51, 806, 269},	// QsciLexerBatch::defaultFont$
    {51, 808, 270},	// QsciLexerBatch::defaultPaper$
    {51, 812, 272},	// QsciLexerBatch::description$
    {51, 924, 271},	// QsciLexerBatch::keywords$
    {51, 925, 263},	// QsciLexerBatch::language
    {51, 930, 264},	// QsciLexerBatch::lexer
    {51, 979, 255},	// QsciLexerBatch::metaObject
    {51, 1018, 261},	// QsciLexerBatch::qt_metacall$$?
    {51, 1020, 256},	// QsciLexerBatch::qt_metacast$
    {51, 1297, 276},	// QsciLexerBatch::staticMetaObject
    {51, 1316, 273},	// QsciLexerBatch::tr$
    {51, 1317, 257},	// QsciLexerBatch::tr$$
    {51, 1318, 259},	// QsciLexerBatch::tr$$$
    {51, 1320, 274},	// QsciLexerBatch::trUtf8$
    {51, 1321, 258},	// QsciLexerBatch::trUtf8$$
    {51, 1322, 260},	// QsciLexerBatch::trUtf8$$$
    {51, 1342, 265},	// QsciLexerBatch::wordCharacters
    {51, 1364, 285},	// QsciLexerBatch::~QsciLexerBatch
    {52, 86, 320},	// QsciLexerCMake::BlockForeach
    {52, 87, 321},	// QsciLexerCMake::BlockIf
    {52, 88, 322},	// QsciLexerCMake::BlockMacro
    {52, 89, 319},	// QsciLexerCMake::BlockWhile
    {52, 123, 311},	// QsciLexerCMake::Comment
    {52, 143, 310},	// QsciLexerCMake::Default
    {52, 183, 315},	// QsciLexerCMake::Function
    {52, 233, 318},	// QsciLexerCMake::KeywordSet3
    {52, 239, 317},	// QsciLexerCMake::Label
    {52, 291, 324},	// QsciLexerCMake::Number
    {52, 372, 308},	// QsciLexerCMake::QsciLexerCMake
    {52, 373, 293},	// QsciLexerCMake::QsciLexerCMake#
    {52, 647, 312},	// QsciLexerCMake::String
    {52, 648, 313},	// QsciLexerCMake::StringLeftQuote
    {52, 649, 314},	// QsciLexerCMake::StringRightQuote
    {52, 651, 323},	// QsciLexerCMake::StringVariable
    {52, 699, 316},	// QsciLexerCMake::Variable
    {52, 802, 296},	// QsciLexerCMake::defaultColor$
    {52, 806, 297},	// QsciLexerCMake::defaultFont$
    {52, 808, 298},	// QsciLexerCMake::defaultPaper$
    {52, 812, 300},	// QsciLexerCMake::description$
    {52, 862, 302},	// QsciLexerCMake::foldAtElse
    {52, 924, 299},	// QsciLexerCMake::keywords$
    {52, 925, 294},	// QsciLexerCMake::language
    {52, 930, 295},	// QsciLexerCMake::lexer
    {52, 979, 286},	// QsciLexerCMake::metaObject
    {52, 1018, 292},	// QsciLexerCMake::qt_metacall$$?
    {52, 1020, 287},	// QsciLexerCMake::qt_metacast$
    {52, 1024, 304},	// QsciLexerCMake::readProperties#$
    {52, 1033, 301},	// QsciLexerCMake::refreshProperties
    {52, 1147, 303},	// QsciLexerCMake::setFoldAtElse$
    {52, 1297, 309},	// QsciLexerCMake::staticMetaObject
    {52, 1316, 306},	// QsciLexerCMake::tr$
    {52, 1317, 288},	// QsciLexerCMake::tr$$
    {52, 1318, 290},	// QsciLexerCMake::tr$$$
    {52, 1320, 307},	// QsciLexerCMake::trUtf8$
    {52, 1321, 289},	// QsciLexerCMake::trUtf8$$
    {52, 1322, 291},	// QsciLexerCMake::trUtf8$$$
    {52, 1347, 305},	// QsciLexerCMake::writeProperties#$
    {52, 1365, 325},	// QsciLexerCMake::~QsciLexerCMake
    {53, 123, 372},	// QsciLexerCPP::Comment
    {53, 126, 374},	// QsciLexerCPP::CommentDoc
    {53, 127, 388},	// QsciLexerCPP::CommentDocKeyword
    {53, 128, 389},	// QsciLexerCPP::CommentDocKeywordError
    {53, 129, 373},	// QsciLexerCPP::CommentLine
    {53, 130, 386},	// QsciLexerCPP::CommentLineDoc
    {53, 143, 371},	// QsciLexerCPP::Default
    {53, 153, 377},	// QsciLexerCPP::DoubleQuotedString
    {53, 186, 390},	// QsciLexerCPP::GlobalClass
    {53, 206, 382},	// QsciLexerCPP::Identifier
    {53, 229, 376},	// QsciLexerCPP::Keyword
    {53, 232, 387},	// QsciLexerCPP::KeywordSet2
    {53, 291, 375},	// QsciLexerCPP::Number
    {53, 295, 381},	// QsciLexerCPP::Operator
    {53, 331, 380},	// QsciLexerCPP::PreProcessor
    {53, 374, 365},	// QsciLexerCPP::QsciLexerCPP
    {53, 375, 366},	// QsciLexerCPP::QsciLexerCPP#
    {53, 376, 333},	// QsciLexerCPP::QsciLexerCPP#$
    {53, 462, 385},	// QsciLexerCPP::Regex
    {53, 633, 378},	// QsciLexerCPP::SingleQuotedString
    {53, 682, 379},	// QsciLexerCPP::UUID
    {53, 683, 383},	// QsciLexerCPP::UnclosedString
    {53, 700, 384},	// QsciLexerCPP::VerbatimString
    {53, 747, 336},	// QsciLexerCPP::autoCompletionWordSeparators
    {53, 753, 367},	// QsciLexerCPP::blockEnd
    {53, 754, 337},	// QsciLexerCPP::blockEnd$
    {53, 756, 368},	// QsciLexerCPP::blockStart
    {53, 757, 338},	// QsciLexerCPP::blockStart$
    {53, 758, 369},	// QsciLexerCPP::blockStartKeyword
    {53, 759, 339},	// QsciLexerCPP::blockStartKeyword$
    {53, 761, 340},	// QsciLexerCPP::braceStyle
    {53, 802, 342},	// QsciLexerCPP::defaultColor$
    {53, 804, 343},	// QsciLexerCPP::defaultEolFill$
    {53, 806, 344},	// QsciLexerCPP::defaultFont$
    {53, 808, 345},	// QsciLexerCPP::defaultPaper$
    {53, 812, 347},	// QsciLexerCPP::description$
    {53, 816, 355},	// QsciLexerCPP::dollarsAllowed
    {53, 862, 349},	// QsciLexerCPP::foldAtElse
    {53, 864, 350},	// QsciLexerCPP::foldComments
    {53, 865, 351},	// QsciLexerCPP::foldCompact
    {53, 871, 352},	// QsciLexerCPP::foldPreprocessor
    {53, 924, 346},	// QsciLexerCPP::keywords$
    {53, 925, 334},	// QsciLexerCPP::language
    {53, 930, 335},	// QsciLexerCPP::lexer
    {53, 979, 326},	// QsciLexerCPP::metaObject
    {53, 1018, 332},	// QsciLexerCPP::qt_metacall$$?
    {53, 1020, 327},	// QsciLexerCPP::qt_metacast$
    {53, 1024, 361},	// QsciLexerCPP::readProperties#$
    {53, 1033, 348},	// QsciLexerCPP::refreshProperties
    {53, 1128, 354},	// QsciLexerCPP::setDollarsAllowed$
    {53, 1147, 356},	// QsciLexerCPP::setFoldAtElse$
    {53, 1151, 357},	// QsciLexerCPP::setFoldComments$
    {53, 1153, 358},	// QsciLexerCPP::setFoldCompact$
    {53, 1163, 359},	// QsciLexerCPP::setFoldPreprocessor$
    {53, 1251, 360},	// QsciLexerCPP::setStylePreprocessor$
    {53, 1297, 370},	// QsciLexerCPP::staticMetaObject
    {53, 1301, 353},	// QsciLexerCPP::stylePreprocessor
    {53, 1316, 363},	// QsciLexerCPP::tr$
    {53, 1317, 328},	// QsciLexerCPP::tr$$
    {53, 1318, 330},	// QsciLexerCPP::tr$$$
    {53, 1320, 364},	// QsciLexerCPP::trUtf8$
    {53, 1321, 329},	// QsciLexerCPP::trUtf8$$
    {53, 1322, 331},	// QsciLexerCPP::trUtf8$$$
    {53, 1342, 341},	// QsciLexerCPP::wordCharacters
    {53, 1347, 362},	// QsciLexerCPP::writeProperties#$
    {53, 1366, 391},	// QsciLexerCPP::~QsciLexerCPP
    {54, 65, 434},	// QsciLexerCSS::AtRule
    {54, 66, 438},	// QsciLexerCSS::Attribute
    {54, 100, 428},	// QsciLexerCSS::CSS1Property
    {54, 101, 437},	// QsciLexerCSS::CSS2Property
    {54, 102, 439},	// QsciLexerCSS::CSS3Property
    {54, 118, 424},	// QsciLexerCSS::ClassSelector
    {54, 123, 431},	// QsciLexerCSS::Comment
    {54, 143, 422},	// QsciLexerCSS::Default
    {54, 153, 435},	// QsciLexerCSS::DoubleQuotedString
    {54, 173, 441},	// QsciLexerCSS::ExtendedCSSProperty
    {54, 175, 442},	// QsciLexerCSS::ExtendedPseudoClass
    {54, 176, 443},	// QsciLexerCSS::ExtendedPseudoElement
    {54, 204, 432},	// QsciLexerCSS::IDSelector
    {54, 210, 433},	// QsciLexerCSS::Important
    {54, 295, 427},	// QsciLexerCSS::Operator
    {54, 338, 425},	// QsciLexerCSS::PseudoClass
    {54, 339, 440},	// QsciLexerCSS::PseudoElement
    {54, 377, 418},	// QsciLexerCSS::QsciLexerCSS
    {54, 378, 399},	// QsciLexerCSS::QsciLexerCSS#
    {54, 633, 436},	// QsciLexerCSS::SingleQuotedString
    {54, 667, 423},	// QsciLexerCSS::Tag
    {54, 685, 429},	// QsciLexerCSS::UnknownProperty
    {54, 686, 426},	// QsciLexerCSS::UnknownPseudoClass
    {54, 698, 430},	// QsciLexerCSS::Value
    {54, 753, 419},	// QsciLexerCSS::blockEnd
    {54, 754, 402},	// QsciLexerCSS::blockEnd$
    {54, 756, 420},	// QsciLexerCSS::blockStart
    {54, 757, 403},	// QsciLexerCSS::blockStart$
    {54, 802, 405},	// QsciLexerCSS::defaultColor$
    {54, 806, 406},	// QsciLexerCSS::defaultFont$
    {54, 812, 408},	// QsciLexerCSS::description$
    {54, 864, 410},	// QsciLexerCSS::foldComments
    {54, 865, 411},	// QsciLexerCSS::foldCompact
    {54, 924, 407},	// QsciLexerCSS::keywords$
    {54, 925, 400},	// QsciLexerCSS::language
    {54, 930, 401},	// QsciLexerCSS::lexer
    {54, 979, 392},	// QsciLexerCSS::metaObject
    {54, 1018, 398},	// QsciLexerCSS::qt_metacall$$?
    {54, 1020, 393},	// QsciLexerCSS::qt_metacast$
    {54, 1024, 414},	// QsciLexerCSS::readProperties#$
    {54, 1033, 409},	// QsciLexerCSS::refreshProperties
    {54, 1151, 412},	// QsciLexerCSS::setFoldComments$
    {54, 1153, 413},	// QsciLexerCSS::setFoldCompact$
    {54, 1297, 421},	// QsciLexerCSS::staticMetaObject
    {54, 1316, 416},	// QsciLexerCSS::tr$
    {54, 1317, 394},	// QsciLexerCSS::tr$$
    {54, 1318, 396},	// QsciLexerCSS::tr$$$
    {54, 1320, 417},	// QsciLexerCSS::trUtf8$
    {54, 1321, 395},	// QsciLexerCSS::trUtf8$$
    {54, 1322, 397},	// QsciLexerCSS::trUtf8$$$
    {54, 1342, 404},	// QsciLexerCSS::wordCharacters
    {54, 1347, 415},	// QsciLexerCSS::writeProperties#$
    {54, 1367, 444},	// QsciLexerCSS::~QsciLexerCSS
    {55, 379, 462},	// QsciLexerCSharp::QsciLexerCSharp
    {55, 380, 452},	// QsciLexerCSharp::QsciLexerCSharp#
    {55, 802, 454},	// QsciLexerCSharp::defaultColor$
    {55, 804, 455},	// QsciLexerCSharp::defaultEolFill$
    {55, 806, 456},	// QsciLexerCSharp::defaultFont$
    {55, 808, 457},	// QsciLexerCSharp::defaultPaper$
    {55, 812, 459},	// QsciLexerCSharp::description$
    {55, 924, 458},	// QsciLexerCSharp::keywords$
    {55, 925, 453},	// QsciLexerCSharp::language
    {55, 979, 445},	// QsciLexerCSharp::metaObject
    {55, 1018, 451},	// QsciLexerCSharp::qt_metacall$$?
    {55, 1020, 446},	// QsciLexerCSharp::qt_metacast$
    {55, 1297, 463},	// QsciLexerCSharp::staticMetaObject
    {55, 1316, 460},	// QsciLexerCSharp::tr$
    {55, 1317, 447},	// QsciLexerCSharp::tr$$
    {55, 1318, 449},	// QsciLexerCSharp::tr$$$
    {55, 1320, 461},	// QsciLexerCSharp::trUtf8$
    {55, 1321, 448},	// QsciLexerCSharp::trUtf8$$
    {55, 1322, 450},	// QsciLexerCSharp::trUtf8$$$
    {55, 1368, 464},	// QsciLexerCSharp::~QsciLexerCSharp
    {56, 381, 481},	// QsciLexerCustom::QsciLexerCustom
    {56, 382, 472},	// QsciLexerCustom::QsciLexerCustom#
    {56, 979, 465},	// QsciLexerCustom::metaObject
    {56, 1018, 471},	// QsciLexerCustom::qt_metacall$$?
    {56, 1020, 466},	// QsciLexerCustom::qt_metacast$
    {56, 1136, 477},	// QsciLexerCustom::setEditor#
    {56, 1253, 474},	// QsciLexerCustom::setStyling$#
    {56, 1254, 473},	// QsciLexerCustom::setStyling$$
    {56, 1295, 482},	// QsciLexerCustom::startStyling$
    {56, 1296, 475},	// QsciLexerCustom::startStyling$$
    {56, 1297, 483},	// QsciLexerCustom::staticMetaObject
    {56, 1299, 478},	// QsciLexerCustom::styleBitsNeeded
    {56, 1303, 476},	// QsciLexerCustom::styleText$$
    {56, 1316, 479},	// QsciLexerCustom::tr$
    {56, 1317, 467},	// QsciLexerCustom::tr$$
    {56, 1318, 469},	// QsciLexerCustom::tr$$$
    {56, 1320, 480},	// QsciLexerCustom::trUtf8$
    {56, 1321, 468},	// QsciLexerCustom::trUtf8$$
    {56, 1322, 470},	// QsciLexerCustom::trUtf8$$$
    {56, 1369, 484},	// QsciLexerCustom::~QsciLexerCustom
    {57, 108, 535},	// QsciLexerD::Character
    {57, 123, 524},	// QsciLexerD::Comment
    {57, 126, 526},	// QsciLexerD::CommentDoc
    {57, 127, 539},	// QsciLexerD::CommentDocKeyword
    {57, 128, 540},	// QsciLexerD::CommentDocKeywordError
    {57, 129, 525},	// QsciLexerD::CommentLine
    {57, 130, 538},	// QsciLexerD::CommentLineDoc
    {57, 132, 527},	// QsciLexerD::CommentNested
    {57, 143, 523},	// QsciLexerD::Default
    {57, 206, 537},	// QsciLexerD::Identifier
    {57, 229, 529},	// QsciLexerD::Keyword
    {57, 230, 531},	// QsciLexerD::KeywordDoc
    {57, 231, 530},	// QsciLexerD::KeywordSecondary
    {57, 291, 528},	// QsciLexerD::Number
    {57, 295, 536},	// QsciLexerD::Operator
    {57, 383, 518},	// QsciLexerD::QsciLexerD
    {57, 384, 492},	// QsciLexerD::QsciLexerD#
    {57, 647, 533},	// QsciLexerD::String
    {57, 680, 532},	// QsciLexerD::Typedefs
    {57, 683, 534},	// QsciLexerD::UnclosedString
    {57, 747, 495},	// QsciLexerD::autoCompletionWordSeparators
    {57, 753, 519},	// QsciLexerD::blockEnd
    {57, 754, 496},	// QsciLexerD::blockEnd$
    {57, 756, 520},	// QsciLexerD::blockStart
    {57, 757, 497},	// QsciLexerD::blockStart$
    {57, 758, 521},	// QsciLexerD::blockStartKeyword
    {57, 759, 498},	// QsciLexerD::blockStartKeyword$
    {57, 761, 499},	// QsciLexerD::braceStyle
    {57, 802, 501},	// QsciLexerD::defaultColor$
    {57, 804, 502},	// QsciLexerD::defaultEolFill$
    {57, 806, 503},	// QsciLexerD::defaultFont$
    {57, 808, 504},	// QsciLexerD::defaultPaper$
    {57, 812, 506},	// QsciLexerD::description$
    {57, 862, 508},	// QsciLexerD::foldAtElse
    {57, 864, 509},	// QsciLexerD::foldComments
    {57, 865, 510},	// QsciLexerD::foldCompact
    {57, 924, 505},	// QsciLexerD::keywords$
    {57, 925, 493},	// QsciLexerD::language
    {57, 930, 494},	// QsciLexerD::lexer
    {57, 979, 485},	// QsciLexerD::metaObject
    {57, 1018, 491},	// QsciLexerD::qt_metacall$$?
    {57, 1020, 486},	// QsciLexerD::qt_metacast$
    {57, 1024, 514},	// QsciLexerD::readProperties#$
    {57, 1033, 507},	// QsciLexerD::refreshProperties
    {57, 1147, 511},	// QsciLexerD::setFoldAtElse$
    {57, 1151, 512},	// QsciLexerD::setFoldComments$
    {57, 1153, 513},	// QsciLexerD::setFoldCompact$
    {57, 1297, 522},	// QsciLexerD::staticMetaObject
    {57, 1316, 516},	// QsciLexerD::tr$
    {57, 1317, 487},	// QsciLexerD::tr$$
    {57, 1318, 489},	// QsciLexerD::tr$$$
    {57, 1320, 517},	// QsciLexerD::trUtf8$
    {57, 1321, 488},	// QsciLexerD::trUtf8$$
    {57, 1322, 490},	// QsciLexerD::trUtf8$$$
    {57, 1342, 500},	// QsciLexerD::wordCharacters
    {57, 1347, 515},	// QsciLexerD::writeProperties#$
    {57, 1370, 541},	// QsciLexerD::~QsciLexerD
    {58, 122, 561},	// QsciLexerDiff::Command
    {58, 123, 560},	// QsciLexerDiff::Comment
    {58, 143, 559},	// QsciLexerDiff::Default
    {58, 196, 562},	// QsciLexerDiff::Header
    {58, 268, 565},	// QsciLexerDiff::LineAdded
    {58, 269, 566},	// QsciLexerDiff::LineChanged
    {58, 271, 564},	// QsciLexerDiff::LineRemoved
    {58, 329, 563},	// QsciLexerDiff::Position
    {58, 385, 557},	// QsciLexerDiff::QsciLexerDiff
    {58, 386, 549},	// QsciLexerDiff::QsciLexerDiff#
    {58, 802, 553},	// QsciLexerDiff::defaultColor$
    {58, 812, 554},	// QsciLexerDiff::description$
    {58, 925, 550},	// QsciLexerDiff::language
    {58, 930, 551},	// QsciLexerDiff::lexer
    {58, 979, 542},	// QsciLexerDiff::metaObject
    {58, 1018, 548},	// QsciLexerDiff::qt_metacall$$?
    {58, 1020, 543},	// QsciLexerDiff::qt_metacast$
    {58, 1297, 558},	// QsciLexerDiff::staticMetaObject
    {58, 1316, 555},	// QsciLexerDiff::tr$
    {58, 1317, 544},	// QsciLexerDiff::tr$$
    {58, 1318, 546},	// QsciLexerDiff::tr$$$
    {58, 1320, 556},	// QsciLexerDiff::trUtf8$
    {58, 1321, 545},	// QsciLexerDiff::trUtf8$$
    {58, 1322, 547},	// QsciLexerDiff::trUtf8$$$
    {58, 1342, 552},	// QsciLexerDiff::wordCharacters
    {58, 1371, 567},	// QsciLexerDiff::~QsciLexerDiff
    {59, 387, 581},	// QsciLexerFortran::QsciLexerFortran
    {59, 388, 575},	// QsciLexerFortran::QsciLexerFortran#
    {59, 924, 578},	// QsciLexerFortran::keywords$
    {59, 925, 576},	// QsciLexerFortran::language
    {59, 930, 577},	// QsciLexerFortran::lexer
    {59, 979, 568},	// QsciLexerFortran::metaObject
    {59, 1018, 574},	// QsciLexerFortran::qt_metacall$$?
    {59, 1020, 569},	// QsciLexerFortran::qt_metacast$
    {59, 1297, 582},	// QsciLexerFortran::staticMetaObject
    {59, 1316, 579},	// QsciLexerFortran::tr$
    {59, 1317, 570},	// QsciLexerFortran::tr$$
    {59, 1318, 572},	// QsciLexerFortran::tr$$$
    {59, 1320, 580},	// QsciLexerFortran::trUtf8$
    {59, 1321, 571},	// QsciLexerFortran::trUtf8$$
    {59, 1322, 573},	// QsciLexerFortran::trUtf8$$$
    {59, 1372, 583},	// QsciLexerFortran::~QsciLexerFortran
    {60, 123, 611},	// QsciLexerFortran77::Comment
    {60, 134, 624},	// QsciLexerFortran77::Continuation
    {60, 143, 610},	// QsciLexerFortran77::Default
    {60, 151, 622},	// QsciLexerFortran77::DottedOperator
    {60, 153, 614},	// QsciLexerFortran77::DoubleQuotedString
    {60, 174, 620},	// QsciLexerFortran77::ExtendedFunction
    {60, 206, 617},	// QsciLexerFortran77::Identifier
    {60, 214, 619},	// QsciLexerFortran77::IntrinsicFunction
    {60, 229, 618},	// QsciLexerFortran77::Keyword
    {60, 239, 623},	// QsciLexerFortran77::Label
    {60, 291, 612},	// QsciLexerFortran77::Number
    {60, 295, 616},	// QsciLexerFortran77::Operator
    {60, 331, 621},	// QsciLexerFortran77::PreProcessor
    {60, 389, 608},	// QsciLexerFortran77::QsciLexerFortran77
    {60, 390, 591},	// QsciLexerFortran77::QsciLexerFortran77#
    {60, 633, 613},	// QsciLexerFortran77::SingleQuotedString
    {60, 683, 615},	// QsciLexerFortran77::UnclosedString
    {60, 761, 594},	// QsciLexerFortran77::braceStyle
    {60, 802, 595},	// QsciLexerFortran77::defaultColor$
    {60, 804, 596},	// QsciLexerFortran77::defaultEolFill$
    {60, 806, 597},	// QsciLexerFortran77::defaultFont$
    {60, 808, 598},	// QsciLexerFortran77::defaultPaper$
    {60, 812, 600},	// QsciLexerFortran77::description$
    {60, 865, 602},	// QsciLexerFortran77::foldCompact
    {60, 924, 599},	// QsciLexerFortran77::keywords$
    {60, 925, 592},	// QsciLexerFortran77::language
    {60, 930, 593},	// QsciLexerFortran77::lexer
    {60, 979, 584},	// QsciLexerFortran77::metaObject
    {60, 1018, 590},	// QsciLexerFortran77::qt_metacall$$?
    {60, 1020, 585},	// QsciLexerFortran77::qt_metacast$
    {60, 1024, 604},	// QsciLexerFortran77::readProperties#$
    {60, 1033, 601},	// QsciLexerFortran77::refreshProperties
    {60, 1153, 603},	// QsciLexerFortran77::setFoldCompact$
    {60, 1297, 609},	// QsciLexerFortran77::staticMetaObject
    {60, 1316, 606},	// QsciLexerFortran77::tr$
    {60, 1317, 586},	// QsciLexerFortran77::tr$$
    {60, 1318, 588},	// QsciLexerFortran77::tr$$$
    {60, 1320, 607},	// QsciLexerFortran77::trUtf8$
    {60, 1321, 587},	// QsciLexerFortran77::trUtf8$$
    {60, 1322, 589},	// QsciLexerFortran77::trUtf8$$$
    {60, 1347, 605},	// QsciLexerFortran77::writeProperties#$
    {60, 1373, 625},	// QsciLexerFortran77::~QsciLexerFortran77
    {61, 11, 675},	// QsciLexerHTML::ASPAtStart
    {61, 12, 707},	// QsciLexerHTML::ASPJavaScriptComment
    {61, 13, 709},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {61, 14, 708},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {61, 15, 706},	// QsciLexerHTML::ASPJavaScriptDefault
    {61, 16, 713},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {61, 17, 712},	// QsciLexerHTML::ASPJavaScriptKeyword
    {61, 18, 710},	// QsciLexerHTML::ASPJavaScriptNumber
    {61, 19, 717},	// QsciLexerHTML::ASPJavaScriptRegex
    {61, 20, 714},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {61, 21, 705},	// QsciLexerHTML::ASPJavaScriptStart
    {61, 22, 715},	// QsciLexerHTML::ASPJavaScriptSymbol
    {61, 23, 716},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {61, 24, 711},	// QsciLexerHTML::ASPJavaScriptWord
    {61, 25, 756},	// QsciLexerHTML::ASPPythonClassName
    {61, 26, 749},	// QsciLexerHTML::ASPPythonComment
    {61, 27, 748},	// QsciLexerHTML::ASPPythonDefault
    {61, 28, 751},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {61, 29, 757},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {61, 30, 759},	// QsciLexerHTML::ASPPythonIdentifier
    {61, 31, 753},	// QsciLexerHTML::ASPPythonKeyword
    {61, 32, 750},	// QsciLexerHTML::ASPPythonNumber
    {61, 33, 758},	// QsciLexerHTML::ASPPythonOperator
    {61, 34, 752},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {61, 35, 747},	// QsciLexerHTML::ASPPythonStart
    {61, 36, 755},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {61, 37, 754},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {61, 38, 676},	// QsciLexerHTML::ASPStart
    {61, 39, 728},	// QsciLexerHTML::ASPVBScriptComment
    {61, 40, 727},	// QsciLexerHTML::ASPVBScriptDefault
    {61, 41, 732},	// QsciLexerHTML::ASPVBScriptIdentifier
    {61, 42, 730},	// QsciLexerHTML::ASPVBScriptKeyword
    {61, 43, 729},	// QsciLexerHTML::ASPVBScriptNumber
    {61, 44, 726},	// QsciLexerHTML::ASPVBScriptStart
    {61, 45, 731},	// QsciLexerHTML::ASPVBScriptString
    {61, 46, 733},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {61, 47, 680},	// QsciLexerHTML::ASPXCComment
    {61, 66, 663},	// QsciLexerHTML::Attribute
    {61, 99, 677},	// QsciLexerHTML::CDATA
    {61, 143, 660},	// QsciLexerHTML::Default
    {61, 164, 670},	// QsciLexerHTML::Entity
    {61, 190, 669},	// QsciLexerHTML::HTMLComment
    {61, 191, 666},	// QsciLexerHTML::HTMLDoubleQuotedString
    {61, 192, 665},	// QsciLexerHTML::HTMLNumber
    {61, 193, 667},	// QsciLexerHTML::HTMLSingleQuotedString
    {61, 194, 679},	// QsciLexerHTML::HTMLValue
    {61, 216, 694},	// QsciLexerHTML::JavaScriptComment
    {61, 217, 696},	// QsciLexerHTML::JavaScriptCommentDoc
    {61, 218, 695},	// QsciLexerHTML::JavaScriptCommentLine
    {61, 219, 693},	// QsciLexerHTML::JavaScriptDefault
    {61, 220, 700},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {61, 221, 699},	// QsciLexerHTML::JavaScriptKeyword
    {61, 222, 697},	// QsciLexerHTML::JavaScriptNumber
    {61, 223, 704},	// QsciLexerHTML::JavaScriptRegex
    {61, 224, 701},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {61, 225, 692},	// QsciLexerHTML::JavaScriptStart
    {61, 226, 702},	// QsciLexerHTML::JavaScriptSymbol
    {61, 227, 703},	// QsciLexerHTML::JavaScriptUnclosedString
    {61, 228, 698},	// QsciLexerHTML::JavaScriptWord
    {61, 297, 668},	// QsciLexerHTML::OtherInTag
    {61, 298, 766},	// QsciLexerHTML::PHPComment
    {61, 299, 767},	// QsciLexerHTML::PHPCommentLine
    {61, 300, 760},	// QsciLexerHTML::PHPDefault
    {61, 301, 761},	// QsciLexerHTML::PHPDoubleQuotedString
    {61, 302, 768},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {61, 303, 763},	// QsciLexerHTML::PHPKeyword
    {61, 304, 764},	// QsciLexerHTML::PHPNumber
    {61, 305, 769},	// QsciLexerHTML::PHPOperator
    {61, 306, 762},	// QsciLexerHTML::PHPSingleQuotedString
    {61, 307, 678},	// QsciLexerHTML::PHPStart
    {61, 308, 765},	// QsciLexerHTML::PHPVariable
    {61, 340, 743},	// QsciLexerHTML::PythonClassName
    {61, 341, 736},	// QsciLexerHTML::PythonComment
    {61, 342, 735},	// QsciLexerHTML::PythonDefault
    {61, 343, 738},	// QsciLexerHTML::PythonDoubleQuotedString
    {61, 344, 744},	// QsciLexerHTML::PythonFunctionMethodName
    {61, 345, 746},	// QsciLexerHTML::PythonIdentifier
    {61, 346, 740},	// QsciLexerHTML::PythonKeyword
    {61, 347, 737},	// QsciLexerHTML::PythonNumber
    {61, 348, 745},	// QsciLexerHTML::PythonOperator
    {61, 349, 739},	// QsciLexerHTML::PythonSingleQuotedString
    {61, 350, 734},	// QsciLexerHTML::PythonStart
    {61, 351, 742},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {61, 352, 741},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {61, 391, 658},	// QsciLexerHTML::QsciLexerHTML
    {61, 392, 633},	// QsciLexerHTML::QsciLexerHTML#
    {61, 604, 691},	// QsciLexerHTML::SGMLBlockDefault
    {61, 605, 682},	// QsciLexerHTML::SGMLCommand
    {61, 606, 689},	// QsciLexerHTML::SGMLComment
    {61, 607, 681},	// QsciLexerHTML::SGMLDefault
    {61, 608, 684},	// QsciLexerHTML::SGMLDoubleQuotedString
    {61, 609, 688},	// QsciLexerHTML::SGMLEntity
    {61, 610, 686},	// QsciLexerHTML::SGMLError
    {61, 611, 683},	// QsciLexerHTML::SGMLParameter
    {61, 612, 690},	// QsciLexerHTML::SGMLParameterComment
    {61, 613, 685},	// QsciLexerHTML::SGMLSingleQuotedString
    {61, 614, 687},	// QsciLexerHTML::SGMLSpecial
    {61, 617, 674},	// QsciLexerHTML::Script
    {61, 667, 661},	// QsciLexerHTML::Tag
    {61, 684, 664},	// QsciLexerHTML::UnknownAttribute
    {61, 687, 662},	// QsciLexerHTML::UnknownTag
    {61, 689, 720},	// QsciLexerHTML::VBScriptComment
    {61, 690, 719},	// QsciLexerHTML::VBScriptDefault
    {61, 691, 724},	// QsciLexerHTML::VBScriptIdentifier
    {61, 692, 722},	// QsciLexerHTML::VBScriptKeyword
    {61, 693, 721},	// QsciLexerHTML::VBScriptNumber
    {61, 694, 718},	// QsciLexerHTML::VBScriptStart
    {61, 695, 723},	// QsciLexerHTML::VBScriptString
    {61, 696, 725},	// QsciLexerHTML::VBScriptUnclosedString
    {61, 712, 673},	// QsciLexerHTML::XMLEnd
    {61, 713, 672},	// QsciLexerHTML::XMLStart
    {61, 714, 671},	// QsciLexerHTML::XMLTagEnd
    {61, 770, 646},	// QsciLexerHTML::caseSensitiveTags
    {61, 802, 637},	// QsciLexerHTML::defaultColor$
    {61, 804, 638},	// QsciLexerHTML::defaultEolFill$
    {61, 806, 639},	// QsciLexerHTML::defaultFont$
    {61, 808, 640},	// QsciLexerHTML::defaultPaper$
    {61, 812, 642},	// QsciLexerHTML::description$
    {61, 865, 644},	// QsciLexerHTML::foldCompact
    {61, 871, 645},	// QsciLexerHTML::foldPreprocessor
    {61, 873, 648},	// QsciLexerHTML::foldScriptComments
    {61, 874, 650},	// QsciLexerHTML::foldScriptHeredocs
    {61, 924, 641},	// QsciLexerHTML::keywords$
    {61, 925, 634},	// QsciLexerHTML::language
    {61, 930, 635},	// QsciLexerHTML::lexer
    {61, 979, 626},	// QsciLexerHTML::metaObject
    {61, 1018, 632},	// QsciLexerHTML::qt_metacall$$?
    {61, 1020, 627},	// QsciLexerHTML::qt_metacast$
    {61, 1024, 654},	// QsciLexerHTML::readProperties#$
    {61, 1033, 643},	// QsciLexerHTML::refreshProperties
    {61, 1109, 653},	// QsciLexerHTML::setCaseSensitiveTags$
    {61, 1153, 651},	// QsciLexerHTML::setFoldCompact$
    {61, 1163, 652},	// QsciLexerHTML::setFoldPreprocessor$
    {61, 1167, 647},	// QsciLexerHTML::setFoldScriptComments$
    {61, 1169, 649},	// QsciLexerHTML::setFoldScriptHeredocs$
    {61, 1297, 659},	// QsciLexerHTML::staticMetaObject
    {61, 1316, 656},	// QsciLexerHTML::tr$
    {61, 1317, 628},	// QsciLexerHTML::tr$$
    {61, 1318, 630},	// QsciLexerHTML::tr$$$
    {61, 1320, 657},	// QsciLexerHTML::trUtf8$
    {61, 1321, 629},	// QsciLexerHTML::trUtf8$$
    {61, 1322, 631},	// QsciLexerHTML::trUtf8$$$
    {61, 1342, 636},	// QsciLexerHTML::wordCharacters
    {61, 1347, 655},	// QsciLexerHTML::writeProperties#$
    {61, 1374, 770},	// QsciLexerHTML::~QsciLexerHTML
    {62, 393, 785},	// QsciLexerIDL::QsciLexerIDL
    {62, 394, 778},	// QsciLexerIDL::QsciLexerIDL#
    {62, 802, 780},	// QsciLexerIDL::defaultColor$
    {62, 812, 782},	// QsciLexerIDL::description$
    {62, 924, 781},	// QsciLexerIDL::keywords$
    {62, 925, 779},	// QsciLexerIDL::language
    {62, 979, 771},	// QsciLexerIDL::metaObject
    {62, 1018, 777},	// QsciLexerIDL::qt_metacall$$?
    {62, 1020, 772},	// QsciLexerIDL::qt_metacast$
    {62, 1297, 786},	// QsciLexerIDL::staticMetaObject
    {62, 1316, 783},	// QsciLexerIDL::tr$
    {62, 1317, 773},	// QsciLexerIDL::tr$$
    {62, 1318, 775},	// QsciLexerIDL::tr$$$
    {62, 1320, 784},	// QsciLexerIDL::trUtf8$
    {62, 1321, 774},	// QsciLexerIDL::trUtf8$$
    {62, 1322, 776},	// QsciLexerIDL::trUtf8$$$
    {62, 1375, 787},	// QsciLexerIDL::~QsciLexerIDL
    {63, 395, 800},	// QsciLexerJava::QsciLexerJava
    {63, 396, 795},	// QsciLexerJava::QsciLexerJava#
    {63, 924, 797},	// QsciLexerJava::keywords$
    {63, 925, 796},	// QsciLexerJava::language
    {63, 979, 788},	// QsciLexerJava::metaObject
    {63, 1018, 794},	// QsciLexerJava::qt_metacall$$?
    {63, 1020, 789},	// QsciLexerJava::qt_metacast$
    {63, 1297, 801},	// QsciLexerJava::staticMetaObject
    {63, 1316, 798},	// QsciLexerJava::tr$
    {63, 1317, 790},	// QsciLexerJava::tr$$
    {63, 1318, 792},	// QsciLexerJava::tr$$$
    {63, 1320, 799},	// QsciLexerJava::trUtf8$
    {63, 1321, 791},	// QsciLexerJava::trUtf8$$
    {63, 1322, 793},	// QsciLexerJava::trUtf8$$$
    {63, 1376, 802},	// QsciLexerJava::~QsciLexerJava
    {64, 397, 820},	// QsciLexerJavaScript::QsciLexerJavaScript
    {64, 398, 810},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {64, 802, 812},	// QsciLexerJavaScript::defaultColor$
    {64, 804, 813},	// QsciLexerJavaScript::defaultEolFill$
    {64, 806, 814},	// QsciLexerJavaScript::defaultFont$
    {64, 808, 815},	// QsciLexerJavaScript::defaultPaper$
    {64, 812, 817},	// QsciLexerJavaScript::description$
    {64, 924, 816},	// QsciLexerJavaScript::keywords$
    {64, 925, 811},	// QsciLexerJavaScript::language
    {64, 979, 803},	// QsciLexerJavaScript::metaObject
    {64, 1018, 809},	// QsciLexerJavaScript::qt_metacall$$?
    {64, 1020, 804},	// QsciLexerJavaScript::qt_metacast$
    {64, 1297, 821},	// QsciLexerJavaScript::staticMetaObject
    {64, 1316, 818},	// QsciLexerJavaScript::tr$
    {64, 1317, 805},	// QsciLexerJavaScript::tr$$
    {64, 1318, 807},	// QsciLexerJavaScript::tr$$$
    {64, 1320, 819},	// QsciLexerJavaScript::trUtf8$
    {64, 1321, 806},	// QsciLexerJavaScript::trUtf8$$
    {64, 1322, 808},	// QsciLexerJavaScript::trUtf8$$$
    {64, 1377, 822},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {65, 85, 864},	// QsciLexerLua::BasicFunctions
    {65, 108, 858},	// QsciLexerLua::Character
    {65, 123, 853},	// QsciLexerLua::Comment
    {65, 135, 866},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {65, 143, 852},	// QsciLexerLua::Default
    {65, 206, 862},	// QsciLexerLua::Identifier
    {65, 229, 856},	// QsciLexerLua::Keyword
    {65, 270, 854},	// QsciLexerLua::LineComment
    {65, 273, 859},	// QsciLexerLua::LiteralString
    {65, 291, 855},	// QsciLexerLua::Number
    {65, 295, 861},	// QsciLexerLua::Operator
    {65, 335, 860},	// QsciLexerLua::Preprocessor
    {65, 399, 849},	// QsciLexerLua::QsciLexerLua
    {65, 400, 830},	// QsciLexerLua::QsciLexerLua#
    {65, 647, 857},	// QsciLexerLua::String
    {65, 650, 865},	// QsciLexerLua::StringTableMathsFunctions
    {65, 683, 863},	// QsciLexerLua::UnclosedString
    {65, 747, 833},	// QsciLexerLua::autoCompletionWordSeparators
    {65, 756, 850},	// QsciLexerLua::blockStart
    {65, 757, 834},	// QsciLexerLua::blockStart$
    {65, 761, 835},	// QsciLexerLua::braceStyle
    {65, 802, 836},	// QsciLexerLua::defaultColor$
    {65, 804, 837},	// QsciLexerLua::defaultEolFill$
    {65, 806, 838},	// QsciLexerLua::defaultFont$
    {65, 808, 839},	// QsciLexerLua::defaultPaper$
    {65, 812, 841},	// QsciLexerLua::description$
    {65, 865, 843},	// QsciLexerLua::foldCompact
    {65, 924, 840},	// QsciLexerLua::keywords$
    {65, 925, 831},	// QsciLexerLua::language
    {65, 930, 832},	// QsciLexerLua::lexer
    {65, 979, 823},	// QsciLexerLua::metaObject
    {65, 1018, 829},	// QsciLexerLua::qt_metacall$$?
    {65, 1020, 824},	// QsciLexerLua::qt_metacast$
    {65, 1024, 845},	// QsciLexerLua::readProperties#$
    {65, 1033, 842},	// QsciLexerLua::refreshProperties
    {65, 1153, 844},	// QsciLexerLua::setFoldCompact$
    {65, 1297, 851},	// QsciLexerLua::staticMetaObject
    {65, 1316, 847},	// QsciLexerLua::tr$
    {65, 1317, 825},	// QsciLexerLua::tr$$
    {65, 1318, 827},	// QsciLexerLua::tr$$$
    {65, 1320, 848},	// QsciLexerLua::trUtf8$
    {65, 1321, 826},	// QsciLexerLua::trUtf8$$
    {65, 1322, 828},	// QsciLexerLua::trUtf8$$$
    {65, 1347, 846},	// QsciLexerLua::writeProperties#$
    {65, 1378, 867},	// QsciLexerLua::~QsciLexerLua
    {66, 123, 889},	// QsciLexerMakefile::Comment
    {66, 143, 888},	// QsciLexerMakefile::Default
    {66, 170, 894},	// QsciLexerMakefile::Error
    {66, 295, 892},	// QsciLexerMakefile::Operator
    {66, 335, 890},	// QsciLexerMakefile::Preprocessor
    {66, 401, 886},	// QsciLexerMakefile::QsciLexerMakefile
    {66, 402, 875},	// QsciLexerMakefile::QsciLexerMakefile#
    {66, 668, 893},	// QsciLexerMakefile::Target
    {66, 699, 891},	// QsciLexerMakefile::Variable
    {66, 802, 879},	// QsciLexerMakefile::defaultColor$
    {66, 804, 880},	// QsciLexerMakefile::defaultEolFill$
    {66, 806, 881},	// QsciLexerMakefile::defaultFont$
    {66, 808, 882},	// QsciLexerMakefile::defaultPaper$
    {66, 812, 883},	// QsciLexerMakefile::description$
    {66, 925, 876},	// QsciLexerMakefile::language
    {66, 930, 877},	// QsciLexerMakefile::lexer
    {66, 979, 868},	// QsciLexerMakefile::metaObject
    {66, 1018, 874},	// QsciLexerMakefile::qt_metacall$$?
    {66, 1020, 869},	// QsciLexerMakefile::qt_metacast$
    {66, 1297, 887},	// QsciLexerMakefile::staticMetaObject
    {66, 1316, 884},	// QsciLexerMakefile::tr$
    {66, 1317, 870},	// QsciLexerMakefile::tr$$
    {66, 1318, 872},	// QsciLexerMakefile::tr$$$
    {66, 1320, 885},	// QsciLexerMakefile::trUtf8$
    {66, 1321, 871},	// QsciLexerMakefile::trUtf8$$
    {66, 1322, 873},	// QsciLexerMakefile::trUtf8$$$
    {66, 1342, 878},	// QsciLexerMakefile::wordCharacters
    {66, 1379, 895},	// QsciLexerMakefile::~QsciLexerMakefile
    {67, 82, 936},	// QsciLexerPOV::BadDirective
    {67, 123, 928},	// QsciLexerPOV::Comment
    {67, 129, 929},	// QsciLexerPOV::CommentLine
    {67, 143, 927},	// QsciLexerPOV::Default
    {67, 149, 935},	// QsciLexerPOV::Directive
    {67, 206, 932},	// QsciLexerPOV::Identifier
    {67, 235, 941},	// QsciLexerPOV::KeywordSet6
    {67, 236, 942},	// QsciLexerPOV::KeywordSet7
    {67, 237, 943},	// QsciLexerPOV::KeywordSet8
    {67, 291, 930},	// QsciLexerPOV::Number
    {67, 293, 937},	// QsciLexerPOV::ObjectsCSGAppearance
    {67, 295, 931},	// QsciLexerPOV::Operator
    {67, 333, 940},	// QsciLexerPOV::PredefinedFunctions
    {67, 334, 939},	// QsciLexerPOV::PredefinedIdentifiers
    {67, 403, 925},	// QsciLexerPOV::QsciLexerPOV
    {67, 404, 903},	// QsciLexerPOV::QsciLexerPOV#
    {67, 647, 933},	// QsciLexerPOV::String
    {67, 681, 938},	// QsciLexerPOV::TypesModifiersItems
    {67, 683, 934},	// QsciLexerPOV::UnclosedString
    {67, 761, 906},	// QsciLexerPOV::braceStyle
    {67, 802, 908},	// QsciLexerPOV::defaultColor$
    {67, 804, 909},	// QsciLexerPOV::defaultEolFill$
    {67, 806, 910},	// QsciLexerPOV::defaultFont$
    {67, 808, 911},	// QsciLexerPOV::defaultPaper$
    {67, 812, 913},	// QsciLexerPOV::description$
    {67, 864, 915},	// QsciLexerPOV::foldComments
    {67, 865, 916},	// QsciLexerPOV::foldCompact
    {67, 866, 917},	// QsciLexerPOV::foldDirectives
    {67, 924, 912},	// QsciLexerPOV::keywords$
    {67, 925, 904},	// QsciLexerPOV::language
    {67, 930, 905},	// QsciLexerPOV::lexer
    {67, 979, 896},	// QsciLexerPOV::metaObject
    {67, 1018, 902},	// QsciLexerPOV::qt_metacall$$?
    {67, 1020, 897},	// QsciLexerPOV::qt_metacast$
    {67, 1024, 921},	// QsciLexerPOV::readProperties#$
    {67, 1033, 914},	// QsciLexerPOV::refreshProperties
    {67, 1151, 918},	// QsciLexerPOV::setFoldComments$
    {67, 1153, 919},	// QsciLexerPOV::setFoldCompact$
    {67, 1155, 920},	// QsciLexerPOV::setFoldDirectives$
    {67, 1297, 926},	// QsciLexerPOV::staticMetaObject
    {67, 1316, 923},	// QsciLexerPOV::tr$
    {67, 1317, 898},	// QsciLexerPOV::tr$$
    {67, 1318, 900},	// QsciLexerPOV::tr$$$
    {67, 1320, 924},	// QsciLexerPOV::trUtf8$
    {67, 1321, 899},	// QsciLexerPOV::trUtf8$$
    {67, 1322, 901},	// QsciLexerPOV::trUtf8$$$
    {67, 1342, 907},	// QsciLexerPOV::wordCharacters
    {67, 1347, 922},	// QsciLexerPOV::writeProperties#$
    {67, 1380, 944},	// QsciLexerPOV::~QsciLexerPOV
    {68, 63, 998},	// QsciLexerPascal::Asm
    {68, 108, 996},	// QsciLexerPascal::Character
    {68, 123, 986},	// QsciLexerPascal::Comment
    {68, 129, 988},	// QsciLexerPascal::CommentLine
    {68, 133, 987},	// QsciLexerPascal::CommentParenthesis
    {68, 143, 984},	// QsciLexerPascal::Default
    {68, 199, 992},	// QsciLexerPascal::HexNumber
    {68, 206, 985},	// QsciLexerPascal::Identifier
    {68, 229, 993},	// QsciLexerPascal::Keyword
    {68, 291, 991},	// QsciLexerPascal::Number
    {68, 295, 997},	// QsciLexerPascal::Operator
    {68, 331, 989},	// QsciLexerPascal::PreProcessor
    {68, 332, 990},	// QsciLexerPascal::PreProcessorParenthesis
    {68, 405, 979},	// QsciLexerPascal::QsciLexerPascal
    {68, 406, 952},	// QsciLexerPascal::QsciLexerPascal#
    {68, 633, 994},	// QsciLexerPascal::SingleQuotedString
    {68, 683, 995},	// QsciLexerPascal::UnclosedString
    {68, 747, 955},	// QsciLexerPascal::autoCompletionWordSeparators
    {68, 753, 980},	// QsciLexerPascal::blockEnd
    {68, 754, 956},	// QsciLexerPascal::blockEnd$
    {68, 756, 981},	// QsciLexerPascal::blockStart
    {68, 757, 957},	// QsciLexerPascal::blockStart$
    {68, 758, 982},	// QsciLexerPascal::blockStartKeyword
    {68, 759, 958},	// QsciLexerPascal::blockStartKeyword$
    {68, 761, 959},	// QsciLexerPascal::braceStyle
    {68, 802, 960},	// QsciLexerPascal::defaultColor$
    {68, 804, 961},	// QsciLexerPascal::defaultEolFill$
    {68, 806, 962},	// QsciLexerPascal::defaultFont$
    {68, 808, 963},	// QsciLexerPascal::defaultPaper$
    {68, 812, 965},	// QsciLexerPascal::description$
    {68, 864, 967},	// QsciLexerPascal::foldComments
    {68, 865, 968},	// QsciLexerPascal::foldCompact
    {68, 871, 969},	// QsciLexerPascal::foldPreprocessor
    {68, 924, 964},	// QsciLexerPascal::keywords$
    {68, 925, 953},	// QsciLexerPascal::language
    {68, 930, 954},	// QsciLexerPascal::lexer
    {68, 979, 945},	// QsciLexerPascal::metaObject
    {68, 1018, 951},	// QsciLexerPascal::qt_metacall$$?
    {68, 1020, 946},	// QsciLexerPascal::qt_metacast$
    {68, 1024, 975},	// QsciLexerPascal::readProperties#$
    {68, 1033, 966},	// QsciLexerPascal::refreshProperties
    {68, 1151, 972},	// QsciLexerPascal::setFoldComments$
    {68, 1153, 973},	// QsciLexerPascal::setFoldCompact$
    {68, 1163, 974},	// QsciLexerPascal::setFoldPreprocessor$
    {68, 1249, 970},	// QsciLexerPascal::setSmartHighlighting$
    {68, 1291, 971},	// QsciLexerPascal::smartHighlighting
    {68, 1297, 983},	// QsciLexerPascal::staticMetaObject
    {68, 1316, 977},	// QsciLexerPascal::tr$
    {68, 1317, 947},	// QsciLexerPascal::tr$$
    {68, 1318, 949},	// QsciLexerPascal::tr$$$
    {68, 1320, 978},	// QsciLexerPascal::trUtf8$
    {68, 1321, 948},	// QsciLexerPascal::trUtf8$$
    {68, 1322, 950},	// QsciLexerPascal::trUtf8$$$
    {68, 1347, 976},	// QsciLexerPascal::writeProperties#$
    {68, 1381, 999},	// QsciLexerPascal::~QsciLexerPascal
    {69, 61, 1045},	// QsciLexerPerl::Array
    {69, 80, 1055},	// QsciLexerPerl::BacktickHereDocument
    {69, 81, 1050},	// QsciLexerPerl::Backticks
    {69, 123, 1036},	// QsciLexerPerl::Comment
    {69, 141, 1051},	// QsciLexerPerl::DataSection
    {69, 143, 1034},	// QsciLexerPerl::Default
    {69, 152, 1054},	// QsciLexerPerl::DoubleQuotedHereDocument
    {69, 153, 1040},	// QsciLexerPerl::DoubleQuotedString
    {69, 170, 1035},	// QsciLexerPerl::Error
    {69, 181, 1064},	// QsciLexerPerl::FormatBody
    {69, 182, 1063},	// QsciLexerPerl::FormatIdentifier
    {69, 195, 1046},	// QsciLexerPerl::Hash
    {69, 198, 1052},	// QsciLexerPerl::HereDocumentDelimiter
    {69, 206, 1043},	// QsciLexerPerl::Identifier
    {69, 229, 1039},	// QsciLexerPerl::Keyword
    {69, 291, 1038},	// QsciLexerPerl::Number
    {69, 295, 1042},	// QsciLexerPerl::Operator
    {69, 309, 1037},	// QsciLexerPerl::POD
    {69, 310, 1061},	// QsciLexerPerl::PODVerbatim
    {69, 407, 1032},	// QsciLexerPerl::QsciLexerPerl
    {69, 408, 1007},	// QsciLexerPerl::QsciLexerPerl#
    {69, 454, 1056},	// QsciLexerPerl::QuotedStringQ
    {69, 455, 1057},	// QsciLexerPerl::QuotedStringQQ
    {69, 456, 1059},	// QsciLexerPerl::QuotedStringQR
    {69, 457, 1060},	// QsciLexerPerl::QuotedStringQW
    {69, 458, 1058},	// QsciLexerPerl::QuotedStringQX
    {69, 462, 1048},	// QsciLexerPerl::Regex
    {69, 615, 1044},	// QsciLexerPerl::Scalar
    {69, 632, 1053},	// QsciLexerPerl::SingleQuotedHereDocument
    {69, 633, 1041},	// QsciLexerPerl::SingleQuotedString
    {69, 653, 1062},	// QsciLexerPerl::SubroutinePrototype
    {69, 654, 1049},	// QsciLexerPerl::Substitution
    {69, 661, 1047},	// QsciLexerPerl::SymbolTable
    {69, 747, 1010},	// QsciLexerPerl::autoCompletionWordSeparators
    {69, 761, 1011},	// QsciLexerPerl::braceStyle
    {69, 802, 1013},	// QsciLexerPerl::defaultColor$
    {69, 804, 1014},	// QsciLexerPerl::defaultEolFill$
    {69, 806, 1015},	// QsciLexerPerl::defaultFont$
    {69, 808, 1016},	// QsciLexerPerl::defaultPaper$
    {69, 812, 1018},	// QsciLexerPerl::description$
    {69, 864, 1020},	// QsciLexerPerl::foldComments
    {69, 865, 1021},	// QsciLexerPerl::foldCompact
    {69, 869, 1025},	// QsciLexerPerl::foldPODBlocks
    {69, 870, 1023},	// QsciLexerPerl::foldPackages
    {69, 924, 1017},	// QsciLexerPerl::keywords$
    {69, 925, 1008},	// QsciLexerPerl::language
    {69, 930, 1009},	// QsciLexerPerl::lexer
    {69, 979, 1000},	// QsciLexerPerl::metaObject
    {69, 1018, 1006},	// QsciLexerPerl::qt_metacall$$?
    {69, 1020, 1001},	// QsciLexerPerl::qt_metacast$
    {69, 1024, 1028},	// QsciLexerPerl::readProperties#$
    {69, 1033, 1019},	// QsciLexerPerl::refreshProperties
    {69, 1151, 1026},	// QsciLexerPerl::setFoldComments$
    {69, 1153, 1027},	// QsciLexerPerl::setFoldCompact$
    {69, 1159, 1024},	// QsciLexerPerl::setFoldPODBlocks$
    {69, 1161, 1022},	// QsciLexerPerl::setFoldPackages$
    {69, 1297, 1033},	// QsciLexerPerl::staticMetaObject
    {69, 1316, 1030},	// QsciLexerPerl::tr$
    {69, 1317, 1002},	// QsciLexerPerl::tr$$
    {69, 1318, 1004},	// QsciLexerPerl::tr$$$
    {69, 1320, 1031},	// QsciLexerPerl::trUtf8$
    {69, 1321, 1003},	// QsciLexerPerl::trUtf8$$
    {69, 1322, 1005},	// QsciLexerPerl::trUtf8$$$
    {69, 1342, 1012},	// QsciLexerPerl::wordCharacters
    {69, 1347, 1029},	// QsciLexerPerl::writeProperties#$
    {69, 1382, 1065},	// QsciLexerPerl::~QsciLexerPerl
    {70, 62, 1106},	// QsciLexerPostScript::ArrayParenthesis
    {70, 83, 1112},	// QsciLexerPostScript::BadStringCharacter
    {70, 84, 1111},	// QsciLexerPostScript::Base85String
    {70, 123, 1098},	// QsciLexerPostScript::Comment
    {70, 139, 1099},	// QsciLexerPostScript::DSCComment
    {70, 140, 1100},	// QsciLexerPostScript::DSCCommentValue
    {70, 143, 1097},	// QsciLexerPostScript::Default
    {70, 147, 1107},	// QsciLexerPostScript::DictionaryParenthesis
    {70, 200, 1110},	// QsciLexerPostScript::HexString
    {70, 209, 1105},	// QsciLexerPostScript::ImmediateEvalLiteral
    {70, 229, 1103},	// QsciLexerPostScript::Keyword
    {70, 272, 1104},	// QsciLexerPostScript::Literal
    {70, 285, 1102},	// QsciLexerPostScript::Name
    {70, 291, 1101},	// QsciLexerPostScript::Number
    {70, 337, 1108},	// QsciLexerPostScript::ProcedureParenthesis
    {70, 409, 1095},	// QsciLexerPostScript::QsciLexerPostScript
    {70, 410, 1073},	// QsciLexerPostScript::QsciLexerPostScript#
    {70, 669, 1109},	// QsciLexerPostScript::Text
    {70, 761, 1076},	// QsciLexerPostScript::braceStyle
    {70, 802, 1077},	// QsciLexerPostScript::defaultColor$
    {70, 806, 1078},	// QsciLexerPostScript::defaultFont$
    {70, 808, 1079},	// QsciLexerPostScript::defaultPaper$
    {70, 812, 1081},	// QsciLexerPostScript::description$
    {70, 862, 1086},	// QsciLexerPostScript::foldAtElse
    {70, 865, 1085},	// QsciLexerPostScript::foldCompact
    {70, 924, 1080},	// QsciLexerPostScript::keywords$
    {70, 925, 1074},	// QsciLexerPostScript::language
    {70, 929, 1084},	// QsciLexerPostScript::level
    {70, 930, 1075},	// QsciLexerPostScript::lexer
    {70, 979, 1066},	// QsciLexerPostScript::metaObject
    {70, 1018, 1072},	// QsciLexerPostScript::qt_metacall$$?
    {70, 1020, 1067},	// QsciLexerPostScript::qt_metacast$
    {70, 1024, 1091},	// QsciLexerPostScript::readProperties#$
    {70, 1033, 1082},	// QsciLexerPostScript::refreshProperties
    {70, 1147, 1090},	// QsciLexerPostScript::setFoldAtElse$
    {70, 1153, 1089},	// QsciLexerPostScript::setFoldCompact$
    {70, 1195, 1088},	// QsciLexerPostScript::setLevel$
    {70, 1264, 1087},	// QsciLexerPostScript::setTokenize$
    {70, 1297, 1096},	// QsciLexerPostScript::staticMetaObject
    {70, 1314, 1083},	// QsciLexerPostScript::tokenize
    {70, 1316, 1093},	// QsciLexerPostScript::tr$
    {70, 1317, 1068},	// QsciLexerPostScript::tr$$
    {70, 1318, 1070},	// QsciLexerPostScript::tr$$$
    {70, 1320, 1094},	// QsciLexerPostScript::trUtf8$
    {70, 1321, 1069},	// QsciLexerPostScript::trUtf8$$
    {70, 1322, 1071},	// QsciLexerPostScript::trUtf8$$$
    {70, 1347, 1092},	// QsciLexerPostScript::writeProperties#$
    {70, 1383, 1113},	// QsciLexerPostScript::~QsciLexerPostScript
    {71, 64, 1142},	// QsciLexerProperties::Assignment
    {71, 123, 1140},	// QsciLexerProperties::Comment
    {71, 143, 1139},	// QsciLexerProperties::Default
    {71, 144, 1143},	// QsciLexerProperties::DefaultValue
    {71, 411, 1137},	// QsciLexerProperties::QsciLexerProperties
    {71, 412, 1121},	// QsciLexerProperties::QsciLexerProperties#
    {71, 618, 1141},	// QsciLexerProperties::Section
    {71, 802, 1125},	// QsciLexerProperties::defaultColor$
    {71, 804, 1126},	// QsciLexerProperties::defaultEolFill$
    {71, 806, 1127},	// QsciLexerProperties::defaultFont$
    {71, 808, 1128},	// QsciLexerProperties::defaultPaper$
    {71, 812, 1129},	// QsciLexerProperties::description$
    {71, 865, 1131},	// QsciLexerProperties::foldCompact
    {71, 925, 1122},	// QsciLexerProperties::language
    {71, 930, 1123},	// QsciLexerProperties::lexer
    {71, 979, 1114},	// QsciLexerProperties::metaObject
    {71, 1018, 1120},	// QsciLexerProperties::qt_metacall$$?
    {71, 1020, 1115},	// QsciLexerProperties::qt_metacast$
    {71, 1024, 1133},	// QsciLexerProperties::readProperties#$
    {71, 1033, 1130},	// QsciLexerProperties::refreshProperties
    {71, 1153, 1132},	// QsciLexerProperties::setFoldCompact$
    {71, 1297, 1138},	// QsciLexerProperties::staticMetaObject
    {71, 1316, 1135},	// QsciLexerProperties::tr$
    {71, 1317, 1116},	// QsciLexerProperties::tr$$
    {71, 1318, 1118},	// QsciLexerProperties::tr$$$
    {71, 1320, 1136},	// QsciLexerProperties::trUtf8$
    {71, 1321, 1117},	// QsciLexerProperties::trUtf8$$
    {71, 1322, 1119},	// QsciLexerProperties::trUtf8$$$
    {71, 1342, 1124},	// QsciLexerProperties::wordCharacters
    {71, 1347, 1134},	// QsciLexerProperties::writeProperties#$
    {71, 1384, 1144},	// QsciLexerProperties::~QsciLexerProperties
    {72, 117, 1194},	// QsciLexerPython::ClassName
    {72, 123, 1187},	// QsciLexerPython::Comment
    {72, 124, 1198},	// QsciLexerPython::CommentBlock
    {72, 142, 1201},	// QsciLexerPython::Decorator
    {72, 143, 1186},	// QsciLexerPython::Default
    {72, 153, 1189},	// QsciLexerPython::DoubleQuotedString
    {72, 184, 1195},	// QsciLexerPython::FunctionMethodName
    {72, 203, 1200},	// QsciLexerPython::HighlightedIdentifier
    {72, 206, 1197},	// QsciLexerPython::Identifier
    {72, 212, 1203},	// QsciLexerPython::Inconsistent
    {72, 229, 1191},	// QsciLexerPython::Keyword
    {72, 290, 1202},	// QsciLexerPython::NoWarning
    {72, 291, 1188},	// QsciLexerPython::Number
    {72, 295, 1196},	// QsciLexerPython::Operator
    {72, 413, 1183},	// QsciLexerPython::QsciLexerPython
    {72, 414, 1152},	// QsciLexerPython::QsciLexerPython#
    {72, 633, 1190},	// QsciLexerPython::SingleQuotedString
    {72, 637, 1205},	// QsciLexerPython::Spaces
    {72, 665, 1206},	// QsciLexerPython::Tabs
    {72, 666, 1204},	// QsciLexerPython::TabsAfterSpaces
    {72, 678, 1193},	// QsciLexerPython::TripleDoubleQuotedString
    {72, 679, 1192},	// QsciLexerPython::TripleSingleQuotedString
    {72, 683, 1199},	// QsciLexerPython::UnclosedString
    {72, 747, 1155},	// QsciLexerPython::autoCompletionWordSeparators
    {72, 755, 1156},	// QsciLexerPython::blockLookback
    {72, 756, 1184},	// QsciLexerPython::blockStart
    {72, 757, 1157},	// QsciLexerPython::blockStart$
    {72, 761, 1158},	// QsciLexerPython::braceStyle
    {72, 802, 1159},	// QsciLexerPython::defaultColor$
    {72, 804, 1160},	// QsciLexerPython::defaultEolFill$
    {72, 806, 1161},	// QsciLexerPython::defaultFont$
    {72, 808, 1162},	// QsciLexerPython::defaultPaper$
    {72, 812, 1165},	// QsciLexerPython::description$
    {72, 864, 1167},	// QsciLexerPython::foldComments
    {72, 872, 1168},	// QsciLexerPython::foldQuotes
    {72, 895, 1163},	// QsciLexerPython::indentationGuideView
    {72, 897, 1169},	// QsciLexerPython::indentationWarning
    {72, 924, 1164},	// QsciLexerPython::keywords$
    {72, 925, 1153},	// QsciLexerPython::language
    {72, 930, 1154},	// QsciLexerPython::lexer
    {72, 979, 1145},	// QsciLexerPython::metaObject
    {72, 1018, 1151},	// QsciLexerPython::qt_metacall$$?
    {72, 1020, 1146},	// QsciLexerPython::qt_metacast$
    {72, 1024, 1179},	// QsciLexerPython::readProperties#$
    {72, 1033, 1166},	// QsciLexerPython::refreshProperties
    {72, 1151, 1176},	// QsciLexerPython::setFoldComments$
    {72, 1165, 1177},	// QsciLexerPython::setFoldQuotes$
    {72, 1187, 1178},	// QsciLexerPython::setIndentationWarning$
    {72, 1272, 1170},	// QsciLexerPython::setV2UnicodeAllowed$
    {72, 1274, 1172},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {72, 1276, 1174},	// QsciLexerPython::setV3BytesAllowed$
    {72, 1297, 1185},	// QsciLexerPython::staticMetaObject
    {72, 1316, 1181},	// QsciLexerPython::tr$
    {72, 1317, 1147},	// QsciLexerPython::tr$$
    {72, 1318, 1149},	// QsciLexerPython::tr$$$
    {72, 1320, 1182},	// QsciLexerPython::trUtf8$
    {72, 1321, 1148},	// QsciLexerPython::trUtf8$$
    {72, 1322, 1150},	// QsciLexerPython::trUtf8$$$
    {72, 1330, 1171},	// QsciLexerPython::v2UnicodeAllowed
    {72, 1331, 1173},	// QsciLexerPython::v3BinaryOctalAllowed
    {72, 1332, 1175},	// QsciLexerPython::v3BytesAllowed
    {72, 1347, 1180},	// QsciLexerPython::writeProperties#$
    {72, 1385, 1207},	// QsciLexerPython::~QsciLexerPython
    {73, 81, 1253},	// QsciLexerRuby::Backticks
    {73, 117, 1243},	// QsciLexerRuby::ClassName
    {73, 119, 1252},	// QsciLexerRuby::ClassVariable
    {73, 123, 1237},	// QsciLexerRuby::Comment
    {73, 141, 1254},	// QsciLexerRuby::DataSection
    {73, 143, 1235},	// QsciLexerRuby::Default
    {73, 145, 1262},	// QsciLexerRuby::DemotedKeyword
    {73, 153, 1241},	// QsciLexerRuby::DoubleQuotedString
    {73, 170, 1236},	// QsciLexerRuby::Error
    {73, 184, 1244},	// QsciLexerRuby::FunctionMethodName
    {73, 185, 1248},	// QsciLexerRuby::Global
    {73, 197, 1256},	// QsciLexerRuby::HereDocument
    {73, 198, 1255},	// QsciLexerRuby::HereDocumentDelimiter
    {73, 206, 1246},	// QsciLexerRuby::Identifier
    {73, 213, 1251},	// QsciLexerRuby::InstanceVariable
    {73, 229, 1240},	// QsciLexerRuby::Keyword
    {73, 282, 1250},	// QsciLexerRuby::ModuleName
    {73, 291, 1239},	// QsciLexerRuby::Number
    {73, 295, 1245},	// QsciLexerRuby::Operator
    {73, 309, 1238},	// QsciLexerRuby::POD
    {73, 315, 1258},	// QsciLexerRuby::PercentStringQ
    {73, 316, 1257},	// QsciLexerRuby::PercentStringq
    {73, 317, 1260},	// QsciLexerRuby::PercentStringr
    {73, 318, 1261},	// QsciLexerRuby::PercentStringw
    {73, 319, 1259},	// QsciLexerRuby::PercentStringx
    {73, 415, 1230},	// QsciLexerRuby::QsciLexerRuby
    {73, 416, 1215},	// QsciLexerRuby::QsciLexerRuby#
    {73, 462, 1247},	// QsciLexerRuby::Regex
    {73, 633, 1242},	// QsciLexerRuby::SingleQuotedString
    {73, 643, 1265},	// QsciLexerRuby::Stderr
    {73, 644, 1263},	// QsciLexerRuby::Stdin
    {73, 645, 1264},	// QsciLexerRuby::Stdout
    {73, 657, 1249},	// QsciLexerRuby::Symbol
    {73, 753, 1231},	// QsciLexerRuby::blockEnd
    {73, 754, 1218},	// QsciLexerRuby::blockEnd$
    {73, 756, 1232},	// QsciLexerRuby::blockStart
    {73, 757, 1219},	// QsciLexerRuby::blockStart$
    {73, 758, 1233},	// QsciLexerRuby::blockStartKeyword
    {73, 759, 1220},	// QsciLexerRuby::blockStartKeyword$
    {73, 761, 1221},	// QsciLexerRuby::braceStyle
    {73, 802, 1222},	// QsciLexerRuby::defaultColor$
    {73, 804, 1223},	// QsciLexerRuby::defaultEolFill$
    {73, 806, 1224},	// QsciLexerRuby::defaultFont$
    {73, 808, 1225},	// QsciLexerRuby::defaultPaper$
    {73, 812, 1227},	// QsciLexerRuby::description$
    {73, 924, 1226},	// QsciLexerRuby::keywords$
    {73, 925, 1216},	// QsciLexerRuby::language
    {73, 930, 1217},	// QsciLexerRuby::lexer
    {73, 979, 1208},	// QsciLexerRuby::metaObject
    {73, 1018, 1214},	// QsciLexerRuby::qt_metacall$$?
    {73, 1020, 1209},	// QsciLexerRuby::qt_metacast$
    {73, 1297, 1234},	// QsciLexerRuby::staticMetaObject
    {73, 1316, 1228},	// QsciLexerRuby::tr$
    {73, 1317, 1210},	// QsciLexerRuby::tr$$
    {73, 1318, 1212},	// QsciLexerRuby::tr$$$
    {73, 1320, 1229},	// QsciLexerRuby::trUtf8$
    {73, 1321, 1211},	// QsciLexerRuby::trUtf8$$
    {73, 1322, 1213},	// QsciLexerRuby::trUtf8$$$
    {73, 1386, 1266},	// QsciLexerRuby::~QsciLexerRuby
    {74, 123, 1298},	// QsciLexerSQL::Comment
    {74, 126, 1300},	// QsciLexerSQL::CommentDoc
    {74, 127, 1311},	// QsciLexerSQL::CommentDocKeyword
    {74, 128, 1312},	// QsciLexerSQL::CommentDocKeywordError
    {74, 129, 1299},	// QsciLexerSQL::CommentLine
    {74, 131, 1310},	// QsciLexerSQL::CommentLineHash
    {74, 143, 1297},	// QsciLexerSQL::Default
    {74, 153, 1303},	// QsciLexerSQL::DoubleQuotedString
    {74, 206, 1308},	// QsciLexerSQL::Identifier
    {74, 229, 1302},	// QsciLexerSQL::Keyword
    {74, 234, 1313},	// QsciLexerSQL::KeywordSet5
    {74, 235, 1314},	// QsciLexerSQL::KeywordSet6
    {74, 236, 1315},	// QsciLexerSQL::KeywordSet7
    {74, 237, 1316},	// QsciLexerSQL::KeywordSet8
    {74, 291, 1301},	// QsciLexerSQL::Number
    {74, 295, 1307},	// QsciLexerSQL::Operator
    {74, 324, 1309},	// QsciLexerSQL::PlusComment
    {74, 325, 1305},	// QsciLexerSQL::PlusKeyword
    {74, 326, 1306},	// QsciLexerSQL::PlusPrompt
    {74, 417, 1295},	// QsciLexerSQL::QsciLexerSQL
    {74, 418, 1274},	// QsciLexerSQL::QsciLexerSQL#
    {74, 633, 1304},	// QsciLexerSQL::SingleQuotedString
    {74, 750, 1287},	// QsciLexerSQL::backslashEscapes
    {74, 761, 1277},	// QsciLexerSQL::braceStyle
    {74, 802, 1278},	// QsciLexerSQL::defaultColor$
    {74, 804, 1279},	// QsciLexerSQL::defaultEolFill$
    {74, 806, 1280},	// QsciLexerSQL::defaultFont$
    {74, 808, 1281},	// QsciLexerSQL::defaultPaper$
    {74, 812, 1283},	// QsciLexerSQL::description$
    {74, 864, 1285},	// QsciLexerSQL::foldComments
    {74, 865, 1286},	// QsciLexerSQL::foldCompact
    {74, 924, 1282},	// QsciLexerSQL::keywords$
    {74, 925, 1275},	// QsciLexerSQL::language
    {74, 930, 1276},	// QsciLexerSQL::lexer
    {74, 979, 1267},	// QsciLexerSQL::metaObject
    {74, 1018, 1273},	// QsciLexerSQL::qt_metacall$$?
    {74, 1020, 1268},	// QsciLexerSQL::qt_metacast$
    {74, 1024, 1291},	// QsciLexerSQL::readProperties#$
    {74, 1033, 1284},	// QsciLexerSQL::refreshProperties
    {74, 1085, 1290},	// QsciLexerSQL::setBackslashEscapes$
    {74, 1151, 1288},	// QsciLexerSQL::setFoldComments$
    {74, 1153, 1289},	// QsciLexerSQL::setFoldCompact$
    {74, 1297, 1296},	// QsciLexerSQL::staticMetaObject
    {74, 1316, 1293},	// QsciLexerSQL::tr$
    {74, 1317, 1269},	// QsciLexerSQL::tr$$
    {74, 1318, 1271},	// QsciLexerSQL::tr$$$
    {74, 1320, 1294},	// QsciLexerSQL::trUtf8$
    {74, 1321, 1270},	// QsciLexerSQL::trUtf8$$
    {74, 1322, 1272},	// QsciLexerSQL::trUtf8$$$
    {74, 1347, 1292},	// QsciLexerSQL::writeProperties#$
    {74, 1387, 1317},	// QsciLexerSQL::~QsciLexerSQL
    {75, 123, 1345},	// QsciLexerTCL::Comment
    {75, 124, 1365},	// QsciLexerTCL::CommentBlock
    {75, 125, 1364},	// QsciLexerTCL::CommentBox
    {75, 129, 1346},	// QsciLexerTCL::CommentLine
    {75, 143, 1344},	// QsciLexerTCL::Default
    {75, 172, 1355},	// QsciLexerTCL::ExpandKeyword
    {75, 205, 1358},	// QsciLexerTCL::ITCLKeyword
    {75, 206, 1351},	// QsciLexerTCL::Identifier
    {75, 235, 1360},	// QsciLexerTCL::KeywordSet6
    {75, 236, 1361},	// QsciLexerTCL::KeywordSet7
    {75, 237, 1362},	// QsciLexerTCL::KeywordSet8
    {75, 238, 1363},	// QsciLexerTCL::KeywordSet9
    {75, 281, 1354},	// QsciLexerTCL::Modifier
    {75, 291, 1347},	// QsciLexerTCL::Number
    {75, 295, 1350},	// QsciLexerTCL::Operator
    {75, 419, 1342},	// QsciLexerTCL::QsciLexerTCL
    {75, 420, 1325},	// QsciLexerTCL::QsciLexerTCL#
    {75, 452, 1348},	// QsciLexerTCL::QuotedKeyword
    {75, 453, 1349},	// QsciLexerTCL::QuotedString
    {75, 654, 1352},	// QsciLexerTCL::Substitution
    {75, 655, 1353},	// QsciLexerTCL::SubstitutionBrace
    {75, 663, 1356},	// QsciLexerTCL::TCLKeyword
    {75, 675, 1359},	// QsciLexerTCL::TkCommand
    {75, 676, 1357},	// QsciLexerTCL::TkKeyword
    {75, 761, 1328},	// QsciLexerTCL::braceStyle
    {75, 802, 1329},	// QsciLexerTCL::defaultColor$
    {75, 804, 1330},	// QsciLexerTCL::defaultEolFill$
    {75, 806, 1331},	// QsciLexerTCL::defaultFont$
    {75, 808, 1332},	// QsciLexerTCL::defaultPaper$
    {75, 812, 1334},	// QsciLexerTCL::description$
    {75, 865, 1336},	// QsciLexerTCL::foldCompact
    {75, 924, 1333},	// QsciLexerTCL::keywords$
    {75, 925, 1326},	// QsciLexerTCL::language
    {75, 930, 1327},	// QsciLexerTCL::lexer
    {75, 979, 1318},	// QsciLexerTCL::metaObject
    {75, 1018, 1324},	// QsciLexerTCL::qt_metacall$$?
    {75, 1020, 1319},	// QsciLexerTCL::qt_metacast$
    {75, 1024, 1338},	// QsciLexerTCL::readProperties#$
    {75, 1033, 1335},	// QsciLexerTCL::refreshProperties
    {75, 1153, 1337},	// QsciLexerTCL::setFoldCompact$
    {75, 1297, 1343},	// QsciLexerTCL::staticMetaObject
    {75, 1316, 1340},	// QsciLexerTCL::tr$
    {75, 1317, 1320},	// QsciLexerTCL::tr$$
    {75, 1318, 1322},	// QsciLexerTCL::tr$$$
    {75, 1320, 1341},	// QsciLexerTCL::trUtf8$
    {75, 1321, 1321},	// QsciLexerTCL::trUtf8$$
    {75, 1322, 1323},	// QsciLexerTCL::trUtf8$$$
    {75, 1347, 1339},	// QsciLexerTCL::writeProperties#$
    {75, 1388, 1366},	// QsciLexerTCL::~QsciLexerTCL
    {76, 122, 1389},	// QsciLexerTeX::Command
    {76, 143, 1385},	// QsciLexerTeX::Default
    {76, 188, 1387},	// QsciLexerTeX::Group
    {76, 421, 1383},	// QsciLexerTeX::QsciLexerTeX
    {76, 422, 1374},	// QsciLexerTeX::QsciLexerTeX#
    {76, 638, 1386},	// QsciLexerTeX::Special
    {76, 657, 1388},	// QsciLexerTeX::Symbol
    {76, 669, 1390},	// QsciLexerTeX::Text
    {76, 802, 1378},	// QsciLexerTeX::defaultColor$
    {76, 812, 1380},	// QsciLexerTeX::description$
    {76, 924, 1379},	// QsciLexerTeX::keywords$
    {76, 925, 1375},	// QsciLexerTeX::language
    {76, 930, 1376},	// QsciLexerTeX::lexer
    {76, 979, 1367},	// QsciLexerTeX::metaObject
    {76, 1018, 1373},	// QsciLexerTeX::qt_metacall$$?
    {76, 1020, 1368},	// QsciLexerTeX::qt_metacast$
    {76, 1297, 1384},	// QsciLexerTeX::staticMetaObject
    {76, 1316, 1381},	// QsciLexerTeX::tr$
    {76, 1317, 1369},	// QsciLexerTeX::tr$$
    {76, 1318, 1371},	// QsciLexerTeX::tr$$$
    {76, 1320, 1382},	// QsciLexerTeX::trUtf8$
    {76, 1321, 1370},	// QsciLexerTeX::trUtf8$$
    {76, 1322, 1372},	// QsciLexerTeX::trUtf8$$$
    {76, 1342, 1377},	// QsciLexerTeX::wordCharacters
    {76, 1389, 1391},	// QsciLexerTeX::~QsciLexerTeX
    {77, 66, 1436},	// QsciLexerVHDL::Attribute
    {77, 123, 1427},	// QsciLexerVHDL::Comment
    {77, 129, 1428},	// QsciLexerVHDL::CommentLine
    {77, 143, 1426},	// QsciLexerVHDL::Default
    {77, 206, 1432},	// QsciLexerVHDL::Identifier
    {77, 229, 1434},	// QsciLexerVHDL::Keyword
    {77, 236, 1440},	// QsciLexerVHDL::KeywordSet7
    {77, 291, 1429},	// QsciLexerVHDL::Number
    {77, 295, 1431},	// QsciLexerVHDL::Operator
    {77, 423, 1424},	// QsciLexerVHDL::QsciLexerVHDL
    {77, 424, 1399},	// QsciLexerVHDL::QsciLexerVHDL#
    {77, 639, 1437},	// QsciLexerVHDL::StandardFunction
    {77, 640, 1435},	// QsciLexerVHDL::StandardOperator
    {77, 641, 1438},	// QsciLexerVHDL::StandardPackage
    {77, 642, 1439},	// QsciLexerVHDL::StandardType
    {77, 647, 1430},	// QsciLexerVHDL::String
    {77, 683, 1433},	// QsciLexerVHDL::UnclosedString
    {77, 761, 1402},	// QsciLexerVHDL::braceStyle
    {77, 802, 1403},	// QsciLexerVHDL::defaultColor$
    {77, 804, 1404},	// QsciLexerVHDL::defaultEolFill$
    {77, 806, 1405},	// QsciLexerVHDL::defaultFont$
    {77, 808, 1406},	// QsciLexerVHDL::defaultPaper$
    {77, 812, 1408},	// QsciLexerVHDL::description$
    {77, 861, 1413},	// QsciLexerVHDL::foldAtBegin
    {77, 862, 1412},	// QsciLexerVHDL::foldAtElse
    {77, 863, 1414},	// QsciLexerVHDL::foldAtParenthesis
    {77, 864, 1410},	// QsciLexerVHDL::foldComments
    {77, 865, 1411},	// QsciLexerVHDL::foldCompact
    {77, 924, 1407},	// QsciLexerVHDL::keywords$
    {77, 925, 1400},	// QsciLexerVHDL::language
    {77, 930, 1401},	// QsciLexerVHDL::lexer
    {77, 979, 1392},	// QsciLexerVHDL::metaObject
    {77, 1018, 1398},	// QsciLexerVHDL::qt_metacall$$?
    {77, 1020, 1393},	// QsciLexerVHDL::qt_metacast$
    {77, 1024, 1420},	// QsciLexerVHDL::readProperties#$
    {77, 1033, 1409},	// QsciLexerVHDL::refreshProperties
    {77, 1145, 1418},	// QsciLexerVHDL::setFoldAtBegin$
    {77, 1147, 1417},	// QsciLexerVHDL::setFoldAtElse$
    {77, 1149, 1419},	// QsciLexerVHDL::setFoldAtParenthesis$
    {77, 1151, 1415},	// QsciLexerVHDL::setFoldComments$
    {77, 1153, 1416},	// QsciLexerVHDL::setFoldCompact$
    {77, 1297, 1425},	// QsciLexerVHDL::staticMetaObject
    {77, 1316, 1422},	// QsciLexerVHDL::tr$
    {77, 1317, 1394},	// QsciLexerVHDL::tr$$
    {77, 1318, 1396},	// QsciLexerVHDL::tr$$$
    {77, 1320, 1423},	// QsciLexerVHDL::trUtf8$
    {77, 1321, 1395},	// QsciLexerVHDL::trUtf8$$
    {77, 1322, 1397},	// QsciLexerVHDL::trUtf8$$$
    {77, 1347, 1421},	// QsciLexerVHDL::writeProperties#$
    {77, 1390, 1441},	// QsciLexerVHDL::~QsciLexerVHDL
    {78, 425, 1464},	// QsciLexerXML::QsciLexerXML
    {78, 426, 1449},	// QsciLexerXML::QsciLexerXML#
    {78, 802, 1452},	// QsciLexerXML::defaultColor$
    {78, 804, 1453},	// QsciLexerXML::defaultEolFill$
    {78, 806, 1454},	// QsciLexerXML::defaultFont$
    {78, 808, 1455},	// QsciLexerXML::defaultPaper$
    {78, 924, 1456},	// QsciLexerXML::keywords$
    {78, 925, 1450},	// QsciLexerXML::language
    {78, 930, 1451},	// QsciLexerXML::lexer
    {78, 979, 1442},	// QsciLexerXML::metaObject
    {78, 1018, 1448},	// QsciLexerXML::qt_metacall$$?
    {78, 1020, 1443},	// QsciLexerXML::qt_metacast$
    {78, 1024, 1460},	// QsciLexerXML::readProperties#$
    {78, 1033, 1457},	// QsciLexerXML::refreshProperties
    {78, 1049, 1459},	// QsciLexerXML::scriptsStyled
    {78, 1239, 1458},	// QsciLexerXML::setScriptsStyled$
    {78, 1297, 1465},	// QsciLexerXML::staticMetaObject
    {78, 1316, 1462},	// QsciLexerXML::tr$
    {78, 1317, 1444},	// QsciLexerXML::tr$$
    {78, 1318, 1446},	// QsciLexerXML::tr$$$
    {78, 1320, 1463},	// QsciLexerXML::trUtf8$
    {78, 1321, 1445},	// QsciLexerXML::trUtf8$$
    {78, 1322, 1447},	// QsciLexerXML::trUtf8$$$
    {78, 1347, 1461},	// QsciLexerXML::writeProperties#$
    {78, 1391, 1466},	// QsciLexerXML::~QsciLexerXML
    {79, 123, 1493},	// QsciLexerYAML::Comment
    {79, 143, 1492},	// QsciLexerYAML::Default
    {79, 150, 1498},	// QsciLexerYAML::DocumentDelimiter
    {79, 206, 1494},	// QsciLexerYAML::Identifier
    {79, 229, 1495},	// QsciLexerYAML::Keyword
    {79, 291, 1496},	// QsciLexerYAML::Number
    {79, 295, 1501},	// QsciLexerYAML::Operator
    {79, 427, 1490},	// QsciLexerYAML::QsciLexerYAML
    {79, 428, 1474},	// QsciLexerYAML::QsciLexerYAML#
    {79, 461, 1497},	// QsciLexerYAML::Reference
    {79, 662, 1500},	// QsciLexerYAML::SyntaxErrorMarker
    {79, 670, 1499},	// QsciLexerYAML::TextBlockMarker
    {79, 802, 1477},	// QsciLexerYAML::defaultColor$
    {79, 804, 1478},	// QsciLexerYAML::defaultEolFill$
    {79, 806, 1479},	// QsciLexerYAML::defaultFont$
    {79, 808, 1480},	// QsciLexerYAML::defaultPaper$
    {79, 812, 1482},	// QsciLexerYAML::description$
    {79, 864, 1484},	// QsciLexerYAML::foldComments
    {79, 924, 1481},	// QsciLexerYAML::keywords$
    {79, 925, 1475},	// QsciLexerYAML::language
    {79, 930, 1476},	// QsciLexerYAML::lexer
    {79, 979, 1467},	// QsciLexerYAML::metaObject
    {79, 1018, 1473},	// QsciLexerYAML::qt_metacall$$?
    {79, 1020, 1468},	// QsciLexerYAML::qt_metacast$
    {79, 1024, 1486},	// QsciLexerYAML::readProperties#$
    {79, 1033, 1483},	// QsciLexerYAML::refreshProperties
    {79, 1151, 1485},	// QsciLexerYAML::setFoldComments$
    {79, 1297, 1491},	// QsciLexerYAML::staticMetaObject
    {79, 1316, 1488},	// QsciLexerYAML::tr$
    {79, 1317, 1469},	// QsciLexerYAML::tr$$
    {79, 1318, 1471},	// QsciLexerYAML::tr$$$
    {79, 1320, 1489},	// QsciLexerYAML::trUtf8$
    {79, 1321, 1470},	// QsciLexerYAML::trUtf8$$
    {79, 1322, 1472},	// QsciLexerYAML::trUtf8$$$
    {79, 1347, 1487},	// QsciLexerYAML::writeProperties#$
    {79, 1392, 1502},	// QsciLexerYAML::~QsciLexerYAML
    {80, 430, 1510},	// QsciMacro::QsciMacro#
    {80, 431, 1511},	// QsciMacro::QsciMacro$#
    {80, 774, 1512},	// QsciMacro::clear
    {80, 830, 1517},	// QsciMacro::endRecording
    {80, 941, 1513},	// QsciMacro::load$
    {80, 979, 1503},	// QsciMacro::metaObject
    {80, 1006, 1515},	// QsciMacro::play
    {80, 1018, 1509},	// QsciMacro::qt_metacall$$?
    {80, 1020, 1504},	// QsciMacro::qt_metacast$
    {80, 1046, 1514},	// QsciMacro::save
    {80, 1293, 1516},	// QsciMacro::startRecording
    {80, 1297, 1520},	// QsciMacro::staticMetaObject
    {80, 1316, 1518},	// QsciMacro::tr$
    {80, 1317, 1505},	// QsciMacro::tr$$
    {80, 1318, 1507},	// QsciMacro::tr$$$
    {80, 1320, 1519},	// QsciMacro::trUtf8$
    {80, 1321, 1506},	// QsciMacro::trUtf8$$
    {80, 1322, 1508},	// QsciMacro::trUtf8$$$
    {80, 1393, 1521},	// QsciMacro::~QsciMacro
    {81, 432, 1529},	// QsciPrinter::QsciPrinter
    {81, 433, 1522},	// QsciPrinter::QsciPrinter$
    {81, 882, 1523},	// QsciPrinter::formatPage#$#$
    {81, 944, 1524},	// QsciPrinter::magnification
    {81, 1012, 1530},	// QsciPrinter::printRange#
    {81, 1013, 1531},	// QsciPrinter::printRange#$
    {81, 1014, 1526},	// QsciPrinter::printRange#$$
    {81, 1199, 1525},	// QsciPrinter::setMagnification$
    {81, 1282, 1528},	// QsciPrinter::setWrapMode$
    {81, 1343, 1527},	// QsciPrinter::wrapMode
    {81, 1394, 1532},	// QsciPrinter::~QsciPrinter
    {82, 49, 1782},	// QsciScintilla::AcsAPIs
    {82, 50, 1780},	// QsciScintilla::AcsAll
    {82, 51, 1781},	// QsciScintilla::AcsDocument
    {82, 52, 1779},	// QsciScintilla::AcsNone
    {82, 54, 1775},	// QsciScintilla::AiClosing
    {82, 55, 1773},	// QsciScintilla::AiMaintain
    {82, 56, 1774},	// QsciScintilla::AiOpening
    {82, 58, 1778},	// QsciScintilla::AnnotationBoxed
    {82, 59, 1776},	// QsciScintilla::AnnotationHidden
    {82, 60, 1777},	// QsciScintilla::AnnotationStandard
    {82, 79, 1830},	// QsciScintilla::Background
    {82, 90, 1818},	// QsciScintilla::BottomLeftCorner
    {82, 92, 1799},	// QsciScintilla::BoxedFoldStyle
    {82, 93, 1822},	// QsciScintilla::BoxedMinus
    {82, 94, 1823},	// QsciScintilla::BoxedMinusConnected
    {82, 95, 1820},	// QsciScintilla::BoxedPlus
    {82, 96, 1821},	// QsciScintilla::BoxedPlusConnected
    {82, 97, 1801},	// QsciScintilla::BoxedTreeFoldStyle
    {82, 103, 1789},	// QsciScintilla::CallTipsContext
    {82, 104, 1788},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {82, 105, 1787},	// QsciScintilla::CallTipsNoContext
    {82, 106, 1786},	// QsciScintilla::CallTipsNone
    {82, 110, 1808},	// QsciScintilla::Circle
    {82, 111, 1798},	// QsciScintilla::CircledFoldStyle
    {82, 112, 1828},	// QsciScintilla::CircledMinus
    {82, 113, 1829},	// QsciScintilla::CircledMinusConnected
    {82, 114, 1826},	// QsciScintilla::CircledPlus
    {82, 115, 1827},	// QsciScintilla::CircledPlusConnected
    {82, 116, 1800},	// QsciScintilla::CircledTreeFoldStyle
    {82, 154, 1814},	// QsciScintilla::DownTriangle
    {82, 161, 1792},	// QsciScintilla::EdgeBackground
    {82, 162, 1791},	// QsciScintilla::EdgeLine
    {82, 163, 1790},	// QsciScintilla::EdgeNone
    {82, 167, 1795},	// QsciScintilla::EolMac
    {82, 168, 1794},	// QsciScintilla::EolUnix
    {82, 169, 1793},	// QsciScintilla::EolWindows
    {82, 215, 1813},	// QsciScintilla::Invisible
    {82, 245, 1825},	// QsciScintilla::LeftSideRoundedSplitter
    {82, 246, 1819},	// QsciScintilla::LeftSideSplitter
    {82, 280, 1815},	// QsciScintilla::Minus
    {82, 287, 1783},	// QsciScintilla::NoBraceMatch
    {82, 288, 1796},	// QsciScintilla::NoFoldStyle
    {82, 292, 1805},	// QsciScintilla::NumberMargin
    {82, 322, 1797},	// QsciScintilla::PlainFoldStyle
    {82, 323, 1816},	// QsciScintilla::Plus
    {82, 434, 1750},	// QsciScintilla::QsciScintilla
    {82, 435, 1540},	// QsciScintilla::QsciScintilla#
    {82, 460, 1809},	// QsciScintilla::Rectangle
    {82, 463, 1812},	// QsciScintilla::RightArrow
    {82, 464, 1810},	// QsciScintilla::RightTriangle
    {82, 465, 1824},	// QsciScintilla::RoundedBottomLeftCorner
    {82, 634, 1785},	// QsciScintilla::SloppyBraceMatch
    {82, 636, 1811},	// QsciScintilla::SmallRectangle
    {82, 646, 1784},	// QsciScintilla::StrictBraceMatch
    {82, 658, 1802},	// QsciScintilla::SymbolMargin
    {82, 659, 1804},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {82, 660, 1803},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {82, 671, 1806},	// QsciScintilla::TextMargin
    {82, 672, 1807},	// QsciScintilla::TextMarginRightJustified
    {82, 673, 1831},	// QsciScintilla::ThreeDots
    {82, 674, 1832},	// QsciScintilla::ThreeRightArrows
    {82, 701, 1817},	// QsciScintilla::VerticalLine
    {82, 703, 1838},	// QsciScintilla::WrapCharacter
    {82, 704, 1841},	// QsciScintilla::WrapFlagByBorder
    {82, 705, 1840},	// QsciScintilla::WrapFlagByText
    {82, 706, 1839},	// QsciScintilla::WrapFlagNone
    {82, 707, 1836},	// QsciScintilla::WrapNone
    {82, 708, 1837},	// QsciScintilla::WrapWord
    {82, 709, 1833},	// QsciScintilla::WsInvisible
    {82, 710, 1834},	// QsciScintilla::WsVisible
    {82, 711, 1835},	// QsciScintilla::WsVisibleAfterIndent
    {82, 720, 1544},	// QsciScintilla::annotate$#
    {82, 721, 1543},	// QsciScintilla::annotate$$#
    {82, 722, 1542},	// QsciScintilla::annotate$$$
    {82, 723, 1545},	// QsciScintilla::annotate$?
    {82, 725, 1546},	// QsciScintilla::annotation$
    {82, 726, 1547},	// QsciScintilla::annotationDisplay
    {82, 728, 1541},	// QsciScintilla::apiContext$$$
    {82, 734, 1665},	// QsciScintilla::append$
    {82, 735, 1667},	// QsciScintilla::autoCompleteFromAPIs
    {82, 736, 1666},	// QsciScintilla::autoCompleteFromAll
    {82, 737, 1668},	// QsciScintilla::autoCompleteFromDocument
    {82, 738, 1549},	// QsciScintilla::autoCompletionCaseSensitivity
    {82, 740, 1550},	// QsciScintilla::autoCompletionFillupsEnabled
    {82, 741, 1551},	// QsciScintilla::autoCompletionReplaceWord
    {82, 744, 1552},	// QsciScintilla::autoCompletionShowSingle
    {82, 745, 1553},	// QsciScintilla::autoCompletionSource
    {82, 746, 1554},	// QsciScintilla::autoCompletionThreshold
    {82, 748, 1555},	// QsciScintilla::autoIndent
    {82, 751, 1556},	// QsciScintilla::backspaceUnindents
    {82, 752, 1557},	// QsciScintilla::beginUndoAction
    {82, 760, 1558},	// QsciScintilla::braceMatching
    {82, 762, 1669},	// QsciScintilla::callTip
    {82, 765, 1559},	// QsciScintilla::callTipsStyle
    {82, 766, 1560},	// QsciScintilla::callTipsVisible
    {82, 767, 1561},	// QsciScintilla::cancelList
    {82, 769, 1562},	// QsciScintilla::caseSensitive
    {82, 774, 1670},	// QsciScintilla::clear
    {82, 776, 1751},	// QsciScintilla::clearAnnotations
    {82, 777, 1548},	// QsciScintilla::clearAnnotations$
    {82, 778, 1563},	// QsciScintilla::clearFolds
    {82, 780, 1763},	// QsciScintilla::clearMarginText
    {82, 781, 1642},	// QsciScintilla::clearMarginText$
    {82, 782, 1564},	// QsciScintilla::clearRegisteredImages
    {82, 784, 1565},	// QsciScintilla::color
    {82, 793, 1566},	// QsciScintilla::convertEols$
    {82, 794, 1671},	// QsciScintilla::copy
    {82, 796, 1740},	// QsciScintilla::copyAvailable$
    {82, 798, 1739},	// QsciScintilla::cursorPositionChanged$$
    {82, 800, 1672},	// QsciScintilla::cut
    {82, 815, 1567},	// QsciScintilla::document
    {82, 825, 1569},	// QsciScintilla::edgeColor
    {82, 826, 1570},	// QsciScintilla::edgeColumn
    {82, 827, 1571},	// QsciScintilla::edgeMode
    {82, 831, 1568},	// QsciScintilla::endUndoAction
    {82, 832, 1673},	// QsciScintilla::ensureCursorVisible
    {82, 834, 1674},	// QsciScintilla::ensureLineVisible$
    {82, 840, 1573},	// QsciScintilla::eolMode
    {82, 841, 1574},	// QsciScintilla::eolVisibility
    {82, 846, 1752},	// QsciScintilla::findFirst$$$$$
    {82, 847, 1753},	// QsciScintilla::findFirst$$$$$$
    {82, 848, 1754},	// QsciScintilla::findFirst$$$$$$$
    {82, 849, 1755},	// QsciScintilla::findFirst$$$$$$$$
    {82, 850, 1575},	// QsciScintilla::findFirst$$$$$$$$$
    {82, 851, 1576},	// QsciScintilla::findNext
    {82, 852, 1577},	// QsciScintilla::firstVisibleLine
    {82, 859, 1768},	// QsciScintilla::foldAll
    {82, 860, 1675},	// QsciScintilla::foldAll$
    {82, 868, 1676},	// QsciScintilla::foldLine$
    {82, 875, 1578},	// QsciScintilla::folding
    {82, 884, 1579},	// QsciScintilla::getCursorPosition$$
    {82, 886, 1580},	// QsciScintilla::getSelection$$$$
    {82, 887, 1581},	// QsciScintilla::hasSelectedText
    {82, 892, 1677},	// QsciScintilla::indent$
    {82, 894, 1582},	// QsciScintilla::indentation$
    {82, 896, 1583},	// QsciScintilla::indentationGuides
    {82, 898, 1585},	// QsciScintilla::indentationWidth
    {82, 899, 1584},	// QsciScintilla::indentationsUseTabs
    {82, 904, 1678},	// QsciScintilla::insert$
    {82, 906, 1679},	// QsciScintilla::insertAt$$$
    {82, 908, 1586},	// QsciScintilla::isCallTipActive
    {82, 909, 1587},	// QsciScintilla::isListActive
    {82, 910, 1588},	// QsciScintilla::isModified
    {82, 913, 1589},	// QsciScintilla::isReadOnly
    {82, 914, 1590},	// QsciScintilla::isRedoAvailable
    {82, 915, 1591},	// QsciScintilla::isUndoAvailable
    {82, 916, 1592},	// QsciScintilla::isUtf8
    {82, 918, 1593},	// QsciScintilla::isWordCharacter$
    {82, 928, 1598},	// QsciScintilla::length
    {82, 930, 1599},	// QsciScintilla::lexer
    {82, 933, 1594},	// QsciScintilla::lineAt#
    {82, 935, 1595},	// QsciScintilla::lineIndexFromPosition$$$
    {82, 937, 1596},	// QsciScintilla::lineLength$
    {82, 938, 1597},	// QsciScintilla::lines
    {82, 939, 1741},	// QsciScintilla::linesChanged
    {82, 946, 1742},	// QsciScintilla::marginClicked$$$
    {82, 948, 1600},	// QsciScintilla::marginLineNumbers$
    {82, 950, 1601},	// QsciScintilla::marginMarkerMask$
    {82, 952, 1602},	// QsciScintilla::marginSensitivity$
    {82, 954, 1603},	// QsciScintilla::marginType$
    {82, 956, 1604},	// QsciScintilla::marginWidth$
    {82, 958, 1608},	// QsciScintilla::markerAdd$$
    {82, 960, 1758},	// QsciScintilla::markerDefine#
    {82, 961, 1607},	// QsciScintilla::markerDefine#$
    {82, 962, -3409},	// QsciScintilla::markerDefine$
    {82, 963, -3412},	// QsciScintilla::markerDefine$$
    {82, 965, 1759},	// QsciScintilla::markerDelete$
    {82, 966, 1610},	// QsciScintilla::markerDelete$$
    {82, 967, 1760},	// QsciScintilla::markerDeleteAll
    {82, 968, 1611},	// QsciScintilla::markerDeleteAll$
    {82, 970, 1612},	// QsciScintilla::markerDeleteHandle$
    {82, 972, 1614},	// QsciScintilla::markerFindNext$$
    {82, 974, 1615},	// QsciScintilla::markerFindPrevious$$
    {82, 976, 1613},	// QsciScintilla::markerLine$
    {82, 978, 1609},	// QsciScintilla::markersAtLine$
    {82, 979, 1533},	// QsciScintilla::metaObject
    {82, 982, 1743},	// QsciScintilla::modificationAttempted
    {82, 984, 1744},	// QsciScintilla::modificationChanged$
    {82, 994, 1680},	// QsciScintilla::moveToMatchingBrace
    {82, 1001, 1616},	// QsciScintilla::paper
    {82, 1005, 1681},	// QsciScintilla::paste
    {82, 1009, 1617},	// QsciScintilla::positionFromLineIndex$$
    {82, 1018, 1539},	// QsciScintilla::qt_metacall$$?
    {82, 1020, 1534},	// QsciScintilla::qt_metacast$
    {82, 1022, 1618},	// QsciScintilla::read#
    {82, 1028, 1761},	// QsciScintilla::recolor
    {82, 1029, 1762},	// QsciScintilla::recolor$
    {82, 1030, 1619},	// QsciScintilla::recolor$$
    {82, 1031, 1682},	// QsciScintilla::redo
    {82, 1035, 1620},	// QsciScintilla::registerImage$#
    {82, 1038, 1683},	// QsciScintilla::removeSelectedText
    {82, 1040, 1621},	// QsciScintilla::replace$
    {82, 1041, 1622},	// QsciScintilla::resetFoldMarginColors
    {82, 1042, 1684},	// QsciScintilla::resetSelectionBackgroundColor
    {82, 1043, 1685},	// QsciScintilla::resetSelectionForegroundColor
    {82, 1052, 1769},	// QsciScintilla::selectAll
    {82, 1053, 1686},	// QsciScintilla::selectAll$
    {82, 1054, 1687},	// QsciScintilla::selectToMatchingBrace
    {82, 1055, 1650},	// QsciScintilla::selectedText
    {82, 1056, 1745},	// QsciScintilla::selectionChanged
    {82, 1057, 1651},	// QsciScintilla::selectionToEol
    {82, 1063, 1624},	// QsciScintilla::setAnnotationDisplay$
    {82, 1065, 1688},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {82, 1067, 1626},	// QsciScintilla::setAutoCompletionFillups$
    {82, 1069, 1625},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {82, 1071, 1689},	// QsciScintilla::setAutoCompletionReplaceWord$
    {82, 1073, 1690},	// QsciScintilla::setAutoCompletionShowSingle$
    {82, 1075, 1691},	// QsciScintilla::setAutoCompletionSource$
    {82, 1077, 1692},	// QsciScintilla::setAutoCompletionThreshold$
    {82, 1079, 1627},	// QsciScintilla::setAutoCompletionWordSeparators?
    {82, 1081, 1693},	// QsciScintilla::setAutoIndent$
    {82, 1087, 1695},	// QsciScintilla::setBackspaceUnindents$
    {82, 1089, 1694},	// QsciScintilla::setBraceMatching$
    {82, 1091, 1628},	// QsciScintilla::setCallTipsBackgroundColor#
    {82, 1093, 1629},	// QsciScintilla::setCallTipsForegroundColor#
    {82, 1095, 1630},	// QsciScintilla::setCallTipsHighlightColor#
    {82, 1097, 1631},	// QsciScintilla::setCallTipsStyle$
    {82, 1099, 1632},	// QsciScintilla::setCallTipsVisible$
    {82, 1101, 1696},	// QsciScintilla::setCaretForegroundColor#
    {82, 1103, 1697},	// QsciScintilla::setCaretLineBackgroundColor#
    {82, 1105, 1698},	// QsciScintilla::setCaretLineVisible$
    {82, 1107, 1699},	// QsciScintilla::setCaretWidth$
    {82, 1113, 1700},	// QsciScintilla::setColor#
    {82, 1116, 1701},	// QsciScintilla::setCursorPosition$$
    {82, 1126, 1633},	// QsciScintilla::setDocument#
    {82, 1130, 1634},	// QsciScintilla::setEdgeColor#
    {82, 1132, 1635},	// QsciScintilla::setEdgeColumn$
    {82, 1134, 1636},	// QsciScintilla::setEdgeMode$
    {82, 1141, 1702},	// QsciScintilla::setEolMode$
    {82, 1143, 1703},	// QsciScintilla::setEolVisibility$
    {82, 1157, 1623},	// QsciScintilla::setFoldMarginColors##
    {82, 1171, 1770},	// QsciScintilla::setFolding$
    {82, 1172, 1704},	// QsciScintilla::setFolding$$
    {82, 1174, 1572},	// QsciScintilla::setFont#
    {82, 1179, 1705},	// QsciScintilla::setIndentation$$
    {82, 1181, 1706},	// QsciScintilla::setIndentationGuides$
    {82, 1183, 1707},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {82, 1185, 1708},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {82, 1189, 1710},	// QsciScintilla::setIndentationWidth$
    {82, 1191, 1709},	// QsciScintilla::setIndentationsUseTabs$
    {82, 1196, 1771},	// QsciScintilla::setLexer
    {82, 1197, 1711},	// QsciScintilla::setLexer#
    {82, 1201, 1715},	// QsciScintilla::setMarginLineNumbers$$
    {82, 1203, 1716},	// QsciScintilla::setMarginMarkerMask$$
    {82, 1205, 1717},	// QsciScintilla::setMarginSensitivity$$
    {82, 1207, 1639},	// QsciScintilla::setMarginText$#
    {82, 1208, 1638},	// QsciScintilla::setMarginText$$#
    {82, 1209, 1637},	// QsciScintilla::setMarginText$$$
    {82, 1210, 1640},	// QsciScintilla::setMarginText$?
    {82, 1212, 1641},	// QsciScintilla::setMarginType$$
    {82, 1214, -3415},	// QsciScintilla::setMarginWidth$$
    {82, 1216, 1712},	// QsciScintilla::setMarginsBackgroundColor#
    {82, 1218, 1713},	// QsciScintilla::setMarginsFont#
    {82, 1220, 1714},	// QsciScintilla::setMarginsForegroundColor#
    {82, 1222, 1764},	// QsciScintilla::setMarkerBackgroundColor#
    {82, 1223, 1643},	// QsciScintilla::setMarkerBackgroundColor#$
    {82, 1225, 1765},	// QsciScintilla::setMarkerForegroundColor#
    {82, 1226, 1644},	// QsciScintilla::setMarkerForegroundColor#$
    {82, 1228, 1645},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {82, 1230, 1646},	// QsciScintilla::setMatchedBraceForegroundColor#
    {82, 1232, 1720},	// QsciScintilla::setModified$
    {82, 1234, 1721},	// QsciScintilla::setPaper#
    {82, 1237, 1722},	// QsciScintilla::setReadOnly$
    {82, 1241, 1723},	// QsciScintilla::setSelection$$$$
    {82, 1243, 1724},	// QsciScintilla::setSelectionBackgroundColor#
    {82, 1245, 1725},	// QsciScintilla::setSelectionForegroundColor#
    {82, 1247, 1652},	// QsciScintilla::setSelectionToEol$
    {82, 1256, 1726},	// QsciScintilla::setTabIndents$
    {82, 1258, 1727},	// QsciScintilla::setTabWidth$
    {82, 1260, 1728},	// QsciScintilla::setText$
    {82, 1266, 1647},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {82, 1268, 1648},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {82, 1270, 1729},	// QsciScintilla::setUtf8$
    {82, 1280, 1730},	// QsciScintilla::setWhitespaceVisibility$
    {82, 1282, 1731},	// QsciScintilla::setWrapMode$
    {82, 1284, 1766},	// QsciScintilla::setWrapVisualFlags$
    {82, 1285, 1767},	// QsciScintilla::setWrapVisualFlags$$
    {82, 1286, 1649},	// QsciScintilla::setWrapVisualFlags$$$
    {82, 1289, 1653},	// QsciScintilla::showUserList$?
    {82, 1292, 1654},	// QsciScintilla::standardCommands
    {82, 1297, 1772},	// QsciScintilla::staticMetaObject
    {82, 1304, 1655},	// QsciScintilla::tabIndents
    {82, 1305, 1656},	// QsciScintilla::tabWidth
    {82, 1307, 1657},	// QsciScintilla::text
    {82, 1308, 1658},	// QsciScintilla::text$
    {82, 1310, 1746},	// QsciScintilla::textChanged
    {82, 1312, 1659},	// QsciScintilla::textHeight$
    {82, 1316, 1748},	// QsciScintilla::tr$
    {82, 1317, 1535},	// QsciScintilla::tr$$
    {82, 1318, 1537},	// QsciScintilla::tr$$$
    {82, 1320, 1749},	// QsciScintilla::trUtf8$
    {82, 1321, 1536},	// QsciScintilla::trUtf8$$
    {82, 1322, 1538},	// QsciScintilla::trUtf8$$$
    {82, 1323, 1732},	// QsciScintilla::undo
    {82, 1325, 1733},	// QsciScintilla::unindent$
    {82, 1329, 1747},	// QsciScintilla::userListActivated$$
    {82, 1338, 1660},	// QsciScintilla::whitespaceVisibility
    {82, 1341, 1661},	// QsciScintilla::wordAtPoint#
    {82, 1342, 1662},	// QsciScintilla::wordCharacters
    {82, 1343, 1663},	// QsciScintilla::wrapMode
    {82, 1345, 1664},	// QsciScintilla::write#
    {82, 1352, 1735},	// QsciScintilla::zoomIn
    {82, 1353, 1734},	// QsciScintilla::zoomIn$
    {82, 1354, 1737},	// QsciScintilla::zoomOut
    {82, 1355, 1736},	// QsciScintilla::zoomOut$
    {82, 1357, 1738},	// QsciScintilla::zoomTo$
    {82, 1395, 1842},	// QsciScintilla::~QsciScintilla
    {83, 354, 1865},	// QsciScintillaBase::QSCN_SELCHANGED$
    {83, 436, 1910},	// QsciScintillaBase::QsciScintillaBase
    {83, 437, 1850},	// QsciScintillaBase::QsciScintillaBase#
    {83, 466, 1869},	// QsciScintillaBase::SCEN_CHANGE
    {83, 467, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {83, 468, -36},	// QsciScintillaBase::SCLEX_ADA
    {83, 469, -71},	// QsciScintillaBase::SCLEX_APDL
    {83, 470, -106},	// QsciScintillaBase::SCLEX_ASM
    {83, 471, -141},	// QsciScintillaBase::SCLEX_ASN1
    {83, 472, -176},	// QsciScintillaBase::SCLEX_ASP
    {83, 473, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {83, 474, -246},	// QsciScintillaBase::SCLEX_AU3
    {83, 475, -281},	// QsciScintillaBase::SCLEX_AVE
    {83, 476, -316},	// QsciScintillaBase::SCLEX_BAAN
    {83, 477, -351},	// QsciScintillaBase::SCLEX_BASH
    {83, 478, -386},	// QsciScintillaBase::SCLEX_BATCH
    {83, 479, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {83, 480, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {83, 481, -491},	// QsciScintillaBase::SCLEX_CAML
    {83, 482, -526},	// QsciScintillaBase::SCLEX_CLW
    {83, 483, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {83, 484, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {83, 485, -631},	// QsciScintillaBase::SCLEX_COBOL
    {83, 486, -666},	// QsciScintillaBase::SCLEX_CONF
    {83, 487, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {83, 488, -736},	// QsciScintillaBase::SCLEX_CPP
    {83, 489, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {83, 490, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {83, 491, -841},	// QsciScintillaBase::SCLEX_CSS
    {83, 492, -876},	// QsciScintillaBase::SCLEX_D
    {83, 493, -911},	// QsciScintillaBase::SCLEX_DIFF
    {83, 494, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {83, 495, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {83, 496, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {83, 497, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {83, 498, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {83, 499, -1121},	// QsciScintillaBase::SCLEX_F77
    {83, 500, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {83, 501, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {83, 502, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {83, 503, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {83, 504, -1296},	// QsciScintillaBase::SCLEX_GAP
    {83, 505, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {83, 506, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {83, 507, -1401},	// QsciScintillaBase::SCLEX_HTML
    {83, 508, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {83, 509, -1471},	// QsciScintillaBase::SCLEX_KIX
    {83, 510, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {83, 511, -1541},	// QsciScintillaBase::SCLEX_LISP
    {83, 512, -1576},	// QsciScintillaBase::SCLEX_LOT
    {83, 513, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {83, 514, -1646},	// QsciScintillaBase::SCLEX_LUA
    {83, 515, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {83, 516, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {83, 517, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {83, 518, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {83, 519, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {83, 520, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {83, 521, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {83, 522, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {83, 523, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {83, 524, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {83, 525, -2031},	// QsciScintillaBase::SCLEX_NULL
    {83, 526, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {83, 527, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {83, 528, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {83, 529, -2171},	// QsciScintillaBase::SCLEX_PERL
    {83, 530, -2206},	// QsciScintillaBase::SCLEX_PHP
    {83, 531, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {83, 532, -2276},	// QsciScintillaBase::SCLEX_PLM
    {83, 533, -2311},	// QsciScintillaBase::SCLEX_PO
    {83, 534, -2346},	// QsciScintillaBase::SCLEX_POV
    {83, 535, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {83, 536, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {83, 537, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {83, 538, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {83, 539, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {83, 540, -2556},	// QsciScintillaBase::SCLEX_PS
    {83, 541, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {83, 542, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {83, 543, -2661},	// QsciScintillaBase::SCLEX_R
    {83, 544, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {83, 545, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {83, 546, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {83, 547, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {83, 548, -2836},	// QsciScintillaBase::SCLEX_SML
    {83, 549, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {83, 550, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {83, 551, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {83, 552, -2976},	// QsciScintillaBase::SCLEX_SQL
    {83, 553, -3011},	// QsciScintillaBase::SCLEX_TACL
    {83, 554, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {83, 555, -3081},	// QsciScintillaBase::SCLEX_TAL
    {83, 556, -3116},	// QsciScintillaBase::SCLEX_TCL
    {83, 557, -3151},	// QsciScintillaBase::SCLEX_TEX
    {83, 558, -3186},	// QsciScintillaBase::SCLEX_VB
    {83, 559, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {83, 560, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {83, 561, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {83, 562, -3326},	// QsciScintillaBase::SCLEX_XML
    {83, 563, -3361},	// QsciScintillaBase::SCLEX_YAML
    {83, 564, 1866},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {83, 565, 1867},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {83, 567, 1868},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {83, 569, 1870},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {83, 571, 1871},	// QsciScintillaBase::SCN_CHARADDED$
    {83, 573, 1872},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {83, 575, 1873},	// QsciScintillaBase::SCN_DWELLEND$$$
    {83, 577, 1874},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {83, 579, 1875},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {83, 581, 1876},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {83, 583, 1877},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {83, 585, 1878},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {83, 587, 1879},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {83, 589, 1880},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {83, 591, 1881},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {83, 592, 1882},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {83, 594, 1883},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {83, 595, 1884},	// QsciScintillaBase::SCN_PAINTED
    {83, 596, 1885},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {83, 597, 1886},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {83, 599, 1887},	// QsciScintillaBase::SCN_STYLENEEDED$
    {83, 600, 1888},	// QsciScintillaBase::SCN_UPDATEUI
    {83, 602, 1889},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {83, 603, 1890},	// QsciScintillaBase::SCN_ZOOM
    {83, 621, 1911},	// QsciScintillaBase::SendScintilla$
    {83, 622, 1861},	// QsciScintillaBase::SendScintilla$#
    {83, 623, -3396},	// QsciScintillaBase::SendScintilla$$
    {83, 624, -3401},	// QsciScintillaBase::SendScintilla$$#
    {83, 625, 1862},	// QsciScintillaBase::SendScintilla$$##$$
    {83, 626, -3404},	// QsciScintillaBase::SendScintilla$$$
    {83, 627, 1859},	// QsciScintillaBase::SendScintilla$$$$
    {83, 629, 1864},	// QsciScintillaBase::SendScintillaPtrResult$
    {83, 791, 1891},	// QsciScintillaBase::contextMenuEvent#
    {83, 818, 1892},	// QsciScintillaBase::dragEnterEvent#
    {83, 820, 1893},	// QsciScintillaBase::dragLeaveEvent#
    {83, 822, 1894},	// QsciScintillaBase::dragMoveEvent#
    {83, 824, 1895},	// QsciScintillaBase::dropEvent#
    {83, 854, 1896},	// QsciScintillaBase::focusInEvent#
    {83, 856, 1898},	// QsciScintillaBase::focusNextPrevChild$
    {83, 858, 1897},	// QsciScintillaBase::focusOutEvent#
    {83, 901, 1900},	// QsciScintillaBase::inputMethodEvent#
    {83, 921, 1899},	// QsciScintillaBase::keyPressEvent#
    {83, 979, 1843},	// QsciScintillaBase::metaObject
    {83, 986, 1901},	// QsciScintillaBase::mouseDoubleClickEvent#
    {83, 988, 1902},	// QsciScintillaBase::mouseMoveEvent#
    {83, 990, 1903},	// QsciScintillaBase::mousePressEvent#
    {83, 992, 1904},	// QsciScintillaBase::mouseReleaseEvent#
    {83, 999, 1905},	// QsciScintillaBase::paintEvent#
    {83, 1007, 1851},	// QsciScintillaBase::pool
    {83, 1018, 1849},	// QsciScintillaBase::qt_metacall$$?
    {83, 1020, 1844},	// QsciScintillaBase::qt_metacast$
    {83, 1045, 1906},	// QsciScintillaBase::resizeEvent#
    {83, 1051, 1907},	// QsciScintillaBase::scrollContentsBy$$
    {83, 1297, 1913},	// QsciScintillaBase::staticMetaObject
    {83, 1316, 1908},	// QsciScintillaBase::tr$
    {83, 1317, 1845},	// QsciScintillaBase::tr$$
    {83, 1318, 1847},	// QsciScintillaBase::tr$$$
    {83, 1320, 1909},	// QsciScintillaBase::trUtf8$
    {83, 1321, 1846},	// QsciScintillaBase::trUtf8$$
    {83, 1322, 1848},	// QsciScintillaBase::trUtf8$$$
    {83, 1396, 5212},	// QsciScintillaBase::~QsciScintillaBase
    {84, 275, 5240},	// QsciStyle::LowerCase
    {84, 296, 5238},	// QsciStyle::OriginalCase
    {84, 438, 5236},	// QsciStyle::QsciStyle
    {84, 439, 5235},	// QsciStyle::QsciStyle#
    {84, 440, 5213},	// QsciStyle::QsciStyle$
    {84, 441, 5237},	// QsciStyle::QsciStyle$$###
    {84, 442, 5214},	// QsciStyle::QsciStyle$$###$
    {84, 688, 5239},	// QsciStyle::UpperCase
    {84, 772, 5231},	// QsciStyle::changeable
    {84, 784, 5219},	// QsciStyle::color
    {84, 811, 5217},	// QsciStyle::description
    {84, 836, 5225},	// QsciStyle::eolFill
    {84, 876, 5223},	// QsciStyle::font
    {84, 890, 5233},	// QsciStyle::hotspot
    {84, 1001, 5221},	// QsciStyle::paper
    {84, 1032, 5234},	// QsciStyle::refresh
    {84, 1111, 5230},	// QsciStyle::setChangeable$
    {84, 1113, 5218},	// QsciStyle::setColor#
    {84, 1124, 5216},	// QsciStyle::setDescription$
    {84, 1138, 5224},	// QsciStyle::setEolFill$
    {84, 1174, 5222},	// QsciStyle::setFont#
    {84, 1177, 5232},	// QsciStyle::setHotspot$
    {84, 1234, 5220},	// QsciStyle::setPaper#
    {84, 1262, 5226},	// QsciStyle::setTextCase$
    {84, 1278, 5228},	// QsciStyle::setVisible$
    {84, 1298, 5215},	// QsciStyle::style
    {84, 1309, 5227},	// QsciStyle::textCase
    {84, 1336, 5229},	// QsciStyle::visible
    {84, 1397, 5241},	// QsciStyle::~QsciStyle
    {85, 444, 5246},	// QsciStyledText::QsciStyledText#
    {85, 445, 5243},	// QsciStyledText::QsciStyledText$#
    {85, 446, 5242},	// QsciStyledText::QsciStyledText$$
    {85, 1298, 5245},	// QsciStyledText::style
    {85, 1307, 5244},	// QsciStyledText::text
    {85, 1398, 5247},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 85,
        __smokeqsci::methods, 5248,
        __smokeqsci::methodMaps, 1996,
        __smokeqsci::methodNames, 1398,
        __smokeqsci::types, 226,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
