#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//37
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//51
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//56
    { "QDir::Filter", 28, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDir::SortFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref },	//60
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//96
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//98
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//99
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//101
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//102
    { "QLocale::NumberOption", 37, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//110
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//112
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//113
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//115
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//116
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//123
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//125
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//126
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//128
    { "QUrl::FormattingOption", 56, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//130
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//131
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//132
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForActiveQtModule", 31, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForCoreModule", 31, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDBusModule", 31, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForDeclarativeModule", 31, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForGuiModule", 31, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForHelpModule", 31, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForMultimediaModule", 31, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForNetworkModule", 31, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenGLModule", 31, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForOpenVGModule", 31, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportLightModule", 31, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForQt3SupportModule", 31, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptModule", 31, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForScriptToolsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSqlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForSvgModule", 31, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForTestModule", 31, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForXmlPatternsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//227
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//228
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//229
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//230
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//231
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//234
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//272
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//290
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//291
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//292
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//293
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//294
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//295
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//297
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//298
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//299
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//300
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//301
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//302
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//303
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//307
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//309
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//310
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//311
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//313
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//316
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//318
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//319
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    287, 0,	//1  const char*
    287, 287, 0,	//3  const char*, const char*
    287, 287, 293, 0,	//6  const char*, const char*, int
    104, 293, 318, 0,	//10  QMetaObject::Call, int, void**
    105, 0,	//14  QObject*
    228, 0,	//16  bool
    277, 284, 284, 284, 284, 284, 284, 284, 284, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 284, 284, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 255, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    277, 255, 105, 287, 287, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    277, 255, 105, 287, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    277, 255, 0,	//54  const QString&, const QList<QVariant>&
    277, 277, 287, 238, 105, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    287, 284, 0,	//63  const char*, const QVariant&
    277, 0,	//66  const QString&
    277, 284, 0,	//68  const QString&, const QVariant&
    277, 284, 284, 0,	//71  const QString&, const QVariant&, const QVariant&
    277, 284, 284, 284, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 284, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    277, 284, 284, 284, 284, 284, 284, 284, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 0,	//110  QDBus::CallMode, const QString&
    10, 277, 284, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 277, 284, 284, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 277, 284, 284, 284, 284, 284, 284, 284, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    237, 0,	//162  const QDBusArgument&
    302, 0,	//164  unsigned char
    298, 0,	//166  short
    310, 0,	//168  unsigned short
    293, 0,	//170  int
    305, 0,	//172  unsigned int
    296, 0,	//174  long long
    308, 0,	//176  unsigned long long
    290, 0,	//178  double
    246, 0,	//180  const QDBusVariant&
    243, 0,	//182  const QDBusObjectPath&
    245, 0,	//184  const QDBusSignature&
    278, 0,	//186  const QStringList&
    235, 0,	//188  const QByteArray&
    293, 293, 0,	//190  int, int
    284, 0,	//193  const QVariant&
    303, 0,	//195  unsigned char&
    229, 0,	//197  bool&
    299, 0,	//199  short&
    311, 0,	//201  unsigned short&
    294, 0,	//203  int&
    306, 0,	//205  unsigned int&
    297, 0,	//207  long long&
    309, 0,	//209  unsigned long long&
    291, 0,	//211  double&
    115, 0,	//213  QString&
    52, 0,	//215  QDBusVariant&
    37, 0,	//217  QDBusObjectPath&
    51, 0,	//219  QDBusSignature&
    119, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    238, 0,	//225  const QDBusConnection&
    241, 0,	//227  const QDBusMessage&
    241, 105, 287, 287, 293, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    241, 105, 287, 293, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    241, 10, 293, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    241, 293, 0,	//244  const QDBusMessage&, int
    277, 277, 277, 277, 105, 287, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    277, 277, 277, 277, 277, 105, 287, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    277, 277, 277, 277, 278, 277, 105, 287, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    277, 105, 65, 0,	//271  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    277, 21, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 277, 0,	//278  QDBusConnection::BusType, const QString&
    277, 277, 0,	//281  const QString&, const QString&
    241, 105, 287, 287, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    241, 105, 287, 0,	//289  const QDBusMessage&, QObject*, const char*
    241, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    277, 105, 0,	//296  const QString&, QObject*
    277, 24, 25, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    277, 277, 277, 0,	//303  const QString&, const QString&, const QString&
    240, 241, 0,	//307  const QDBusError&, const QDBusMessage&
    277, 24, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    30, 277, 0,	//313  QDBusError::ErrorType, const QString&
    239, 0,	//316  const QDBusContext&
    30, 0,	//318  QDBusError::ErrorType
    232, 0,	//320  const DBusError*
    240, 0,	//322  const QDBusError&
    277, 277, 277, 238, 105, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    277, 277, 277, 238, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    277, 277, 277, 277, 0,	//335  const QString&, const QString&, const QString&, const QString&
    255, 0,	//340  const QList<QVariant>&
    276, 277, 0,	//342  const QString, const QString&
    293, 314, 316, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 293, 289, 0,	//349  QDBusArgument&, int, const void*
    237, 293, 317, 0,	//353  const QDBusArgument&, int, void*
    242, 0,	//357  const QDBusMetaType&
    244, 0,	//359  const QDBusPendingCall&
    244, 105, 0,	//361  const QDBusPendingCall&, QObject*
    41, 0,	//364  QDBusPendingCallWatcher*
    277, 238, 66, 105, 0,	//366  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    66, 0,	//371  QFlags<QDBusServiceWatcher::WatchModeFlag>
    277, 238, 0,	//373  const QString&, const QDBusConnection&
    277, 238, 66, 0,	//376  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    63, 63, 0,	//380  QFile::Permission, QFile::Permission
    13, 267, 0,	//383  QDBusArgument&, const QPointF&
    13, 254, 0,	//386  QDBusArgument&, const QLineF&
    53, 8, 0,	//389  QDataStream&, QChar&
    59, 69, 0,	//392  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    13, 248, 0,	//395  QDBusArgument&, const QDateTime&
    287, 252, 0,	//398  const char*, const QLatin1String&
    53, 102, 0,	//401  QDataStream&, QLocale&
    13, 269, 0,	//404  QDBusArgument&, const QRectF&
    205, 293, 0,	//407  Qt::WindowType, int
    231, 287, 305, 0,	//410  char*, const char*, unsigned int
    230, 0,	//414  char
    275, 290, 0,	//416  const QSizeF&, double
    56, 253, 0,	//419  QDebug, const QLine&
    235, 287, 0,	//422  const QByteArray&, const char*
    287, 277, 0,	//425  const char*, const QString&
    53, 109, 0,	//428  QDataStream&, QRect&
    50, 50, 0,	//431  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    170, 170, 0,	//434  Qt::ItemFlag, Qt::ItemFlag
    284, 286, 0,	//437  const QVariant&, const QVariantComparisonHelper&
    13, 257, 0,	//440  QDBusArgument&, const QMap<QString,QVariant>&
    56, 72, 0,	//443  QDebug, QFlags<QIODevice::OpenModeFlag>
    273, 273, 0,	//446  const QSize&, const QSize&
    245, 245, 0,	//449  const QDBusSignature&, const QDBusSignature&
    7, 277, 0,	//452  QChar, const QString&
    287, 287, 305, 0,	//455  const char*, const char*, unsigned int
    252, 252, 0,	//459  const QLatin1String&, const QLatin1String&
    280, 280, 0,	//462  const QStringRef&, const QStringRef&
    231, 301, 287, 312, 0,	//465  char*, size_t, const char*, va_list
    267, 267, 0,	//470  const QPointF&, const QPointF&
    277, 280, 0,	//473  const QString&, const QStringRef&
    237, 126, 0,	//476  const QDBusArgument&, QTime&
    277, 7, 0,	//479  const QString&, QChar
    287, 305, 0,	//482  const char*, unsigned int
    53, 60, 0,	//485  QDataStream&, QEasingCurve&
    252, 280, 0,	//488  const QLatin1String&, const QStringRef&
    56, 247, 0,	//491  QDebug, const QDate&
    13, 273, 0,	//494  QDBusArgument&, const QSize&
    195, 195, 0,	//497  Qt::ToolBarArea, Qt::ToolBarArea
    56, 254, 0,	//500  QDebug, const QLineF&
    269, 269, 0,	//503  const QRectF&, const QRectF&
    262, 277, 271, 259, 101, 0,	//506  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    280, 252, 0,	//512  const QStringRef&, const QLatin1String&
    53, 54, 0,	//515  QDataStream&, QDate&
    292, 0,	//518  float
    192, 293, 0,	//520  Qt::TextInteractionFlag, int
    7, 7, 0,	//523  QChar, QChar
    7, 0,	//526  QChar
    53, 128, 0,	//528  QDataStream&, QUrl&
    97, 73, 0,	//531  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    56, 261, 0,	//534  QDebug, const QModelIndex&
    287, 293, 0,	//537  const char*, int
    290, 290, 0,	//540  double, double
    53, 285, 0,	//543  QDataStream&, const QVariant::Type
    53, 284, 0,	//546  QDataStream&, const QVariant&
    192, 90, 0,	//549  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    170, 85, 0,	//552  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    295, 0,	//555  long
    167, 84, 0,	//557  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    53, 275, 0,	//560  QDataStream&, const QSizeF&
    116, 116, 0,	//563  QString::Null, QString::Null
    287, 235, 0,	//566  const char*, const QByteArray&
    233, 0,	//569  const QBitArray&
    59, 59, 0,	//571  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    231, 287, 0,	//574  char*, const char*
    233, 233, 0,	//577  const QBitArray&, const QBitArray&
    265, 265, 0,	//580  const QPoint&, const QPoint&
    173, 86, 0,	//583  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    267, 290, 0,	//586  const QPointF&, double
    56, 275, 0,	//589  QDebug, const QSizeF&
    251, 251, 0,	//592  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//595  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    53, 130, 0,	//598  QDataStream&, QUuid&
    268, 268, 0,	//601  const QRect&, const QRect&
    235, 235, 0,	//604  const QByteArray&, const QByteArray&
    288, 293, 0,	//607  const unsigned char*, int
    235, 293, 0,	//610  const QByteArray&, int
    53, 277, 0,	//613  QDataStream&, const QString&
    122, 123, 0,	//616  QTextStream&, QTextStream&(*)(QTextStream&)
    156, 293, 0,	//619  Qt::DropAction, int
    317, 301, 301, 301, 0,	//622  void*, size_t, size_t, size_t
    176, 293, 0,	//627  Qt::MatchFlag, int
    53, 265, 0,	//630  QDataStream&, const QPoint&
    237, 55, 0,	//633  const QDBusArgument&, QDateTime&
    56, 268, 0,	//636  QDebug, const QRect&
    121, 76, 0,	//639  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    237, 98, 0,	//642  const QDBusArgument&, QLine&
    192, 192, 0,	//645  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    117, 75, 0,	//648  QString::SectionFlag, QFlags<QString::SectionFlag>
    56, 249, 0,	//651  QDebug, const QDir&
    178, 178, 0,	//654  Qt::MouseButton, Qt::MouseButton
    317, 301, 0,	//657  void*, size_t
    156, 156, 0,	//660  Qt::DropAction, Qt::DropAction
    20, 20, 0,	//663  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    1, 293, 0,	//666  QAbstractFileEngine::FileFlag, int
    277, 116, 0,	//669  const QString&, QString::Null
    161, 82, 0,	//672  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    243, 243, 0,	//675  const QDBusObjectPath&, const QDBusObjectPath&
    62, 293, 0,	//678  QEventLoop::ProcessEventsFlag, int
    103, 103, 0,	//681  QLocale::NumberOption, QLocale::NumberOption
    95, 95, 0,	//684  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    53, 99, 0,	//687  QDataStream&, QLineF&
    53, 254, 0,	//690  QDataStream&, const QLineF&
    275, 275, 0,	//693  const QSizeF&, const QSizeF&
    290, 273, 0,	//696  double, const QSize&
    154, 80, 0,	//699  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    237, 109, 0,	//702  const QDBusArgument&, QRect&
    176, 87, 0,	//705  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    267, 0,	//708  const QPointF&
    135, 293, 0,	//710  Qt::AlignmentFlag, int
    165, 293, 0,	//713  Qt::ImageConversionFlag, int
    237, 110, 0,	//716  const QDBusArgument&, QRectF&
    56, 273, 0,	//719  QDebug, const QSize&
    121, 293, 0,	//722  QTextCodec::ConversionFlag, int
    56, 265, 0,	//725  QDebug, const QPoint&
    56, 282, 0,	//728  QDebug, const QUrl&
    265, 0,	//731  const QPoint&
    241, 28, 132, 0,	//733  const QDBusMessage&, QDBusError&, QVariant&
    237, 113, 0,	//737  const QDBusArgument&, QSizeF&
    237, 99, 0,	//740  const QDBusArgument&, QLineF&
    20, 293, 0,	//743  QDBusConnection::RegisterOption, int
    53, 267, 0,	//746  QDataStream&, const QPointF&
    56, 241, 0,	//749  QDebug, const QDBusMessage&
    50, 66, 0,	//752  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    121, 121, 0,	//755  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    237, 132, 0,	//758  const QDBusArgument&, QVariant&
    237, 108, 0,	//761  const QDBusArgument&, QPointF&
    4, 4, 0,	//764  QBool, QBool
    20, 65, 0,	//767  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    277, 230, 0,	//770  const QString&, char
    287, 280, 0,	//773  const char*, const QStringRef&
    13, 265, 0,	//776  QDBusArgument&, const QPoint&
    124, 293, 0,	//779  QTextStream::NumberFlag, int
    56, 267, 0,	//782  QDebug, const QPointF&
    116, 277, 0,	//785  QString::Null, const QString&
    313, 0,	//788  void(*)()
    103, 74, 0,	//790  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    161, 161, 0,	//793  Qt::GestureFlag, Qt::GestureFlag
    53, 110, 0,	//796  QDataStream&, QRectF&
    292, 292, 0,	//799  float, float
    53, 236, 0,	//802  QDataStream&, const QChar&
    53, 108, 0,	//805  QDataStream&, QPointF&
    273, 290, 0,	//808  const QSize&, double
    315, 0,	//811  void(*)(QtMsgType,const char*)
    122, 125, 0,	//813  QTextStream&, QTextStreamManipulator
    135, 135, 0,	//816  Qt::AlignmentFlag, Qt::AlignmentFlag
    53, 98, 0,	//819  QDataStream&, QLine&
    57, 57, 0,	//822  QDir::Filter, QDir::Filter
    265, 290, 0,	//825  const QPoint&, double
    53, 235, 0,	//828  QDataStream&, const QByteArray&
    53, 250, 0,	//831  QDataStream&, const QEasingCurve&
    165, 165, 0,	//834  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    204, 293, 0,	//837  Qt::WindowState, int
    53, 115, 0,	//840  QDataStream&, QString&
    262, 277, 259, 0,	//843  const QObject*, const QString&, const QMetaObject&
    53, 269, 0,	//847  QDataStream&, const QRectF&
    53, 3, 0,	//850  QDataStream&, QBitArray&
    53, 112, 0,	//853  QDataStream&, QSize&
    173, 173, 0,	//856  Qt::KeyboardModifier, Qt::KeyboardModifier
    228, 4, 0,	//859  bool, QBool
    124, 124, 0,	//862  QTextStream::NumberFlag, QTextStream::NumberFlag
    53, 55, 0,	//865  QDataStream&, QDateTime&
    284, 133, 317, 0,	//868  const QVariant&, QVariant::Type, void*
    280, 277, 0,	//872  const QStringRef&, const QString&
    288, 304, 293, 0,	//875  const unsigned char*, unsigned char*, int
    173, 293, 0,	//879  Qt::KeyboardModifier, int
    53, 248, 0,	//882  QDataStream&, const QDateTime&
    237, 107, 0,	//885  const QDBusArgument&, QPoint&
    208, 287, 0,	//888  QtMsgType, const char*
    62, 70, 0,	//891  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    258, 258, 0,	//894  const QMargins&, const QMargins&
    235, 277, 0,	//897  const QByteArray&, const QString&
    129, 129, 0,	//900  QUrl::FormattingOption, QUrl::FormattingOption
    56, 285, 0,	//903  QDebug, const QVariant::Type
    154, 293, 0,	//906  Qt::DockWidgetArea, int
    53, 126, 0,	//909  QDataStream&, QTime&
    205, 205, 0,	//912  Qt::WindowType, Qt::WindowType
    317, 293, 301, 0,	//915  void*, int, size_t
    56, 248, 0,	//919  QDebug, const QDateTime&
    300, 0,	//922  signed char
    13, 281, 0,	//924  QDBusArgument&, const QTime&
    205, 94, 0,	//927  Qt::WindowType, QFlags<Qt::WindowType>
    204, 204, 0,	//930  Qt::WindowState, Qt::WindowState
    53, 119, 0,	//933  QDataStream&, QStringList&
    56, 284, 0,	//936  QDebug, const QVariant&
    63, 293, 0,	//939  QFile::Permission, int
    106, 0,	//942  QObject*(*)()
    290, 267, 0,	//944  double, const QPointF&
    53, 282, 0,	//947  QDataStream&, const QUrl&
    53, 281, 0,	//950  QDataStream&, const QTime&
    53, 107, 0,	//953  QDataStream&, QPoint&
    13, 268, 0,	//956  QDBusArgument&, const QRect&
    280, 0,	//959  const QStringRef&
    53, 111, 0,	//961  QDataStream&, QRegExp&
    167, 293, 0,	//964  Qt::InputMethodHint, int
    53, 256, 0,	//967  QDataStream&, const QLocale&
    237, 112, 0,	//970  const QDBusArgument&, QSize&
    301, 301, 0,	//973  size_t, size_t
    53, 233, 0,	//976  QDataStream&, const QBitArray&
    277, 235, 0,	//979  const QString&, const QByteArray&
    287, 287, 287, 293, 0,	//982  const char*, const char*, const char*, int
    237, 54, 0,	//987  const QDBusArgument&, QDate&
    129, 78, 0,	//990  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    13, 247, 0,	//993  QDBusArgument&, const QDate&
    62, 62, 0,	//996  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    235, 230, 0,	//999  const QByteArray&, char
    97, 97, 0,	//1002  QLibrary::LoadHint, QLibrary::LoadHint
    135, 79, 0,	//1005  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    13, 255, 0,	//1008  QDBusArgument&, const QList<QVariant>&
    53, 283, 0,	//1011  QDataStream&, const QUuid&
    95, 72, 0,	//1014  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    53, 253, 0,	//1017  QDataStream&, const QLine&
    56, 240, 0,	//1020  QDebug, const QDBusError&
    161, 293, 0,	//1023  Qt::GestureFlag, int
    280, 287, 0,	//1026  const QStringRef&, const char*
    58, 68, 0,	//1029  QDir::SortFlag, QFlags<QDir::SortFlag>
    53, 247, 0,	//1032  QDataStream&, const QDate&
    230, 235, 0,	//1035  char, const QByteArray&
    277, 287, 0,	//1038  const QString&, const char*
    97, 293, 0,	//1041  QLibrary::LoadHint, int
    288, 293, 293, 0,	//1044  const unsigned char*, int, int
    180, 180, 0,	//1048  Qt::Orientation, Qt::Orientation
    4, 228, 0,	//1051  QBool, bool
    246, 246, 0,	//1054  const QDBusVariant&, const QDBusVariant&
    13, 275, 0,	//1057  QDBusArgument&, const QSizeF&
    53, 278, 0,	//1060  QDataStream&, const QStringList&
    53, 270, 0,	//1063  QDataStream&, const QRegExp&
    58, 293, 0,	//1066  QDir::SortFlag, int
    317, 289, 301, 0,	//1069  void*, const void*, size_t
    317, 0,	//1073  void*
    195, 91, 0,	//1075  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    50, 293, 0,	//1078  QDBusServiceWatcher::WatchModeFlag, int
    56, 263, 0,	//1081  QDebug, const QPersistentModelIndex&
    53, 132, 0,	//1084  QDataStream&, QVariant&
    282, 0,	//1087  const QUrl&
    198, 92, 0,	//1089  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    290, 265, 0,	//1092  double, const QPoint&
    56, 262, 0,	//1095  QDebug, const QObject*
    63, 71, 0,	//1098  QFile::Permission, QFlags<QFile::Permission>
    56, 269, 0,	//1101  QDebug, const QRectF&
    124, 77, 0,	//1104  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    58, 58, 0,	//1107  QDir::SortFlag, QDir::SortFlag
    198, 293, 0,	//1110  Qt::TouchPointState, int
    57, 293, 0,	//1113  QDir::Filter, int
    307, 0,	//1116  unsigned long
    13, 253, 0,	//1118  QDBusArgument&, const QLine&
    1, 64, 0,	//1121  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    178, 88, 0,	//1124  Qt::MouseButton, QFlags<Qt::MouseButton>
    156, 81, 0,	//1127  Qt::DropAction, QFlags<Qt::DropAction>
    301, 0,	//1130  size_t
    180, 293, 0,	//1132  Qt::Orientation, int
    195, 293, 0,	//1135  Qt::ToolBarArea, int
    53, 6, 0,	//1138  QDataStream&, QByteArray&
    53, 134, 0,	//1141  QDataStream&, QVariant::Type&
    53, 268, 0,	//1144  QDataStream&, const QRect&
    56, 250, 0,	//1147  QDebug, const QEasingCurve&
    263, 0,	//1150  const QPersistentModelIndex&
    103, 293, 0,	//1152  QLocale::NumberOption, int
    56, 281, 0,	//1155  QDebug, const QTime&
    198, 198, 0,	//1158  Qt::TouchPointState, Qt::TouchPointState
    165, 83, 0,	//1161  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    204, 93, 0,	//1164  Qt::WindowState, QFlags<Qt::WindowState>
    154, 154, 0,	//1167  Qt::DockWidgetArea, Qt::DockWidgetArea
    59, 293, 0,	//1170  QDirIterator::IteratorFlag, int
    290, 275, 0,	//1173  double, const QSizeF&
    56, 258, 0,	//1176  QDebug, const QMargins&
    261, 0,	//1179  const QModelIndex&
    129, 293, 0,	//1181  QUrl::FormattingOption, int
    176, 176, 0,	//1184  Qt::MatchFlag, Qt::MatchFlag
    167, 167, 0,	//1187  Qt::InputMethodHint, Qt::InputMethodHint
    180, 89, 0,	//1190  Qt::Orientation, QFlags<Qt::Orientation>
    56, 67, 0,	//1193  QDebug, QFlags<QDir::Filter>
    170, 293, 0,	//1196  Qt::ItemFlag, int
    178, 293, 0,	//1199  Qt::MouseButton, int
    53, 113, 0,	//1202  QDataStream&, QSizeF&
    95, 293, 0,	//1205  QIODevice::OpenModeFlag, int
    117, 293, 0,	//1208  QString::SectionFlag, int
    230, 277, 0,	//1211  char, const QString&
    53, 273, 0,	//1214  QDataStream&, const QSize&
    57, 67, 0,	//1217  QDir::Filter, QFlags<QDir::Filter>
    117, 117, 0,	//1220  QString::SectionFlag, QString::SectionFlag
    61, 0,	//1223  QEvent*
    105, 61, 0,	//1225  QObject*, QEvent*
    127, 0,	//1228  QTimerEvent*
    9, 0,	//1230  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllProperties",	//17
    "ExportAllSignal",	//18
    "ExportAllSignals",	//19
    "ExportAllSlots",	//20
    "ExportChildObjects",	//21
    "ExportNonScriptableContents",	//22
    "ExportNonScriptableProperties",	//23
    "ExportNonScriptableSignals",	//24
    "ExportNonScriptableSlots",	//25
    "ExportScriptableContents",	//26
    "ExportScriptableProperties",	//27
    "ExportScriptableSignals",	//28
    "ExportScriptableSlots",	//29
    "Failed",	//30
    "InternalError",	//31
    "InvalidArgs",	//32
    "InvalidInterface",	//33
    "InvalidMember",	//34
    "InvalidMessage",	//35
    "InvalidObjectPath",	//36
    "InvalidService",	//37
    "InvalidSignature",	//38
    "LastErrorType",	//39
    "LicensedActiveQt",	//40
    "LicensedCore",	//41
    "LicensedDBus",	//42
    "LicensedDeclarative",	//43
    "LicensedGui",	//44
    "LicensedHelp",	//45
    "LicensedMultimedia",	//46
    "LicensedNetwork",	//47
    "LicensedOpenGL",	//48
    "LicensedOpenVG",	//49
    "LicensedQt3Support",	//50
    "LicensedQt3SupportLight",	//51
    "LicensedScript",	//52
    "LicensedScriptTools",	//53
    "LicensedSql",	//54
    "LicensedSvg",	//55
    "LicensedTest",	//56
    "LicensedXml",	//57
    "LicensedXmlPatterns",	//58
    "LimitsExceeded",	//59
    "MapEntryType",	//60
    "MapType",	//61
    "MethodCallMessage",	//62
    "NameAcquired",	//63
    "NameAcquired$",	//64
    "NameLost",	//65
    "NameLost$",	//66
    "NameOwnerChanged",	//67
    "NameOwnerChanged$$$",	//68
    "NoBlock",	//69
    "NoError",	//70
    "NoMemory",	//71
    "NoNetwork",	//72
    "NoReply",	//73
    "NoServer",	//74
    "NotSupported",	//75
    "Other",	//76
    "QDBusAbstractAdaptor",	//77
    "QDBusAbstractAdaptor#",	//78
    "QDBusAbstractInterface",	//79
    "QDBusAbstractInterface$$$##",	//80
    "QDBusArgument",	//81
    "QDBusArgument#",	//82
    "QDBusConnection",	//83
    "QDBusConnection#",	//84
    "QDBusConnection$",	//85
    "QDBusContext",	//86
    "QDBusContext#",	//87
    "QDBusError",	//88
    "QDBusError#",	//89
    "QDBusError$$",	//90
    "QDBusInterface",	//91
    "QDBusInterface$$",	//92
    "QDBusInterface$$$",	//93
    "QDBusInterface$$$#",	//94
    "QDBusInterface$$$##",	//95
    "QDBusMessage",	//96
    "QDBusMessage#",	//97
    "QDBusMetaType",	//98
    "QDBusMetaType#",	//99
    "QDBusPendingCall",	//100
    "QDBusPendingCall#",	//101
    "QDBusPendingCallWatcher",	//102
    "QDBusPendingCallWatcher#",	//103
    "QDBusPendingCallWatcher##",	//104
    "QDBusServer",	//105
    "QDBusServer$",	//106
    "QDBusServer$#",	//107
    "QDBusServiceWatcher",	//108
    "QDBusServiceWatcher#",	//109
    "QDBusServiceWatcher$#",	//110
    "QDBusServiceWatcher$#$",	//111
    "QDBusServiceWatcher$#$#",	//112
    "Q_COMPLEX_TYPE",	//113
    "Q_DUMMY_TYPE",	//114
    "Q_MOVABLE_TYPE",	//115
    "Q_PRIMITIVE_TYPE",	//116
    "Q_STATIC_TYPE",	//117
    "QtCriticalMsg",	//118
    "QtDebugMsg",	//119
    "QtFatalMsg",	//120
    "QtSystemMsg",	//121
    "QtWarningMsg",	//122
    "QueueService",	//123
    "ReplaceExistingService",	//124
    "ReplyMessage",	//125
    "ServiceNotRegistered",	//126
    "ServiceQueued",	//127
    "ServiceRegistered",	//128
    "ServiceUnknown",	//129
    "SessionBus",	//130
    "SignalMessage",	//131
    "StructureType",	//132
    "SystemBus",	//133
    "TimedOut",	//134
    "Timeout",	//135
    "UnknownInterface",	//136
    "UnknownMethod",	//137
    "UnknownObject",	//138
    "UnknownType",	//139
    "UnregisterNode",	//140
    "UnregisterTree",	//141
    "VariantType",	//142
    "WatchForOwnerChange",	//143
    "WatchForRegistration",	//144
    "WatchForUnregistration",	//145
    "addWatchedService",	//146
    "addWatchedService$",	//147
    "address",	//148
    "appendVariant",	//149
    "appendVariant#",	//150
    "arguments",	//151
    "asVariant",	//152
    "asyncCall",	//153
    "asyncCall#",	//154
    "asyncCall#$",	//155
    "asyncCall$",	//156
    "asyncCall$#",	//157
    "asyncCall$##",	//158
    "asyncCall$###",	//159
    "asyncCall$####",	//160
    "asyncCall$#####",	//161
    "asyncCall$######",	//162
    "asyncCall$#######",	//163
    "asyncCall$########",	//164
    "asyncCallWithArgumentList",	//165
    "asyncCallWithArgumentList$?",	//166
    "atEnd",	//167
    "autoRelaySignals",	//168
    "autoStartService",	//169
    "baseService",	//170
    "beginArray",	//171
    "beginArray$",	//172
    "beginMap",	//173
    "beginMap$$",	//174
    "beginMapEntry",	//175
    "beginStructure",	//176
    "call",	//177
    "call#",	//178
    "call#$",	//179
    "call#$$",	//180
    "call$",	//181
    "call$#",	//182
    "call$##",	//183
    "call$###",	//184
    "call$####",	//185
    "call$#####",	//186
    "call$######",	//187
    "call$#######",	//188
    "call$########",	//189
    "call$$",	//190
    "call$$#",	//191
    "call$$##",	//192
    "call$$###",	//193
    "call$$####",	//194
    "call$$#####",	//195
    "call$$######",	//196
    "call$$#######",	//197
    "call$$########",	//198
    "callWithArgumentList",	//199
    "callWithArgumentList$$?",	//200
    "callWithCallback",	//201
    "callWithCallback##$",	//202
    "callWithCallback##$$",	//203
    "callWithCallback##$$$",	//204
    "callWithCallback$?#$",	//205
    "callWithCallback$?#$$",	//206
    "callWithCallbackFailed",	//207
    "callWithCallbackFailed##",	//208
    "calledFromDBus",	//209
    "childEvent",	//210
    "connect",	//211
    "connect$$$$#$",	//212
    "connect$$$$$#$",	//213
    "connect$$$$?$#$",	//214
    "connectNotify",	//215
    "connectNotify$",	//216
    "connectToBus",	//217
    "connectToBus$$",	//218
    "connection",	//219
    "createError",	//220
    "createError#",	//221
    "createError$$",	//222
    "createErrorReply",	//223
    "createErrorReply#",	//224
    "createErrorReply$$",	//225
    "createMethodCall",	//226
    "createMethodCall$$$$",	//227
    "createReply",	//228
    "createReply#",	//229
    "createReply?",	//230
    "createSignal",	//231
    "createSignal$$$",	//232
    "currentSignature",	//233
    "currentType",	//234
    "customEvent",	//235
    "demarshall",	//236
    "demarshall#$$",	//237
    "disconnect",	//238
    "disconnect$$$$#$",	//239
    "disconnect$$$$$#$",	//240
    "disconnect$$$$?$#$",	//241
    "disconnectFromBus",	//242
    "disconnectFromBus$",	//243
    "disconnectNotify",	//244
    "disconnectNotify$",	//245
    "endArray",	//246
    "endMap",	//247
    "endMapEntry",	//248
    "endStructure",	//249
    "error",	//250
    "errorMessage",	//251
    "errorName",	//252
    "errorString",	//253
    "errorString$",	//254
    "event",	//255
    "eventFilter",	//256
    "finished",	//257
    "finished#",	//258
    "fromCompletedCall",	//259
    "fromCompletedCall#",	//260
    "fromError",	//261
    "fromError#",	//262
    "interface",	//263
    "internalConstCall",	//264
    "internalConstCall$$",	//265
    "internalConstCall$$?",	//266
    "internalPropGet",	//267
    "internalPropGet$",	//268
    "internalPropSet",	//269
    "internalPropSet$#",	//270
    "isConnected",	//271
    "isDelayedReply",	//272
    "isError",	//273
    "isFinished",	//274
    "isReplyRequired",	//275
    "isServiceRegistered",	//276
    "isServiceRegistered$",	//277
    "isValid",	//278
    "lastError",	//279
    "marshall",	//280
    "marshall#$$",	//281
    "member",	//282
    "message",	//283
    "metaObject",	//284
    "name",	//285
    "newConnection",	//286
    "newConnection#",	//287
    "objectRegisteredAt",	//288
    "objectRegisteredAt$",	//289
    "operator!=",	//290
    "operator!=##",	//291
    "operator!=#$",	//292
    "operator!=$#",	//293
    "operator!=$$",	//294
    "operator&",	//295
    "operator&##",	//296
    "operator*",	//297
    "operator*#$",	//298
    "operator*$#",	//299
    "operator+",	//300
    "operator+##",	//301
    "operator+#$",	//302
    "operator+$#",	//303
    "operator+$$",	//304
    "operator-",	//305
    "operator-#",	//306
    "operator-##",	//307
    "operator/",	//308
    "operator/#$",	//309
    "operator<",	//310
    "operator<##",	//311
    "operator<#$",	//312
    "operator<$#",	//313
    "operator<$$",	//314
    "operator<<",	//315
    "operator<<#",	//316
    "operator<<##",	//317
    "operator<<#$",	//318
    "operator<<#?",	//319
    "operator<<$",	//320
    "operator<<?",	//321
    "operator<=",	//322
    "operator<=##",	//323
    "operator<=#$",	//324
    "operator<=$#",	//325
    "operator<=$$",	//326
    "operator=",	//327
    "operator=#",	//328
    "operator==",	//329
    "operator==##",	//330
    "operator==#$",	//331
    "operator==$#",	//332
    "operator==$$",	//333
    "operator>",	//334
    "operator>##",	//335
    "operator>#$",	//336
    "operator>$#",	//337
    "operator>$$",	//338
    "operator>=",	//339
    "operator>=##",	//340
    "operator>=#$",	//341
    "operator>=$#",	//342
    "operator>=$$",	//343
    "operator>>",	//344
    "operator>>#",	//345
    "operator>>##",	//346
    "operator>>#$",	//347
    "operator>>#?",	//348
    "operator>>$",	//349
    "operator>>?",	//350
    "operator^",	//351
    "operator^##",	//352
    "operator|",	//353
    "operator|##",	//354
    "operator|$$",	//355
    "path",	//356
    "qAcos",	//357
    "qAcos$",	//358
    "qAddPostRoutine",	//359
    "qAddPostRoutine$",	//360
    "qAppName",	//361
    "qAsin",	//362
    "qAsin$",	//363
    "qAtan",	//364
    "qAtan$",	//365
    "qAtan2",	//366
    "qAtan2$$",	//367
    "qBadAlloc",	//368
    "qCeil",	//369
    "qCeil$",	//370
    "qChecksum",	//371
    "qChecksum$$",	//372
    "qCompress",	//373
    "qCompress#",	//374
    "qCompress#$",	//375
    "qCompress$$",	//376
    "qCompress$$$",	//377
    "qCos",	//378
    "qCos$",	//379
    "qCritical",	//380
    "qDBusReplyFill",	//381
    "qDBusReplyFill###",	//382
    "qDebug",	//383
    "qExp",	//384
    "qExp$",	//385
    "qFabs",	//386
    "qFabs$",	//387
    "qFastCos",	//388
    "qFastCos$",	//389
    "qFastSin",	//390
    "qFastSin$",	//391
    "qFlagLocation",	//392
    "qFlagLocation$",	//393
    "qFloor",	//394
    "qFloor$",	//395
    "qFree",	//396
    "qFree$",	//397
    "qFreeAligned",	//398
    "qFreeAligned$",	//399
    "qFuzzyCompare",	//400
    "qFuzzyCompare$$",	//401
    "qFuzzyIsNull",	//402
    "qFuzzyIsNull$",	//403
    "qHash",	//404
    "qHash#",	//405
    "qHash$",	//406
    "qHash?",	//407
    "qInf",	//408
    "qInstallMsgHandler",	//409
    "qInstallMsgHandler$",	//410
    "qIntCast",	//411
    "qIntCast$",	//412
    "qIsFinite",	//413
    "qIsFinite$",	//414
    "qIsInf",	//415
    "qIsInf$",	//416
    "qIsNaN",	//417
    "qIsNaN$",	//418
    "qIsNull",	//419
    "qIsNull$",	//420
    "qLn",	//421
    "qLn$",	//422
    "qMalloc",	//423
    "qMalloc?",	//424
    "qMallocAligned",	//425
    "qMallocAligned??",	//426
    "qMemCopy",	//427
    "qMemCopy$$?",	//428
    "qMemSet",	//429
    "qMemSet$$?",	//430
    "qPow",	//431
    "qPow$$",	//432
    "qQNaN",	//433
    "qRealloc",	//434
    "qRealloc$?",	//435
    "qReallocAligned",	//436
    "qReallocAligned$???",	//437
    "qRegisterStaticPluginInstanceFunction",	//438
    "qRegisterStaticPluginInstanceFunction#",	//439
    "qRemovePostRoutine",	//440
    "qRemovePostRoutine$",	//441
    "qRound",	//442
    "qRound$",	//443
    "qRound64",	//444
    "qRound64$",	//445
    "qSNaN",	//446
    "qSetFieldWidth",	//447
    "qSetFieldWidth$",	//448
    "qSetPadChar",	//449
    "qSetPadChar#",	//450
    "qSetRealNumberPrecision",	//451
    "qSetRealNumberPrecision$",	//452
    "qSharedBuild",	//453
    "qSin",	//454
    "qSin$",	//455
    "qSqrt",	//456
    "qSqrt$",	//457
    "qStringComparisonHelper",	//458
    "qStringComparisonHelper#$",	//459
    "qStringComparisonHelper$$",	//460
    "qTan",	//461
    "qTan$",	//462
    "qUncompress",	//463
    "qUncompress#",	//464
    "qUncompress$$",	//465
    "qVersion",	//466
    "qWarning",	//467
    "qbswap_helper",	//468
    "qbswap_helper$$$",	//469
    "qgetenv",	//470
    "qgetenv$",	//471
    "qputenv",	//472
    "qputenv$#",	//473
    "qrand",	//474
    "qsrand",	//475
    "qsrand$",	//476
    "qstrcmp",	//477
    "qstrcmp##",	//478
    "qstrcmp#$",	//479
    "qstrcmp$#",	//480
    "qstrcmp$$",	//481
    "qstrcpy",	//482
    "qstrcpy$$",	//483
    "qstrdup",	//484
    "qstrdup$",	//485
    "qstricmp",	//486
    "qstricmp$$",	//487
    "qstrlen",	//488
    "qstrlen$",	//489
    "qstrncmp",	//490
    "qstrncmp$$$",	//491
    "qstrncpy",	//492
    "qstrncpy$$$",	//493
    "qstrnicmp",	//494
    "qstrnicmp$$$",	//495
    "qstrnlen",	//496
    "qstrnlen$$",	//497
    "qtTrId",	//498
    "qtTrId$",	//499
    "qtTrId$$",	//500
    "qt_assert",	//501
    "qt_assert$$$",	//502
    "qt_assert_x",	//503
    "qt_assert_x$$$$",	//504
    "qt_check_pointer",	//505
    "qt_check_pointer$$",	//506
    "qt_error_string",	//507
    "qt_error_string$",	//508
    "qt_message_output",	//509
    "qt_message_output$$",	//510
    "qt_metacall",	//511
    "qt_metacall$$?",	//512
    "qt_metacast",	//513
    "qt_metacast$",	//514
    "qt_noop",	//515
    "qt_qFindChild_helper",	//516
    "qt_qFindChild_helper#$#",	//517
    "qt_qFindChildren_helper",	//518
    "qt_qFindChildren_helper#$##?",	//519
    "qvariant_cast_helper",	//520
    "qvariant_cast_helper#$$",	//521
    "qvsnprintf",	//522
    "qvsnprintf$?$?",	//523
    "registerMarshallOperators",	//524
    "registerMarshallOperators$$$",	//525
    "registerObject",	//526
    "registerObject$#",	//527
    "registerObject$#$",	//528
    "registerService",	//529
    "registerService$",	//530
    "registerService$$",	//531
    "registerService$$$",	//532
    "registeredServiceNames",	//533
    "removeWatchedService",	//534
    "removeWatchedService$",	//535
    "reply",	//536
    "send",	//537
    "send#",	//538
    "sendErrorReply",	//539
    "sendErrorReply$",	//540
    "sendErrorReply$$",	//541
    "sender",	//542
    "service",	//543
    "serviceOwner",	//544
    "serviceOwner$",	//545
    "serviceOwnerChanged",	//546
    "serviceOwnerChanged$$$",	//547
    "servicePid",	//548
    "servicePid$",	//549
    "serviceRegistered",	//550
    "serviceRegistered$",	//551
    "serviceUid",	//552
    "serviceUid$",	//553
    "serviceUnregistered",	//554
    "serviceUnregistered$",	//555
    "sessionBus",	//556
    "setArguments",	//557
    "setArguments?",	//558
    "setAutoRelaySignals",	//559
    "setAutoRelaySignals$",	//560
    "setAutoStartService",	//561
    "setAutoStartService$",	//562
    "setConnection",	//563
    "setConnection#",	//564
    "setDelayedReply",	//565
    "setDelayedReply$",	//566
    "setWatchMode",	//567
    "setWatchMode$",	//568
    "setWatchedServices",	//569
    "setWatchedServices?",	//570
    "signature",	//571
    "signatureToType",	//572
    "signatureToType$",	//573
    "startService",	//574
    "startService$",	//575
    "staticMetaObject",	//576
    "systemBus",	//577
    "timerEvent",	//578
    "tr",	//579
    "tr$",	//580
    "tr$$",	//581
    "tr$$$",	//582
    "trUtf8",	//583
    "trUtf8$",	//584
    "trUtf8$$",	//585
    "trUtf8$$$",	//586
    "type",	//587
    "typeToSignature",	//588
    "typeToSignature$",	//589
    "unregisterObject",	//590
    "unregisterObject$",	//591
    "unregisterObject$$",	//592
    "unregisterService",	//593
    "unregisterService$",	//594
    "waitForFinished",	//595
    "watchMode",	//596
    "watchedServices",	//597
    "~QDBusAbstractAdaptor",	//598
    "~QDBusAbstractInterface",	//599
    "~QDBusAbstractInterfaceBase",	//600
    "~QDBusArgument",	//601
    "~QDBusConnection",	//602
    "~QDBusContext",	//603
    "~QDBusError",	//604
    "~QDBusInterface",	//605
    "~QDBusMessage",	//606
    "~QDBusMetaType",	//607
    "~QDBusPendingCall",	//608
    "~QDBusPendingCallWatcher",	//609
    "~QDBusServer",	//610
    "~QDBusServiceWatcher",	//611
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 513, 1, 1, Smoke::mf_virtual, 317, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 579, 3, 2, Smoke::mf_static, 114, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 583, 3, 2, Smoke::mf_static, 114, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 579, 6, 3, Smoke::mf_static, 114, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 583, 6, 3, Smoke::mf_static, 114, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 511, 10, 3, Smoke::mf_virtual, 293, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 77, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 559, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 168, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 579, 1, 1, Smoke::mf_static, 114, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 583, 1, 1, Smoke::mf_static, 114, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 598, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 513, 1, 1, Smoke::mf_virtual, 317, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 579, 3, 2, Smoke::mf_static, 114, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 583, 3, 2, Smoke::mf_static, 114, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 579, 6, 3, Smoke::mf_static, 114, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 583, 6, 3, Smoke::mf_static, 114, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 511, 10, 3, Smoke::mf_virtual, 293, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 278, 0, 0, Smoke::mf_const, 228, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 219, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 543, 0, 0, Smoke::mf_const, 114, 10},	//28 QDBusAbstractInterface::service() const
    {9, 356, 0, 0, Smoke::mf_const, 114, 11},	//29 QDBusAbstractInterface::path() const
    {9, 263, 0, 0, Smoke::mf_const, 114, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 279, 0, 0, Smoke::mf_const, 27, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 177, 18, 9, 0, 32, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 28, 10, 0, 32, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 199, 39, 3, 0, 32, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 201, 43, 5, 0, 228, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 201, 49, 4, 0, 228, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 153, 18, 9, 0, 38, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 165, 54, 2, 0, 38, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 79, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 215, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 244, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 267, 1, 1, Smoke::mf_const|Smoke::mf_protected, 131, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 269, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 264, 39, 3, Smoke::mf_const|Smoke::mf_protected, 32, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 579, 1, 1, Smoke::mf_static, 114, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 583, 1, 1, Smoke::mf_static, 114, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 177, 66, 1, 0, 32, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 177, 68, 2, 0, 32, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 177, 71, 3, 0, 32, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 177, 75, 4, 0, 32, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 80, 5, 0, 32, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 86, 6, 0, 32, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 93, 7, 0, 32, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 101, 8, 0, 32, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 110, 2, 0, 32, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 177, 113, 3, 0, 32, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 177, 117, 4, 0, 32, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 177, 122, 5, 0, 32, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 128, 6, 0, 32, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 135, 7, 0, 32, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 143, 8, 0, 32, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 177, 152, 9, 0, 32, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 66, 1, 0, 38, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 153, 68, 2, 0, 38, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 153, 71, 3, 0, 38, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 153, 75, 4, 0, 38, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 80, 5, 0, 38, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 86, 6, 0, 38, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 93, 7, 0, 38, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 101, 8, 0, 38, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 264, 110, 2, Smoke::mf_const|Smoke::mf_protected, 32, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 599, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 511, 10, 3, Smoke::mf_virtual, 293, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 600, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 81, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 81, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 327, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 315, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 315, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 315, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 315, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 315, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 315, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 315, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 315, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 315, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 315, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 315, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 315, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 315, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 315, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 315, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 176, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 249, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 171, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 246, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 173, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 247, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 175, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 248, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 149, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 233, 0, 0, Smoke::mf_const, 114, 28},	//103 QDBusArgument::currentSignature() const
    {11, 234, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 344, 195, 1, Smoke::mf_const, 237, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 344, 197, 1, Smoke::mf_const, 237, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 344, 199, 1, Smoke::mf_const, 237, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 344, 201, 1, Smoke::mf_const, 237, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 344, 203, 1, Smoke::mf_const, 237, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 344, 205, 1, Smoke::mf_const, 237, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 344, 207, 1, Smoke::mf_const, 237, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 344, 209, 1, Smoke::mf_const, 237, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 344, 211, 1, Smoke::mf_const, 237, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 344, 213, 1, Smoke::mf_const, 237, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 344, 215, 1, Smoke::mf_const, 237, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 344, 217, 1, Smoke::mf_const, 237, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 344, 219, 1, Smoke::mf_const, 237, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 344, 221, 1, Smoke::mf_const, 237, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 344, 223, 1, Smoke::mf_const, 237, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 176, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 249, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 171, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 246, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 173, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 247, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 175, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 248, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 167, 0, 0, Smoke::mf_const, 228, 53},	//128 QDBusArgument::atEnd() const
    {11, 152, 0, 0, Smoke::mf_const, 131, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 601, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 83, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 83, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 327, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 271, 0, 0, Smoke::mf_const, 228, 4},	//141 QDBusConnection::isConnected() const
    {12, 170, 0, 0, Smoke::mf_const, 114, 5},	//142 QDBusConnection::baseService() const
    {12, 279, 0, 0, Smoke::mf_const, 27, 6},	//143 QDBusConnection::lastError() const
    {12, 285, 0, 0, Smoke::mf_const, 114, 7},	//144 QDBusConnection::name() const
    {12, 537, 227, 1, Smoke::mf_const, 228, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 201, 229, 5, Smoke::mf_const, 228, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 201, 235, 4, Smoke::mf_const, 228, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 177, 240, 3, Smoke::mf_const, 32, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 153, 244, 2, Smoke::mf_const, 38, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 211, 247, 6, 0, 228, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 211, 254, 7, 0, 228, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 211, 262, 8, 0, 228, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 238, 247, 6, 0, 228, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 238, 254, 7, 0, 228, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 238, 262, 8, 0, 228, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 526, 271, 3, 0, 228, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 590, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 288, 66, 1, Smoke::mf_const, 105, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 529, 66, 1, 0, 228, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 593, 66, 1, 0, 228, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 263, 0, 0, Smoke::mf_const, 22, 24},	//161 QDBusConnection::interface() const
    {12, 217, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 217, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 242, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 556, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 577, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 542, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 201, 284, 4, Smoke::mf_const, 228, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 201, 289, 3, Smoke::mf_const, 228, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 177, 227, 1, Smoke::mf_const, 32, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 177, 293, 2, Smoke::mf_const, 32, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 153, 227, 1, Smoke::mf_const, 38, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 526, 296, 2, 0, 228, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 590, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableContents (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportAllSlots (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportAllSignals (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllProperties (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllContents (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllSignal (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportChildObjects (enum)
    {12, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//194 QDBusConnection::UnregisterNode (enum)
    {12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//195 QDBusConnection::UnregisterTree (enum)
    {12, 602, 0, 0, Smoke::mf_dtor, 0, 59 },	//196 QDBusConnection::~QDBusConnection()
    {13, 284, 0, 0, Smoke::mf_const, 260, 1},	//197 QDBusConnectionInterface::metaObject() const
    {13, 513, 1, 1, 0, 317, 2},	//198 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 579, 3, 2, Smoke::mf_static, 114, 3},	//199 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 583, 3, 2, Smoke::mf_static, 114, 4},	//200 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 579, 6, 3, Smoke::mf_static, 114, 5},	//201 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 583, 6, 3, Smoke::mf_static, 114, 6},	//202 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 511, 10, 3, 0, 293, 7},	//203 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 533, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 44, 8},	//204 QDBusConnectionInterface::registeredServiceNames() const
    {13, 276, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 9},	//205 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 544, 66, 1, Smoke::mf_const|Smoke::mf_slot, 43, 10},	//206 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 593, 66, 1, Smoke::mf_slot, 45, 11},	//207 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 529, 299, 3, Smoke::mf_slot, 42, 12},	//208 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 548, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 13},	//209 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 552, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 14},	//210 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 574, 66, 1, Smoke::mf_slot, 47, 15},	//211 QDBusConnectionInterface::startService(const QString&)
    {13, 550, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//212 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 554, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//213 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 546, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//214 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 207, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//215 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 63, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//216 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 65, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//217 QDBusConnectionInterface::NameLost(const QString&)
    {13, 67, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//218 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 215, 1, 1, Smoke::mf_protected, 0, 23},	//219 QDBusConnectionInterface::connectNotify(const char*)
    {13, 244, 1, 1, Smoke::mf_protected, 0, 24},	//220 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 579, 1, 1, Smoke::mf_static, 114, 25},	//221 QDBusConnectionInterface::tr(const char*)
    {13, 583, 1, 1, Smoke::mf_static, 114, 26},	//222 QDBusConnectionInterface::trUtf8(const char*)
    {13, 529, 66, 1, Smoke::mf_slot, 42, 27},	//223 QDBusConnectionInterface::registerService(const QString&)
    {13, 529, 310, 2, Smoke::mf_slot, 42, 28},	//224 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 29},	//225 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//226 QDBusConnectionInterface::DontQueueService (enum)
    {13, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//227 QDBusConnectionInterface::QueueService (enum)
    {13, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 32},	//228 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//229 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//230 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//231 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//232 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//233 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 86, 0, 0, Smoke::mf_ctor, 26, 1},	//234 QDBusContext::QDBusContext()
    {14, 209, 0, 0, Smoke::mf_const, 228, 2},	//235 QDBusContext::calledFromDBus() const
    {14, 219, 0, 0, Smoke::mf_const, 16, 3},	//236 QDBusContext::connection() const
    {14, 283, 0, 0, Smoke::mf_const, 241, 4},	//237 QDBusContext::message() const
    {14, 272, 0, 0, Smoke::mf_const, 228, 5},	//238 QDBusContext::isDelayedReply() const
    {14, 565, 16, 1, Smoke::mf_const, 0, 6},	//239 QDBusContext::setDelayedReply(bool) const
    {14, 539, 281, 2, Smoke::mf_const, 0, 7},	//240 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 539, 313, 2, Smoke::mf_const, 0, 8},	//241 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 86, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 9},	//242 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 539, 66, 1, Smoke::mf_const, 0, 10},	//243 QDBusContext::sendErrorReply(const QString&) const
    {14, 539, 318, 1, Smoke::mf_const, 0, 11},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 603, 0, 0, Smoke::mf_dtor, 0, 12 },	//245 QDBusContext::~QDBusContext()
    {15, 88, 320, 1, Smoke::mf_ctor, 29, 1},	//246 QDBusError::QDBusError(const DBusError*)
    {15, 88, 227, 1, Smoke::mf_ctor, 29, 2},	//247 QDBusError::QDBusError(const QDBusMessage&)
    {15, 88, 313, 2, Smoke::mf_ctor, 29, 3},	//248 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 88, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//249 QDBusError::QDBusError(const QDBusError&)
    {15, 327, 322, 1, 0, 28, 5},	//250 QDBusError::operator=(const QDBusError&)
    {15, 587, 0, 0, Smoke::mf_const, 30, 6},	//251 QDBusError::type() const
    {15, 285, 0, 0, Smoke::mf_const, 114, 7},	//252 QDBusError::name() const
    {15, 283, 0, 0, Smoke::mf_const, 114, 8},	//253 QDBusError::message() const
    {15, 278, 0, 0, Smoke::mf_const, 228, 9},	//254 QDBusError::isValid() const
    {15, 253, 318, 1, Smoke::mf_static, 114, 10},	//255 QDBusError::errorString(QDBusError::ErrorType)
    {15, 88, 0, 0, Smoke::mf_ctor, 29, 11},	//256 QDBusError::QDBusError()
    {15, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//257 QDBusError::NoError (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//258 QDBusError::Other (enum)
    {15, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//259 QDBusError::Failed (enum)
    {15, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//260 QDBusError::NoMemory (enum)
    {15, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//261 QDBusError::ServiceUnknown (enum)
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//262 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//263 QDBusError::BadAddress (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//264 QDBusError::NotSupported (enum)
    {15, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//265 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//266 QDBusError::AccessDenied (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//267 QDBusError::NoServer (enum)
    {15, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//268 QDBusError::Timeout (enum)
    {15, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//269 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//270 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 26},	//271 QDBusError::Disconnected (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 27},	//272 QDBusError::InvalidArgs (enum)
    {15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 28},	//273 QDBusError::UnknownMethod (enum)
    {15, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 29},	//274 QDBusError::TimedOut (enum)
    {15, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 30},	//275 QDBusError::InvalidSignature (enum)
    {15, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 31},	//276 QDBusError::UnknownInterface (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 32},	//277 QDBusError::InternalError (enum)
    {15, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//278 QDBusError::UnknownObject (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//279 QDBusError::InvalidService (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//280 QDBusError::InvalidObjectPath (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//281 QDBusError::InvalidInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//282 QDBusError::InvalidMember (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 38},	//283 QDBusError::LastErrorType (enum)
    {15, 604, 0, 0, Smoke::mf_dtor, 0, 39 },	//284 QDBusError::~QDBusError()
    {16, 91, 324, 5, Smoke::mf_ctor, 31, 1},	//285 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 2},	//286 QDBusInterface::metaObject() const
    {16, 513, 1, 1, Smoke::mf_virtual, 317, 3},	//287 QDBusInterface::qt_metacast(const char*)
    {16, 511, 10, 3, Smoke::mf_virtual, 293, 4},	//288 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 91, 281, 2, Smoke::mf_ctor, 31, 5},	//289 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 91, 303, 3, Smoke::mf_ctor, 31, 6},	//290 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 91, 330, 4, Smoke::mf_ctor, 31, 7},	//291 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 605, 0, 0, Smoke::mf_dtor, 0, 8 },	//292 QDBusInterface::~QDBusInterface()
    {17, 96, 0, 0, Smoke::mf_ctor, 34, 1},	//293 QDBusMessage::QDBusMessage()
    {17, 96, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//294 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 327, 227, 1, 0, 33, 3},	//295 QDBusMessage::operator=(const QDBusMessage&)
    {17, 231, 303, 3, Smoke::mf_static, 32, 4},	//296 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 226, 335, 4, Smoke::mf_static, 32, 5},	//297 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 220, 281, 2, Smoke::mf_static, 32, 6},	//298 QDBusMessage::createError(const QString&, const QString&)
    {17, 220, 322, 1, Smoke::mf_static, 32, 7},	//299 QDBusMessage::createError(const QDBusError&)
    {17, 220, 313, 2, Smoke::mf_static, 32, 8},	//300 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 228, 340, 1, Smoke::mf_const, 32, 9},	//301 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 228, 193, 1, Smoke::mf_const, 32, 10},	//302 QDBusMessage::createReply(const QVariant&) const
    {17, 223, 342, 2, Smoke::mf_const, 32, 11},	//303 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 223, 322, 1, Smoke::mf_const, 32, 12},	//304 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 223, 313, 2, Smoke::mf_const, 32, 13},	//305 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 543, 0, 0, Smoke::mf_const, 114, 14},	//306 QDBusMessage::service() const
    {17, 356, 0, 0, Smoke::mf_const, 114, 15},	//307 QDBusMessage::path() const
    {17, 263, 0, 0, Smoke::mf_const, 114, 16},	//308 QDBusMessage::interface() const
    {17, 282, 0, 0, Smoke::mf_const, 114, 17},	//309 QDBusMessage::member() const
    {17, 252, 0, 0, Smoke::mf_const, 114, 18},	//310 QDBusMessage::errorName() const
    {17, 251, 0, 0, Smoke::mf_const, 114, 19},	//311 QDBusMessage::errorMessage() const
    {17, 587, 0, 0, Smoke::mf_const, 35, 20},	//312 QDBusMessage::type() const
    {17, 571, 0, 0, Smoke::mf_const, 114, 21},	//313 QDBusMessage::signature() const
    {17, 275, 0, 0, Smoke::mf_const, 228, 22},	//314 QDBusMessage::isReplyRequired() const
    {17, 565, 16, 1, Smoke::mf_const, 0, 23},	//315 QDBusMessage::setDelayedReply(bool) const
    {17, 272, 0, 0, Smoke::mf_const, 228, 24},	//316 QDBusMessage::isDelayedReply() const
    {17, 561, 16, 1, 0, 0, 25},	//317 QDBusMessage::setAutoStartService(bool)
    {17, 169, 0, 0, Smoke::mf_const, 228, 26},	//318 QDBusMessage::autoStartService() const
    {17, 557, 340, 1, 0, 0, 27},	//319 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 151, 0, 0, Smoke::mf_const, 100, 28},	//320 QDBusMessage::arguments() const
    {17, 315, 193, 1, 0, 33, 29},	//321 QDBusMessage::operator<<(const QVariant&)
    {17, 228, 0, 0, Smoke::mf_const, 32, 30},	//322 QDBusMessage::createReply() const
    {17, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//323 QDBusMessage::InvalidMessage (enum)
    {17, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//324 QDBusMessage::MethodCallMessage (enum)
    {17, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//325 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//326 QDBusMessage::ErrorMessage (enum)
    {17, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 35},	//327 QDBusMessage::SignalMessage (enum)
    {17, 606, 0, 0, Smoke::mf_dtor, 0, 36 },	//328 QDBusMessage::~QDBusMessage()
    {18, 524, 345, 3, Smoke::mf_static, 0, 1},	//329 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 280, 349, 3, Smoke::mf_static, 228, 2},	//330 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 236, 353, 3, Smoke::mf_static, 228, 3},	//331 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 572, 1, 1, Smoke::mf_static, 293, 4},	//332 QDBusMetaType::signatureToType(const char*)
    {18, 588, 170, 1, Smoke::mf_static, 287, 5},	//333 QDBusMetaType::typeToSignature(int)
    {18, 98, 0, 0, Smoke::mf_ctor, 36, 6},	//334 QDBusMetaType::QDBusMetaType()
    {18, 98, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 7},	//335 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 607, 0, 0, Smoke::mf_dtor, 0, 8 },	//336 QDBusMetaType::~QDBusMetaType()
    {19, 100, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//337 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 327, 359, 1, 0, 39, 2},	//338 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 274, 0, 0, Smoke::mf_const, 228, 3},	//339 QDBusPendingCall::isFinished() const
    {19, 595, 0, 0, 0, 0, 4},	//340 QDBusPendingCall::waitForFinished()
    {19, 273, 0, 0, Smoke::mf_const, 228, 5},	//341 QDBusPendingCall::isError() const
    {19, 278, 0, 0, Smoke::mf_const, 228, 6},	//342 QDBusPendingCall::isValid() const
    {19, 250, 0, 0, Smoke::mf_const, 27, 7},	//343 QDBusPendingCall::error() const
    {19, 536, 0, 0, Smoke::mf_const, 32, 8},	//344 QDBusPendingCall::reply() const
    {19, 261, 322, 1, Smoke::mf_static, 38, 9},	//345 QDBusPendingCall::fromError(const QDBusError&)
    {19, 259, 227, 1, Smoke::mf_static, 38, 10},	//346 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 608, 0, 0, Smoke::mf_dtor, 0, 11 },	//347 QDBusPendingCall::~QDBusPendingCall()
    {20, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//348 QDBusPendingCallWatcher::metaObject() const
    {20, 513, 1, 1, Smoke::mf_virtual, 317, 2},	//349 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 579, 3, 2, Smoke::mf_static, 114, 3},	//350 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 583, 3, 2, Smoke::mf_static, 114, 4},	//351 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 579, 6, 3, Smoke::mf_static, 114, 5},	//352 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 583, 6, 3, Smoke::mf_static, 114, 6},	//353 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 511, 10, 3, Smoke::mf_virtual, 293, 7},	//354 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 102, 361, 2, Smoke::mf_ctor, 41, 8},	//355 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 595, 0, 0, 0, 0, 9},	//356 QDBusPendingCallWatcher::waitForFinished()
    {20, 257, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//357 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 579, 1, 1, Smoke::mf_static, 114, 11},	//358 QDBusPendingCallWatcher::tr(const char*)
    {20, 583, 1, 1, Smoke::mf_static, 114, 12},	//359 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 102, 359, 1, Smoke::mf_ctor, 41, 13},	//360 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 14},	//361 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 609, 0, 0, Smoke::mf_dtor, 0, 15 },	//362 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//363 QDBusServer::metaObject() const
    {21, 513, 1, 1, Smoke::mf_virtual, 317, 2},	//364 QDBusServer::qt_metacast(const char*)
    {21, 579, 3, 2, Smoke::mf_static, 114, 3},	//365 QDBusServer::tr(const char*, const char*)
    {21, 583, 3, 2, Smoke::mf_static, 114, 4},	//366 QDBusServer::trUtf8(const char*, const char*)
    {21, 579, 6, 3, Smoke::mf_static, 114, 5},	//367 QDBusServer::tr(const char*, const char*, int)
    {21, 583, 6, 3, Smoke::mf_static, 114, 6},	//368 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 511, 10, 3, Smoke::mf_virtual, 293, 7},	//369 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 105, 296, 2, Smoke::mf_ctor, 48, 8},	//370 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 271, 0, 0, Smoke::mf_const, 228, 9},	//371 QDBusServer::isConnected() const
    {21, 279, 0, 0, Smoke::mf_const, 27, 10},	//372 QDBusServer::lastError() const
    {21, 148, 0, 0, Smoke::mf_const, 114, 11},	//373 QDBusServer::address() const
    {21, 286, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//374 QDBusServer::newConnection(const QDBusConnection&)
    {21, 579, 1, 1, Smoke::mf_static, 114, 13},	//375 QDBusServer::tr(const char*)
    {21, 583, 1, 1, Smoke::mf_static, 114, 14},	//376 QDBusServer::trUtf8(const char*)
    {21, 105, 66, 1, Smoke::mf_ctor, 48, 15},	//377 QDBusServer::QDBusServer(const QString&)
    {21, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 16},	//378 QDBusServer::staticMetaObject() const
    {21, 610, 0, 0, Smoke::mf_dtor, 0, 17 },	//379 QDBusServer::~QDBusServer()
    {22, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 1},	//380 QDBusServiceWatcher::metaObject() const
    {22, 513, 1, 1, Smoke::mf_virtual, 317, 2},	//381 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 579, 3, 2, Smoke::mf_static, 114, 3},	//382 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 583, 3, 2, Smoke::mf_static, 114, 4},	//383 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 579, 6, 3, Smoke::mf_static, 114, 5},	//384 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 583, 6, 3, Smoke::mf_static, 114, 6},	//385 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 511, 10, 3, Smoke::mf_virtual, 293, 7},	//386 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 108, 14, 1, Smoke::mf_ctor, 49, 8},	//387 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 108, 366, 4, Smoke::mf_ctor, 49, 9},	//388 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 597, 0, 0, Smoke::mf_const|Smoke::mf_property, 118, 10},	//389 QDBusServiceWatcher::watchedServices() const
    {22, 569, 186, 1, Smoke::mf_property, 0, 11},	//390 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 146, 66, 1, 0, 0, 12},	//391 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 534, 66, 1, 0, 228, 13},	//392 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 596, 0, 0, Smoke::mf_const, 66, 14},	//393 QDBusServiceWatcher::watchMode() const
    {22, 567, 371, 1, 0, 0, 15},	//394 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 219, 0, 0, Smoke::mf_const, 16, 16},	//395 QDBusServiceWatcher::connection() const
    {22, 563, 225, 1, 0, 0, 17},	//396 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 550, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//397 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 554, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//398 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 546, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//399 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 579, 1, 1, Smoke::mf_static, 114, 21},	//400 QDBusServiceWatcher::tr(const char*)
    {22, 583, 1, 1, Smoke::mf_static, 114, 22},	//401 QDBusServiceWatcher::trUtf8(const char*)
    {22, 108, 0, 0, Smoke::mf_ctor, 49, 23},	//402 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 108, 373, 2, Smoke::mf_ctor, 49, 24},	//403 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 108, 376, 3, Smoke::mf_ctor, 49, 25},	//404 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 576, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 259, 26},	//405 QDBusServiceWatcher::staticMetaObject() const
    {22, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 27},	//406 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 28},	//407 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//408 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 611, 0, 0, Smoke::mf_dtor, 0, 30 },	//409 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 442, 178, 1, Smoke::mf_static, 293, 1},	//410 QGlobalSpace::qRound(double)
    {31, 353, 380, 2, Smoke::mf_static, 71, 2},	//411 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {31, 315, 383, 2, Smoke::mf_static, 13, 3},	//412 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 357, 178, 1, Smoke::mf_static, 290, 4},	//413 QGlobalSpace::qAcos(double)
    {31, 315, 386, 2, Smoke::mf_static, 13, 5},	//414 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 344, 389, 2, Smoke::mf_static, 53, 6},	//415 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 353, 392, 2, Smoke::mf_static, 69, 7},	//416 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {31, 315, 395, 2, Smoke::mf_static, 13, 8},	//417 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 339, 398, 2, Smoke::mf_static, 228, 9},	//418 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 344, 401, 2, Smoke::mf_static, 53, 10},	//419 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 361, 0, 0, Smoke::mf_static, 114, 11},	//420 QGlobalSpace::qAppName()
    {31, 315, 404, 2, Smoke::mf_static, 13, 12},	//421 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 353, 407, 2, Smoke::mf_static, 96, 13},	//422 QGlobalSpace::operator|(Qt::WindowType, int)
    {31, 492, 410, 3, Smoke::mf_static, 231, 14},	//423 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 404, 172, 1, Smoke::mf_static, 305, 15},	//424 QGlobalSpace::qHash(unsigned int)
    {31, 404, 414, 1, Smoke::mf_static, 305, 16},	//425 QGlobalSpace::qHash(char)
    {31, 297, 416, 2, Smoke::mf_static, 274, 17},	//426 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 315, 419, 2, Smoke::mf_static, 56, 18},	//427 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 470, 1, 1, Smoke::mf_static, 5, 19},	//428 QGlobalSpace::qgetenv(const char*)
    {31, 310, 422, 2, Smoke::mf_static, 228, 20},	//429 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 334, 425, 2, Smoke::mf_static, 228, 21},	//430 QGlobalSpace::operator>(const char*, const QString&)
    {31, 344, 428, 2, Smoke::mf_static, 53, 22},	//431 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 353, 431, 2, Smoke::mf_static, 66, 23},	//432 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {31, 353, 434, 2, Smoke::mf_static, 85, 24},	//433 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {31, 329, 437, 2, Smoke::mf_static, 228, 25},	//434 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 315, 440, 2, Smoke::mf_static, 13, 26},	//435 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 315, 443, 2, Smoke::mf_static, 56, 27},	//436 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {31, 329, 446, 2, Smoke::mf_static, 228, 28},	//437 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 310, 449, 2, Smoke::mf_static, 228, 29},	//438 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 390, 178, 1, Smoke::mf_static, 290, 30},	//439 QGlobalSpace::qFastSin(double)
    {31, 300, 452, 2, Smoke::mf_static, 276, 31},	//440 QGlobalSpace::operator+(QChar, const QString&)
    {31, 490, 455, 3, Smoke::mf_static, 293, 32},	//441 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 322, 459, 2, Smoke::mf_static, 228, 33},	//442 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 322, 462, 2, Smoke::mf_static, 228, 34},	//443 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 522, 465, 4, Smoke::mf_static, 293, 35},	//444 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 290, 470, 2, Smoke::mf_static, 228, 36},	//445 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 290, 473, 2, Smoke::mf_static, 228, 37},	//446 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 344, 476, 2, Smoke::mf_static, 237, 38},	//447 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 300, 479, 2, Smoke::mf_static, 276, 39},	//448 QGlobalSpace::operator+(const QString&, QChar)
    {31, 300, 446, 2, Smoke::mf_static, 272, 40},	//449 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 496, 482, 2, Smoke::mf_static, 305, 41},	//450 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 329, 462, 2, Smoke::mf_static, 228, 42},	//451 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 344, 485, 2, Smoke::mf_static, 53, 43},	//452 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {31, 290, 488, 2, Smoke::mf_static, 228, 44},	//453 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 315, 491, 2, Smoke::mf_static, 56, 45},	//454 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 315, 494, 2, Smoke::mf_static, 13, 46},	//455 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 353, 497, 2, Smoke::mf_static, 91, 47},	//456 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {31, 315, 500, 2, Smoke::mf_static, 56, 48},	//457 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 290, 503, 2, Smoke::mf_static, 228, 49},	//458 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 404, 164, 1, Smoke::mf_static, 305, 50},	//459 QGlobalSpace::qHash(unsigned char)
    {31, 518, 506, 5, Smoke::mf_static, 0, 51},	//460 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 329, 512, 2, Smoke::mf_static, 228, 52},	//461 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 507, 170, 1, Smoke::mf_static, 114, 53},	//462 QGlobalSpace::qt_error_string(int)
    {31, 507, 0, 0, Smoke::mf_static, 114, 54},	//463 QGlobalSpace::qt_error_string()
    {31, 344, 515, 2, Smoke::mf_static, 53, 55},	//464 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 290, 449, 2, Smoke::mf_static, 228, 56},	//465 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 419, 518, 1, Smoke::mf_static, 228, 57},	//466 QGlobalSpace::qIsNull(float)
    {31, 353, 520, 2, Smoke::mf_static, 96, 58},	//467 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {31, 433, 0, 0, Smoke::mf_static, 290, 59},	//468 QGlobalSpace::qQNaN()
    {31, 290, 523, 2, Smoke::mf_static, 228, 60},	//469 QGlobalSpace::operator!=(QChar, QChar)
    {31, 449, 526, 1, Smoke::mf_static, 125, 61},	//470 QGlobalSpace::qSetPadChar(QChar)
    {31, 404, 184, 1, Smoke::mf_static, 305, 62},	//471 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 344, 528, 2, Smoke::mf_static, 53, 63},	//472 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 353, 531, 2, Smoke::mf_static, 73, 64},	//473 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {31, 305, 470, 2, Smoke::mf_static, 266, 65},	//474 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 315, 534, 2, Smoke::mf_static, 56, 66},	//475 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 498, 537, 2, Smoke::mf_static, 114, 67},	//476 QGlobalSpace::qtTrId(const char*, int)
    {31, 498, 1, 1, Smoke::mf_static, 114, 68},	//477 QGlobalSpace::qtTrId(const char*)
    {31, 366, 540, 2, Smoke::mf_static, 290, 69},	//478 QGlobalSpace::qAtan2(double, double)
    {31, 315, 543, 2, Smoke::mf_static, 53, 70},	//479 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 404, 166, 1, Smoke::mf_static, 305, 71},	//480 QGlobalSpace::qHash(short)
    {31, 329, 398, 2, Smoke::mf_static, 228, 72},	//481 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 315, 546, 2, Smoke::mf_static, 53, 73},	//482 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 353, 549, 2, Smoke::mf_static, 90, 74},	//483 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {31, 413, 178, 1, Smoke::mf_static, 228, 75},	//484 QGlobalSpace::qIsFinite(double)
    {31, 353, 552, 2, Smoke::mf_static, 85, 76},	//485 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {31, 477, 422, 2, Smoke::mf_static, 293, 77},	//486 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 484, 1, 1, Smoke::mf_static, 231, 78},	//487 QGlobalSpace::qstrdup(const char*)
    {31, 404, 555, 1, Smoke::mf_static, 305, 79},	//488 QGlobalSpace::qHash(long)
    {31, 353, 557, 2, Smoke::mf_static, 84, 80},	//489 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {31, 477, 3, 2, Smoke::mf_static, 293, 81},	//490 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 315, 560, 2, Smoke::mf_static, 53, 82},	//491 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 334, 459, 2, Smoke::mf_static, 228, 83},	//492 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 290, 563, 2, Smoke::mf_static, 228, 84},	//493 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 300, 566, 2, Smoke::mf_static, 234, 85},	//494 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 290, 398, 2, Smoke::mf_static, 228, 86},	//495 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 404, 569, 1, Smoke::mf_static, 305, 87},	//496 QGlobalSpace::qHash(const QBitArray&)
    {31, 353, 571, 2, Smoke::mf_static, 69, 88},	//497 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {31, 482, 574, 2, Smoke::mf_static, 231, 89},	//498 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 353, 577, 2, Smoke::mf_static, 2, 90},	//499 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 290, 580, 2, Smoke::mf_static, 228, 91},	//500 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 310, 566, 2, Smoke::mf_static, 228, 92},	//501 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 364, 178, 1, Smoke::mf_static, 290, 93},	//502 QGlobalSpace::qAtan(double)
    {31, 477, 566, 2, Smoke::mf_static, 293, 94},	//503 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 339, 523, 2, Smoke::mf_static, 228, 95},	//504 QGlobalSpace::operator>=(QChar, QChar)
    {31, 353, 583, 2, Smoke::mf_static, 86, 96},	//505 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {31, 322, 523, 2, Smoke::mf_static, 228, 97},	//506 QGlobalSpace::operator<=(QChar, QChar)
    {31, 297, 586, 2, Smoke::mf_static, 266, 98},	//507 QGlobalSpace::operator*(const QPointF&, double)
    {31, 315, 589, 2, Smoke::mf_static, 56, 99},	//508 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 329, 592, 2, Smoke::mf_static, 228, 100},	//509 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 353, 595, 2, Smoke::mf_static, 64, 101},	//510 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {31, 344, 598, 2, Smoke::mf_static, 53, 102},	//511 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 505, 537, 2, Smoke::mf_static, 0, 103},	//512 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 329, 563, 2, Smoke::mf_static, 228, 104},	//513 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 290, 459, 2, Smoke::mf_static, 228, 105},	//514 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 290, 601, 2, Smoke::mf_static, 228, 106},	//515 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 322, 604, 2, Smoke::mf_static, 228, 107},	//516 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 463, 607, 2, Smoke::mf_static, 5, 108},	//517 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 373, 610, 2, Smoke::mf_static, 5, 109},	//518 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 373, 188, 1, Smoke::mf_static, 5, 110},	//519 QGlobalSpace::qCompress(const QByteArray&)
    {31, 315, 613, 2, Smoke::mf_static, 53, 111},	//520 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 344, 616, 2, Smoke::mf_static, 122, 112},	//521 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 353, 619, 2, Smoke::mf_static, 96, 113},	//522 QGlobalSpace::operator|(Qt::DropAction, int)
    {31, 436, 622, 4, Smoke::mf_static, 317, 114},	//523 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 353, 627, 2, Smoke::mf_static, 96, 115},	//524 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {31, 334, 398, 2, Smoke::mf_static, 228, 116},	//525 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 456, 178, 1, Smoke::mf_static, 290, 117},	//526 QGlobalSpace::qSqrt(double)
    {31, 315, 616, 2, Smoke::mf_static, 122, 118},	//527 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 315, 630, 2, Smoke::mf_static, 53, 119},	//528 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 344, 633, 2, Smoke::mf_static, 237, 120},	//529 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 315, 636, 2, Smoke::mf_static, 56, 121},	//530 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 334, 462, 2, Smoke::mf_static, 228, 122},	//531 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 339, 604, 2, Smoke::mf_static, 228, 123},	//532 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 411, 518, 1, Smoke::mf_static, 293, 124},	//533 QGlobalSpace::qIntCast(float)
    {31, 353, 639, 2, Smoke::mf_static, 76, 125},	//534 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {31, 344, 642, 2, Smoke::mf_static, 237, 126},	//535 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 329, 470, 2, Smoke::mf_static, 228, 127},	//536 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 334, 566, 2, Smoke::mf_static, 228, 128},	//537 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 386, 178, 1, Smoke::mf_static, 290, 129},	//538 QGlobalSpace::qFabs(double)
    {31, 404, 168, 1, Smoke::mf_static, 305, 130},	//539 QGlobalSpace::qHash(unsigned short)
    {31, 329, 566, 2, Smoke::mf_static, 228, 131},	//540 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 353, 645, 2, Smoke::mf_static, 90, 132},	//541 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {31, 353, 648, 2, Smoke::mf_static, 75, 133},	//542 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {31, 315, 651, 2, Smoke::mf_static, 56, 134},	//543 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 353, 654, 2, Smoke::mf_static, 88, 135},	//544 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {31, 290, 462, 2, Smoke::mf_static, 228, 136},	//545 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 434, 657, 2, Smoke::mf_static, 317, 137},	//546 QGlobalSpace::qRealloc(void*, size_t)
    {31, 353, 660, 2, Smoke::mf_static, 81, 138},	//547 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {31, 353, 663, 2, Smoke::mf_static, 65, 139},	//548 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {31, 353, 666, 2, Smoke::mf_static, 96, 140},	//549 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {31, 329, 669, 2, Smoke::mf_static, 228, 141},	//550 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 353, 672, 2, Smoke::mf_static, 82, 142},	//551 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {31, 310, 675, 2, Smoke::mf_static, 228, 143},	//552 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 467, 0, 0, Smoke::mf_static, 56, 144},	//553 QGlobalSpace::qWarning()
    {31, 353, 678, 2, Smoke::mf_static, 96, 145},	//554 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {31, 400, 540, 2, Smoke::mf_static, 228, 146},	//555 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 322, 398, 2, Smoke::mf_static, 228, 147},	//556 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 353, 681, 2, Smoke::mf_static, 74, 148},	//557 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {31, 353, 684, 2, Smoke::mf_static, 72, 149},	//558 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {31, 344, 687, 2, Smoke::mf_static, 53, 150},	//559 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 315, 690, 2, Smoke::mf_static, 53, 151},	//560 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 290, 693, 2, Smoke::mf_static, 228, 152},	//561 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 297, 696, 2, Smoke::mf_static, 272, 153},	//562 QGlobalSpace::operator*(double, const QSize&)
    {31, 353, 699, 2, Smoke::mf_static, 80, 154},	//563 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {31, 383, 0, 0, Smoke::mf_static, 56, 155},	//564 QGlobalSpace::qDebug()
    {31, 344, 702, 2, Smoke::mf_static, 237, 156},	//565 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 404, 174, 1, Smoke::mf_static, 305, 157},	//566 QGlobalSpace::qHash(long long)
    {31, 353, 705, 2, Smoke::mf_static, 87, 158},	//567 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {31, 322, 425, 2, Smoke::mf_static, 228, 159},	//568 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 305, 708, 1, Smoke::mf_static, 266, 160},	//569 QGlobalSpace::operator-(const QPointF&)
    {31, 353, 710, 2, Smoke::mf_static, 96, 161},	//570 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {31, 415, 518, 1, Smoke::mf_static, 228, 162},	//571 QGlobalSpace::qIsInf(float)
    {31, 353, 713, 2, Smoke::mf_static, 96, 163},	//572 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {31, 300, 425, 2, Smoke::mf_static, 276, 164},	//573 QGlobalSpace::operator+(const char*, const QString&)
    {31, 344, 716, 2, Smoke::mf_static, 237, 165},	//574 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 322, 566, 2, Smoke::mf_static, 228, 166},	//575 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 315, 719, 2, Smoke::mf_static, 56, 167},	//576 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 290, 604, 2, Smoke::mf_static, 228, 168},	//577 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 334, 523, 2, Smoke::mf_static, 228, 169},	//578 QGlobalSpace::operator>(QChar, QChar)
    {31, 308, 416, 2, Smoke::mf_static, 274, 170},	//579 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 353, 722, 2, Smoke::mf_static, 96, 171},	//580 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {31, 315, 725, 2, Smoke::mf_static, 56, 172},	//581 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 477, 604, 2, Smoke::mf_static, 293, 173},	//582 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 295, 577, 2, Smoke::mf_static, 2, 174},	//583 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 315, 728, 2, Smoke::mf_static, 56, 175},	//584 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 305, 731, 1, Smoke::mf_static, 264, 176},	//585 QGlobalSpace::operator-(const QPoint&)
    {31, 339, 422, 2, Smoke::mf_static, 228, 177},	//586 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 381, 733, 3, Smoke::mf_static, 0, 178},	//587 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 344, 737, 2, Smoke::mf_static, 237, 179},	//588 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 344, 740, 2, Smoke::mf_static, 237, 180},	//589 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 353, 743, 2, Smoke::mf_static, 96, 181},	//590 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {31, 315, 746, 2, Smoke::mf_static, 53, 182},	//591 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 315, 749, 2, Smoke::mf_static, 56, 183},	//592 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 353, 752, 2, Smoke::mf_static, 66, 184},	//593 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {31, 353, 755, 2, Smoke::mf_static, 76, 185},	//594 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {31, 339, 459, 2, Smoke::mf_static, 228, 186},	//595 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 344, 758, 2, Smoke::mf_static, 237, 187},	//596 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 344, 761, 2, Smoke::mf_static, 237, 188},	//597 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 310, 462, 2, Smoke::mf_static, 228, 189},	//598 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 290, 764, 2, Smoke::mf_static, 228, 190},	//599 QGlobalSpace::operator!=(QBool, QBool)
    {31, 353, 767, 2, Smoke::mf_static, 65, 191},	//600 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {31, 300, 770, 2, Smoke::mf_static, 276, 192},	//601 QGlobalSpace::operator+(const QString&, char)
    {31, 290, 773, 2, Smoke::mf_static, 228, 193},	//602 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 404, 176, 1, Smoke::mf_static, 305, 194},	//603 QGlobalSpace::qHash(unsigned long long)
    {31, 315, 776, 2, Smoke::mf_static, 13, 195},	//604 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 329, 459, 2, Smoke::mf_static, 228, 196},	//605 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 392, 1, 1, Smoke::mf_static, 287, 197},	//606 QGlobalSpace::qFlagLocation(const char*)
    {31, 308, 586, 2, Smoke::mf_static, 266, 198},	//607 QGlobalSpace::operator/(const QPointF&, double)
    {31, 411, 178, 1, Smoke::mf_static, 293, 199},	//608 QGlobalSpace::qIntCast(double)
    {31, 353, 779, 2, Smoke::mf_static, 96, 200},	//609 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {31, 463, 188, 1, Smoke::mf_static, 5, 201},	//610 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 290, 437, 2, Smoke::mf_static, 228, 202},	//611 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 315, 782, 2, Smoke::mf_static, 56, 203},	//612 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 329, 785, 2, Smoke::mf_static, 228, 204},	//613 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 322, 422, 2, Smoke::mf_static, 228, 205},	//614 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 388, 178, 1, Smoke::mf_static, 290, 206},	//615 QGlobalSpace::qFastCos(double)
    {31, 440, 788, 1, Smoke::mf_static, 0, 207},	//616 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 353, 790, 2, Smoke::mf_static, 74, 208},	//617 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {31, 353, 793, 2, Smoke::mf_static, 82, 209},	//618 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {31, 344, 796, 2, Smoke::mf_static, 53, 210},	//619 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 400, 799, 2, Smoke::mf_static, 228, 211},	//620 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 315, 802, 2, Smoke::mf_static, 53, 212},	//621 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 371, 482, 2, Smoke::mf_static, 310, 213},	//622 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 329, 675, 2, Smoke::mf_static, 228, 214},	//623 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 344, 805, 2, Smoke::mf_static, 53, 215},	//624 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 297, 808, 2, Smoke::mf_static, 272, 216},	//625 QGlobalSpace::operator*(const QSize&, double)
    {31, 409, 811, 1, Smoke::mf_static, 315, 217},	//626 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 315, 813, 2, Smoke::mf_static, 122, 218},	//627 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 305, 580, 2, Smoke::mf_static, 264, 219},	//628 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 353, 816, 2, Smoke::mf_static, 79, 220},	//629 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {31, 344, 819, 2, Smoke::mf_static, 53, 221},	//630 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 353, 822, 2, Smoke::mf_static, 67, 222},	//631 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {31, 380, 0, 0, Smoke::mf_static, 56, 223},	//632 QGlobalSpace::qCritical()
    {31, 308, 825, 2, Smoke::mf_static, 264, 224},	//633 QGlobalSpace::operator/(const QPoint&, double)
    {31, 431, 540, 2, Smoke::mf_static, 290, 225},	//634 QGlobalSpace::qPow(double, double)
    {31, 315, 828, 2, Smoke::mf_static, 53, 226},	//635 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 315, 831, 2, Smoke::mf_static, 53, 227},	//636 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {31, 290, 785, 2, Smoke::mf_static, 228, 228},	//637 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 404, 170, 1, Smoke::mf_static, 305, 229},	//638 QGlobalSpace::qHash(int)
    {31, 353, 834, 2, Smoke::mf_static, 83, 230},	//639 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {31, 515, 0, 0, Smoke::mf_static, 0, 231},	//640 QGlobalSpace::qt_noop()
    {31, 329, 473, 2, Smoke::mf_static, 228, 232},	//641 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 353, 837, 2, Smoke::mf_static, 96, 233},	//642 QGlobalSpace::operator|(Qt::WindowState, int)
    {31, 290, 512, 2, Smoke::mf_static, 228, 234},	//643 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 344, 840, 2, Smoke::mf_static, 53, 235},	//644 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 516, 843, 3, Smoke::mf_static, 105, 236},	//645 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 315, 847, 2, Smoke::mf_static, 53, 237},	//646 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 329, 764, 2, Smoke::mf_static, 228, 238},	//647 QGlobalSpace::operator==(QBool, QBool)
    {31, 344, 850, 2, Smoke::mf_static, 53, 239},	//648 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 384, 178, 1, Smoke::mf_static, 290, 240},	//649 QGlobalSpace::qExp(double)
    {31, 344, 853, 2, Smoke::mf_static, 53, 241},	//650 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 353, 856, 2, Smoke::mf_static, 86, 242},	//651 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {31, 329, 859, 2, Smoke::mf_static, 228, 243},	//652 QGlobalSpace::operator==(bool, QBool)
    {31, 353, 862, 2, Smoke::mf_static, 77, 244},	//653 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {31, 402, 178, 1, Smoke::mf_static, 228, 245},	//654 QGlobalSpace::qFuzzyIsNull(double)
    {31, 344, 865, 2, Smoke::mf_static, 53, 246},	//655 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 520, 868, 3, Smoke::mf_static, 228, 247},	//656 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 310, 425, 2, Smoke::mf_static, 228, 248},	//657 QGlobalSpace::operator<(const char*, const QString&)
    {31, 329, 872, 2, Smoke::mf_static, 228, 249},	//658 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 468, 875, 3, Smoke::mf_static, 0, 250},	//659 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 404, 526, 1, Smoke::mf_static, 305, 251},	//660 QGlobalSpace::qHash(QChar)
    {31, 353, 879, 2, Smoke::mf_static, 96, 252},	//661 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {31, 315, 882, 2, Smoke::mf_static, 53, 253},	//662 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 290, 872, 2, Smoke::mf_static, 228, 254},	//663 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 310, 398, 2, Smoke::mf_static, 228, 255},	//664 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 344, 885, 2, Smoke::mf_static, 237, 256},	//665 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 290, 859, 2, Smoke::mf_static, 228, 257},	//666 QGlobalSpace::operator!=(bool, QBool)
    {31, 509, 888, 2, Smoke::mf_static, 0, 258},	//667 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 353, 891, 2, Smoke::mf_static, 70, 259},	//668 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {31, 475, 172, 1, Smoke::mf_static, 0, 260},	//669 QGlobalSpace::qsrand(unsigned int)
    {31, 329, 894, 2, Smoke::mf_static, 228, 261},	//670 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 300, 897, 2, Smoke::mf_static, 276, 262},	//671 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 353, 900, 2, Smoke::mf_static, 78, 263},	//672 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {31, 315, 903, 2, Smoke::mf_static, 56, 264},	//673 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 353, 906, 2, Smoke::mf_static, 96, 265},	//674 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {31, 344, 909, 2, Smoke::mf_static, 53, 266},	//675 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 290, 669, 2, Smoke::mf_static, 228, 267},	//676 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 486, 3, 2, Smoke::mf_static, 293, 268},	//677 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 353, 912, 2, Smoke::mf_static, 94, 269},	//678 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {31, 429, 915, 3, Smoke::mf_static, 317, 270},	//679 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 315, 919, 2, Smoke::mf_static, 56, 271},	//680 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 290, 446, 2, Smoke::mf_static, 228, 272},	//681 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 369, 178, 1, Smoke::mf_static, 293, 273},	//682 QGlobalSpace::qCeil(double)
    {31, 404, 922, 1, Smoke::mf_static, 305, 274},	//683 QGlobalSpace::qHash(signed char)
    {31, 315, 924, 2, Smoke::mf_static, 13, 275},	//684 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 353, 927, 2, Smoke::mf_static, 94, 276},	//685 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {31, 329, 503, 2, Smoke::mf_static, 228, 277},	//686 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 353, 930, 2, Smoke::mf_static, 93, 278},	//687 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {31, 329, 773, 2, Smoke::mf_static, 228, 279},	//688 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 344, 933, 2, Smoke::mf_static, 53, 280},	//689 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 315, 936, 2, Smoke::mf_static, 56, 281},	//690 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 353, 939, 2, Smoke::mf_static, 96, 282},	//691 QGlobalSpace::operator|(QFile::Permission, int)
    {31, 300, 580, 2, Smoke::mf_static, 264, 283},	//692 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 300, 422, 2, Smoke::mf_static, 234, 284},	//693 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 359, 788, 1, Smoke::mf_static, 0, 285},	//694 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 438, 942, 1, Smoke::mf_static, 0, 286},	//695 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 297, 944, 2, Smoke::mf_static, 266, 287},	//696 QGlobalSpace::operator*(double, const QPointF&)
    {31, 453, 0, 0, Smoke::mf_static, 228, 288},	//697 QGlobalSpace::qSharedBuild()
    {31, 315, 947, 2, Smoke::mf_static, 53, 289},	//698 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 315, 950, 2, Smoke::mf_static, 53, 290},	//699 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 344, 953, 2, Smoke::mf_static, 53, 291},	//700 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 315, 956, 2, Smoke::mf_static, 13, 292},	//701 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 408, 0, 0, Smoke::mf_static, 290, 293},	//702 QGlobalSpace::qInf()
    {31, 494, 455, 3, Smoke::mf_static, 293, 294},	//703 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 404, 959, 1, Smoke::mf_static, 305, 295},	//704 QGlobalSpace::qHash(const QStringRef&)
    {31, 344, 961, 2, Smoke::mf_static, 53, 296},	//705 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 353, 964, 2, Smoke::mf_static, 96, 297},	//706 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {31, 315, 967, 2, Smoke::mf_static, 53, 298},	//707 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 334, 604, 2, Smoke::mf_static, 228, 299},	//708 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 329, 523, 2, Smoke::mf_static, 228, 300},	//709 QGlobalSpace::operator==(QChar, QChar)
    {31, 378, 178, 1, Smoke::mf_static, 290, 301},	//710 QGlobalSpace::qCos(double)
    {31, 344, 970, 2, Smoke::mf_static, 237, 302},	//711 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 425, 973, 2, Smoke::mf_static, 317, 303},	//712 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 315, 976, 2, Smoke::mf_static, 53, 304},	//713 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 300, 979, 2, Smoke::mf_static, 276, 305},	//714 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 503, 982, 4, Smoke::mf_static, 0, 306},	//715 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 344, 987, 2, Smoke::mf_static, 237, 307},	//716 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 353, 990, 2, Smoke::mf_static, 78, 308},	//717 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {31, 315, 993, 2, Smoke::mf_static, 13, 309},	//718 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 353, 996, 2, Smoke::mf_static, 70, 310},	//719 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {31, 300, 999, 2, Smoke::mf_static, 234, 311},	//720 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 353, 1002, 2, Smoke::mf_static, 73, 312},	//721 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {31, 466, 0, 0, Smoke::mf_static, 287, 313},	//722 QGlobalSpace::qVersion()
    {31, 353, 1005, 2, Smoke::mf_static, 79, 314},	//723 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {31, 315, 1008, 2, Smoke::mf_static, 13, 315},	//724 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 315, 1011, 2, Smoke::mf_static, 53, 316},	//725 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 300, 470, 2, Smoke::mf_static, 266, 317},	//726 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 329, 425, 2, Smoke::mf_static, 228, 318},	//727 QGlobalSpace::operator==(const char*, const QString&)
    {31, 353, 1014, 2, Smoke::mf_static, 72, 319},	//728 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {31, 315, 1017, 2, Smoke::mf_static, 53, 320},	//729 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 315, 1020, 2, Smoke::mf_static, 56, 321},	//730 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 353, 1023, 2, Smoke::mf_static, 96, 322},	//731 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {31, 329, 693, 2, Smoke::mf_static, 228, 323},	//732 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 458, 1026, 2, Smoke::mf_static, 228, 324},	//733 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 353, 1029, 2, Smoke::mf_static, 68, 325},	//734 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {31, 315, 1032, 2, Smoke::mf_static, 53, 326},	//735 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 300, 1035, 2, Smoke::mf_static, 234, 327},	//736 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 300, 1038, 2, Smoke::mf_static, 276, 328},	//737 QGlobalSpace::operator+(const QString&, const char*)
    {31, 353, 1041, 2, Smoke::mf_static, 96, 329},	//738 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {31, 310, 604, 2, Smoke::mf_static, 228, 330},	//739 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 373, 1044, 3, Smoke::mf_static, 5, 331},	//740 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 373, 607, 2, Smoke::mf_static, 5, 332},	//741 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 394, 178, 1, Smoke::mf_static, 293, 333},	//742 QGlobalSpace::qFloor(double)
    {31, 353, 1048, 2, Smoke::mf_static, 89, 334},	//743 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {31, 404, 66, 1, Smoke::mf_static, 305, 335},	//744 QGlobalSpace::qHash(const QString&)
    {31, 300, 281, 2, Smoke::mf_static, 276, 336},	//745 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 290, 1051, 2, Smoke::mf_static, 228, 337},	//746 QGlobalSpace::operator!=(QBool, bool)
    {31, 329, 604, 2, Smoke::mf_static, 228, 338},	//747 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 329, 1054, 2, Smoke::mf_static, 228, 339},	//748 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 315, 1057, 2, Smoke::mf_static, 13, 340},	//749 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 315, 1060, 2, Smoke::mf_static, 53, 341},	//750 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 417, 518, 1, Smoke::mf_static, 228, 342},	//751 QGlobalSpace::qIsNaN(float)
    {31, 315, 1063, 2, Smoke::mf_static, 53, 343},	//752 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 353, 1066, 2, Smoke::mf_static, 96, 344},	//753 QGlobalSpace::operator|(QDir::SortFlag, int)
    {31, 290, 675, 2, Smoke::mf_static, 228, 345},	//754 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 427, 1069, 3, Smoke::mf_static, 317, 346},	//755 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 396, 1073, 1, Smoke::mf_static, 0, 347},	//756 QGlobalSpace::qFree(void*)
    {31, 329, 1026, 2, Smoke::mf_static, 228, 348},	//757 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 339, 425, 2, Smoke::mf_static, 228, 349},	//758 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 417, 178, 1, Smoke::mf_static, 228, 350},	//759 QGlobalSpace::qIsNaN(double)
    {31, 353, 1075, 2, Smoke::mf_static, 91, 351},	//760 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {31, 297, 825, 2, Smoke::mf_static, 264, 352},	//761 QGlobalSpace::operator*(const QPoint&, double)
    {31, 353, 1078, 2, Smoke::mf_static, 96, 353},	//762 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {31, 315, 1081, 2, Smoke::mf_static, 56, 354},	//763 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 451, 170, 1, Smoke::mf_static, 125, 355},	//764 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 474, 0, 0, Smoke::mf_static, 293, 356},	//765 QGlobalSpace::qrand()
    {31, 344, 1084, 2, Smoke::mf_static, 53, 357},	//766 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 404, 1087, 1, Smoke::mf_static, 305, 358},	//767 QGlobalSpace::qHash(const QUrl&)
    {31, 353, 1089, 2, Smoke::mf_static, 92, 359},	//768 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {31, 300, 604, 2, Smoke::mf_static, 234, 360},	//769 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 297, 1092, 2, Smoke::mf_static, 264, 361},	//770 QGlobalSpace::operator*(double, const QPoint&)
    {31, 290, 1026, 2, Smoke::mf_static, 228, 362},	//771 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 454, 178, 1, Smoke::mf_static, 290, 363},	//772 QGlobalSpace::qSin(double)
    {31, 315, 1095, 2, Smoke::mf_static, 56, 364},	//773 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 329, 580, 2, Smoke::mf_static, 228, 365},	//774 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 353, 1098, 2, Smoke::mf_static, 71, 366},	//775 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {31, 501, 6, 3, Smoke::mf_static, 0, 367},	//776 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 315, 1101, 2, Smoke::mf_static, 56, 368},	//777 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 488, 1, 1, Smoke::mf_static, 305, 369},	//778 QGlobalSpace::qstrlen(const char*)
    {31, 353, 1104, 2, Smoke::mf_static, 77, 370},	//779 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {31, 353, 1107, 2, Smoke::mf_static, 68, 371},	//780 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {31, 415, 178, 1, Smoke::mf_static, 228, 372},	//781 QGlobalSpace::qIsInf(double)
    {31, 305, 446, 2, Smoke::mf_static, 272, 373},	//782 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 308, 808, 2, Smoke::mf_static, 272, 374},	//783 QGlobalSpace::operator/(const QSize&, double)
    {31, 339, 566, 2, Smoke::mf_static, 228, 375},	//784 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 353, 1110, 2, Smoke::mf_static, 96, 376},	//785 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {31, 353, 1113, 2, Smoke::mf_static, 96, 377},	//786 QGlobalSpace::operator|(QDir::Filter, int)
    {31, 290, 566, 2, Smoke::mf_static, 228, 378},	//787 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 461, 178, 1, Smoke::mf_static, 290, 379},	//788 QGlobalSpace::qTan(double)
    {31, 444, 178, 1, Smoke::mf_static, 296, 380},	//789 QGlobalSpace::qRound64(double)
    {31, 404, 1116, 1, Smoke::mf_static, 305, 381},	//790 QGlobalSpace::qHash(unsigned long)
    {31, 315, 1118, 2, Smoke::mf_static, 13, 382},	//791 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 353, 1121, 2, Smoke::mf_static, 64, 383},	//792 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {31, 446, 0, 0, Smoke::mf_static, 290, 384},	//793 QGlobalSpace::qSNaN()
    {31, 310, 523, 2, Smoke::mf_static, 228, 385},	//794 QGlobalSpace::operator<(QChar, QChar)
    {31, 353, 1124, 2, Smoke::mf_static, 88, 386},	//795 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {31, 353, 1127, 2, Smoke::mf_static, 81, 387},	//796 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {31, 305, 693, 2, Smoke::mf_static, 274, 388},	//797 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 423, 1130, 1, Smoke::mf_static, 317, 389},	//798 QGlobalSpace::qMalloc(size_t)
    {31, 419, 178, 1, Smoke::mf_static, 228, 390},	//799 QGlobalSpace::qIsNull(double)
    {31, 472, 566, 2, Smoke::mf_static, 228, 391},	//800 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 353, 1132, 2, Smoke::mf_static, 96, 392},	//801 QGlobalSpace::operator|(Qt::Orientation, int)
    {31, 353, 1135, 2, Smoke::mf_static, 96, 393},	//802 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {31, 344, 1138, 2, Smoke::mf_static, 53, 394},	//803 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 344, 1141, 2, Smoke::mf_static, 53, 395},	//804 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 402, 518, 1, Smoke::mf_static, 228, 396},	//805 QGlobalSpace::qFuzzyIsNull(float)
    {31, 315, 1144, 2, Smoke::mf_static, 53, 397},	//806 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 404, 182, 1, Smoke::mf_static, 305, 398},	//807 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 315, 1147, 2, Smoke::mf_static, 56, 399},	//808 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 404, 1150, 1, Smoke::mf_static, 305, 400},	//809 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 353, 1152, 2, Smoke::mf_static, 96, 401},	//810 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {31, 315, 1155, 2, Smoke::mf_static, 56, 402},	//811 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 353, 1158, 2, Smoke::mf_static, 92, 403},	//812 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {31, 334, 422, 2, Smoke::mf_static, 228, 404},	//813 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 290, 894, 2, Smoke::mf_static, 228, 405},	//814 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 353, 1161, 2, Smoke::mf_static, 83, 406},	//815 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {31, 290, 425, 2, Smoke::mf_static, 228, 407},	//816 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 447, 170, 1, Smoke::mf_static, 125, 408},	//817 QGlobalSpace::qSetFieldWidth(int)
    {31, 458, 1038, 2, Smoke::mf_static, 228, 409},	//818 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 353, 1164, 2, Smoke::mf_static, 93, 410},	//819 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {31, 353, 1167, 2, Smoke::mf_static, 80, 411},	//820 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {31, 353, 1170, 2, Smoke::mf_static, 96, 412},	//821 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {31, 310, 459, 2, Smoke::mf_static, 228, 413},	//822 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 297, 1173, 2, Smoke::mf_static, 274, 414},	//823 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 339, 462, 2, Smoke::mf_static, 228, 415},	//824 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 315, 1176, 2, Smoke::mf_static, 56, 416},	//825 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 404, 188, 1, Smoke::mf_static, 305, 417},	//826 QGlobalSpace::qHash(const QByteArray&)
    {31, 329, 488, 2, Smoke::mf_static, 228, 418},	//827 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 404, 1179, 1, Smoke::mf_static, 305, 419},	//828 QGlobalSpace::qHash(const QModelIndex&)
    {31, 353, 1181, 2, Smoke::mf_static, 96, 420},	//829 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {31, 329, 601, 2, Smoke::mf_static, 228, 421},	//830 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 353, 1184, 2, Smoke::mf_static, 87, 422},	//831 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {31, 353, 1187, 2, Smoke::mf_static, 84, 423},	//832 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {31, 398, 1073, 1, Smoke::mf_static, 0, 424},	//833 QGlobalSpace::qFreeAligned(void*)
    {31, 353, 1190, 2, Smoke::mf_static, 89, 425},	//834 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {31, 315, 1193, 2, Smoke::mf_static, 56, 426},	//835 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {31, 329, 422, 2, Smoke::mf_static, 228, 427},	//836 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 353, 1196, 2, Smoke::mf_static, 96, 428},	//837 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {31, 329, 449, 2, Smoke::mf_static, 228, 429},	//838 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 353, 1199, 2, Smoke::mf_static, 96, 430},	//839 QGlobalSpace::operator|(Qt::MouseButton, int)
    {31, 421, 178, 1, Smoke::mf_static, 290, 431},	//840 QGlobalSpace::qLn(double)
    {31, 329, 1051, 2, Smoke::mf_static, 228, 432},	//841 QGlobalSpace::operator==(QBool, bool)
    {31, 290, 422, 2, Smoke::mf_static, 228, 433},	//842 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 351, 577, 2, Smoke::mf_static, 2, 434},	//843 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 362, 178, 1, Smoke::mf_static, 290, 435},	//844 QGlobalSpace::qAsin(double)
    {31, 344, 1202, 2, Smoke::mf_static, 53, 436},	//845 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 368, 0, 0, Smoke::mf_static, 0, 437},	//846 QGlobalSpace::qBadAlloc()
    {31, 353, 1205, 2, Smoke::mf_static, 96, 438},	//847 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {31, 353, 1208, 2, Smoke::mf_static, 96, 439},	//848 QGlobalSpace::operator|(QString::SectionFlag, int)
    {31, 300, 1211, 2, Smoke::mf_static, 276, 440},	//849 QGlobalSpace::operator+(char, const QString&)
    {31, 315, 1214, 2, Smoke::mf_static, 53, 441},	//850 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 413, 518, 1, Smoke::mf_static, 228, 442},	//851 QGlobalSpace::qIsFinite(float)
    {31, 353, 1217, 2, Smoke::mf_static, 67, 443},	//852 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {31, 300, 693, 2, Smoke::mf_static, 274, 444},	//853 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 353, 1220, 2, Smoke::mf_static, 75, 445},	//854 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {31, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 446},	//855 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {31, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 447},	//856 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {31, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 448},	//857 QGlobalSpace::Q_STATIC_TYPE (enum)
    {31, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 449},	//858 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {31, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 450},	//859 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {31, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 451},	//860 QGlobalSpace::LicensedGui (enum)
    {31, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 452},	//861 QGlobalSpace::LicensedXml (enum)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 453},	//862 QGlobalSpace::LicensedQt3SupportLight (enum)
    {31, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 454},	//863 QGlobalSpace::LicensedScript (enum)
    {31, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 455},	//864 QGlobalSpace::LicensedOpenVG (enum)
    {31, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 456},	//865 QGlobalSpace::LicensedDBus (enum)
    {31, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 457},	//866 QGlobalSpace::LicensedTest (enum)
    {31, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 458},	//867 QGlobalSpace::LicensedActiveQt (enum)
    {31, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 459},	//868 QGlobalSpace::LicensedScriptTools (enum)
    {31, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 460},	//869 QGlobalSpace::LicensedSvg (enum)
    {31, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 461},	//870 QGlobalSpace::LicensedDeclarative (enum)
    {31, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 462},	//871 QGlobalSpace::LicensedSql (enum)
    {31, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 463},	//872 QGlobalSpace::LicensedOpenGL (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 464},	//873 QGlobalSpace::LicensedCore (enum)
    {31, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 465},	//874 QGlobalSpace::QtDebugMsg (enum)
    {31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 466},	//875 QGlobalSpace::QtWarningMsg (enum)
    {31, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 467},	//876 QGlobalSpace::QtCriticalMsg (enum)
    {31, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 468},	//877 QGlobalSpace::QtFatalMsg (enum)
    {31, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 469},	//878 QGlobalSpace::QtSystemMsg (enum)
    {31, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 470},	//879 QGlobalSpace::LicensedHelp (enum)
    {31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 471},	//880 QGlobalSpace::LicensedMultimedia (enum)
    {31, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 472},	//881 QGlobalSpace::LicensedQt3Support (enum)
    {31, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 473},	//882 QGlobalSpace::LicensedXmlPatterns (enum)
    {31, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 474},	//883 QGlobalSpace::LicensedNetwork (enum)
    {41, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//884 QObject::metaObject() const
    {41, 513, 1, 1, Smoke::mf_virtual, 317, 0},	//885 QObject::qt_metacast(const char*)
    {41, 255, 1223, 1, Smoke::mf_virtual, 228, 0},	//886 QObject::event(QEvent*)
    {41, 256, 1225, 2, Smoke::mf_virtual, 228, 0},	//887 QObject::eventFilter(QObject*, QEvent*)
    {41, 578, 1228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//888 QObject::timerEvent(QTimerEvent*)
    {41, 210, 1230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//889 QObject::childEvent(QChildEvent*)
    {41, 235, 1223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//890 QObject::customEvent(QEvent*)
    {41, 215, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//891 QObject::connectNotify(const char*)
    {41, 244, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//892 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    298,  // QDBusMessage::createError(const QString&, const QString&)
    300,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    303,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    305,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    445,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    453,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    458,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    469,  // QGlobalSpace::operator!=(QChar, QChar)
    493,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    500,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    514,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    515,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    545,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    561,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    577,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    599,  // QGlobalSpace::operator!=(QBool, QBool)
    611,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    643,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    681,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    814,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    637,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    663,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    746,  // QGlobalSpace::operator!=(QBool, bool)
    771,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    842,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    446,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    495,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    602,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    666,  // QGlobalSpace::operator!=(bool, QBool)
    676,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    787,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    465,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    754,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    816,  // QGlobalSpace::operator!=(const char*, const QString&)
    0,
    426,  // QGlobalSpace::operator*(const QSizeF&, double)
    507,  // QGlobalSpace::operator*(const QPointF&, double)
    625,  // QGlobalSpace::operator*(const QSize&, double)
    761,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    562,  // QGlobalSpace::operator*(double, const QSize&)
    696,  // QGlobalSpace::operator*(double, const QPointF&)
    770,  // QGlobalSpace::operator*(double, const QPoint&)
    823,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    449,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    692,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    726,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    769,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    853,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    440,  // QGlobalSpace::operator+(QChar, const QString&)
    671,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    693,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    720,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    448,  // QGlobalSpace::operator+(const QString&, QChar)
    494,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    714,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    736,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    573,  // QGlobalSpace::operator+(const char*, const QString&)
    601,  // QGlobalSpace::operator+(const QString&, char)
    737,  // QGlobalSpace::operator+(const QString&, const char*)
    745,  // QGlobalSpace::operator+(const QString&, const QString&)
    849,  // QGlobalSpace::operator+(char, const QString&)
    0,
    569,  // QGlobalSpace::operator-(const QPointF&)
    585,  // QGlobalSpace::operator-(const QPoint&)
    0,
    474,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    628,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    782,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    797,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    579,  // QGlobalSpace::operator/(const QSizeF&, double)
    607,  // QGlobalSpace::operator/(const QPointF&, double)
    633,  // QGlobalSpace::operator/(const QPoint&, double)
    783,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    598,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    739,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    794,  // QGlobalSpace::operator<(QChar, QChar)
    822,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    501,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    664,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    438,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    552,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    657,  // QGlobalSpace::operator<(const char*, const QString&)
    0,
    412,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    414,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    417,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    421,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    427,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    454,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    455,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    457,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    475,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    482,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    491,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    508,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    527,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    528,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    530,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    543,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    560,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    576,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    581,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    584,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    591,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    592,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    604,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    612,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    621,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    627,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    646,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    680,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    684,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    690,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    698,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    699,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    701,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    707,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    713,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    718,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    725,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    729,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    730,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    735,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    749,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    752,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    763,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    773,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    777,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    791,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    806,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    808,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    811,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    825,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    850,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    436,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    479,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    520,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    673,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    835,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    435,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    724,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    0,
    442,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    443,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    506,  // QGlobalSpace::operator<=(QChar, QChar)
    516,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    556,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    575,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    434,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    437,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    451,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    461,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    509,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    513,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    536,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    605,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    647,  // QGlobalSpace::operator==(QBool, QBool)
    670,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    686,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    709,  // QGlobalSpace::operator==(QChar, QChar)
    732,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    747,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    748,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    774,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    827,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    830,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    613,  // QGlobalSpace::operator==(QString::Null, const QString&)
    658,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    757,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    836,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    841,  // QGlobalSpace::operator==(QBool, bool)
    0,
    481,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    540,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    550,  // QGlobalSpace::operator==(const QString&, QString::Null)
    641,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    652,  // QGlobalSpace::operator==(bool, QBool)
    688,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    623,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    727,  // QGlobalSpace::operator==(const char*, const QString&)
    838,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    0,
    492,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    531,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    578,  // QGlobalSpace::operator>(QChar, QChar)
    708,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    525,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    537,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    504,  // QGlobalSpace::operator>=(QChar, QChar)
    532,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    595,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    824,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    418,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    784,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    415,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    419,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    447,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    452,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    464,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    472,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    511,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    521,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    529,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    535,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    559,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    565,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    574,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    588,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    589,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    596,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    597,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    619,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    630,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    655,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    665,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    700,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    711,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    716,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    766,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    845,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    644,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    804,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    411,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    416,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    422,  // QGlobalSpace::operator|(Qt::WindowType, int)
    432,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    433,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    456,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    467,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    473,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    483,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    485,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    489,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    497,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    505,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    510,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    522,  // QGlobalSpace::operator|(Qt::DropAction, int)
    524,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    534,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    541,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    542,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    544,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    547,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    548,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    549,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    551,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    554,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    557,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    558,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    563,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    567,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    570,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    572,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    580,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    590,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    593,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    594,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    600,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    609,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    617,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    618,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    629,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    631,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    639,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    642,  // QGlobalSpace::operator|(Qt::WindowState, int)
    651,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    653,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    661,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    668,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    672,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    674,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    678,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    685,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    687,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    691,  // QGlobalSpace::operator|(QFile::Permission, int)
    706,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    717,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    719,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    721,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    723,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    728,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    731,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    734,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    738,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    743,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    753,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    760,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    762,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    768,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    775,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    779,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    780,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    785,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    786,  // QGlobalSpace::operator|(QDir::Filter, int)
    792,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    795,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    796,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    801,  // QGlobalSpace::operator|(Qt::Orientation, int)
    802,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    810,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    812,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    815,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    819,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    820,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    821,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    829,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    831,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    832,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    834,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    837,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    839,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    847,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    848,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    852,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    854,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    555,  // QGlobalSpace::qFuzzyCompare(double, double)
    620,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    654,  // QGlobalSpace::qFuzzyIsNull(double)
    805,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    496,  // QGlobalSpace::qHash(const QBitArray&)
    660,  // QGlobalSpace::qHash(QChar)
    704,  // QGlobalSpace::qHash(const QStringRef&)
    767,  // QGlobalSpace::qHash(const QUrl&)
    809,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    826,  // QGlobalSpace::qHash(const QByteArray&)
    828,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    424,  // QGlobalSpace::qHash(unsigned int)
    425,  // QGlobalSpace::qHash(char)
    459,  // QGlobalSpace::qHash(unsigned char)
    471,  // QGlobalSpace::qHash(const QDBusSignature&)
    480,  // QGlobalSpace::qHash(short)
    488,  // QGlobalSpace::qHash(long)
    539,  // QGlobalSpace::qHash(unsigned short)
    638,  // QGlobalSpace::qHash(int)
    683,  // QGlobalSpace::qHash(signed char)
    744,  // QGlobalSpace::qHash(const QString&)
    790,  // QGlobalSpace::qHash(unsigned long)
    807,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    0,
    566,  // QGlobalSpace::qHash(long long)
    603,  // QGlobalSpace::qHash(unsigned long long)
    0,
    533,  // QGlobalSpace::qIntCast(float)
    608,  // QGlobalSpace::qIntCast(double)
    0,
    484,  // QGlobalSpace::qIsFinite(double)
    851,  // QGlobalSpace::qIsFinite(float)
    0,
    571,  // QGlobalSpace::qIsInf(float)
    781,  // QGlobalSpace::qIsInf(double)
    0,
    751,  // QGlobalSpace::qIsNaN(float)
    759,  // QGlobalSpace::qIsNaN(double)
    0,
    466,  // QGlobalSpace::qIsNull(float)
    799,  // QGlobalSpace::qIsNull(double)
    0,
    246,  // QDBusError::QDBusError(const DBusError*)
    247,  // QDBusError::QDBusError(const QDBusMessage&)
    249,  // QDBusError::QDBusError(const QDBusError&)
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    92,  // QDBusArgument::operator<<(const QStringList&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    118,  // QDBusArgument::operator>>(QStringList&) const
    0,
    243,  // QDBusContext::sendErrorReply(const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    240,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    241,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 69, 1},	// QDBus::NoBlock
    {8, 78, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 168, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 284, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 512, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 514, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 560, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 576, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 580, 15},	// QDBusAbstractAdaptor::tr$
    {8, 581, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 582, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 584, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 585, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 586, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 598, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 80, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 156, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 157, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 158, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 159, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 160, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 161, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 162, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 163, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 164, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 166, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 181, 47},	// QDBusAbstractInterface::call$
    {9, 182, 48},	// QDBusAbstractInterface::call$#
    {9, 183, 49},	// QDBusAbstractInterface::call$##
    {9, 184, 50},	// QDBusAbstractInterface::call$###
    {9, 185, 51},	// QDBusAbstractInterface::call$####
    {9, 186, 52},	// QDBusAbstractInterface::call$#####
    {9, 187, 53},	// QDBusAbstractInterface::call$######
    {9, 188, 54},	// QDBusAbstractInterface::call$#######
    {9, 189, 32},	// QDBusAbstractInterface::call$########
    {9, 190, 55},	// QDBusAbstractInterface::call$$
    {9, 191, 56},	// QDBusAbstractInterface::call$$#
    {9, 192, 57},	// QDBusAbstractInterface::call$$##
    {9, 193, 58},	// QDBusAbstractInterface::call$$###
    {9, 194, 59},	// QDBusAbstractInterface::call$$####
    {9, 195, 60},	// QDBusAbstractInterface::call$$#####
    {9, 196, 61},	// QDBusAbstractInterface::call$$######
    {9, 197, 62},	// QDBusAbstractInterface::call$$#######
    {9, 198, 33},	// QDBusAbstractInterface::call$$########
    {9, 200, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 205, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 206, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 216, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 219, 27},	// QDBusAbstractInterface::connection
    {9, 245, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 263, 30},	// QDBusAbstractInterface::interface
    {9, 265, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 266, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 268, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 270, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 278, 26},	// QDBusAbstractInterface::isValid
    {9, 279, 31},	// QDBusAbstractInterface::lastError
    {9, 284, 19},	// QDBusAbstractInterface::metaObject
    {9, 356, 29},	// QDBusAbstractInterface::path
    {9, 512, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 514, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 543, 28},	// QDBusAbstractInterface::service
    {9, 576, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 580, 45},	// QDBusAbstractInterface::tr$
    {9, 581, 21},	// QDBusAbstractInterface::tr$$
    {9, 582, 23},	// QDBusAbstractInterface::tr$$$
    {9, 584, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 585, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 586, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 599, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 512, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 600, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 60, 135},	// QDBusArgument::MapEntryType
    {11, 61, 134},	// QDBusArgument::MapType
    {11, 81, 76},	// QDBusArgument::QDBusArgument
    {11, 82, 77},	// QDBusArgument::QDBusArgument#
    {11, 132, 133},	// QDBusArgument::StructureType
    {11, 139, 136},	// QDBusArgument::UnknownType
    {11, 142, 131},	// QDBusArgument::VariantType
    {11, 150, 102},	// QDBusArgument::appendVariant#
    {11, 152, 129},	// QDBusArgument::asVariant
    {11, 167, 128},	// QDBusArgument::atEnd
    {11, 171, 122},	// QDBusArgument::beginArray
    {11, 172, 96},	// QDBusArgument::beginArray$
    {11, 173, 124},	// QDBusArgument::beginMap
    {11, 174, 98},	// QDBusArgument::beginMap$$
    {11, 175, -409},	// QDBusArgument::beginMapEntry
    {11, 176, -412},	// QDBusArgument::beginStructure
    {11, 233, 103},	// QDBusArgument::currentSignature
    {11, 234, 104},	// QDBusArgument::currentType
    {11, 246, -415},	// QDBusArgument::endArray
    {11, 247, -418},	// QDBusArgument::endMap
    {11, 248, -421},	// QDBusArgument::endMapEntry
    {11, 249, -424},	// QDBusArgument::endStructure
    {11, 316, -427},	// QDBusArgument::operator<<#
    {11, 320, -430},	// QDBusArgument::operator<<$
    {11, 321, -441},	// QDBusArgument::operator<<?
    {11, 328, 78},	// QDBusArgument::operator=#
    {11, 345, -445},	// QDBusArgument::operator>>#
    {11, 349, -448},	// QDBusArgument::operator>>$
    {11, 350, -459},	// QDBusArgument::operator>>?
    {11, 601, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 191},	// QDBusConnection::ExportAllContents
    {12, 17, 190},	// QDBusConnection::ExportAllProperties
    {12, 18, 192},	// QDBusConnection::ExportAllSignal
    {12, 19, 189},	// QDBusConnection::ExportAllSignals
    {12, 20, 188},	// QDBusConnection::ExportAllSlots
    {12, 21, 193},	// QDBusConnection::ExportChildObjects
    {12, 22, 187},	// QDBusConnection::ExportNonScriptableContents
    {12, 23, 186},	// QDBusConnection::ExportNonScriptableProperties
    {12, 24, 185},	// QDBusConnection::ExportNonScriptableSignals
    {12, 25, 184},	// QDBusConnection::ExportNonScriptableSlots
    {12, 26, 183},	// QDBusConnection::ExportScriptableContents
    {12, 27, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 28, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 29, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 84, 139},	// QDBusConnection::QDBusConnection#
    {12, 85, 138},	// QDBusConnection::QDBusConnection$
    {12, 130, 176},	// QDBusConnection::SessionBus
    {12, 133, 177},	// QDBusConnection::SystemBus
    {12, 140, 194},	// QDBusConnection::UnregisterNode
    {12, 141, 195},	// QDBusConnection::UnregisterTree
    {12, 154, 172},	// QDBusConnection::asyncCall#
    {12, 155, 149},	// QDBusConnection::asyncCall#$
    {12, 170, 142},	// QDBusConnection::baseService
    {12, 178, 170},	// QDBusConnection::call#
    {12, 179, 171},	// QDBusConnection::call#$
    {12, 180, 148},	// QDBusConnection::call#$$
    {12, 202, 169},	// QDBusConnection::callWithCallback##$
    {12, 203, -403},	// QDBusConnection::callWithCallback##$$
    {12, 204, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 212, 150},	// QDBusConnection::connect$$$$#$
    {12, 213, 151},	// QDBusConnection::connect$$$$$#$
    {12, 214, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 218, -406},	// QDBusConnection::connectToBus$$
    {12, 239, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 240, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 241, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 243, 164},	// QDBusConnection::disconnectFromBus$
    {12, 263, 161},	// QDBusConnection::interface
    {12, 271, 141},	// QDBusConnection::isConnected
    {12, 279, 143},	// QDBusConnection::lastError
    {12, 285, 144},	// QDBusConnection::name
    {12, 289, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 328, 140},	// QDBusConnection::operator=#
    {12, 527, 173},	// QDBusConnection::registerObject$#
    {12, 528, 156},	// QDBusConnection::registerObject$#$
    {12, 530, 159},	// QDBusConnection::registerService$
    {12, 538, 145},	// QDBusConnection::send#
    {12, 542, 167},	// QDBusConnection::sender
    {12, 556, 165},	// QDBusConnection::sessionBus
    {12, 576, 175},	// QDBusConnection::staticMetaObject
    {12, 577, 166},	// QDBusConnection::systemBus
    {12, 591, 174},	// QDBusConnection::unregisterObject$
    {12, 592, 157},	// QDBusConnection::unregisterObject$$
    {12, 594, 160},	// QDBusConnection::unregisterService$
    {12, 602, 196},	// QDBusConnection::~QDBusConnection
    {13, 4, 230},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 229},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 226},	// QDBusConnectionInterface::DontQueueService
    {13, 64, 216},	// QDBusConnectionInterface::NameAcquired$
    {13, 66, 217},	// QDBusConnectionInterface::NameLost$
    {13, 68, 218},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 123, 227},	// QDBusConnectionInterface::QueueService
    {13, 124, 228},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 126, 231},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 127, 233},	// QDBusConnectionInterface::ServiceQueued
    {13, 128, 232},	// QDBusConnectionInterface::ServiceRegistered
    {13, 208, 215},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 216, 219},	// QDBusConnectionInterface::connectNotify$
    {13, 245, 220},	// QDBusConnectionInterface::disconnectNotify$
    {13, 277, 205},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 284, 197},	// QDBusConnectionInterface::metaObject
    {13, 512, 203},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 514, 198},	// QDBusConnectionInterface::qt_metacast$
    {13, 530, 223},	// QDBusConnectionInterface::registerService$
    {13, 531, 224},	// QDBusConnectionInterface::registerService$$
    {13, 532, 208},	// QDBusConnectionInterface::registerService$$$
    {13, 533, 204},	// QDBusConnectionInterface::registeredServiceNames
    {13, 545, 206},	// QDBusConnectionInterface::serviceOwner$
    {13, 547, 214},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 549, 209},	// QDBusConnectionInterface::servicePid$
    {13, 551, 212},	// QDBusConnectionInterface::serviceRegistered$
    {13, 553, 210},	// QDBusConnectionInterface::serviceUid$
    {13, 555, 213},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 575, 211},	// QDBusConnectionInterface::startService$
    {13, 576, 225},	// QDBusConnectionInterface::staticMetaObject
    {13, 580, 221},	// QDBusConnectionInterface::tr$
    {13, 581, 199},	// QDBusConnectionInterface::tr$$
    {13, 582, 201},	// QDBusConnectionInterface::tr$$$
    {13, 584, 222},	// QDBusConnectionInterface::trUtf8$
    {13, 585, 200},	// QDBusConnectionInterface::trUtf8$$
    {13, 586, 202},	// QDBusConnectionInterface::trUtf8$$$
    {13, 594, 207},	// QDBusConnectionInterface::unregisterService$
    {14, 86, 234},	// QDBusContext::QDBusContext
    {14, 87, 242},	// QDBusContext::QDBusContext#
    {14, 209, 235},	// QDBusContext::calledFromDBus
    {14, 219, 236},	// QDBusContext::connection
    {14, 272, 238},	// QDBusContext::isDelayedReply
    {14, 283, 237},	// QDBusContext::message
    {14, 540, -463},	// QDBusContext::sendErrorReply$
    {14, 541, -466},	// QDBusContext::sendErrorReply$$
    {14, 566, 239},	// QDBusContext::setDelayedReply$
    {14, 603, 245},	// QDBusContext::~QDBusContext
    {15, 1, 266},	// QDBusError::AccessDenied
    {15, 3, 270},	// QDBusError::AddressInUse
    {15, 7, 263},	// QDBusError::BadAddress
    {15, 11, 271},	// QDBusError::Disconnected
    {15, 30, 259},	// QDBusError::Failed
    {15, 31, 277},	// QDBusError::InternalError
    {15, 32, 272},	// QDBusError::InvalidArgs
    {15, 33, 281},	// QDBusError::InvalidInterface
    {15, 34, 282},	// QDBusError::InvalidMember
    {15, 36, 280},	// QDBusError::InvalidObjectPath
    {15, 37, 279},	// QDBusError::InvalidService
    {15, 38, 275},	// QDBusError::InvalidSignature
    {15, 39, 283},	// QDBusError::LastErrorType
    {15, 59, 265},	// QDBusError::LimitsExceeded
    {15, 70, 257},	// QDBusError::NoError
    {15, 71, 260},	// QDBusError::NoMemory
    {15, 72, 269},	// QDBusError::NoNetwork
    {15, 73, 262},	// QDBusError::NoReply
    {15, 74, 267},	// QDBusError::NoServer
    {15, 75, 264},	// QDBusError::NotSupported
    {15, 76, 258},	// QDBusError::Other
    {15, 88, 256},	// QDBusError::QDBusError
    {15, 89, -399},	// QDBusError::QDBusError#
    {15, 90, 248},	// QDBusError::QDBusError$$
    {15, 129, 261},	// QDBusError::ServiceUnknown
    {15, 134, 274},	// QDBusError::TimedOut
    {15, 135, 268},	// QDBusError::Timeout
    {15, 136, 276},	// QDBusError::UnknownInterface
    {15, 137, 273},	// QDBusError::UnknownMethod
    {15, 138, 278},	// QDBusError::UnknownObject
    {15, 254, 255},	// QDBusError::errorString$
    {15, 278, 254},	// QDBusError::isValid
    {15, 283, 253},	// QDBusError::message
    {15, 285, 252},	// QDBusError::name
    {15, 328, 250},	// QDBusError::operator=#
    {15, 587, 251},	// QDBusError::type
    {15, 604, 284},	// QDBusError::~QDBusError
    {16, 92, 289},	// QDBusInterface::QDBusInterface$$
    {16, 93, 290},	// QDBusInterface::QDBusInterface$$$
    {16, 94, 291},	// QDBusInterface::QDBusInterface$$$#
    {16, 95, 285},	// QDBusInterface::QDBusInterface$$$##
    {16, 284, 286},	// QDBusInterface::metaObject
    {16, 512, 288},	// QDBusInterface::qt_metacall$$?
    {16, 514, 287},	// QDBusInterface::qt_metacast$
    {16, 605, 292},	// QDBusInterface::~QDBusInterface
    {17, 14, 326},	// QDBusMessage::ErrorMessage
    {17, 35, 323},	// QDBusMessage::InvalidMessage
    {17, 62, 324},	// QDBusMessage::MethodCallMessage
    {17, 96, 293},	// QDBusMessage::QDBusMessage
    {17, 97, 294},	// QDBusMessage::QDBusMessage#
    {17, 125, 325},	// QDBusMessage::ReplyMessage
    {17, 131, 327},	// QDBusMessage::SignalMessage
    {17, 151, 320},	// QDBusMessage::arguments
    {17, 169, 318},	// QDBusMessage::autoStartService
    {17, 221, 299},	// QDBusMessage::createError#
    {17, 222, -1},	// QDBusMessage::createError$$
    {17, 224, 304},	// QDBusMessage::createErrorReply#
    {17, 225, -4},	// QDBusMessage::createErrorReply$$
    {17, 227, 297},	// QDBusMessage::createMethodCall$$$$
    {17, 228, 322},	// QDBusMessage::createReply
    {17, 229, 302},	// QDBusMessage::createReply#
    {17, 230, 301},	// QDBusMessage::createReply?
    {17, 232, 296},	// QDBusMessage::createSignal$$$
    {17, 251, 311},	// QDBusMessage::errorMessage
    {17, 252, 310},	// QDBusMessage::errorName
    {17, 263, 308},	// QDBusMessage::interface
    {17, 272, 316},	// QDBusMessage::isDelayedReply
    {17, 275, 314},	// QDBusMessage::isReplyRequired
    {17, 282, 309},	// QDBusMessage::member
    {17, 316, 321},	// QDBusMessage::operator<<#
    {17, 328, 295},	// QDBusMessage::operator=#
    {17, 356, 307},	// QDBusMessage::path
    {17, 543, 306},	// QDBusMessage::service
    {17, 558, 319},	// QDBusMessage::setArguments?
    {17, 562, 317},	// QDBusMessage::setAutoStartService$
    {17, 566, 315},	// QDBusMessage::setDelayedReply$
    {17, 571, 313},	// QDBusMessage::signature
    {17, 587, 312},	// QDBusMessage::type
    {17, 606, 328},	// QDBusMessage::~QDBusMessage
    {18, 98, 334},	// QDBusMetaType::QDBusMetaType
    {18, 99, 335},	// QDBusMetaType::QDBusMetaType#
    {18, 237, 331},	// QDBusMetaType::demarshall#$$
    {18, 281, 330},	// QDBusMetaType::marshall#$$
    {18, 525, 329},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 573, 332},	// QDBusMetaType::signatureToType$
    {18, 589, 333},	// QDBusMetaType::typeToSignature$
    {18, 607, 336},	// QDBusMetaType::~QDBusMetaType
    {19, 101, 337},	// QDBusPendingCall::QDBusPendingCall#
    {19, 250, 343},	// QDBusPendingCall::error
    {19, 260, 346},	// QDBusPendingCall::fromCompletedCall#
    {19, 262, 345},	// QDBusPendingCall::fromError#
    {19, 273, 341},	// QDBusPendingCall::isError
    {19, 274, 339},	// QDBusPendingCall::isFinished
    {19, 278, 342},	// QDBusPendingCall::isValid
    {19, 328, 338},	// QDBusPendingCall::operator=#
    {19, 536, 344},	// QDBusPendingCall::reply
    {19, 595, 340},	// QDBusPendingCall::waitForFinished
    {19, 608, 347},	// QDBusPendingCall::~QDBusPendingCall
    {20, 103, 360},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 104, 355},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 258, 357},	// QDBusPendingCallWatcher::finished#
    {20, 284, 348},	// QDBusPendingCallWatcher::metaObject
    {20, 512, 354},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 514, 349},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 576, 361},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 580, 358},	// QDBusPendingCallWatcher::tr$
    {20, 581, 350},	// QDBusPendingCallWatcher::tr$$
    {20, 582, 352},	// QDBusPendingCallWatcher::tr$$$
    {20, 584, 359},	// QDBusPendingCallWatcher::trUtf8$
    {20, 585, 351},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 586, 353},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 595, 356},	// QDBusPendingCallWatcher::waitForFinished
    {20, 609, 362},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 106, 377},	// QDBusServer::QDBusServer$
    {21, 107, 370},	// QDBusServer::QDBusServer$#
    {21, 148, 373},	// QDBusServer::address
    {21, 271, 371},	// QDBusServer::isConnected
    {21, 279, 372},	// QDBusServer::lastError
    {21, 284, 363},	// QDBusServer::metaObject
    {21, 287, 374},	// QDBusServer::newConnection#
    {21, 512, 369},	// QDBusServer::qt_metacall$$?
    {21, 514, 364},	// QDBusServer::qt_metacast$
    {21, 576, 378},	// QDBusServer::staticMetaObject
    {21, 580, 375},	// QDBusServer::tr$
    {21, 581, 365},	// QDBusServer::tr$$
    {21, 582, 367},	// QDBusServer::tr$$$
    {21, 584, 376},	// QDBusServer::trUtf8$
    {21, 585, 366},	// QDBusServer::trUtf8$$
    {21, 586, 368},	// QDBusServer::trUtf8$$$
    {21, 610, 379},	// QDBusServer::~QDBusServer
    {22, 108, 402},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 109, 387},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 110, 403},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 111, 404},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 112, 388},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 143, 408},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 144, 406},	// QDBusServiceWatcher::WatchForRegistration
    {22, 145, 407},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 147, 391},	// QDBusServiceWatcher::addWatchedService$
    {22, 219, 395},	// QDBusServiceWatcher::connection
    {22, 284, 380},	// QDBusServiceWatcher::metaObject
    {22, 512, 386},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 514, 381},	// QDBusServiceWatcher::qt_metacast$
    {22, 535, 392},	// QDBusServiceWatcher::removeWatchedService$
    {22, 547, 399},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 551, 397},	// QDBusServiceWatcher::serviceRegistered$
    {22, 555, 398},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 564, 396},	// QDBusServiceWatcher::setConnection#
    {22, 568, 394},	// QDBusServiceWatcher::setWatchMode$
    {22, 570, 390},	// QDBusServiceWatcher::setWatchedServices?
    {22, 576, 405},	// QDBusServiceWatcher::staticMetaObject
    {22, 580, 400},	// QDBusServiceWatcher::tr$
    {22, 581, 382},	// QDBusServiceWatcher::tr$$
    {22, 582, 384},	// QDBusServiceWatcher::tr$$$
    {22, 584, 401},	// QDBusServiceWatcher::trUtf8$
    {22, 585, 383},	// QDBusServiceWatcher::trUtf8$$
    {22, 586, 385},	// QDBusServiceWatcher::trUtf8$$$
    {22, 596, 393},	// QDBusServiceWatcher::watchMode
    {22, 597, 389},	// QDBusServiceWatcher::watchedServices
    {22, 611, 409},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 40, 867},	// QGlobalSpace::LicensedActiveQt
    {31, 41, 873},	// QGlobalSpace::LicensedCore
    {31, 42, 865},	// QGlobalSpace::LicensedDBus
    {31, 43, 870},	// QGlobalSpace::LicensedDeclarative
    {31, 44, 860},	// QGlobalSpace::LicensedGui
    {31, 45, 879},	// QGlobalSpace::LicensedHelp
    {31, 46, 880},	// QGlobalSpace::LicensedMultimedia
    {31, 47, 883},	// QGlobalSpace::LicensedNetwork
    {31, 48, 872},	// QGlobalSpace::LicensedOpenGL
    {31, 49, 864},	// QGlobalSpace::LicensedOpenVG
    {31, 50, 881},	// QGlobalSpace::LicensedQt3Support
    {31, 51, 862},	// QGlobalSpace::LicensedQt3SupportLight
    {31, 52, 863},	// QGlobalSpace::LicensedScript
    {31, 53, 868},	// QGlobalSpace::LicensedScriptTools
    {31, 54, 871},	// QGlobalSpace::LicensedSql
    {31, 55, 869},	// QGlobalSpace::LicensedSvg
    {31, 56, 866},	// QGlobalSpace::LicensedTest
    {31, 57, 861},	// QGlobalSpace::LicensedXml
    {31, 58, 882},	// QGlobalSpace::LicensedXmlPatterns
    {31, 113, 855},	// QGlobalSpace::Q_COMPLEX_TYPE
    {31, 114, 859},	// QGlobalSpace::Q_DUMMY_TYPE
    {31, 115, 858},	// QGlobalSpace::Q_MOVABLE_TYPE
    {31, 116, 856},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {31, 117, 857},	// QGlobalSpace::Q_STATIC_TYPE
    {31, 118, 876},	// QGlobalSpace::QtCriticalMsg
    {31, 119, 874},	// QGlobalSpace::QtDebugMsg
    {31, 120, 877},	// QGlobalSpace::QtFatalMsg
    {31, 121, 878},	// QGlobalSpace::QtSystemMsg
    {31, 122, 875},	// QGlobalSpace::QtWarningMsg
    {31, 291, -7},	// QGlobalSpace::operator!=##
    {31, 292, -24},	// QGlobalSpace::operator!=#$
    {31, 293, -30},	// QGlobalSpace::operator!=$#
    {31, 294, -37},	// QGlobalSpace::operator!=$$
    {31, 296, 583},	// QGlobalSpace::operator&##
    {31, 298, -41},	// QGlobalSpace::operator*#$
    {31, 299, -46},	// QGlobalSpace::operator*$#
    {31, 301, -51},	// QGlobalSpace::operator+##
    {31, 302, -57},	// QGlobalSpace::operator+#$
    {31, 303, -62},	// QGlobalSpace::operator+$#
    {31, 304, -67},	// QGlobalSpace::operator+$$
    {31, 306, -73},	// QGlobalSpace::operator-#
    {31, 307, -76},	// QGlobalSpace::operator-##
    {31, 309, -81},	// QGlobalSpace::operator/#$
    {31, 311, -86},	// QGlobalSpace::operator<##
    {31, 312, 429},	// QGlobalSpace::operator<#$
    {31, 313, -91},	// QGlobalSpace::operator<$#
    {31, 314, -94},	// QGlobalSpace::operator<$$
    {31, 317, -98},	// QGlobalSpace::operator<<##
    {31, 318, -153},	// QGlobalSpace::operator<<#$
    {31, 319, -159},	// QGlobalSpace::operator<<#?
    {31, 323, -163},	// QGlobalSpace::operator<=##
    {31, 324, 614},	// QGlobalSpace::operator<=#$
    {31, 325, -168},	// QGlobalSpace::operator<=$#
    {31, 326, 568},	// QGlobalSpace::operator<=$$
    {31, 330, -171},	// QGlobalSpace::operator==##
    {31, 331, -190},	// QGlobalSpace::operator==#$
    {31, 332, -196},	// QGlobalSpace::operator==$#
    {31, 333, -203},	// QGlobalSpace::operator==$$
    {31, 335, -207},	// QGlobalSpace::operator>##
    {31, 336, 813},	// QGlobalSpace::operator>#$
    {31, 337, -212},	// QGlobalSpace::operator>$#
    {31, 338, 430},	// QGlobalSpace::operator>$$
    {31, 340, -215},	// QGlobalSpace::operator>=##
    {31, 341, 586},	// QGlobalSpace::operator>=#$
    {31, 342, -220},	// QGlobalSpace::operator>=$#
    {31, 343, 758},	// QGlobalSpace::operator>=$$
    {31, 346, -223},	// QGlobalSpace::operator>>##
    {31, 347, -257},	// QGlobalSpace::operator>>#$
    {31, 348, 689},	// QGlobalSpace::operator>>#?
    {31, 352, 843},	// QGlobalSpace::operator^##
    {31, 354, 499},	// QGlobalSpace::operator|##
    {31, 355, -260},	// QGlobalSpace::operator|$$
    {31, 358, 413},	// QGlobalSpace::qAcos$
    {31, 360, 694},	// QGlobalSpace::qAddPostRoutine$
    {31, 361, 420},	// QGlobalSpace::qAppName
    {31, 363, 844},	// QGlobalSpace::qAsin$
    {31, 365, 502},	// QGlobalSpace::qAtan$
    {31, 367, 478},	// QGlobalSpace::qAtan2$$
    {31, 368, 846},	// QGlobalSpace::qBadAlloc
    {31, 370, 682},	// QGlobalSpace::qCeil$
    {31, 372, 622},	// QGlobalSpace::qChecksum$$
    {31, 374, 519},	// QGlobalSpace::qCompress#
    {31, 375, 518},	// QGlobalSpace::qCompress#$
    {31, 376, 741},	// QGlobalSpace::qCompress$$
    {31, 377, 740},	// QGlobalSpace::qCompress$$$
    {31, 379, 710},	// QGlobalSpace::qCos$
    {31, 380, 632},	// QGlobalSpace::qCritical
    {31, 382, 587},	// QGlobalSpace::qDBusReplyFill###
    {31, 383, 564},	// QGlobalSpace::qDebug
    {31, 385, 649},	// QGlobalSpace::qExp$
    {31, 387, 538},	// QGlobalSpace::qFabs$
    {31, 389, 615},	// QGlobalSpace::qFastCos$
    {31, 391, 439},	// QGlobalSpace::qFastSin$
    {31, 393, 606},	// QGlobalSpace::qFlagLocation$
    {31, 395, 742},	// QGlobalSpace::qFloor$
    {31, 397, 756},	// QGlobalSpace::qFree$
    {31, 399, 833},	// QGlobalSpace::qFreeAligned$
    {31, 401, -354},	// QGlobalSpace::qFuzzyCompare$$
    {31, 403, -357},	// QGlobalSpace::qFuzzyIsNull$
    {31, 405, -360},	// QGlobalSpace::qHash#
    {31, 406, -368},	// QGlobalSpace::qHash$
    {31, 407, -381},	// QGlobalSpace::qHash?
    {31, 408, 702},	// QGlobalSpace::qInf
    {31, 410, 626},	// QGlobalSpace::qInstallMsgHandler$
    {31, 412, -384},	// QGlobalSpace::qIntCast$
    {31, 414, -387},	// QGlobalSpace::qIsFinite$
    {31, 416, -390},	// QGlobalSpace::qIsInf$
    {31, 418, -393},	// QGlobalSpace::qIsNaN$
    {31, 420, -396},	// QGlobalSpace::qIsNull$
    {31, 422, 840},	// QGlobalSpace::qLn$
    {31, 424, 798},	// QGlobalSpace::qMalloc?
    {31, 426, 712},	// QGlobalSpace::qMallocAligned??
    {31, 428, 755},	// QGlobalSpace::qMemCopy$$?
    {31, 430, 679},	// QGlobalSpace::qMemSet$$?
    {31, 432, 634},	// QGlobalSpace::qPow$$
    {31, 433, 468},	// QGlobalSpace::qQNaN
    {31, 435, 546},	// QGlobalSpace::qRealloc$?
    {31, 437, 523},	// QGlobalSpace::qReallocAligned$???
    {31, 439, 695},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 441, 616},	// QGlobalSpace::qRemovePostRoutine$
    {31, 443, 410},	// QGlobalSpace::qRound$
    {31, 445, 789},	// QGlobalSpace::qRound64$
    {31, 446, 793},	// QGlobalSpace::qSNaN
    {31, 448, 817},	// QGlobalSpace::qSetFieldWidth$
    {31, 450, 470},	// QGlobalSpace::qSetPadChar#
    {31, 452, 764},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 453, 697},	// QGlobalSpace::qSharedBuild
    {31, 455, 772},	// QGlobalSpace::qSin$
    {31, 457, 526},	// QGlobalSpace::qSqrt$
    {31, 459, 733},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 460, 818},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 462, 788},	// QGlobalSpace::qTan$
    {31, 464, 610},	// QGlobalSpace::qUncompress#
    {31, 465, 517},	// QGlobalSpace::qUncompress$$
    {31, 466, 722},	// QGlobalSpace::qVersion
    {31, 467, 553},	// QGlobalSpace::qWarning
    {31, 469, 659},	// QGlobalSpace::qbswap_helper$$$
    {31, 471, 428},	// QGlobalSpace::qgetenv$
    {31, 473, 800},	// QGlobalSpace::qputenv$#
    {31, 474, 765},	// QGlobalSpace::qrand
    {31, 476, 669},	// QGlobalSpace::qsrand$
    {31, 478, 582},	// QGlobalSpace::qstrcmp##
    {31, 479, 486},	// QGlobalSpace::qstrcmp#$
    {31, 480, 503},	// QGlobalSpace::qstrcmp$#
    {31, 481, 490},	// QGlobalSpace::qstrcmp$$
    {31, 483, 498},	// QGlobalSpace::qstrcpy$$
    {31, 485, 487},	// QGlobalSpace::qstrdup$
    {31, 487, 677},	// QGlobalSpace::qstricmp$$
    {31, 489, 778},	// QGlobalSpace::qstrlen$
    {31, 491, 441},	// QGlobalSpace::qstrncmp$$$
    {31, 493, 423},	// QGlobalSpace::qstrncpy$$$
    {31, 495, 703},	// QGlobalSpace::qstrnicmp$$$
    {31, 497, 450},	// QGlobalSpace::qstrnlen$$
    {31, 499, 477},	// QGlobalSpace::qtTrId$
    {31, 500, 476},	// QGlobalSpace::qtTrId$$
    {31, 502, 776},	// QGlobalSpace::qt_assert$$$
    {31, 504, 715},	// QGlobalSpace::qt_assert_x$$$$
    {31, 506, 512},	// QGlobalSpace::qt_check_pointer$$
    {31, 507, 463},	// QGlobalSpace::qt_error_string
    {31, 508, 462},	// QGlobalSpace::qt_error_string$
    {31, 510, 667},	// QGlobalSpace::qt_message_output$$
    {31, 515, 640},	// QGlobalSpace::qt_noop
    {31, 517, 645},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 519, 460},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 521, 656},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 523, 444},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 893,
        __smokeqtdbus::methodMaps, 538,
        __smokeqtdbus::methodNames, 611,
        __smokeqtdbus::types, 319,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
