#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 12, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 12, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref },	//17
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//52
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//54
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//55
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//57
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//58
    { "QLocale::NumberOption", 22, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//64
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//67
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//68
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//70
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//71
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//72
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//73
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//74
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//79
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//80
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//89
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//90
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//93
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//94
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//97
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//98
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//100
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//101
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//105
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//106
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//117
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//118
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//121
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//122
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//124
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//125
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//127
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//130
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//132
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//133
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//134
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//136
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//137
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//230
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//231
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//232
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//233
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//235
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//256
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//258
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//263
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//279
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//293
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//294
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//295
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//296
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//297
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//298
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//299
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//301
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//302
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//304
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//306
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//310
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//311
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    253, 287, 295, 0,	//1  const QModelIndex&, const QVariant&, int
    253, 0,	//5  const QModelIndex&
    253, 248, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    246, 0,	//10  const QList<QModelIndex>&
    295, 295, 253, 0,	//12  int, int, const QModelIndex&
    295, 191, 0,	//16  int, Qt::SortOrder
    253, 295, 287, 295, 43, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    252, 159, 295, 295, 253, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    293, 0,	//31  double
    20, 20, 0,	//33  QFile::Permission, QFile::Permission
    10, 8, 0,	//36  QDataStream&, QChar&
    16, 24, 0,	//39  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    290, 243, 0,	//42  const char*, const QLatin1String&
    10, 58, 0,	//45  QDataStream&, QLocale&
    208, 295, 0,	//48  Qt::WindowType, int
    233, 290, 303, 0,	//51  char*, const char*, unsigned int
    303, 0,	//55  unsigned int
    232, 0,	//57  char
    267, 293, 0,	//59  const QSizeF&, double
    13, 244, 0,	//62  QDebug, const QLine&
    290, 0,	//65  const char*
    236, 290, 0,	//67  const QByteArray&, const char*
    290, 280, 0,	//70  const char*, const QString&
    10, 69, 0,	//73  QDataStream&, QRect&
    173, 173, 0,	//76  Qt::ItemFlag, Qt::ItemFlag
    287, 289, 0,	//79  const QVariant&, const QVariantComparisonHelper&
    13, 27, 0,	//82  QDebug, QFlags<QIODevice::OpenModeFlag>
    265, 265, 0,	//85  const QSize&, const QSize&
    7, 280, 0,	//88  QChar, const QString&
    13, 272, 0,	//91  QDebug, const QSqlError&
    290, 290, 303, 0,	//94  const char*, const char*, unsigned int
    243, 243, 0,	//98  const QLatin1String&, const QLatin1String&
    283, 283, 0,	//101  const QStringRef&, const QStringRef&
    233, 300, 290, 307, 0,	//104  char*, size_t, const char*, va_list
    259, 259, 0,	//109  const QPointF&, const QPointF&
    280, 283, 0,	//112  const QString&, const QStringRef&
    280, 7, 0,	//115  const QString&, QChar
    290, 303, 0,	//118  const char*, unsigned int
    10, 17, 0,	//121  QDataStream&, QEasingCurve&
    243, 283, 0,	//124  const QLatin1String&, const QStringRef&
    13, 238, 0,	//127  QDebug, const QDate&
    198, 198, 0,	//130  Qt::ToolBarArea, Qt::ToolBarArea
    13, 245, 0,	//133  QDebug, const QLineF&
    261, 261, 0,	//136  const QRectF&, const QRectF&
    301, 0,	//139  unsigned char
    254, 280, 263, 250, 57, 0,	//141  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    283, 243, 0,	//147  const QStringRef&, const QLatin1String&
    295, 0,	//150  int
    10, 11, 0,	//152  QDataStream&, QDate&
    294, 0,	//155  float
    195, 295, 0,	//157  Qt::TextInteractionFlag, int
    7, 7, 0,	//160  QChar, QChar
    7, 0,	//163  QChar
    13, 273, 0,	//165  QDebug, const QSqlField&
    10, 130, 0,	//168  QDataStream&, QUrl&
    53, 28, 0,	//171  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    13, 253, 0,	//174  QDebug, const QModelIndex&
    290, 295, 0,	//177  const char*, int
    293, 293, 0,	//180  double, double
    10, 288, 0,	//183  QDataStream&, const QVariant::Type
    298, 0,	//186  short
    10, 287, 0,	//188  QDataStream&, const QVariant&
    195, 46, 0,	//191  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    173, 41, 0,	//194  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    296, 0,	//197  long
    170, 40, 0,	//199  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    290, 290, 0,	//202  const char*, const char*
    10, 267, 0,	//205  QDataStream&, const QSizeF&
    118, 118, 0,	//208  QString::Null, QString::Null
    290, 236, 0,	//211  const char*, const QByteArray&
    234, 0,	//214  const QBitArray&
    16, 16, 0,	//216  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    233, 290, 0,	//219  char*, const char*
    234, 234, 0,	//222  const QBitArray&, const QBitArray&
    257, 257, 0,	//225  const QPoint&, const QPoint&
    176, 42, 0,	//228  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    259, 293, 0,	//231  const QPointF&, double
    13, 267, 0,	//234  QDebug, const QSizeF&
    242, 242, 0,	//237  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//240  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    10, 132, 0,	//243  QDataStream&, QUuid&
    260, 260, 0,	//246  const QRect&, const QRect&
    236, 236, 0,	//249  const QByteArray&, const QByteArray&
    291, 295, 0,	//252  const unsigned char*, int
    236, 295, 0,	//255  const QByteArray&, int
    236, 0,	//258  const QByteArray&
    10, 280, 0,	//260  QDataStream&, const QString&
    124, 125, 0,	//263  QTextStream&, QTextStream&(*)(QTextStream&)
    159, 295, 0,	//266  Qt::DropAction, int
    310, 300, 300, 300, 0,	//269  void*, size_t, size_t, size_t
    179, 295, 0,	//274  Qt::MatchFlag, int
    10, 257, 0,	//277  QDataStream&, const QPoint&
    13, 260, 0,	//280  QDebug, const QRect&
    123, 32, 0,	//283  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    306, 0,	//286  unsigned short
    195, 195, 0,	//288  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    119, 31, 0,	//291  QString::SectionFlag, QFlags<QString::SectionFlag>
    13, 240, 0,	//294  QDebug, const QDir&
    181, 181, 0,	//297  Qt::MouseButton, Qt::MouseButton
    310, 300, 0,	//300  void*, size_t
    159, 159, 0,	//303  Qt::DropAction, Qt::DropAction
    1, 295, 0,	//306  QAbstractFileEngine::FileFlag, int
    280, 118, 0,	//309  const QString&, QString::Null
    164, 38, 0,	//312  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    19, 295, 0,	//315  QEventLoop::ProcessEventsFlag, int
    59, 59, 0,	//318  QLocale::NumberOption, QLocale::NumberOption
    51, 51, 0,	//321  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    10, 55, 0,	//324  QDataStream&, QLineF&
    10, 245, 0,	//327  QDataStream&, const QLineF&
    267, 267, 0,	//330  const QSizeF&, const QSizeF&
    293, 265, 0,	//333  double, const QSize&
    157, 36, 0,	//336  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    297, 0,	//339  long long
    179, 43, 0,	//341  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    259, 0,	//344  const QPointF&
    138, 295, 0,	//346  Qt::AlignmentFlag, int
    168, 295, 0,	//349  Qt::ImageConversionFlag, int
    13, 265, 0,	//352  QDebug, const QSize&
    123, 295, 0,	//355  QTextCodec::ConversionFlag, int
    13, 257, 0,	//358  QDebug, const QPoint&
    13, 285, 0,	//361  QDebug, const QUrl&
    257, 0,	//364  const QPoint&
    10, 259, 0,	//366  QDataStream&, const QPointF&
    123, 123, 0,	//369  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//372  QBool, QBool
    280, 232, 0,	//375  const QString&, char
    290, 283, 0,	//378  const char*, const QStringRef&
    305, 0,	//381  unsigned long long
    126, 295, 0,	//383  QTextStream::NumberFlag, int
    13, 259, 0,	//386  QDebug, const QPointF&
    118, 280, 0,	//389  QString::Null, const QString&
    308, 0,	//392  void(*)()
    59, 29, 0,	//394  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    164, 164, 0,	//397  Qt::GestureFlag, Qt::GestureFlag
    10, 70, 0,	//400  QDataStream&, QRectF&
    294, 294, 0,	//403  float, float
    10, 237, 0,	//406  QDataStream&, const QChar&
    10, 68, 0,	//409  QDataStream&, QPointF&
    265, 293, 0,	//412  const QSize&, double
    309, 0,	//415  void(*)(QtMsgType,const char*)
    124, 127, 0,	//417  QTextStream&, QTextStreamManipulator
    138, 138, 0,	//420  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 54, 0,	//423  QDataStream&, QLine&
    14, 14, 0,	//426  QDir::Filter, QDir::Filter
    257, 293, 0,	//429  const QPoint&, double
    10, 236, 0,	//432  QDataStream&, const QByteArray&
    10, 241, 0,	//435  QDataStream&, const QEasingCurve&
    168, 168, 0,	//438  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    207, 295, 0,	//441  Qt::WindowState, int
    10, 117, 0,	//444  QDataStream&, QString&
    254, 280, 250, 0,	//447  const QObject*, const QString&, const QMetaObject&
    10, 261, 0,	//451  QDataStream&, const QRectF&
    10, 3, 0,	//454  QDataStream&, QBitArray&
    10, 73, 0,	//457  QDataStream&, QSize&
    176, 176, 0,	//460  Qt::KeyboardModifier, Qt::KeyboardModifier
    231, 4, 0,	//463  bool, QBool
    126, 126, 0,	//466  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//469  QDataStream&, QDateTime&
    287, 135, 310, 0,	//472  const QVariant&, QVariant::Type, void*
    283, 280, 0,	//476  const QStringRef&, const QString&
    291, 302, 295, 0,	//479  const unsigned char*, unsigned char*, int
    176, 295, 0,	//483  Qt::KeyboardModifier, int
    10, 239, 0,	//486  QDataStream&, const QDateTime&
    211, 290, 0,	//489  QtMsgType, const char*
    19, 25, 0,	//492  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    249, 249, 0,	//495  const QMargins&, const QMargins&
    236, 280, 0,	//498  const QByteArray&, const QString&
    131, 131, 0,	//501  QUrl::FormattingOption, QUrl::FormattingOption
    13, 288, 0,	//504  QDebug, const QVariant::Type
    157, 295, 0,	//507  Qt::DockWidgetArea, int
    10, 128, 0,	//510  QDataStream&, QTime&
    208, 208, 0,	//513  Qt::WindowType, Qt::WindowType
    310, 295, 300, 0,	//516  void*, int, size_t
    13, 239, 0,	//520  QDebug, const QDateTime&
    299, 0,	//523  signed char
    208, 50, 0,	//525  Qt::WindowType, QFlags<Qt::WindowType>
    207, 207, 0,	//528  Qt::WindowState, Qt::WindowState
    10, 121, 0,	//531  QDataStream&, QStringList&
    13, 287, 0,	//534  QDebug, const QVariant&
    20, 295, 0,	//537  QFile::Permission, int
    66, 0,	//540  QObject*(*)()
    293, 259, 0,	//542  double, const QPointF&
    10, 285, 0,	//545  QDataStream&, const QUrl&
    10, 284, 0,	//548  QDataStream&, const QTime&
    10, 67, 0,	//551  QDataStream&, QPoint&
    283, 0,	//554  const QStringRef&
    10, 71, 0,	//556  QDataStream&, QRegExp&
    170, 295, 0,	//559  Qt::InputMethodHint, int
    10, 247, 0,	//562  QDataStream&, const QLocale&
    13, 276, 0,	//565  QDebug, const QSqlRecord&
    300, 300, 0,	//568  size_t, size_t
    10, 234, 0,	//571  QDataStream&, const QBitArray&
    280, 236, 0,	//574  const QString&, const QByteArray&
    290, 290, 290, 295, 0,	//577  const char*, const char*, const char*, int
    131, 34, 0,	//582  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    19, 19, 0,	//585  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    236, 232, 0,	//588  const QByteArray&, char
    53, 53, 0,	//591  QLibrary::LoadHint, QLibrary::LoadHint
    138, 35, 0,	//594  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 286, 0,	//597  QDataStream&, const QUuid&
    51, 27, 0,	//600  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 244, 0,	//603  QDataStream&, const QLine&
    164, 295, 0,	//606  Qt::GestureFlag, int
    283, 290, 0,	//609  const QStringRef&, const char*
    15, 23, 0,	//612  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 238, 0,	//615  QDataStream&, const QDate&
    232, 236, 0,	//618  char, const QByteArray&
    280, 290, 0,	//621  const QString&, const char*
    53, 295, 0,	//624  QLibrary::LoadHint, int
    77, 77, 0,	//627  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    77, 295, 0,	//630  QSql::ParamTypeFlag, int
    291, 295, 295, 0,	//633  const unsigned char*, int, int
    183, 183, 0,	//637  Qt::Orientation, Qt::Orientation
    280, 0,	//640  const QString&
    280, 280, 0,	//642  const QString&, const QString&
    4, 231, 0,	//645  QBool, bool
    10, 281, 0,	//648  QDataStream&, const QStringList&
    10, 262, 0,	//651  QDataStream&, const QRegExp&
    15, 295, 0,	//654  QDir::SortFlag, int
    310, 292, 300, 0,	//657  void*, const void*, size_t
    310, 0,	//661  void*
    198, 47, 0,	//663  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 255, 0,	//666  QDebug, const QPersistentModelIndex&
    10, 134, 0,	//669  QDataStream&, QVariant&
    285, 0,	//672  const QUrl&
    201, 48, 0,	//674  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    293, 257, 0,	//677  double, const QPoint&
    13, 254, 0,	//680  QDebug, const QObject*
    20, 26, 0,	//683  QFile::Permission, QFlags<QFile::Permission>
    290, 290, 295, 0,	//686  const char*, const char*, int
    13, 261, 0,	//690  QDebug, const QRectF&
    126, 33, 0,	//693  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//696  QDir::SortFlag, QDir::SortFlag
    201, 295, 0,	//699  Qt::TouchPointState, int
    14, 295, 0,	//702  QDir::Filter, int
    304, 0,	//705  unsigned long
    1, 21, 0,	//707  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    181, 44, 0,	//710  Qt::MouseButton, QFlags<Qt::MouseButton>
    159, 37, 0,	//713  Qt::DropAction, QFlags<Qt::DropAction>
    300, 0,	//716  size_t
    183, 295, 0,	//718  Qt::Orientation, int
    198, 295, 0,	//721  Qt::ToolBarArea, int
    10, 6, 0,	//724  QDataStream&, QByteArray&
    10, 136, 0,	//727  QDataStream&, QVariant::Type&
    10, 260, 0,	//730  QDataStream&, const QRect&
    13, 241, 0,	//733  QDebug, const QEasingCurve&
    77, 30, 0,	//736  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    255, 0,	//739  const QPersistentModelIndex&
    59, 295, 0,	//741  QLocale::NumberOption, int
    13, 284, 0,	//744  QDebug, const QTime&
    201, 201, 0,	//747  Qt::TouchPointState, Qt::TouchPointState
    168, 39, 0,	//750  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    207, 49, 0,	//753  Qt::WindowState, QFlags<Qt::WindowState>
    157, 157, 0,	//756  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 295, 0,	//759  QDirIterator::IteratorFlag, int
    293, 267, 0,	//762  double, const QSizeF&
    13, 249, 0,	//765  QDebug, const QMargins&
    131, 295, 0,	//768  QUrl::FormattingOption, int
    179, 179, 0,	//771  Qt::MatchFlag, Qt::MatchFlag
    170, 170, 0,	//774  Qt::InputMethodHint, Qt::InputMethodHint
    183, 45, 0,	//777  Qt::Orientation, QFlags<Qt::Orientation>
    13, 22, 0,	//780  QDebug, QFlags<QDir::Filter>
    173, 295, 0,	//783  Qt::ItemFlag, int
    181, 295, 0,	//786  Qt::MouseButton, int
    10, 74, 0,	//789  QDataStream&, QSizeF&
    51, 295, 0,	//792  QIODevice::OpenModeFlag, int
    119, 295, 0,	//795  QString::SectionFlag, int
    232, 280, 0,	//798  char, const QString&
    10, 265, 0,	//801  QDataStream&, const QSize&
    14, 22, 0,	//804  QDir::Filter, QFlags<QDir::Filter>
    13, 268, 0,	//807  QDebug, const QSqlDatabase&
    119, 119, 0,	//810  QString::SectionFlag, QString::SectionFlag
    18, 0,	//813  QEvent*
    65, 18, 0,	//815  QObject*, QEvent*
    129, 0,	//818  QTimerEvent*
    9, 0,	//820  QChildEvent*
    268, 0,	//822  const QSqlDatabase&
    78, 0,	//824  QSql::TableType
    76, 0,	//826  QSql::NumericalPrecisionPolicy
    82, 280, 0,	//828  QSqlDriver*, const QString&
    268, 280, 0,	//831  const QSqlDatabase&, const QString&
    280, 231, 0,	//834  const QString&, bool
    280, 86, 0,	//837  const QString&, QSqlDriverCreatorBase*
    82, 0,	//840  QSqlDriver*
    62, 295, 311, 0,	//842  QMetaObject::Call, int, void**
    65, 0,	//846  QObject*
    273, 231, 0,	//848  const QSqlField&, bool
    280, 84, 0,	//851  const QString&, QSqlDriver::IdentifierType
    85, 280, 276, 231, 0,	//854  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    83, 0,	//859  QSqlDriver::DriverFeature
    280, 280, 280, 280, 295, 280, 0,	//861  const QString&, const QString&, const QString&, const QString&, int, const QString&
    231, 0,	//868  bool
    272, 0,	//870  const QSqlError&
    273, 0,	//872  const QSqlField&
    280, 280, 280, 0,	//874  const QString&, const QString&, const QString&
    280, 280, 280, 280, 0,	//878  const QString&, const QString&, const QString&, const QString&
    280, 280, 280, 280, 295, 0,	//883  const QString&, const QString&, const QString&, const QString&, int
    270, 0,	//889  const QSqlDriverCreatorBase&
    271, 0,	//891  const QSqlDriverFactoryInterface&
    280, 280, 92, 295, 0,	//893  const QString&, const QString&, QSqlError::ErrorType, int
    92, 0,	//898  QSqlError::ErrorType
    280, 280, 92, 0,	//900  const QString&, const QString&, QSqlError::ErrorType
    280, 135, 0,	//904  const QString&, QVariant::Type
    287, 0,	//907  const QVariant&
    135, 0,	//909  QVariant::Type
    96, 0,	//911  QSqlField::RequiredStatus
    274, 0,	//913  const QSqlIndex&
    295, 231, 0,	//915  int, bool
    111, 0,	//918  QSqlResult*
    280, 79, 0,	//920  const QString&, QSqlDatabase
    79, 0,	//923  QSqlDatabase
    275, 0,	//925  const QSqlQuery&
    103, 0,	//927  QSqlQuery::BatchExecutionMode
    280, 287, 30, 0,	//929  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    295, 287, 30, 0,	//933  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    287, 30, 0,	//937  const QVariant&, QFlags<QSql::ParamTypeFlag>
    280, 287, 0,	//940  const QString&, const QVariant&
    295, 287, 0,	//943  int, const QVariant&
    253, 295, 0,	//946  const QModelIndex&, int
    295, 183, 295, 0,	//949  int, Qt::Orientation, int
    295, 183, 287, 295, 0,	//953  int, Qt::Orientation, const QVariant&, int
    280, 268, 0,	//958  const QString&, const QSqlDatabase&
    295, 183, 0,	//961  int, Qt::Orientation
    295, 183, 287, 0,	//964  int, Qt::Orientation, const QVariant&
    295, 295, 0,	//968  int, int
    276, 0,	//971  const QSqlRecord&
    295, 273, 0,	//973  int, const QSqlField&
    277, 0,	//976  const QSqlRelation&
    65, 79, 0,	//978  QObject*, QSqlDatabase
    295, 277, 0,	//981  int, const QSqlRelation&
    295, 276, 0,	//984  int, const QSqlRecord&
    253, 287, 0,	//987  const QModelIndex&, const QVariant&
    269, 0,	//990  const QSqlDriver*
    295, 310, 0,	//992  int, void*
    115, 0,	//995  QSqlTableModel::EditStrategy
    295, 106, 0,	//997  int, QSqlRecord&
    106, 0,	//1000  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "LowPrecisionDouble",	//38
    "LowPrecisionInt32",	//39
    "LowPrecisionInt64",	//40
    "LowPrecisionNumbers",	//41
    "MultipleResultSets",	//42
    "NamedBinding",	//43
    "NamedPlaceholders",	//44
    "NextResult",	//45
    "NoError",	//46
    "OnFieldChange",	//47
    "OnManualSubmit",	//48
    "OnRowChange",	//49
    "Optional",	//50
    "Out",	//51
    "PositionalBinding",	//52
    "PositionalPlaceholders",	//53
    "PreparedQueries",	//54
    "QSqlDatabase",	//55
    "QSqlDatabase#",	//56
    "QSqlDatabase$",	//57
    "QSqlDriver",	//58
    "QSqlDriver#",	//59
    "QSqlDriverCreatorBase",	//60
    "QSqlDriverCreatorBase#",	//61
    "QSqlDriverFactoryInterface",	//62
    "QSqlDriverFactoryInterface#",	//63
    "QSqlDriverPlugin",	//64
    "QSqlDriverPlugin#",	//65
    "QSqlError",	//66
    "QSqlError#",	//67
    "QSqlError$",	//68
    "QSqlError$$",	//69
    "QSqlError$$$",	//70
    "QSqlError$$$$",	//71
    "QSqlField",	//72
    "QSqlField#",	//73
    "QSqlField$",	//74
    "QSqlField$$",	//75
    "QSqlIndex",	//76
    "QSqlIndex#",	//77
    "QSqlIndex$",	//78
    "QSqlIndex$$",	//79
    "QSqlQuery",	//80
    "QSqlQuery#",	//81
    "QSqlQuery$",	//82
    "QSqlQuery$#",	//83
    "QSqlQueryModel",	//84
    "QSqlQueryModel#",	//85
    "QSqlRecord",	//86
    "QSqlRecord#",	//87
    "QSqlRelation",	//88
    "QSqlRelation#",	//89
    "QSqlRelation$$$",	//90
    "QSqlRelationalTableModel",	//91
    "QSqlRelationalTableModel#",	//92
    "QSqlRelationalTableModel##",	//93
    "QSqlResult",	//94
    "QSqlResult#",	//95
    "QSqlTableModel",	//96
    "QSqlTableModel#",	//97
    "QSqlTableModel##",	//98
    "Q_COMPLEX_TYPE",	//99
    "Q_DUMMY_TYPE",	//100
    "Q_MOVABLE_TYPE",	//101
    "Q_PRIMITIVE_TYPE",	//102
    "Q_STATIC_TYPE",	//103
    "QtCriticalMsg",	//104
    "QtDebugMsg",	//105
    "QtFatalMsg",	//106
    "QtSystemMsg",	//107
    "QtWarningMsg",	//108
    "QuerySize",	//109
    "Required",	//110
    "SelectStatement",	//111
    "SetNumericalPrecision",	//112
    "SimpleLocking",	//113
    "StatementError",	//114
    "SystemTables",	//115
    "TableName",	//116
    "Tables",	//117
    "TransactionError",	//118
    "Transactions",	//119
    "Unicode",	//120
    "Unknown",	//121
    "UnknownError",	//122
    "UpdateStatement",	//123
    "ValuesAsColumns",	//124
    "ValuesAsRows",	//125
    "Views",	//126
    "WhereStatement",	//127
    "addBindValue",	//128
    "addBindValue#",	//129
    "addBindValue#$",	//130
    "addDatabase",	//131
    "addDatabase#",	//132
    "addDatabase#$",	//133
    "addDatabase$",	//134
    "addDatabase$$",	//135
    "append",	//136
    "append#",	//137
    "append#$",	//138
    "at",	//139
    "beforeDelete",	//140
    "beforeDelete$",	//141
    "beforeInsert",	//142
    "beforeInsert#",	//143
    "beforeUpdate",	//144
    "beforeUpdate$#",	//145
    "beginTransaction",	//146
    "bindValue",	//147
    "bindValue$#",	//148
    "bindValue$#$",	//149
    "bindValueType",	//150
    "bindValueType$",	//151
    "bindingSyntax",	//152
    "boundValue",	//153
    "boundValue$",	//154
    "boundValueCount",	//155
    "boundValueName",	//156
    "boundValueName$",	//157
    "boundValues",	//158
    "buddy",	//159
    "canFetchMore",	//160
    "canFetchMore#",	//161
    "childEvent",	//162
    "clear",	//163
    "clearValues",	//164
    "cloneDatabase",	//165
    "cloneDatabase#$",	//166
    "close",	//167
    "columnCount",	//168
    "columnCount#",	//169
    "commit",	//170
    "commitTransaction",	//171
    "connectNotify",	//172
    "connectOptions",	//173
    "connectionName",	//174
    "connectionNames",	//175
    "contains",	//176
    "contains$",	//177
    "count",	//178
    "create",	//179
    "create$",	//180
    "createObject",	//181
    "createResult",	//182
    "cursorName",	//183
    "customEvent",	//184
    "data",	//185
    "data#",	//186
    "data#$",	//187
    "data$",	//188
    "database",	//189
    "database$",	//190
    "database$$",	//191
    "databaseName",	//192
    "databaseText",	//193
    "defaultConnection",	//194
    "defaultValue",	//195
    "deleteRowFromTable",	//196
    "deleteRowFromTable$",	//197
    "detachFromResultSet",	//198
    "disconnectNotify",	//199
    "displayColumn",	//200
    "driver",	//201
    "driverName",	//202
    "driverText",	//203
    "drivers",	//204
    "dropMimeData",	//205
    "editStrategy",	//206
    "escapeIdentifier",	//207
    "escapeIdentifier$$",	//208
    "event",	//209
    "eventFilter",	//210
    "exec",	//211
    "exec$",	//212
    "execBatch",	//213
    "execBatch$",	//214
    "executedQuery",	//215
    "fetch",	//216
    "fetch$",	//217
    "fetchFirst",	//218
    "fetchLast",	//219
    "fetchMore",	//220
    "fetchMore#",	//221
    "fetchNext",	//222
    "fetchPrevious",	//223
    "field",	//224
    "field$",	//225
    "fieldIndex",	//226
    "fieldIndex$",	//227
    "fieldName",	//228
    "fieldName$",	//229
    "filter",	//230
    "finish",	//231
    "first",	//232
    "flags",	//233
    "flags#",	//234
    "formatValue",	//235
    "formatValue#",	//236
    "formatValue#$",	//237
    "handle",	//238
    "hasFeature",	//239
    "hasFeature$",	//240
    "hasOutValues",	//241
    "headerData",	//242
    "headerData$$",	//243
    "headerData$$$",	//244
    "hostName",	//245
    "index",	//246
    "indexColumn",	//247
    "indexInQuery",	//248
    "indexInQuery#",	//249
    "indexOf",	//250
    "indexOf$",	//251
    "insert",	//252
    "insert$#",	//253
    "insertColumns",	//254
    "insertColumns$$",	//255
    "insertColumns$$#",	//256
    "insertRecord",	//257
    "insertRecord$#",	//258
    "insertRowIntoTable",	//259
    "insertRowIntoTable#",	//260
    "insertRows",	//261
    "insertRows$$",	//262
    "insertRows$$#",	//263
    "isActive",	//264
    "isAutoValue",	//265
    "isDescending",	//266
    "isDescending$",	//267
    "isDirty",	//268
    "isDirty#",	//269
    "isDriverAvailable",	//270
    "isDriverAvailable$",	//271
    "isEmpty",	//272
    "isForwardOnly",	//273
    "isGenerated",	//274
    "isGenerated$",	//275
    "isIdentifierEscaped",	//276
    "isIdentifierEscaped$$",	//277
    "isIdentifierEscapedImplementation",	//278
    "isIdentifierEscapedImplementation$$",	//279
    "isNull",	//280
    "isNull$",	//281
    "isOpen",	//282
    "isOpenError",	//283
    "isReadOnly",	//284
    "isSelect",	//285
    "isValid",	//286
    "itemData",	//287
    "keys",	//288
    "last",	//289
    "lastError",	//290
    "lastInsertId",	//291
    "lastQuery",	//292
    "length",	//293
    "match",	//294
    "metaObject",	//295
    "mimeData",	//296
    "mimeTypes",	//297
    "name",	//298
    "next",	//299
    "nextResult",	//300
    "notification",	//301
    "notification$",	//302
    "numRowsAffected",	//303
    "number",	//304
    "numericalPrecisionPolicy",	//305
    "open",	//306
    "open$",	//307
    "open$$",	//308
    "open$$$",	//309
    "open$$$$",	//310
    "open$$$$$",	//311
    "open$$$$$$",	//312
    "operator!=",	//313
    "operator!=#",	//314
    "operator!=##",	//315
    "operator!=#$",	//316
    "operator!=$#",	//317
    "operator!=$$",	//318
    "operator&",	//319
    "operator&##",	//320
    "operator*",	//321
    "operator*#$",	//322
    "operator*$#",	//323
    "operator+",	//324
    "operator+##",	//325
    "operator+#$",	//326
    "operator+$#",	//327
    "operator+$$",	//328
    "operator-",	//329
    "operator-#",	//330
    "operator-##",	//331
    "operator/",	//332
    "operator/#$",	//333
    "operator<",	//334
    "operator<##",	//335
    "operator<#$",	//336
    "operator<$#",	//337
    "operator<$$",	//338
    "operator<<",	//339
    "operator<<##",	//340
    "operator<<#$",	//341
    "operator<<#?",	//342
    "operator<=",	//343
    "operator<=##",	//344
    "operator<=#$",	//345
    "operator<=$#",	//346
    "operator<=$$",	//347
    "operator=",	//348
    "operator=#",	//349
    "operator==",	//350
    "operator==#",	//351
    "operator==##",	//352
    "operator==#$",	//353
    "operator==$#",	//354
    "operator==$$",	//355
    "operator>",	//356
    "operator>##",	//357
    "operator>#$",	//358
    "operator>$#",	//359
    "operator>$$",	//360
    "operator>=",	//361
    "operator>=##",	//362
    "operator>=#$",	//363
    "operator>=$#",	//364
    "operator>=$$",	//365
    "operator>>",	//366
    "operator>>##",	//367
    "operator>>#$",	//368
    "operator>>#?",	//369
    "operator^",	//370
    "operator^##",	//371
    "operator|",	//372
    "operator|##",	//373
    "operator|$$",	//374
    "orderByClause",	//375
    "password",	//376
    "port",	//377
    "precision",	//378
    "prepare",	//379
    "prepare$",	//380
    "previous",	//381
    "primaryIndex",	//382
    "primaryIndex$",	//383
    "primaryKey",	//384
    "primeInsert",	//385
    "primeInsert$#",	//386
    "qAcos",	//387
    "qAcos$",	//388
    "qAddPostRoutine",	//389
    "qAddPostRoutine$",	//390
    "qAppName",	//391
    "qAsin",	//392
    "qAsin$",	//393
    "qAtan",	//394
    "qAtan$",	//395
    "qAtan2",	//396
    "qAtan2$$",	//397
    "qBadAlloc",	//398
    "qCeil",	//399
    "qCeil$",	//400
    "qChecksum",	//401
    "qChecksum$$",	//402
    "qCompress",	//403
    "qCompress#",	//404
    "qCompress#$",	//405
    "qCompress$$",	//406
    "qCompress$$$",	//407
    "qCos",	//408
    "qCos$",	//409
    "qCritical",	//410
    "qDebug",	//411
    "qExp",	//412
    "qExp$",	//413
    "qFabs",	//414
    "qFabs$",	//415
    "qFastCos",	//416
    "qFastCos$",	//417
    "qFastSin",	//418
    "qFastSin$",	//419
    "qFlagLocation",	//420
    "qFlagLocation$",	//421
    "qFloor",	//422
    "qFloor$",	//423
    "qFree",	//424
    "qFree$",	//425
    "qFreeAligned",	//426
    "qFreeAligned$",	//427
    "qFuzzyCompare",	//428
    "qFuzzyCompare$$",	//429
    "qFuzzyIsNull",	//430
    "qFuzzyIsNull$",	//431
    "qHash",	//432
    "qHash#",	//433
    "qHash$",	//434
    "qHash?",	//435
    "qInf",	//436
    "qInstallMsgHandler",	//437
    "qInstallMsgHandler$",	//438
    "qIntCast",	//439
    "qIntCast$",	//440
    "qIsFinite",	//441
    "qIsFinite$",	//442
    "qIsInf",	//443
    "qIsInf$",	//444
    "qIsNaN",	//445
    "qIsNaN$",	//446
    "qIsNull",	//447
    "qIsNull$",	//448
    "qLn",	//449
    "qLn$",	//450
    "qMalloc",	//451
    "qMalloc?",	//452
    "qMallocAligned",	//453
    "qMallocAligned??",	//454
    "qMemCopy",	//455
    "qMemCopy$$?",	//456
    "qMemSet",	//457
    "qMemSet$$?",	//458
    "qPow",	//459
    "qPow$$",	//460
    "qQNaN",	//461
    "qRealloc",	//462
    "qRealloc$?",	//463
    "qReallocAligned",	//464
    "qReallocAligned$???",	//465
    "qRegisterStaticPluginInstanceFunction",	//466
    "qRegisterStaticPluginInstanceFunction#",	//467
    "qRemovePostRoutine",	//468
    "qRemovePostRoutine$",	//469
    "qRound",	//470
    "qRound$",	//471
    "qRound64",	//472
    "qRound64$",	//473
    "qSNaN",	//474
    "qSetFieldWidth",	//475
    "qSetFieldWidth$",	//476
    "qSetPadChar",	//477
    "qSetPadChar#",	//478
    "qSetRealNumberPrecision",	//479
    "qSetRealNumberPrecision$",	//480
    "qSharedBuild",	//481
    "qSin",	//482
    "qSin$",	//483
    "qSqrt",	//484
    "qSqrt$",	//485
    "qStringComparisonHelper",	//486
    "qStringComparisonHelper#$",	//487
    "qStringComparisonHelper$$",	//488
    "qTan",	//489
    "qTan$",	//490
    "qUncompress",	//491
    "qUncompress#",	//492
    "qUncompress$$",	//493
    "qVersion",	//494
    "qWarning",	//495
    "qbswap_helper",	//496
    "qbswap_helper$$$",	//497
    "qgetenv",	//498
    "qgetenv$",	//499
    "qputenv",	//500
    "qputenv$#",	//501
    "qrand",	//502
    "qsrand",	//503
    "qsrand$",	//504
    "qstrcmp",	//505
    "qstrcmp##",	//506
    "qstrcmp#$",	//507
    "qstrcmp$#",	//508
    "qstrcmp$$",	//509
    "qstrcpy",	//510
    "qstrcpy$$",	//511
    "qstrdup",	//512
    "qstrdup$",	//513
    "qstricmp",	//514
    "qstricmp$$",	//515
    "qstrlen",	//516
    "qstrlen$",	//517
    "qstrncmp",	//518
    "qstrncmp$$$",	//519
    "qstrncpy",	//520
    "qstrncpy$$$",	//521
    "qstrnicmp",	//522
    "qstrnicmp$$$",	//523
    "qstrnlen",	//524
    "qstrnlen$$",	//525
    "qtTrId",	//526
    "qtTrId$",	//527
    "qtTrId$$",	//528
    "qt_assert",	//529
    "qt_assert$$$",	//530
    "qt_assert_x",	//531
    "qt_assert_x$$$$",	//532
    "qt_check_pointer",	//533
    "qt_check_pointer$$",	//534
    "qt_error_string",	//535
    "qt_error_string$",	//536
    "qt_message_output",	//537
    "qt_message_output$$",	//538
    "qt_metacall",	//539
    "qt_metacall$$?",	//540
    "qt_metacast",	//541
    "qt_metacast$",	//542
    "qt_noop",	//543
    "qt_qFindChild_helper",	//544
    "qt_qFindChild_helper#$#",	//545
    "qt_qFindChildren_helper",	//546
    "qt_qFindChildren_helper#$##?",	//547
    "query",	//548
    "queryChange",	//549
    "qvariant_cast_helper",	//550
    "qvariant_cast_helper#$$",	//551
    "qvsnprintf",	//552
    "qvsnprintf$?$?",	//553
    "record",	//554
    "record$",	//555
    "registerSqlDriver",	//556
    "registerSqlDriver$#",	//557
    "relation",	//558
    "relation$",	//559
    "relationModel",	//560
    "relationModel$",	//561
    "remove",	//562
    "remove$",	//563
    "removeColumns",	//564
    "removeColumns$$",	//565
    "removeColumns$$#",	//566
    "removeDatabase",	//567
    "removeDatabase$",	//568
    "removeRows",	//569
    "removeRows$$",	//570
    "removeRows$$#",	//571
    "replace",	//572
    "replace$#",	//573
    "requiredStatus",	//574
    "reset",	//575
    "reset$",	//576
    "result",	//577
    "revert",	//578
    "revertAll",	//579
    "revertRow",	//580
    "revertRow$",	//581
    "rollback",	//582
    "rollbackTransaction",	//583
    "rowCount",	//584
    "rowCount#",	//585
    "savePrepare",	//586
    "savePrepare$",	//587
    "seek",	//588
    "seek$",	//589
    "seek$$",	//590
    "select",	//591
    "selectStatement",	//592
    "setActive",	//593
    "setActive$",	//594
    "setAt",	//595
    "setAt$",	//596
    "setAutoValue",	//597
    "setAutoValue$",	//598
    "setConnectOptions",	//599
    "setConnectOptions$",	//600
    "setCursorName",	//601
    "setCursorName$",	//602
    "setData",	//603
    "setData##",	//604
    "setData##$",	//605
    "setDatabaseName",	//606
    "setDatabaseName$",	//607
    "setDatabaseText",	//608
    "setDatabaseText$",	//609
    "setDefaultConnection",	//610
    "setDefaultConnection$",	//611
    "setDefaultValue",	//612
    "setDefaultValue#",	//613
    "setDescending",	//614
    "setDescending$$",	//615
    "setDriverText",	//616
    "setDriverText$",	//617
    "setEditStrategy",	//618
    "setEditStrategy$",	//619
    "setFilter",	//620
    "setFilter$",	//621
    "setForwardOnly",	//622
    "setForwardOnly$",	//623
    "setGenerated",	//624
    "setGenerated$",	//625
    "setGenerated$$",	//626
    "setHeaderData",	//627
    "setHeaderData$$#",	//628
    "setHeaderData$$#$",	//629
    "setHostName",	//630
    "setHostName$",	//631
    "setItemData",	//632
    "setLastError",	//633
    "setLastError#",	//634
    "setLength",	//635
    "setLength$",	//636
    "setName",	//637
    "setName$",	//638
    "setNull",	//639
    "setNull$",	//640
    "setNumber",	//641
    "setNumber$",	//642
    "setNumericalPrecisionPolicy",	//643
    "setNumericalPrecisionPolicy$",	//644
    "setOpen",	//645
    "setOpen$",	//646
    "setOpenError",	//647
    "setOpenError$",	//648
    "setPassword",	//649
    "setPassword$",	//650
    "setPort",	//651
    "setPort$",	//652
    "setPrecision",	//653
    "setPrecision$",	//654
    "setPrimaryKey",	//655
    "setPrimaryKey#",	//656
    "setQuery",	//657
    "setQuery#",	//658
    "setQuery$",	//659
    "setQuery$#",	//660
    "setReadOnly",	//661
    "setReadOnly$",	//662
    "setRecord",	//663
    "setRecord$#",	//664
    "setRelation",	//665
    "setRelation$#",	//666
    "setRequired",	//667
    "setRequired$",	//668
    "setRequiredStatus",	//669
    "setRequiredStatus$",	//670
    "setSelect",	//671
    "setSelect$",	//672
    "setSort",	//673
    "setSort$$",	//674
    "setSqlType",	//675
    "setSqlType$",	//676
    "setTable",	//677
    "setTable$",	//678
    "setType",	//679
    "setType$",	//680
    "setUserName",	//681
    "setUserName$",	//682
    "setValue",	//683
    "setValue#",	//684
    "setValue$#",	//685
    "size",	//686
    "sort",	//687
    "sort$$",	//688
    "span",	//689
    "sqlStatement",	//690
    "sqlStatement$$#$",	//691
    "staticMetaObject",	//692
    "stripDelimiters",	//693
    "stripDelimiters$$",	//694
    "stripDelimitersImplementation",	//695
    "stripDelimitersImplementation$$",	//696
    "submit",	//697
    "submitAll",	//698
    "subscribeToNotification",	//699
    "subscribeToNotification$",	//700
    "subscribeToNotificationImplementation",	//701
    "subscribeToNotificationImplementation$",	//702
    "subscribedToNotifications",	//703
    "subscribedToNotificationsImplementation",	//704
    "supportedDropActions",	//705
    "tableName",	//706
    "tables",	//707
    "tables$",	//708
    "text",	//709
    "timerEvent",	//710
    "tr",	//711
    "tr$",	//712
    "tr$$",	//713
    "tr$$$",	//714
    "trUtf8",	//715
    "trUtf8$",	//716
    "trUtf8$$",	//717
    "trUtf8$$$",	//718
    "transaction",	//719
    "type",	//720
    "typeID",	//721
    "unsubscribeFromNotification",	//722
    "unsubscribeFromNotification$",	//723
    "unsubscribeFromNotificationImplementation",	//724
    "unsubscribeFromNotificationImplementation$",	//725
    "updateRowInTable",	//726
    "updateRowInTable$#",	//727
    "userName",	//728
    "value",	//729
    "value$",	//730
    "virtual_hook",	//731
    "virtual_hook$$",	//732
    "~QSqlDatabase",	//733
    "~QSqlDriver",	//734
    "~QSqlDriverCreatorBase",	//735
    "~QSqlDriverFactoryInterface",	//736
    "~QSqlDriverPlugin",	//737
    "~QSqlError",	//738
    "~QSqlField",	//739
    "~QSqlIndex",	//740
    "~QSqlQuery",	//741
    "~QSqlQueryModel",	//742
    "~QSqlRecord",	//743
    "~QSqlRelation",	//744
    "~QSqlRelationalTableModel",	//745
    "~QSqlResult",	//746
    "~QSqlTableModel",	//747
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 603, 1, 3, Smoke::mf_virtual, 231, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 287, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 632, 7, 2, Smoke::mf_virtual, 231, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 296, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 261, 12, 3, Smoke::mf_virtual, 231, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 569, 12, 3, Smoke::mf_virtual, 231, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 233, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 687, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 159, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 294, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 56, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 689, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 697, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 231, 0},	//14 QAbstractItemModel::submit()
    {1, 578, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 246, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 205, 25, 5, Smoke::mf_virtual, 231, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 120, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 470, 31, 1, Smoke::mf_static, 295, 1},	//19 QGlobalSpace::qRound(double)
    {16, 372, 33, 2, Smoke::mf_static, 26, 2},	//20 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {16, 387, 31, 1, Smoke::mf_static, 293, 3},	//21 QGlobalSpace::qAcos(double)
    {16, 366, 36, 2, Smoke::mf_static, 10, 4},	//22 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 372, 39, 2, Smoke::mf_static, 24, 5},	//23 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {16, 361, 42, 2, Smoke::mf_static, 231, 6},	//24 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 366, 45, 2, Smoke::mf_static, 10, 7},	//25 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 391, 0, 0, Smoke::mf_static, 116, 8},	//26 QGlobalSpace::qAppName()
    {16, 372, 48, 2, Smoke::mf_static, 52, 9},	//27 QGlobalSpace::operator|(Qt::WindowType, int)
    {16, 520, 51, 3, Smoke::mf_static, 233, 10},	//28 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 432, 55, 1, Smoke::mf_static, 303, 11},	//29 QGlobalSpace::qHash(unsigned int)
    {16, 432, 57, 1, Smoke::mf_static, 303, 12},	//30 QGlobalSpace::qHash(char)
    {16, 321, 59, 2, Smoke::mf_static, 266, 13},	//31 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 339, 62, 2, Smoke::mf_static, 13, 14},	//32 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 498, 65, 1, Smoke::mf_static, 5, 15},	//33 QGlobalSpace::qgetenv(const char*)
    {16, 334, 67, 2, Smoke::mf_static, 231, 16},	//34 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 356, 70, 2, Smoke::mf_static, 231, 17},	//35 QGlobalSpace::operator>(const char*, const QString&)
    {16, 366, 73, 2, Smoke::mf_static, 10, 18},	//36 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 372, 76, 2, Smoke::mf_static, 41, 19},	//37 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {16, 350, 79, 2, Smoke::mf_static, 231, 20},	//38 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 339, 82, 2, Smoke::mf_static, 13, 21},	//39 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {16, 350, 85, 2, Smoke::mf_static, 231, 22},	//40 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 418, 31, 1, Smoke::mf_static, 293, 23},	//41 QGlobalSpace::qFastSin(double)
    {16, 324, 88, 2, Smoke::mf_static, 279, 24},	//42 QGlobalSpace::operator+(QChar, const QString&)
    {16, 339, 91, 2, Smoke::mf_static, 13, 25},	//43 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 518, 94, 3, Smoke::mf_static, 295, 26},	//44 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 343, 98, 2, Smoke::mf_static, 231, 27},	//45 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 343, 101, 2, Smoke::mf_static, 231, 28},	//46 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 552, 104, 4, Smoke::mf_static, 295, 29},	//47 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 313, 109, 2, Smoke::mf_static, 231, 30},	//48 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 313, 112, 2, Smoke::mf_static, 231, 31},	//49 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 324, 115, 2, Smoke::mf_static, 279, 32},	//50 QGlobalSpace::operator+(const QString&, QChar)
    {16, 324, 85, 2, Smoke::mf_static, 264, 33},	//51 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 524, 118, 2, Smoke::mf_static, 303, 34},	//52 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 350, 101, 2, Smoke::mf_static, 231, 35},	//53 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 366, 121, 2, Smoke::mf_static, 10, 36},	//54 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {16, 313, 124, 2, Smoke::mf_static, 231, 37},	//55 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 339, 127, 2, Smoke::mf_static, 13, 38},	//56 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 372, 130, 2, Smoke::mf_static, 47, 39},	//57 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {16, 339, 133, 2, Smoke::mf_static, 13, 40},	//58 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 313, 136, 2, Smoke::mf_static, 231, 41},	//59 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 432, 139, 1, Smoke::mf_static, 303, 42},	//60 QGlobalSpace::qHash(unsigned char)
    {16, 546, 141, 5, Smoke::mf_static, 0, 43},	//61 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 350, 147, 2, Smoke::mf_static, 231, 44},	//62 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 535, 150, 1, Smoke::mf_static, 116, 45},	//63 QGlobalSpace::qt_error_string(int)
    {16, 535, 0, 0, Smoke::mf_static, 116, 46},	//64 QGlobalSpace::qt_error_string()
    {16, 366, 152, 2, Smoke::mf_static, 10, 47},	//65 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 447, 155, 1, Smoke::mf_static, 231, 48},	//66 QGlobalSpace::qIsNull(float)
    {16, 372, 157, 2, Smoke::mf_static, 52, 49},	//67 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {16, 461, 0, 0, Smoke::mf_static, 293, 50},	//68 QGlobalSpace::qQNaN()
    {16, 313, 160, 2, Smoke::mf_static, 231, 51},	//69 QGlobalSpace::operator!=(QChar, QChar)
    {16, 477, 163, 1, Smoke::mf_static, 127, 52},	//70 QGlobalSpace::qSetPadChar(QChar)
    {16, 339, 165, 2, Smoke::mf_static, 13, 53},	//71 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 366, 168, 2, Smoke::mf_static, 10, 54},	//72 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 372, 171, 2, Smoke::mf_static, 28, 55},	//73 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {16, 329, 109, 2, Smoke::mf_static, 258, 56},	//74 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 339, 174, 2, Smoke::mf_static, 13, 57},	//75 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 526, 177, 2, Smoke::mf_static, 116, 58},	//76 QGlobalSpace::qtTrId(const char*, int)
    {16, 526, 65, 1, Smoke::mf_static, 116, 59},	//77 QGlobalSpace::qtTrId(const char*)
    {16, 396, 180, 2, Smoke::mf_static, 293, 60},	//78 QGlobalSpace::qAtan2(double, double)
    {16, 339, 183, 2, Smoke::mf_static, 10, 61},	//79 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 432, 186, 1, Smoke::mf_static, 303, 62},	//80 QGlobalSpace::qHash(short)
    {16, 350, 42, 2, Smoke::mf_static, 231, 63},	//81 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 339, 188, 2, Smoke::mf_static, 10, 64},	//82 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 372, 191, 2, Smoke::mf_static, 46, 65},	//83 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {16, 441, 31, 1, Smoke::mf_static, 231, 66},	//84 QGlobalSpace::qIsFinite(double)
    {16, 372, 194, 2, Smoke::mf_static, 41, 67},	//85 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {16, 505, 67, 2, Smoke::mf_static, 295, 68},	//86 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 512, 65, 1, Smoke::mf_static, 233, 69},	//87 QGlobalSpace::qstrdup(const char*)
    {16, 432, 197, 1, Smoke::mf_static, 303, 70},	//88 QGlobalSpace::qHash(long)
    {16, 372, 199, 2, Smoke::mf_static, 40, 71},	//89 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {16, 505, 202, 2, Smoke::mf_static, 295, 72},	//90 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 339, 205, 2, Smoke::mf_static, 10, 73},	//91 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 356, 98, 2, Smoke::mf_static, 231, 74},	//92 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 313, 208, 2, Smoke::mf_static, 231, 75},	//93 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 324, 211, 2, Smoke::mf_static, 235, 76},	//94 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 313, 42, 2, Smoke::mf_static, 231, 77},	//95 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 432, 214, 1, Smoke::mf_static, 303, 78},	//96 QGlobalSpace::qHash(const QBitArray&)
    {16, 372, 216, 2, Smoke::mf_static, 24, 79},	//97 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {16, 510, 219, 2, Smoke::mf_static, 233, 80},	//98 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 372, 222, 2, Smoke::mf_static, 2, 81},	//99 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 313, 225, 2, Smoke::mf_static, 231, 82},	//100 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 334, 211, 2, Smoke::mf_static, 231, 83},	//101 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 394, 31, 1, Smoke::mf_static, 293, 84},	//102 QGlobalSpace::qAtan(double)
    {16, 505, 211, 2, Smoke::mf_static, 295, 85},	//103 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 361, 160, 2, Smoke::mf_static, 231, 86},	//104 QGlobalSpace::operator>=(QChar, QChar)
    {16, 372, 228, 2, Smoke::mf_static, 42, 87},	//105 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {16, 343, 160, 2, Smoke::mf_static, 231, 88},	//106 QGlobalSpace::operator<=(QChar, QChar)
    {16, 321, 231, 2, Smoke::mf_static, 258, 89},	//107 QGlobalSpace::operator*(const QPointF&, double)
    {16, 339, 234, 2, Smoke::mf_static, 13, 90},	//108 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 350, 237, 2, Smoke::mf_static, 231, 91},	//109 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 372, 240, 2, Smoke::mf_static, 21, 92},	//110 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {16, 366, 243, 2, Smoke::mf_static, 10, 93},	//111 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 533, 177, 2, Smoke::mf_static, 0, 94},	//112 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 350, 208, 2, Smoke::mf_static, 231, 95},	//113 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 313, 98, 2, Smoke::mf_static, 231, 96},	//114 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 313, 246, 2, Smoke::mf_static, 231, 97},	//115 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 343, 249, 2, Smoke::mf_static, 231, 98},	//116 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 491, 252, 2, Smoke::mf_static, 5, 99},	//117 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 403, 255, 2, Smoke::mf_static, 5, 100},	//118 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 403, 258, 1, Smoke::mf_static, 5, 101},	//119 QGlobalSpace::qCompress(const QByteArray&)
    {16, 339, 260, 2, Smoke::mf_static, 10, 102},	//120 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 366, 263, 2, Smoke::mf_static, 124, 103},	//121 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 372, 266, 2, Smoke::mf_static, 52, 104},	//122 QGlobalSpace::operator|(Qt::DropAction, int)
    {16, 464, 269, 4, Smoke::mf_static, 310, 105},	//123 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 372, 274, 2, Smoke::mf_static, 52, 106},	//124 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {16, 356, 42, 2, Smoke::mf_static, 231, 107},	//125 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 484, 31, 1, Smoke::mf_static, 293, 108},	//126 QGlobalSpace::qSqrt(double)
    {16, 339, 263, 2, Smoke::mf_static, 124, 109},	//127 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 339, 277, 2, Smoke::mf_static, 10, 110},	//128 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 339, 280, 2, Smoke::mf_static, 13, 111},	//129 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 356, 101, 2, Smoke::mf_static, 231, 112},	//130 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 361, 249, 2, Smoke::mf_static, 231, 113},	//131 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 439, 155, 1, Smoke::mf_static, 295, 114},	//132 QGlobalSpace::qIntCast(float)
    {16, 372, 283, 2, Smoke::mf_static, 32, 115},	//133 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {16, 350, 109, 2, Smoke::mf_static, 231, 116},	//134 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 356, 211, 2, Smoke::mf_static, 231, 117},	//135 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 414, 31, 1, Smoke::mf_static, 293, 118},	//136 QGlobalSpace::qFabs(double)
    {16, 432, 286, 1, Smoke::mf_static, 303, 119},	//137 QGlobalSpace::qHash(unsigned short)
    {16, 350, 211, 2, Smoke::mf_static, 231, 120},	//138 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 372, 288, 2, Smoke::mf_static, 46, 121},	//139 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {16, 372, 291, 2, Smoke::mf_static, 31, 122},	//140 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {16, 339, 294, 2, Smoke::mf_static, 13, 123},	//141 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 372, 297, 2, Smoke::mf_static, 44, 124},	//142 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {16, 313, 101, 2, Smoke::mf_static, 231, 125},	//143 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 462, 300, 2, Smoke::mf_static, 310, 126},	//144 QGlobalSpace::qRealloc(void*, size_t)
    {16, 372, 303, 2, Smoke::mf_static, 37, 127},	//145 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {16, 372, 306, 2, Smoke::mf_static, 52, 128},	//146 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {16, 350, 309, 2, Smoke::mf_static, 231, 129},	//147 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 372, 312, 2, Smoke::mf_static, 38, 130},	//148 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {16, 495, 0, 0, Smoke::mf_static, 13, 131},	//149 QGlobalSpace::qWarning()
    {16, 372, 315, 2, Smoke::mf_static, 52, 132},	//150 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {16, 428, 180, 2, Smoke::mf_static, 231, 133},	//151 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 343, 42, 2, Smoke::mf_static, 231, 134},	//152 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 372, 318, 2, Smoke::mf_static, 29, 135},	//153 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {16, 372, 321, 2, Smoke::mf_static, 27, 136},	//154 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {16, 366, 324, 2, Smoke::mf_static, 10, 137},	//155 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 339, 327, 2, Smoke::mf_static, 10, 138},	//156 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 313, 330, 2, Smoke::mf_static, 231, 139},	//157 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 321, 333, 2, Smoke::mf_static, 264, 140},	//158 QGlobalSpace::operator*(double, const QSize&)
    {16, 372, 336, 2, Smoke::mf_static, 36, 141},	//159 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {16, 411, 0, 0, Smoke::mf_static, 13, 142},	//160 QGlobalSpace::qDebug()
    {16, 432, 339, 1, Smoke::mf_static, 303, 143},	//161 QGlobalSpace::qHash(long long)
    {16, 372, 341, 2, Smoke::mf_static, 43, 144},	//162 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {16, 343, 70, 2, Smoke::mf_static, 231, 145},	//163 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 329, 344, 1, Smoke::mf_static, 258, 146},	//164 QGlobalSpace::operator-(const QPointF&)
    {16, 372, 346, 2, Smoke::mf_static, 52, 147},	//165 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {16, 443, 155, 1, Smoke::mf_static, 231, 148},	//166 QGlobalSpace::qIsInf(float)
    {16, 372, 349, 2, Smoke::mf_static, 52, 149},	//167 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {16, 324, 70, 2, Smoke::mf_static, 279, 150},	//168 QGlobalSpace::operator+(const char*, const QString&)
    {16, 343, 211, 2, Smoke::mf_static, 231, 151},	//169 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 339, 352, 2, Smoke::mf_static, 13, 152},	//170 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 313, 249, 2, Smoke::mf_static, 231, 153},	//171 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 356, 160, 2, Smoke::mf_static, 231, 154},	//172 QGlobalSpace::operator>(QChar, QChar)
    {16, 332, 59, 2, Smoke::mf_static, 266, 155},	//173 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 372, 355, 2, Smoke::mf_static, 52, 156},	//174 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {16, 339, 358, 2, Smoke::mf_static, 13, 157},	//175 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 505, 249, 2, Smoke::mf_static, 295, 158},	//176 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 319, 222, 2, Smoke::mf_static, 2, 159},	//177 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 339, 361, 2, Smoke::mf_static, 13, 160},	//178 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 329, 364, 1, Smoke::mf_static, 256, 161},	//179 QGlobalSpace::operator-(const QPoint&)
    {16, 361, 67, 2, Smoke::mf_static, 231, 162},	//180 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 339, 366, 2, Smoke::mf_static, 10, 163},	//181 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 372, 369, 2, Smoke::mf_static, 32, 164},	//182 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {16, 361, 98, 2, Smoke::mf_static, 231, 165},	//183 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 334, 101, 2, Smoke::mf_static, 231, 166},	//184 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 313, 372, 2, Smoke::mf_static, 231, 167},	//185 QGlobalSpace::operator!=(QBool, QBool)
    {16, 324, 375, 2, Smoke::mf_static, 279, 168},	//186 QGlobalSpace::operator+(const QString&, char)
    {16, 313, 378, 2, Smoke::mf_static, 231, 169},	//187 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 432, 381, 1, Smoke::mf_static, 303, 170},	//188 QGlobalSpace::qHash(unsigned long long)
    {16, 350, 98, 2, Smoke::mf_static, 231, 171},	//189 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 420, 65, 1, Smoke::mf_static, 290, 172},	//190 QGlobalSpace::qFlagLocation(const char*)
    {16, 332, 231, 2, Smoke::mf_static, 258, 173},	//191 QGlobalSpace::operator/(const QPointF&, double)
    {16, 439, 31, 1, Smoke::mf_static, 295, 174},	//192 QGlobalSpace::qIntCast(double)
    {16, 372, 383, 2, Smoke::mf_static, 52, 175},	//193 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {16, 491, 258, 1, Smoke::mf_static, 5, 176},	//194 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 313, 79, 2, Smoke::mf_static, 231, 177},	//195 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 339, 386, 2, Smoke::mf_static, 13, 178},	//196 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 350, 389, 2, Smoke::mf_static, 231, 179},	//197 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 343, 67, 2, Smoke::mf_static, 231, 180},	//198 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 416, 31, 1, Smoke::mf_static, 293, 181},	//199 QGlobalSpace::qFastCos(double)
    {16, 468, 392, 1, Smoke::mf_static, 0, 182},	//200 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 372, 394, 2, Smoke::mf_static, 29, 183},	//201 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {16, 372, 397, 2, Smoke::mf_static, 38, 184},	//202 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {16, 366, 400, 2, Smoke::mf_static, 10, 185},	//203 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 428, 403, 2, Smoke::mf_static, 231, 186},	//204 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 339, 406, 2, Smoke::mf_static, 10, 187},	//205 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 401, 118, 2, Smoke::mf_static, 306, 188},	//206 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 366, 409, 2, Smoke::mf_static, 10, 189},	//207 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 321, 412, 2, Smoke::mf_static, 264, 190},	//208 QGlobalSpace::operator*(const QSize&, double)
    {16, 437, 415, 1, Smoke::mf_static, 309, 191},	//209 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 339, 417, 2, Smoke::mf_static, 124, 192},	//210 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 329, 225, 2, Smoke::mf_static, 256, 193},	//211 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 372, 420, 2, Smoke::mf_static, 35, 194},	//212 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {16, 366, 423, 2, Smoke::mf_static, 10, 195},	//213 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 372, 426, 2, Smoke::mf_static, 22, 196},	//214 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {16, 410, 0, 0, Smoke::mf_static, 13, 197},	//215 QGlobalSpace::qCritical()
    {16, 332, 429, 2, Smoke::mf_static, 256, 198},	//216 QGlobalSpace::operator/(const QPoint&, double)
    {16, 459, 180, 2, Smoke::mf_static, 293, 199},	//217 QGlobalSpace::qPow(double, double)
    {16, 339, 432, 2, Smoke::mf_static, 10, 200},	//218 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 339, 435, 2, Smoke::mf_static, 10, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {16, 313, 389, 2, Smoke::mf_static, 231, 202},	//220 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 432, 150, 1, Smoke::mf_static, 303, 203},	//221 QGlobalSpace::qHash(int)
    {16, 372, 438, 2, Smoke::mf_static, 39, 204},	//222 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {16, 543, 0, 0, Smoke::mf_static, 0, 205},	//223 QGlobalSpace::qt_noop()
    {16, 350, 112, 2, Smoke::mf_static, 231, 206},	//224 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 372, 441, 2, Smoke::mf_static, 52, 207},	//225 QGlobalSpace::operator|(Qt::WindowState, int)
    {16, 313, 147, 2, Smoke::mf_static, 231, 208},	//226 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 366, 444, 2, Smoke::mf_static, 10, 209},	//227 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 544, 447, 3, Smoke::mf_static, 65, 210},	//228 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 339, 451, 2, Smoke::mf_static, 10, 211},	//229 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 350, 372, 2, Smoke::mf_static, 231, 212},	//230 QGlobalSpace::operator==(QBool, QBool)
    {16, 366, 454, 2, Smoke::mf_static, 10, 213},	//231 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 412, 31, 1, Smoke::mf_static, 293, 214},	//232 QGlobalSpace::qExp(double)
    {16, 366, 457, 2, Smoke::mf_static, 10, 215},	//233 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 372, 460, 2, Smoke::mf_static, 42, 216},	//234 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {16, 350, 463, 2, Smoke::mf_static, 231, 217},	//235 QGlobalSpace::operator==(bool, QBool)
    {16, 372, 466, 2, Smoke::mf_static, 33, 218},	//236 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {16, 430, 31, 1, Smoke::mf_static, 231, 219},	//237 QGlobalSpace::qFuzzyIsNull(double)
    {16, 366, 469, 2, Smoke::mf_static, 10, 220},	//238 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 550, 472, 3, Smoke::mf_static, 231, 221},	//239 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 334, 70, 2, Smoke::mf_static, 231, 222},	//240 QGlobalSpace::operator<(const char*, const QString&)
    {16, 350, 476, 2, Smoke::mf_static, 231, 223},	//241 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 496, 479, 3, Smoke::mf_static, 0, 224},	//242 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 432, 163, 1, Smoke::mf_static, 303, 225},	//243 QGlobalSpace::qHash(QChar)
    {16, 372, 483, 2, Smoke::mf_static, 52, 226},	//244 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {16, 339, 486, 2, Smoke::mf_static, 10, 227},	//245 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 313, 476, 2, Smoke::mf_static, 231, 228},	//246 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 334, 42, 2, Smoke::mf_static, 231, 229},	//247 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 313, 463, 2, Smoke::mf_static, 231, 230},	//248 QGlobalSpace::operator!=(bool, QBool)
    {16, 537, 489, 2, Smoke::mf_static, 0, 231},	//249 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 372, 492, 2, Smoke::mf_static, 25, 232},	//250 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {16, 503, 55, 1, Smoke::mf_static, 0, 233},	//251 QGlobalSpace::qsrand(unsigned int)
    {16, 350, 495, 2, Smoke::mf_static, 231, 234},	//252 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 324, 498, 2, Smoke::mf_static, 279, 235},	//253 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 372, 501, 2, Smoke::mf_static, 34, 236},	//254 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {16, 339, 504, 2, Smoke::mf_static, 13, 237},	//255 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 372, 507, 2, Smoke::mf_static, 52, 238},	//256 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {16, 366, 510, 2, Smoke::mf_static, 10, 239},	//257 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 313, 309, 2, Smoke::mf_static, 231, 240},	//258 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 514, 202, 2, Smoke::mf_static, 295, 241},	//259 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 372, 513, 2, Smoke::mf_static, 50, 242},	//260 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {16, 457, 516, 3, Smoke::mf_static, 310, 243},	//261 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 339, 520, 2, Smoke::mf_static, 13, 244},	//262 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 313, 85, 2, Smoke::mf_static, 231, 245},	//263 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 399, 31, 1, Smoke::mf_static, 295, 246},	//264 QGlobalSpace::qCeil(double)
    {16, 432, 523, 1, Smoke::mf_static, 303, 247},	//265 QGlobalSpace::qHash(signed char)
    {16, 372, 525, 2, Smoke::mf_static, 50, 248},	//266 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {16, 350, 136, 2, Smoke::mf_static, 231, 249},	//267 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 372, 528, 2, Smoke::mf_static, 49, 250},	//268 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {16, 350, 378, 2, Smoke::mf_static, 231, 251},	//269 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 366, 531, 2, Smoke::mf_static, 10, 252},	//270 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 339, 534, 2, Smoke::mf_static, 13, 253},	//271 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 372, 537, 2, Smoke::mf_static, 52, 254},	//272 QGlobalSpace::operator|(QFile::Permission, int)
    {16, 324, 225, 2, Smoke::mf_static, 256, 255},	//273 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 324, 67, 2, Smoke::mf_static, 235, 256},	//274 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 389, 392, 1, Smoke::mf_static, 0, 257},	//275 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 466, 540, 1, Smoke::mf_static, 0, 258},	//276 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 321, 542, 2, Smoke::mf_static, 258, 259},	//277 QGlobalSpace::operator*(double, const QPointF&)
    {16, 481, 0, 0, Smoke::mf_static, 231, 260},	//278 QGlobalSpace::qSharedBuild()
    {16, 339, 545, 2, Smoke::mf_static, 10, 261},	//279 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 339, 548, 2, Smoke::mf_static, 10, 262},	//280 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 366, 551, 2, Smoke::mf_static, 10, 263},	//281 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 436, 0, 0, Smoke::mf_static, 293, 264},	//282 QGlobalSpace::qInf()
    {16, 522, 94, 3, Smoke::mf_static, 295, 265},	//283 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 432, 554, 1, Smoke::mf_static, 303, 266},	//284 QGlobalSpace::qHash(const QStringRef&)
    {16, 366, 556, 2, Smoke::mf_static, 10, 267},	//285 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 372, 559, 2, Smoke::mf_static, 52, 268},	//286 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {16, 339, 562, 2, Smoke::mf_static, 10, 269},	//287 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 356, 249, 2, Smoke::mf_static, 231, 270},	//288 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 339, 565, 2, Smoke::mf_static, 13, 271},	//289 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 350, 160, 2, Smoke::mf_static, 231, 272},	//290 QGlobalSpace::operator==(QChar, QChar)
    {16, 408, 31, 1, Smoke::mf_static, 293, 273},	//291 QGlobalSpace::qCos(double)
    {16, 453, 568, 2, Smoke::mf_static, 310, 274},	//292 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 339, 571, 2, Smoke::mf_static, 10, 275},	//293 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 324, 574, 2, Smoke::mf_static, 279, 276},	//294 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 531, 577, 4, Smoke::mf_static, 0, 277},	//295 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 372, 582, 2, Smoke::mf_static, 34, 278},	//296 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {16, 372, 585, 2, Smoke::mf_static, 25, 279},	//297 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {16, 324, 588, 2, Smoke::mf_static, 235, 280},	//298 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 372, 591, 2, Smoke::mf_static, 28, 281},	//299 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {16, 494, 0, 0, Smoke::mf_static, 290, 282},	//300 QGlobalSpace::qVersion()
    {16, 372, 594, 2, Smoke::mf_static, 35, 283},	//301 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {16, 339, 597, 2, Smoke::mf_static, 10, 284},	//302 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 324, 109, 2, Smoke::mf_static, 258, 285},	//303 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 350, 70, 2, Smoke::mf_static, 231, 286},	//304 QGlobalSpace::operator==(const char*, const QString&)
    {16, 372, 600, 2, Smoke::mf_static, 27, 287},	//305 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {16, 339, 603, 2, Smoke::mf_static, 10, 288},	//306 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 372, 606, 2, Smoke::mf_static, 52, 289},	//307 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {16, 350, 330, 2, Smoke::mf_static, 231, 290},	//308 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 486, 609, 2, Smoke::mf_static, 231, 291},	//309 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 372, 612, 2, Smoke::mf_static, 23, 292},	//310 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {16, 339, 615, 2, Smoke::mf_static, 10, 293},	//311 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 324, 618, 2, Smoke::mf_static, 235, 294},	//312 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 324, 621, 2, Smoke::mf_static, 279, 295},	//313 QGlobalSpace::operator+(const QString&, const char*)
    {16, 372, 624, 2, Smoke::mf_static, 52, 296},	//314 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {16, 372, 627, 2, Smoke::mf_static, 30, 297},	//315 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {16, 372, 630, 2, Smoke::mf_static, 52, 298},	//316 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {16, 334, 249, 2, Smoke::mf_static, 231, 299},	//317 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 403, 633, 3, Smoke::mf_static, 5, 300},	//318 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 403, 252, 2, Smoke::mf_static, 5, 301},	//319 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 422, 31, 1, Smoke::mf_static, 295, 302},	//320 QGlobalSpace::qFloor(double)
    {16, 372, 637, 2, Smoke::mf_static, 45, 303},	//321 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {16, 432, 640, 1, Smoke::mf_static, 303, 304},	//322 QGlobalSpace::qHash(const QString&)
    {16, 324, 642, 2, Smoke::mf_static, 279, 305},	//323 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 313, 645, 2, Smoke::mf_static, 231, 306},	//324 QGlobalSpace::operator!=(QBool, bool)
    {16, 350, 249, 2, Smoke::mf_static, 231, 307},	//325 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 339, 648, 2, Smoke::mf_static, 10, 308},	//326 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 445, 155, 1, Smoke::mf_static, 231, 309},	//327 QGlobalSpace::qIsNaN(float)
    {16, 339, 651, 2, Smoke::mf_static, 10, 310},	//328 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 372, 654, 2, Smoke::mf_static, 52, 311},	//329 QGlobalSpace::operator|(QDir::SortFlag, int)
    {16, 455, 657, 3, Smoke::mf_static, 310, 312},	//330 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 424, 661, 1, Smoke::mf_static, 0, 313},	//331 QGlobalSpace::qFree(void*)
    {16, 350, 609, 2, Smoke::mf_static, 231, 314},	//332 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 361, 70, 2, Smoke::mf_static, 231, 315},	//333 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 445, 31, 1, Smoke::mf_static, 231, 316},	//334 QGlobalSpace::qIsNaN(double)
    {16, 372, 663, 2, Smoke::mf_static, 47, 317},	//335 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {16, 321, 429, 2, Smoke::mf_static, 256, 318},	//336 QGlobalSpace::operator*(const QPoint&, double)
    {16, 339, 666, 2, Smoke::mf_static, 13, 319},	//337 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 479, 150, 1, Smoke::mf_static, 127, 320},	//338 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 502, 0, 0, Smoke::mf_static, 295, 321},	//339 QGlobalSpace::qrand()
    {16, 366, 669, 2, Smoke::mf_static, 10, 322},	//340 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 432, 672, 1, Smoke::mf_static, 303, 323},	//341 QGlobalSpace::qHash(const QUrl&)
    {16, 372, 674, 2, Smoke::mf_static, 48, 324},	//342 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {16, 324, 249, 2, Smoke::mf_static, 235, 325},	//343 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 321, 677, 2, Smoke::mf_static, 256, 326},	//344 QGlobalSpace::operator*(double, const QPoint&)
    {16, 313, 609, 2, Smoke::mf_static, 231, 327},	//345 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 482, 31, 1, Smoke::mf_static, 293, 328},	//346 QGlobalSpace::qSin(double)
    {16, 339, 680, 2, Smoke::mf_static, 13, 329},	//347 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 350, 225, 2, Smoke::mf_static, 231, 330},	//348 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 372, 683, 2, Smoke::mf_static, 26, 331},	//349 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {16, 529, 686, 3, Smoke::mf_static, 0, 332},	//350 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 339, 690, 2, Smoke::mf_static, 13, 333},	//351 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 516, 65, 1, Smoke::mf_static, 303, 334},	//352 QGlobalSpace::qstrlen(const char*)
    {16, 372, 693, 2, Smoke::mf_static, 33, 335},	//353 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {16, 372, 696, 2, Smoke::mf_static, 23, 336},	//354 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {16, 443, 31, 1, Smoke::mf_static, 231, 337},	//355 QGlobalSpace::qIsInf(double)
    {16, 329, 85, 2, Smoke::mf_static, 264, 338},	//356 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 332, 412, 2, Smoke::mf_static, 264, 339},	//357 QGlobalSpace::operator/(const QSize&, double)
    {16, 361, 211, 2, Smoke::mf_static, 231, 340},	//358 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 372, 699, 2, Smoke::mf_static, 52, 341},	//359 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {16, 372, 702, 2, Smoke::mf_static, 52, 342},	//360 QGlobalSpace::operator|(QDir::Filter, int)
    {16, 313, 211, 2, Smoke::mf_static, 231, 343},	//361 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 489, 31, 1, Smoke::mf_static, 293, 344},	//362 QGlobalSpace::qTan(double)
    {16, 472, 31, 1, Smoke::mf_static, 297, 345},	//363 QGlobalSpace::qRound64(double)
    {16, 432, 705, 1, Smoke::mf_static, 303, 346},	//364 QGlobalSpace::qHash(unsigned long)
    {16, 372, 707, 2, Smoke::mf_static, 21, 347},	//365 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {16, 474, 0, 0, Smoke::mf_static, 293, 348},	//366 QGlobalSpace::qSNaN()
    {16, 334, 160, 2, Smoke::mf_static, 231, 349},	//367 QGlobalSpace::operator<(QChar, QChar)
    {16, 372, 710, 2, Smoke::mf_static, 44, 350},	//368 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {16, 372, 713, 2, Smoke::mf_static, 37, 351},	//369 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {16, 329, 330, 2, Smoke::mf_static, 266, 352},	//370 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 451, 716, 1, Smoke::mf_static, 310, 353},	//371 QGlobalSpace::qMalloc(size_t)
    {16, 447, 31, 1, Smoke::mf_static, 231, 354},	//372 QGlobalSpace::qIsNull(double)
    {16, 500, 211, 2, Smoke::mf_static, 231, 355},	//373 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 372, 718, 2, Smoke::mf_static, 52, 356},	//374 QGlobalSpace::operator|(Qt::Orientation, int)
    {16, 372, 721, 2, Smoke::mf_static, 52, 357},	//375 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {16, 366, 724, 2, Smoke::mf_static, 10, 358},	//376 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 366, 727, 2, Smoke::mf_static, 10, 359},	//377 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 430, 155, 1, Smoke::mf_static, 231, 360},	//378 QGlobalSpace::qFuzzyIsNull(float)
    {16, 339, 730, 2, Smoke::mf_static, 10, 361},	//379 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 339, 733, 2, Smoke::mf_static, 13, 362},	//380 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 372, 736, 2, Smoke::mf_static, 30, 363},	//381 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {16, 432, 739, 1, Smoke::mf_static, 303, 364},	//382 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 372, 741, 2, Smoke::mf_static, 52, 365},	//383 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {16, 339, 744, 2, Smoke::mf_static, 13, 366},	//384 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 372, 747, 2, Smoke::mf_static, 48, 367},	//385 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {16, 356, 67, 2, Smoke::mf_static, 231, 368},	//386 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 313, 495, 2, Smoke::mf_static, 231, 369},	//387 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 372, 750, 2, Smoke::mf_static, 39, 370},	//388 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {16, 313, 70, 2, Smoke::mf_static, 231, 371},	//389 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 475, 150, 1, Smoke::mf_static, 127, 372},	//390 QGlobalSpace::qSetFieldWidth(int)
    {16, 486, 621, 2, Smoke::mf_static, 231, 373},	//391 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 372, 753, 2, Smoke::mf_static, 49, 374},	//392 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {16, 372, 756, 2, Smoke::mf_static, 36, 375},	//393 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {16, 372, 759, 2, Smoke::mf_static, 52, 376},	//394 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {16, 334, 98, 2, Smoke::mf_static, 231, 377},	//395 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 321, 762, 2, Smoke::mf_static, 266, 378},	//396 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 361, 101, 2, Smoke::mf_static, 231, 379},	//397 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 339, 765, 2, Smoke::mf_static, 13, 380},	//398 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 432, 258, 1, Smoke::mf_static, 303, 381},	//399 QGlobalSpace::qHash(const QByteArray&)
    {16, 350, 124, 2, Smoke::mf_static, 231, 382},	//400 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 432, 5, 1, Smoke::mf_static, 303, 383},	//401 QGlobalSpace::qHash(const QModelIndex&)
    {16, 372, 768, 2, Smoke::mf_static, 52, 384},	//402 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {16, 350, 246, 2, Smoke::mf_static, 231, 385},	//403 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 372, 771, 2, Smoke::mf_static, 43, 386},	//404 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {16, 372, 774, 2, Smoke::mf_static, 40, 387},	//405 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {16, 426, 661, 1, Smoke::mf_static, 0, 388},	//406 QGlobalSpace::qFreeAligned(void*)
    {16, 372, 777, 2, Smoke::mf_static, 45, 389},	//407 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {16, 339, 780, 2, Smoke::mf_static, 13, 390},	//408 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {16, 350, 67, 2, Smoke::mf_static, 231, 391},	//409 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 372, 783, 2, Smoke::mf_static, 52, 392},	//410 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {16, 372, 786, 2, Smoke::mf_static, 52, 393},	//411 QGlobalSpace::operator|(Qt::MouseButton, int)
    {16, 449, 31, 1, Smoke::mf_static, 293, 394},	//412 QGlobalSpace::qLn(double)
    {16, 350, 645, 2, Smoke::mf_static, 231, 395},	//413 QGlobalSpace::operator==(QBool, bool)
    {16, 313, 67, 2, Smoke::mf_static, 231, 396},	//414 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 370, 222, 2, Smoke::mf_static, 2, 397},	//415 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 392, 31, 1, Smoke::mf_static, 293, 398},	//416 QGlobalSpace::qAsin(double)
    {16, 366, 789, 2, Smoke::mf_static, 10, 399},	//417 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 398, 0, 0, Smoke::mf_static, 0, 400},	//418 QGlobalSpace::qBadAlloc()
    {16, 372, 792, 2, Smoke::mf_static, 52, 401},	//419 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {16, 372, 795, 2, Smoke::mf_static, 52, 402},	//420 QGlobalSpace::operator|(QString::SectionFlag, int)
    {16, 324, 798, 2, Smoke::mf_static, 279, 403},	//421 QGlobalSpace::operator+(char, const QString&)
    {16, 339, 801, 2, Smoke::mf_static, 10, 404},	//422 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 441, 155, 1, Smoke::mf_static, 231, 405},	//423 QGlobalSpace::qIsFinite(float)
    {16, 372, 804, 2, Smoke::mf_static, 22, 406},	//424 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {16, 324, 330, 2, Smoke::mf_static, 266, 407},	//425 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 339, 807, 2, Smoke::mf_static, 13, 408},	//426 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 372, 810, 2, Smoke::mf_static, 31, 409},	//427 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {16, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 410},	//428 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 411},	//429 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 412},	//430 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 413},	//431 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 414},	//432 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 415},	//433 QGlobalSpace::LicensedGui (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 416},	//434 QGlobalSpace::LicensedXml (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 417},	//435 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 418},	//436 QGlobalSpace::LicensedScript (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 419},	//437 QGlobalSpace::LicensedOpenVG (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 420},	//438 QGlobalSpace::LicensedDBus (enum)
    {16, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 421},	//439 QGlobalSpace::LicensedTest (enum)
    {16, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 422},	//440 QGlobalSpace::LicensedActiveQt (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 423},	//441 QGlobalSpace::LicensedScriptTools (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 424},	//442 QGlobalSpace::LicensedSvg (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 425},	//443 QGlobalSpace::LicensedDeclarative (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 426},	//444 QGlobalSpace::LicensedSql (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 427},	//445 QGlobalSpace::LicensedOpenGL (enum)
    {16, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 428},	//446 QGlobalSpace::LicensedCore (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 429},	//447 QGlobalSpace::QtDebugMsg (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 430},	//448 QGlobalSpace::QtWarningMsg (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 431},	//449 QGlobalSpace::QtCriticalMsg (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 432},	//450 QGlobalSpace::QtFatalMsg (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 433},	//451 QGlobalSpace::QtSystemMsg (enum)
    {16, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 434},	//452 QGlobalSpace::LicensedHelp (enum)
    {16, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 435},	//453 QGlobalSpace::LicensedMultimedia (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 436},	//454 QGlobalSpace::LicensedQt3Support (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 437},	//455 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 438},	//456 QGlobalSpace::LicensedNetwork (enum)
    {27, 209, 813, 1, Smoke::mf_virtual, 231, 0},	//457 QObject::event(QEvent*)
    {27, 210, 815, 2, Smoke::mf_virtual, 231, 0},	//458 QObject::eventFilter(QObject*, QEvent*)
    {27, 710, 818, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//459 QObject::timerEvent(QTimerEvent*)
    {27, 162, 820, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//460 QObject::childEvent(QChildEvent*)
    {27, 184, 813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//461 QObject::customEvent(QEvent*)
    {27, 172, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//462 QObject::connectNotify(const char*)
    {27, 199, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 1},	//464 QSql::In (enum)
    {36, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 2},	//465 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 3},	//466 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 4},	//467 QSql::Binary (enum)
    {36, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 5},	//468 QSql::LowPrecisionInt32 (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 6},	//469 QSql::LowPrecisionInt64 (enum)
    {36, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 7},	//470 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 8},	//471 QSql::HighPrecision (enum)
    {36, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 9},	//472 QSql::Tables (enum)
    {36, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 10},	//473 QSql::SystemTables (enum)
    {36, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 11},	//474 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 12},	//475 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 13},	//476 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 14},	//477 QSql::AfterLastRow (enum)
    {37, 55, 0, 0, Smoke::mf_ctor, 81, 1},	//478 QSqlDatabase::QSqlDatabase()
    {37, 55, 822, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//479 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 348, 822, 1, 0, 80, 3},	//480 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 306, 0, 0, 0, 231, 4},	//481 QSqlDatabase::open()
    {37, 306, 642, 2, 0, 231, 5},	//482 QSqlDatabase::open(const QString&, const QString&)
    {37, 167, 0, 0, 0, 0, 6},	//483 QSqlDatabase::close()
    {37, 282, 0, 0, Smoke::mf_const, 231, 7},	//484 QSqlDatabase::isOpen() const
    {37, 283, 0, 0, Smoke::mf_const, 231, 8},	//485 QSqlDatabase::isOpenError() const
    {37, 707, 824, 1, Smoke::mf_const, 120, 9},	//486 QSqlDatabase::tables(QSql::TableType) const
    {37, 382, 640, 1, Smoke::mf_const, 97, 10},	//487 QSqlDatabase::primaryIndex(const QString&) const
    {37, 554, 640, 1, Smoke::mf_const, 105, 11},	//488 QSqlDatabase::record(const QString&) const
    {37, 211, 640, 1, Smoke::mf_const, 100, 12},	//489 QSqlDatabase::exec(const QString&) const
    {37, 290, 0, 0, Smoke::mf_const, 89, 13},	//490 QSqlDatabase::lastError() const
    {37, 286, 0, 0, Smoke::mf_const, 231, 14},	//491 QSqlDatabase::isValid() const
    {37, 719, 0, 0, 0, 231, 15},	//492 QSqlDatabase::transaction()
    {37, 170, 0, 0, 0, 231, 16},	//493 QSqlDatabase::commit()
    {37, 582, 0, 0, 0, 231, 17},	//494 QSqlDatabase::rollback()
    {37, 606, 640, 1, 0, 0, 18},	//495 QSqlDatabase::setDatabaseName(const QString&)
    {37, 681, 640, 1, 0, 0, 19},	//496 QSqlDatabase::setUserName(const QString&)
    {37, 649, 640, 1, 0, 0, 20},	//497 QSqlDatabase::setPassword(const QString&)
    {37, 630, 640, 1, 0, 0, 21},	//498 QSqlDatabase::setHostName(const QString&)
    {37, 651, 150, 1, 0, 0, 22},	//499 QSqlDatabase::setPort(int)
    {37, 599, 640, 1, 0, 0, 23},	//500 QSqlDatabase::setConnectOptions(const QString&)
    {37, 192, 0, 0, Smoke::mf_const, 116, 24},	//501 QSqlDatabase::databaseName() const
    {37, 728, 0, 0, Smoke::mf_const, 116, 25},	//502 QSqlDatabase::userName() const
    {37, 376, 0, 0, Smoke::mf_const, 116, 26},	//503 QSqlDatabase::password() const
    {37, 245, 0, 0, Smoke::mf_const, 116, 27},	//504 QSqlDatabase::hostName() const
    {37, 202, 0, 0, Smoke::mf_const, 116, 28},	//505 QSqlDatabase::driverName() const
    {37, 377, 0, 0, Smoke::mf_const, 295, 29},	//506 QSqlDatabase::port() const
    {37, 173, 0, 0, Smoke::mf_const, 116, 30},	//507 QSqlDatabase::connectOptions() const
    {37, 174, 0, 0, Smoke::mf_const, 116, 31},	//508 QSqlDatabase::connectionName() const
    {37, 643, 826, 1, 0, 0, 32},	//509 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 305, 0, 0, Smoke::mf_const, 76, 33},	//510 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 201, 0, 0, Smoke::mf_const, 82, 34},	//511 QSqlDatabase::driver() const
    {37, 131, 642, 2, Smoke::mf_static, 79, 35},	//512 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 131, 828, 2, Smoke::mf_static, 79, 36},	//513 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 165, 831, 2, Smoke::mf_static, 79, 37},	//514 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 189, 834, 2, Smoke::mf_static, 79, 38},	//515 QSqlDatabase::database(const QString&, bool)
    {37, 567, 640, 1, Smoke::mf_static, 0, 39},	//516 QSqlDatabase::removeDatabase(const QString&)
    {37, 176, 640, 1, Smoke::mf_static, 231, 40},	//517 QSqlDatabase::contains(const QString&)
    {37, 204, 0, 0, Smoke::mf_static, 120, 41},	//518 QSqlDatabase::drivers()
    {37, 175, 0, 0, Smoke::mf_static, 120, 42},	//519 QSqlDatabase::connectionNames()
    {37, 556, 837, 2, Smoke::mf_static, 0, 43},	//520 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 270, 640, 1, Smoke::mf_static, 231, 44},	//521 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 55, 640, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 45},	//522 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 55, 840, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 46},	//523 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 707, 0, 0, Smoke::mf_const, 120, 47},	//524 QSqlDatabase::tables() const
    {37, 211, 0, 0, Smoke::mf_const, 100, 48},	//525 QSqlDatabase::exec() const
    {37, 599, 0, 0, 0, 0, 49},	//526 QSqlDatabase::setConnectOptions()
    {37, 131, 640, 1, Smoke::mf_static, 79, 50},	//527 QSqlDatabase::addDatabase(const QString&)
    {37, 131, 840, 1, Smoke::mf_static, 79, 51},	//528 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 189, 0, 0, Smoke::mf_static, 79, 52},	//529 QSqlDatabase::database()
    {37, 189, 640, 1, Smoke::mf_static, 79, 53},	//530 QSqlDatabase::database(const QString&)
    {37, 176, 0, 0, Smoke::mf_static, 231, 54},	//531 QSqlDatabase::contains()
    {37, 194, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 290, 55},	//532 QSqlDatabase::defaultConnection() const
    {37, 610, 65, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//533 QSqlDatabase::setDefaultConnection(const char*)
    {37, 733, 0, 0, Smoke::mf_dtor, 0, 57 },	//534 QSqlDatabase::~QSqlDatabase()
    {38, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 1},	//535 QSqlDriver::metaObject() const
    {38, 541, 65, 1, Smoke::mf_virtual, 310, 2},	//536 QSqlDriver::qt_metacast(const char*)
    {38, 711, 202, 2, Smoke::mf_static, 116, 3},	//537 QSqlDriver::tr(const char*, const char*)
    {38, 715, 202, 2, Smoke::mf_static, 116, 4},	//538 QSqlDriver::trUtf8(const char*, const char*)
    {38, 711, 686, 3, Smoke::mf_static, 116, 5},	//539 QSqlDriver::tr(const char*, const char*, int)
    {38, 715, 686, 3, Smoke::mf_static, 116, 6},	//540 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 539, 842, 3, Smoke::mf_virtual, 295, 7},	//541 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 58, 846, 1, Smoke::mf_ctor, 82, 8},	//542 QSqlDriver::QSqlDriver(QObject*)
    {38, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 231, 9},	//543 QSqlDriver::isOpen() const
    {38, 283, 0, 0, Smoke::mf_const, 231, 10},	//544 QSqlDriver::isOpenError() const
    {38, 146, 0, 0, Smoke::mf_virtual, 231, 11},	//545 QSqlDriver::beginTransaction()
    {38, 171, 0, 0, Smoke::mf_virtual, 231, 12},	//546 QSqlDriver::commitTransaction()
    {38, 583, 0, 0, Smoke::mf_virtual, 231, 13},	//547 QSqlDriver::rollbackTransaction()
    {38, 707, 824, 1, Smoke::mf_const|Smoke::mf_virtual, 120, 14},	//548 QSqlDriver::tables(QSql::TableType) const
    {38, 382, 640, 1, Smoke::mf_const|Smoke::mf_virtual, 97, 15},	//549 QSqlDriver::primaryIndex(const QString&) const
    {38, 554, 640, 1, Smoke::mf_const|Smoke::mf_virtual, 105, 16},	//550 QSqlDriver::record(const QString&) const
    {38, 235, 848, 2, Smoke::mf_const|Smoke::mf_virtual, 116, 17},	//551 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 207, 851, 2, Smoke::mf_const|Smoke::mf_virtual, 116, 18},	//552 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 690, 854, 4, Smoke::mf_const|Smoke::mf_virtual, 116, 19},	//553 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 290, 0, 0, Smoke::mf_const, 89, 20},	//554 QSqlDriver::lastError() const
    {38, 238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 21},	//555 QSqlDriver::handle() const
    {38, 239, 859, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 22},	//556 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 167, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//557 QSqlDriver::close() [pure virtual]
    {38, 182, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 24},	//558 QSqlDriver::createResult() const [pure virtual]
    {38, 306, 861, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 25},	//559 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 699, 640, 1, 0, 231, 26},	//560 QSqlDriver::subscribeToNotification(const QString&)
    {38, 722, 640, 1, 0, 231, 27},	//561 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 703, 0, 0, Smoke::mf_const, 120, 28},	//562 QSqlDriver::subscribedToNotifications() const
    {38, 276, 851, 2, Smoke::mf_const, 231, 29},	//563 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 693, 851, 2, Smoke::mf_const, 116, 30},	//564 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 643, 826, 1, 0, 0, 31},	//565 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 305, 0, 0, Smoke::mf_const, 76, 32},	//566 QSqlDriver::numericalPrecisionPolicy() const
    {38, 301, 640, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//567 QSqlDriver::notification(const QString&)
    {38, 645, 868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//568 QSqlDriver::setOpen(bool)
    {38, 647, 868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//569 QSqlDriver::setOpenError(bool)
    {38, 633, 870, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//570 QSqlDriver::setLastError(const QSqlError&)
    {38, 701, 640, 1, Smoke::mf_protected|Smoke::mf_slot, 231, 37},	//571 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 724, 640, 1, Smoke::mf_protected|Smoke::mf_slot, 231, 38},	//572 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 704, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 120, 39},	//573 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 278, 851, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 231, 40},	//574 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 695, 851, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 116, 41},	//575 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 711, 65, 1, Smoke::mf_static, 116, 42},	//576 QSqlDriver::tr(const char*)
    {38, 715, 65, 1, Smoke::mf_static, 116, 43},	//577 QSqlDriver::trUtf8(const char*)
    {38, 58, 0, 0, Smoke::mf_ctor, 82, 44},	//578 QSqlDriver::QSqlDriver()
    {38, 235, 872, 1, Smoke::mf_const, 116, 45},	//579 QSqlDriver::formatValue(const QSqlField&) const
    {38, 306, 640, 1, 0, 231, 46},	//580 QSqlDriver::open(const QString&)
    {38, 306, 642, 2, 0, 231, 47},	//581 QSqlDriver::open(const QString&, const QString&)
    {38, 306, 874, 3, 0, 231, 48},	//582 QSqlDriver::open(const QString&, const QString&, const QString&)
    {38, 306, 878, 4, 0, 231, 49},	//583 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {38, 306, 883, 5, 0, 231, 50},	//584 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {38, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 250, 51},	//585 QSqlDriver::staticMetaObject() const
    {38, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 52},	//586 QSqlDriver::Transactions (enum)
    {38, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 53},	//587 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 54},	//588 QSqlDriver::BLOB (enum)
    {38, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 55},	//589 QSqlDriver::Unicode (enum)
    {38, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 56},	//590 QSqlDriver::PreparedQueries (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 57},	//591 QSqlDriver::NamedPlaceholders (enum)
    {38, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 58},	//592 QSqlDriver::PositionalPlaceholders (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 59},	//593 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 60},	//594 QSqlDriver::BatchOperations (enum)
    {38, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 61},	//595 QSqlDriver::SimpleLocking (enum)
    {38, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 62},	//596 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 63},	//597 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 64},	//598 QSqlDriver::FinishQuery (enum)
    {38, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 65},	//599 QSqlDriver::MultipleResultSets (enum)
    {38, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 66},	//600 QSqlDriver::WhereStatement (enum)
    {38, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 67},	//601 QSqlDriver::SelectStatement (enum)
    {38, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 68},	//602 QSqlDriver::UpdateStatement (enum)
    {38, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 69},	//603 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 70},	//604 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//605 QSqlDriver::FieldName (enum)
    {38, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 72},	//606 QSqlDriver::TableName (enum)
    {38, 734, 0, 0, Smoke::mf_dtor, 0, 73 },	//607 QSqlDriver::~QSqlDriver()
    {39, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//608 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 60, 0, 0, Smoke::mf_ctor, 86, 2},	//609 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 60, 889, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//610 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 735, 0, 0, Smoke::mf_dtor, 0, 4 },	//611 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 179, 640, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//612 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 62, 0, 0, Smoke::mf_ctor, 87, 2},	//613 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 62, 891, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//614 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 736, 0, 0, Smoke::mf_dtor, 0, 4 },	//615 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 1},	//616 QSqlDriverPlugin::metaObject() const
    {41, 541, 65, 1, Smoke::mf_virtual, 310, 2},	//617 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 711, 202, 2, Smoke::mf_static, 116, 3},	//618 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 715, 202, 2, Smoke::mf_static, 116, 4},	//619 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 711, 686, 3, Smoke::mf_static, 116, 5},	//620 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 715, 686, 3, Smoke::mf_static, 116, 6},	//621 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 539, 842, 3, Smoke::mf_virtual, 295, 7},	//622 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 64, 846, 1, Smoke::mf_ctor, 88, 8},	//623 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 120, 9},	//624 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 179, 640, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 10},	//625 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 711, 65, 1, Smoke::mf_static, 116, 11},	//626 QSqlDriverPlugin::tr(const char*)
    {41, 715, 65, 1, Smoke::mf_static, 116, 12},	//627 QSqlDriverPlugin::trUtf8(const char*)
    {41, 64, 0, 0, Smoke::mf_ctor, 88, 13},	//628 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 250, 14},	//629 QSqlDriverPlugin::staticMetaObject() const
    {41, 737, 0, 0, Smoke::mf_dtor, 0, 15 },	//630 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 66, 893, 4, Smoke::mf_ctor, 91, 1},	//631 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 66, 870, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//632 QSqlError::QSqlError(const QSqlError&)
    {42, 348, 870, 1, 0, 90, 3},	//633 QSqlError::operator=(const QSqlError&)
    {42, 203, 0, 0, Smoke::mf_const, 116, 4},	//634 QSqlError::driverText() const
    {42, 616, 640, 1, 0, 0, 5},	//635 QSqlError::setDriverText(const QString&)
    {42, 193, 0, 0, Smoke::mf_const, 116, 6},	//636 QSqlError::databaseText() const
    {42, 608, 640, 1, 0, 0, 7},	//637 QSqlError::setDatabaseText(const QString&)
    {42, 720, 0, 0, Smoke::mf_const, 92, 8},	//638 QSqlError::type() const
    {42, 679, 898, 1, 0, 0, 9},	//639 QSqlError::setType(QSqlError::ErrorType)
    {42, 304, 0, 0, Smoke::mf_const, 295, 10},	//640 QSqlError::number() const
    {42, 641, 150, 1, 0, 0, 11},	//641 QSqlError::setNumber(int)
    {42, 709, 0, 0, Smoke::mf_const, 116, 12},	//642 QSqlError::text() const
    {42, 286, 0, 0, Smoke::mf_const, 231, 13},	//643 QSqlError::isValid() const
    {42, 66, 0, 0, Smoke::mf_ctor, 91, 14},	//644 QSqlError::QSqlError()
    {42, 66, 640, 1, Smoke::mf_ctor, 91, 15},	//645 QSqlError::QSqlError(const QString&)
    {42, 66, 642, 2, Smoke::mf_ctor, 91, 16},	//646 QSqlError::QSqlError(const QString&, const QString&)
    {42, 66, 900, 3, Smoke::mf_ctor, 91, 17},	//647 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 18},	//648 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 19},	//649 QSqlError::ConnectionError (enum)
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//650 QSqlError::StatementError (enum)
    {42, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//651 QSqlError::TransactionError (enum)
    {42, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//652 QSqlError::UnknownError (enum)
    {42, 738, 0, 0, Smoke::mf_dtor, 0, 23 },	//653 QSqlError::~QSqlError()
    {43, 72, 904, 2, Smoke::mf_ctor, 95, 1},	//654 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 72, 872, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//655 QSqlField::QSqlField(const QSqlField&)
    {43, 348, 872, 1, 0, 94, 3},	//656 QSqlField::operator=(const QSqlField&)
    {43, 350, 872, 1, Smoke::mf_const, 231, 4},	//657 QSqlField::operator==(const QSqlField&) const
    {43, 313, 872, 1, Smoke::mf_const, 231, 5},	//658 QSqlField::operator!=(const QSqlField&) const
    {43, 683, 907, 1, 0, 0, 6},	//659 QSqlField::setValue(const QVariant&)
    {43, 729, 0, 0, Smoke::mf_const, 133, 7},	//660 QSqlField::value() const
    {43, 637, 640, 1, 0, 0, 8},	//661 QSqlField::setName(const QString&)
    {43, 298, 0, 0, Smoke::mf_const, 116, 9},	//662 QSqlField::name() const
    {43, 280, 0, 0, Smoke::mf_const, 231, 10},	//663 QSqlField::isNull() const
    {43, 661, 868, 1, 0, 0, 11},	//664 QSqlField::setReadOnly(bool)
    {43, 284, 0, 0, Smoke::mf_const, 231, 12},	//665 QSqlField::isReadOnly() const
    {43, 163, 0, 0, 0, 0, 13},	//666 QSqlField::clear()
    {43, 720, 0, 0, Smoke::mf_const, 135, 14},	//667 QSqlField::type() const
    {43, 265, 0, 0, Smoke::mf_const, 231, 15},	//668 QSqlField::isAutoValue() const
    {43, 679, 909, 1, 0, 0, 16},	//669 QSqlField::setType(QVariant::Type)
    {43, 669, 911, 1, 0, 0, 17},	//670 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 667, 868, 1, 0, 0, 18},	//671 QSqlField::setRequired(bool)
    {43, 635, 150, 1, 0, 0, 19},	//672 QSqlField::setLength(int)
    {43, 653, 150, 1, 0, 0, 20},	//673 QSqlField::setPrecision(int)
    {43, 612, 907, 1, 0, 0, 21},	//674 QSqlField::setDefaultValue(const QVariant&)
    {43, 675, 150, 1, 0, 0, 22},	//675 QSqlField::setSqlType(int)
    {43, 624, 868, 1, 0, 0, 23},	//676 QSqlField::setGenerated(bool)
    {43, 597, 868, 1, 0, 0, 24},	//677 QSqlField::setAutoValue(bool)
    {43, 574, 0, 0, Smoke::mf_const, 96, 25},	//678 QSqlField::requiredStatus() const
    {43, 293, 0, 0, Smoke::mf_const, 295, 26},	//679 QSqlField::length() const
    {43, 378, 0, 0, Smoke::mf_const, 295, 27},	//680 QSqlField::precision() const
    {43, 195, 0, 0, Smoke::mf_const, 133, 28},	//681 QSqlField::defaultValue() const
    {43, 721, 0, 0, Smoke::mf_const, 295, 29},	//682 QSqlField::typeID() const
    {43, 274, 0, 0, Smoke::mf_const, 231, 30},	//683 QSqlField::isGenerated() const
    {43, 286, 0, 0, Smoke::mf_const, 231, 31},	//684 QSqlField::isValid() const
    {43, 72, 0, 0, Smoke::mf_ctor, 95, 32},	//685 QSqlField::QSqlField()
    {43, 72, 640, 1, Smoke::mf_ctor, 95, 33},	//686 QSqlField::QSqlField(const QString&)
    {43, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 34},	//687 QSqlField::Unknown (enum)
    {43, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 35},	//688 QSqlField::Optional (enum)
    {43, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 36},	//689 QSqlField::Required (enum)
    {43, 739, 0, 0, Smoke::mf_dtor, 0, 37 },	//690 QSqlField::~QSqlField()
    {44, 76, 642, 2, Smoke::mf_ctor, 99, 1},	//691 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 76, 913, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//692 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 348, 913, 1, 0, 98, 3},	//693 QSqlIndex::operator=(const QSqlIndex&)
    {44, 601, 640, 1, 0, 0, 4},	//694 QSqlIndex::setCursorName(const QString&)
    {44, 183, 0, 0, Smoke::mf_const, 116, 5},	//695 QSqlIndex::cursorName() const
    {44, 637, 640, 1, 0, 0, 6},	//696 QSqlIndex::setName(const QString&)
    {44, 298, 0, 0, Smoke::mf_const, 116, 7},	//697 QSqlIndex::name() const
    {44, 136, 872, 1, 0, 0, 8},	//698 QSqlIndex::append(const QSqlField&)
    {44, 136, 848, 2, 0, 0, 9},	//699 QSqlIndex::append(const QSqlField&, bool)
    {44, 266, 150, 1, Smoke::mf_const, 231, 10},	//700 QSqlIndex::isDescending(int) const
    {44, 614, 915, 2, 0, 0, 11},	//701 QSqlIndex::setDescending(int, bool)
    {44, 76, 0, 0, Smoke::mf_ctor, 99, 12},	//702 QSqlIndex::QSqlIndex()
    {44, 76, 640, 1, Smoke::mf_ctor, 99, 13},	//703 QSqlIndex::QSqlIndex(const QString&)
    {44, 740, 0, 0, Smoke::mf_dtor, 0, 14 },	//704 QSqlIndex::~QSqlIndex()
    {45, 80, 918, 1, Smoke::mf_ctor, 102, 1},	//705 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 80, 920, 2, Smoke::mf_ctor, 102, 2},	//706 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 80, 923, 1, Smoke::mf_ctor, 102, 3},	//707 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 80, 925, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 4},	//708 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 348, 925, 1, 0, 101, 5},	//709 QSqlQuery::operator=(const QSqlQuery&)
    {45, 286, 0, 0, Smoke::mf_const, 231, 6},	//710 QSqlQuery::isValid() const
    {45, 264, 0, 0, Smoke::mf_const, 231, 7},	//711 QSqlQuery::isActive() const
    {45, 280, 150, 1, Smoke::mf_const, 231, 8},	//712 QSqlQuery::isNull(int) const
    {45, 139, 0, 0, Smoke::mf_const, 295, 9},	//713 QSqlQuery::at() const
    {45, 292, 0, 0, Smoke::mf_const, 116, 10},	//714 QSqlQuery::lastQuery() const
    {45, 303, 0, 0, Smoke::mf_const, 295, 11},	//715 QSqlQuery::numRowsAffected() const
    {45, 290, 0, 0, Smoke::mf_const, 89, 12},	//716 QSqlQuery::lastError() const
    {45, 285, 0, 0, Smoke::mf_const, 231, 13},	//717 QSqlQuery::isSelect() const
    {45, 686, 0, 0, Smoke::mf_const, 295, 14},	//718 QSqlQuery::size() const
    {45, 201, 0, 0, Smoke::mf_const, 269, 15},	//719 QSqlQuery::driver() const
    {45, 577, 0, 0, Smoke::mf_const, 278, 16},	//720 QSqlQuery::result() const
    {45, 273, 0, 0, Smoke::mf_const, 231, 17},	//721 QSqlQuery::isForwardOnly() const
    {45, 554, 0, 0, Smoke::mf_const, 105, 18},	//722 QSqlQuery::record() const
    {45, 622, 868, 1, 0, 0, 19},	//723 QSqlQuery::setForwardOnly(bool)
    {45, 211, 640, 1, 0, 231, 20},	//724 QSqlQuery::exec(const QString&)
    {45, 729, 150, 1, Smoke::mf_const, 133, 21},	//725 QSqlQuery::value(int) const
    {45, 643, 826, 1, 0, 0, 22},	//726 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 305, 0, 0, Smoke::mf_const, 76, 23},	//727 QSqlQuery::numericalPrecisionPolicy() const
    {45, 588, 915, 2, 0, 231, 24},	//728 QSqlQuery::seek(int, bool)
    {45, 299, 0, 0, 0, 231, 25},	//729 QSqlQuery::next()
    {45, 381, 0, 0, 0, 231, 26},	//730 QSqlQuery::previous()
    {45, 232, 0, 0, 0, 231, 27},	//731 QSqlQuery::first()
    {45, 289, 0, 0, 0, 231, 28},	//732 QSqlQuery::last()
    {45, 163, 0, 0, 0, 0, 29},	//733 QSqlQuery::clear()
    {45, 211, 0, 0, 0, 231, 30},	//734 QSqlQuery::exec()
    {45, 213, 927, 1, 0, 231, 31},	//735 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 379, 640, 1, 0, 231, 32},	//736 QSqlQuery::prepare(const QString&)
    {45, 147, 929, 3, 0, 0, 33},	//737 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 147, 933, 3, 0, 0, 34},	//738 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 128, 937, 2, 0, 0, 35},	//739 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 153, 640, 1, Smoke::mf_const, 133, 36},	//740 QSqlQuery::boundValue(const QString&) const
    {45, 153, 150, 1, Smoke::mf_const, 133, 37},	//741 QSqlQuery::boundValue(int) const
    {45, 158, 0, 0, Smoke::mf_const, 60, 38},	//742 QSqlQuery::boundValues() const
    {45, 215, 0, 0, Smoke::mf_const, 116, 39},	//743 QSqlQuery::executedQuery() const
    {45, 291, 0, 0, Smoke::mf_const, 133, 40},	//744 QSqlQuery::lastInsertId() const
    {45, 231, 0, 0, 0, 0, 41},	//745 QSqlQuery::finish()
    {45, 300, 0, 0, 0, 231, 42},	//746 QSqlQuery::nextResult()
    {45, 80, 0, 0, Smoke::mf_ctor, 102, 43},	//747 QSqlQuery::QSqlQuery()
    {45, 80, 640, 1, Smoke::mf_ctor, 102, 44},	//748 QSqlQuery::QSqlQuery(const QString&)
    {45, 588, 150, 1, 0, 231, 45},	//749 QSqlQuery::seek(int)
    {45, 213, 0, 0, 0, 231, 46},	//750 QSqlQuery::execBatch()
    {45, 147, 940, 2, 0, 0, 47},	//751 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 147, 943, 2, 0, 0, 48},	//752 QSqlQuery::bindValue(int, const QVariant&)
    {45, 128, 907, 1, 0, 0, 49},	//753 QSqlQuery::addBindValue(const QVariant&)
    {45, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 50},	//754 QSqlQuery::ValuesAsRows (enum)
    {45, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 51},	//755 QSqlQuery::ValuesAsColumns (enum)
    {45, 741, 0, 0, Smoke::mf_dtor, 0, 52 },	//756 QSqlQuery::~QSqlQuery()
    {46, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 1},	//757 QSqlQueryModel::metaObject() const
    {46, 541, 65, 1, Smoke::mf_virtual, 310, 2},	//758 QSqlQueryModel::qt_metacast(const char*)
    {46, 711, 202, 2, Smoke::mf_static, 116, 3},	//759 QSqlQueryModel::tr(const char*, const char*)
    {46, 715, 202, 2, Smoke::mf_static, 116, 4},	//760 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 711, 686, 3, Smoke::mf_static, 116, 5},	//761 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 715, 686, 3, Smoke::mf_static, 116, 6},	//762 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 539, 842, 3, Smoke::mf_virtual, 295, 7},	//763 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 84, 846, 1, Smoke::mf_ctor, 104, 8},	//764 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 584, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 295, 9},	//765 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 168, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 295, 10},	//766 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 554, 150, 1, Smoke::mf_const, 105, 11},	//767 QSqlQueryModel::record(int) const
    {46, 554, 0, 0, Smoke::mf_const, 105, 12},	//768 QSqlQueryModel::record() const
    {46, 185, 946, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 13},	//769 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 242, 949, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 14},	//770 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 627, 953, 4, Smoke::mf_virtual, 231, 15},	//771 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 254, 12, 3, Smoke::mf_virtual, 231, 16},	//772 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 564, 12, 3, Smoke::mf_virtual, 231, 17},	//773 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 657, 925, 1, 0, 0, 18},	//774 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 657, 958, 2, 0, 0, 19},	//775 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 548, 0, 0, Smoke::mf_const, 100, 20},	//776 QSqlQueryModel::query() const
    {46, 163, 0, 0, Smoke::mf_virtual, 0, 21},	//777 QSqlQueryModel::clear()
    {46, 290, 0, 0, Smoke::mf_const, 89, 22},	//778 QSqlQueryModel::lastError() const
    {46, 220, 5, 1, Smoke::mf_virtual, 0, 23},	//779 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 160, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 231, 24},	//780 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 549, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//781 QSqlQueryModel::queryChange()
    {46, 248, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 26},	//782 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 633, 870, 1, Smoke::mf_protected, 0, 27},	//783 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 711, 65, 1, Smoke::mf_static, 116, 28},	//784 QSqlQueryModel::tr(const char*)
    {46, 715, 65, 1, Smoke::mf_static, 116, 29},	//785 QSqlQueryModel::trUtf8(const char*)
    {46, 84, 0, 0, Smoke::mf_ctor, 104, 30},	//786 QSqlQueryModel::QSqlQueryModel()
    {46, 584, 0, 0, Smoke::mf_const, 295, 31},	//787 QSqlQueryModel::rowCount() const
    {46, 168, 0, 0, Smoke::mf_const, 295, 32},	//788 QSqlQueryModel::columnCount() const
    {46, 185, 5, 1, Smoke::mf_const, 133, 33},	//789 QSqlQueryModel::data(const QModelIndex&) const
    {46, 242, 961, 2, Smoke::mf_const, 133, 34},	//790 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 627, 964, 3, 0, 231, 35},	//791 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 254, 968, 2, 0, 231, 36},	//792 QSqlQueryModel::insertColumns(int, int)
    {46, 564, 968, 2, 0, 231, 37},	//793 QSqlQueryModel::removeColumns(int, int)
    {46, 657, 640, 1, 0, 0, 38},	//794 QSqlQueryModel::setQuery(const QString&)
    {46, 220, 0, 0, 0, 0, 39},	//795 QSqlQueryModel::fetchMore()
    {46, 160, 0, 0, Smoke::mf_const, 231, 40},	//796 QSqlQueryModel::canFetchMore() const
    {46, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 250, 41},	//797 QSqlQueryModel::staticMetaObject() const
    {46, 742, 0, 0, Smoke::mf_dtor, 0, 42 },	//798 QSqlQueryModel::~QSqlQueryModel()
    {47, 86, 0, 0, Smoke::mf_ctor, 107, 1},	//799 QSqlRecord::QSqlRecord()
    {47, 86, 971, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//800 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 348, 971, 1, 0, 106, 3},	//801 QSqlRecord::operator=(const QSqlRecord&)
    {47, 350, 971, 1, Smoke::mf_const, 231, 4},	//802 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 313, 971, 1, Smoke::mf_const, 231, 5},	//803 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 729, 150, 1, Smoke::mf_const, 133, 6},	//804 QSqlRecord::value(int) const
    {47, 729, 640, 1, Smoke::mf_const, 133, 7},	//805 QSqlRecord::value(const QString&) const
    {47, 683, 943, 2, 0, 0, 8},	//806 QSqlRecord::setValue(int, const QVariant&)
    {47, 683, 940, 2, 0, 0, 9},	//807 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 639, 150, 1, 0, 0, 10},	//808 QSqlRecord::setNull(int)
    {47, 639, 640, 1, 0, 0, 11},	//809 QSqlRecord::setNull(const QString&)
    {47, 280, 150, 1, Smoke::mf_const, 231, 12},	//810 QSqlRecord::isNull(int) const
    {47, 280, 640, 1, Smoke::mf_const, 231, 13},	//811 QSqlRecord::isNull(const QString&) const
    {47, 250, 640, 1, Smoke::mf_const, 295, 14},	//812 QSqlRecord::indexOf(const QString&) const
    {47, 228, 150, 1, Smoke::mf_const, 116, 15},	//813 QSqlRecord::fieldName(int) const
    {47, 224, 150, 1, Smoke::mf_const, 93, 16},	//814 QSqlRecord::field(int) const
    {47, 224, 640, 1, Smoke::mf_const, 93, 17},	//815 QSqlRecord::field(const QString&) const
    {47, 274, 150, 1, Smoke::mf_const, 231, 18},	//816 QSqlRecord::isGenerated(int) const
    {47, 274, 640, 1, Smoke::mf_const, 231, 19},	//817 QSqlRecord::isGenerated(const QString&) const
    {47, 624, 834, 2, 0, 0, 20},	//818 QSqlRecord::setGenerated(const QString&, bool)
    {47, 624, 915, 2, 0, 0, 21},	//819 QSqlRecord::setGenerated(int, bool)
    {47, 136, 872, 1, 0, 0, 22},	//820 QSqlRecord::append(const QSqlField&)
    {47, 572, 973, 2, 0, 0, 23},	//821 QSqlRecord::replace(int, const QSqlField&)
    {47, 252, 973, 2, 0, 0, 24},	//822 QSqlRecord::insert(int, const QSqlField&)
    {47, 562, 150, 1, 0, 0, 25},	//823 QSqlRecord::remove(int)
    {47, 272, 0, 0, Smoke::mf_const, 231, 26},	//824 QSqlRecord::isEmpty() const
    {47, 176, 640, 1, Smoke::mf_const, 231, 27},	//825 QSqlRecord::contains(const QString&) const
    {47, 163, 0, 0, 0, 0, 28},	//826 QSqlRecord::clear()
    {47, 164, 0, 0, 0, 0, 29},	//827 QSqlRecord::clearValues()
    {47, 178, 0, 0, Smoke::mf_const, 295, 30},	//828 QSqlRecord::count() const
    {47, 743, 0, 0, Smoke::mf_dtor, 0, 31 },	//829 QSqlRecord::~QSqlRecord()
    {48, 88, 0, 0, Smoke::mf_ctor, 109, 1},	//830 QSqlRelation::QSqlRelation()
    {48, 88, 874, 3, Smoke::mf_ctor, 109, 2},	//831 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 706, 0, 0, Smoke::mf_const, 116, 3},	//832 QSqlRelation::tableName() const
    {48, 247, 0, 0, Smoke::mf_const, 116, 4},	//833 QSqlRelation::indexColumn() const
    {48, 200, 0, 0, Smoke::mf_const, 116, 5},	//834 QSqlRelation::displayColumn() const
    {48, 286, 0, 0, Smoke::mf_const, 231, 6},	//835 QSqlRelation::isValid() const
    {48, 88, 976, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 7},	//836 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 744, 0, 0, Smoke::mf_dtor, 0, 8 },	//837 QSqlRelation::~QSqlRelation()
    {49, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 1},	//838 QSqlRelationalTableModel::metaObject() const
    {49, 541, 65, 1, Smoke::mf_virtual, 310, 2},	//839 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 711, 202, 2, Smoke::mf_static, 116, 3},	//840 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 715, 202, 2, Smoke::mf_static, 116, 4},	//841 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 711, 686, 3, Smoke::mf_static, 116, 5},	//842 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 715, 686, 3, Smoke::mf_static, 116, 6},	//843 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 539, 842, 3, Smoke::mf_virtual, 295, 7},	//844 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 91, 978, 2, Smoke::mf_ctor, 110, 8},	//845 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 185, 946, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 9},	//846 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 603, 1, 3, Smoke::mf_virtual, 231, 10},	//847 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 564, 12, 3, Smoke::mf_virtual, 231, 11},	//848 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 163, 0, 0, Smoke::mf_virtual, 0, 12},	//849 QSqlRelationalTableModel::clear()
    {49, 591, 0, 0, Smoke::mf_virtual, 231, 13},	//850 QSqlRelationalTableModel::select()
    {49, 677, 640, 1, Smoke::mf_virtual, 0, 14},	//851 QSqlRelationalTableModel::setTable(const QString&)
    {49, 665, 981, 2, Smoke::mf_virtual, 0, 15},	//852 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 558, 150, 1, Smoke::mf_const, 108, 16},	//853 QSqlRelationalTableModel::relation(int) const
    {49, 560, 150, 1, Smoke::mf_const|Smoke::mf_virtual, 114, 17},	//854 QSqlRelationalTableModel::relationModel(int) const
    {49, 580, 150, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//855 QSqlRelationalTableModel::revertRow(int)
    {49, 592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 19},	//856 QSqlRelationalTableModel::selectStatement() const
    {49, 726, 984, 2, Smoke::mf_protected|Smoke::mf_virtual, 231, 20},	//857 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 259, 971, 1, Smoke::mf_protected|Smoke::mf_virtual, 231, 21},	//858 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 22},	//859 QSqlRelationalTableModel::orderByClause() const
    {49, 711, 65, 1, Smoke::mf_static, 116, 23},	//860 QSqlRelationalTableModel::tr(const char*)
    {49, 715, 65, 1, Smoke::mf_static, 116, 24},	//861 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 91, 0, 0, Smoke::mf_ctor, 110, 25},	//862 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 91, 846, 1, Smoke::mf_ctor, 110, 26},	//863 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 185, 5, 1, Smoke::mf_const, 133, 27},	//864 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 603, 987, 2, 0, 231, 28},	//865 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 564, 968, 2, 0, 231, 29},	//866 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 250, 30},	//867 QSqlRelationalTableModel::staticMetaObject() const
    {49, 745, 0, 0, Smoke::mf_dtor, 0, 31 },	//868 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 1},	//869 QSqlResult::handle() const
    {50, 94, 990, 1, Smoke::mf_ctor|Smoke::mf_protected, 111, 2},	//870 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 139, 0, 0, Smoke::mf_const|Smoke::mf_protected, 295, 3},	//871 QSqlResult::at() const
    {50, 292, 0, 0, Smoke::mf_const|Smoke::mf_protected, 116, 4},	//872 QSqlResult::lastQuery() const
    {50, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected, 89, 5},	//873 QSqlResult::lastError() const
    {50, 286, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 6},	//874 QSqlResult::isValid() const
    {50, 264, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 7},	//875 QSqlResult::isActive() const
    {50, 285, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 8},	//876 QSqlResult::isSelect() const
    {50, 273, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 9},	//877 QSqlResult::isForwardOnly() const
    {50, 201, 0, 0, Smoke::mf_const|Smoke::mf_protected, 269, 10},	//878 QSqlResult::driver() const
    {50, 595, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//879 QSqlResult::setAt(int)
    {50, 593, 868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//880 QSqlResult::setActive(bool)
    {50, 633, 870, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//881 QSqlResult::setLastError(const QSqlError&)
    {50, 657, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//882 QSqlResult::setQuery(const QString&)
    {50, 671, 868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//883 QSqlResult::setSelect(bool)
    {50, 622, 868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//884 QSqlResult::setForwardOnly(bool)
    {50, 211, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 231, 17},	//885 QSqlResult::exec()
    {50, 379, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 231, 18},	//886 QSqlResult::prepare(const QString&)
    {50, 586, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 231, 19},	//887 QSqlResult::savePrepare(const QString&)
    {50, 147, 933, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//888 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 147, 929, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//889 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 128, 937, 2, Smoke::mf_protected, 0, 22},	//890 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 153, 640, 1, Smoke::mf_const|Smoke::mf_protected, 133, 23},	//891 QSqlResult::boundValue(const QString&) const
    {50, 153, 150, 1, Smoke::mf_const|Smoke::mf_protected, 133, 24},	//892 QSqlResult::boundValue(int) const
    {50, 150, 640, 1, Smoke::mf_const|Smoke::mf_protected, 30, 25},	//893 QSqlResult::bindValueType(const QString&) const
    {50, 150, 150, 1, Smoke::mf_const|Smoke::mf_protected, 30, 26},	//894 QSqlResult::bindValueType(int) const
    {50, 155, 0, 0, Smoke::mf_const|Smoke::mf_protected, 295, 27},	//895 QSqlResult::boundValueCount() const
    {50, 158, 0, 0, Smoke::mf_const|Smoke::mf_protected, 137, 28},	//896 QSqlResult::boundValues() const
    {50, 215, 0, 0, Smoke::mf_const|Smoke::mf_protected, 116, 29},	//897 QSqlResult::executedQuery() const
    {50, 156, 150, 1, Smoke::mf_const|Smoke::mf_protected, 116, 30},	//898 QSqlResult::boundValueName(int) const
    {50, 163, 0, 0, Smoke::mf_protected, 0, 31},	//899 QSqlResult::clear()
    {50, 241, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 32},	//900 QSqlResult::hasOutValues() const
    {50, 152, 0, 0, Smoke::mf_const|Smoke::mf_protected, 112, 33},	//901 QSqlResult::bindingSyntax() const
    {50, 185, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 34},	//902 QSqlResult::data(int) [pure virtual]
    {50, 280, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 35},	//903 QSqlResult::isNull(int) [pure virtual]
    {50, 575, 640, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 36},	//904 QSqlResult::reset(const QString&) [pure virtual]
    {50, 216, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 37},	//905 QSqlResult::fetch(int) [pure virtual]
    {50, 222, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 231, 38},	//906 QSqlResult::fetchNext()
    {50, 223, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 231, 39},	//907 QSqlResult::fetchPrevious()
    {50, 218, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 40},	//908 QSqlResult::fetchFirst() [pure virtual]
    {50, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 231, 41},	//909 QSqlResult::fetchLast() [pure virtual]
    {50, 686, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 295, 42},	//910 QSqlResult::size() [pure virtual]
    {50, 303, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 295, 43},	//911 QSqlResult::numRowsAffected() [pure virtual]
    {50, 554, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 105, 44},	//912 QSqlResult::record() const
    {50, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 133, 45},	//913 QSqlResult::lastInsertId() const
    {50, 731, 992, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//914 QSqlResult::virtual_hook(int, void*)
    {50, 213, 868, 1, Smoke::mf_protected, 231, 47},	//915 QSqlResult::execBatch(bool)
    {50, 198, 0, 0, Smoke::mf_protected, 0, 48},	//916 QSqlResult::detachFromResultSet()
    {50, 643, 826, 1, Smoke::mf_protected, 0, 49},	//917 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 305, 0, 0, Smoke::mf_const|Smoke::mf_protected, 76, 50},	//918 QSqlResult::numericalPrecisionPolicy() const
    {50, 300, 0, 0, Smoke::mf_protected, 231, 51},	//919 QSqlResult::nextResult()
    {50, 213, 0, 0, Smoke::mf_protected, 231, 52},	//920 QSqlResult::execBatch()
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 53},	//921 QSqlResult::PositionalBinding (enum)
    {50, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 54},	//922 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 55},	//923 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 56},	//924 QSqlResult::DetachFromResultSet (enum)
    {50, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 57},	//925 QSqlResult::SetNumericalPrecision (enum)
    {50, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 58},	//926 QSqlResult::NextResult (enum)
    {50, 746, 0, 0, Smoke::mf_dtor, 0, 59 },	//927 QSqlResult::~QSqlResult()
    {51, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 1},	//928 QSqlTableModel::metaObject() const
    {51, 541, 65, 1, Smoke::mf_virtual, 310, 2},	//929 QSqlTableModel::qt_metacast(const char*)
    {51, 711, 202, 2, Smoke::mf_static, 116, 3},	//930 QSqlTableModel::tr(const char*, const char*)
    {51, 715, 202, 2, Smoke::mf_static, 116, 4},	//931 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 711, 686, 3, Smoke::mf_static, 116, 5},	//932 QSqlTableModel::tr(const char*, const char*, int)
    {51, 715, 686, 3, Smoke::mf_static, 116, 6},	//933 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 539, 842, 3, Smoke::mf_virtual, 295, 7},	//934 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 96, 978, 2, Smoke::mf_ctor, 114, 8},	//935 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 591, 0, 0, Smoke::mf_virtual, 231, 9},	//936 QSqlTableModel::select()
    {51, 677, 640, 1, Smoke::mf_virtual, 0, 10},	//937 QSqlTableModel::setTable(const QString&)
    {51, 706, 0, 0, Smoke::mf_const, 116, 11},	//938 QSqlTableModel::tableName() const
    {51, 233, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 12},	//939 QSqlTableModel::flags(const QModelIndex&) const
    {51, 185, 946, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 13},	//940 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 603, 1, 3, Smoke::mf_virtual, 231, 14},	//941 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 242, 949, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 15},	//942 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 268, 5, 1, Smoke::mf_const, 231, 16},	//943 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 163, 0, 0, Smoke::mf_virtual, 0, 17},	//944 QSqlTableModel::clear()
    {51, 618, 995, 1, Smoke::mf_virtual, 0, 18},	//945 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 206, 0, 0, Smoke::mf_const, 115, 19},	//946 QSqlTableModel::editStrategy() const
    {51, 384, 0, 0, Smoke::mf_const, 97, 20},	//947 QSqlTableModel::primaryKey() const
    {51, 189, 0, 0, Smoke::mf_const, 79, 21},	//948 QSqlTableModel::database() const
    {51, 226, 640, 1, Smoke::mf_const, 295, 22},	//949 QSqlTableModel::fieldIndex(const QString&) const
    {51, 687, 16, 2, Smoke::mf_virtual, 0, 23},	//950 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 673, 16, 2, Smoke::mf_virtual, 0, 24},	//951 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 230, 0, 0, Smoke::mf_const, 116, 25},	//952 QSqlTableModel::filter() const
    {51, 620, 640, 1, Smoke::mf_virtual, 0, 26},	//953 QSqlTableModel::setFilter(const QString&)
    {51, 584, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 295, 27},	//954 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 564, 12, 3, Smoke::mf_virtual, 231, 28},	//955 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 569, 12, 3, Smoke::mf_virtual, 231, 29},	//956 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 261, 12, 3, Smoke::mf_virtual, 231, 30},	//957 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 257, 984, 2, 0, 231, 31},	//958 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 663, 984, 2, 0, 231, 32},	//959 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 580, 150, 1, Smoke::mf_virtual, 0, 33},	//960 QSqlTableModel::revertRow(int)
    {51, 697, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 231, 34},	//961 QSqlTableModel::submit()
    {51, 578, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//962 QSqlTableModel::revert()
    {51, 698, 0, 0, Smoke::mf_slot, 231, 36},	//963 QSqlTableModel::submitAll()
    {51, 579, 0, 0, Smoke::mf_slot, 0, 37},	//964 QSqlTableModel::revertAll()
    {51, 385, 997, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//965 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 142, 1000, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//966 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 144, 997, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//967 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 140, 150, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//968 QSqlTableModel::beforeDelete(int)
    {51, 726, 984, 2, Smoke::mf_protected|Smoke::mf_virtual, 231, 42},	//969 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 259, 971, 1, Smoke::mf_protected|Smoke::mf_virtual, 231, 43},	//970 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 196, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 231, 44},	//971 QSqlTableModel::deleteRowFromTable(int)
    {51, 375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 45},	//972 QSqlTableModel::orderByClause() const
    {51, 592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 46},	//973 QSqlTableModel::selectStatement() const
    {51, 655, 913, 1, Smoke::mf_protected, 0, 47},	//974 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 657, 925, 1, Smoke::mf_protected, 0, 48},	//975 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 248, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 49},	//976 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 711, 65, 1, Smoke::mf_static, 116, 50},	//977 QSqlTableModel::tr(const char*)
    {51, 715, 65, 1, Smoke::mf_static, 116, 51},	//978 QSqlTableModel::trUtf8(const char*)
    {51, 96, 0, 0, Smoke::mf_ctor, 114, 52},	//979 QSqlTableModel::QSqlTableModel()
    {51, 96, 846, 1, Smoke::mf_ctor, 114, 53},	//980 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 185, 5, 1, Smoke::mf_const, 133, 54},	//981 QSqlTableModel::data(const QModelIndex&) const
    {51, 603, 987, 2, 0, 231, 55},	//982 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 242, 961, 2, Smoke::mf_const, 133, 56},	//983 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 584, 0, 0, Smoke::mf_const, 295, 57},	//984 QSqlTableModel::rowCount() const
    {51, 564, 968, 2, 0, 231, 58},	//985 QSqlTableModel::removeColumns(int, int)
    {51, 569, 968, 2, 0, 231, 59},	//986 QSqlTableModel::removeRows(int, int)
    {51, 261, 968, 2, 0, 231, 60},	//987 QSqlTableModel::insertRows(int, int)
    {51, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 250, 61},	//988 QSqlTableModel::staticMetaObject() const
    {51, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 62},	//989 QSqlTableModel::OnFieldChange (enum)
    {51, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 63},	//990 QSqlTableModel::OnRowChange (enum)
    {51, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 64},	//991 QSqlTableModel::OnManualSubmit (enum)
    {51, 747, 0, 0, Smoke::mf_dtor, 0, 65 },	//992 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    888,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    889,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    893,  // QSqlResult::bindValueType(const QString&) const
    894,  // QSqlResult::bindValueType(int) const
    0,
    891,  // QSqlResult::boundValue(const QString&) const
    892,  // QSqlResult::boundValue(int) const
    0,
    814,  // QSqlRecord::field(int) const
    815,  // QSqlRecord::field(const QString&) const
    0,
    816,  // QSqlRecord::isGenerated(int) const
    817,  // QSqlRecord::isGenerated(const QString&) const
    0,
    810,  // QSqlRecord::isNull(int) const
    811,  // QSqlRecord::isNull(const QString&) const
    0,
    818,  // QSqlRecord::setGenerated(const QString&, bool)
    819,  // QSqlRecord::setGenerated(int, bool)
    0,
    808,  // QSqlRecord::setNull(int)
    809,  // QSqlRecord::setNull(const QString&)
    0,
    806,  // QSqlRecord::setValue(int, const QVariant&)
    807,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    804,  // QSqlRecord::value(int) const
    805,  // QSqlRecord::value(const QString&) const
    0,
    48,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    55,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    59,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    69,  // QGlobalSpace::operator!=(QChar, QChar)
    93,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    100,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    114,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    115,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    143,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    157,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    171,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    185,  // QGlobalSpace::operator!=(QBool, QBool)
    195,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    226,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    263,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    387,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    220,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    246,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    324,  // QGlobalSpace::operator!=(QBool, bool)
    345,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    414,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    49,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    95,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    187,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    248,  // QGlobalSpace::operator!=(bool, QBool)
    258,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    361,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    31,  // QGlobalSpace::operator*(const QSizeF&, double)
    107,  // QGlobalSpace::operator*(const QPointF&, double)
    208,  // QGlobalSpace::operator*(const QSize&, double)
    336,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    158,  // QGlobalSpace::operator*(double, const QSize&)
    277,  // QGlobalSpace::operator*(double, const QPointF&)
    344,  // QGlobalSpace::operator*(double, const QPoint&)
    396,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    51,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    273,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    303,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    343,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    425,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    42,  // QGlobalSpace::operator+(QChar, const QString&)
    253,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    274,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    298,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    50,  // QGlobalSpace::operator+(const QString&, QChar)
    94,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    294,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    312,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    168,  // QGlobalSpace::operator+(const char*, const QString&)
    186,  // QGlobalSpace::operator+(const QString&, char)
    313,  // QGlobalSpace::operator+(const QString&, const char*)
    323,  // QGlobalSpace::operator+(const QString&, const QString&)
    421,  // QGlobalSpace::operator+(char, const QString&)
    0,
    164,  // QGlobalSpace::operator-(const QPointF&)
    179,  // QGlobalSpace::operator-(const QPoint&)
    0,
    74,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    211,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    356,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    370,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    173,  // QGlobalSpace::operator/(const QSizeF&, double)
    191,  // QGlobalSpace::operator/(const QPointF&, double)
    216,  // QGlobalSpace::operator/(const QPoint&, double)
    357,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    184,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    317,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    367,  // QGlobalSpace::operator<(QChar, QChar)
    395,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    101,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    247,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    32,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    43,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    56,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    58,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    71,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    75,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    108,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    127,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    128,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    129,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    141,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    156,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    170,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    175,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    178,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    196,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    205,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    210,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    229,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    245,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    262,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    271,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    279,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    280,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    287,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    289,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    293,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    302,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    337,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    347,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    351,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    380,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    384,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    398,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    422,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    426,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    0,
    39,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    79,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    120,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    255,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    408,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    45,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    46,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    106,  // QGlobalSpace::operator<=(QChar, QChar)
    116,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    152,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    169,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    38,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    40,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    62,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    109,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    113,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    134,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    189,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    230,  // QGlobalSpace::operator==(QBool, QBool)
    252,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    267,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    290,  // QGlobalSpace::operator==(QChar, QChar)
    308,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    325,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    348,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    400,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    403,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    197,  // QGlobalSpace::operator==(QString::Null, const QString&)
    241,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    332,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    409,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    413,  // QGlobalSpace::operator==(QBool, bool)
    0,
    81,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    138,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    147,  // QGlobalSpace::operator==(const QString&, QString::Null)
    224,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    235,  // QGlobalSpace::operator==(bool, QBool)
    269,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    92,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    130,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    172,  // QGlobalSpace::operator>(QChar, QChar)
    288,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    125,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    135,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    104,  // QGlobalSpace::operator>=(QChar, QChar)
    131,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    183,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    397,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    24,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    358,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    22,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    25,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    36,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    54,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    65,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    72,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    111,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    121,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    155,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    203,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    207,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    213,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    238,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    285,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    340,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    227,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    377,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    20,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    23,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    27,  // QGlobalSpace::operator|(Qt::WindowType, int)
    37,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    57,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    67,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    73,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    83,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    85,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    89,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    97,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    105,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    110,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    122,  // QGlobalSpace::operator|(Qt::DropAction, int)
    124,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    133,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    139,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    140,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    142,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    145,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    146,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    148,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    150,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    153,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    154,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    159,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    162,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    165,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    167,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    174,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    182,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    193,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    201,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    202,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    212,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    214,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    222,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    225,  // QGlobalSpace::operator|(Qt::WindowState, int)
    234,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    236,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    244,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    250,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    254,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    256,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    260,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    266,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    268,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    272,  // QGlobalSpace::operator|(QFile::Permission, int)
    286,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    296,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    297,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    299,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    301,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    305,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    307,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    310,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    314,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    315,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    316,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    321,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    329,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    335,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    342,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    349,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    353,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    354,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    359,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    360,  // QGlobalSpace::operator|(QDir::Filter, int)
    365,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    368,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    369,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    374,  // QGlobalSpace::operator|(Qt::Orientation, int)
    375,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    381,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    383,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    385,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    388,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    392,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    393,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    394,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    402,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    404,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    405,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    407,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    410,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    411,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    419,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    420,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    424,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    427,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    151,  // QGlobalSpace::qFuzzyCompare(double, double)
    204,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    237,  // QGlobalSpace::qFuzzyIsNull(double)
    378,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    96,  // QGlobalSpace::qHash(const QBitArray&)
    243,  // QGlobalSpace::qHash(QChar)
    284,  // QGlobalSpace::qHash(const QStringRef&)
    341,  // QGlobalSpace::qHash(const QUrl&)
    382,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    399,  // QGlobalSpace::qHash(const QByteArray&)
    401,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    29,  // QGlobalSpace::qHash(unsigned int)
    30,  // QGlobalSpace::qHash(char)
    60,  // QGlobalSpace::qHash(unsigned char)
    80,  // QGlobalSpace::qHash(short)
    88,  // QGlobalSpace::qHash(long)
    137,  // QGlobalSpace::qHash(unsigned short)
    221,  // QGlobalSpace::qHash(int)
    265,  // QGlobalSpace::qHash(signed char)
    322,  // QGlobalSpace::qHash(const QString&)
    364,  // QGlobalSpace::qHash(unsigned long)
    0,
    161,  // QGlobalSpace::qHash(long long)
    188,  // QGlobalSpace::qHash(unsigned long long)
    0,
    132,  // QGlobalSpace::qIntCast(float)
    192,  // QGlobalSpace::qIntCast(double)
    0,
    84,  // QGlobalSpace::qIsFinite(double)
    423,  // QGlobalSpace::qIsFinite(float)
    0,
    166,  // QGlobalSpace::qIsInf(float)
    355,  // QGlobalSpace::qIsInf(double)
    0,
    327,  // QGlobalSpace::qIsNaN(float)
    334,  // QGlobalSpace::qIsNaN(double)
    0,
    66,  // QGlobalSpace::qIsNull(float)
    372,  // QGlobalSpace::qIsNull(double)
    0,
    705,  // QSqlQuery::QSqlQuery(QSqlResult*)
    707,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    708,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    751,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    752,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    737,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    738,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    740,  // QSqlQuery::boundValue(const QString&) const
    741,  // QSqlQuery::boundValue(int) const
    0,
    479,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    523,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 19, 440},	// QGlobalSpace::LicensedActiveQt
    {16, 20, 446},	// QGlobalSpace::LicensedCore
    {16, 21, 438},	// QGlobalSpace::LicensedDBus
    {16, 22, 443},	// QGlobalSpace::LicensedDeclarative
    {16, 23, 433},	// QGlobalSpace::LicensedGui
    {16, 24, 452},	// QGlobalSpace::LicensedHelp
    {16, 25, 453},	// QGlobalSpace::LicensedMultimedia
    {16, 26, 456},	// QGlobalSpace::LicensedNetwork
    {16, 27, 445},	// QGlobalSpace::LicensedOpenGL
    {16, 28, 437},	// QGlobalSpace::LicensedOpenVG
    {16, 29, 454},	// QGlobalSpace::LicensedQt3Support
    {16, 30, 435},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 31, 436},	// QGlobalSpace::LicensedScript
    {16, 32, 441},	// QGlobalSpace::LicensedScriptTools
    {16, 33, 444},	// QGlobalSpace::LicensedSql
    {16, 34, 442},	// QGlobalSpace::LicensedSvg
    {16, 35, 439},	// QGlobalSpace::LicensedTest
    {16, 36, 434},	// QGlobalSpace::LicensedXml
    {16, 37, 455},	// QGlobalSpace::LicensedXmlPatterns
    {16, 99, 428},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 100, 432},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 101, 431},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 102, 429},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 103, 430},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 104, 449},	// QGlobalSpace::QtCriticalMsg
    {16, 105, 447},	// QGlobalSpace::QtDebugMsg
    {16, 106, 450},	// QGlobalSpace::QtFatalMsg
    {16, 107, 451},	// QGlobalSpace::QtSystemMsg
    {16, 108, 448},	// QGlobalSpace::QtWarningMsg
    {16, 315, -31},	// QGlobalSpace::operator!=##
    {16, 316, -48},	// QGlobalSpace::operator!=#$
    {16, 317, -54},	// QGlobalSpace::operator!=$#
    {16, 318, 389},	// QGlobalSpace::operator!=$$
    {16, 320, 177},	// QGlobalSpace::operator&##
    {16, 322, -61},	// QGlobalSpace::operator*#$
    {16, 323, -66},	// QGlobalSpace::operator*$#
    {16, 325, -71},	// QGlobalSpace::operator+##
    {16, 326, -77},	// QGlobalSpace::operator+#$
    {16, 327, -82},	// QGlobalSpace::operator+$#
    {16, 328, -87},	// QGlobalSpace::operator+$$
    {16, 330, -93},	// QGlobalSpace::operator-#
    {16, 331, -96},	// QGlobalSpace::operator-##
    {16, 333, -101},	// QGlobalSpace::operator/#$
    {16, 335, -106},	// QGlobalSpace::operator<##
    {16, 336, 34},	// QGlobalSpace::operator<#$
    {16, 337, -111},	// QGlobalSpace::operator<$#
    {16, 338, 240},	// QGlobalSpace::operator<$$
    {16, 340, -114},	// QGlobalSpace::operator<<##
    {16, 341, -160},	// QGlobalSpace::operator<<#$
    {16, 342, 326},	// QGlobalSpace::operator<<#?
    {16, 344, -166},	// QGlobalSpace::operator<=##
    {16, 345, 198},	// QGlobalSpace::operator<=#$
    {16, 346, -171},	// QGlobalSpace::operator<=$#
    {16, 347, 163},	// QGlobalSpace::operator<=$$
    {16, 352, -174},	// QGlobalSpace::operator==##
    {16, 353, -192},	// QGlobalSpace::operator==#$
    {16, 354, -198},	// QGlobalSpace::operator==$#
    {16, 355, 304},	// QGlobalSpace::operator==$$
    {16, 357, -205},	// QGlobalSpace::operator>##
    {16, 358, 386},	// QGlobalSpace::operator>#$
    {16, 359, -210},	// QGlobalSpace::operator>$#
    {16, 360, 35},	// QGlobalSpace::operator>$$
    {16, 362, -213},	// QGlobalSpace::operator>=##
    {16, 363, 180},	// QGlobalSpace::operator>=#$
    {16, 364, -218},	// QGlobalSpace::operator>=$#
    {16, 365, 333},	// QGlobalSpace::operator>=$$
    {16, 367, -221},	// QGlobalSpace::operator>>##
    {16, 368, -243},	// QGlobalSpace::operator>>#$
    {16, 369, 270},	// QGlobalSpace::operator>>#?
    {16, 371, 415},	// QGlobalSpace::operator^##
    {16, 373, 99},	// QGlobalSpace::operator|##
    {16, 374, -246},	// QGlobalSpace::operator|$$
    {16, 388, 21},	// QGlobalSpace::qAcos$
    {16, 390, 275},	// QGlobalSpace::qAddPostRoutine$
    {16, 391, 26},	// QGlobalSpace::qAppName
    {16, 393, 416},	// QGlobalSpace::qAsin$
    {16, 395, 102},	// QGlobalSpace::qAtan$
    {16, 397, 78},	// QGlobalSpace::qAtan2$$
    {16, 398, 418},	// QGlobalSpace::qBadAlloc
    {16, 400, 264},	// QGlobalSpace::qCeil$
    {16, 402, 206},	// QGlobalSpace::qChecksum$$
    {16, 404, 119},	// QGlobalSpace::qCompress#
    {16, 405, 118},	// QGlobalSpace::qCompress#$
    {16, 406, 319},	// QGlobalSpace::qCompress$$
    {16, 407, 318},	// QGlobalSpace::qCompress$$$
    {16, 409, 291},	// QGlobalSpace::qCos$
    {16, 410, 215},	// QGlobalSpace::qCritical
    {16, 411, 160},	// QGlobalSpace::qDebug
    {16, 413, 232},	// QGlobalSpace::qExp$
    {16, 415, 136},	// QGlobalSpace::qFabs$
    {16, 417, 199},	// QGlobalSpace::qFastCos$
    {16, 419, 41},	// QGlobalSpace::qFastSin$
    {16, 421, 190},	// QGlobalSpace::qFlagLocation$
    {16, 423, 320},	// QGlobalSpace::qFloor$
    {16, 425, 331},	// QGlobalSpace::qFree$
    {16, 427, 406},	// QGlobalSpace::qFreeAligned$
    {16, 429, -337},	// QGlobalSpace::qFuzzyCompare$$
    {16, 431, -340},	// QGlobalSpace::qFuzzyIsNull$
    {16, 433, -343},	// QGlobalSpace::qHash#
    {16, 434, -351},	// QGlobalSpace::qHash$
    {16, 435, -362},	// QGlobalSpace::qHash?
    {16, 436, 282},	// QGlobalSpace::qInf
    {16, 438, 209},	// QGlobalSpace::qInstallMsgHandler$
    {16, 440, -365},	// QGlobalSpace::qIntCast$
    {16, 442, -368},	// QGlobalSpace::qIsFinite$
    {16, 444, -371},	// QGlobalSpace::qIsInf$
    {16, 446, -374},	// QGlobalSpace::qIsNaN$
    {16, 448, -377},	// QGlobalSpace::qIsNull$
    {16, 450, 412},	// QGlobalSpace::qLn$
    {16, 452, 371},	// QGlobalSpace::qMalloc?
    {16, 454, 292},	// QGlobalSpace::qMallocAligned??
    {16, 456, 330},	// QGlobalSpace::qMemCopy$$?
    {16, 458, 261},	// QGlobalSpace::qMemSet$$?
    {16, 460, 217},	// QGlobalSpace::qPow$$
    {16, 461, 68},	// QGlobalSpace::qQNaN
    {16, 463, 144},	// QGlobalSpace::qRealloc$?
    {16, 465, 123},	// QGlobalSpace::qReallocAligned$???
    {16, 467, 276},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 469, 200},	// QGlobalSpace::qRemovePostRoutine$
    {16, 471, 19},	// QGlobalSpace::qRound$
    {16, 473, 363},	// QGlobalSpace::qRound64$
    {16, 474, 366},	// QGlobalSpace::qSNaN
    {16, 476, 390},	// QGlobalSpace::qSetFieldWidth$
    {16, 478, 70},	// QGlobalSpace::qSetPadChar#
    {16, 480, 338},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 481, 278},	// QGlobalSpace::qSharedBuild
    {16, 483, 346},	// QGlobalSpace::qSin$
    {16, 485, 126},	// QGlobalSpace::qSqrt$
    {16, 487, 309},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 488, 391},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 490, 362},	// QGlobalSpace::qTan$
    {16, 492, 194},	// QGlobalSpace::qUncompress#
    {16, 493, 117},	// QGlobalSpace::qUncompress$$
    {16, 494, 300},	// QGlobalSpace::qVersion
    {16, 495, 149},	// QGlobalSpace::qWarning
    {16, 497, 242},	// QGlobalSpace::qbswap_helper$$$
    {16, 499, 33},	// QGlobalSpace::qgetenv$
    {16, 501, 373},	// QGlobalSpace::qputenv$#
    {16, 502, 339},	// QGlobalSpace::qrand
    {16, 504, 251},	// QGlobalSpace::qsrand$
    {16, 506, 176},	// QGlobalSpace::qstrcmp##
    {16, 507, 86},	// QGlobalSpace::qstrcmp#$
    {16, 508, 103},	// QGlobalSpace::qstrcmp$#
    {16, 509, 90},	// QGlobalSpace::qstrcmp$$
    {16, 511, 98},	// QGlobalSpace::qstrcpy$$
    {16, 513, 87},	// QGlobalSpace::qstrdup$
    {16, 515, 259},	// QGlobalSpace::qstricmp$$
    {16, 517, 352},	// QGlobalSpace::qstrlen$
    {16, 519, 44},	// QGlobalSpace::qstrncmp$$$
    {16, 521, 28},	// QGlobalSpace::qstrncpy$$$
    {16, 523, 283},	// QGlobalSpace::qstrnicmp$$$
    {16, 525, 52},	// QGlobalSpace::qstrnlen$$
    {16, 527, 77},	// QGlobalSpace::qtTrId$
    {16, 528, 76},	// QGlobalSpace::qtTrId$$
    {16, 530, 350},	// QGlobalSpace::qt_assert$$$
    {16, 532, 295},	// QGlobalSpace::qt_assert_x$$$$
    {16, 534, 112},	// QGlobalSpace::qt_check_pointer$$
    {16, 535, 64},	// QGlobalSpace::qt_error_string
    {16, 536, 63},	// QGlobalSpace::qt_error_string$
    {16, 538, 249},	// QGlobalSpace::qt_message_output$$
    {16, 543, 223},	// QGlobalSpace::qt_noop
    {16, 545, 228},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 547, 61},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 551, 239},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 553, 47},	// QGlobalSpace::qvsnprintf$?$?
    {36, 1, 477},	// QSql::AfterLastRow
    {36, 2, 475},	// QSql::AllTables
    {36, 6, 476},	// QSql::BeforeFirstRow
    {36, 7, 467},	// QSql::Binary
    {36, 14, 471},	// QSql::HighPrecision
    {36, 15, 464},	// QSql::In
    {36, 16, 466},	// QSql::InOut
    {36, 38, 470},	// QSql::LowPrecisionDouble
    {36, 39, 468},	// QSql::LowPrecisionInt32
    {36, 40, 469},	// QSql::LowPrecisionInt64
    {36, 51, 465},	// QSql::Out
    {36, 115, 473},	// QSql::SystemTables
    {36, 117, 472},	// QSql::Tables
    {36, 126, 474},	// QSql::Views
    {37, 55, 478},	// QSqlDatabase::QSqlDatabase
    {37, 56, -393},	// QSqlDatabase::QSqlDatabase#
    {37, 57, 522},	// QSqlDatabase::QSqlDatabase$
    {37, 132, 528},	// QSqlDatabase::addDatabase#
    {37, 133, 513},	// QSqlDatabase::addDatabase#$
    {37, 134, 527},	// QSqlDatabase::addDatabase$
    {37, 135, 512},	// QSqlDatabase::addDatabase$$
    {37, 166, 514},	// QSqlDatabase::cloneDatabase#$
    {37, 167, 483},	// QSqlDatabase::close
    {37, 170, 493},	// QSqlDatabase::commit
    {37, 173, 507},	// QSqlDatabase::connectOptions
    {37, 174, 508},	// QSqlDatabase::connectionName
    {37, 175, 519},	// QSqlDatabase::connectionNames
    {37, 176, 531},	// QSqlDatabase::contains
    {37, 177, 517},	// QSqlDatabase::contains$
    {37, 189, 529},	// QSqlDatabase::database
    {37, 190, 530},	// QSqlDatabase::database$
    {37, 191, 515},	// QSqlDatabase::database$$
    {37, 192, 501},	// QSqlDatabase::databaseName
    {37, 194, 532},	// QSqlDatabase::defaultConnection
    {37, 201, 511},	// QSqlDatabase::driver
    {37, 202, 505},	// QSqlDatabase::driverName
    {37, 204, 518},	// QSqlDatabase::drivers
    {37, 211, 525},	// QSqlDatabase::exec
    {37, 212, 489},	// QSqlDatabase::exec$
    {37, 245, 504},	// QSqlDatabase::hostName
    {37, 271, 521},	// QSqlDatabase::isDriverAvailable$
    {37, 282, 484},	// QSqlDatabase::isOpen
    {37, 283, 485},	// QSqlDatabase::isOpenError
    {37, 286, 491},	// QSqlDatabase::isValid
    {37, 290, 490},	// QSqlDatabase::lastError
    {37, 305, 510},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 306, 481},	// QSqlDatabase::open
    {37, 308, 482},	// QSqlDatabase::open$$
    {37, 349, 480},	// QSqlDatabase::operator=#
    {37, 376, 503},	// QSqlDatabase::password
    {37, 377, 506},	// QSqlDatabase::port
    {37, 383, 487},	// QSqlDatabase::primaryIndex$
    {37, 555, 488},	// QSqlDatabase::record$
    {37, 557, 520},	// QSqlDatabase::registerSqlDriver$#
    {37, 568, 516},	// QSqlDatabase::removeDatabase$
    {37, 582, 494},	// QSqlDatabase::rollback
    {37, 599, 526},	// QSqlDatabase::setConnectOptions
    {37, 600, 500},	// QSqlDatabase::setConnectOptions$
    {37, 607, 495},	// QSqlDatabase::setDatabaseName$
    {37, 611, 533},	// QSqlDatabase::setDefaultConnection$
    {37, 631, 498},	// QSqlDatabase::setHostName$
    {37, 644, 509},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 650, 497},	// QSqlDatabase::setPassword$
    {37, 652, 499},	// QSqlDatabase::setPort$
    {37, 682, 496},	// QSqlDatabase::setUserName$
    {37, 707, 524},	// QSqlDatabase::tables
    {37, 708, 486},	// QSqlDatabase::tables$
    {37, 719, 492},	// QSqlDatabase::transaction
    {37, 728, 502},	// QSqlDatabase::userName
    {37, 733, 534},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 588},	// QSqlDriver::BLOB
    {38, 5, 594},	// QSqlDriver::BatchOperations
    {38, 9, 604},	// QSqlDriver::DeleteStatement
    {38, 11, 597},	// QSqlDriver::EventNotifications
    {38, 12, 605},	// QSqlDriver::FieldName
    {38, 13, 598},	// QSqlDriver::FinishQuery
    {38, 17, 603},	// QSqlDriver::InsertStatement
    {38, 18, 593},	// QSqlDriver::LastInsertId
    {38, 41, 596},	// QSqlDriver::LowPrecisionNumbers
    {38, 42, 599},	// QSqlDriver::MultipleResultSets
    {38, 44, 591},	// QSqlDriver::NamedPlaceholders
    {38, 53, 592},	// QSqlDriver::PositionalPlaceholders
    {38, 54, 590},	// QSqlDriver::PreparedQueries
    {38, 58, 578},	// QSqlDriver::QSqlDriver
    {38, 59, 542},	// QSqlDriver::QSqlDriver#
    {38, 109, 587},	// QSqlDriver::QuerySize
    {38, 111, 601},	// QSqlDriver::SelectStatement
    {38, 113, 595},	// QSqlDriver::SimpleLocking
    {38, 116, 606},	// QSqlDriver::TableName
    {38, 119, 586},	// QSqlDriver::Transactions
    {38, 120, 589},	// QSqlDriver::Unicode
    {38, 123, 602},	// QSqlDriver::UpdateStatement
    {38, 127, 600},	// QSqlDriver::WhereStatement
    {38, 146, 545},	// QSqlDriver::beginTransaction
    {38, 167, 557},	// QSqlDriver::close
    {38, 171, 546},	// QSqlDriver::commitTransaction
    {38, 182, 558},	// QSqlDriver::createResult
    {38, 208, 552},	// QSqlDriver::escapeIdentifier$$
    {38, 236, 579},	// QSqlDriver::formatValue#
    {38, 237, 551},	// QSqlDriver::formatValue#$
    {38, 238, 555},	// QSqlDriver::handle
    {38, 240, 556},	// QSqlDriver::hasFeature$
    {38, 277, 563},	// QSqlDriver::isIdentifierEscaped$$
    {38, 279, 574},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 282, 543},	// QSqlDriver::isOpen
    {38, 283, 544},	// QSqlDriver::isOpenError
    {38, 290, 554},	// QSqlDriver::lastError
    {38, 295, 535},	// QSqlDriver::metaObject
    {38, 302, 567},	// QSqlDriver::notification$
    {38, 305, 566},	// QSqlDriver::numericalPrecisionPolicy
    {38, 307, 580},	// QSqlDriver::open$
    {38, 308, 581},	// QSqlDriver::open$$
    {38, 309, 582},	// QSqlDriver::open$$$
    {38, 310, 583},	// QSqlDriver::open$$$$
    {38, 311, 584},	// QSqlDriver::open$$$$$
    {38, 312, 559},	// QSqlDriver::open$$$$$$
    {38, 383, 549},	// QSqlDriver::primaryIndex$
    {38, 540, 541},	// QSqlDriver::qt_metacall$$?
    {38, 542, 536},	// QSqlDriver::qt_metacast$
    {38, 555, 550},	// QSqlDriver::record$
    {38, 583, 547},	// QSqlDriver::rollbackTransaction
    {38, 634, 570},	// QSqlDriver::setLastError#
    {38, 644, 565},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 646, 568},	// QSqlDriver::setOpen$
    {38, 648, 569},	// QSqlDriver::setOpenError$
    {38, 691, 553},	// QSqlDriver::sqlStatement$$#$
    {38, 692, 585},	// QSqlDriver::staticMetaObject
    {38, 694, 564},	// QSqlDriver::stripDelimiters$$
    {38, 696, 575},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 700, 560},	// QSqlDriver::subscribeToNotification$
    {38, 702, 571},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 703, 562},	// QSqlDriver::subscribedToNotifications
    {38, 704, 573},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 708, 548},	// QSqlDriver::tables$
    {38, 712, 576},	// QSqlDriver::tr$
    {38, 713, 537},	// QSqlDriver::tr$$
    {38, 714, 539},	// QSqlDriver::tr$$$
    {38, 716, 577},	// QSqlDriver::trUtf8$
    {38, 717, 538},	// QSqlDriver::trUtf8$$
    {38, 718, 540},	// QSqlDriver::trUtf8$$$
    {38, 723, 561},	// QSqlDriver::unsubscribeFromNotification$
    {38, 725, 572},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 734, 607},	// QSqlDriver::~QSqlDriver
    {39, 60, 609},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 61, 610},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 181, 608},	// QSqlDriverCreatorBase::createObject
    {39, 735, 611},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 62, 613},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 63, 614},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 180, 612},	// QSqlDriverFactoryInterface::create$
    {40, 736, 615},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 64, 628},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 65, 623},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 180, 625},	// QSqlDriverPlugin::create$
    {41, 288, 624},	// QSqlDriverPlugin::keys
    {41, 295, 616},	// QSqlDriverPlugin::metaObject
    {41, 540, 622},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 542, 617},	// QSqlDriverPlugin::qt_metacast$
    {41, 692, 629},	// QSqlDriverPlugin::staticMetaObject
    {41, 712, 626},	// QSqlDriverPlugin::tr$
    {41, 713, 618},	// QSqlDriverPlugin::tr$$
    {41, 714, 620},	// QSqlDriverPlugin::tr$$$
    {41, 716, 627},	// QSqlDriverPlugin::trUtf8$
    {41, 717, 619},	// QSqlDriverPlugin::trUtf8$$
    {41, 718, 621},	// QSqlDriverPlugin::trUtf8$$$
    {41, 737, 630},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 649},	// QSqlError::ConnectionError
    {42, 46, 648},	// QSqlError::NoError
    {42, 66, 644},	// QSqlError::QSqlError
    {42, 67, 632},	// QSqlError::QSqlError#
    {42, 68, 645},	// QSqlError::QSqlError$
    {42, 69, 646},	// QSqlError::QSqlError$$
    {42, 70, 647},	// QSqlError::QSqlError$$$
    {42, 71, 631},	// QSqlError::QSqlError$$$$
    {42, 114, 650},	// QSqlError::StatementError
    {42, 118, 651},	// QSqlError::TransactionError
    {42, 122, 652},	// QSqlError::UnknownError
    {42, 193, 636},	// QSqlError::databaseText
    {42, 203, 634},	// QSqlError::driverText
    {42, 286, 643},	// QSqlError::isValid
    {42, 304, 640},	// QSqlError::number
    {42, 349, 633},	// QSqlError::operator=#
    {42, 609, 637},	// QSqlError::setDatabaseText$
    {42, 617, 635},	// QSqlError::setDriverText$
    {42, 642, 641},	// QSqlError::setNumber$
    {42, 680, 639},	// QSqlError::setType$
    {42, 709, 642},	// QSqlError::text
    {42, 720, 638},	// QSqlError::type
    {42, 738, 653},	// QSqlError::~QSqlError
    {43, 50, 688},	// QSqlField::Optional
    {43, 72, 685},	// QSqlField::QSqlField
    {43, 73, 655},	// QSqlField::QSqlField#
    {43, 74, 686},	// QSqlField::QSqlField$
    {43, 75, 654},	// QSqlField::QSqlField$$
    {43, 110, 689},	// QSqlField::Required
    {43, 121, 687},	// QSqlField::Unknown
    {43, 163, 666},	// QSqlField::clear
    {43, 195, 681},	// QSqlField::defaultValue
    {43, 265, 668},	// QSqlField::isAutoValue
    {43, 274, 683},	// QSqlField::isGenerated
    {43, 280, 663},	// QSqlField::isNull
    {43, 284, 665},	// QSqlField::isReadOnly
    {43, 286, 684},	// QSqlField::isValid
    {43, 293, 679},	// QSqlField::length
    {43, 298, 662},	// QSqlField::name
    {43, 314, 658},	// QSqlField::operator!=#
    {43, 349, 656},	// QSqlField::operator=#
    {43, 351, 657},	// QSqlField::operator==#
    {43, 378, 680},	// QSqlField::precision
    {43, 574, 678},	// QSqlField::requiredStatus
    {43, 598, 677},	// QSqlField::setAutoValue$
    {43, 613, 674},	// QSqlField::setDefaultValue#
    {43, 625, 676},	// QSqlField::setGenerated$
    {43, 636, 672},	// QSqlField::setLength$
    {43, 638, 661},	// QSqlField::setName$
    {43, 654, 673},	// QSqlField::setPrecision$
    {43, 662, 664},	// QSqlField::setReadOnly$
    {43, 668, 671},	// QSqlField::setRequired$
    {43, 670, 670},	// QSqlField::setRequiredStatus$
    {43, 676, 675},	// QSqlField::setSqlType$
    {43, 680, 669},	// QSqlField::setType$
    {43, 684, 659},	// QSqlField::setValue#
    {43, 720, 667},	// QSqlField::type
    {43, 721, 682},	// QSqlField::typeID
    {43, 729, 660},	// QSqlField::value
    {43, 739, 690},	// QSqlField::~QSqlField
    {44, 76, 702},	// QSqlIndex::QSqlIndex
    {44, 77, 692},	// QSqlIndex::QSqlIndex#
    {44, 78, 703},	// QSqlIndex::QSqlIndex$
    {44, 79, 691},	// QSqlIndex::QSqlIndex$$
    {44, 137, 698},	// QSqlIndex::append#
    {44, 138, 699},	// QSqlIndex::append#$
    {44, 183, 695},	// QSqlIndex::cursorName
    {44, 267, 700},	// QSqlIndex::isDescending$
    {44, 298, 697},	// QSqlIndex::name
    {44, 349, 693},	// QSqlIndex::operator=#
    {44, 602, 694},	// QSqlIndex::setCursorName$
    {44, 615, 701},	// QSqlIndex::setDescending$$
    {44, 638, 696},	// QSqlIndex::setName$
    {44, 740, 704},	// QSqlIndex::~QSqlIndex
    {45, 80, 747},	// QSqlQuery::QSqlQuery
    {45, 81, -380},	// QSqlQuery::QSqlQuery#
    {45, 82, 748},	// QSqlQuery::QSqlQuery$
    {45, 83, 706},	// QSqlQuery::QSqlQuery$#
    {45, 124, 755},	// QSqlQuery::ValuesAsColumns
    {45, 125, 754},	// QSqlQuery::ValuesAsRows
    {45, 129, 753},	// QSqlQuery::addBindValue#
    {45, 130, 739},	// QSqlQuery::addBindValue#$
    {45, 139, 713},	// QSqlQuery::at
    {45, 148, -384},	// QSqlQuery::bindValue$#
    {45, 149, -387},	// QSqlQuery::bindValue$#$
    {45, 154, -390},	// QSqlQuery::boundValue$
    {45, 158, 742},	// QSqlQuery::boundValues
    {45, 163, 733},	// QSqlQuery::clear
    {45, 201, 719},	// QSqlQuery::driver
    {45, 211, 734},	// QSqlQuery::exec
    {45, 212, 724},	// QSqlQuery::exec$
    {45, 213, 750},	// QSqlQuery::execBatch
    {45, 214, 735},	// QSqlQuery::execBatch$
    {45, 215, 743},	// QSqlQuery::executedQuery
    {45, 231, 745},	// QSqlQuery::finish
    {45, 232, 731},	// QSqlQuery::first
    {45, 264, 711},	// QSqlQuery::isActive
    {45, 273, 721},	// QSqlQuery::isForwardOnly
    {45, 281, 712},	// QSqlQuery::isNull$
    {45, 285, 717},	// QSqlQuery::isSelect
    {45, 286, 710},	// QSqlQuery::isValid
    {45, 289, 732},	// QSqlQuery::last
    {45, 290, 716},	// QSqlQuery::lastError
    {45, 291, 744},	// QSqlQuery::lastInsertId
    {45, 292, 714},	// QSqlQuery::lastQuery
    {45, 299, 729},	// QSqlQuery::next
    {45, 300, 746},	// QSqlQuery::nextResult
    {45, 303, 715},	// QSqlQuery::numRowsAffected
    {45, 305, 727},	// QSqlQuery::numericalPrecisionPolicy
    {45, 349, 709},	// QSqlQuery::operator=#
    {45, 380, 736},	// QSqlQuery::prepare$
    {45, 381, 730},	// QSqlQuery::previous
    {45, 554, 722},	// QSqlQuery::record
    {45, 577, 720},	// QSqlQuery::result
    {45, 589, 749},	// QSqlQuery::seek$
    {45, 590, 728},	// QSqlQuery::seek$$
    {45, 623, 723},	// QSqlQuery::setForwardOnly$
    {45, 644, 726},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 686, 718},	// QSqlQuery::size
    {45, 730, 725},	// QSqlQuery::value$
    {45, 741, 756},	// QSqlQuery::~QSqlQuery
    {46, 84, 786},	// QSqlQueryModel::QSqlQueryModel
    {46, 85, 764},	// QSqlQueryModel::QSqlQueryModel#
    {46, 160, 796},	// QSqlQueryModel::canFetchMore
    {46, 161, 780},	// QSqlQueryModel::canFetchMore#
    {46, 163, 777},	// QSqlQueryModel::clear
    {46, 168, 788},	// QSqlQueryModel::columnCount
    {46, 169, 766},	// QSqlQueryModel::columnCount#
    {46, 186, 789},	// QSqlQueryModel::data#
    {46, 187, 769},	// QSqlQueryModel::data#$
    {46, 220, 795},	// QSqlQueryModel::fetchMore
    {46, 221, 779},	// QSqlQueryModel::fetchMore#
    {46, 243, 790},	// QSqlQueryModel::headerData$$
    {46, 244, 770},	// QSqlQueryModel::headerData$$$
    {46, 249, 782},	// QSqlQueryModel::indexInQuery#
    {46, 255, 792},	// QSqlQueryModel::insertColumns$$
    {46, 256, 772},	// QSqlQueryModel::insertColumns$$#
    {46, 290, 778},	// QSqlQueryModel::lastError
    {46, 295, 757},	// QSqlQueryModel::metaObject
    {46, 540, 763},	// QSqlQueryModel::qt_metacall$$?
    {46, 542, 758},	// QSqlQueryModel::qt_metacast$
    {46, 548, 776},	// QSqlQueryModel::query
    {46, 549, 781},	// QSqlQueryModel::queryChange
    {46, 554, 768},	// QSqlQueryModel::record
    {46, 555, 767},	// QSqlQueryModel::record$
    {46, 565, 793},	// QSqlQueryModel::removeColumns$$
    {46, 566, 773},	// QSqlQueryModel::removeColumns$$#
    {46, 584, 787},	// QSqlQueryModel::rowCount
    {46, 585, 765},	// QSqlQueryModel::rowCount#
    {46, 628, 791},	// QSqlQueryModel::setHeaderData$$#
    {46, 629, 771},	// QSqlQueryModel::setHeaderData$$#$
    {46, 634, 783},	// QSqlQueryModel::setLastError#
    {46, 658, 774},	// QSqlQueryModel::setQuery#
    {46, 659, 794},	// QSqlQueryModel::setQuery$
    {46, 660, 775},	// QSqlQueryModel::setQuery$#
    {46, 692, 797},	// QSqlQueryModel::staticMetaObject
    {46, 712, 784},	// QSqlQueryModel::tr$
    {46, 713, 759},	// QSqlQueryModel::tr$$
    {46, 714, 761},	// QSqlQueryModel::tr$$$
    {46, 716, 785},	// QSqlQueryModel::trUtf8$
    {46, 717, 760},	// QSqlQueryModel::trUtf8$$
    {46, 718, 762},	// QSqlQueryModel::trUtf8$$$
    {46, 742, 798},	// QSqlQueryModel::~QSqlQueryModel
    {47, 86, 799},	// QSqlRecord::QSqlRecord
    {47, 87, 800},	// QSqlRecord::QSqlRecord#
    {47, 137, 820},	// QSqlRecord::append#
    {47, 163, 826},	// QSqlRecord::clear
    {47, 164, 827},	// QSqlRecord::clearValues
    {47, 177, 825},	// QSqlRecord::contains$
    {47, 178, 828},	// QSqlRecord::count
    {47, 225, -10},	// QSqlRecord::field$
    {47, 229, 813},	// QSqlRecord::fieldName$
    {47, 251, 812},	// QSqlRecord::indexOf$
    {47, 253, 822},	// QSqlRecord::insert$#
    {47, 272, 824},	// QSqlRecord::isEmpty
    {47, 275, -13},	// QSqlRecord::isGenerated$
    {47, 281, -16},	// QSqlRecord::isNull$
    {47, 314, 803},	// QSqlRecord::operator!=#
    {47, 349, 801},	// QSqlRecord::operator=#
    {47, 351, 802},	// QSqlRecord::operator==#
    {47, 563, 823},	// QSqlRecord::remove$
    {47, 573, 821},	// QSqlRecord::replace$#
    {47, 626, -19},	// QSqlRecord::setGenerated$$
    {47, 640, -22},	// QSqlRecord::setNull$
    {47, 685, -25},	// QSqlRecord::setValue$#
    {47, 730, -28},	// QSqlRecord::value$
    {47, 743, 829},	// QSqlRecord::~QSqlRecord
    {48, 88, 830},	// QSqlRelation::QSqlRelation
    {48, 89, 836},	// QSqlRelation::QSqlRelation#
    {48, 90, 831},	// QSqlRelation::QSqlRelation$$$
    {48, 200, 834},	// QSqlRelation::displayColumn
    {48, 247, 833},	// QSqlRelation::indexColumn
    {48, 286, 835},	// QSqlRelation::isValid
    {48, 706, 832},	// QSqlRelation::tableName
    {48, 744, 837},	// QSqlRelation::~QSqlRelation
    {49, 91, 862},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 92, 863},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 93, 845},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 163, 849},	// QSqlRelationalTableModel::clear
    {49, 186, 864},	// QSqlRelationalTableModel::data#
    {49, 187, 846},	// QSqlRelationalTableModel::data#$
    {49, 260, 858},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 295, 838},	// QSqlRelationalTableModel::metaObject
    {49, 375, 859},	// QSqlRelationalTableModel::orderByClause
    {49, 540, 844},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 542, 839},	// QSqlRelationalTableModel::qt_metacast$
    {49, 559, 853},	// QSqlRelationalTableModel::relation$
    {49, 561, 854},	// QSqlRelationalTableModel::relationModel$
    {49, 565, 866},	// QSqlRelationalTableModel::removeColumns$$
    {49, 566, 848},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 581, 855},	// QSqlRelationalTableModel::revertRow$
    {49, 591, 850},	// QSqlRelationalTableModel::select
    {49, 592, 856},	// QSqlRelationalTableModel::selectStatement
    {49, 604, 865},	// QSqlRelationalTableModel::setData##
    {49, 605, 847},	// QSqlRelationalTableModel::setData##$
    {49, 666, 852},	// QSqlRelationalTableModel::setRelation$#
    {49, 678, 851},	// QSqlRelationalTableModel::setTable$
    {49, 692, 867},	// QSqlRelationalTableModel::staticMetaObject
    {49, 712, 860},	// QSqlRelationalTableModel::tr$
    {49, 713, 840},	// QSqlRelationalTableModel::tr$$
    {49, 714, 842},	// QSqlRelationalTableModel::tr$$$
    {49, 716, 861},	// QSqlRelationalTableModel::trUtf8$
    {49, 717, 841},	// QSqlRelationalTableModel::trUtf8$$
    {49, 718, 843},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 727, 857},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 745, 868},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 923},	// QSqlResult::BatchOperation
    {50, 10, 924},	// QSqlResult::DetachFromResultSet
    {50, 43, 922},	// QSqlResult::NamedBinding
    {50, 45, 926},	// QSqlResult::NextResult
    {50, 52, 921},	// QSqlResult::PositionalBinding
    {50, 95, 870},	// QSqlResult::QSqlResult#
    {50, 112, 925},	// QSqlResult::SetNumericalPrecision
    {50, 130, 890},	// QSqlResult::addBindValue#$
    {50, 139, 871},	// QSqlResult::at
    {50, 149, -1},	// QSqlResult::bindValue$#$
    {50, 151, -4},	// QSqlResult::bindValueType$
    {50, 152, 901},	// QSqlResult::bindingSyntax
    {50, 154, -7},	// QSqlResult::boundValue$
    {50, 155, 895},	// QSqlResult::boundValueCount
    {50, 157, 898},	// QSqlResult::boundValueName$
    {50, 158, 896},	// QSqlResult::boundValues
    {50, 163, 899},	// QSqlResult::clear
    {50, 188, 902},	// QSqlResult::data$
    {50, 198, 916},	// QSqlResult::detachFromResultSet
    {50, 201, 878},	// QSqlResult::driver
    {50, 211, 885},	// QSqlResult::exec
    {50, 213, 920},	// QSqlResult::execBatch
    {50, 214, 915},	// QSqlResult::execBatch$
    {50, 215, 897},	// QSqlResult::executedQuery
    {50, 217, 905},	// QSqlResult::fetch$
    {50, 218, 908},	// QSqlResult::fetchFirst
    {50, 219, 909},	// QSqlResult::fetchLast
    {50, 222, 906},	// QSqlResult::fetchNext
    {50, 223, 907},	// QSqlResult::fetchPrevious
    {50, 238, 869},	// QSqlResult::handle
    {50, 241, 900},	// QSqlResult::hasOutValues
    {50, 264, 875},	// QSqlResult::isActive
    {50, 273, 877},	// QSqlResult::isForwardOnly
    {50, 281, 903},	// QSqlResult::isNull$
    {50, 285, 876},	// QSqlResult::isSelect
    {50, 286, 874},	// QSqlResult::isValid
    {50, 290, 873},	// QSqlResult::lastError
    {50, 291, 913},	// QSqlResult::lastInsertId
    {50, 292, 872},	// QSqlResult::lastQuery
    {50, 300, 919},	// QSqlResult::nextResult
    {50, 303, 911},	// QSqlResult::numRowsAffected
    {50, 305, 918},	// QSqlResult::numericalPrecisionPolicy
    {50, 380, 886},	// QSqlResult::prepare$
    {50, 554, 912},	// QSqlResult::record
    {50, 576, 904},	// QSqlResult::reset$
    {50, 587, 887},	// QSqlResult::savePrepare$
    {50, 594, 880},	// QSqlResult::setActive$
    {50, 596, 879},	// QSqlResult::setAt$
    {50, 623, 884},	// QSqlResult::setForwardOnly$
    {50, 634, 881},	// QSqlResult::setLastError#
    {50, 644, 917},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 659, 882},	// QSqlResult::setQuery$
    {50, 672, 883},	// QSqlResult::setSelect$
    {50, 686, 910},	// QSqlResult::size
    {50, 732, 914},	// QSqlResult::virtual_hook$$
    {50, 746, 927},	// QSqlResult::~QSqlResult
    {51, 47, 989},	// QSqlTableModel::OnFieldChange
    {51, 48, 991},	// QSqlTableModel::OnManualSubmit
    {51, 49, 990},	// QSqlTableModel::OnRowChange
    {51, 96, 979},	// QSqlTableModel::QSqlTableModel
    {51, 97, 980},	// QSqlTableModel::QSqlTableModel#
    {51, 98, 935},	// QSqlTableModel::QSqlTableModel##
    {51, 141, 968},	// QSqlTableModel::beforeDelete$
    {51, 143, 966},	// QSqlTableModel::beforeInsert#
    {51, 145, 967},	// QSqlTableModel::beforeUpdate$#
    {51, 163, 944},	// QSqlTableModel::clear
    {51, 186, 981},	// QSqlTableModel::data#
    {51, 187, 940},	// QSqlTableModel::data#$
    {51, 189, 948},	// QSqlTableModel::database
    {51, 197, 971},	// QSqlTableModel::deleteRowFromTable$
    {51, 206, 946},	// QSqlTableModel::editStrategy
    {51, 227, 949},	// QSqlTableModel::fieldIndex$
    {51, 230, 952},	// QSqlTableModel::filter
    {51, 234, 939},	// QSqlTableModel::flags#
    {51, 243, 983},	// QSqlTableModel::headerData$$
    {51, 244, 942},	// QSqlTableModel::headerData$$$
    {51, 249, 976},	// QSqlTableModel::indexInQuery#
    {51, 258, 958},	// QSqlTableModel::insertRecord$#
    {51, 260, 970},	// QSqlTableModel::insertRowIntoTable#
    {51, 262, 987},	// QSqlTableModel::insertRows$$
    {51, 263, 957},	// QSqlTableModel::insertRows$$#
    {51, 269, 943},	// QSqlTableModel::isDirty#
    {51, 295, 928},	// QSqlTableModel::metaObject
    {51, 375, 972},	// QSqlTableModel::orderByClause
    {51, 384, 947},	// QSqlTableModel::primaryKey
    {51, 386, 965},	// QSqlTableModel::primeInsert$#
    {51, 540, 934},	// QSqlTableModel::qt_metacall$$?
    {51, 542, 929},	// QSqlTableModel::qt_metacast$
    {51, 565, 985},	// QSqlTableModel::removeColumns$$
    {51, 566, 955},	// QSqlTableModel::removeColumns$$#
    {51, 570, 986},	// QSqlTableModel::removeRows$$
    {51, 571, 956},	// QSqlTableModel::removeRows$$#
    {51, 578, 962},	// QSqlTableModel::revert
    {51, 579, 964},	// QSqlTableModel::revertAll
    {51, 581, 960},	// QSqlTableModel::revertRow$
    {51, 584, 984},	// QSqlTableModel::rowCount
    {51, 585, 954},	// QSqlTableModel::rowCount#
    {51, 591, 936},	// QSqlTableModel::select
    {51, 592, 973},	// QSqlTableModel::selectStatement
    {51, 604, 982},	// QSqlTableModel::setData##
    {51, 605, 941},	// QSqlTableModel::setData##$
    {51, 619, 945},	// QSqlTableModel::setEditStrategy$
    {51, 621, 953},	// QSqlTableModel::setFilter$
    {51, 656, 974},	// QSqlTableModel::setPrimaryKey#
    {51, 658, 975},	// QSqlTableModel::setQuery#
    {51, 664, 959},	// QSqlTableModel::setRecord$#
    {51, 674, 951},	// QSqlTableModel::setSort$$
    {51, 678, 937},	// QSqlTableModel::setTable$
    {51, 688, 950},	// QSqlTableModel::sort$$
    {51, 692, 988},	// QSqlTableModel::staticMetaObject
    {51, 697, 961},	// QSqlTableModel::submit
    {51, 698, 963},	// QSqlTableModel::submitAll
    {51, 706, 938},	// QSqlTableModel::tableName
    {51, 712, 977},	// QSqlTableModel::tr$
    {51, 713, 930},	// QSqlTableModel::tr$$
    {51, 714, 932},	// QSqlTableModel::tr$$$
    {51, 716, 978},	// QSqlTableModel::trUtf8$
    {51, 717, 931},	// QSqlTableModel::trUtf8$$
    {51, 718, 933},	// QSqlTableModel::trUtf8$$$
    {51, 727, 969},	// QSqlTableModel::updateRowInTable$#
    {51, 747, 992},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 993,
        __smokeqtsql::methodMaps, 679,
        __smokeqtsql::methodNames, 747,
        __smokeqtsql::types, 312,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
