#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 26: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QUrl
      switch(to) {
        case 10: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 11:   //QVariant
      switch(to) {
        case 11: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BindingSet
      switch(to) {
        case 15: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Error::Error
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::ErrorCache
      switch(to) {
        case 17: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorData
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::Locator
      switch(to) {
        case 19: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::ParserError
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::FilterModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Inference::Rule
      switch(to) {
        case 23: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::LanguageTag
      switch(to) {
        case 24: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::LiteralValue
      switch(to) {
        case 25: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 26: return (void*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Node
      switch(to) {
        case 27: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::NodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Parser
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 29: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Plugin
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::PluginManager
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::QueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 33: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::RdfSchemaModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::Serializer
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 35: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::Statement
      switch(to) {
        case 36: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::StatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::StorageModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::Util::AsyncModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncResult
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    30, 17, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    16, 0,	// 4: Soprano::Error::Error
    26, 0,	// 6: Soprano::Model
    21, 0,	// 8: Soprano::FilterModel
    6, 17, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    6, 0,	// 15: QObject
    28, 0,	// 17: Soprano::NodeIterator
    37, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QUrl", true, 0, 0, 0, 0, 0 },	//10
    { "QVariant", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//12
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//13
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//14
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//16
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//17
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//20
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//21
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//22
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//26
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//27
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//28
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//29
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//30
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//31
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//32
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//34
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//35
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//36
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//37
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//38
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//39
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//40
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//41
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//42
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//43
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//44
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//45
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//46
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//47
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//53
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//7
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//16
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//19
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//20
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QUrl", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QVariant", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForActiveQtModule", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForCoreModule", 4, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForDBusModule", 4, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForDeclarativeModule", 4, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForGuiModule", 4, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForHelpModule", 4, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForMultimediaModule", 4, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForNetworkModule", 4, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForOpenGLModule", 4, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForOpenVGModule", 4, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForQt3SupportLightModule", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForQt3SupportModule", 4, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForScriptModule", 4, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForScriptToolsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForSqlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForSvgModule", 4, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForTestModule", 4, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForXmlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForXmlPatternsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Soprano::BackendFeature", 12, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Soprano::BackendOption", 12, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//118
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//119
    { "Soprano::BackendSetting*", 14, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Soprano::BindingSet", 15, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::Error::Error", 16, Smoke::t_class|Smoke::tf_stack },	//122
    { "Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref },	//123
    { "Soprano::Error::Error*", 16, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Soprano::Error::ErrorCache*", 17, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Soprano::Error::ErrorData*", 18, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Soprano::Error::Locator", 19, Smoke::t_class|Smoke::tf_stack },	//128
    { "Soprano::Error::ParserError", 20, Smoke::t_class|Smoke::tf_stack },	//129
    { "Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref },	//130
    { "Soprano::Error::ParserError*", 20, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Soprano::FilterModel*", 21, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Soprano::Inference::InferenceModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//135
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//136
    { "Soprano::LiteralValue", 25, Smoke::t_class|Smoke::tf_stack },	//137
    { "Soprano::Model*", 26, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Soprano::Node", 27, Smoke::t_class|Smoke::tf_stack },	//139
    { "Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref },	//140
    { "Soprano::Node*", 27, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Soprano::Node::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Soprano::NodeIterator", 28, Smoke::t_class|Smoke::tf_stack },	//143
    { "Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref },	//144
    { "Soprano::NodeIterator*", 28, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Soprano::Plugin*", 30, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::PluginManager*", 31, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Soprano::QueryResultIterator", 32, Smoke::t_class|Smoke::tf_stack },	//150
    { "Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref },	//151
    { "Soprano::QueryResultIterator*", 32, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::QueryResultIteratorBackend*", 33, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Soprano::RdfSchemaModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Soprano::RdfSerialization", 12, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Soprano::Statement", 36, Smoke::t_class|Smoke::tf_stack },	//157
    { "Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref },	//158
    { "Soprano::Statement*", 36, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Soprano::StatementIterator", 37, Smoke::t_class|Smoke::tf_stack },	//160
    { "Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref },	//161
    { "Soprano::StatementIterator*", 37, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Soprano::StorageModel*", 38, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Soprano::Util::AsyncModel*", 39, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Soprano::Util::AsyncModel::AsyncModelMode", 39, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Soprano::Util::AsyncQuery*", 40, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Soprano::Util::AsyncResult*", 41, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Soprano::Util::ReadOnlyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Soprano::Util::SignalCacheModel*", 43, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref },	//170
    { "Soprano::Util::SimpleNodeIterator*", 44, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref },	//172
    { "Soprano::Util::SimpleStatementIterator*", 45, Smoke::t_class|Smoke::tf_ptr },	//173
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//174
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//175
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//181
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//183
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//186
    { "const QUrl&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QVariant&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Soprano::Backend&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//190
    { "const Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Soprano::Error::ErrorCache&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::Error::Locator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Soprano::Inference::Rule&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Soprano::LanguageTag&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Soprano::LiteralValue&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Soprano::Parser&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//202
    { "const Soprano::Plugin&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Soprano::Serializer&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//212
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//213
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//214
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//216
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    15, 3, 0,	//3  QObject*, QEvent*
    21, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    211, 0,	//10  const char*
    7, 117, 184, 0,	//12  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    7, 117, 0,	//16  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    199, 0,	//19  const Soprano::Node&
    4, 185, 0,	//21  QFlags<Soprano::BackendFeature>, const QStringList&
    4, 0,	//24  QFlags<Soprano::BackendFeature>
    207, 0,	//26  const Soprano::Statement&
    184, 0,	//28  const QString&
    155, 184, 0,	//30  Soprano::RdfSerialization, const QString&
    155, 0,	//33  Soprano::RdfSerialization
    176, 117, 188, 0,	//35  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    190, 0,	//39  const Soprano::Backend*
    197, 0,	//41  const Soprano::LanguageTag&
    176, 0,	//43  const QList<Soprano::BackendSetting>&
    176, 184, 188, 0,	//45  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    176, 184, 0,	//49  const QList<Soprano::BackendSetting>&, const QString&
    176, 117, 184, 0,	//52  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    176, 117, 0,	//56  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    198, 0,	//59  const Soprano::LiteralValue&
    7, 184, 0,	//61  QList<Soprano::BackendSetting>&, const QString&
    189, 0,	//64  const Soprano::Backend&
    117, 0,	//66  Soprano::BackendOption
    117, 188, 0,	//68  Soprano::BackendOption, const QVariant&
    184, 188, 0,	//71  const QString&, const QVariant&
    191, 0,	//74  const Soprano::BackendSetting&
    188, 0,	//76  const QVariant&
    184, 212, 0,	//78  const QString&, int
    192, 0,	//81  const Soprano::Error::Error&
    127, 0,	//83  Soprano::Error::ErrorData*
    193, 0,	//85  const Soprano::Error::ErrorCache&
    194, 184, 212, 0,	//87  const Soprano::Error::Locator&, const QString&, int
    195, 0,	//91  const Soprano::Error::ParserError&
    194, 0,	//93  const Soprano::Error::Locator&
    194, 184, 0,	//95  const Soprano::Error::Locator&, const QString&
    211, 211, 0,	//98  const char*, const char*
    211, 211, 212, 0,	//101  const char*, const char*, int
    14, 212, 216, 0,	//105  QMetaObject::Call, int, void**
    138, 0,	//109  Soprano::Model*
    199, 199, 199, 199, 0,	//111  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    184, 149, 184, 0,	//116  const QString&, Soprano::Query::QueryLanguage, const QString&
    20, 0,	//120  QTextStream&
    199, 199, 199, 0,	//122  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    184, 149, 0,	//126  const QString&, Soprano::Query::QueryLanguage
    196, 0,	//129  const Soprano::Inference::Rule&
    177, 0,	//131  const QList<Soprano::Inference::Rule>&
    175, 0,	//133  bool
    179, 0,	//135  const QList<Soprano::Statement>&
    187, 0,	//137  const QUrl&
    198, 184, 0,	//139  const Soprano::LiteralValue&, const QString&
    135, 0,	//142  Soprano::IteratorBackend<Soprano::Node>*
    200, 0,	//144  const Soprano::NodeIterator&
    184, 187, 155, 184, 0,	//146  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    20, 187, 155, 184, 0,	//151  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    201, 0,	//156  const Soprano::Parser&
    184, 187, 155, 0,	//158  const QString&, const QUrl&, Soprano::RdfSerialization
    20, 187, 155, 0,	//162  QTextStream&, const QUrl&, Soprano::RdfSerialization
    203, 0,	//166  const Soprano::Plugin&
    185, 175, 0,	//168  const QStringList&, bool
    185, 0,	//171  const QStringList&
    204, 0,	//173  const Soprano::QueryResultIterator&
    153, 0,	//175  Soprano::QueryResultIteratorBackend*
    212, 0,	//177  int
    183, 0,	//179  const QString
    184, 184, 184, 184, 207, 0,	//181  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    184, 184, 184, 0,	//187  const QString&, const QString&, const QString&
    184, 184, 184, 184, 0,	//191  const QString&, const QString&, const QString&, const QString&
    199, 199, 0,	//196  const Soprano::Node&, const Soprano::Node&
    160, 20, 155, 184, 0,	//199  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    184, 187, 0,	//204  const QString&, const QUrl&
    205, 0,	//207  const Soprano::Serializer&
    160, 20, 155, 0,	//209  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    136, 0,	//213  Soprano::IteratorBackend<Soprano::Statement>*
    208, 0,	//215  const Soprano::StatementIterator&
    165, 0,	//217  Soprano::Util::AsyncModel::AsyncModelMode
    166, 0,	//219  Soprano::Util::AsyncQuery*
    138, 184, 149, 184, 0,	//221  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    138, 184, 149, 0,	//226  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    167, 0,	//230  Soprano::Util::AsyncResult*
    188, 192, 0,	//232  const QVariant&, const Soprano::Error::Error&
    178, 0,	//235  const QList<Soprano::Node>&
    209, 0,	//237  const Soprano::Util::SimpleNodeIterator&
    210, 0,	//239  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend#",	//13
    "Backend$",	//14
    "BackendFeatureAddStatement",	//15
    "BackendFeatureAll",	//16
    "BackendFeatureContext",	//17
    "BackendFeatureInference",	//18
    "BackendFeatureInferenceOptional",	//19
    "BackendFeatureListStatements",	//20
    "BackendFeatureNone",	//21
    "BackendFeatureQuery",	//22
    "BackendFeatureRemoveStatements",	//23
    "BackendFeatureStorageMemory",	//24
    "BackendFeatureUser",	//25
    "BackendOptionEnableInference",	//26
    "BackendOptionHost",	//27
    "BackendOptionNone",	//28
    "BackendOptionPassword",	//29
    "BackendOptionPort",	//30
    "BackendOptionStorageDir",	//31
    "BackendOptionStorageMemory",	//32
    "BackendOptionUser",	//33
    "BackendOptionUsername",	//34
    "BackendSetting",	//35
    "BackendSetting#",	//36
    "BackendSetting$",	//37
    "BackendSetting$#",	//38
    "Bag",	//39
    "BlankNode",	//40
    "BlockDevice",	//41
    "Bookmark",	//42
    "Class",	//43
    "CommunicationChannel",	//44
    "Configuration",	//45
    "Contact",	//46
    "ContactGroup",	//47
    "Container",	//48
    "ContainerMembershipProperty",	//49
    "Content",	//50
    "Data",	//51
    "DataObject",	//52
    "DataRange",	//53
    "Datatype",	//54
    "DatatypeProperty",	//55
    "DefaultGraph",	//56
    "DeletedFile",	//57
    "DeprecatedClass",	//58
    "DeprecatedProperty",	//59
    "DiscardableInstanceBase",	//60
    "Document",	//61
    "DocumentGraph",	//62
    "Documentation",	//63
    "Email",	//64
    "EmailAttachment",	//65
    "EmbeddedObject",	//66
    "EmptyNode",	//67
    "Error",	//68
    "Error#",	//69
    "Error$",	//70
    "Error$$",	//71
    "ErrorCache",	//72
    "ErrorCache#",	//73
    "ExternalViewSpecification",	//74
    "File",	//75
    "FileSystem",	//76
    "Filelike",	//77
    "FilterModel",	//78
    "FilterModel#",	//79
    "Folder",	//80
    "FreeDesktopIcon",	//81
    "FunctionalProperty",	//82
    "Graph",	//83
    "GraphMetadata",	//84
    "GraphView",	//85
    "IMAP4Message",	//86
    "IMMessage",	//87
    "Image",	//88
    "InferenceGraph",	//89
    "InferenceMetaData",	//90
    "InferenceModel",	//91
    "InferenceModel#",	//92
    "InstanceBase",	//93
    "InverseFunctionalProperty",	//94
    "KnowledgeBase",	//95
    "LicensedActiveQt",	//96
    "LicensedCore",	//97
    "LicensedDBus",	//98
    "LicensedDeclarative",	//99
    "LicensedGui",	//100
    "LicensedHelp",	//101
    "LicensedMultimedia",	//102
    "LicensedNetwork",	//103
    "LicensedOpenGL",	//104
    "LicensedOpenVG",	//105
    "LicensedQt3Support",	//106
    "LicensedQt3SupportLight",	//107
    "LicensedScript",	//108
    "LicensedScriptTools",	//109
    "LicensedSql",	//110
    "LicensedSvg",	//111
    "LicensedTest",	//112
    "LicensedXml",	//113
    "LicensedXmlPatterns",	//114
    "List",	//115
    "Literal",	//116
    "LiteralNode",	//117
    "MailingList",	//118
    "MailingListEmail",	//119
    "Media",	//120
    "MediaList",	//121
    "Message",	//122
    "MessageboxMessage",	//123
    "Model",	//124
    "MultiThreaded",	//125
    "Music",	//126
    "NewsGroup",	//127
    "NewsGroupEmail",	//128
    "Node",	//129
    "Node#",	//130
    "Node#$",	//131
    "Node$",	//132
    "NodeIterator",	//133
    "NodeIterator#",	//134
    "NodeIterator?",	//135
    "Nothing",	//136
    "ObjectProperty",	//137
    "OfflineMedia",	//138
    "Ontology",	//139
    "OntologyProperty",	//140
    "Organization",	//141
    "POP3Message",	//142
    "Parser",	//143
    "Parser#",	//144
    "Parser$",	//145
    "ParserError",	//146
    "ParserError#",	//147
    "ParserError#$",	//148
    "ParserError#$$",	//149
    "Party",	//150
    "Person",	//151
    "PersonalEmail",	//152
    "Photo",	//153
    "Plugin",	//154
    "Plugin#",	//155
    "Plugin$",	//156
    "Presentation",	//157
    "Project",	//158
    "Property",	//159
    "Q_COMPLEX_TYPE",	//160
    "Q_DUMMY_TYPE",	//161
    "Q_MOVABLE_TYPE",	//162
    "Q_PRIMITIVE_TYPE",	//163
    "Q_STATIC_TYPE",	//164
    "QtCriticalMsg",	//165
    "QtDebugMsg",	//166
    "QtFatalMsg",	//167
    "QtSystemMsg",	//168
    "QtWarningMsg",	//169
    "QueryResultIterator",	//170
    "QueryResultIterator#",	//171
    "RSSFeed",	//172
    "RSSMessage",	//173
    "RdfSchemaModel",	//174
    "RdfSchemaModel#",	//175
    "ReadOnlyModel",	//176
    "ReadOnlyModel#",	//177
    "ReflexiveProperty",	//178
    "RemoteFile",	//179
    "RemoteMessageboxMessage",	//180
    "RemoteResource",	//181
    "Resource",	//182
    "ResourceNode",	//183
    "Restriction",	//184
    "RevisionControlledFile",	//185
    "RevisionControlledRepository",	//186
    "RuleViewSpecification",	//187
    "Schema",	//188
    "Semantics",	//189
    "Seq",	//190
    "SerializationN3",	//191
    "SerializationNQuads",	//192
    "SerializationNTriples",	//193
    "SerializationRdfXml",	//194
    "SerializationTrig",	//195
    "SerializationTurtle",	//196
    "SerializationUnknown",	//197
    "SerializationUser",	//198
    "Serializer",	//199
    "Serializer#",	//200
    "Serializer$",	//201
    "SignalCacheModel",	//202
    "SignalCacheModel#",	//203
    "SimpleNodeIterator",	//204
    "SimpleNodeIterator#",	//205
    "SimpleNodeIterator?",	//206
    "SimpleStatementIterator",	//207
    "SimpleStatementIterator#",	//208
    "SimpleStatementIterator?",	//209
    "SingleThreaded",	//210
    "SoftwarePackage",	//211
    "Source",	//212
    "SourceCode",	//213
    "Spreadsheet",	//214
    "Statement",	//215
    "Statement#",	//216
    "Statement###",	//217
    "Statement####",	//218
    "StatementIterator",	//219
    "StatementIterator#",	//220
    "StatementIterator?",	//221
    "StorageModel",	//222
    "StorageModel#",	//223
    "Symbol",	//224
    "SymmetricProperty",	//225
    "SystemResource",	//226
    "Tag",	//227
    "Text",	//228
    "TextDocument",	//229
    "Thing",	//230
    "TransitiveProperty",	//231
    "UncategorizedText",	//232
    "Video",	//233
    "ViewSpecification",	//234
    "Visual",	//235
    "XML",	//236
    "XMLLiteral",	//237
    "__codecvt_error",	//238
    "__codecvt_noconv",	//239
    "__codecvt_ok",	//240
    "__codecvt_partial",	//241
    "acl",	//242
    "addPrefix",	//243
    "addPrefix$#",	//244
    "addRule",	//245
    "addRule#",	//246
    "addStatement",	//247
    "addStatement#",	//248
    "addStatement###",	//249
    "addStatement####",	//250
    "addStatementAsync",	//251
    "addStatementAsync#",	//252
    "addStatementAsync###",	//253
    "addStatementAsync####",	//254
    "addStatements",	//255
    "addStatements?",	//256
    "addStatementsAsync",	//257
    "addStatementsAsync?",	//258
    "album",	//259
    "albumArtist",	//260
    "albumGain",	//261
    "albumPeakGain",	//262
    "albumTrackCount",	//263
    "allBackends",	//264
    "allBindings",	//265
    "allNodes",	//266
    "allParsers",	//267
    "allSerializers",	//268
    "allStatements",	//269
    "allValuesFrom",	//270
    "altLabel",	//271
    "altSymbol",	//272
    "annotation",	//273
    "aperture",	//274
    "artist",	//275
    "asText",	//276
    "aspectRatio",	//277
    "attachmentEncoding",	//278
    "audioBPM",	//279
    "audioBitrate",	//280
    "audioChannels",	//281
    "audioCodec",	//282
    "audioCodecType",	//283
    "audioSampleBitDepth",	//284
    "audioSampleCount",	//285
    "audioSampleDataType",	//286
    "audioSampleRate",	//287
    "author",	//288
    "autoRating",	//289
    "backend",	//290
    "backwardCompatibleWith",	//291
    "base64Binary",	//292
    "baseRevisionID",	//293
    "bcc",	//294
    "binding",	//295
    "binding$",	//296
    "bindingCount",	//297
    "bindingNames",	//298
    "birthDate",	//299
    "blankToN3",	//300
    "blankToN3$",	//301
    "blogContactURL",	//302
    "boolValue",	//303
    "boolean",	//304
    "cacheTime",	//305
    "cameraManufacturer",	//306
    "cameraModel",	//307
    "cardinality",	//308
    "cc",	//309
    "ccdWidth",	//310
    "cellPhoneNumber",	//311
    "changeCommitTime",	//312
    "changeCommitter",	//313
    "characterCount",	//314
    "charset",	//315
    "chatRoom",	//316
    "childEvent",	//317
    "classes",	//318
    "clearError",	//319
    "clearInference",	//320
    "clearPrefixes",	//321
    "close",	//322
    "code",	//323
    "colorCount",	//324
    "colorSpace",	//325
    "columnCount",	//326
    "comment",	//327
    "commentCharacterCount",	//328
    "commitDiff",	//329
    "communicationChannel",	//330
    "complementOf",	//331
    "composer",	//332
    "compressionAlgorithm",	//333
    "compressionLevel",	//334
    "conflicts",	//335
    "connectNotify",	//336
    "contactMedium",	//337
    "contactNick",	//338
    "contactURL",	//339
    "contains",	//340
    "containsAnyStatement",	//341
    "containsAnyStatement#",	//342
    "containsAnyStatement###",	//343
    "containsAnyStatement####",	//344
    "containsAnyStatementAsync",	//345
    "containsAnyStatementAsync#",	//346
    "containsAnyStatementAsync###",	//347
    "containsAnyStatementAsync####",	//348
    "containsContext",	//349
    "containsContext#",	//350
    "containsStatement",	//351
    "containsStatement#",	//352
    "containsStatement###",	//353
    "containsStatement####",	//354
    "containsStatementAsync",	//355
    "containsStatementAsync#",	//356
    "containsStatementAsync###",	//357
    "containsStatementAsync####",	//358
    "contentComment",	//359
    "contentCreated",	//360
    "contentKeyword",	//361
    "contentModified",	//362
    "contentType",	//363
    "context",	//364
    "contributor",	//365
    "copyright",	//366
    "coreGraphMetadataFor",	//367
    "createBlankNode",	//368
    "createBlankNode$",	//369
    "createBlankNodeAsync",	//370
    "createEmptyNode",	//371
    "createLiteralNode",	//372
    "createLiteralNode#",	//373
    "createLiteralNode#$",	//374
    "createModel",	//375
    "createModel?",	//376
    "createResourceNode",	//377
    "createResourceNode#",	//378
    "createResult",	//379
    "created",	//380
    "creator",	//381
    "currentBindings",	//382
    "currentStatement",	//383
    "customEvent",	//384
    "dataType",	//385
    "date",	//386
    "dateTime",	//387
    "decimal",	//388
    "definesClass",	//389
    "definesFunction",	//390
    "definesGlobalVariable",	//391
    "deleteModelData",	//392
    "deleteModelData?",	//393
    "deletionTime",	//394
    "depends",	//395
    "derivedFrom",	//396
    "description",	//397
    "differentFrom",	//398
    "directSubClassOf",	//399
    "directSubClassOf#",	//400
    "directSubClassOf##",	//401
    "directSubPropertyOf",	//402
    "directSubPropertyOf#",	//403
    "directSubPropertyOf##",	//404
    "directType",	//405
    "directType##",	//406
    "discNumber",	//407
    "disclaimer",	//408
    "disconnectNotify",	//409
    "discoverBackendByFeatures",	//410
    "discoverBackendByFeatures$",	//411
    "discoverBackendByFeatures$?",	//412
    "discoverBackendByName",	//413
    "discoverBackendByName$",	//414
    "discoverParserByName",	//415
    "discoverParserByName$",	//416
    "discoverParserForSerialization",	//417
    "discoverParserForSerialization$",	//418
    "discoverParserForSerialization$$",	//419
    "discoverSerializerByName",	//420
    "discoverSerializerByName$",	//421
    "discoverSerializerForSerialization",	//422
    "discoverSerializerForSerialization$",	//423
    "discoverSerializerForSerialization$$",	//424
    "disjointWith",	//425
    "distinctMembers",	//426
    "documentCategory",	//427
    "domain",	//428
    "domain##",	//429
    "emailAddress",	//430
    "engineeringTool",	//431
    "equivalentClass",	//432
    "equivalentGraph",	//433
    "equivalentProperty",	//434
    "errorCode",	//435
    "event",	//436
    "eventFilter",	//437
    "executeQuery",	//438
    "executeQuery#$$",	//439
    "executeQuery#$$$",	//440
    "executeQuery$$",	//441
    "executeQuery$$$",	//442
    "executeQueryAsync",	//443
    "executeQueryAsync$$",	//444
    "executeQueryAsync$$$",	//445
    "exposureBias",	//446
    "exposureProgram",	//447
    "exposureTime",	//448
    "externalRealizer",	//449
    "familyName",	//450
    "faxPhoneNumber",	//451
    "fileExtension",	//452
    "fileSystemType",	//453
    "fingerprint",	//454
    "finished",	//455
    "finished#",	//456
    "first",	//457
    "firstUsed",	//458
    "flashUsed",	//459
    "focalLength",	//460
    "focusDistance",	//461
    "formatSubtype",	//462
    "frameCount",	//463
    "frameRate",	//464
    "freeSpace",	//465
    "gender",	//466
    "generator",	//467
    "generatorOptions",	//468
    "genre",	//469
    "givenName",	//470
    "graphMetadataFor",	//471
    "group",	//472
    "hasDefaultNamespace",	//473
    "hasDefaultNamespaceAbbreviation",	//474
    "hasSemantics",	//475
    "hasSpecification",	//476
    "hasSubResource",	//477
    "hasSuperResource",	//478
    "hasSymbol",	//479
    "hasTag",	//480
    "hasTopic",	//481
    "hasValue",	//482
    "height",	//483
    "homeEmailAddress",	//484
    "homePhoneNumber",	//485
    "homePostalAddress",	//486
    "homepageContactURL",	//487
    "honorificPrefix",	//488
    "honorificSuffix",	//489
    "horizontalResolution",	//490
    "iconName",	//491
    "id",	//492
    "identifier",	//493
    "imContactMedium",	//494
    "imports",	//495
    "inReplyTo",	//496
    "incompatibleWith",	//497
    "instance",	//498
    "integer",	//499
    "interest",	//500
    "interlaceMode",	//501
    "intersectionOf",	//502
    "inverseOf",	//503
    "inverseProperty",	//504
    "ircContactMedium",	//505
    "isAvailable",	//506
    "isBinding",	//507
    "isBlank",	//508
    "isBool",	//509
    "isClass",	//510
    "isClass#",	//511
    "isContentEncrypted",	//512
    "isDefinedBy",	//513
    "isDirectSubClassOf",	//514
    "isDirectSubClassOf##",	//515
    "isDirectSubPropertyOf",	//516
    "isDirectSubPropertyOf##",	//517
    "isDirectType",	//518
    "isDirectType##",	//519
    "isEmpty",	//520
    "isEmptyAsync",	//521
    "isEncrypted",	//522
    "isGraph",	//523
    "isImportant",	//524
    "isInProgress",	//525
    "isLiteral",	//526
    "isOptionInSettings",	//527
    "isOptionInSettings?$",	//528
    "isOptionInSettings?$$",	//529
    "isParserError",	//530
    "isProperty",	//531
    "isProperty#",	//532
    "isPublicChannel",	//533
    "isRead",	//534
    "isRelated",	//535
    "isResource",	//536
    "isSourceEncrypted",	//537
    "isSubClassOf",	//538
    "isSubClassOf##",	//539
    "isSubPropertyOf",	//540
    "isSubPropertyOf##",	//541
    "isTagFor",	//542
    "isTopicOf",	//543
    "isType",	//544
    "isType##",	//545
    "isValid",	//546
    "isoEquivalent",	//547
    "iterateBindings",	//548
    "iterateBindings$",	//549
    "iterateContexts",	//550
    "iterateObjects",	//551
    "iteratePredicates",	//552
    "iterateStatements",	//553
    "iterateStatementsFromBindings",	//554
    "iterateStatementsFromBindings$$$",	//555
    "iterateStatementsFromBindings$$$$",	//556
    "iterateStatementsFromBindings$$$$#",	//557
    "iterateSubjects",	//558
    "jabberContactMedium",	//559
    "keyword",	//560
    "knows",	//561
    "label",	//562
    "language",	//563
    "lastError",	//564
    "lastModified",	//565
    "lastRefreshed",	//566
    "lastUsed",	//567
    "legal",	//568
    "license",	//569
    "licenseType",	//570
    "lineCount",	//571
    "links",	//572
    "listContexts",	//573
    "listContextsAsync",	//574
    "listStatements",	//575
    "listStatements#",	//576
    "listStatements###",	//577
    "listStatements####",	//578
    "listStatementsAsync",	//579
    "listStatementsAsync#",	//580
    "listStatementsAsync###",	//581
    "listStatementsAsync####",	//582
    "listStatementsInContext",	//583
    "listStatementsInContext#",	//584
    "literal",	//585
    "literalToN3",	//586
    "literalToN3#",	//587
    "loadCustomBackend",	//588
    "loadCustomBackend$",	//589
    "loadCustomParser",	//590
    "loadCustomParser$",	//591
    "loadCustomPlugin",	//592
    "loadCustomPlugin$",	//593
    "loadCustomSerializer",	//594
    "loadCustomSerializer$",	//595
    "localRevision",	//596
    "locator",	//597
    "lyricist",	//598
    "mailingList",	//599
    "mailingPostalAddress",	//600
    "maintainer",	//601
    "markupCharacterCount",	//602
    "matches",	//603
    "matches#",	//604
    "maxCardinality",	//605
    "md5Hash",	//606
    "mediaBitrate",	//607
    "mediaCodec",	//608
    "mediaCodecType",	//609
    "mediaDuration",	//610
    "member",	//611
    "mergeConflict",	//612
    "message",	//613
    "metaObject",	//614
    "meteringMode",	//615
    "mimeType",	//616
    "mimeTypeToSerialization",	//617
    "mimeTypeToSerialization$",	//618
    "minCardinality",	//619
    "mode",	//620
    "modified",	//621
    "mountPoint",	//622
    "name",	//623
    "naoNamespace",	//624
    "negativeInteger",	//625
    "newsGroup",	//626
    "next",	//627
    "nextReady",	//628
    "nextReady#",	//629
    "nil",	//630
    "node",	//631
    "nodeIterator",	//632
    "nonNegativeInteger",	//633
    "nrlNamespace",	//634
    "numericRating",	//635
    "object",	//636
    "occupiedSpace",	//637
    "onProperty",	//638
    "oneOf",	//639
    "operator bool",	//640
    "operator!=",	//641
    "operator!=#",	//642
    "operator=",	//643
    "operator=#",	//644
    "operator==",	//645
    "operator==#",	//646
    "operator=?",	//647
    "operator[]",	//648
    "operator[]$",	//649
    "option",	//650
    "orientation",	//651
    "originURL",	//652
    "originalLocation",	//653
    "otherName",	//654
    "owlNamespace",	//655
    "owner",	//656
    "pageCount",	//657
    "paragraphCount",	//658
    "parentModel",	//659
    "parentStatementAdded",	//660
    "parentStatementAdded#",	//661
    "parentStatementRemoved",	//662
    "parentStatementRemoved#",	//663
    "parentStatementsAdded",	//664
    "parentStatementsRemoved",	//665
    "parseFile",	//666
    "parseFile$#$",	//667
    "parseFile$#$$",	//668
    "parseStream",	//669
    "parseStream##$",	//670
    "parseStream##$$",	//671
    "parseString",	//672
    "parseString$#$",	//673
    "parseString$#$$",	//674
    "performInference",	//675
    "performer",	//676
    "permissions",	//677
    "personPhoto",	//678
    "personalIdentifier",	//679
    "phoneNumber",	//680
    "pixelDataBitDepth",	//681
    "pixelDataType",	//682
    "pluginName",	//683
    "pluralPrefLabel",	//684
    "postalAddress",	//685
    "predicate",	//686
    "prefLabel",	//687
    "prefSymbol",	//688
    "prefixes",	//689
    "primaryRecipient",	//690
    "priorVersion",	//691
    "programmingLanguage",	//692
    "properties",	//693
    "qHash",	//694
    "qHash#",	//695
    "qt_metacall",	//696
    "qt_metacall$$?",	//697
    "qt_metacast",	//698
    "qt_metacast$",	//699
    "queryResultIterator",	//700
    "range",	//701
    "range##",	//702
    "rating",	//703
    "rdfNamespace",	//704
    "rdfsNamespace",	//705
    "realizes",	//706
    "receptionTime",	//707
    "recipient",	//708
    "related",	//709
    "remotePassword",	//710
    "remotePort",	//711
    "remoteServer",	//712
    "remoteUser",	//713
    "removeAllStatements",	//714
    "removeAllStatements#",	//715
    "removeAllStatements###",	//716
    "removeAllStatements####",	//717
    "removeAllStatementsAsync",	//718
    "removeAllStatementsAsync#",	//719
    "removeAllStatementsAsync###",	//720
    "removeAllStatementsAsync####",	//721
    "removeContext",	//722
    "removeContext#",	//723
    "removeStatement",	//724
    "removeStatement#",	//725
    "removeStatement###",	//726
    "removeStatement####",	//727
    "removeStatementAsync",	//728
    "removeStatementAsync#",	//729
    "removeStatementAsync###",	//730
    "removeStatementAsync####",	//731
    "removeStatements",	//732
    "removeStatements?",	//733
    "removeStatementsAsync",	//734
    "removeStatementsAsync?",	//735
    "replyTo",	//736
    "resourceToN3",	//737
    "resourceToN3#",	//738
    "rest",	//739
    "resultReady",	//740
    "resultReady#",	//741
    "rowCount",	//742
    "rssFeed",	//743
    "rule",	//744
    "ruleLanguage",	//745
    "sameAs",	//746
    "sampleConfiguration",	//747
    "sampleDataBitDepth",	//748
    "sampleDataType",	//749
    "score",	//750
    "scoreParameter",	//751
    "secondaryRecipient",	//752
    "seeAlso",	//753
    "seenAttachedAs",	//754
    "semanticsDefinedBy",	//755
    "serializationLanguage",	//756
    "serializationMimeType",	//757
    "serializationMimeType$",	//758
    "serializationMimeType$$",	//759
    "serialize",	//760
    "serialize##$",	//761
    "serialize##$$",	//762
    "setCacheTime",	//763
    "setCacheTime$",	//764
    "setCompressedSourceStatements",	//765
    "setCompressedSourceStatements$",	//766
    "setContext",	//767
    "setContext#",	//768
    "setCount",	//769
    "setError",	//770
    "setError#",	//771
    "setError$",	//772
    "setError$$",	//773
    "setMode",	//774
    "setMode$",	//775
    "setObject",	//776
    "setObject#",	//777
    "setOptimizedQueriesEnabled",	//778
    "setOptimizedQueriesEnabled$",	//779
    "setParentModel",	//780
    "setParentModel#",	//781
    "setPluginSearchPath",	//782
    "setPluginSearchPath?",	//783
    "setPluginSearchPath?$",	//784
    "setPredicate",	//785
    "setPredicate#",	//786
    "setRate",	//787
    "setResult",	//788
    "setResult##",	//789
    "setRules",	//790
    "setRules?",	//791
    "setSubject",	//792
    "setSubject#",	//793
    "setUsedBackend",	//794
    "setUsedBackend#",	//795
    "setValue",	//796
    "setValue#",	//797
    "settingInSettings",	//798
    "settingInSettings?",	//799
    "settingInSettings?$",	//800
    "settingInSettings?$$",	//801
    "sha1Hash",	//802
    "silNamespace",	//803
    "size",	//804
    "someValuesFrom",	//805
    "sourceCreated",	//806
    "sourceModified",	//807
    "sourceStatement",	//808
    "statementAdded",	//809
    "statementAdded#",	//810
    "statementCount",	//811
    "statementCountAsync",	//812
    "statementIterator",	//813
    "statementRemoved",	//814
    "statementRemoved#",	//815
    "statementsAdded",	//816
    "statementsRemoved",	//817
    "staticMetaObject",	//818
    "status",	//819
    "storageSize",	//820
    "string",	//821
    "subClassOf",	//822
    "subClassOf#",	//823
    "subClassOf##",	//824
    "subGraphOf",	//825
    "subPropertyOf",	//826
    "subPropertyOf#",	//827
    "subPropertyOf##",	//828
    "subject",	//829
    "summary",	//830
    "superGraphOf",	//831
    "supercedes",	//832
    "supportedFeatures",	//833
    "supportedSerializations",	//834
    "supportedUserFeatures",	//835
    "supportedUserSerializations",	//836
    "supportsFeatures",	//837
    "supportsFeatures$",	//838
    "supportsFeatures$?",	//839
    "supportsSerialization",	//840
    "supportsSerialization$",	//841
    "supportsSerialization$$",	//842
    "targetQuality",	//843
    "time",	//844
    "timerEvent",	//845
    "timerEvent#",	//846
    "title",	//847
    "to",	//848
    "toN3",	//849
    "toParserError",	//850
    "toString",	//851
    "totalSpace",	//852
    "totalUncompressedSize",	//853
    "tr",	//854
    "tr$",	//855
    "tr$$",	//856
    "tr$$$",	//857
    "trUtf8",	//858
    "trUtf8$",	//859
    "trUtf8$$",	//860
    "trUtf8$$$",	//861
    "trackGain",	//862
    "trackNumber",	//863
    "trackPeakGain",	//864
    "type",	//865
    "type##",	//866
    "unionOf",	//867
    "unsignedInt",	//868
    "unsignedLong",	//869
    "unsignedShort",	//870
    "updatable",	//871
    "uri",	//872
    "url",	//873
    "useCount",	//874
    "usedBackend",	//875
    "userComment",	//876
    "userKeyword",	//877
    "userOptionName",	//878
    "userRating",	//879
    "usesNamespace",	//880
    "value",	//881
    "valueInSettings",	//882
    "valueInSettings?$",	//883
    "valueInSettings?$#",	//884
    "valueInSettings?$$",	//885
    "valueInSettingsWithDefault",	//886
    "valueInSettingsWithDefault?$#",	//887
    "version",	//888
    "versionInfo",	//889
    "versionMajor",	//890
    "versionMinor",	//891
    "versionRelease",	//892
    "versionString",	//893
    "verticalResolution",	//894
    "videoBitrate",	//895
    "videoCodec",	//896
    "videoCodecType",	//897
    "viewOn",	//898
    "whiteBalance",	//899
    "width",	//900
    "wordCount",	//901
    "workEmailAddress",	//902
    "workPhoneNumber",	//903
    "workPostalAddress",	//904
    "write",	//905
    "write#",	//906
    "xesam35mmEquivalent",	//907
    "xesamNamespace",	//908
    "xsdDouble",	//909
    "xsdFloat",	//910
    "xsdInt",	//911
    "xsdLong",	//912
    "xsdNamespace",	//913
    "xsdShort",	//914
    "~AsyncModel",	//915
    "~AsyncQuery",	//916
    "~AsyncResult",	//917
    "~Backend",	//918
    "~BackendSetting",	//919
    "~Error",	//920
    "~ErrorCache",	//921
    "~FilterModel",	//922
    "~InferenceModel",	//923
    "~Model",	//924
    "~Node",	//925
    "~NodeIterator",	//926
    "~Parser",	//927
    "~ParserError",	//928
    "~Plugin",	//929
    "~PluginManager",	//930
    "~QueryResultIterator",	//931
    "~RdfSchemaModel",	//932
    "~ReadOnlyModel",	//933
    "~Serializer",	//934
    "~SignalCacheModel",	//935
    "~SimpleNodeIterator",	//936
    "~SimpleStatementIterator",	//937
    "~Statement",	//938
    "~StatementIterator",	//939
    "~StorageModel",	//940
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {4, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {4, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {4, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {4, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {4, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {4, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {4, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {4, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {4, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {4, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {4, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {4, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {4, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {4, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {4, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {4, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {4, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {4, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {4, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {4, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {4, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {4, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {4, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {4, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {4, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {6, 436, 1, 1, Smoke::mf_virtual, 175, 0},	//34 QObject::event(QEvent*)
    {6, 437, 3, 2, Smoke::mf_virtual, 175, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {6, 845, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {6, 317, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {6, 384, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {6, 336, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {6, 409, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {12, 798, 12, 3, Smoke::mf_static, 119, 1},	//41 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 798, 16, 2, Smoke::mf_static, 119, 2},	//42 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 694, 19, 1, Smoke::mf_static, 214, 3},	//43 Soprano::qHash(const Soprano::Node&)
    {12, 410, 21, 2, Smoke::mf_static, 190, 4},	//44 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {12, 410, 24, 1, Smoke::mf_static, 190, 5},	//45 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {12, 694, 26, 1, Smoke::mf_static, 214, 6},	//46 Soprano::qHash(const Soprano::Statement&)
    {12, 617, 28, 1, Smoke::mf_static, 155, 7},	//47 Soprano::mimeTypeToSerialization(const QString&)
    {12, 757, 30, 2, Smoke::mf_static, 17, 8},	//48 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {12, 757, 33, 1, Smoke::mf_static, 17, 9},	//49 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {12, 413, 28, 1, Smoke::mf_static, 190, 10},	//50 Soprano::discoverBackendByName(const QString&)
    {12, 886, 35, 3, Smoke::mf_static, 23, 11},	//51 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {12, 794, 39, 1, Smoke::mf_static, 0, 12},	//52 Soprano::setUsedBackend(const Soprano::Backend*)
    {12, 694, 41, 1, Smoke::mf_static, 214, 13},	//53 Soprano::qHash(const Soprano::LanguageTag&)
    {12, 375, 43, 1, Smoke::mf_static, 138, 14},	//54 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {12, 375, 0, 0, Smoke::mf_static, 138, 15},	//55 Soprano::createModel()
    {12, 882, 45, 3, Smoke::mf_static, 23, 16},	//56 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {12, 882, 49, 2, Smoke::mf_static, 23, 17},	//57 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 798, 52, 3, Smoke::mf_static, 118, 18},	//58 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 798, 56, 2, Smoke::mf_static, 118, 19},	//59 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 798, 49, 2, Smoke::mf_static, 118, 20},	//60 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 798, 43, 1, Smoke::mf_static, 118, 21},	//61 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {12, 527, 52, 3, Smoke::mf_static, 175, 22},	//62 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 527, 56, 2, Smoke::mf_static, 175, 23},	//63 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 893, 0, 0, Smoke::mf_static, 211, 24},	//64 Soprano::versionString()
    {12, 890, 0, 0, Smoke::mf_static, 214, 25},	//65 Soprano::versionMajor()
    {12, 892, 0, 0, Smoke::mf_static, 214, 26},	//66 Soprano::versionRelease()
    {12, 694, 59, 1, Smoke::mf_static, 214, 27},	//67 Soprano::qHash(const Soprano::LiteralValue&)
    {12, 882, 52, 3, Smoke::mf_static, 23, 28},	//68 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 882, 56, 2, Smoke::mf_static, 23, 29},	//69 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 875, 0, 0, Smoke::mf_static, 190, 30},	//70 Soprano::usedBackend()
    {12, 798, 61, 2, Smoke::mf_static, 119, 31},	//71 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {12, 891, 0, 0, Smoke::mf_static, 214, 32},	//72 Soprano::versionMinor()
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 33},	//73 Soprano::BackendFeatureNone (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 34},	//74 Soprano::BackendFeatureAddStatement (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 35},	//75 Soprano::BackendFeatureRemoveStatements (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 36},	//76 Soprano::BackendFeatureListStatements (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 37},	//77 Soprano::BackendFeatureQuery (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 38},	//78 Soprano::BackendFeatureInference (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 39},	//79 Soprano::BackendFeatureInferenceOptional (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 40},	//80 Soprano::BackendFeatureContext (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 41},	//81 Soprano::BackendFeatureStorageMemory (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 42},	//82 Soprano::BackendFeatureAll (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 43},	//83 Soprano::BackendFeatureUser (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 44},	//84 Soprano::BackendOptionNone (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 45},	//85 Soprano::BackendOptionStorageMemory (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 46},	//86 Soprano::BackendOptionEnableInference (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 47},	//87 Soprano::BackendOptionStorageDir (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 48},	//88 Soprano::BackendOptionHost (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 49},	//89 Soprano::BackendOptionPort (enum)
    {12, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 50},	//90 Soprano::BackendOptionUsername (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 51},	//91 Soprano::BackendOptionPassword (enum)
    {12, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 52},	//92 Soprano::BackendOptionUser (enum)
    {12, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 53},	//93 Soprano::SerializationUnknown (enum)
    {12, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 54},	//94 Soprano::SerializationRdfXml (enum)
    {12, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 55},	//95 Soprano::SerializationN3 (enum)
    {12, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 56},	//96 Soprano::SerializationNTriples (enum)
    {12, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 57},	//97 Soprano::SerializationTurtle (enum)
    {12, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 58},	//98 Soprano::SerializationTrig (enum)
    {12, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 59},	//99 Soprano::SerializationNQuads (enum)
    {12, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 60},	//100 Soprano::SerializationUser (enum)
    {13, 12, 28, 1, Smoke::mf_ctor, 115, 1},	//101 Soprano::Backend::Backend(const QString&)
    {13, 375, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 163, 2},	//102 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 392, 43, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 3},	//103 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 4},	//104 Soprano::Backend::supportedFeatures() const [pure virtual]
    {13, 835, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 18, 5},	//105 Soprano::Backend::supportedUserFeatures() const
    {13, 837, 21, 2, Smoke::mf_const, 175, 6},	//106 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {13, 12, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 7},	//107 Soprano::Backend::Backend(const Soprano::Backend&)
    {13, 375, 0, 0, Smoke::mf_const, 163, 8},	//108 Soprano::Backend::createModel() const
    {13, 837, 24, 1, Smoke::mf_const, 175, 9},	//109 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {13, 918, 0, 0, Smoke::mf_dtor, 0, 10 },	//110 Soprano::Backend::~Backend()
    {14, 35, 0, 0, Smoke::mf_ctor, 120, 1},	//111 Soprano::BackendSetting::BackendSetting()
    {14, 35, 66, 1, Smoke::mf_ctor, 120, 2},	//112 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {14, 35, 68, 2, Smoke::mf_ctor, 120, 3},	//113 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {14, 35, 71, 2, Smoke::mf_ctor, 120, 4},	//114 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {14, 35, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 5},	//115 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {14, 643, 74, 1, 0, 119, 6},	//116 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {14, 650, 0, 0, Smoke::mf_const, 117, 7},	//117 Soprano::BackendSetting::option() const
    {14, 878, 0, 0, Smoke::mf_const, 17, 8},	//118 Soprano::BackendSetting::userOptionName() const
    {14, 881, 0, 0, Smoke::mf_const, 23, 9},	//119 Soprano::BackendSetting::value() const
    {14, 796, 76, 1, 0, 0, 10},	//120 Soprano::BackendSetting::setValue(const QVariant&)
    {14, 919, 0, 0, Smoke::mf_dtor, 0, 11 },	//121 Soprano::BackendSetting::~BackendSetting()
    {16, 68, 0, 0, Smoke::mf_ctor, 124, 1},	//122 Soprano::Error::Error::Error()
    {16, 68, 78, 2, Smoke::mf_ctor, 124, 2},	//123 Soprano::Error::Error::Error(const QString&, int)
    {16, 68, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 3},	//124 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {16, 643, 81, 1, 0, 123, 4},	//125 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {16, 640, 0, 0, Smoke::mf_const, 175, 5},	//126 Soprano::Error::Error::operator bool() const
    {16, 613, 0, 0, Smoke::mf_const, 17, 6},	//127 Soprano::Error::Error::message() const
    {16, 323, 0, 0, Smoke::mf_const, 212, 7},	//128 Soprano::Error::Error::code() const
    {16, 530, 0, 0, Smoke::mf_const, 175, 8},	//129 Soprano::Error::Error::isParserError() const
    {16, 850, 0, 0, Smoke::mf_const, 129, 9},	//130 Soprano::Error::Error::toParserError() const
    {16, 68, 83, 1, Smoke::mf_ctor|Smoke::mf_protected, 124, 10},	//131 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {16, 68, 28, 1, Smoke::mf_ctor, 124, 11},	//132 Soprano::Error::Error::Error(const QString&)
    {16, 920, 0, 0, Smoke::mf_dtor, 0, 12 },	//133 Soprano::Error::Error::~Error()
    {17, 564, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 1},	//134 Soprano::Error::ErrorCache::lastError() const
    {17, 72, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 125, 2},	//135 Soprano::Error::ErrorCache::ErrorCache()
    {17, 319, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//136 Soprano::Error::ErrorCache::clearError() const
    {17, 770, 81, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//137 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {17, 770, 78, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//138 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {17, 72, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 6},	//139 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {17, 770, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//140 Soprano::Error::ErrorCache::setError(const QString&) const
    {17, 921, 0, 0, Smoke::mf_dtor, 0, 8 },	//141 Soprano::Error::ErrorCache::~ErrorCache()
    {20, 146, 0, 0, Smoke::mf_ctor, 131, 1},	//142 Soprano::Error::ParserError::ParserError()
    {20, 146, 87, 3, Smoke::mf_ctor, 131, 2},	//143 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {20, 146, 81, 1, Smoke::mf_ctor, 131, 3},	//144 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {20, 643, 81, 1, 0, 130, 4},	//145 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {20, 597, 0, 0, Smoke::mf_const, 128, 5},	//146 Soprano::Error::ParserError::locator() const
    {20, 146, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 6},	//147 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {20, 146, 93, 1, Smoke::mf_ctor, 131, 7},	//148 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {20, 146, 95, 2, Smoke::mf_ctor, 131, 8},	//149 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {20, 928, 0, 0, Smoke::mf_dtor, 0, 9 },	//150 Soprano::Error::ParserError::~ParserError()
    {21, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//151 Soprano::FilterModel::metaObject() const
    {21, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//152 Soprano::FilterModel::qt_metacast(const char*)
    {21, 854, 98, 2, Smoke::mf_static, 17, 3},	//153 Soprano::FilterModel::tr(const char*, const char*)
    {21, 858, 98, 2, Smoke::mf_static, 17, 4},	//154 Soprano::FilterModel::trUtf8(const char*, const char*)
    {21, 854, 101, 3, Smoke::mf_static, 17, 5},	//155 Soprano::FilterModel::tr(const char*, const char*, int)
    {21, 858, 101, 3, Smoke::mf_static, 17, 6},	//156 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {21, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//157 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {21, 780, 109, 1, Smoke::mf_virtual, 0, 8},	//158 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {21, 659, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 138, 9},	//159 Soprano::FilterModel::parentModel() const
    {21, 247, 26, 1, Smoke::mf_virtual, 126, 10},	//160 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {21, 247, 111, 4, 0, 126, 11},	//161 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 724, 26, 1, Smoke::mf_virtual, 126, 12},	//162 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {21, 724, 111, 4, 0, 126, 13},	//163 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 714, 26, 1, Smoke::mf_virtual, 126, 14},	//164 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {21, 714, 111, 4, 0, 126, 15},	//165 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 575, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 16},	//166 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {21, 575, 111, 4, Smoke::mf_const, 160, 17},	//167 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 573, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 18},	//168 Soprano::FilterModel::listContexts() const
    {21, 438, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 150, 19},	//169 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 351, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 20},	//170 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {21, 351, 111, 4, Smoke::mf_const, 175, 21},	//171 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 341, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 22},	//172 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {21, 341, 111, 4, Smoke::mf_const, 175, 23},	//173 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 24},	//174 Soprano::FilterModel::isEmpty() const
    {21, 811, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 212, 25},	//175 Soprano::FilterModel::statementCount() const
    {21, 905, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 126, 26},	//176 Soprano::FilterModel::write(QTextStream&) const
    {21, 368, 0, 0, Smoke::mf_virtual, 139, 27},	//177 Soprano::FilterModel::createBlankNode()
    {21, 714, 0, 0, 0, 126, 28},	//178 Soprano::FilterModel::removeAllStatements()
    {21, 575, 0, 0, Smoke::mf_const, 160, 29},	//179 Soprano::FilterModel::listStatements() const
    {21, 78, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 132, 30},	//180 Soprano::FilterModel::FilterModel()
    {21, 78, 109, 1, Smoke::mf_ctor|Smoke::mf_protected, 132, 31},	//181 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {21, 664, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//182 Soprano::FilterModel::parentStatementsAdded()
    {21, 665, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//183 Soprano::FilterModel::parentStatementsRemoved()
    {21, 660, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//184 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {21, 662, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//185 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {21, 854, 10, 1, Smoke::mf_static, 17, 36},	//186 Soprano::FilterModel::tr(const char*)
    {21, 858, 10, 1, Smoke::mf_static, 17, 37},	//187 Soprano::FilterModel::trUtf8(const char*)
    {21, 247, 122, 3, 0, 126, 38},	//188 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 724, 122, 3, 0, 126, 39},	//189 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 714, 122, 3, 0, 126, 40},	//190 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 575, 122, 3, Smoke::mf_const, 160, 41},	//191 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 438, 126, 2, Smoke::mf_const, 150, 42},	//192 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {21, 351, 122, 3, Smoke::mf_const, 175, 43},	//193 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 341, 122, 3, Smoke::mf_const, 175, 44},	//194 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 45},	//195 Soprano::FilterModel::staticMetaObject() const
    {21, 922, 0, 0, Smoke::mf_dtor, 0, 46 },	//196 Soprano::FilterModel::~FilterModel()
    {22, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//197 Soprano::Inference::InferenceModel::metaObject() const
    {22, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//198 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {22, 854, 98, 2, Smoke::mf_static, 17, 3},	//199 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {22, 858, 98, 2, Smoke::mf_static, 17, 4},	//200 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {22, 854, 101, 3, Smoke::mf_static, 17, 5},	//201 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {22, 858, 101, 3, Smoke::mf_static, 17, 6},	//202 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {22, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//203 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 91, 109, 1, Smoke::mf_ctor, 133, 8},	//204 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {22, 247, 26, 1, Smoke::mf_virtual, 126, 9},	//205 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {22, 724, 26, 1, Smoke::mf_virtual, 126, 10},	//206 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {22, 714, 26, 1, Smoke::mf_virtual, 126, 11},	//207 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {22, 245, 129, 1, 0, 0, 12},	//208 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {22, 790, 131, 1, 0, 0, 13},	//209 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {22, 247, 111, 4, 0, 126, 14},	//210 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 724, 111, 4, 0, 126, 15},	//211 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 714, 111, 4, 0, 126, 16},	//212 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 714, 0, 0, 0, 126, 17},	//213 Soprano::Inference::InferenceModel::removeAllStatements()
    {22, 675, 0, 0, Smoke::mf_slot, 0, 18},	//214 Soprano::Inference::InferenceModel::performInference()
    {22, 320, 0, 0, Smoke::mf_slot, 0, 19},	//215 Soprano::Inference::InferenceModel::clearInference()
    {22, 765, 133, 1, Smoke::mf_slot, 0, 20},	//216 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {22, 778, 133, 1, Smoke::mf_slot, 0, 21},	//217 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {22, 854, 10, 1, Smoke::mf_static, 17, 22},	//218 Soprano::Inference::InferenceModel::tr(const char*)
    {22, 858, 10, 1, Smoke::mf_static, 17, 23},	//219 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {22, 247, 122, 3, 0, 126, 24},	//220 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 724, 122, 3, 0, 126, 25},	//221 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 714, 122, 3, 0, 126, 26},	//222 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 27},	//223 Soprano::Inference::InferenceModel::staticMetaObject() const
    {22, 923, 0, 0, Smoke::mf_dtor, 0, 28 },	//224 Soprano::Inference::InferenceModel::~InferenceModel()
    {26, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//225 Soprano::Model::metaObject() const
    {26, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//226 Soprano::Model::qt_metacast(const char*)
    {26, 854, 98, 2, Smoke::mf_static, 17, 3},	//227 Soprano::Model::tr(const char*, const char*)
    {26, 858, 98, 2, Smoke::mf_static, 17, 4},	//228 Soprano::Model::trUtf8(const char*, const char*)
    {26, 854, 101, 3, Smoke::mf_static, 17, 5},	//229 Soprano::Model::tr(const char*, const char*, int)
    {26, 858, 101, 3, Smoke::mf_static, 17, 6},	//230 Soprano::Model::trUtf8(const char*, const char*, int)
    {26, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//231 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {26, 247, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 126, 8},	//232 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {26, 247, 111, 4, 0, 126, 9},	//233 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 255, 135, 1, 0, 126, 10},	//234 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {26, 724, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 126, 11},	//235 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {26, 724, 111, 4, 0, 126, 12},	//236 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 714, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 126, 13},	//237 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {26, 714, 111, 4, 0, 126, 14},	//238 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 732, 135, 1, 0, 126, 15},	//239 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {26, 722, 19, 1, 0, 126, 16},	//240 Soprano::Model::removeContext(const Soprano::Node&)
    {26, 714, 0, 0, 0, 126, 17},	//241 Soprano::Model::removeAllStatements()
    {26, 575, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 18},	//242 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {26, 575, 111, 4, Smoke::mf_const, 160, 19},	//243 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 575, 0, 0, Smoke::mf_const, 160, 20},	//244 Soprano::Model::listStatements() const
    {26, 583, 19, 1, Smoke::mf_const, 160, 21},	//245 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {26, 573, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 143, 22},	//246 Soprano::Model::listContexts() const [pure virtual]
    {26, 438, 116, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 150, 23},	//247 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {26, 341, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 24},	//248 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {26, 341, 111, 4, Smoke::mf_const, 175, 25},	//249 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 351, 26, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 26},	//250 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {26, 351, 111, 4, Smoke::mf_const, 175, 27},	//251 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 349, 19, 1, Smoke::mf_const, 175, 28},	//252 Soprano::Model::containsContext(const Soprano::Node&) const
    {26, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 29},	//253 Soprano::Model::isEmpty() const [pure virtual]
    {26, 811, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 212, 30},	//254 Soprano::Model::statementCount() const [pure virtual]
    {26, 905, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 126, 31},	//255 Soprano::Model::write(QTextStream&) const
    {26, 368, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 32},	//256 Soprano::Model::createBlankNode() [pure virtual]
    {26, 816, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//257 Soprano::Model::statementsAdded()
    {26, 817, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//258 Soprano::Model::statementsRemoved()
    {26, 809, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//259 Soprano::Model::statementAdded(const Soprano::Statement&)
    {26, 814, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//260 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {26, 124, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 138, 37},	//261 Soprano::Model::Model()
    {26, 854, 10, 1, Smoke::mf_static, 17, 38},	//262 Soprano::Model::tr(const char*)
    {26, 858, 10, 1, Smoke::mf_static, 17, 39},	//263 Soprano::Model::trUtf8(const char*)
    {26, 247, 122, 3, 0, 126, 40},	//264 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 724, 122, 3, 0, 126, 41},	//265 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 714, 122, 3, 0, 126, 42},	//266 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 575, 122, 3, Smoke::mf_const, 160, 43},	//267 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 438, 126, 2, Smoke::mf_const, 150, 44},	//268 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {26, 341, 122, 3, Smoke::mf_const, 175, 45},	//269 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 351, 122, 3, Smoke::mf_const, 175, 46},	//270 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 47},	//271 Soprano::Model::staticMetaObject() const
    {26, 924, 0, 0, Smoke::mf_dtor, 0, 48 },	//272 Soprano::Model::~Model()
    {27, 129, 0, 0, Smoke::mf_ctor, 141, 1},	//273 Soprano::Node::Node()
    {27, 129, 137, 1, Smoke::mf_ctor, 141, 2},	//274 Soprano::Node::Node(const QUrl&)
    {27, 129, 28, 1, Smoke::mf_ctor, 141, 3},	//275 Soprano::Node::Node(const QString&)
    {27, 129, 59, 1, Smoke::mf_ctor, 141, 4},	//276 Soprano::Node::Node(const Soprano::LiteralValue&)
    {27, 129, 139, 2, Smoke::mf_ctor, 141, 5},	//277 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {27, 129, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 6},	//278 Soprano::Node::Node(const Soprano::Node&)
    {27, 643, 19, 1, 0, 140, 7},	//279 Soprano::Node::operator=(const Soprano::Node&)
    {27, 643, 137, 1, 0, 140, 8},	//280 Soprano::Node::operator=(const QUrl&)
    {27, 643, 59, 1, 0, 140, 9},	//281 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {27, 645, 19, 1, Smoke::mf_const, 175, 10},	//282 Soprano::Node::operator==(const Soprano::Node&) const
    {27, 641, 19, 1, Smoke::mf_const, 175, 11},	//283 Soprano::Node::operator!=(const Soprano::Node&) const
    {27, 645, 137, 1, Smoke::mf_const, 175, 12},	//284 Soprano::Node::operator==(const QUrl&) const
    {27, 645, 59, 1, Smoke::mf_const, 175, 13},	//285 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {27, 603, 19, 1, Smoke::mf_const, 175, 14},	//286 Soprano::Node::matches(const Soprano::Node&) const
    {27, 865, 0, 0, Smoke::mf_const, 142, 15},	//287 Soprano::Node::type() const
    {27, 520, 0, 0, Smoke::mf_const, 175, 16},	//288 Soprano::Node::isEmpty() const
    {27, 546, 0, 0, Smoke::mf_const, 175, 17},	//289 Soprano::Node::isValid() const
    {27, 526, 0, 0, Smoke::mf_const, 175, 18},	//290 Soprano::Node::isLiteral() const
    {27, 536, 0, 0, Smoke::mf_const, 175, 19},	//291 Soprano::Node::isResource() const
    {27, 508, 0, 0, Smoke::mf_const, 175, 20},	//292 Soprano::Node::isBlank() const
    {27, 872, 0, 0, Smoke::mf_const, 22, 21},	//293 Soprano::Node::uri() const
    {27, 493, 0, 0, Smoke::mf_const, 17, 22},	//294 Soprano::Node::identifier() const
    {27, 585, 0, 0, Smoke::mf_const, 137, 23},	//295 Soprano::Node::literal() const
    {27, 385, 0, 0, Smoke::mf_const, 22, 24},	//296 Soprano::Node::dataType() const
    {27, 563, 0, 0, Smoke::mf_const, 17, 25},	//297 Soprano::Node::language() const
    {27, 851, 0, 0, Smoke::mf_const, 17, 26},	//298 Soprano::Node::toString() const
    {27, 849, 0, 0, Smoke::mf_const, 17, 27},	//299 Soprano::Node::toN3() const
    {27, 371, 0, 0, Smoke::mf_static, 139, 28},	//300 Soprano::Node::createEmptyNode()
    {27, 377, 137, 1, Smoke::mf_static, 139, 29},	//301 Soprano::Node::createResourceNode(const QUrl&)
    {27, 368, 28, 1, Smoke::mf_static, 139, 30},	//302 Soprano::Node::createBlankNode(const QString&)
    {27, 372, 59, 1, Smoke::mf_static, 139, 31},	//303 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {27, 372, 139, 2, 0, 139, 32},	//304 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {27, 737, 137, 1, Smoke::mf_static, 17, 33},	//305 Soprano::Node::resourceToN3(const QUrl&)
    {27, 300, 28, 1, Smoke::mf_static, 17, 34},	//306 Soprano::Node::blankToN3(const QString&)
    {27, 586, 59, 1, Smoke::mf_static, 17, 35},	//307 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 36},	//308 Soprano::Node::EmptyNode (enum)
    {27, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 37},	//309 Soprano::Node::ResourceNode (enum)
    {27, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 38},	//310 Soprano::Node::LiteralNode (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 39},	//311 Soprano::Node::BlankNode (enum)
    {27, 925, 0, 0, Smoke::mf_dtor, 0, 40 },	//312 Soprano::Node::~Node()
    {28, 133, 0, 0, Smoke::mf_ctor, 145, 1},	//313 Soprano::NodeIterator::NodeIterator()
    {28, 133, 142, 1, Smoke::mf_ctor, 145, 2},	//314 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {28, 133, 144, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//315 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {28, 643, 144, 1, 0, 144, 4},	//316 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {28, 266, 0, 0, 0, 9, 5},	//317 Soprano::NodeIterator::allNodes()
    {28, 926, 0, 0, Smoke::mf_dtor, 0, 6 },	//318 Soprano::NodeIterator::~NodeIterator()
    {29, 834, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 1},	//319 Soprano::Parser::supportedSerializations() const [pure virtual]
    {29, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 18, 2},	//320 Soprano::Parser::supportedUserSerializations() const
    {29, 840, 30, 2, Smoke::mf_const, 175, 3},	//321 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {29, 666, 146, 4, Smoke::mf_const|Smoke::mf_virtual, 160, 4},	//322 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 672, 146, 4, Smoke::mf_const|Smoke::mf_virtual, 160, 5},	//323 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 669, 151, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 6},	//324 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {29, 143, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 7},	//325 Soprano::Parser::Parser(const QString&)
    {29, 143, 156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 8},	//326 Soprano::Parser::Parser(const Soprano::Parser&)
    {29, 840, 33, 1, Smoke::mf_const, 175, 9},	//327 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {29, 666, 158, 3, Smoke::mf_const, 160, 10},	//328 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 672, 158, 3, Smoke::mf_const, 160, 11},	//329 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 669, 162, 3, Smoke::mf_const, 160, 12},	//330 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {29, 927, 0, 0, Smoke::mf_dtor, 0, 13 },	//331 Soprano::Parser::~Parser()
    {30, 683, 0, 0, Smoke::mf_const, 17, 1},	//332 Soprano::Plugin::pluginName() const
    {30, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 2},	//333 Soprano::Plugin::isAvailable() const
    {30, 154, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 3},	//334 Soprano::Plugin::Plugin(const QString&)
    {30, 154, 166, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 4},	//335 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {30, 929, 0, 0, Smoke::mf_dtor, 0, 5 },	//336 Soprano::Plugin::~Plugin()
    {31, 614, 0, 0, Smoke::mf_const, 181, 1},	//337 Soprano::PluginManager::metaObject() const
    {31, 698, 10, 1, 0, 215, 2},	//338 Soprano::PluginManager::qt_metacast(const char*)
    {31, 854, 98, 2, Smoke::mf_static, 17, 3},	//339 Soprano::PluginManager::tr(const char*, const char*)
    {31, 858, 98, 2, Smoke::mf_static, 17, 4},	//340 Soprano::PluginManager::trUtf8(const char*, const char*)
    {31, 854, 101, 3, Smoke::mf_static, 17, 5},	//341 Soprano::PluginManager::tr(const char*, const char*, int)
    {31, 858, 101, 3, Smoke::mf_static, 17, 6},	//342 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {31, 696, 105, 3, 0, 212, 7},	//343 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {31, 782, 168, 2, 0, 0, 8},	//344 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {31, 592, 28, 1, 0, 175, 9},	//345 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {31, 588, 28, 1, 0, 190, 10},	//346 Soprano::PluginManager::loadCustomBackend(const QString&)
    {31, 590, 28, 1, 0, 202, 11},	//347 Soprano::PluginManager::loadCustomParser(const QString&)
    {31, 594, 28, 1, 0, 206, 12},	//348 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {31, 413, 28, 1, 0, 190, 13},	//349 Soprano::PluginManager::discoverBackendByName(const QString&)
    {31, 410, 21, 2, 0, 190, 14},	//350 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {31, 264, 0, 0, 0, 11, 15},	//351 Soprano::PluginManager::allBackends()
    {31, 415, 28, 1, 0, 202, 16},	//352 Soprano::PluginManager::discoverParserByName(const QString&)
    {31, 417, 30, 2, 0, 202, 17},	//353 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 267, 0, 0, 0, 12, 18},	//354 Soprano::PluginManager::allParsers()
    {31, 420, 28, 1, 0, 206, 19},	//355 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {31, 422, 30, 2, 0, 206, 20},	//356 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 268, 0, 0, 0, 13, 21},	//357 Soprano::PluginManager::allSerializers()
    {31, 498, 0, 0, Smoke::mf_static, 148, 22},	//358 Soprano::PluginManager::instance()
    {31, 854, 10, 1, Smoke::mf_static, 17, 23},	//359 Soprano::PluginManager::tr(const char*)
    {31, 858, 10, 1, Smoke::mf_static, 17, 24},	//360 Soprano::PluginManager::trUtf8(const char*)
    {31, 782, 171, 1, 0, 0, 25},	//361 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {31, 410, 24, 1, 0, 190, 26},	//362 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {31, 417, 33, 1, 0, 202, 27},	//363 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {31, 422, 33, 1, 0, 206, 28},	//364 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {31, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 29},	//365 Soprano::PluginManager::staticMetaObject() const
    {31, 930, 0, 0, Smoke::mf_dtor, 0, 30 },	//366 Soprano::PluginManager::~PluginManager()
    {32, 170, 0, 0, Smoke::mf_ctor, 152, 1},	//367 Soprano::QueryResultIterator::QueryResultIterator()
    {32, 170, 173, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 2},	//368 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {32, 170, 175, 1, Smoke::mf_ctor, 152, 3},	//369 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {32, 643, 173, 1, 0, 151, 4},	//370 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {32, 383, 0, 0, Smoke::mf_const, 157, 5},	//371 Soprano::QueryResultIterator::currentStatement() const
    {32, 382, 0, 0, Smoke::mf_const, 121, 6},	//372 Soprano::QueryResultIterator::currentBindings() const
    {32, 303, 0, 0, Smoke::mf_const, 175, 7},	//373 Soprano::QueryResultIterator::boolValue() const
    {32, 648, 177, 1, Smoke::mf_const, 139, 8},	//374 Soprano::QueryResultIterator::operator[](int) const
    {32, 648, 179, 1, Smoke::mf_const, 139, 9},	//375 Soprano::QueryResultIterator::operator[](const QString) const
    {32, 295, 28, 1, Smoke::mf_const, 139, 10},	//376 Soprano::QueryResultIterator::binding(const QString&) const
    {32, 295, 177, 1, Smoke::mf_const, 139, 11},	//377 Soprano::QueryResultIterator::binding(int) const
    {32, 297, 0, 0, Smoke::mf_const, 212, 12},	//378 Soprano::QueryResultIterator::bindingCount() const
    {32, 298, 0, 0, Smoke::mf_const, 18, 13},	//379 Soprano::QueryResultIterator::bindingNames() const
    {32, 523, 0, 0, Smoke::mf_const, 175, 14},	//380 Soprano::QueryResultIterator::isGraph() const
    {32, 507, 0, 0, Smoke::mf_const, 175, 15},	//381 Soprano::QueryResultIterator::isBinding() const
    {32, 509, 0, 0, Smoke::mf_const, 175, 16},	//382 Soprano::QueryResultIterator::isBool() const
    {32, 265, 0, 0, 0, 8, 17},	//383 Soprano::QueryResultIterator::allBindings()
    {32, 553, 0, 0, Smoke::mf_const, 160, 18},	//384 Soprano::QueryResultIterator::iterateStatements() const
    {32, 548, 28, 1, Smoke::mf_const, 143, 19},	//385 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {32, 548, 177, 1, Smoke::mf_const, 143, 20},	//386 Soprano::QueryResultIterator::iterateBindings(int) const
    {32, 554, 181, 5, Smoke::mf_const, 160, 21},	//387 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {32, 554, 187, 3, Smoke::mf_const, 160, 22},	//388 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {32, 554, 191, 4, Smoke::mf_const, 160, 23},	//389 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {32, 931, 0, 0, Smoke::mf_dtor, 0, 24 },	//390 Soprano::QueryResultIterator::~QueryResultIterator()
    {34, 174, 109, 1, Smoke::mf_ctor, 154, 1},	//391 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {34, 318, 0, 0, Smoke::mf_const, 160, 2},	//392 Soprano::RdfSchemaModel::classes() const
    {34, 399, 196, 2, Smoke::mf_const, 160, 3},	//393 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 402, 196, 2, Smoke::mf_const, 160, 4},	//394 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 405, 196, 2, Smoke::mf_const, 160, 5},	//395 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {34, 428, 196, 2, Smoke::mf_const, 160, 6},	//396 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {34, 693, 0, 0, Smoke::mf_const, 160, 7},	//397 Soprano::RdfSchemaModel::properties() const
    {34, 701, 196, 2, Smoke::mf_const, 160, 8},	//398 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {34, 822, 196, 2, Smoke::mf_const, 160, 9},	//399 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 826, 196, 2, Smoke::mf_const, 160, 10},	//400 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 865, 196, 2, Smoke::mf_const, 160, 11},	//401 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {34, 510, 19, 1, Smoke::mf_const, 175, 12},	//402 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {34, 531, 19, 1, Smoke::mf_const, 175, 13},	//403 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {34, 514, 196, 2, Smoke::mf_const, 175, 14},	//404 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 516, 196, 2, Smoke::mf_const, 175, 15},	//405 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 518, 196, 2, Smoke::mf_const, 175, 16},	//406 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {34, 538, 196, 2, Smoke::mf_const, 175, 17},	//407 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 540, 196, 2, Smoke::mf_const, 175, 18},	//408 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 544, 196, 2, Smoke::mf_const, 175, 19},	//409 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {34, 174, 0, 0, Smoke::mf_ctor, 154, 20},	//410 Soprano::RdfSchemaModel::RdfSchemaModel()
    {34, 399, 19, 1, Smoke::mf_const, 160, 21},	//411 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {34, 402, 19, 1, Smoke::mf_const, 160, 22},	//412 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {34, 822, 19, 1, Smoke::mf_const, 160, 23},	//413 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {34, 826, 19, 1, Smoke::mf_const, 160, 24},	//414 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {34, 932, 0, 0, Smoke::mf_dtor, 0, 25 },	//415 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {35, 834, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 1},	//416 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {35, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 18, 2},	//417 Soprano::Serializer::supportedUserSerializations() const
    {35, 840, 30, 2, Smoke::mf_const, 175, 3},	//418 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {35, 760, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 4},	//419 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {35, 243, 204, 2, Smoke::mf_const, 0, 5},	//420 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {35, 321, 0, 0, Smoke::mf_const, 0, 6},	//421 Soprano::Serializer::clearPrefixes() const
    {35, 689, 0, 0, Smoke::mf_const, 6, 7},	//422 Soprano::Serializer::prefixes() const
    {35, 199, 28, 1, Smoke::mf_ctor|Smoke::mf_protected, 156, 8},	//423 Soprano::Serializer::Serializer(const QString&)
    {35, 199, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 9},	//424 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {35, 840, 33, 1, Smoke::mf_const, 175, 10},	//425 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {35, 760, 209, 3, Smoke::mf_const, 175, 11},	//426 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {35, 934, 0, 0, Smoke::mf_dtor, 0, 12 },	//427 Soprano::Serializer::~Serializer()
    {36, 215, 0, 0, Smoke::mf_ctor, 159, 1},	//428 Soprano::Statement::Statement()
    {36, 215, 111, 4, Smoke::mf_ctor, 159, 2},	//429 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 215, 26, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 3},	//430 Soprano::Statement::Statement(const Soprano::Statement&)
    {36, 643, 26, 1, 0, 158, 4},	//431 Soprano::Statement::operator=(const Soprano::Statement&)
    {36, 645, 26, 1, Smoke::mf_const, 175, 5},	//432 Soprano::Statement::operator==(const Soprano::Statement&) const
    {36, 641, 26, 1, Smoke::mf_const, 175, 6},	//433 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {36, 603, 26, 1, Smoke::mf_const, 175, 7},	//434 Soprano::Statement::matches(const Soprano::Statement&) const
    {36, 546, 0, 0, Smoke::mf_const, 175, 8},	//435 Soprano::Statement::isValid() const
    {36, 829, 0, 0, Smoke::mf_const, 139, 9},	//436 Soprano::Statement::subject() const
    {36, 686, 0, 0, Smoke::mf_const, 139, 10},	//437 Soprano::Statement::predicate() const
    {36, 636, 0, 0, Smoke::mf_const, 139, 11},	//438 Soprano::Statement::object() const
    {36, 364, 0, 0, Smoke::mf_const, 139, 12},	//439 Soprano::Statement::context() const
    {36, 792, 19, 1, 0, 0, 13},	//440 Soprano::Statement::setSubject(const Soprano::Node&)
    {36, 785, 19, 1, 0, 0, 14},	//441 Soprano::Statement::setPredicate(const Soprano::Node&)
    {36, 776, 19, 1, 0, 0, 15},	//442 Soprano::Statement::setObject(const Soprano::Node&)
    {36, 767, 19, 1, 0, 0, 16},	//443 Soprano::Statement::setContext(const Soprano::Node&)
    {36, 215, 122, 3, Smoke::mf_ctor, 159, 17},	//444 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 938, 0, 0, Smoke::mf_dtor, 0, 18 },	//445 Soprano::Statement::~Statement()
    {37, 219, 0, 0, Smoke::mf_ctor, 162, 1},	//446 Soprano::StatementIterator::StatementIterator()
    {37, 219, 213, 1, Smoke::mf_ctor, 162, 2},	//447 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {37, 219, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 3},	//448 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {37, 643, 215, 1, 0, 161, 4},	//449 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {37, 269, 0, 0, 0, 10, 5},	//450 Soprano::StatementIterator::allStatements()
    {37, 558, 0, 0, Smoke::mf_const, 143, 6},	//451 Soprano::StatementIterator::iterateSubjects() const
    {37, 552, 0, 0, Smoke::mf_const, 143, 7},	//452 Soprano::StatementIterator::iteratePredicates() const
    {37, 551, 0, 0, Smoke::mf_const, 143, 8},	//453 Soprano::StatementIterator::iterateObjects() const
    {37, 550, 0, 0, Smoke::mf_const, 143, 9},	//454 Soprano::StatementIterator::iterateContexts() const
    {37, 939, 0, 0, Smoke::mf_dtor, 0, 10 },	//455 Soprano::StatementIterator::~StatementIterator()
    {38, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//456 Soprano::StorageModel::metaObject() const
    {38, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//457 Soprano::StorageModel::qt_metacast(const char*)
    {38, 854, 98, 2, Smoke::mf_static, 17, 3},	//458 Soprano::StorageModel::tr(const char*, const char*)
    {38, 858, 98, 2, Smoke::mf_static, 17, 4},	//459 Soprano::StorageModel::trUtf8(const char*, const char*)
    {38, 854, 101, 3, Smoke::mf_static, 17, 5},	//460 Soprano::StorageModel::tr(const char*, const char*, int)
    {38, 858, 101, 3, Smoke::mf_static, 17, 6},	//461 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {38, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//462 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {38, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 8},	//463 Soprano::StorageModel::isEmpty() const
    {38, 351, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 9},	//464 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {38, 341, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 10},	//465 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {38, 714, 26, 1, Smoke::mf_virtual, 126, 11},	//466 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {38, 290, 0, 0, Smoke::mf_const, 190, 12},	//467 Soprano::StorageModel::backend() const
    {38, 714, 111, 4, 0, 126, 13},	//468 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 714, 0, 0, 0, 126, 14},	//469 Soprano::StorageModel::removeAllStatements()
    {38, 351, 111, 4, Smoke::mf_const, 175, 15},	//470 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 341, 111, 4, Smoke::mf_const, 175, 16},	//471 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 222, 39, 1, Smoke::mf_ctor|Smoke::mf_protected, 163, 17},	//472 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {38, 854, 10, 1, Smoke::mf_static, 17, 18},	//473 Soprano::StorageModel::tr(const char*)
    {38, 858, 10, 1, Smoke::mf_static, 17, 19},	//474 Soprano::StorageModel::trUtf8(const char*)
    {38, 714, 122, 3, 0, 126, 20},	//475 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 351, 122, 3, Smoke::mf_const, 175, 21},	//476 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 341, 122, 3, Smoke::mf_const, 175, 22},	//477 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 23},	//478 Soprano::StorageModel::staticMetaObject() const
    {38, 940, 0, 0, Smoke::mf_dtor, 0, 24 },	//479 Soprano::StorageModel::~StorageModel()
    {39, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//480 Soprano::Util::AsyncModel::metaObject() const
    {39, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//481 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {39, 854, 98, 2, Smoke::mf_static, 17, 3},	//482 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {39, 858, 98, 2, Smoke::mf_static, 17, 4},	//483 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {39, 854, 101, 3, Smoke::mf_static, 17, 5},	//484 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {39, 858, 101, 3, Smoke::mf_static, 17, 6},	//485 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {39, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//486 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {39, 8, 109, 1, Smoke::mf_ctor, 164, 8},	//487 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {39, 774, 217, 1, 0, 0, 9},	//488 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {39, 620, 0, 0, Smoke::mf_const, 165, 10},	//489 Soprano::Util::AsyncModel::mode() const
    {39, 251, 26, 1, 0, 167, 11},	//490 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {39, 251, 111, 4, 0, 167, 12},	//491 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 257, 135, 1, 0, 167, 13},	//492 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {39, 728, 26, 1, 0, 167, 14},	//493 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {39, 728, 111, 4, 0, 167, 15},	//494 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 734, 135, 1, 0, 167, 16},	//495 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {39, 718, 26, 1, 0, 167, 17},	//496 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {39, 718, 111, 4, 0, 167, 18},	//497 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 521, 0, 0, Smoke::mf_const, 167, 19},	//498 Soprano::Util::AsyncModel::isEmptyAsync() const
    {39, 812, 0, 0, Smoke::mf_const, 167, 20},	//499 Soprano::Util::AsyncModel::statementCountAsync() const
    {39, 579, 26, 1, Smoke::mf_const, 167, 21},	//500 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {39, 579, 111, 4, Smoke::mf_const, 167, 22},	//501 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 579, 0, 0, Smoke::mf_const, 167, 23},	//502 Soprano::Util::AsyncModel::listStatementsAsync() const
    {39, 574, 0, 0, Smoke::mf_const, 167, 24},	//503 Soprano::Util::AsyncModel::listContextsAsync() const
    {39, 443, 116, 3, Smoke::mf_const, 167, 25},	//504 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 355, 26, 1, Smoke::mf_const, 167, 26},	//505 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {39, 355, 111, 4, Smoke::mf_const, 167, 27},	//506 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 345, 26, 1, Smoke::mf_const, 167, 28},	//507 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {39, 345, 111, 4, Smoke::mf_const, 167, 29},	//508 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 370, 0, 0, 0, 167, 30},	//509 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {39, 575, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 31},	//510 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {39, 573, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 32},	//511 Soprano::Util::AsyncModel::listContexts() const
    {39, 438, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 150, 33},	//512 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 247, 26, 1, Smoke::mf_virtual, 126, 34},	//513 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {39, 247, 111, 4, 0, 126, 35},	//514 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 724, 26, 1, Smoke::mf_virtual, 126, 36},	//515 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {39, 724, 111, 4, 0, 126, 37},	//516 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 714, 26, 1, Smoke::mf_virtual, 126, 38},	//517 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {39, 714, 111, 4, 0, 126, 39},	//518 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 714, 0, 0, 0, 126, 40},	//519 Soprano::Util::AsyncModel::removeAllStatements()
    {39, 575, 111, 4, Smoke::mf_const, 160, 41},	//520 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 575, 0, 0, Smoke::mf_const, 160, 42},	//521 Soprano::Util::AsyncModel::listStatements() const
    {39, 351, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 43},	//522 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {39, 351, 111, 4, Smoke::mf_const, 175, 44},	//523 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 341, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 45},	//524 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {39, 341, 111, 4, Smoke::mf_const, 175, 46},	//525 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 854, 10, 1, Smoke::mf_static, 17, 47},	//526 Soprano::Util::AsyncModel::tr(const char*)
    {39, 858, 10, 1, Smoke::mf_static, 17, 48},	//527 Soprano::Util::AsyncModel::trUtf8(const char*)
    {39, 8, 0, 0, Smoke::mf_ctor, 164, 49},	//528 Soprano::Util::AsyncModel::AsyncModel()
    {39, 251, 122, 3, 0, 167, 50},	//529 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 728, 122, 3, 0, 167, 51},	//530 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 718, 122, 3, 0, 167, 52},	//531 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 579, 122, 3, Smoke::mf_const, 167, 53},	//532 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 443, 126, 2, Smoke::mf_const, 167, 54},	//533 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {39, 355, 122, 3, Smoke::mf_const, 167, 55},	//534 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 345, 122, 3, Smoke::mf_const, 167, 56},	//535 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 438, 126, 2, Smoke::mf_const, 150, 57},	//536 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {39, 247, 122, 3, 0, 126, 58},	//537 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 724, 122, 3, 0, 126, 59},	//538 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 714, 122, 3, 0, 126, 60},	//539 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 575, 122, 3, Smoke::mf_const, 160, 61},	//540 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 351, 122, 3, Smoke::mf_const, 175, 62},	//541 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 341, 122, 3, Smoke::mf_const, 175, 63},	//542 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 64},	//543 Soprano::Util::AsyncModel::staticMetaObject() const
    {39, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 65},	//544 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {39, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 66},	//545 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {39, 915, 0, 0, Smoke::mf_dtor, 0, 67 },	//546 Soprano::Util::AsyncModel::~AsyncModel()
    {40, 614, 0, 0, Smoke::mf_const, 181, 1},	//547 Soprano::Util::AsyncQuery::metaObject() const
    {40, 698, 10, 1, 0, 215, 2},	//548 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {40, 854, 98, 2, Smoke::mf_static, 17, 3},	//549 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {40, 858, 98, 2, Smoke::mf_static, 17, 4},	//550 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {40, 854, 101, 3, Smoke::mf_static, 17, 5},	//551 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {40, 858, 101, 3, Smoke::mf_static, 17, 6},	//552 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {40, 696, 105, 3, 0, 212, 7},	//553 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {40, 383, 0, 0, Smoke::mf_const, 157, 8},	//554 Soprano::Util::AsyncQuery::currentStatement() const
    {40, 382, 0, 0, Smoke::mf_const, 121, 9},	//555 Soprano::Util::AsyncQuery::currentBindings() const
    {40, 303, 0, 0, Smoke::mf_const, 175, 10},	//556 Soprano::Util::AsyncQuery::boolValue() const
    {40, 295, 28, 1, Smoke::mf_const, 139, 11},	//557 Soprano::Util::AsyncQuery::binding(const QString&) const
    {40, 295, 177, 1, Smoke::mf_const, 139, 12},	//558 Soprano::Util::AsyncQuery::binding(int) const
    {40, 297, 0, 0, Smoke::mf_const, 212, 13},	//559 Soprano::Util::AsyncQuery::bindingCount() const
    {40, 298, 0, 0, Smoke::mf_const, 18, 14},	//560 Soprano::Util::AsyncQuery::bindingNames() const
    {40, 523, 0, 0, Smoke::mf_const, 175, 15},	//561 Soprano::Util::AsyncQuery::isGraph() const
    {40, 507, 0, 0, Smoke::mf_const, 175, 16},	//562 Soprano::Util::AsyncQuery::isBinding() const
    {40, 509, 0, 0, Smoke::mf_const, 175, 17},	//563 Soprano::Util::AsyncQuery::isBool() const
    {40, 627, 0, 0, Smoke::mf_slot, 175, 18},	//564 Soprano::Util::AsyncQuery::next()
    {40, 322, 0, 0, Smoke::mf_slot, 0, 19},	//565 Soprano::Util::AsyncQuery::close()
    {40, 628, 219, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//566 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {40, 455, 219, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//567 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {40, 438, 221, 4, Smoke::mf_static, 166, 22},	//568 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {40, 854, 10, 1, Smoke::mf_static, 17, 23},	//569 Soprano::Util::AsyncQuery::tr(const char*)
    {40, 858, 10, 1, Smoke::mf_static, 17, 24},	//570 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {40, 438, 226, 3, Smoke::mf_static, 166, 25},	//571 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {40, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 26},	//572 Soprano::Util::AsyncQuery::staticMetaObject() const
    {40, 916, 0, 0, Smoke::mf_dtor, 0, 27 },	//573 Soprano::Util::AsyncQuery::~AsyncQuery()
    {41, 614, 0, 0, Smoke::mf_const, 181, 1},	//574 Soprano::Util::AsyncResult::metaObject() const
    {41, 698, 10, 1, 0, 215, 2},	//575 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {41, 854, 98, 2, Smoke::mf_static, 17, 3},	//576 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {41, 858, 98, 2, Smoke::mf_static, 17, 4},	//577 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {41, 854, 101, 3, Smoke::mf_static, 17, 5},	//578 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {41, 858, 101, 3, Smoke::mf_static, 17, 6},	//579 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {41, 696, 105, 3, 0, 212, 7},	//580 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {41, 740, 230, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//581 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {41, 379, 0, 0, Smoke::mf_static, 167, 9},	//582 Soprano::Util::AsyncResult::createResult()
    {41, 881, 0, 0, Smoke::mf_const, 23, 10},	//583 Soprano::Util::AsyncResult::value() const
    {41, 435, 0, 0, Smoke::mf_const, 126, 11},	//584 Soprano::Util::AsyncResult::errorCode() const
    {41, 813, 0, 0, Smoke::mf_const, 160, 12},	//585 Soprano::Util::AsyncResult::statementIterator() const
    {41, 632, 0, 0, Smoke::mf_const, 143, 13},	//586 Soprano::Util::AsyncResult::nodeIterator() const
    {41, 700, 0, 0, Smoke::mf_const, 150, 14},	//587 Soprano::Util::AsyncResult::queryResultIterator() const
    {41, 631, 0, 0, Smoke::mf_const, 139, 15},	//588 Soprano::Util::AsyncResult::node() const
    {41, 788, 232, 2, 0, 0, 16},	//589 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {41, 854, 10, 1, Smoke::mf_static, 17, 17},	//590 Soprano::Util::AsyncResult::tr(const char*)
    {41, 858, 10, 1, Smoke::mf_static, 17, 18},	//591 Soprano::Util::AsyncResult::trUtf8(const char*)
    {41, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 19},	//592 Soprano::Util::AsyncResult::staticMetaObject() const
    {41, 917, 0, 0, Smoke::mf_dtor, 0, 20 },	//593 Soprano::Util::AsyncResult::~AsyncResult()
    {42, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//594 Soprano::Util::ReadOnlyModel::metaObject() const
    {42, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//595 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {42, 854, 98, 2, Smoke::mf_static, 17, 3},	//596 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {42, 858, 98, 2, Smoke::mf_static, 17, 4},	//597 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {42, 854, 101, 3, Smoke::mf_static, 17, 5},	//598 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {42, 858, 101, 3, Smoke::mf_static, 17, 6},	//599 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {42, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//600 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {42, 176, 109, 1, Smoke::mf_ctor, 168, 8},	//601 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {42, 780, 109, 1, 0, 0, 9},	//602 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {42, 575, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 10},	//603 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {42, 573, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 11},	//604 Soprano::Util::ReadOnlyModel::listContexts() const
    {42, 438, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 150, 12},	//605 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {42, 351, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 13},	//606 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {42, 341, 26, 1, Smoke::mf_const|Smoke::mf_virtual, 175, 14},	//607 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {42, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 15},	//608 Soprano::Util::ReadOnlyModel::isEmpty() const
    {42, 811, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 212, 16},	//609 Soprano::Util::ReadOnlyModel::statementCount() const
    {42, 247, 26, 1, Smoke::mf_virtual, 126, 17},	//610 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {42, 724, 26, 1, Smoke::mf_virtual, 126, 18},	//611 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {42, 714, 26, 1, Smoke::mf_virtual, 126, 19},	//612 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {42, 368, 0, 0, Smoke::mf_virtual, 139, 20},	//613 Soprano::Util::ReadOnlyModel::createBlankNode()
    {42, 247, 111, 4, 0, 126, 21},	//614 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 724, 111, 4, 0, 126, 22},	//615 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 714, 111, 4, 0, 126, 23},	//616 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 714, 0, 0, 0, 126, 24},	//617 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {42, 575, 111, 4, Smoke::mf_const, 160, 25},	//618 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 575, 0, 0, Smoke::mf_const, 160, 26},	//619 Soprano::Util::ReadOnlyModel::listStatements() const
    {42, 351, 111, 4, Smoke::mf_const, 175, 27},	//620 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 341, 111, 4, Smoke::mf_const, 175, 28},	//621 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 854, 10, 1, Smoke::mf_static, 17, 29},	//622 Soprano::Util::ReadOnlyModel::tr(const char*)
    {42, 858, 10, 1, Smoke::mf_static, 17, 30},	//623 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {42, 176, 0, 0, Smoke::mf_ctor, 168, 31},	//624 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {42, 438, 126, 2, Smoke::mf_const, 150, 32},	//625 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {42, 247, 122, 3, 0, 126, 33},	//626 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 724, 122, 3, 0, 126, 34},	//627 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 714, 122, 3, 0, 126, 35},	//628 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 575, 122, 3, Smoke::mf_const, 160, 36},	//629 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 351, 122, 3, Smoke::mf_const, 175, 37},	//630 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 341, 122, 3, Smoke::mf_const, 175, 38},	//631 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 39},	//632 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {42, 933, 0, 0, Smoke::mf_dtor, 0, 40 },	//633 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {43, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 1},	//634 Soprano::Util::SignalCacheModel::metaObject() const
    {43, 698, 10, 1, Smoke::mf_virtual, 215, 2},	//635 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {43, 854, 98, 2, Smoke::mf_static, 17, 3},	//636 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {43, 858, 98, 2, Smoke::mf_static, 17, 4},	//637 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {43, 854, 101, 3, Smoke::mf_static, 17, 5},	//638 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {43, 858, 101, 3, Smoke::mf_static, 17, 6},	//639 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {43, 696, 105, 3, Smoke::mf_virtual, 212, 7},	//640 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {43, 202, 109, 1, Smoke::mf_ctor, 169, 8},	//641 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {43, 305, 0, 0, Smoke::mf_const, 212, 9},	//642 Soprano::Util::SignalCacheModel::cacheTime() const
    {43, 763, 177, 1, Smoke::mf_slot, 0, 10},	//643 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {43, 664, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//644 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {43, 665, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//645 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {43, 845, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//646 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {43, 854, 10, 1, Smoke::mf_static, 17, 14},	//647 Soprano::Util::SignalCacheModel::tr(const char*)
    {43, 858, 10, 1, Smoke::mf_static, 17, 15},	//648 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {43, 202, 0, 0, Smoke::mf_ctor, 169, 16},	//649 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {43, 818, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 180, 17},	//650 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {43, 935, 0, 0, Smoke::mf_dtor, 0, 18 },	//651 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {44, 204, 0, 0, Smoke::mf_ctor, 171, 1},	//652 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {44, 204, 235, 1, Smoke::mf_ctor, 171, 2},	//653 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {44, 204, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 3},	//654 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {44, 643, 235, 1, 0, 170, 4},	//655 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {44, 643, 237, 1, 0, 170, 5},	//656 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {44, 936, 0, 0, Smoke::mf_dtor, 0, 6 },	//657 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {45, 207, 0, 0, Smoke::mf_ctor, 173, 1},	//658 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {45, 207, 135, 1, Smoke::mf_ctor, 173, 2},	//659 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {45, 207, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 173, 3},	//660 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {45, 643, 135, 1, 0, 172, 4},	//661 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {45, 643, 239, 1, 0, 172, 5},	//662 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {45, 937, 0, 0, Smoke::mf_dtor, 0, 6 },	//663 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {46, 635, 0, 0, Smoke::mf_static, 22, 1},	//664 Soprano::Vocabulary::NAO::numericRating()
    {46, 888, 0, 0, Smoke::mf_static, 22, 2},	//665 Soprano::Vocabulary::NAO::version()
    {46, 542, 0, 0, Smoke::mf_static, 22, 3},	//666 Soprano::Vocabulary::NAO::isTagFor()
    {46, 272, 0, 0, Smoke::mf_static, 22, 4},	//667 Soprano::Vocabulary::NAO::altSymbol()
    {46, 703, 0, 0, Smoke::mf_static, 22, 5},	//668 Soprano::Vocabulary::NAO::rating()
    {46, 684, 0, 0, Smoke::mf_static, 22, 6},	//669 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {46, 273, 0, 0, Smoke::mf_static, 22, 7},	//670 Soprano::Vocabulary::NAO::annotation()
    {46, 751, 0, 0, Smoke::mf_static, 22, 8},	//671 Soprano::Vocabulary::NAO::scoreParameter()
    {46, 543, 0, 0, Smoke::mf_static, 22, 9},	//672 Soprano::Vocabulary::NAO::isTopicOf()
    {46, 397, 0, 0, Smoke::mf_static, 22, 10},	//673 Soprano::Vocabulary::NAO::description()
    {46, 679, 0, 0, Smoke::mf_static, 22, 11},	//674 Soprano::Vocabulary::NAO::personalIdentifier()
    {46, 227, 0, 0, Smoke::mf_static, 22, 12},	//675 Soprano::Vocabulary::NAO::Tag()
    {46, 224, 0, 0, Smoke::mf_static, 22, 13},	//676 Soprano::Vocabulary::NAO::Symbol()
    {46, 819, 0, 0, Smoke::mf_static, 22, 14},	//677 Soprano::Vocabulary::NAO::status()
    {46, 621, 0, 0, Smoke::mf_static, 22, 15},	//678 Soprano::Vocabulary::NAO::modified()
    {46, 478, 0, 0, Smoke::mf_static, 22, 16},	//679 Soprano::Vocabulary::NAO::hasSuperResource()
    {46, 688, 0, 0, Smoke::mf_static, 22, 17},	//680 Soprano::Vocabulary::NAO::prefSymbol()
    {46, 624, 0, 0, Smoke::mf_static, 22, 18},	//681 Soprano::Vocabulary::NAO::naoNamespace()
    {46, 150, 0, 0, Smoke::mf_static, 22, 19},	//682 Soprano::Vocabulary::NAO::Party()
    {46, 565, 0, 0, Smoke::mf_static, 22, 20},	//683 Soprano::Vocabulary::NAO::lastModified()
    {46, 687, 0, 0, Smoke::mf_static, 22, 21},	//684 Soprano::Vocabulary::NAO::prefLabel()
    {46, 479, 0, 0, Smoke::mf_static, 22, 22},	//685 Soprano::Vocabulary::NAO::hasSymbol()
    {46, 365, 0, 0, Smoke::mf_static, 22, 23},	//686 Soprano::Vocabulary::NAO::contributor()
    {46, 380, 0, 0, Smoke::mf_static, 22, 24},	//687 Soprano::Vocabulary::NAO::created()
    {46, 477, 0, 0, Smoke::mf_static, 22, 25},	//688 Soprano::Vocabulary::NAO::hasSubResource()
    {46, 493, 0, 0, Smoke::mf_static, 22, 26},	//689 Soprano::Vocabulary::NAO::identifier()
    {46, 481, 0, 0, Smoke::mf_static, 22, 27},	//690 Soprano::Vocabulary::NAO::hasTopic()
    {46, 491, 0, 0, Smoke::mf_static, 22, 28},	//691 Soprano::Vocabulary::NAO::iconName()
    {46, 474, 0, 0, Smoke::mf_static, 22, 29},	//692 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {46, 535, 0, 0, Smoke::mf_static, 22, 30},	//693 Soprano::Vocabulary::NAO::isRelated()
    {46, 81, 0, 0, Smoke::mf_static, 22, 31},	//694 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {46, 756, 0, 0, Smoke::mf_static, 22, 32},	//695 Soprano::Vocabulary::NAO::serializationLanguage()
    {46, 473, 0, 0, Smoke::mf_static, 22, 33},	//696 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {46, 431, 0, 0, Smoke::mf_static, 22, 34},	//697 Soprano::Vocabulary::NAO::engineeringTool()
    {46, 271, 0, 0, Smoke::mf_static, 22, 35},	//698 Soprano::Vocabulary::NAO::altLabel()
    {46, 480, 0, 0, Smoke::mf_static, 22, 36},	//699 Soprano::Vocabulary::NAO::hasTag()
    {46, 381, 0, 0, Smoke::mf_static, 22, 37},	//700 Soprano::Vocabulary::NAO::creator()
    {46, 750, 0, 0, Smoke::mf_static, 22, 38},	//701 Soprano::Vocabulary::NAO::score()
    {47, 755, 0, 0, Smoke::mf_static, 22, 1},	//702 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {47, 706, 0, 0, Smoke::mf_static, 22, 2},	//703 Soprano::Vocabulary::NRL::realizes()
    {47, 62, 0, 0, Smoke::mf_static, 22, 3},	//704 Soprano::Vocabulary::NRL::DocumentGraph()
    {47, 56, 0, 0, Smoke::mf_static, 22, 4},	//705 Soprano::Vocabulary::NRL::DefaultGraph()
    {47, 619, 0, 0, Smoke::mf_static, 22, 5},	//706 Soprano::Vocabulary::NRL::minCardinality()
    {47, 187, 0, 0, Smoke::mf_static, 22, 6},	//707 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {47, 367, 0, 0, Smoke::mf_static, 22, 7},	//708 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {47, 82, 0, 0, Smoke::mf_static, 22, 8},	//709 Soprano::Vocabulary::NRL::FunctionalProperty()
    {47, 188, 0, 0, Smoke::mf_static, 22, 9},	//710 Soprano::Vocabulary::NRL::Schema()
    {47, 45, 0, 0, Smoke::mf_static, 22, 10},	//711 Soprano::Vocabulary::NRL::Configuration()
    {47, 231, 0, 0, Smoke::mf_static, 22, 11},	//712 Soprano::Vocabulary::NRL::TransitiveProperty()
    {47, 85, 0, 0, Smoke::mf_static, 22, 12},	//713 Soprano::Vocabulary::NRL::GraphView()
    {47, 189, 0, 0, Smoke::mf_static, 22, 13},	//714 Soprano::Vocabulary::NRL::Semantics()
    {47, 504, 0, 0, Smoke::mf_static, 22, 14},	//715 Soprano::Vocabulary::NRL::inverseProperty()
    {47, 139, 0, 0, Smoke::mf_static, 22, 15},	//716 Soprano::Vocabulary::NRL::Ontology()
    {47, 178, 0, 0, Smoke::mf_static, 22, 16},	//717 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {47, 95, 0, 0, Smoke::mf_static, 22, 17},	//718 Soprano::Vocabulary::NRL::KnowledgeBase()
    {47, 475, 0, 0, Smoke::mf_static, 22, 18},	//719 Soprano::Vocabulary::NRL::hasSemantics()
    {47, 471, 0, 0, Smoke::mf_static, 22, 19},	//720 Soprano::Vocabulary::NRL::graphMetadataFor()
    {47, 495, 0, 0, Smoke::mf_static, 22, 20},	//721 Soprano::Vocabulary::NRL::imports()
    {47, 898, 0, 0, Smoke::mf_static, 22, 21},	//722 Soprano::Vocabulary::NRL::viewOn()
    {47, 871, 0, 0, Smoke::mf_static, 22, 22},	//723 Soprano::Vocabulary::NRL::updatable()
    {47, 74, 0, 0, Smoke::mf_static, 22, 23},	//724 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {47, 449, 0, 0, Smoke::mf_static, 22, 24},	//725 Soprano::Vocabulary::NRL::externalRealizer()
    {47, 60, 0, 0, Smoke::mf_static, 22, 25},	//726 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {47, 476, 0, 0, Smoke::mf_static, 22, 26},	//727 Soprano::Vocabulary::NRL::hasSpecification()
    {47, 83, 0, 0, Smoke::mf_static, 22, 27},	//728 Soprano::Vocabulary::NRL::Graph()
    {47, 84, 0, 0, Smoke::mf_static, 22, 28},	//729 Soprano::Vocabulary::NRL::GraphMetadata()
    {47, 433, 0, 0, Smoke::mf_static, 22, 29},	//730 Soprano::Vocabulary::NRL::equivalentGraph()
    {47, 225, 0, 0, Smoke::mf_static, 22, 30},	//731 Soprano::Vocabulary::NRL::SymmetricProperty()
    {47, 93, 0, 0, Smoke::mf_static, 22, 31},	//732 Soprano::Vocabulary::NRL::InstanceBase()
    {47, 605, 0, 0, Smoke::mf_static, 22, 32},	//733 Soprano::Vocabulary::NRL::maxCardinality()
    {47, 745, 0, 0, Smoke::mf_static, 22, 33},	//734 Soprano::Vocabulary::NRL::ruleLanguage()
    {47, 51, 0, 0, Smoke::mf_static, 22, 34},	//735 Soprano::Vocabulary::NRL::Data()
    {47, 634, 0, 0, Smoke::mf_static, 22, 35},	//736 Soprano::Vocabulary::NRL::nrlNamespace()
    {47, 308, 0, 0, Smoke::mf_static, 22, 36},	//737 Soprano::Vocabulary::NRL::cardinality()
    {47, 7, 0, 0, Smoke::mf_static, 22, 37},	//738 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {47, 744, 0, 0, Smoke::mf_static, 22, 38},	//739 Soprano::Vocabulary::NRL::rule()
    {47, 825, 0, 0, Smoke::mf_static, 22, 39},	//740 Soprano::Vocabulary::NRL::subGraphOf()
    {47, 94, 0, 0, Smoke::mf_static, 22, 40},	//741 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {47, 831, 0, 0, Smoke::mf_static, 22, 41},	//742 Soprano::Vocabulary::NRL::superGraphOf()
    {47, 234, 0, 0, Smoke::mf_static, 22, 42},	//743 Soprano::Vocabulary::NRL::ViewSpecification()
    {48, 655, 0, 0, Smoke::mf_static, 22, 1},	//744 Soprano::Vocabulary::OWL::owlNamespace()
    {48, 497, 0, 0, Smoke::mf_static, 22, 2},	//745 Soprano::Vocabulary::OWL::incompatibleWith()
    {48, 4, 0, 0, Smoke::mf_static, 22, 3},	//746 Soprano::Vocabulary::OWL::AnnotationProperty()
    {48, 58, 0, 0, Smoke::mf_static, 22, 4},	//747 Soprano::Vocabulary::OWL::DeprecatedClass()
    {48, 425, 0, 0, Smoke::mf_static, 22, 5},	//748 Soprano::Vocabulary::OWL::disjointWith()
    {48, 53, 0, 0, Smoke::mf_static, 22, 6},	//749 Soprano::Vocabulary::OWL::DataRange()
    {48, 495, 0, 0, Smoke::mf_static, 22, 7},	//750 Soprano::Vocabulary::OWL::imports()
    {48, 140, 0, 0, Smoke::mf_static, 22, 8},	//751 Soprano::Vocabulary::OWL::OntologyProperty()
    {48, 503, 0, 0, Smoke::mf_static, 22, 9},	//752 Soprano::Vocabulary::OWL::inverseOf()
    {48, 136, 0, 0, Smoke::mf_static, 22, 10},	//753 Soprano::Vocabulary::OWL::Nothing()
    {48, 59, 0, 0, Smoke::mf_static, 22, 11},	//754 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {48, 502, 0, 0, Smoke::mf_static, 22, 12},	//755 Soprano::Vocabulary::OWL::intersectionOf()
    {48, 225, 0, 0, Smoke::mf_static, 22, 13},	//756 Soprano::Vocabulary::OWL::SymmetricProperty()
    {48, 184, 0, 0, Smoke::mf_static, 22, 14},	//757 Soprano::Vocabulary::OWL::Restriction()
    {48, 746, 0, 0, Smoke::mf_static, 22, 15},	//758 Soprano::Vocabulary::OWL::sameAs()
    {48, 82, 0, 0, Smoke::mf_static, 22, 16},	//759 Soprano::Vocabulary::OWL::FunctionalProperty()
    {48, 94, 0, 0, Smoke::mf_static, 22, 17},	//760 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {48, 291, 0, 0, Smoke::mf_static, 22, 18},	//761 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {48, 889, 0, 0, Smoke::mf_static, 22, 19},	//762 Soprano::Vocabulary::OWL::versionInfo()
    {48, 432, 0, 0, Smoke::mf_static, 22, 20},	//763 Soprano::Vocabulary::OWL::equivalentClass()
    {48, 426, 0, 0, Smoke::mf_static, 22, 21},	//764 Soprano::Vocabulary::OWL::distinctMembers()
    {48, 639, 0, 0, Smoke::mf_static, 22, 22},	//765 Soprano::Vocabulary::OWL::oneOf()
    {48, 605, 0, 0, Smoke::mf_static, 22, 23},	//766 Soprano::Vocabulary::OWL::maxCardinality()
    {48, 331, 0, 0, Smoke::mf_static, 22, 24},	//767 Soprano::Vocabulary::OWL::complementOf()
    {48, 139, 0, 0, Smoke::mf_static, 22, 25},	//768 Soprano::Vocabulary::OWL::Ontology()
    {48, 691, 0, 0, Smoke::mf_static, 22, 26},	//769 Soprano::Vocabulary::OWL::priorVersion()
    {48, 619, 0, 0, Smoke::mf_static, 22, 27},	//770 Soprano::Vocabulary::OWL::minCardinality()
    {48, 398, 0, 0, Smoke::mf_static, 22, 28},	//771 Soprano::Vocabulary::OWL::differentFrom()
    {48, 867, 0, 0, Smoke::mf_static, 22, 29},	//772 Soprano::Vocabulary::OWL::unionOf()
    {48, 230, 0, 0, Smoke::mf_static, 22, 30},	//773 Soprano::Vocabulary::OWL::Thing()
    {48, 805, 0, 0, Smoke::mf_static, 22, 31},	//774 Soprano::Vocabulary::OWL::someValuesFrom()
    {48, 231, 0, 0, Smoke::mf_static, 22, 32},	//775 Soprano::Vocabulary::OWL::TransitiveProperty()
    {48, 638, 0, 0, Smoke::mf_static, 22, 33},	//776 Soprano::Vocabulary::OWL::onProperty()
    {48, 137, 0, 0, Smoke::mf_static, 22, 34},	//777 Soprano::Vocabulary::OWL::ObjectProperty()
    {48, 434, 0, 0, Smoke::mf_static, 22, 35},	//778 Soprano::Vocabulary::OWL::equivalentProperty()
    {48, 55, 0, 0, Smoke::mf_static, 22, 36},	//779 Soprano::Vocabulary::OWL::DatatypeProperty()
    {48, 308, 0, 0, Smoke::mf_static, 22, 37},	//780 Soprano::Vocabulary::OWL::cardinality()
    {48, 1, 0, 0, Smoke::mf_static, 22, 38},	//781 Soprano::Vocabulary::OWL::AllDifferent()
    {48, 43, 0, 0, Smoke::mf_static, 22, 39},	//782 Soprano::Vocabulary::OWL::Class()
    {48, 482, 0, 0, Smoke::mf_static, 22, 40},	//783 Soprano::Vocabulary::OWL::hasValue()
    {48, 270, 0, 0, Smoke::mf_static, 22, 41},	//784 Soprano::Vocabulary::OWL::allValuesFrom()
    {49, 215, 0, 0, Smoke::mf_static, 22, 1},	//785 Soprano::Vocabulary::RDF::Statement()
    {49, 2, 0, 0, Smoke::mf_static, 22, 2},	//786 Soprano::Vocabulary::RDF::Alt()
    {49, 159, 0, 0, Smoke::mf_static, 22, 3},	//787 Soprano::Vocabulary::RDF::Property()
    {49, 829, 0, 0, Smoke::mf_static, 22, 4},	//788 Soprano::Vocabulary::RDF::subject()
    {49, 457, 0, 0, Smoke::mf_static, 22, 5},	//789 Soprano::Vocabulary::RDF::first()
    {49, 115, 0, 0, Smoke::mf_static, 22, 6},	//790 Soprano::Vocabulary::RDF::List()
    {49, 881, 0, 0, Smoke::mf_static, 22, 7},	//791 Soprano::Vocabulary::RDF::value()
    {49, 190, 0, 0, Smoke::mf_static, 22, 8},	//792 Soprano::Vocabulary::RDF::Seq()
    {49, 636, 0, 0, Smoke::mf_static, 22, 9},	//793 Soprano::Vocabulary::RDF::object()
    {49, 739, 0, 0, Smoke::mf_static, 22, 10},	//794 Soprano::Vocabulary::RDF::rest()
    {49, 686, 0, 0, Smoke::mf_static, 22, 11},	//795 Soprano::Vocabulary::RDF::predicate()
    {49, 39, 0, 0, Smoke::mf_static, 22, 12},	//796 Soprano::Vocabulary::RDF::Bag()
    {49, 237, 0, 0, Smoke::mf_static, 22, 13},	//797 Soprano::Vocabulary::RDF::XMLLiteral()
    {49, 865, 0, 0, Smoke::mf_static, 22, 14},	//798 Soprano::Vocabulary::RDF::type()
    {49, 630, 0, 0, Smoke::mf_static, 22, 15},	//799 Soprano::Vocabulary::RDF::nil()
    {49, 704, 0, 0, Smoke::mf_static, 22, 16},	//800 Soprano::Vocabulary::RDF::rdfNamespace()
    {50, 701, 0, 0, Smoke::mf_static, 22, 1},	//801 Soprano::Vocabulary::RDFS::range()
    {50, 562, 0, 0, Smoke::mf_static, 22, 2},	//802 Soprano::Vocabulary::RDFS::label()
    {50, 611, 0, 0, Smoke::mf_static, 22, 3},	//803 Soprano::Vocabulary::RDFS::member()
    {50, 513, 0, 0, Smoke::mf_static, 22, 4},	//804 Soprano::Vocabulary::RDFS::isDefinedBy()
    {50, 116, 0, 0, Smoke::mf_static, 22, 5},	//805 Soprano::Vocabulary::RDFS::Literal()
    {50, 54, 0, 0, Smoke::mf_static, 22, 6},	//806 Soprano::Vocabulary::RDFS::Datatype()
    {50, 826, 0, 0, Smoke::mf_static, 22, 7},	//807 Soprano::Vocabulary::RDFS::subPropertyOf()
    {50, 327, 0, 0, Smoke::mf_static, 22, 8},	//808 Soprano::Vocabulary::RDFS::comment()
    {50, 822, 0, 0, Smoke::mf_static, 22, 9},	//809 Soprano::Vocabulary::RDFS::subClassOf()
    {50, 428, 0, 0, Smoke::mf_static, 22, 10},	//810 Soprano::Vocabulary::RDFS::domain()
    {50, 49, 0, 0, Smoke::mf_static, 22, 11},	//811 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {50, 705, 0, 0, Smoke::mf_static, 22, 12},	//812 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {50, 182, 0, 0, Smoke::mf_static, 22, 13},	//813 Soprano::Vocabulary::RDFS::Resource()
    {50, 753, 0, 0, Smoke::mf_static, 22, 14},	//814 Soprano::Vocabulary::RDFS::seeAlso()
    {50, 43, 0, 0, Smoke::mf_static, 22, 15},	//815 Soprano::Vocabulary::RDFS::Class()
    {50, 48, 0, 0, Smoke::mf_static, 22, 16},	//816 Soprano::Vocabulary::RDFS::Container()
    {51, 808, 0, 0, Smoke::mf_static, 22, 1},	//817 Soprano::Vocabulary::SIL::sourceStatement()
    {51, 90, 0, 0, Smoke::mf_static, 22, 2},	//818 Soprano::Vocabulary::SIL::InferenceMetaData()
    {51, 803, 0, 0, Smoke::mf_static, 22, 3},	//819 Soprano::Vocabulary::SIL::silNamespace()
    {51, 364, 0, 0, Smoke::mf_static, 22, 4},	//820 Soprano::Vocabulary::SIL::context()
    {51, 89, 0, 0, Smoke::mf_static, 22, 5},	//821 Soprano::Vocabulary::SIL::InferenceGraph()
    {52, 292, 0, 0, Smoke::mf_static, 22, 1},	//822 Soprano::Vocabulary::XMLSchema::base64Binary()
    {52, 909, 0, 0, Smoke::mf_static, 22, 2},	//823 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {52, 868, 0, 0, Smoke::mf_static, 22, 3},	//824 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {52, 304, 0, 0, Smoke::mf_static, 22, 4},	//825 Soprano::Vocabulary::XMLSchema::boolean()
    {52, 870, 0, 0, Smoke::mf_static, 22, 5},	//826 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {52, 387, 0, 0, Smoke::mf_static, 22, 6},	//827 Soprano::Vocabulary::XMLSchema::dateTime()
    {52, 388, 0, 0, Smoke::mf_static, 22, 7},	//828 Soprano::Vocabulary::XMLSchema::decimal()
    {52, 911, 0, 0, Smoke::mf_static, 22, 8},	//829 Soprano::Vocabulary::XMLSchema::xsdInt()
    {52, 913, 0, 0, Smoke::mf_static, 22, 9},	//830 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {52, 625, 0, 0, Smoke::mf_static, 22, 10},	//831 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {52, 869, 0, 0, Smoke::mf_static, 22, 11},	//832 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {52, 844, 0, 0, Smoke::mf_static, 22, 12},	//833 Soprano::Vocabulary::XMLSchema::time()
    {52, 821, 0, 0, Smoke::mf_static, 22, 13},	//834 Soprano::Vocabulary::XMLSchema::string()
    {52, 910, 0, 0, Smoke::mf_static, 22, 14},	//835 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {52, 914, 0, 0, Smoke::mf_static, 22, 15},	//836 Soprano::Vocabulary::XMLSchema::xsdShort()
    {52, 499, 0, 0, Smoke::mf_static, 22, 16},	//837 Soprano::Vocabulary::XMLSchema::integer()
    {52, 912, 0, 0, Smoke::mf_static, 22, 17},	//838 Soprano::Vocabulary::XMLSchema::xsdLong()
    {52, 633, 0, 0, Smoke::mf_static, 22, 18},	//839 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {52, 386, 0, 0, Smoke::mf_static, 22, 19},	//840 Soprano::Vocabulary::XMLSchema::date()
    {53, 690, 0, 0, Smoke::mf_static, 22, 1},	//841 Soprano::Vocabulary::Xesam::primaryRecipient()
    {53, 326, 0, 0, Smoke::mf_static, 22, 2},	//842 Soprano::Vocabulary::Xesam::columnCount()
    {53, 153, 0, 0, Smoke::mf_static, 22, 3},	//843 Soprano::Vocabulary::Xesam::Photo()
    {53, 708, 0, 0, Smoke::mf_static, 22, 4},	//844 Soprano::Vocabulary::Xesam::recipient()
    {53, 66, 0, 0, Smoke::mf_static, 22, 5},	//845 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {53, 904, 0, 0, Smoke::mf_static, 22, 6},	//846 Soprano::Vocabulary::Xesam::workPostalAddress()
    {53, 802, 0, 0, Smoke::mf_static, 22, 7},	//847 Soprano::Vocabulary::Xesam::sha1Hash()
    {53, 483, 0, 0, Smoke::mf_static, 22, 8},	//848 Soprano::Vocabulary::Xesam::height()
    {53, 505, 0, 0, Smoke::mf_static, 22, 9},	//849 Soprano::Vocabulary::Xesam::ircContactMedium()
    {53, 534, 0, 0, Smoke::mf_static, 22, 10},	//850 Soprano::Vocabulary::Xesam::isRead()
    {53, 80, 0, 0, Smoke::mf_static, 22, 11},	//851 Soprano::Vocabulary::Xesam::Folder()
    {53, 289, 0, 0, Smoke::mf_static, 22, 12},	//852 Soprano::Vocabulary::Xesam::autoRating()
    {53, 335, 0, 0, Smoke::mf_static, 22, 13},	//853 Soprano::Vocabulary::Xesam::conflicts()
    {53, 157, 0, 0, Smoke::mf_static, 22, 14},	//854 Soprano::Vocabulary::Xesam::Presentation()
    {53, 570, 0, 0, Smoke::mf_static, 22, 15},	//855 Soprano::Vocabulary::Xesam::licenseType()
    {53, 261, 0, 0, Smoke::mf_static, 22, 16},	//856 Soprano::Vocabulary::Xesam::albumGain()
    {53, 41, 0, 0, Smoke::mf_static, 22, 17},	//857 Soprano::Vocabulary::Xesam::BlockDevice()
    {53, 313, 0, 0, Smoke::mf_static, 22, 18},	//858 Soprano::Vocabulary::Xesam::changeCommitter()
    {53, 299, 0, 0, Smoke::mf_static, 22, 19},	//859 Soprano::Vocabulary::Xesam::birthDate()
    {53, 3, 0, 0, Smoke::mf_static, 22, 20},	//860 Soprano::Vocabulary::Xesam::Annotation()
    {53, 658, 0, 0, Smoke::mf_static, 22, 21},	//861 Soprano::Vocabulary::Xesam::paragraphCount()
    {53, 609, 0, 0, Smoke::mf_static, 22, 22},	//862 Soprano::Vocabulary::Xesam::mediaCodecType()
    {53, 908, 0, 0, Smoke::mf_static, 22, 23},	//863 Soprano::Vocabulary::Xesam::xesamNamespace()
    {53, 569, 0, 0, Smoke::mf_static, 22, 24},	//864 Soprano::Vocabulary::Xesam::license()
    {53, 77, 0, 0, Smoke::mf_static, 22, 25},	//865 Soprano::Vocabulary::Xesam::Filelike()
    {53, 179, 0, 0, Smoke::mf_static, 22, 26},	//866 Soprano::Vocabulary::Xesam::RemoteFile()
    {53, 463, 0, 0, Smoke::mf_static, 22, 27},	//867 Soprano::Vocabulary::Xesam::frameCount()
    {53, 501, 0, 0, Smoke::mf_static, 22, 28},	//868 Soprano::Vocabulary::Xesam::interlaceMode()
    {53, 76, 0, 0, Smoke::mf_static, 22, 29},	//869 Soprano::Vocabulary::Xesam::FileSystem()
    {53, 616, 0, 0, Smoke::mf_static, 22, 30},	//870 Soprano::Vocabulary::Xesam::mimeType()
    {53, 381, 0, 0, Smoke::mf_static, 22, 31},	//871 Soprano::Vocabulary::Xesam::creator()
    {53, 360, 0, 0, Smoke::mf_static, 22, 32},	//872 Soprano::Vocabulary::Xesam::contentCreated()
    {53, 602, 0, 0, Smoke::mf_static, 22, 33},	//873 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {53, 707, 0, 0, Smoke::mf_static, 22, 34},	//874 Soprano::Vocabulary::Xesam::receptionTime()
    {53, 769, 0, 0, Smoke::mf_static, 22, 35},	//875 Soprano::Vocabulary::Xesam::setCount()
    {53, 212, 0, 0, Smoke::mf_static, 22, 36},	//876 Soprano::Vocabulary::Xesam::Source()
    {53, 327, 0, 0, Smoke::mf_static, 22, 37},	//877 Soprano::Vocabulary::Xesam::comment()
    {53, 366, 0, 0, Smoke::mf_static, 22, 38},	//878 Soprano::Vocabulary::Xesam::copyright()
    {53, 233, 0, 0, Smoke::mf_static, 22, 39},	//879 Soprano::Vocabulary::Xesam::Video()
    {53, 901, 0, 0, Smoke::mf_static, 22, 40},	//880 Soprano::Vocabulary::Xesam::wordCount()
    {53, 330, 0, 0, Smoke::mf_static, 22, 41},	//881 Soprano::Vocabulary::Xesam::communicationChannel()
    {53, 472, 0, 0, Smoke::mf_static, 22, 42},	//882 Soprano::Vocabulary::Xesam::group()
    {53, 450, 0, 0, Smoke::mf_static, 22, 43},	//883 Soprano::Vocabulary::Xesam::familyName()
    {53, 596, 0, 0, Smoke::mf_static, 22, 44},	//884 Soprano::Vocabulary::Xesam::localRevision()
    {53, 337, 0, 0, Smoke::mf_static, 22, 45},	//885 Soprano::Vocabulary::Xesam::contactMedium()
    {53, 332, 0, 0, Smoke::mf_static, 22, 46},	//886 Soprano::Vocabulary::Xesam::composer()
    {53, 280, 0, 0, Smoke::mf_static, 22, 47},	//887 Soprano::Vocabulary::Xesam::audioBitrate()
    {53, 685, 0, 0, Smoke::mf_static, 22, 48},	//888 Soprano::Vocabulary::Xesam::postalAddress()
    {53, 610, 0, 0, Smoke::mf_static, 22, 49},	//889 Soprano::Vocabulary::Xesam::mediaDuration()
    {53, 487, 0, 0, Smoke::mf_static, 22, 50},	//890 Soprano::Vocabulary::Xesam::homepageContactURL()
    {53, 873, 0, 0, Smoke::mf_static, 22, 51},	//891 Soprano::Vocabulary::Xesam::url()
    {53, 340, 0, 0, Smoke::mf_static, 22, 52},	//892 Soprano::Vocabulary::Xesam::contains()
    {53, 121, 0, 0, Smoke::mf_static, 22, 53},	//893 Soprano::Vocabulary::Xesam::MediaList()
    {53, 329, 0, 0, Smoke::mf_static, 22, 54},	//894 Soprano::Vocabulary::Xesam::commitDiff()
    {53, 469, 0, 0, Smoke::mf_static, 22, 55},	//895 Soprano::Vocabulary::Xesam::genre()
    {53, 397, 0, 0, Smoke::mf_static, 22, 56},	//896 Soprano::Vocabulary::Xesam::description()
    {53, 407, 0, 0, Smoke::mf_static, 22, 57},	//897 Soprano::Vocabulary::Xesam::discNumber()
    {53, 122, 0, 0, Smoke::mf_static, 22, 58},	//898 Soprano::Vocabulary::Xesam::Message()
    {53, 283, 0, 0, Smoke::mf_static, 22, 59},	//899 Soprano::Vocabulary::Xesam::audioCodecType()
    {53, 141, 0, 0, Smoke::mf_static, 22, 60},	//900 Soprano::Vocabulary::Xesam::Organization()
    {53, 652, 0, 0, Smoke::mf_static, 22, 61},	//901 Soprano::Vocabulary::Xesam::originURL()
    {53, 863, 0, 0, Smoke::mf_static, 22, 62},	//902 Soprano::Vocabulary::Xesam::trackNumber()
    {53, 309, 0, 0, Smoke::mf_static, 22, 63},	//903 Soprano::Vocabulary::Xesam::cc()
    {53, 142, 0, 0, Smoke::mf_static, 22, 64},	//904 Soprano::Vocabulary::Xesam::POP3Message()
    {53, 389, 0, 0, Smoke::mf_static, 22, 65},	//905 Soprano::Vocabulary::Xesam::definesClass()
    {53, 653, 0, 0, Smoke::mf_static, 22, 66},	//906 Soprano::Vocabulary::Xesam::originalLocation()
    {53, 278, 0, 0, Smoke::mf_static, 22, 67},	//907 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {53, 494, 0, 0, Smoke::mf_static, 22, 68},	//908 Soprano::Vocabulary::Xesam::imContactMedium()
    {53, 612, 0, 0, Smoke::mf_static, 22, 69},	//909 Soprano::Vocabulary::Xesam::mergeConflict()
    {53, 454, 0, 0, Smoke::mf_static, 22, 70},	//910 Soprano::Vocabulary::Xesam::fingerprint()
    {53, 489, 0, 0, Smoke::mf_static, 22, 71},	//911 Soprano::Vocabulary::Xesam::honorificSuffix()
    {53, 547, 0, 0, Smoke::mf_static, 22, 72},	//912 Soprano::Vocabulary::Xesam::isoEquivalent()
    {53, 903, 0, 0, Smoke::mf_static, 22, 73},	//913 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {53, 286, 0, 0, Smoke::mf_static, 22, 74},	//914 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {53, 430, 0, 0, Smoke::mf_static, 22, 75},	//915 Soprano::Vocabulary::Xesam::emailAddress()
    {53, 334, 0, 0, Smoke::mf_static, 22, 76},	//916 Soprano::Vocabulary::Xesam::compressionLevel()
    {53, 847, 0, 0, Smoke::mf_static, 22, 77},	//917 Soprano::Vocabulary::Xesam::title()
    {53, 312, 0, 0, Smoke::mf_static, 22, 78},	//918 Soprano::Vocabulary::Xesam::changeCommitTime()
    {53, 120, 0, 0, Smoke::mf_static, 22, 79},	//919 Soprano::Vocabulary::Xesam::Media()
    {53, 447, 0, 0, Smoke::mf_static, 22, 80},	//920 Soprano::Vocabulary::Xesam::exposureProgram()
    {53, 522, 0, 0, Smoke::mf_static, 22, 81},	//921 Soprano::Vocabulary::Xesam::isEncrypted()
    {53, 57, 0, 0, Smoke::mf_static, 22, 82},	//922 Soprano::Vocabulary::Xesam::DeletedFile()
    {53, 622, 0, 0, Smoke::mf_static, 22, 83},	//923 Soprano::Vocabulary::Xesam::mountPoint()
    {53, 453, 0, 0, Smoke::mf_static, 22, 84},	//924 Soprano::Vocabulary::Xesam::fileSystemType()
    {53, 316, 0, 0, Smoke::mf_static, 22, 85},	//925 Soprano::Vocabulary::Xesam::chatRoom()
    {53, 452, 0, 0, Smoke::mf_static, 22, 86},	//926 Soprano::Vocabulary::Xesam::fileExtension()
    {53, 152, 0, 0, Smoke::mf_static, 22, 87},	//927 Soprano::Vocabulary::Xesam::PersonalEmail()
    {53, 451, 0, 0, Smoke::mf_static, 22, 88},	//928 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {53, 42, 0, 0, Smoke::mf_static, 22, 89},	//929 Soprano::Vocabulary::Xesam::Bookmark()
    {53, 123, 0, 0, Smoke::mf_static, 22, 90},	//930 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {53, 496, 0, 0, Smoke::mf_static, 22, 91},	//931 Soprano::Vocabulary::Xesam::inReplyTo()
    {53, 533, 0, 0, Smoke::mf_static, 22, 92},	//932 Soprano::Vocabulary::Xesam::isPublicChannel()
    {53, 608, 0, 0, Smoke::mf_static, 22, 93},	//933 Soprano::Vocabulary::Xesam::mediaCodec()
    {53, 907, 0, 0, Smoke::mf_static, 22, 94},	//934 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {53, 711, 0, 0, Smoke::mf_static, 22, 95},	//935 Soprano::Vocabulary::Xesam::remotePort()
    {53, 747, 0, 0, Smoke::mf_static, 22, 96},	//936 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {53, 654, 0, 0, Smoke::mf_static, 22, 97},	//937 Soprano::Vocabulary::Xesam::otherName()
    {53, 311, 0, 0, Smoke::mf_static, 22, 98},	//938 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {53, 512, 0, 0, Smoke::mf_static, 22, 99},	//939 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {53, 637, 0, 0, Smoke::mf_static, 22, 100},	//940 Soprano::Vocabulary::Xesam::occupiedSpace()
    {53, 10, 0, 0, Smoke::mf_static, 22, 101},	//941 Soprano::Vocabulary::Xesam::Audio()
    {53, 88, 0, 0, Smoke::mf_static, 22, 102},	//942 Soprano::Vocabulary::Xesam::Image()
    {53, 623, 0, 0, Smoke::mf_static, 22, 103},	//943 Soprano::Vocabulary::Xesam::name()
    {53, 11, 0, 0, Smoke::mf_static, 22, 104},	//944 Soprano::Vocabulary::Xesam::AudioList()
    {53, 607, 0, 0, Smoke::mf_static, 22, 105},	//945 Soprano::Vocabulary::Xesam::mediaBitrate()
    {53, 681, 0, 0, Smoke::mf_static, 22, 106},	//946 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {53, 232, 0, 0, Smoke::mf_static, 22, 107},	//947 Soprano::Vocabulary::Xesam::UncategorizedText()
    {53, 324, 0, 0, Smoke::mf_static, 22, 108},	//948 Soprano::Vocabulary::Xesam::colorCount()
    {53, 314, 0, 0, Smoke::mf_static, 22, 109},	//949 Soprano::Vocabulary::Xesam::characterCount()
    {53, 361, 0, 0, Smoke::mf_static, 22, 110},	//950 Soprano::Vocabulary::Xesam::contentKeyword()
    {53, 260, 0, 0, Smoke::mf_static, 22, 111},	//951 Soprano::Vocabulary::Xesam::albumArtist()
    {53, 284, 0, 0, Smoke::mf_static, 22, 112},	//952 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {53, 804, 0, 0, Smoke::mf_static, 22, 113},	//953 Soprano::Vocabulary::Xesam::size()
    {53, 566, 0, 0, Smoke::mf_static, 22, 114},	//954 Soprano::Vocabulary::Xesam::lastRefreshed()
    {53, 897, 0, 0, Smoke::mf_static, 22, 115},	//955 Soprano::Vocabulary::Xesam::videoCodecType()
    {53, 713, 0, 0, Smoke::mf_static, 22, 116},	//956 Soprano::Vocabulary::Xesam::remoteUser()
    {53, 458, 0, 0, Smoke::mf_static, 22, 117},	//957 Soprano::Vocabulary::Xesam::firstUsed()
    {53, 879, 0, 0, Smoke::mf_static, 22, 118},	//958 Soprano::Vocabulary::Xesam::userRating()
    {53, 807, 0, 0, Smoke::mf_static, 22, 119},	//959 Soprano::Vocabulary::Xesam::sourceModified()
    {53, 615, 0, 0, Smoke::mf_static, 22, 120},	//960 Soprano::Vocabulary::Xesam::meteringMode()
    {53, 899, 0, 0, Smoke::mf_static, 22, 121},	//961 Soprano::Vocabulary::Xesam::whiteBalance()
    {53, 86, 0, 0, Smoke::mf_static, 22, 122},	//962 Soprano::Vocabulary::Xesam::IMAP4Message()
    {53, 606, 0, 0, Smoke::mf_static, 22, 123},	//963 Soprano::Vocabulary::Xesam::md5Hash()
    {53, 464, 0, 0, Smoke::mf_static, 22, 124},	//964 Soprano::Vocabulary::Xesam::frameRate()
    {53, 561, 0, 0, Smoke::mf_static, 22, 125},	//965 Soprano::Vocabulary::Xesam::knows()
    {53, 600, 0, 0, Smoke::mf_static, 22, 126},	//966 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {53, 181, 0, 0, Smoke::mf_static, 22, 127},	//967 Soprano::Vocabulary::Xesam::RemoteResource()
    {53, 242, 0, 0, Smoke::mf_static, 22, 128},	//968 Soprano::Vocabulary::Xesam::acl()
    {53, 525, 0, 0, Smoke::mf_static, 22, 129},	//969 Soprano::Vocabulary::Xesam::isInProgress()
    {53, 877, 0, 0, Smoke::mf_static, 22, 130},	//970 Soprano::Vocabulary::Xesam::userKeyword()
    {53, 338, 0, 0, Smoke::mf_static, 22, 131},	//971 Soprano::Vocabulary::Xesam::contactNick()
    {53, 490, 0, 0, Smoke::mf_static, 22, 132},	//972 Soprano::Vocabulary::Xesam::horizontalResolution()
    {53, 895, 0, 0, Smoke::mf_static, 22, 133},	//973 Soprano::Vocabulary::Xesam::videoBitrate()
    {53, 47, 0, 0, Smoke::mf_static, 22, 134},	//974 Soprano::Vocabulary::Xesam::ContactGroup()
    {53, 568, 0, 0, Smoke::mf_static, 22, 135},	//975 Soprano::Vocabulary::Xesam::legal()
    {53, 87, 0, 0, Smoke::mf_static, 22, 136},	//976 Soprano::Vocabulary::Xesam::IMMessage()
    {53, 894, 0, 0, Smoke::mf_static, 22, 137},	//977 Soprano::Vocabulary::Xesam::verticalResolution()
    {53, 465, 0, 0, Smoke::mf_static, 22, 138},	//978 Soprano::Vocabulary::Xesam::freeSpace()
    {53, 742, 0, 0, Smoke::mf_static, 22, 139},	//979 Soprano::Vocabulary::Xesam::rowCount()
    {53, 692, 0, 0, Smoke::mf_static, 22, 140},	//980 Soprano::Vocabulary::Xesam::programmingLanguage()
    {53, 391, 0, 0, Smoke::mf_static, 22, 141},	//981 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {53, 853, 0, 0, Smoke::mf_static, 22, 142},	//982 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {53, 50, 0, 0, Smoke::mf_static, 22, 143},	//983 Soprano::Vocabulary::Xesam::Content()
    {53, 281, 0, 0, Smoke::mf_static, 22, 144},	//984 Soprano::Vocabulary::Xesam::audioChannels()
    {53, 446, 0, 0, Smoke::mf_static, 22, 145},	//985 Soprano::Vocabulary::Xesam::exposureBias()
    {53, 307, 0, 0, Smoke::mf_static, 22, 146},	//986 Soprano::Vocabulary::Xesam::cameraModel()
    {53, 448, 0, 0, Smoke::mf_static, 22, 147},	//987 Soprano::Vocabulary::Xesam::exposureTime()
    {53, 394, 0, 0, Smoke::mf_static, 22, 148},	//988 Soprano::Vocabulary::Xesam::deletionTime()
    {53, 560, 0, 0, Smoke::mf_static, 22, 149},	//989 Soprano::Vocabulary::Xesam::keyword()
    {53, 874, 0, 0, Smoke::mf_static, 22, 150},	//990 Soprano::Vocabulary::Xesam::useCount()
    {53, 864, 0, 0, Smoke::mf_static, 22, 151},	//991 Soprano::Vocabulary::Xesam::trackPeakGain()
    {53, 466, 0, 0, Smoke::mf_static, 22, 152},	//992 Soprano::Vocabulary::Xesam::gender()
    {53, 862, 0, 0, Smoke::mf_static, 22, 153},	//993 Soprano::Vocabulary::Xesam::trackGain()
    {53, 229, 0, 0, Smoke::mf_static, 22, 154},	//994 Soprano::Vocabulary::Xesam::TextDocument()
    {53, 601, 0, 0, Smoke::mf_static, 22, 155},	//995 Soprano::Vocabulary::Xesam::maintainer()
    {53, 709, 0, 0, Smoke::mf_static, 22, 156},	//996 Soprano::Vocabulary::Xesam::related()
    {53, 852, 0, 0, Smoke::mf_static, 22, 157},	//997 Soprano::Vocabulary::Xesam::totalSpace()
    {53, 173, 0, 0, Smoke::mf_static, 22, 158},	//998 Soprano::Vocabulary::Xesam::RSSMessage()
    {53, 306, 0, 0, Smoke::mf_static, 22, 159},	//999 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {53, 900, 0, 0, Smoke::mf_static, 22, 160},	//1000 Soprano::Vocabulary::Xesam::width()
    {53, 736, 0, 0, Smoke::mf_static, 22, 161},	//1001 Soprano::Vocabulary::Xesam::replyTo()
    {53, 656, 0, 0, Smoke::mf_static, 22, 162},	//1002 Soprano::Vocabulary::Xesam::owner()
    {53, 138, 0, 0, Smoke::mf_static, 22, 163},	//1003 Soprano::Vocabulary::Xesam::OfflineMedia()
    {53, 848, 0, 0, Smoke::mf_static, 22, 164},	//1004 Soprano::Vocabulary::Xesam::to()
    {53, 787, 0, 0, Smoke::mf_static, 22, 165},	//1005 Soprano::Vocabulary::Xesam::setRate()
    {53, 186, 0, 0, Smoke::mf_static, 22, 166},	//1006 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {53, 485, 0, 0, Smoke::mf_static, 22, 167},	//1007 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {53, 500, 0, 0, Smoke::mf_static, 22, 168},	//1008 Soprano::Vocabulary::Xesam::interest()
    {53, 288, 0, 0, Smoke::mf_static, 22, 169},	//1009 Soprano::Vocabulary::Xesam::author()
    {53, 572, 0, 0, Smoke::mf_static, 22, 170},	//1010 Soprano::Vocabulary::Xesam::links()
    {53, 211, 0, 0, Smoke::mf_static, 22, 171},	//1011 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {53, 128, 0, 0, Smoke::mf_static, 22, 172},	//1012 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {53, 64, 0, 0, Smoke::mf_static, 22, 173},	//1013 Soprano::Vocabulary::Xesam::Email()
    {53, 282, 0, 0, Smoke::mf_static, 22, 174},	//1014 Soprano::Vocabulary::Xesam::audioCodec()
    {53, 235, 0, 0, Smoke::mf_static, 22, 175},	//1015 Soprano::Vocabulary::Xesam::Visual()
    {53, 829, 0, 0, Smoke::mf_static, 22, 176},	//1016 Soprano::Vocabulary::Xesam::subject()
    {53, 626, 0, 0, Smoke::mf_static, 22, 177},	//1017 Soprano::Vocabulary::Xesam::newsGroup()
    {53, 524, 0, 0, Smoke::mf_static, 22, 178},	//1018 Soprano::Vocabulary::Xesam::isImportant()
    {53, 486, 0, 0, Smoke::mf_static, 22, 179},	//1019 Soprano::Vocabulary::Xesam::homePostalAddress()
    {53, 567, 0, 0, Smoke::mf_static, 22, 180},	//1020 Soprano::Vocabulary::Xesam::lastUsed()
    {53, 263, 0, 0, Smoke::mf_static, 22, 181},	//1021 Soprano::Vocabulary::Xesam::albumTrackCount()
    {53, 315, 0, 0, Smoke::mf_static, 22, 182},	//1022 Soprano::Vocabulary::Xesam::charset()
    {53, 832, 0, 0, Smoke::mf_static, 22, 183},	//1023 Soprano::Vocabulary::Xesam::supercedes()
    {53, 876, 0, 0, Smoke::mf_static, 22, 184},	//1024 Soprano::Vocabulary::Xesam::userComment()
    {53, 468, 0, 0, Smoke::mf_static, 22, 185},	//1025 Soprano::Vocabulary::Xesam::generatorOptions()
    {53, 427, 0, 0, Smoke::mf_static, 22, 186},	//1026 Soprano::Vocabulary::Xesam::documentCategory()
    {53, 820, 0, 0, Smoke::mf_static, 22, 187},	//1027 Soprano::Vocabulary::Xesam::storageSize()
    {53, 396, 0, 0, Smoke::mf_static, 22, 188},	//1028 Soprano::Vocabulary::Xesam::derivedFrom()
    {53, 598, 0, 0, Smoke::mf_static, 22, 189},	//1029 Soprano::Vocabulary::Xesam::lyricist()
    {53, 226, 0, 0, Smoke::mf_static, 22, 190},	//1030 Soprano::Vocabulary::Xesam::SystemResource()
    {53, 651, 0, 0, Smoke::mf_static, 22, 191},	//1031 Soprano::Vocabulary::Xesam::orientation()
    {53, 302, 0, 0, Smoke::mf_static, 22, 192},	//1032 Soprano::Vocabulary::Xesam::blogContactURL()
    {53, 277, 0, 0, Smoke::mf_static, 22, 193},	//1033 Soprano::Vocabulary::Xesam::aspectRatio()
    {53, 325, 0, 0, Smoke::mf_static, 22, 194},	//1034 Soprano::Vocabulary::Xesam::colorSpace()
    {53, 395, 0, 0, Smoke::mf_static, 22, 195},	//1035 Soprano::Vocabulary::Xesam::depends()
    {53, 285, 0, 0, Smoke::mf_static, 22, 196},	//1036 Soprano::Vocabulary::Xesam::audioSampleCount()
    {53, 682, 0, 0, Smoke::mf_static, 22, 197},	//1037 Soprano::Vocabulary::Xesam::pixelDataType()
    {53, 328, 0, 0, Smoke::mf_static, 22, 198},	//1038 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {53, 363, 0, 0, Smoke::mf_static, 22, 199},	//1039 Soprano::Vocabulary::Xesam::contentType()
    {53, 657, 0, 0, Smoke::mf_static, 22, 200},	//1040 Soprano::Vocabulary::Xesam::pageCount()
    {53, 880, 0, 0, Smoke::mf_static, 22, 201},	//1041 Soprano::Vocabulary::Xesam::usesNamespace()
    {53, 461, 0, 0, Smoke::mf_static, 22, 202},	//1042 Soprano::Vocabulary::Xesam::focusDistance()
    {53, 563, 0, 0, Smoke::mf_static, 22, 203},	//1043 Soprano::Vocabulary::Xesam::language()
    {53, 830, 0, 0, Smoke::mf_static, 22, 204},	//1044 Soprano::Vocabulary::Xesam::summary()
    {53, 408, 0, 0, Smoke::mf_static, 22, 205},	//1045 Soprano::Vocabulary::Xesam::disclaimer()
    {53, 677, 0, 0, Smoke::mf_static, 22, 206},	//1046 Soprano::Vocabulary::Xesam::permissions()
    {53, 712, 0, 0, Smoke::mf_static, 22, 207},	//1047 Soprano::Vocabulary::Xesam::remoteServer()
    {53, 126, 0, 0, Smoke::mf_static, 22, 208},	//1048 Soprano::Vocabulary::Xesam::Music()
    {53, 294, 0, 0, Smoke::mf_static, 22, 209},	//1049 Soprano::Vocabulary::Xesam::bcc()
    {53, 127, 0, 0, Smoke::mf_static, 22, 210},	//1050 Soprano::Vocabulary::Xesam::NewsGroup()
    {53, 680, 0, 0, Smoke::mf_static, 22, 211},	//1051 Soprano::Vocabulary::Xesam::phoneNumber()
    {53, 460, 0, 0, Smoke::mf_static, 22, 212},	//1052 Soprano::Vocabulary::Xesam::focalLength()
    {53, 119, 0, 0, Smoke::mf_static, 22, 213},	//1053 Soprano::Vocabulary::Xesam::MailingListEmail()
    {53, 228, 0, 0, Smoke::mf_static, 22, 214},	//1054 Soprano::Vocabulary::Xesam::Text()
    {53, 259, 0, 0, Smoke::mf_static, 22, 215},	//1055 Soprano::Vocabulary::Xesam::album()
    {53, 262, 0, 0, Smoke::mf_static, 22, 216},	//1056 Soprano::Vocabulary::Xesam::albumPeakGain()
    {53, 459, 0, 0, Smoke::mf_static, 22, 217},	//1057 Soprano::Vocabulary::Xesam::flashUsed()
    {53, 46, 0, 0, Smoke::mf_static, 22, 218},	//1058 Soprano::Vocabulary::Xesam::Contact()
    {53, 492, 0, 0, Smoke::mf_static, 22, 219},	//1059 Soprano::Vocabulary::Xesam::id()
    {53, 52, 0, 0, Smoke::mf_static, 22, 220},	//1060 Soprano::Vocabulary::Xesam::DataObject()
    {53, 333, 0, 0, Smoke::mf_static, 22, 221},	//1061 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {53, 710, 0, 0, Smoke::mf_static, 22, 222},	//1062 Soprano::Vocabulary::Xesam::remotePassword()
    {53, 180, 0, 0, Smoke::mf_static, 22, 223},	//1063 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {53, 390, 0, 0, Smoke::mf_static, 22, 224},	//1064 Soprano::Vocabulary::Xesam::definesFunction()
    {53, 467, 0, 0, Smoke::mf_static, 22, 225},	//1065 Soprano::Vocabulary::Xesam::generator()
    {53, 743, 0, 0, Smoke::mf_static, 22, 226},	//1066 Soprano::Vocabulary::Xesam::rssFeed()
    {53, 287, 0, 0, Smoke::mf_static, 22, 227},	//1067 Soprano::Vocabulary::Xesam::audioSampleRate()
    {53, 118, 0, 0, Smoke::mf_static, 22, 228},	//1068 Soprano::Vocabulary::Xesam::MailingList()
    {53, 843, 0, 0, Smoke::mf_static, 22, 229},	//1069 Soprano::Vocabulary::Xesam::targetQuality()
    {53, 213, 0, 0, Smoke::mf_static, 22, 230},	//1070 Soprano::Vocabulary::Xesam::SourceCode()
    {53, 748, 0, 0, Smoke::mf_static, 22, 231},	//1071 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {53, 75, 0, 0, Smoke::mf_static, 22, 232},	//1072 Soprano::Vocabulary::Xesam::File()
    {53, 470, 0, 0, Smoke::mf_static, 22, 233},	//1073 Soprano::Vocabulary::Xesam::givenName()
    {53, 678, 0, 0, Smoke::mf_static, 22, 234},	//1074 Soprano::Vocabulary::Xesam::personPhoto()
    {53, 365, 0, 0, Smoke::mf_static, 22, 235},	//1075 Soprano::Vocabulary::Xesam::contributor()
    {53, 275, 0, 0, Smoke::mf_static, 22, 236},	//1076 Soprano::Vocabulary::Xesam::artist()
    {53, 214, 0, 0, Smoke::mf_static, 22, 237},	//1077 Soprano::Vocabulary::Xesam::Spreadsheet()
    {53, 339, 0, 0, Smoke::mf_static, 22, 238},	//1078 Soprano::Vocabulary::Xesam::contactURL()
    {53, 274, 0, 0, Smoke::mf_static, 22, 239},	//1079 Soprano::Vocabulary::Xesam::aperture()
    {53, 488, 0, 0, Smoke::mf_static, 22, 240},	//1080 Soprano::Vocabulary::Xesam::honorificPrefix()
    {53, 279, 0, 0, Smoke::mf_static, 22, 241},	//1081 Soprano::Vocabulary::Xesam::audioBPM()
    {53, 310, 0, 0, Smoke::mf_static, 22, 242},	//1082 Soprano::Vocabulary::Xesam::ccdWidth()
    {53, 537, 0, 0, Smoke::mf_static, 22, 243},	//1083 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {53, 559, 0, 0, Smoke::mf_static, 22, 244},	//1084 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {53, 63, 0, 0, Smoke::mf_static, 22, 245},	//1085 Soprano::Vocabulary::Xesam::Documentation()
    {53, 236, 0, 0, Smoke::mf_static, 22, 246},	//1086 Soprano::Vocabulary::Xesam::XML()
    {53, 185, 0, 0, Smoke::mf_static, 22, 247},	//1087 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {53, 293, 0, 0, Smoke::mf_static, 22, 248},	//1088 Soprano::Vocabulary::Xesam::baseRevisionID()
    {53, 5, 0, 0, Smoke::mf_static, 22, 249},	//1089 Soprano::Vocabulary::Xesam::Archive()
    {53, 276, 0, 0, Smoke::mf_static, 22, 250},	//1090 Soprano::Vocabulary::Xesam::asText()
    {53, 44, 0, 0, Smoke::mf_static, 22, 251},	//1091 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {53, 484, 0, 0, Smoke::mf_static, 22, 252},	//1092 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {53, 902, 0, 0, Smoke::mf_static, 22, 253},	//1093 Soprano::Vocabulary::Xesam::workEmailAddress()
    {53, 362, 0, 0, Smoke::mf_static, 22, 254},	//1094 Soprano::Vocabulary::Xesam::contentModified()
    {53, 172, 0, 0, Smoke::mf_static, 22, 255},	//1095 Soprano::Vocabulary::Xesam::RSSFeed()
    {53, 61, 0, 0, Smoke::mf_static, 22, 256},	//1096 Soprano::Vocabulary::Xesam::Document()
    {53, 599, 0, 0, Smoke::mf_static, 22, 257},	//1097 Soprano::Vocabulary::Xesam::mailingList()
    {53, 571, 0, 0, Smoke::mf_static, 22, 258},	//1098 Soprano::Vocabulary::Xesam::lineCount()
    {53, 676, 0, 0, Smoke::mf_static, 22, 259},	//1099 Soprano::Vocabulary::Xesam::performer()
    {53, 6, 0, 0, Smoke::mf_static, 22, 260},	//1100 Soprano::Vocabulary::Xesam::ArchivedFile()
    {53, 65, 0, 0, Smoke::mf_static, 22, 261},	//1101 Soprano::Vocabulary::Xesam::EmailAttachment()
    {53, 359, 0, 0, Smoke::mf_static, 22, 262},	//1102 Soprano::Vocabulary::Xesam::contentComment()
    {53, 752, 0, 0, Smoke::mf_static, 22, 263},	//1103 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {53, 462, 0, 0, Smoke::mf_static, 22, 264},	//1104 Soprano::Vocabulary::Xesam::formatSubtype()
    {53, 158, 0, 0, Smoke::mf_static, 22, 265},	//1105 Soprano::Vocabulary::Xesam::Project()
    {53, 754, 0, 0, Smoke::mf_static, 22, 266},	//1106 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {53, 806, 0, 0, Smoke::mf_static, 22, 267},	//1107 Soprano::Vocabulary::Xesam::sourceCreated()
    {53, 227, 0, 0, Smoke::mf_static, 22, 268},	//1108 Soprano::Vocabulary::Xesam::Tag()
    {53, 888, 0, 0, Smoke::mf_static, 22, 269},	//1109 Soprano::Vocabulary::Xesam::version()
    {53, 896, 0, 0, Smoke::mf_static, 22, 270},	//1110 Soprano::Vocabulary::Xesam::videoCodec()
    {53, 749, 0, 0, Smoke::mf_static, 22, 271},	//1111 Soprano::Vocabulary::Xesam::sampleDataType()
    {53, 151, 0, 0, Smoke::mf_static, 22, 272},	//1112 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    557,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    558,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    113,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    114,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    368,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    369,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    376,  // Soprano::QueryResultIterator::binding(const QString&) const
    377,  // Soprano::QueryResultIterator::binding(int) const
    0,
    385,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    386,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    374,  // Soprano::QueryResultIterator::operator[](int) const
    375,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    43,  // Soprano::qHash(const Soprano::Node&)
    46,  // Soprano::qHash(const Soprano::Statement&)
    53,  // Soprano::qHash(const Soprano::LanguageTag&)
    67,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    42,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    59,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    60,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    71,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    41,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    58,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    57,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    69,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
    144,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    147,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    148,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    124,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    131,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    274,  // Soprano::Node::Node(const QUrl&)
    276,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    278,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    279,  // Soprano::Node::operator=(const Soprano::Node&)
    280,  // Soprano::Node::operator=(const QUrl&)
    281,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    282,  // Soprano::Node::operator==(const Soprano::Node&) const
    284,  // Soprano::Node::operator==(const QUrl&) const
    285,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 96, 13},	// QGlobalSpace::LicensedActiveQt
    {4, 97, 19},	// QGlobalSpace::LicensedCore
    {4, 98, 11},	// QGlobalSpace::LicensedDBus
    {4, 99, 16},	// QGlobalSpace::LicensedDeclarative
    {4, 100, 6},	// QGlobalSpace::LicensedGui
    {4, 101, 25},	// QGlobalSpace::LicensedHelp
    {4, 102, 26},	// QGlobalSpace::LicensedMultimedia
    {4, 103, 29},	// QGlobalSpace::LicensedNetwork
    {4, 104, 18},	// QGlobalSpace::LicensedOpenGL
    {4, 105, 10},	// QGlobalSpace::LicensedOpenVG
    {4, 106, 27},	// QGlobalSpace::LicensedQt3Support
    {4, 107, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {4, 108, 9},	// QGlobalSpace::LicensedScript
    {4, 109, 14},	// QGlobalSpace::LicensedScriptTools
    {4, 110, 17},	// QGlobalSpace::LicensedSql
    {4, 111, 15},	// QGlobalSpace::LicensedSvg
    {4, 112, 12},	// QGlobalSpace::LicensedTest
    {4, 113, 7},	// QGlobalSpace::LicensedXml
    {4, 114, 28},	// QGlobalSpace::LicensedXmlPatterns
    {4, 160, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 161, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 162, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 163, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 164, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 165, 22},	// QGlobalSpace::QtCriticalMsg
    {4, 166, 20},	// QGlobalSpace::QtDebugMsg
    {4, 167, 23},	// QGlobalSpace::QtFatalMsg
    {4, 168, 24},	// QGlobalSpace::QtSystemMsg
    {4, 169, 21},	// QGlobalSpace::QtWarningMsg
    {4, 238, 32},	// QGlobalSpace::__codecvt_error
    {4, 239, 33},	// QGlobalSpace::__codecvt_noconv
    {4, 240, 30},	// QGlobalSpace::__codecvt_ok
    {4, 241, 31},	// QGlobalSpace::__codecvt_partial
    {12, 15, 74},	// Soprano::BackendFeatureAddStatement
    {12, 16, 82},	// Soprano::BackendFeatureAll
    {12, 17, 80},	// Soprano::BackendFeatureContext
    {12, 18, 78},	// Soprano::BackendFeatureInference
    {12, 19, 79},	// Soprano::BackendFeatureInferenceOptional
    {12, 20, 76},	// Soprano::BackendFeatureListStatements
    {12, 21, 73},	// Soprano::BackendFeatureNone
    {12, 22, 77},	// Soprano::BackendFeatureQuery
    {12, 23, 75},	// Soprano::BackendFeatureRemoveStatements
    {12, 24, 81},	// Soprano::BackendFeatureStorageMemory
    {12, 25, 83},	// Soprano::BackendFeatureUser
    {12, 26, 86},	// Soprano::BackendOptionEnableInference
    {12, 27, 88},	// Soprano::BackendOptionHost
    {12, 28, 84},	// Soprano::BackendOptionNone
    {12, 29, 91},	// Soprano::BackendOptionPassword
    {12, 30, 89},	// Soprano::BackendOptionPort
    {12, 31, 87},	// Soprano::BackendOptionStorageDir
    {12, 32, 85},	// Soprano::BackendOptionStorageMemory
    {12, 33, 92},	// Soprano::BackendOptionUser
    {12, 34, 90},	// Soprano::BackendOptionUsername
    {12, 191, 95},	// Soprano::SerializationN3
    {12, 192, 99},	// Soprano::SerializationNQuads
    {12, 193, 96},	// Soprano::SerializationNTriples
    {12, 194, 94},	// Soprano::SerializationRdfXml
    {12, 195, 98},	// Soprano::SerializationTrig
    {12, 196, 97},	// Soprano::SerializationTurtle
    {12, 197, 93},	// Soprano::SerializationUnknown
    {12, 198, 100},	// Soprano::SerializationUser
    {12, 375, 55},	// Soprano::createModel
    {12, 376, 54},	// Soprano::createModel?
    {12, 411, 45},	// Soprano::discoverBackendByFeatures$
    {12, 412, 44},	// Soprano::discoverBackendByFeatures$?
    {12, 414, 50},	// Soprano::discoverBackendByName$
    {12, 528, 63},	// Soprano::isOptionInSettings?$
    {12, 529, 62},	// Soprano::isOptionInSettings?$$
    {12, 618, 47},	// Soprano::mimeTypeToSerialization$
    {12, 695, -19},	// Soprano::qHash#
    {12, 758, 49},	// Soprano::serializationMimeType$
    {12, 759, 48},	// Soprano::serializationMimeType$$
    {12, 795, 52},	// Soprano::setUsedBackend#
    {12, 799, 61},	// Soprano::settingInSettings?
    {12, 800, -24},	// Soprano::settingInSettings?$
    {12, 801, -29},	// Soprano::settingInSettings?$$
    {12, 875, 70},	// Soprano::usedBackend
    {12, 883, -32},	// Soprano::valueInSettings?$
    {12, 884, 56},	// Soprano::valueInSettings?$#
    {12, 885, 68},	// Soprano::valueInSettings?$$
    {12, 887, 51},	// Soprano::valueInSettingsWithDefault?$#
    {12, 890, 65},	// Soprano::versionMajor
    {12, 891, 72},	// Soprano::versionMinor
    {12, 892, 66},	// Soprano::versionRelease
    {12, 893, 64},	// Soprano::versionString
    {13, 13, 107},	// Soprano::Backend::Backend#
    {13, 14, 101},	// Soprano::Backend::Backend$
    {13, 375, 108},	// Soprano::Backend::createModel
    {13, 376, 102},	// Soprano::Backend::createModel?
    {13, 393, 103},	// Soprano::Backend::deleteModelData?
    {13, 833, 104},	// Soprano::Backend::supportedFeatures
    {13, 835, 105},	// Soprano::Backend::supportedUserFeatures
    {13, 838, 109},	// Soprano::Backend::supportsFeatures$
    {13, 839, 106},	// Soprano::Backend::supportsFeatures$?
    {13, 918, 110},	// Soprano::Backend::~Backend
    {14, 35, 111},	// Soprano::BackendSetting::BackendSetting
    {14, 36, 115},	// Soprano::BackendSetting::BackendSetting#
    {14, 37, 112},	// Soprano::BackendSetting::BackendSetting$
    {14, 38, -4},	// Soprano::BackendSetting::BackendSetting$#
    {14, 644, 116},	// Soprano::BackendSetting::operator=#
    {14, 650, 117},	// Soprano::BackendSetting::option
    {14, 797, 120},	// Soprano::BackendSetting::setValue#
    {14, 878, 118},	// Soprano::BackendSetting::userOptionName
    {14, 881, 119},	// Soprano::BackendSetting::value
    {14, 919, 121},	// Soprano::BackendSetting::~BackendSetting
    {16, 68, 122},	// Soprano::Error::Error::Error
    {16, 69, -39},	// Soprano::Error::Error::Error#
    {16, 70, 132},	// Soprano::Error::Error::Error$
    {16, 71, 123},	// Soprano::Error::Error::Error$$
    {16, 323, 128},	// Soprano::Error::Error::code
    {16, 530, 129},	// Soprano::Error::Error::isParserError
    {16, 613, 127},	// Soprano::Error::Error::message
    {16, 640, 126},	// Soprano::Error::Error::operator bool
    {16, 644, 125},	// Soprano::Error::Error::operator=#
    {16, 850, 130},	// Soprano::Error::Error::toParserError
    {16, 920, 133},	// Soprano::Error::Error::~Error
    {17, 72, 135},	// Soprano::Error::ErrorCache::ErrorCache
    {17, 73, 139},	// Soprano::Error::ErrorCache::ErrorCache#
    {17, 319, 136},	// Soprano::Error::ErrorCache::clearError
    {17, 564, 134},	// Soprano::Error::ErrorCache::lastError
    {17, 771, 137},	// Soprano::Error::ErrorCache::setError#
    {17, 772, 140},	// Soprano::Error::ErrorCache::setError$
    {17, 773, 138},	// Soprano::Error::ErrorCache::setError$$
    {17, 921, 141},	// Soprano::Error::ErrorCache::~ErrorCache
    {20, 146, 142},	// Soprano::Error::ParserError::ParserError
    {20, 147, -35},	// Soprano::Error::ParserError::ParserError#
    {20, 148, 149},	// Soprano::Error::ParserError::ParserError#$
    {20, 149, 143},	// Soprano::Error::ParserError::ParserError#$$
    {20, 597, 146},	// Soprano::Error::ParserError::locator
    {20, 644, 145},	// Soprano::Error::ParserError::operator=#
    {20, 928, 150},	// Soprano::Error::ParserError::~ParserError
    {21, 78, 180},	// Soprano::FilterModel::FilterModel
    {21, 79, 181},	// Soprano::FilterModel::FilterModel#
    {21, 248, 160},	// Soprano::FilterModel::addStatement#
    {21, 249, 188},	// Soprano::FilterModel::addStatement###
    {21, 250, 161},	// Soprano::FilterModel::addStatement####
    {21, 342, 172},	// Soprano::FilterModel::containsAnyStatement#
    {21, 343, 194},	// Soprano::FilterModel::containsAnyStatement###
    {21, 344, 173},	// Soprano::FilterModel::containsAnyStatement####
    {21, 352, 170},	// Soprano::FilterModel::containsStatement#
    {21, 353, 193},	// Soprano::FilterModel::containsStatement###
    {21, 354, 171},	// Soprano::FilterModel::containsStatement####
    {21, 368, 177},	// Soprano::FilterModel::createBlankNode
    {21, 441, 192},	// Soprano::FilterModel::executeQuery$$
    {21, 442, 169},	// Soprano::FilterModel::executeQuery$$$
    {21, 520, 174},	// Soprano::FilterModel::isEmpty
    {21, 573, 168},	// Soprano::FilterModel::listContexts
    {21, 575, 179},	// Soprano::FilterModel::listStatements
    {21, 576, 166},	// Soprano::FilterModel::listStatements#
    {21, 577, 191},	// Soprano::FilterModel::listStatements###
    {21, 578, 167},	// Soprano::FilterModel::listStatements####
    {21, 614, 151},	// Soprano::FilterModel::metaObject
    {21, 659, 159},	// Soprano::FilterModel::parentModel
    {21, 661, 184},	// Soprano::FilterModel::parentStatementAdded#
    {21, 663, 185},	// Soprano::FilterModel::parentStatementRemoved#
    {21, 664, 182},	// Soprano::FilterModel::parentStatementsAdded
    {21, 665, 183},	// Soprano::FilterModel::parentStatementsRemoved
    {21, 697, 157},	// Soprano::FilterModel::qt_metacall$$?
    {21, 699, 152},	// Soprano::FilterModel::qt_metacast$
    {21, 714, 178},	// Soprano::FilterModel::removeAllStatements
    {21, 715, 164},	// Soprano::FilterModel::removeAllStatements#
    {21, 716, 190},	// Soprano::FilterModel::removeAllStatements###
    {21, 717, 165},	// Soprano::FilterModel::removeAllStatements####
    {21, 725, 162},	// Soprano::FilterModel::removeStatement#
    {21, 726, 189},	// Soprano::FilterModel::removeStatement###
    {21, 727, 163},	// Soprano::FilterModel::removeStatement####
    {21, 781, 158},	// Soprano::FilterModel::setParentModel#
    {21, 811, 175},	// Soprano::FilterModel::statementCount
    {21, 818, 195},	// Soprano::FilterModel::staticMetaObject
    {21, 855, 186},	// Soprano::FilterModel::tr$
    {21, 856, 153},	// Soprano::FilterModel::tr$$
    {21, 857, 155},	// Soprano::FilterModel::tr$$$
    {21, 859, 187},	// Soprano::FilterModel::trUtf8$
    {21, 860, 154},	// Soprano::FilterModel::trUtf8$$
    {21, 861, 156},	// Soprano::FilterModel::trUtf8$$$
    {21, 906, 176},	// Soprano::FilterModel::write#
    {21, 922, 196},	// Soprano::FilterModel::~FilterModel
    {22, 92, 204},	// Soprano::Inference::InferenceModel::InferenceModel#
    {22, 246, 208},	// Soprano::Inference::InferenceModel::addRule#
    {22, 248, 205},	// Soprano::Inference::InferenceModel::addStatement#
    {22, 249, 220},	// Soprano::Inference::InferenceModel::addStatement###
    {22, 250, 210},	// Soprano::Inference::InferenceModel::addStatement####
    {22, 320, 215},	// Soprano::Inference::InferenceModel::clearInference
    {22, 614, 197},	// Soprano::Inference::InferenceModel::metaObject
    {22, 675, 214},	// Soprano::Inference::InferenceModel::performInference
    {22, 697, 203},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {22, 699, 198},	// Soprano::Inference::InferenceModel::qt_metacast$
    {22, 714, 213},	// Soprano::Inference::InferenceModel::removeAllStatements
    {22, 715, 207},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {22, 716, 222},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {22, 717, 212},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {22, 725, 206},	// Soprano::Inference::InferenceModel::removeStatement#
    {22, 726, 221},	// Soprano::Inference::InferenceModel::removeStatement###
    {22, 727, 211},	// Soprano::Inference::InferenceModel::removeStatement####
    {22, 766, 216},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {22, 779, 217},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {22, 791, 209},	// Soprano::Inference::InferenceModel::setRules?
    {22, 818, 223},	// Soprano::Inference::InferenceModel::staticMetaObject
    {22, 855, 218},	// Soprano::Inference::InferenceModel::tr$
    {22, 856, 199},	// Soprano::Inference::InferenceModel::tr$$
    {22, 857, 201},	// Soprano::Inference::InferenceModel::tr$$$
    {22, 859, 219},	// Soprano::Inference::InferenceModel::trUtf8$
    {22, 860, 200},	// Soprano::Inference::InferenceModel::trUtf8$$
    {22, 861, 202},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {22, 923, 224},	// Soprano::Inference::InferenceModel::~InferenceModel
    {26, 124, 261},	// Soprano::Model::Model
    {26, 248, 232},	// Soprano::Model::addStatement#
    {26, 249, 264},	// Soprano::Model::addStatement###
    {26, 250, 233},	// Soprano::Model::addStatement####
    {26, 256, 234},	// Soprano::Model::addStatements?
    {26, 342, 248},	// Soprano::Model::containsAnyStatement#
    {26, 343, 269},	// Soprano::Model::containsAnyStatement###
    {26, 344, 249},	// Soprano::Model::containsAnyStatement####
    {26, 350, 252},	// Soprano::Model::containsContext#
    {26, 352, 250},	// Soprano::Model::containsStatement#
    {26, 353, 270},	// Soprano::Model::containsStatement###
    {26, 354, 251},	// Soprano::Model::containsStatement####
    {26, 368, 256},	// Soprano::Model::createBlankNode
    {26, 441, 268},	// Soprano::Model::executeQuery$$
    {26, 442, 247},	// Soprano::Model::executeQuery$$$
    {26, 520, 253},	// Soprano::Model::isEmpty
    {26, 573, 246},	// Soprano::Model::listContexts
    {26, 575, 244},	// Soprano::Model::listStatements
    {26, 576, 242},	// Soprano::Model::listStatements#
    {26, 577, 267},	// Soprano::Model::listStatements###
    {26, 578, 243},	// Soprano::Model::listStatements####
    {26, 584, 245},	// Soprano::Model::listStatementsInContext#
    {26, 614, 225},	// Soprano::Model::metaObject
    {26, 697, 231},	// Soprano::Model::qt_metacall$$?
    {26, 699, 226},	// Soprano::Model::qt_metacast$
    {26, 714, 241},	// Soprano::Model::removeAllStatements
    {26, 715, 237},	// Soprano::Model::removeAllStatements#
    {26, 716, 266},	// Soprano::Model::removeAllStatements###
    {26, 717, 238},	// Soprano::Model::removeAllStatements####
    {26, 723, 240},	// Soprano::Model::removeContext#
    {26, 725, 235},	// Soprano::Model::removeStatement#
    {26, 726, 265},	// Soprano::Model::removeStatement###
    {26, 727, 236},	// Soprano::Model::removeStatement####
    {26, 733, 239},	// Soprano::Model::removeStatements?
    {26, 810, 259},	// Soprano::Model::statementAdded#
    {26, 811, 254},	// Soprano::Model::statementCount
    {26, 815, 260},	// Soprano::Model::statementRemoved#
    {26, 816, 257},	// Soprano::Model::statementsAdded
    {26, 817, 258},	// Soprano::Model::statementsRemoved
    {26, 818, 271},	// Soprano::Model::staticMetaObject
    {26, 855, 262},	// Soprano::Model::tr$
    {26, 856, 227},	// Soprano::Model::tr$$
    {26, 857, 229},	// Soprano::Model::tr$$$
    {26, 859, 263},	// Soprano::Model::trUtf8$
    {26, 860, 228},	// Soprano::Model::trUtf8$$
    {26, 861, 230},	// Soprano::Model::trUtf8$$$
    {26, 906, 255},	// Soprano::Model::write#
    {26, 924, 272},	// Soprano::Model::~Model
    {27, 40, 311},	// Soprano::Node::BlankNode
    {27, 67, 308},	// Soprano::Node::EmptyNode
    {27, 117, 310},	// Soprano::Node::LiteralNode
    {27, 129, 273},	// Soprano::Node::Node
    {27, 130, -42},	// Soprano::Node::Node#
    {27, 131, 277},	// Soprano::Node::Node#$
    {27, 132, 275},	// Soprano::Node::Node$
    {27, 183, 309},	// Soprano::Node::ResourceNode
    {27, 301, 306},	// Soprano::Node::blankToN3$
    {27, 369, 302},	// Soprano::Node::createBlankNode$
    {27, 371, 300},	// Soprano::Node::createEmptyNode
    {27, 373, 303},	// Soprano::Node::createLiteralNode#
    {27, 374, 304},	// Soprano::Node::createLiteralNode#$
    {27, 378, 301},	// Soprano::Node::createResourceNode#
    {27, 385, 296},	// Soprano::Node::dataType
    {27, 493, 294},	// Soprano::Node::identifier
    {27, 508, 292},	// Soprano::Node::isBlank
    {27, 520, 288},	// Soprano::Node::isEmpty
    {27, 526, 290},	// Soprano::Node::isLiteral
    {27, 536, 291},	// Soprano::Node::isResource
    {27, 546, 289},	// Soprano::Node::isValid
    {27, 563, 297},	// Soprano::Node::language
    {27, 585, 295},	// Soprano::Node::literal
    {27, 587, 307},	// Soprano::Node::literalToN3#
    {27, 604, 286},	// Soprano::Node::matches#
    {27, 642, 283},	// Soprano::Node::operator!=#
    {27, 644, -46},	// Soprano::Node::operator=#
    {27, 646, -50},	// Soprano::Node::operator==#
    {27, 738, 305},	// Soprano::Node::resourceToN3#
    {27, 849, 299},	// Soprano::Node::toN3
    {27, 851, 298},	// Soprano::Node::toString
    {27, 865, 287},	// Soprano::Node::type
    {27, 872, 293},	// Soprano::Node::uri
    {27, 925, 312},	// Soprano::Node::~Node
    {28, 133, 313},	// Soprano::NodeIterator::NodeIterator
    {28, 134, 315},	// Soprano::NodeIterator::NodeIterator#
    {28, 135, 314},	// Soprano::NodeIterator::NodeIterator?
    {28, 266, 317},	// Soprano::NodeIterator::allNodes
    {28, 644, 316},	// Soprano::NodeIterator::operator=#
    {28, 926, 318},	// Soprano::NodeIterator::~NodeIterator
    {29, 144, 326},	// Soprano::Parser::Parser#
    {29, 145, 325},	// Soprano::Parser::Parser$
    {29, 667, 328},	// Soprano::Parser::parseFile$#$
    {29, 668, 322},	// Soprano::Parser::parseFile$#$$
    {29, 670, 330},	// Soprano::Parser::parseStream##$
    {29, 671, 324},	// Soprano::Parser::parseStream##$$
    {29, 673, 329},	// Soprano::Parser::parseString$#$
    {29, 674, 323},	// Soprano::Parser::parseString$#$$
    {29, 834, 319},	// Soprano::Parser::supportedSerializations
    {29, 836, 320},	// Soprano::Parser::supportedUserSerializations
    {29, 841, 327},	// Soprano::Parser::supportsSerialization$
    {29, 842, 321},	// Soprano::Parser::supportsSerialization$$
    {29, 927, 331},	// Soprano::Parser::~Parser
    {30, 155, 335},	// Soprano::Plugin::Plugin#
    {30, 156, 334},	// Soprano::Plugin::Plugin$
    {30, 506, 333},	// Soprano::Plugin::isAvailable
    {30, 683, 332},	// Soprano::Plugin::pluginName
    {30, 929, 336},	// Soprano::Plugin::~Plugin
    {31, 264, 351},	// Soprano::PluginManager::allBackends
    {31, 267, 354},	// Soprano::PluginManager::allParsers
    {31, 268, 357},	// Soprano::PluginManager::allSerializers
    {31, 411, 362},	// Soprano::PluginManager::discoverBackendByFeatures$
    {31, 412, 350},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {31, 414, 349},	// Soprano::PluginManager::discoverBackendByName$
    {31, 416, 352},	// Soprano::PluginManager::discoverParserByName$
    {31, 418, 363},	// Soprano::PluginManager::discoverParserForSerialization$
    {31, 419, 353},	// Soprano::PluginManager::discoverParserForSerialization$$
    {31, 421, 355},	// Soprano::PluginManager::discoverSerializerByName$
    {31, 423, 364},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {31, 424, 356},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {31, 498, 358},	// Soprano::PluginManager::instance
    {31, 589, 346},	// Soprano::PluginManager::loadCustomBackend$
    {31, 591, 347},	// Soprano::PluginManager::loadCustomParser$
    {31, 593, 345},	// Soprano::PluginManager::loadCustomPlugin$
    {31, 595, 348},	// Soprano::PluginManager::loadCustomSerializer$
    {31, 614, 337},	// Soprano::PluginManager::metaObject
    {31, 697, 343},	// Soprano::PluginManager::qt_metacall$$?
    {31, 699, 338},	// Soprano::PluginManager::qt_metacast$
    {31, 783, 361},	// Soprano::PluginManager::setPluginSearchPath?
    {31, 784, 344},	// Soprano::PluginManager::setPluginSearchPath?$
    {31, 818, 365},	// Soprano::PluginManager::staticMetaObject
    {31, 855, 359},	// Soprano::PluginManager::tr$
    {31, 856, 339},	// Soprano::PluginManager::tr$$
    {31, 857, 341},	// Soprano::PluginManager::tr$$$
    {31, 859, 360},	// Soprano::PluginManager::trUtf8$
    {31, 860, 340},	// Soprano::PluginManager::trUtf8$$
    {31, 861, 342},	// Soprano::PluginManager::trUtf8$$$
    {31, 930, 366},	// Soprano::PluginManager::~PluginManager
    {32, 170, 367},	// Soprano::QueryResultIterator::QueryResultIterator
    {32, 171, -7},	// Soprano::QueryResultIterator::QueryResultIterator#
    {32, 265, 383},	// Soprano::QueryResultIterator::allBindings
    {32, 296, -10},	// Soprano::QueryResultIterator::binding$
    {32, 297, 378},	// Soprano::QueryResultIterator::bindingCount
    {32, 298, 379},	// Soprano::QueryResultIterator::bindingNames
    {32, 303, 373},	// Soprano::QueryResultIterator::boolValue
    {32, 382, 372},	// Soprano::QueryResultIterator::currentBindings
    {32, 383, 371},	// Soprano::QueryResultIterator::currentStatement
    {32, 507, 381},	// Soprano::QueryResultIterator::isBinding
    {32, 509, 382},	// Soprano::QueryResultIterator::isBool
    {32, 523, 380},	// Soprano::QueryResultIterator::isGraph
    {32, 549, -13},	// Soprano::QueryResultIterator::iterateBindings$
    {32, 553, 384},	// Soprano::QueryResultIterator::iterateStatements
    {32, 555, 388},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {32, 556, 389},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {32, 557, 387},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {32, 644, 370},	// Soprano::QueryResultIterator::operator=#
    {32, 649, -16},	// Soprano::QueryResultIterator::operator[]$
    {32, 931, 390},	// Soprano::QueryResultIterator::~QueryResultIterator
    {34, 174, 410},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {34, 175, 391},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {34, 318, 392},	// Soprano::RdfSchemaModel::classes
    {34, 400, 411},	// Soprano::RdfSchemaModel::directSubClassOf#
    {34, 401, 393},	// Soprano::RdfSchemaModel::directSubClassOf##
    {34, 403, 412},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {34, 404, 394},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {34, 406, 395},	// Soprano::RdfSchemaModel::directType##
    {34, 429, 396},	// Soprano::RdfSchemaModel::domain##
    {34, 511, 402},	// Soprano::RdfSchemaModel::isClass#
    {34, 515, 404},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {34, 517, 405},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {34, 519, 406},	// Soprano::RdfSchemaModel::isDirectType##
    {34, 532, 403},	// Soprano::RdfSchemaModel::isProperty#
    {34, 539, 407},	// Soprano::RdfSchemaModel::isSubClassOf##
    {34, 541, 408},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {34, 545, 409},	// Soprano::RdfSchemaModel::isType##
    {34, 693, 397},	// Soprano::RdfSchemaModel::properties
    {34, 702, 398},	// Soprano::RdfSchemaModel::range##
    {34, 823, 413},	// Soprano::RdfSchemaModel::subClassOf#
    {34, 824, 399},	// Soprano::RdfSchemaModel::subClassOf##
    {34, 827, 414},	// Soprano::RdfSchemaModel::subPropertyOf#
    {34, 828, 400},	// Soprano::RdfSchemaModel::subPropertyOf##
    {34, 866, 401},	// Soprano::RdfSchemaModel::type##
    {34, 932, 415},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {35, 200, 424},	// Soprano::Serializer::Serializer#
    {35, 201, 423},	// Soprano::Serializer::Serializer$
    {35, 244, 420},	// Soprano::Serializer::addPrefix$#
    {35, 321, 421},	// Soprano::Serializer::clearPrefixes
    {35, 689, 422},	// Soprano::Serializer::prefixes
    {35, 761, 426},	// Soprano::Serializer::serialize##$
    {35, 762, 419},	// Soprano::Serializer::serialize##$$
    {35, 834, 416},	// Soprano::Serializer::supportedSerializations
    {35, 836, 417},	// Soprano::Serializer::supportedUserSerializations
    {35, 841, 425},	// Soprano::Serializer::supportsSerialization$
    {35, 842, 418},	// Soprano::Serializer::supportsSerialization$$
    {35, 934, 427},	// Soprano::Serializer::~Serializer
    {36, 215, 428},	// Soprano::Statement::Statement
    {36, 216, 430},	// Soprano::Statement::Statement#
    {36, 217, 444},	// Soprano::Statement::Statement###
    {36, 218, 429},	// Soprano::Statement::Statement####
    {36, 364, 439},	// Soprano::Statement::context
    {36, 546, 435},	// Soprano::Statement::isValid
    {36, 604, 434},	// Soprano::Statement::matches#
    {36, 636, 438},	// Soprano::Statement::object
    {36, 642, 433},	// Soprano::Statement::operator!=#
    {36, 644, 431},	// Soprano::Statement::operator=#
    {36, 646, 432},	// Soprano::Statement::operator==#
    {36, 686, 437},	// Soprano::Statement::predicate
    {36, 768, 443},	// Soprano::Statement::setContext#
    {36, 777, 442},	// Soprano::Statement::setObject#
    {36, 786, 441},	// Soprano::Statement::setPredicate#
    {36, 793, 440},	// Soprano::Statement::setSubject#
    {36, 829, 436},	// Soprano::Statement::subject
    {36, 938, 445},	// Soprano::Statement::~Statement
    {37, 219, 446},	// Soprano::StatementIterator::StatementIterator
    {37, 220, 448},	// Soprano::StatementIterator::StatementIterator#
    {37, 221, 447},	// Soprano::StatementIterator::StatementIterator?
    {37, 269, 450},	// Soprano::StatementIterator::allStatements
    {37, 550, 454},	// Soprano::StatementIterator::iterateContexts
    {37, 551, 453},	// Soprano::StatementIterator::iterateObjects
    {37, 552, 452},	// Soprano::StatementIterator::iteratePredicates
    {37, 558, 451},	// Soprano::StatementIterator::iterateSubjects
    {37, 644, 449},	// Soprano::StatementIterator::operator=#
    {37, 939, 455},	// Soprano::StatementIterator::~StatementIterator
    {38, 223, 472},	// Soprano::StorageModel::StorageModel#
    {38, 290, 467},	// Soprano::StorageModel::backend
    {38, 342, 465},	// Soprano::StorageModel::containsAnyStatement#
    {38, 343, 477},	// Soprano::StorageModel::containsAnyStatement###
    {38, 344, 471},	// Soprano::StorageModel::containsAnyStatement####
    {38, 352, 464},	// Soprano::StorageModel::containsStatement#
    {38, 353, 476},	// Soprano::StorageModel::containsStatement###
    {38, 354, 470},	// Soprano::StorageModel::containsStatement####
    {38, 520, 463},	// Soprano::StorageModel::isEmpty
    {38, 614, 456},	// Soprano::StorageModel::metaObject
    {38, 697, 462},	// Soprano::StorageModel::qt_metacall$$?
    {38, 699, 457},	// Soprano::StorageModel::qt_metacast$
    {38, 714, 469},	// Soprano::StorageModel::removeAllStatements
    {38, 715, 466},	// Soprano::StorageModel::removeAllStatements#
    {38, 716, 475},	// Soprano::StorageModel::removeAllStatements###
    {38, 717, 468},	// Soprano::StorageModel::removeAllStatements####
    {38, 818, 478},	// Soprano::StorageModel::staticMetaObject
    {38, 855, 473},	// Soprano::StorageModel::tr$
    {38, 856, 458},	// Soprano::StorageModel::tr$$
    {38, 857, 460},	// Soprano::StorageModel::tr$$$
    {38, 859, 474},	// Soprano::StorageModel::trUtf8$
    {38, 860, 459},	// Soprano::StorageModel::trUtf8$$
    {38, 861, 461},	// Soprano::StorageModel::trUtf8$$$
    {38, 940, 479},	// Soprano::StorageModel::~StorageModel
    {39, 8, 528},	// Soprano::Util::AsyncModel::AsyncModel
    {39, 9, 487},	// Soprano::Util::AsyncModel::AsyncModel#
    {39, 125, 545},	// Soprano::Util::AsyncModel::MultiThreaded
    {39, 210, 544},	// Soprano::Util::AsyncModel::SingleThreaded
    {39, 248, 513},	// Soprano::Util::AsyncModel::addStatement#
    {39, 249, 537},	// Soprano::Util::AsyncModel::addStatement###
    {39, 250, 514},	// Soprano::Util::AsyncModel::addStatement####
    {39, 252, 490},	// Soprano::Util::AsyncModel::addStatementAsync#
    {39, 253, 529},	// Soprano::Util::AsyncModel::addStatementAsync###
    {39, 254, 491},	// Soprano::Util::AsyncModel::addStatementAsync####
    {39, 258, 492},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {39, 342, 524},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {39, 343, 542},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {39, 344, 525},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {39, 346, 507},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {39, 347, 535},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {39, 348, 508},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {39, 352, 522},	// Soprano::Util::AsyncModel::containsStatement#
    {39, 353, 541},	// Soprano::Util::AsyncModel::containsStatement###
    {39, 354, 523},	// Soprano::Util::AsyncModel::containsStatement####
    {39, 356, 505},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {39, 357, 534},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {39, 358, 506},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {39, 370, 509},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {39, 441, 536},	// Soprano::Util::AsyncModel::executeQuery$$
    {39, 442, 512},	// Soprano::Util::AsyncModel::executeQuery$$$
    {39, 444, 533},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {39, 445, 504},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {39, 521, 498},	// Soprano::Util::AsyncModel::isEmptyAsync
    {39, 573, 511},	// Soprano::Util::AsyncModel::listContexts
    {39, 574, 503},	// Soprano::Util::AsyncModel::listContextsAsync
    {39, 575, 521},	// Soprano::Util::AsyncModel::listStatements
    {39, 576, 510},	// Soprano::Util::AsyncModel::listStatements#
    {39, 577, 540},	// Soprano::Util::AsyncModel::listStatements###
    {39, 578, 520},	// Soprano::Util::AsyncModel::listStatements####
    {39, 579, 502},	// Soprano::Util::AsyncModel::listStatementsAsync
    {39, 580, 500},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {39, 581, 532},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {39, 582, 501},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {39, 614, 480},	// Soprano::Util::AsyncModel::metaObject
    {39, 620, 489},	// Soprano::Util::AsyncModel::mode
    {39, 697, 486},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {39, 699, 481},	// Soprano::Util::AsyncModel::qt_metacast$
    {39, 714, 519},	// Soprano::Util::AsyncModel::removeAllStatements
    {39, 715, 517},	// Soprano::Util::AsyncModel::removeAllStatements#
    {39, 716, 539},	// Soprano::Util::AsyncModel::removeAllStatements###
    {39, 717, 518},	// Soprano::Util::AsyncModel::removeAllStatements####
    {39, 719, 496},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {39, 720, 531},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {39, 721, 497},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {39, 725, 515},	// Soprano::Util::AsyncModel::removeStatement#
    {39, 726, 538},	// Soprano::Util::AsyncModel::removeStatement###
    {39, 727, 516},	// Soprano::Util::AsyncModel::removeStatement####
    {39, 729, 493},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {39, 730, 530},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {39, 731, 494},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {39, 735, 495},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {39, 775, 488},	// Soprano::Util::AsyncModel::setMode$
    {39, 812, 499},	// Soprano::Util::AsyncModel::statementCountAsync
    {39, 818, 543},	// Soprano::Util::AsyncModel::staticMetaObject
    {39, 855, 526},	// Soprano::Util::AsyncModel::tr$
    {39, 856, 482},	// Soprano::Util::AsyncModel::tr$$
    {39, 857, 484},	// Soprano::Util::AsyncModel::tr$$$
    {39, 859, 527},	// Soprano::Util::AsyncModel::trUtf8$
    {39, 860, 483},	// Soprano::Util::AsyncModel::trUtf8$$
    {39, 861, 485},	// Soprano::Util::AsyncModel::trUtf8$$$
    {39, 915, 546},	// Soprano::Util::AsyncModel::~AsyncModel
    {40, 296, -1},	// Soprano::Util::AsyncQuery::binding$
    {40, 297, 559},	// Soprano::Util::AsyncQuery::bindingCount
    {40, 298, 560},	// Soprano::Util::AsyncQuery::bindingNames
    {40, 303, 556},	// Soprano::Util::AsyncQuery::boolValue
    {40, 322, 565},	// Soprano::Util::AsyncQuery::close
    {40, 382, 555},	// Soprano::Util::AsyncQuery::currentBindings
    {40, 383, 554},	// Soprano::Util::AsyncQuery::currentStatement
    {40, 439, 571},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {40, 440, 568},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {40, 456, 567},	// Soprano::Util::AsyncQuery::finished#
    {40, 507, 562},	// Soprano::Util::AsyncQuery::isBinding
    {40, 509, 563},	// Soprano::Util::AsyncQuery::isBool
    {40, 523, 561},	// Soprano::Util::AsyncQuery::isGraph
    {40, 614, 547},	// Soprano::Util::AsyncQuery::metaObject
    {40, 627, 564},	// Soprano::Util::AsyncQuery::next
    {40, 629, 566},	// Soprano::Util::AsyncQuery::nextReady#
    {40, 697, 553},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {40, 699, 548},	// Soprano::Util::AsyncQuery::qt_metacast$
    {40, 818, 572},	// Soprano::Util::AsyncQuery::staticMetaObject
    {40, 855, 569},	// Soprano::Util::AsyncQuery::tr$
    {40, 856, 549},	// Soprano::Util::AsyncQuery::tr$$
    {40, 857, 551},	// Soprano::Util::AsyncQuery::tr$$$
    {40, 859, 570},	// Soprano::Util::AsyncQuery::trUtf8$
    {40, 860, 550},	// Soprano::Util::AsyncQuery::trUtf8$$
    {40, 861, 552},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {40, 916, 573},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {41, 379, 582},	// Soprano::Util::AsyncResult::createResult
    {41, 435, 584},	// Soprano::Util::AsyncResult::errorCode
    {41, 614, 574},	// Soprano::Util::AsyncResult::metaObject
    {41, 631, 588},	// Soprano::Util::AsyncResult::node
    {41, 632, 586},	// Soprano::Util::AsyncResult::nodeIterator
    {41, 697, 580},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {41, 699, 575},	// Soprano::Util::AsyncResult::qt_metacast$
    {41, 700, 587},	// Soprano::Util::AsyncResult::queryResultIterator
    {41, 741, 581},	// Soprano::Util::AsyncResult::resultReady#
    {41, 789, 589},	// Soprano::Util::AsyncResult::setResult##
    {41, 813, 585},	// Soprano::Util::AsyncResult::statementIterator
    {41, 818, 592},	// Soprano::Util::AsyncResult::staticMetaObject
    {41, 855, 590},	// Soprano::Util::AsyncResult::tr$
    {41, 856, 576},	// Soprano::Util::AsyncResult::tr$$
    {41, 857, 578},	// Soprano::Util::AsyncResult::tr$$$
    {41, 859, 591},	// Soprano::Util::AsyncResult::trUtf8$
    {41, 860, 577},	// Soprano::Util::AsyncResult::trUtf8$$
    {41, 861, 579},	// Soprano::Util::AsyncResult::trUtf8$$$
    {41, 881, 583},	// Soprano::Util::AsyncResult::value
    {41, 917, 593},	// Soprano::Util::AsyncResult::~AsyncResult
    {42, 176, 624},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {42, 177, 601},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {42, 248, 610},	// Soprano::Util::ReadOnlyModel::addStatement#
    {42, 249, 626},	// Soprano::Util::ReadOnlyModel::addStatement###
    {42, 250, 614},	// Soprano::Util::ReadOnlyModel::addStatement####
    {42, 342, 607},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {42, 343, 631},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {42, 344, 621},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {42, 352, 606},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {42, 353, 630},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {42, 354, 620},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {42, 368, 613},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {42, 441, 625},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {42, 442, 605},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {42, 520, 608},	// Soprano::Util::ReadOnlyModel::isEmpty
    {42, 573, 604},	// Soprano::Util::ReadOnlyModel::listContexts
    {42, 575, 619},	// Soprano::Util::ReadOnlyModel::listStatements
    {42, 576, 603},	// Soprano::Util::ReadOnlyModel::listStatements#
    {42, 577, 629},	// Soprano::Util::ReadOnlyModel::listStatements###
    {42, 578, 618},	// Soprano::Util::ReadOnlyModel::listStatements####
    {42, 614, 594},	// Soprano::Util::ReadOnlyModel::metaObject
    {42, 697, 600},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {42, 699, 595},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {42, 714, 617},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {42, 715, 612},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {42, 716, 628},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {42, 717, 616},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {42, 725, 611},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {42, 726, 627},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {42, 727, 615},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {42, 781, 602},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {42, 811, 609},	// Soprano::Util::ReadOnlyModel::statementCount
    {42, 818, 632},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {42, 855, 622},	// Soprano::Util::ReadOnlyModel::tr$
    {42, 856, 596},	// Soprano::Util::ReadOnlyModel::tr$$
    {42, 857, 598},	// Soprano::Util::ReadOnlyModel::tr$$$
    {42, 859, 623},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {42, 860, 597},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {42, 861, 599},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {42, 933, 633},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {43, 202, 649},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {43, 203, 641},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {43, 305, 642},	// Soprano::Util::SignalCacheModel::cacheTime
    {43, 614, 634},	// Soprano::Util::SignalCacheModel::metaObject
    {43, 664, 644},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {43, 665, 645},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {43, 697, 640},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {43, 699, 635},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {43, 764, 643},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {43, 818, 650},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {43, 846, 646},	// Soprano::Util::SignalCacheModel::timerEvent#
    {43, 855, 647},	// Soprano::Util::SignalCacheModel::tr$
    {43, 856, 636},	// Soprano::Util::SignalCacheModel::tr$$
    {43, 857, 638},	// Soprano::Util::SignalCacheModel::tr$$$
    {43, 859, 648},	// Soprano::Util::SignalCacheModel::trUtf8$
    {43, 860, 637},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {43, 861, 639},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {43, 935, 651},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {44, 204, 652},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {44, 205, 654},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {44, 206, 653},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {44, 644, 656},	// Soprano::Util::SimpleNodeIterator::operator=#
    {44, 647, 655},	// Soprano::Util::SimpleNodeIterator::operator=?
    {44, 936, 657},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {45, 207, 658},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {45, 208, 660},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {45, 209, 659},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {45, 644, 662},	// Soprano::Util::SimpleStatementIterator::operator=#
    {45, 647, 661},	// Soprano::Util::SimpleStatementIterator::operator=?
    {45, 937, 663},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {46, 81, 694},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {46, 150, 682},	// Soprano::Vocabulary::NAO::Party
    {46, 224, 676},	// Soprano::Vocabulary::NAO::Symbol
    {46, 227, 675},	// Soprano::Vocabulary::NAO::Tag
    {46, 271, 698},	// Soprano::Vocabulary::NAO::altLabel
    {46, 272, 667},	// Soprano::Vocabulary::NAO::altSymbol
    {46, 273, 670},	// Soprano::Vocabulary::NAO::annotation
    {46, 365, 686},	// Soprano::Vocabulary::NAO::contributor
    {46, 380, 687},	// Soprano::Vocabulary::NAO::created
    {46, 381, 700},	// Soprano::Vocabulary::NAO::creator
    {46, 397, 673},	// Soprano::Vocabulary::NAO::description
    {46, 431, 697},	// Soprano::Vocabulary::NAO::engineeringTool
    {46, 473, 696},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {46, 474, 692},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {46, 477, 688},	// Soprano::Vocabulary::NAO::hasSubResource
    {46, 478, 679},	// Soprano::Vocabulary::NAO::hasSuperResource
    {46, 479, 685},	// Soprano::Vocabulary::NAO::hasSymbol
    {46, 480, 699},	// Soprano::Vocabulary::NAO::hasTag
    {46, 481, 690},	// Soprano::Vocabulary::NAO::hasTopic
    {46, 491, 691},	// Soprano::Vocabulary::NAO::iconName
    {46, 493, 689},	// Soprano::Vocabulary::NAO::identifier
    {46, 535, 693},	// Soprano::Vocabulary::NAO::isRelated
    {46, 542, 666},	// Soprano::Vocabulary::NAO::isTagFor
    {46, 543, 672},	// Soprano::Vocabulary::NAO::isTopicOf
    {46, 565, 683},	// Soprano::Vocabulary::NAO::lastModified
    {46, 621, 678},	// Soprano::Vocabulary::NAO::modified
    {46, 624, 681},	// Soprano::Vocabulary::NAO::naoNamespace
    {46, 635, 664},	// Soprano::Vocabulary::NAO::numericRating
    {46, 679, 674},	// Soprano::Vocabulary::NAO::personalIdentifier
    {46, 684, 669},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {46, 687, 684},	// Soprano::Vocabulary::NAO::prefLabel
    {46, 688, 680},	// Soprano::Vocabulary::NAO::prefSymbol
    {46, 703, 668},	// Soprano::Vocabulary::NAO::rating
    {46, 750, 701},	// Soprano::Vocabulary::NAO::score
    {46, 751, 671},	// Soprano::Vocabulary::NAO::scoreParameter
    {46, 756, 695},	// Soprano::Vocabulary::NAO::serializationLanguage
    {46, 819, 677},	// Soprano::Vocabulary::NAO::status
    {46, 888, 665},	// Soprano::Vocabulary::NAO::version
    {47, 7, 738},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {47, 45, 711},	// Soprano::Vocabulary::NRL::Configuration
    {47, 51, 735},	// Soprano::Vocabulary::NRL::Data
    {47, 56, 705},	// Soprano::Vocabulary::NRL::DefaultGraph
    {47, 60, 726},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {47, 62, 704},	// Soprano::Vocabulary::NRL::DocumentGraph
    {47, 74, 724},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {47, 82, 709},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {47, 83, 728},	// Soprano::Vocabulary::NRL::Graph
    {47, 84, 729},	// Soprano::Vocabulary::NRL::GraphMetadata
    {47, 85, 713},	// Soprano::Vocabulary::NRL::GraphView
    {47, 93, 732},	// Soprano::Vocabulary::NRL::InstanceBase
    {47, 94, 741},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {47, 95, 718},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {47, 139, 716},	// Soprano::Vocabulary::NRL::Ontology
    {47, 178, 717},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {47, 187, 707},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {47, 188, 710},	// Soprano::Vocabulary::NRL::Schema
    {47, 189, 714},	// Soprano::Vocabulary::NRL::Semantics
    {47, 225, 731},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {47, 231, 712},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {47, 234, 743},	// Soprano::Vocabulary::NRL::ViewSpecification
    {47, 308, 737},	// Soprano::Vocabulary::NRL::cardinality
    {47, 367, 708},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {47, 433, 730},	// Soprano::Vocabulary::NRL::equivalentGraph
    {47, 449, 725},	// Soprano::Vocabulary::NRL::externalRealizer
    {47, 471, 720},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {47, 475, 719},	// Soprano::Vocabulary::NRL::hasSemantics
    {47, 476, 727},	// Soprano::Vocabulary::NRL::hasSpecification
    {47, 495, 721},	// Soprano::Vocabulary::NRL::imports
    {47, 504, 715},	// Soprano::Vocabulary::NRL::inverseProperty
    {47, 605, 733},	// Soprano::Vocabulary::NRL::maxCardinality
    {47, 619, 706},	// Soprano::Vocabulary::NRL::minCardinality
    {47, 634, 736},	// Soprano::Vocabulary::NRL::nrlNamespace
    {47, 706, 703},	// Soprano::Vocabulary::NRL::realizes
    {47, 744, 739},	// Soprano::Vocabulary::NRL::rule
    {47, 745, 734},	// Soprano::Vocabulary::NRL::ruleLanguage
    {47, 755, 702},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {47, 825, 740},	// Soprano::Vocabulary::NRL::subGraphOf
    {47, 831, 742},	// Soprano::Vocabulary::NRL::superGraphOf
    {47, 871, 723},	// Soprano::Vocabulary::NRL::updatable
    {47, 898, 722},	// Soprano::Vocabulary::NRL::viewOn
    {48, 1, 781},	// Soprano::Vocabulary::OWL::AllDifferent
    {48, 4, 746},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {48, 43, 782},	// Soprano::Vocabulary::OWL::Class
    {48, 53, 749},	// Soprano::Vocabulary::OWL::DataRange
    {48, 55, 779},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {48, 58, 747},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {48, 59, 754},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {48, 82, 759},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {48, 94, 760},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {48, 136, 753},	// Soprano::Vocabulary::OWL::Nothing
    {48, 137, 777},	// Soprano::Vocabulary::OWL::ObjectProperty
    {48, 139, 768},	// Soprano::Vocabulary::OWL::Ontology
    {48, 140, 751},	// Soprano::Vocabulary::OWL::OntologyProperty
    {48, 184, 757},	// Soprano::Vocabulary::OWL::Restriction
    {48, 225, 756},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {48, 230, 773},	// Soprano::Vocabulary::OWL::Thing
    {48, 231, 775},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {48, 270, 784},	// Soprano::Vocabulary::OWL::allValuesFrom
    {48, 291, 761},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {48, 308, 780},	// Soprano::Vocabulary::OWL::cardinality
    {48, 331, 767},	// Soprano::Vocabulary::OWL::complementOf
    {48, 398, 771},	// Soprano::Vocabulary::OWL::differentFrom
    {48, 425, 748},	// Soprano::Vocabulary::OWL::disjointWith
    {48, 426, 764},	// Soprano::Vocabulary::OWL::distinctMembers
    {48, 432, 763},	// Soprano::Vocabulary::OWL::equivalentClass
    {48, 434, 778},	// Soprano::Vocabulary::OWL::equivalentProperty
    {48, 482, 783},	// Soprano::Vocabulary::OWL::hasValue
    {48, 495, 750},	// Soprano::Vocabulary::OWL::imports
    {48, 497, 745},	// Soprano::Vocabulary::OWL::incompatibleWith
    {48, 502, 755},	// Soprano::Vocabulary::OWL::intersectionOf
    {48, 503, 752},	// Soprano::Vocabulary::OWL::inverseOf
    {48, 605, 766},	// Soprano::Vocabulary::OWL::maxCardinality
    {48, 619, 770},	// Soprano::Vocabulary::OWL::minCardinality
    {48, 638, 776},	// Soprano::Vocabulary::OWL::onProperty
    {48, 639, 765},	// Soprano::Vocabulary::OWL::oneOf
    {48, 655, 744},	// Soprano::Vocabulary::OWL::owlNamespace
    {48, 691, 769},	// Soprano::Vocabulary::OWL::priorVersion
    {48, 746, 758},	// Soprano::Vocabulary::OWL::sameAs
    {48, 805, 774},	// Soprano::Vocabulary::OWL::someValuesFrom
    {48, 867, 772},	// Soprano::Vocabulary::OWL::unionOf
    {48, 889, 762},	// Soprano::Vocabulary::OWL::versionInfo
    {49, 2, 786},	// Soprano::Vocabulary::RDF::Alt
    {49, 39, 796},	// Soprano::Vocabulary::RDF::Bag
    {49, 115, 790},	// Soprano::Vocabulary::RDF::List
    {49, 159, 787},	// Soprano::Vocabulary::RDF::Property
    {49, 190, 792},	// Soprano::Vocabulary::RDF::Seq
    {49, 215, 785},	// Soprano::Vocabulary::RDF::Statement
    {49, 237, 797},	// Soprano::Vocabulary::RDF::XMLLiteral
    {49, 457, 789},	// Soprano::Vocabulary::RDF::first
    {49, 630, 799},	// Soprano::Vocabulary::RDF::nil
    {49, 636, 793},	// Soprano::Vocabulary::RDF::object
    {49, 686, 795},	// Soprano::Vocabulary::RDF::predicate
    {49, 704, 800},	// Soprano::Vocabulary::RDF::rdfNamespace
    {49, 739, 794},	// Soprano::Vocabulary::RDF::rest
    {49, 829, 788},	// Soprano::Vocabulary::RDF::subject
    {49, 865, 798},	// Soprano::Vocabulary::RDF::type
    {49, 881, 791},	// Soprano::Vocabulary::RDF::value
    {50, 43, 815},	// Soprano::Vocabulary::RDFS::Class
    {50, 48, 816},	// Soprano::Vocabulary::RDFS::Container
    {50, 49, 811},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {50, 54, 806},	// Soprano::Vocabulary::RDFS::Datatype
    {50, 116, 805},	// Soprano::Vocabulary::RDFS::Literal
    {50, 182, 813},	// Soprano::Vocabulary::RDFS::Resource
    {50, 327, 808},	// Soprano::Vocabulary::RDFS::comment
    {50, 428, 810},	// Soprano::Vocabulary::RDFS::domain
    {50, 513, 804},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {50, 562, 802},	// Soprano::Vocabulary::RDFS::label
    {50, 611, 803},	// Soprano::Vocabulary::RDFS::member
    {50, 701, 801},	// Soprano::Vocabulary::RDFS::range
    {50, 705, 812},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {50, 753, 814},	// Soprano::Vocabulary::RDFS::seeAlso
    {50, 822, 809},	// Soprano::Vocabulary::RDFS::subClassOf
    {50, 826, 807},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {51, 89, 821},	// Soprano::Vocabulary::SIL::InferenceGraph
    {51, 90, 818},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {51, 364, 820},	// Soprano::Vocabulary::SIL::context
    {51, 803, 819},	// Soprano::Vocabulary::SIL::silNamespace
    {51, 808, 817},	// Soprano::Vocabulary::SIL::sourceStatement
    {52, 292, 822},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {52, 304, 825},	// Soprano::Vocabulary::XMLSchema::boolean
    {52, 386, 840},	// Soprano::Vocabulary::XMLSchema::date
    {52, 387, 827},	// Soprano::Vocabulary::XMLSchema::dateTime
    {52, 388, 828},	// Soprano::Vocabulary::XMLSchema::decimal
    {52, 499, 837},	// Soprano::Vocabulary::XMLSchema::integer
    {52, 625, 831},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {52, 633, 839},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {52, 821, 834},	// Soprano::Vocabulary::XMLSchema::string
    {52, 844, 833},	// Soprano::Vocabulary::XMLSchema::time
    {52, 868, 824},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {52, 869, 832},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {52, 870, 826},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {52, 909, 823},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {52, 910, 835},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {52, 911, 829},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {52, 912, 838},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {52, 913, 830},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {52, 914, 836},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {53, 3, 860},	// Soprano::Vocabulary::Xesam::Annotation
    {53, 5, 1089},	// Soprano::Vocabulary::Xesam::Archive
    {53, 6, 1100},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {53, 10, 941},	// Soprano::Vocabulary::Xesam::Audio
    {53, 11, 944},	// Soprano::Vocabulary::Xesam::AudioList
    {53, 41, 857},	// Soprano::Vocabulary::Xesam::BlockDevice
    {53, 42, 929},	// Soprano::Vocabulary::Xesam::Bookmark
    {53, 44, 1091},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {53, 46, 1058},	// Soprano::Vocabulary::Xesam::Contact
    {53, 47, 974},	// Soprano::Vocabulary::Xesam::ContactGroup
    {53, 50, 983},	// Soprano::Vocabulary::Xesam::Content
    {53, 52, 1060},	// Soprano::Vocabulary::Xesam::DataObject
    {53, 57, 922},	// Soprano::Vocabulary::Xesam::DeletedFile
    {53, 61, 1096},	// Soprano::Vocabulary::Xesam::Document
    {53, 63, 1085},	// Soprano::Vocabulary::Xesam::Documentation
    {53, 64, 1013},	// Soprano::Vocabulary::Xesam::Email
    {53, 65, 1101},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {53, 66, 845},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {53, 75, 1072},	// Soprano::Vocabulary::Xesam::File
    {53, 76, 869},	// Soprano::Vocabulary::Xesam::FileSystem
    {53, 77, 865},	// Soprano::Vocabulary::Xesam::Filelike
    {53, 80, 851},	// Soprano::Vocabulary::Xesam::Folder
    {53, 86, 962},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {53, 87, 976},	// Soprano::Vocabulary::Xesam::IMMessage
    {53, 88, 942},	// Soprano::Vocabulary::Xesam::Image
    {53, 118, 1068},	// Soprano::Vocabulary::Xesam::MailingList
    {53, 119, 1053},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {53, 120, 919},	// Soprano::Vocabulary::Xesam::Media
    {53, 121, 893},	// Soprano::Vocabulary::Xesam::MediaList
    {53, 122, 898},	// Soprano::Vocabulary::Xesam::Message
    {53, 123, 930},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {53, 126, 1048},	// Soprano::Vocabulary::Xesam::Music
    {53, 127, 1050},	// Soprano::Vocabulary::Xesam::NewsGroup
    {53, 128, 1012},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {53, 138, 1003},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {53, 141, 900},	// Soprano::Vocabulary::Xesam::Organization
    {53, 142, 904},	// Soprano::Vocabulary::Xesam::POP3Message
    {53, 151, 1112},	// Soprano::Vocabulary::Xesam::Person
    {53, 152, 927},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {53, 153, 843},	// Soprano::Vocabulary::Xesam::Photo
    {53, 157, 854},	// Soprano::Vocabulary::Xesam::Presentation
    {53, 158, 1105},	// Soprano::Vocabulary::Xesam::Project
    {53, 172, 1095},	// Soprano::Vocabulary::Xesam::RSSFeed
    {53, 173, 998},	// Soprano::Vocabulary::Xesam::RSSMessage
    {53, 179, 866},	// Soprano::Vocabulary::Xesam::RemoteFile
    {53, 180, 1063},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {53, 181, 967},	// Soprano::Vocabulary::Xesam::RemoteResource
    {53, 185, 1087},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {53, 186, 1006},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {53, 211, 1011},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {53, 212, 876},	// Soprano::Vocabulary::Xesam::Source
    {53, 213, 1070},	// Soprano::Vocabulary::Xesam::SourceCode
    {53, 214, 1077},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {53, 226, 1030},	// Soprano::Vocabulary::Xesam::SystemResource
    {53, 227, 1108},	// Soprano::Vocabulary::Xesam::Tag
    {53, 228, 1054},	// Soprano::Vocabulary::Xesam::Text
    {53, 229, 994},	// Soprano::Vocabulary::Xesam::TextDocument
    {53, 232, 947},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {53, 233, 879},	// Soprano::Vocabulary::Xesam::Video
    {53, 235, 1015},	// Soprano::Vocabulary::Xesam::Visual
    {53, 236, 1086},	// Soprano::Vocabulary::Xesam::XML
    {53, 242, 968},	// Soprano::Vocabulary::Xesam::acl
    {53, 259, 1055},	// Soprano::Vocabulary::Xesam::album
    {53, 260, 951},	// Soprano::Vocabulary::Xesam::albumArtist
    {53, 261, 856},	// Soprano::Vocabulary::Xesam::albumGain
    {53, 262, 1056},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {53, 263, 1021},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {53, 274, 1079},	// Soprano::Vocabulary::Xesam::aperture
    {53, 275, 1076},	// Soprano::Vocabulary::Xesam::artist
    {53, 276, 1090},	// Soprano::Vocabulary::Xesam::asText
    {53, 277, 1033},	// Soprano::Vocabulary::Xesam::aspectRatio
    {53, 278, 907},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {53, 279, 1081},	// Soprano::Vocabulary::Xesam::audioBPM
    {53, 280, 887},	// Soprano::Vocabulary::Xesam::audioBitrate
    {53, 281, 984},	// Soprano::Vocabulary::Xesam::audioChannels
    {53, 282, 1014},	// Soprano::Vocabulary::Xesam::audioCodec
    {53, 283, 899},	// Soprano::Vocabulary::Xesam::audioCodecType
    {53, 284, 952},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {53, 285, 1036},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {53, 286, 914},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {53, 287, 1067},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {53, 288, 1009},	// Soprano::Vocabulary::Xesam::author
    {53, 289, 852},	// Soprano::Vocabulary::Xesam::autoRating
    {53, 293, 1088},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {53, 294, 1049},	// Soprano::Vocabulary::Xesam::bcc
    {53, 299, 859},	// Soprano::Vocabulary::Xesam::birthDate
    {53, 302, 1032},	// Soprano::Vocabulary::Xesam::blogContactURL
    {53, 306, 999},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {53, 307, 986},	// Soprano::Vocabulary::Xesam::cameraModel
    {53, 309, 903},	// Soprano::Vocabulary::Xesam::cc
    {53, 310, 1082},	// Soprano::Vocabulary::Xesam::ccdWidth
    {53, 311, 938},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {53, 312, 918},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {53, 313, 858},	// Soprano::Vocabulary::Xesam::changeCommitter
    {53, 314, 949},	// Soprano::Vocabulary::Xesam::characterCount
    {53, 315, 1022},	// Soprano::Vocabulary::Xesam::charset
    {53, 316, 925},	// Soprano::Vocabulary::Xesam::chatRoom
    {53, 324, 948},	// Soprano::Vocabulary::Xesam::colorCount
    {53, 325, 1034},	// Soprano::Vocabulary::Xesam::colorSpace
    {53, 326, 842},	// Soprano::Vocabulary::Xesam::columnCount
    {53, 327, 877},	// Soprano::Vocabulary::Xesam::comment
    {53, 328, 1038},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {53, 329, 894},	// Soprano::Vocabulary::Xesam::commitDiff
    {53, 330, 881},	// Soprano::Vocabulary::Xesam::communicationChannel
    {53, 332, 886},	// Soprano::Vocabulary::Xesam::composer
    {53, 333, 1061},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {53, 334, 916},	// Soprano::Vocabulary::Xesam::compressionLevel
    {53, 335, 853},	// Soprano::Vocabulary::Xesam::conflicts
    {53, 337, 885},	// Soprano::Vocabulary::Xesam::contactMedium
    {53, 338, 971},	// Soprano::Vocabulary::Xesam::contactNick
    {53, 339, 1078},	// Soprano::Vocabulary::Xesam::contactURL
    {53, 340, 892},	// Soprano::Vocabulary::Xesam::contains
    {53, 359, 1102},	// Soprano::Vocabulary::Xesam::contentComment
    {53, 360, 872},	// Soprano::Vocabulary::Xesam::contentCreated
    {53, 361, 950},	// Soprano::Vocabulary::Xesam::contentKeyword
    {53, 362, 1094},	// Soprano::Vocabulary::Xesam::contentModified
    {53, 363, 1039},	// Soprano::Vocabulary::Xesam::contentType
    {53, 365, 1075},	// Soprano::Vocabulary::Xesam::contributor
    {53, 366, 878},	// Soprano::Vocabulary::Xesam::copyright
    {53, 381, 871},	// Soprano::Vocabulary::Xesam::creator
    {53, 389, 905},	// Soprano::Vocabulary::Xesam::definesClass
    {53, 390, 1064},	// Soprano::Vocabulary::Xesam::definesFunction
    {53, 391, 981},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {53, 394, 988},	// Soprano::Vocabulary::Xesam::deletionTime
    {53, 395, 1035},	// Soprano::Vocabulary::Xesam::depends
    {53, 396, 1028},	// Soprano::Vocabulary::Xesam::derivedFrom
    {53, 397, 896},	// Soprano::Vocabulary::Xesam::description
    {53, 407, 897},	// Soprano::Vocabulary::Xesam::discNumber
    {53, 408, 1045},	// Soprano::Vocabulary::Xesam::disclaimer
    {53, 427, 1026},	// Soprano::Vocabulary::Xesam::documentCategory
    {53, 430, 915},	// Soprano::Vocabulary::Xesam::emailAddress
    {53, 446, 985},	// Soprano::Vocabulary::Xesam::exposureBias
    {53, 447, 920},	// Soprano::Vocabulary::Xesam::exposureProgram
    {53, 448, 987},	// Soprano::Vocabulary::Xesam::exposureTime
    {53, 450, 883},	// Soprano::Vocabulary::Xesam::familyName
    {53, 451, 928},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {53, 452, 926},	// Soprano::Vocabulary::Xesam::fileExtension
    {53, 453, 924},	// Soprano::Vocabulary::Xesam::fileSystemType
    {53, 454, 910},	// Soprano::Vocabulary::Xesam::fingerprint
    {53, 458, 957},	// Soprano::Vocabulary::Xesam::firstUsed
    {53, 459, 1057},	// Soprano::Vocabulary::Xesam::flashUsed
    {53, 460, 1052},	// Soprano::Vocabulary::Xesam::focalLength
    {53, 461, 1042},	// Soprano::Vocabulary::Xesam::focusDistance
    {53, 462, 1104},	// Soprano::Vocabulary::Xesam::formatSubtype
    {53, 463, 867},	// Soprano::Vocabulary::Xesam::frameCount
    {53, 464, 964},	// Soprano::Vocabulary::Xesam::frameRate
    {53, 465, 978},	// Soprano::Vocabulary::Xesam::freeSpace
    {53, 466, 992},	// Soprano::Vocabulary::Xesam::gender
    {53, 467, 1065},	// Soprano::Vocabulary::Xesam::generator
    {53, 468, 1025},	// Soprano::Vocabulary::Xesam::generatorOptions
    {53, 469, 895},	// Soprano::Vocabulary::Xesam::genre
    {53, 470, 1073},	// Soprano::Vocabulary::Xesam::givenName
    {53, 472, 882},	// Soprano::Vocabulary::Xesam::group
    {53, 483, 848},	// Soprano::Vocabulary::Xesam::height
    {53, 484, 1092},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {53, 485, 1007},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {53, 486, 1019},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {53, 487, 890},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {53, 488, 1080},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {53, 489, 911},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {53, 490, 972},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {53, 492, 1059},	// Soprano::Vocabulary::Xesam::id
    {53, 494, 908},	// Soprano::Vocabulary::Xesam::imContactMedium
    {53, 496, 931},	// Soprano::Vocabulary::Xesam::inReplyTo
    {53, 500, 1008},	// Soprano::Vocabulary::Xesam::interest
    {53, 501, 868},	// Soprano::Vocabulary::Xesam::interlaceMode
    {53, 505, 849},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {53, 512, 939},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {53, 522, 921},	// Soprano::Vocabulary::Xesam::isEncrypted
    {53, 524, 1018},	// Soprano::Vocabulary::Xesam::isImportant
    {53, 525, 969},	// Soprano::Vocabulary::Xesam::isInProgress
    {53, 533, 932},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {53, 534, 850},	// Soprano::Vocabulary::Xesam::isRead
    {53, 537, 1083},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {53, 547, 912},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {53, 559, 1084},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {53, 560, 989},	// Soprano::Vocabulary::Xesam::keyword
    {53, 561, 965},	// Soprano::Vocabulary::Xesam::knows
    {53, 563, 1043},	// Soprano::Vocabulary::Xesam::language
    {53, 566, 954},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {53, 567, 1020},	// Soprano::Vocabulary::Xesam::lastUsed
    {53, 568, 975},	// Soprano::Vocabulary::Xesam::legal
    {53, 569, 864},	// Soprano::Vocabulary::Xesam::license
    {53, 570, 855},	// Soprano::Vocabulary::Xesam::licenseType
    {53, 571, 1098},	// Soprano::Vocabulary::Xesam::lineCount
    {53, 572, 1010},	// Soprano::Vocabulary::Xesam::links
    {53, 596, 884},	// Soprano::Vocabulary::Xesam::localRevision
    {53, 598, 1029},	// Soprano::Vocabulary::Xesam::lyricist
    {53, 599, 1097},	// Soprano::Vocabulary::Xesam::mailingList
    {53, 600, 966},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {53, 601, 995},	// Soprano::Vocabulary::Xesam::maintainer
    {53, 602, 873},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {53, 606, 963},	// Soprano::Vocabulary::Xesam::md5Hash
    {53, 607, 945},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {53, 608, 933},	// Soprano::Vocabulary::Xesam::mediaCodec
    {53, 609, 862},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {53, 610, 889},	// Soprano::Vocabulary::Xesam::mediaDuration
    {53, 612, 909},	// Soprano::Vocabulary::Xesam::mergeConflict
    {53, 615, 960},	// Soprano::Vocabulary::Xesam::meteringMode
    {53, 616, 870},	// Soprano::Vocabulary::Xesam::mimeType
    {53, 622, 923},	// Soprano::Vocabulary::Xesam::mountPoint
    {53, 623, 943},	// Soprano::Vocabulary::Xesam::name
    {53, 626, 1017},	// Soprano::Vocabulary::Xesam::newsGroup
    {53, 637, 940},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {53, 651, 1031},	// Soprano::Vocabulary::Xesam::orientation
    {53, 652, 901},	// Soprano::Vocabulary::Xesam::originURL
    {53, 653, 906},	// Soprano::Vocabulary::Xesam::originalLocation
    {53, 654, 937},	// Soprano::Vocabulary::Xesam::otherName
    {53, 656, 1002},	// Soprano::Vocabulary::Xesam::owner
    {53, 657, 1040},	// Soprano::Vocabulary::Xesam::pageCount
    {53, 658, 861},	// Soprano::Vocabulary::Xesam::paragraphCount
    {53, 676, 1099},	// Soprano::Vocabulary::Xesam::performer
    {53, 677, 1046},	// Soprano::Vocabulary::Xesam::permissions
    {53, 678, 1074},	// Soprano::Vocabulary::Xesam::personPhoto
    {53, 680, 1051},	// Soprano::Vocabulary::Xesam::phoneNumber
    {53, 681, 946},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {53, 682, 1037},	// Soprano::Vocabulary::Xesam::pixelDataType
    {53, 685, 888},	// Soprano::Vocabulary::Xesam::postalAddress
    {53, 690, 841},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {53, 692, 980},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {53, 707, 874},	// Soprano::Vocabulary::Xesam::receptionTime
    {53, 708, 844},	// Soprano::Vocabulary::Xesam::recipient
    {53, 709, 996},	// Soprano::Vocabulary::Xesam::related
    {53, 710, 1062},	// Soprano::Vocabulary::Xesam::remotePassword
    {53, 711, 935},	// Soprano::Vocabulary::Xesam::remotePort
    {53, 712, 1047},	// Soprano::Vocabulary::Xesam::remoteServer
    {53, 713, 956},	// Soprano::Vocabulary::Xesam::remoteUser
    {53, 736, 1001},	// Soprano::Vocabulary::Xesam::replyTo
    {53, 742, 979},	// Soprano::Vocabulary::Xesam::rowCount
    {53, 743, 1066},	// Soprano::Vocabulary::Xesam::rssFeed
    {53, 747, 936},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {53, 748, 1071},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {53, 749, 1111},	// Soprano::Vocabulary::Xesam::sampleDataType
    {53, 752, 1103},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {53, 754, 1106},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {53, 769, 875},	// Soprano::Vocabulary::Xesam::setCount
    {53, 787, 1005},	// Soprano::Vocabulary::Xesam::setRate
    {53, 802, 847},	// Soprano::Vocabulary::Xesam::sha1Hash
    {53, 804, 953},	// Soprano::Vocabulary::Xesam::size
    {53, 806, 1107},	// Soprano::Vocabulary::Xesam::sourceCreated
    {53, 807, 959},	// Soprano::Vocabulary::Xesam::sourceModified
    {53, 820, 1027},	// Soprano::Vocabulary::Xesam::storageSize
    {53, 829, 1016},	// Soprano::Vocabulary::Xesam::subject
    {53, 830, 1044},	// Soprano::Vocabulary::Xesam::summary
    {53, 832, 1023},	// Soprano::Vocabulary::Xesam::supercedes
    {53, 843, 1069},	// Soprano::Vocabulary::Xesam::targetQuality
    {53, 847, 917},	// Soprano::Vocabulary::Xesam::title
    {53, 848, 1004},	// Soprano::Vocabulary::Xesam::to
    {53, 852, 997},	// Soprano::Vocabulary::Xesam::totalSpace
    {53, 853, 982},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {53, 862, 993},	// Soprano::Vocabulary::Xesam::trackGain
    {53, 863, 902},	// Soprano::Vocabulary::Xesam::trackNumber
    {53, 864, 991},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {53, 873, 891},	// Soprano::Vocabulary::Xesam::url
    {53, 874, 990},	// Soprano::Vocabulary::Xesam::useCount
    {53, 876, 1024},	// Soprano::Vocabulary::Xesam::userComment
    {53, 877, 970},	// Soprano::Vocabulary::Xesam::userKeyword
    {53, 879, 958},	// Soprano::Vocabulary::Xesam::userRating
    {53, 880, 1041},	// Soprano::Vocabulary::Xesam::usesNamespace
    {53, 888, 1109},	// Soprano::Vocabulary::Xesam::version
    {53, 894, 977},	// Soprano::Vocabulary::Xesam::verticalResolution
    {53, 895, 973},	// Soprano::Vocabulary::Xesam::videoBitrate
    {53, 896, 1110},	// Soprano::Vocabulary::Xesam::videoCodec
    {53, 897, 955},	// Soprano::Vocabulary::Xesam::videoCodecType
    {53, 899, 961},	// Soprano::Vocabulary::Xesam::whiteBalance
    {53, 900, 1000},	// Soprano::Vocabulary::Xesam::width
    {53, 901, 880},	// Soprano::Vocabulary::Xesam::wordCount
    {53, 902, 1093},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {53, 903, 913},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {53, 904, 846},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {53, 907, 934},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {53, 908, 863},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 53,
        __smokesoprano::methods, 1113,
        __smokesoprano::methodMaps, 1083,
        __smokesoprano::methodNames, 940,
        __smokesoprano::types, 216,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
